#![no_std]

#[derive(Debug)]
pub struct UnknownLocale;

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod POSIX {
    pub mod LC_MESSAGES {
        /// `"^[nN]"`
        pub const NOEXPR: &str = "^[nN]";
        /// `"No"`
        pub const NOSTR: &str = "No";
        /// `"^[yY]"`
        pub const YESEXPR: &str = "^[yY]";
        /// `"Yes"`
        pub const YESSTR: &str = "Yes";
    }
    pub mod LC_MONETARY {
        /// `""`
        pub const CURRENCY_SYMBOL: &str = "";
        /// `-1`
        pub const FRAC_DIGITS: i64 = -1;
        /// `""`
        pub const INT_CURR_SYMBOL: &str = "";
        /// `-1`
        pub const INT_FRAC_DIGITS: i64 = -1;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `-1`
        pub const MON_GROUPING: i64 = -1;
        /// `""`
        pub const MON_THOUSANDS_SEP: &str = "";
        /// `-1`
        pub const N_CS_PRECEDES: i64 = -1;
        /// `-1`
        pub const N_SEP_BY_SPACE: i64 = -1;
        /// `-1`
        pub const N_SIGN_POSN: i64 = -1;
        /// `""`
        pub const NEGATIVE_SIGN: &str = "";
        /// `-1`
        pub const P_CS_PRECEDES: i64 = -1;
        /// `-1`
        pub const P_SEP_BY_SPACE: i64 = -1;
        /// `-1`
        pub const P_SIGN_POSN: i64 = -1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `-1`
        pub const GROUPING: i64 = -1;
        /// `""`
        pub const THOUSANDS_SEP: &str = "";
    }
    pub mod LC_TIME {
        /// `&["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"]`
        pub const ABDAY: &[&str] = &["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
        /// `&["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%m/%d/%y"`
        pub const D_FMT: &str = "%m/%d/%y";
        /// `"%a %b %e\n %H:%M\n:%S %Y"`
        pub const D_T_FMT: &str = "%a %b %e\n %H:%M\n:%S %Y";
        /// `"%a %b %e %H:%M:%S %Z %Y"`
        pub const DATE_FMT: &str = "%a %b %e %H:%M:%S %Z %Y";
        /// `&["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"]`
        pub const DAY: &[&str] = &["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];
        /// `&["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]`
        pub const MON: &[&str] = &["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
        /// `"%H:%M:%S"`
        pub const T_FMT: &str = "%H:%M:%S";
        /// `"%I:%M:%S\n %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S\n %p";
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod aa_DJ {
    pub mod LC_ADDRESS {
        /// `"DJ"`
        pub const COUNTRY_ABTWO: &str = "DJ";
        /// `"DJI"`
        pub const COUNTRY_AB3: &str = "DJI";
        /// `"DJI"`
        pub const COUNTRY_CAR: &str = "DJI";
        /// `"Yabuuti"`
        pub const COUNTRY_NAME: &str = "Yabuuti";
        /// `262`
        pub const COUNTRY_NUM: i64 = 262;
        /// `"DJI"`
        pub const COUNTRY_POST: &str = "DJI";
        /// `"aa"`
        pub const LANG_AB: &str = "aa";
        /// `"aar"`
        pub const LANG_LIB: &str = "aar";
        /// `"Qafar"`
        pub const LANG_NAME: &str = "Qafar";
        /// `"aar"`
        pub const LANG_TERM: &str = "aar";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"7802 Solomon Seal Dr., Springfield, VA 22152, USA"`
        pub const ADDRESS: &str = "7802 Solomon Seal Dr., Springfield, VA 22152, USA";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_TIME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_TIME"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2003-07-05"`
        pub const DATE: &str = "2003-07-05";
        /// `"locales@geez.org"`
        pub const EMAIL: &str = "locales@geez.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Afar"`
        pub const LANGUAGE: &str = "Afar";
        /// `"0.20"`
        pub const REVISION: &str = "0.20";
        /// `"Ge\'ez Frontier Foundation"`
        pub const SOURCE: &str = "Ge\'ez Frontier Foundation";
        /// `""`
        pub const TEL: &str = "";
        /// `"Djibouti"`
        pub const TERRITORY: &str = "Djibouti";
        /// `"Afar language locale for Djibouti (Cadu/Laaqo Dialects)."`
        pub const TITLE: &str = "Afar language locale for Djibouti (Cadu/Laaqo Dialects).";
    }
    pub use super::aa_ET::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"Fdj"`
        pub const CURRENCY_SYMBOL: &str = "Fdj";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"DJF "`
        pub const INT_CURR_SYMBOL: &str = "DJF ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[0, 0]`
        pub const GROUPING: &[i64] = &[0, 0];
        /// `""`
        pub const THOUSANDS_SEP: &str = "";
    }
    pub mod LC_TELEPHONE {
        /// `"253"`
        pub const INT_PREFIX: &str = "253";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%a-%l"`
        pub const TEL_DOM_FMT: &str = "%a-%l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Aca", "Etl", "Tal", "Arb", "Kam", "Gum", "Sab"]`
        pub const ABDAY: &[&str] = &["Aca", "Etl", "Tal", "Arb", "Kam", "Gum", "Sab"];
        /// `&["Qun", "Nah", "Cig", "Agd", "Cax", "Qas", "Qad", "Leq", "Way", "Dit", "Xim", "Kax"]`
        pub const ABMON: &[&str] = &["Qun", "Nah", "Cig", "Agd", "Cax", "Qas", "Qad", "Leq", "Way", "Dit", "Xim", "Kax"];
        /// `&["saaku", "carra"]`
        pub const AM_PM: &[&str] = &["saaku", "carra"];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %r %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %r %Z";
        /// `"%a %b %e %r %Z %Y"`
        pub const DATE_FMT: &str = "%a %b %e %r %Z %Y";
        /// `&["Acaada", "Etleeni", "Talaata", "Arbaqa", "Kamiisi", "Gumqata", "Sabti"]`
        pub const DAY: &[&str] = &["Acaada", "Etleeni", "Talaata", "Arbaqa", "Kamiisi", "Gumqata", "Sabti"];
        /// `7`
        pub const FIRST_WEEKDAY: i64 = 7;
        /// `&["Qunxa Garablu", "Naharsi Kudo", "Ciggilta Kudo", "Agda Baxis", "Caxah Alsa", "Qasa Dirri", "Qado Dirri", "Leqeeni", "Waysu", "Diteli", "Ximoli", "Kaxxa Garablu"]`
        pub const MON: &[&str] = &["Qunxa Garablu", "Naharsi Kudo", "Ciggilta Kudo", "Agda Baxis", "Caxah Alsa", "Qasa Dirri", "Qado Dirri", "Leqeeni", "Waysu", "Diteli", "Ximoli", "Kaxxa Garablu"];
        /// `"%l:%M:%S %p"`
        pub const T_FMT: &str = "%l:%M:%S %p";
        /// `"%l:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%l:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod aa_ER {
    pub mod LC_ADDRESS {
        /// `"ER"`
        pub const COUNTRY_ABTWO: &str = "ER";
        /// `"ERI"`
        pub const COUNTRY_AB3: &str = "ERI";
        /// `"ER"`
        pub const COUNTRY_CAR: &str = "ER";
        /// `"Eretria"`
        pub const COUNTRY_NAME: &str = "Eretria";
        /// `232`
        pub const COUNTRY_NUM: i64 = 232;
        /// `"ERI"`
        pub const COUNTRY_POST: &str = "ERI";
        /// `"aa"`
        pub const LANG_AB: &str = "aa";
        /// `"aar"`
        pub const LANG_LIB: &str = "aar";
        /// `"Qafar"`
        pub const LANG_NAME: &str = "Qafar";
        /// `"aar"`
        pub const LANG_TERM: &str = "aar";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"7802 Solomon Seal Dr., Springfield, VA 22152, USA"`
        pub const ADDRESS: &str = "7802 Solomon Seal Dr., Springfield, VA 22152, USA";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_TIME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_TIME"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2003-07-05"`
        pub const DATE: &str = "2003-07-05";
        /// `"locales@geez.org"`
        pub const EMAIL: &str = "locales@geez.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Afar"`
        pub const LANGUAGE: &str = "Afar";
        /// `"0.20"`
        pub const REVISION: &str = "0.20";
        /// `"Ge\'ez Frontier Foundation"`
        pub const SOURCE: &str = "Ge\'ez Frontier Foundation";
        /// `""`
        pub const TEL: &str = "";
        /// `"Eritrea"`
        pub const TERRITORY: &str = "Eritrea";
        /// `"Afar language locale for Eritrea (Cadu/Laaqo Dialects)."`
        pub const TITLE: &str = "Afar language locale for Eritrea (Cadu/Laaqo Dialects).";
    }
    pub use super::aa_ET::LC_MESSAGES;
    pub use super::ti_ER::LC_MONETARY;
    pub use super::ti_ER::LC_NUMERIC;
    pub use super::ti_ER::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Aca", "Etl", "Tal", "Arb", "Kam", "Gum", "Sab"]`
        pub const ABDAY: &[&str] = &["Aca", "Etl", "Tal", "Arb", "Kam", "Gum", "Sab"];
        /// `&["Qun", "Nah", "Cig", "Agd", "Cax", "Qas", "Qad", "Leq", "Way", "Dit", "Xim", "Kax"]`
        pub const ABMON: &[&str] = &["Qun", "Nah", "Cig", "Agd", "Cax", "Qas", "Qad", "Leq", "Way", "Dit", "Xim", "Kax"];
        /// `&["saaku", "carra"]`
        pub const AM_PM: &[&str] = &["saaku", "carra"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%A, %B %e, %Y %r %Z"`
        pub const D_T_FMT: &str = "%A, %B %e, %Y %r %Z";
        /// `"%A, %B %e, %r %Z %Y"`
        pub const DATE_FMT: &str = "%A, %B %e, %r %Z %Y";
        /// `&["Acaada", "Etleeni", "Talaata", "Arbaqa", "Kamiisi", "Gumqata", "Sabti"]`
        pub const DAY: &[&str] = &["Acaada", "Etleeni", "Talaata", "Arbaqa", "Kamiisi", "Gumqata", "Sabti"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Qunxa Garablu", "Naharsi Kudo", "Ciggilta Kudo", "Agda Baxis", "Caxah Alsa", "Qasa Dirri", "Qado Dirri", "Liiqen", "Waysu", "Diteli", "Ximoli", "Kaxxa Garablu"]`
        pub const MON: &[&str] = &["Qunxa Garablu", "Naharsi Kudo", "Ciggilta Kudo", "Agda Baxis", "Caxah Alsa", "Qasa Dirri", "Qado Dirri", "Liiqen", "Waysu", "Diteli", "Ximoli", "Kaxxa Garablu"];
        /// `"%l:%M:%S %p"`
        pub const T_FMT: &str = "%l:%M:%S %p";
        /// `"%l:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%l:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod aa_ER_saaho {
    pub use super::aa_ER::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"7802 Solomon Seal Dr., Springfield, VA 22152, USA"`
        pub const ADDRESS: &str = "7802 Solomon Seal Dr., Springfield, VA 22152, USA";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_TIME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_TIME"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2003-07-05"`
        pub const DATE: &str = "2003-07-05";
        /// `"locales@geez.org"`
        pub const EMAIL: &str = "locales@geez.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Afar"`
        pub const LANGUAGE: &str = "Afar";
        /// `"0.20"`
        pub const REVISION: &str = "0.20";
        /// `"Ge\'ez Frontier Foundation"`
        pub const SOURCE: &str = "Ge\'ez Frontier Foundation";
        /// `""`
        pub const TEL: &str = "";
        /// `"Eritrea"`
        pub const TERRITORY: &str = "Eritrea";
        /// `"Afar language locale for Eritrea (Saaho Dialect)."`
        pub const TITLE: &str = "Afar language locale for Eritrea (Saaho Dialect).";
    }
    pub use super::aa_ET::LC_MESSAGES;
    pub use super::aa_ER::LC_MONETARY;
    pub use super::aa_ER::LC_NUMERIC;
    pub use super::aa_ER::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Nab", "San", "Sal", "Rab", "Cam", "Jum", "Qun"]`
        pub const ABDAY: &[&str] = &["Nab", "San", "Sal", "Rab", "Cam", "Jum", "Qun"];
        /// `&["Qun", "Nah", "Cig", "Agd", "Cax", "Qas", "Qad", "Leq", "Way", "Dit", "Xim", "Kax"]`
        pub const ABMON: &[&str] = &["Qun", "Nah", "Cig", "Agd", "Cax", "Qas", "Qad", "Leq", "Way", "Dit", "Xim", "Kax"];
        /// `&["saaku", "carra"]`
        pub const AM_PM: &[&str] = &["saaku", "carra"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%A, %B %e, %Y %r %Z"`
        pub const D_T_FMT: &str = "%A, %B %e, %Y %r %Z";
        /// `"%A, %B %e, %r %Z %Y"`
        pub const DATE_FMT: &str = "%A, %B %e, %r %Z %Y";
        /// `&["Naba Sambat", "Sani", "Salus", "Rabuq", "Camus", "Jumqata", "Qunxa Sambat"]`
        pub const DAY: &[&str] = &["Naba Sambat", "Sani", "Salus", "Rabuq", "Camus", "Jumqata", "Qunxa Sambat"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Qunxa Garablu", "Naharsi Kudo", "Ciggilta Kudo", "Agda Baxis", "Caxah Alsa", "Qasa Dirri", "Qado Dirri", "Liiqen", "Waysu", "Diteli", "Ximoli", "Kaxxa Garablu"]`
        pub const MON: &[&str] = &["Qunxa Garablu", "Naharsi Kudo", "Ciggilta Kudo", "Agda Baxis", "Caxah Alsa", "Qasa Dirri", "Qado Dirri", "Liiqen", "Waysu", "Diteli", "Ximoli", "Kaxxa Garablu"];
        /// `"%l:%M:%S %p"`
        pub const T_FMT: &str = "%l:%M:%S %p";
        /// `"%l:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%l:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod aa_ET {
    pub mod LC_ADDRESS {
        /// `"ET"`
        pub const COUNTRY_ABTWO: &str = "ET";
        /// `"ETH"`
        pub const COUNTRY_AB3: &str = "ETH";
        /// `"ETH"`
        pub const COUNTRY_CAR: &str = "ETH";
        /// `"Otobbia"`
        pub const COUNTRY_NAME: &str = "Otobbia";
        /// `231`
        pub const COUNTRY_NUM: i64 = 231;
        /// `"ETH"`
        pub const COUNTRY_POST: &str = "ETH";
        /// `"aa"`
        pub const LANG_AB: &str = "aa";
        /// `"aar"`
        pub const LANG_LIB: &str = "aar";
        /// `"Qafar"`
        pub const LANG_NAME: &str = "Qafar";
        /// `"aar"`
        pub const LANG_TERM: &str = "aar";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"7802 Solomon Seal Dr., Springfield, VA 22152, USA"`
        pub const ADDRESS: &str = "7802 Solomon Seal Dr., Springfield, VA 22152, USA";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_TIME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_TIME"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2003-07-05"`
        pub const DATE: &str = "2003-07-05";
        /// `"locales@geez.org"`
        pub const EMAIL: &str = "locales@geez.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Afar"`
        pub const LANGUAGE: &str = "Afar";
        /// `"0.20"`
        pub const REVISION: &str = "0.20";
        /// `"Ge\'ez Frontier Foundation"`
        pub const SOURCE: &str = "Ge\'ez Frontier Foundation";
        /// `""`
        pub const TEL: &str = "";
        /// `"Ethiopia"`
        pub const TERRITORY: &str = "Ethiopia";
        /// `"Afar language locale for Ethiopia (Cadu/Carra Dialects)."`
        pub const TITLE: &str = "Afar language locale for Ethiopia (Cadu/Carra Dialects).";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0mnMN]"`
        pub const NOEXPR: &str = "^[-0mnMN]";
        /// `"Maleey"`
        pub const NOSTR: &str = "Maleey";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
        /// `"Yeey"`
        pub const YESSTR: &str = "Yeey";
    }
    pub use super::ti_ET::LC_MONETARY;
    pub use super::ti_ET::LC_NUMERIC;
    pub use super::ti_ET::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Aca", "Etl", "Tal", "Arb", "Kam", "Gum", "Sab"]`
        pub const ABDAY: &[&str] = &["Aca", "Etl", "Tal", "Arb", "Kam", "Gum", "Sab"];
        /// `&["Qun", "Nah", "Cig", "Agd", "Cax", "Qas", "Qad", "Leq", "Way", "Dit", "Xim", "Kax"]`
        pub const ABMON: &[&str] = &["Qun", "Nah", "Cig", "Agd", "Cax", "Qas", "Qad", "Leq", "Way", "Dit", "Xim", "Kax"];
        /// `&["saaku", "carra"]`
        pub const AM_PM: &[&str] = &["saaku", "carra"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%A, %B %e, %Y %r %Z"`
        pub const D_T_FMT: &str = "%A, %B %e, %Y %r %Z";
        /// `"%A, %B %e, %r %Z %Y"`
        pub const DATE_FMT: &str = "%A, %B %e, %r %Z %Y";
        /// `&["Acaada", "Etleeni", "Talaata", "Arbaqa", "Kamiisi", "Gumqata", "Sabti"]`
        pub const DAY: &[&str] = &["Acaada", "Etleeni", "Talaata", "Arbaqa", "Kamiisi", "Gumqata", "Sabti"];
        /// `&["Qunxa Garablu", "Naharsi Kudo", "Ciggilta Kudo", "Agda Baxis", "Caxah Alsa", "Qasa Dirri", "Qado Dirri", "Liiqen", "Waysu", "Diteli", "Ximoli", "Kaxxa Garablu"]`
        pub const MON: &[&str] = &["Qunxa Garablu", "Naharsi Kudo", "Ciggilta Kudo", "Agda Baxis", "Caxah Alsa", "Qasa Dirri", "Qado Dirri", "Liiqen", "Waysu", "Diteli", "Ximoli", "Kaxxa Garablu"];
        /// `"%l:%M:%S %p"`
        pub const T_FMT: &str = "%l:%M:%S %p";
        /// `"%l:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%l:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod af_ZA {
    pub mod LC_ADDRESS {
        /// `"ZA"`
        pub const COUNTRY_ABTWO: &str = "ZA";
        /// `"ZAF"`
        pub const COUNTRY_AB3: &str = "ZAF";
        /// `"ZA"`
        pub const COUNTRY_CAR: &str = "ZA";
        /// `0`
        pub const COUNTRY_ISBN: i64 = 0;
        /// `"Suid-Afrika"`
        pub const COUNTRY_NAME: &str = "Suid-Afrika";
        /// `710`
        pub const COUNTRY_NUM: i64 = 710;
        /// `"ZA"`
        pub const COUNTRY_POST: &str = "ZA";
        /// `"af"`
        pub const LANG_AB: &str = "af";
        /// `"afr"`
        pub const LANG_LIB: &str = "afr";
        /// `"Afrikaans"`
        pub const LANG_NAME: &str = "Afrikaans";
        /// `"afr"`
        pub const LANG_TERM: &str = "afr";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Box 28364, Sunnyside, 0132, South Africa"`
        pub const ADDRESS: &str = "Box 28364, Sunnyside, 0132, South Africa";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Dwayne Bailey"`
        pub const CONTACT: &str = "Dwayne Bailey";
        /// `"2005-10-13"`
        pub const DATE: &str = "2005-10-13";
        /// `"dwayne@translate.org.za"`
        pub const EMAIL: &str = "dwayne@translate.org.za";
        /// `""`
        pub const FAX: &str = "";
        /// `"Afrikaans"`
        pub const LANGUAGE: &str = "Afrikaans";
        /// `"1.2.1"`
        pub const REVISION: &str = "1.2.1";
        /// `"Zuza Software Foundation (Translate.org.za)"`
        pub const SOURCE: &str = "Zuza Software Foundation (Translate.org.za)";
        /// `""`
        pub const TEL: &str = "";
        /// `"South Africa"`
        pub const TERRITORY: &str = "South Africa";
        /// `"Afrikaans locale for South Africa"`
        pub const TITLE: &str = "Afrikaans locale for South Africa";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"nee"`
        pub const NOSTR: &str = "nee";
        /// `"^[+1jJyY]"`
        pub const YESEXPR: &str = "^[+1jJyY]";
        /// `"ja"`
        pub const YESSTR: &str = "ja";
    }
    pub use super::en_ZA::LC_MONETARY;
    pub use super::en_ZA::LC_NUMERIC;
    pub use super::en_ZA::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["So", "Ma", "Di", "Wo", "Do", "Vr", "Sa"]`
        pub const ABDAY: &[&str] = &["So", "Ma", "Di", "Wo", "Do", "Vr", "Sa"];
        /// `&["Jan", "Feb", "Mrt", "Apr", "Mei", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Des"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mrt", "Apr", "Mei", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Des"];
        /// `&["VM", "NM"]`
        pub const AM_PM: &[&str] = &["VM", "NM"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Sondag", "Maandag", "Dinsdag", "Woensdag", "Donderdag", "Vrydag", "Saterdag"]`
        pub const DAY: &[&str] = &["Sondag", "Maandag", "Dinsdag", "Woensdag", "Donderdag", "Vrydag", "Saterdag"];
        /// `&["Januarie", "Februarie", "Maart", "April", "Mei", "Junie", "Julie", "Augustus", "September", "Oktober", "November", "Desember"]`
        pub const MON: &[&str] = &["Januarie", "Februarie", "Maart", "April", "Mei", "Junie", "Julie", "Augustus", "September", "Oktober", "November", "Desember"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod agr_PE {
    pub mod LC_ADDRESS {
        /// `"PE"`
        pub const COUNTRY_ABTWO: &str = "PE";
        /// `"PER"`
        pub const COUNTRY_AB3: &str = "PER";
        /// `"PE"`
        pub const COUNTRY_CAR: &str = "PE";
        /// `"Perú"`
        pub const COUNTRY_NAME: &str = "Perú";
        /// `604`
        pub const COUNTRY_NUM: i64 = 604;
        /// `""`
        pub const LANG_AB: &str = "";
        /// `"agr"`
        pub const LANG_LIB: &str = "agr";
        /// `"Awajún"`
        pub const LANG_NAME: &str = "Awajún";
        /// `""`
        pub const LANG_TERM: &str = "";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2016-08-20"`
        pub const DATE: &str = "2016-08-20";
        /// `"libc-alpha@sourceware.org"`
        pub const EMAIL: &str = "libc-alpha@sourceware.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Aguaruna"`
        pub const LANGUAGE: &str = "Aguaruna";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"somosazucar.org"`
        pub const SOURCE: &str = "somosazucar.org";
        /// `""`
        pub const TEL: &str = "";
        /// `"Peru"`
        pub const TERRITORY: &str = "Peru";
        /// `"Awajún (agr) locale for Peru"`
        pub const TITLE: &str = "Awajún (agr) locale for Peru";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0aAnN]"`
        pub const NOEXPR: &str = "^[-0aAnN]";
        /// `"atsa"`
        pub const NOSTR: &str = "atsa";
        /// `"^[+1eEsSyY]"`
        pub const YESEXPR: &str = "^[+1eEsSyY]";
        /// `"ehe"`
        pub const YESSTR: &str = "ehe";
    }
    pub use super::es_PE::LC_MONETARY;
    pub use super::es_PE::LC_NUMERIC;
    pub use super::es_PE::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Tun", "Ach", "Kug", "Sak", "Shim", "Im", "Bat"]`
        pub const ABDAY: &[&str] = &["Tun", "Ach", "Kug", "Sak", "Shim", "Im", "Bat"];
        /// `&["Pet", "Kup", "Uya", "Tay", "Keg", "Teg", "Kun", "Yag", "Dait", "Ipam", "Shin", "Sak"]`
        pub const ABMON: &[&str] = &["Pet", "Kup", "Uya", "Tay", "Keg", "Teg", "Kun", "Yag", "Dait", "Ipam", "Shin", "Sak"];
        /// `&["VM", "NM"]`
        pub const AM_PM: &[&str] = &["VM", "NM"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `"%a %b %e %H:%M:%S %Z %Y"`
        pub const DATE_FMT: &str = "%a %b %e %H:%M:%S %Z %Y";
        /// `&["Tuntuamtin", "Achutin", "Kugkuktin", "Saketin", "Shimpitin", "Imaptin", "Bataetin"]`
        pub const DAY: &[&str] = &["Tuntuamtin", "Achutin", "Kugkuktin", "Saketin", "Shimpitin", "Imaptin", "Bataetin"];
        /// `1`
        pub const FIRST_WEEKDAY: i64 = 1;
        /// `2`
        pub const FIRST_WORKDAY: i64 = 2;
        /// `&["Petsatin", "Kupitin", "Uyaitin", "Tayutin", "Kegketin", "Tegmatin", "Kuntutin", "Yagkujutin", "Daiktatin", "Ipamtatin", "Shinutin", "Sakamtin"]`
        pub const MON: &[&str] = &["Petsatin", "Kupitin", "Uyaitin", "Tayutin", "Kegketin", "Tegmatin", "Kuntutin", "Yagkujutin", "Daiktatin", "Ipamtatin", "Shinutin", "Sakamtin"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 7]`
        pub const WEEK: &[i64] = &[7, 19971130, 7];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ak_GH {
    pub mod LC_ADDRESS {
        /// `"GH"`
        pub const COUNTRY_ABTWO: &str = "GH";
        /// `"GHA"`
        pub const COUNTRY_AB3: &str = "GHA";
        /// `"GH"`
        pub const COUNTRY_CAR: &str = "GH";
        /// `9964`
        pub const COUNTRY_ISBN: i64 = 9964;
        /// `"Gaana"`
        pub const COUNTRY_NAME: &str = "Gaana";
        /// `288`
        pub const COUNTRY_NUM: i64 = 288;
        /// `"GH"`
        pub const COUNTRY_POST: &str = "GH";
        /// `"ak"`
        pub const LANG_AB: &str = "ak";
        /// `"Akan"`
        pub const LANG_NAME: &str = "Akan";
        /// `"aka"`
        pub const LANG_TERM: &str = "aka";
        /// `"%a%N%f%N%d%N%b%N%h %s %e %r%N%T, %S %z%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%f%N%d%N%b%N%h %s %e %r%N%T, %S %z%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"sugarlabs.org"`
        pub const CONTACT: &str = "sugarlabs.org";
        /// `"2013-08-24"`
        pub const DATE: &str = "2013-08-24";
        /// `"libc-alpha@sourceware.org"`
        pub const EMAIL: &str = "libc-alpha@sourceware.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Akan"`
        pub const LANGUAGE: &str = "Akan";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Sugar Labs / OLPC"`
        pub const SOURCE: &str = "Sugar Labs / OLPC";
        /// `""`
        pub const TEL: &str = "";
        /// `"Ghana"`
        pub const TERRITORY: &str = "Ghana";
        /// `"Akan locale for Ghana"`
        pub const TITLE: &str = "Akan locale for Ghana";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0dDnN]"`
        pub const NOEXPR: &str = "^[-0dDnN]";
        /// `"Daabi"`
        pub const NOSTR: &str = "Daabi";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
        /// `"Yiw"`
        pub const YESSTR: &str = "Yiw";
    }
    pub mod LC_MONETARY {
        /// `"GH₵"`
        pub const CURRENCY_SYMBOL: &str = "GH₵";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"GHS "`
        pub const INT_CURR_SYMBOL: &str = "GHS ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"233"`
        pub const INT_PREFIX: &str = "233";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%a %l"`
        pub const TEL_DOM_FMT: &str = "%a %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Kwe", "Dwo", "Ben", "Wuk", "Yaw", "Fia", "Mem"]`
        pub const ABDAY: &[&str] = &["Kwe", "Dwo", "Ben", "Wuk", "Yaw", "Fia", "Mem"];
        /// `&["S-Ɔ", "K-Ɔ", "E-Ɔ", "E-O", "E-K", "O-A", "A-K", "D-Ɔ", "F-Ɛ", "Ɔ-A", "Ɔ-O", "M-Ɔ"]`
        pub const ABMON: &[&str] = &["S-Ɔ", "K-Ɔ", "E-Ɔ", "E-O", "E-K", "O-A", "A-K", "D-Ɔ", "F-Ɛ", "Ɔ-A", "Ɔ-O", "M-Ɔ"];
        /// `&["AN", "EW"]`
        pub const AM_PM: &[&str] = &["AN", "EW"];
        /// `"%Y/%m/%d"`
        pub const D_FMT: &str = "%Y/%m/%d";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Kwesida", "Dwowda", "Benada", "Wukuda", "Yawda", "Fida", "Memeneda"]`
        pub const DAY: &[&str] = &["Kwesida", "Dwowda", "Benada", "Wukuda", "Yawda", "Fida", "Memeneda"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Sanda-Ɔpɛpɔn", "Kwakwar-Ɔgyefuo", "Ebɔw-Ɔbenem", "Ebɔbira-Oforisuo", "Esusow Aketseaba-Kɔtɔnimba", "Obirade-Ayɛwohomumu", "Ayɛwoho-Kitawonsa", "Difuu-Ɔsandaa", "Fankwa-Ɛbɔ", "Ɔbɛsɛ-Ahinime", "Ɔberɛfɛw-Obubuo", "Mumu-Ɔpɛnimba"]`
        pub const MON: &[&str] = &["Sanda-Ɔpɛpɔn", "Kwakwar-Ɔgyefuo", "Ebɔw-Ɔbenem", "Ebɔbira-Oforisuo", "Esusow Aketseaba-Kɔtɔnimba", "Obirade-Ayɛwohomumu", "Ayɛwoho-Kitawonsa", "Difuu-Ɔsandaa", "Fankwa-Ɛbɔ", "Ɔbɛsɛ-Ahinime", "Ɔberɛfɛw-Obubuo", "Mumu-Ɔpɛnimba"];
        /// `"%r"`
        pub const T_FMT: &str = "%r";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod am_ET {
    pub mod LC_ADDRESS {
        /// `"ET"`
        pub const COUNTRY_ABTWO: &str = "ET";
        /// `"ETH"`
        pub const COUNTRY_AB3: &str = "ETH";
        /// `"ETH"`
        pub const COUNTRY_CAR: &str = "ETH";
        /// `"ኢትዮጵያ"`
        pub const COUNTRY_NAME: &str = "ኢትዮጵያ";
        /// `231`
        pub const COUNTRY_NUM: i64 = 231;
        /// `"ETH"`
        pub const COUNTRY_POST: &str = "ETH";
        /// `"am"`
        pub const LANG_AB: &str = "am";
        /// `"amh"`
        pub const LANG_LIB: &str = "amh";
        /// `"አማርኛ"`
        pub const LANG_NAME: &str = "አማርኛ";
        /// `"amh"`
        pub const LANG_TERM: &str = "amh";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"7802 Solomon Seal Dr., Springfield, VA 22152, USA"`
        pub const ADDRESS: &str = "7802 Solomon Seal Dr., Springfield, VA 22152, USA";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_TIME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_TIME"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2003-07-05"`
        pub const DATE: &str = "2003-07-05";
        /// `"locales@geez.org"`
        pub const EMAIL: &str = "locales@geez.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Amharic"`
        pub const LANGUAGE: &str = "Amharic";
        /// `"0.20"`
        pub const REVISION: &str = "0.20";
        /// `"Ge\'ez Frontier Foundation"`
        pub const SOURCE: &str = "Ge\'ez Frontier Foundation";
        /// `""`
        pub const TEL: &str = "";
        /// `"Ethiopia"`
        pub const TERRITORY: &str = "Ethiopia";
        /// `"Amharic language locale for Ethiopia."`
        pub const TITLE: &str = "Amharic language locale for Ethiopia.";
    }
    pub mod LC_MESSAGES {
        /// `"^([-0nNይ]|አይ)"`
        pub const NOEXPR: &str = "^([-0nNይ]|አይ)";
        /// `"አይ"`
        pub const NOSTR: &str = "አይ";
        /// `"^([+1yYዎ]|አዎን)"`
        pub const YESEXPR: &str = "^([+1yYዎ]|አዎን)";
        /// `"አዎን"`
        pub const YESSTR: &str = "አዎን";
    }
    pub use super::ti_ET::LC_MONETARY;
    pub use super::ti_ET::LC_NUMERIC;
    pub use super::ti_ET::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["እሑድ", "ሰኞ ", "ማክሰ", "ረቡዕ", "ሐሙስ", "ዓርብ", "ቅዳሜ"]`
        pub const ABDAY: &[&str] = &["እሑድ", "ሰኞ ", "ማክሰ", "ረቡዕ", "ሐሙስ", "ዓርብ", "ቅዳሜ"];
        /// `&["ጃንዩ", "ፌብሩ", "ማርች", "ኤፕረ", "ሜይ ", "ጁን ", "ጁላይ", "ኦገስ", "ሴፕቴ", "ኦክተ", "ኖቬም", "ዲሴም"]`
        pub const ABMON: &[&str] = &["ጃንዩ", "ፌብሩ", "ማርች", "ኤፕረ", "ሜይ ", "ጁን ", "ጁላይ", "ኦገስ", "ሴፕቴ", "ኦክተ", "ኖቬም", "ዲሴም"];
        /// `&["ጡዋት", "ከሰዓት"]`
        pub const AM_PM: &[&str] = &["ጡዋት", "ከሰዓት"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%A፣ %B %e ቀን %Y %r %Z"`
        pub const D_T_FMT: &str = "%A፣ %B %e ቀን %Y %r %Z";
        /// `"%A፣ %B %e ቀን %r %Z %Y ዓ/ም"`
        pub const DATE_FMT: &str = "%A፣ %B %e ቀን %r %Z %Y ዓ/ም";
        /// `&["እሑድ", "ሰኞ", "ማክሰኞ", "ረቡዕ", "ሐሙስ", "ዓርብ", "ቅዳሜ"]`
        pub const DAY: &[&str] = &["እሑድ", "ሰኞ", "ማክሰኞ", "ረቡዕ", "ሐሙስ", "ዓርብ", "ቅዳሜ"];
        /// `&["ጃንዩወሪ", "ፌብሩወሪ", "ማርች", "ኤፕሪል", "ሜይ", "ጁን", "ጁላይ", "ኦገስት", "ሴፕቴምበር", "ኦክቶበር", "ኖቬምበር", "ዲሴምበር"]`
        pub const MON: &[&str] = &["ጃንዩወሪ", "ፌብሩወሪ", "ማርች", "ኤፕሪል", "ሜይ", "ጁን", "ጁላይ", "ኦገስት", "ሴፕቴምበር", "ኦክቶበር", "ኖቬምበር", "ዲሴምበር"];
        /// `"%l:%M:%S %p"`
        pub const T_FMT: &str = "%l:%M:%S %p";
        /// `"%l:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%l:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod an_ES {
    pub mod LC_ADDRESS {
        /// `"ES"`
        pub const COUNTRY_ABTWO: &str = "ES";
        /// `"ESP"`
        pub const COUNTRY_AB3: &str = "ESP";
        /// `"E"`
        pub const COUNTRY_CAR: &str = "E";
        /// `"978-84"`
        pub const COUNTRY_ISBN: &str = "978-84";
        /// `"Espanya"`
        pub const COUNTRY_NAME: &str = "Espanya";
        /// `724`
        pub const COUNTRY_NUM: i64 = 724;
        /// `"E"`
        pub const COUNTRY_POST: &str = "E";
        /// `"an"`
        pub const LANG_AB: &str = "an";
        /// `"arg"`
        pub const LANG_LIB: &str = "arg";
        /// `"aragonés"`
        pub const LANG_NAME: &str = "aragonés";
        /// `"arg"`
        pub const LANG_TERM: &str = "arg";
        /// `"%a%N%f%N%d%N%b%N%s %h %e %r%N%z %T, %S%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%f%N%d%N%b%N%s %h %e %r%N%z %T, %S%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Jordi Mallach Pérez, Juan Pablo Martínez"`
        pub const CONTACT: &str = "Jordi Mallach Pérez, Juan Pablo Martínez";
        /// `"2018-02-05"`
        pub const DATE: &str = "2018-02-05";
        /// `"bug-glibc-locales@gnu.org, softaragones@softaragones.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org, softaragones@softaragones.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Aragonese"`
        pub const LANGUAGE: &str = "Aragonese";
        /// `"1.2"`
        pub const REVISION: &str = "1.2";
        /// `"Softaragones"`
        pub const SOURCE: &str = "Softaragones";
        /// `""`
        pub const TEL: &str = "";
        /// `"Spain"`
        pub const TERRITORY: &str = "Spain";
        /// `"Aragonese locale for Spain"`
        pub const TITLE: &str = "Aragonese locale for Spain";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"no"`
        pub const NOSTR: &str = "no";
        /// `"^[+1sSyY]"`
        pub const YESEXPR: &str = "^[+1sSyY]";
        /// `"sí"`
        pub const YESSTR: &str = "sí";
    }
    pub use super::es_ES::LC_MONETARY;
    pub use super::es_ES::LC_NUMERIC;
    pub use super::es_ES::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["dom", "lun", "mar", "mie", "chu", "vie", "sab"]`
        pub const ABDAY: &[&str] = &["dom", "lun", "mar", "mie", "chu", "vie", "sab"];
        /// `&["chi", "feb", "mar", "abr", "may", "chn", "chl", "ago", "set", "oct", "nov", "avi"]`
        pub const ABMON: &[&str] = &["chi", "feb", "mar", "abr", "may", "chn", "chl", "ago", "set", "oct", "nov", "avi"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["domingo", "luns", "martes", "mierques", "chueves", "viernes", "sabado"]`
        pub const DAY: &[&str] = &["domingo", "luns", "martes", "mierques", "chueves", "viernes", "sabado"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["chinero", "febrero", "marzo", "abril", "mayo", "chunyo", "chuliol", "agosto", "setiembre", "octubre", "noviembre", "aviento"]`
        pub const MON: &[&str] = &["chinero", "febrero", "marzo", "abril", "mayo", "chunyo", "chuliol", "agosto", "setiembre", "octubre", "noviembre", "aviento"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod anp_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"भारत"`
        pub const COUNTRY_NAME: &str = "भारत";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"anp"`
        pub const LANG_LIB: &str = "anp";
        /// `"अ\u{902}गिका"`
        pub const LANG_NAME: &str = "अ\u{902}गिका";
        /// `"anp"`
        pub const LANG_TERM: &str = "anp";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2013-10-24"`
        pub const DATE: &str = "2013-10-24";
        /// `"bhashaghar@googlegroups.com"`
        pub const EMAIL: &str = "bhashaghar@googlegroups.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Angika"`
        pub const LANGUAGE: &str = "Angika";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Angika language locale for India"`
        pub const TITLE: &str = "Angika language locale for India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0नइnN]"`
        pub const NOEXPR: &str = "^[-0नइnN]";
        /// `"नही\u{902}"`
        pub const NOSTR: &str = "नही\u{902}";
        /// `"^[+1हवyY]"`
        pub const YESEXPR: &str = "^[+1हवyY]";
        /// `"हा\u{901}"`
        pub const YESSTR: &str = "हा\u{901}";
    }
    pub use super::hi_IN::LC_MONETARY;
    pub use super::hi_IN::LC_NUMERIC;
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["रवि", "सोम", "म\u{902}गल", "ब\u{941}ध", "ब\u{943}हस\u{94d}पति", "श\u{941}क\u{94d}र", "शनि"]`
        pub const ABDAY: &[&str] = &["रवि", "सोम", "म\u{902}गल", "ब\u{941}ध", "ब\u{943}हस\u{94d}पति", "श\u{941}क\u{94d}र", "शनि"];
        /// `&["जनवरी", "फरवरी", "मार\u{94d}च", "अप\u{94d}र\u{948}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सित\u{902}बर", "अक\u{94d}ट\u{942}बर", "नव\u{902}बर", "दिस\u{902}बर"]`
        pub const ABMON: &[&str] = &["जनवरी", "फरवरी", "मार\u{94d}च", "अप\u{94d}र\u{948}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सित\u{902}बर", "अक\u{94d}ट\u{942}बर", "नव\u{902}बर", "दिस\u{902}बर"];
        /// `&["प\u{942}र\u{94d}वाह\u{94d}न", "अपराह\u{94d}न"]`
        pub const AM_PM: &[&str] = &["प\u{942}र\u{94d}वाह\u{94d}न", "अपराह\u{94d}न"];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["रविवार", "सोमवार", "म\u{902}गलवार", "ब\u{941}धवार", "ब\u{943}हस\u{94d}पतिवार", "श\u{941}क\u{94d}रवार", "शनिवार"]`
        pub const DAY: &[&str] = &["रविवार", "सोमवार", "म\u{902}गलवार", "ब\u{941}धवार", "ब\u{943}हस\u{94d}पतिवार", "श\u{941}क\u{94d}रवार", "शनिवार"];
        /// `&["जनवरी", "फरवरी", "मार\u{94d}च", "अप\u{94d}र\u{948}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सित\u{902}बर", "अक\u{94d}ट\u{942}बर", "नव\u{902}बर", "दिस\u{902}बर"]`
        pub const MON: &[&str] = &["जनवरी", "फरवरी", "मार\u{94d}च", "अप\u{94d}र\u{948}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सित\u{902}बर", "अक\u{94d}ट\u{942}बर", "नव\u{902}बर", "दिस\u{902}बर"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ar_AE {
    pub mod LC_ADDRESS {
        /// `"AE"`
        pub const COUNTRY_ABTWO: &str = "AE";
        /// `"ARE"`
        pub const COUNTRY_AB3: &str = "ARE";
        /// `"UAE"`
        pub const COUNTRY_CAR: &str = "UAE";
        /// `"الإمارات العربية المتحدة"`
        pub const COUNTRY_NAME: &str = "الإمارات العربية المتحدة";
        /// `784`
        pub const COUNTRY_NUM: i64 = 784;
        /// `"ar"`
        pub const LANG_AB: &str = "ar";
        /// `"ara"`
        pub const LANG_LIB: &str = "ara";
        /// `"العربية"`
        pub const LANG_NAME: &str = "العربية";
        /// `"ara"`
        pub const LANG_TERM: &str = "ara";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-20"`
        pub const DATE: &str = "2000-07-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Arabic"`
        pub const LANGUAGE: &str = "Arabic";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"United Arab Emirates"`
        pub const TERRITORY: &str = "United Arab Emirates";
        /// `"Arabic language locale for United Arab Emirates"`
        pub const TITLE: &str = "Arabic language locale for United Arab Emirates";
    }
    pub use super::ar_EG::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"د.إ."`
        pub const CURRENCY_SYMBOL: &str = "د.إ.";
        /// `3`
        pub const FRAC_DIGITS: i64 = 3;
        /// `"AED "`
        pub const INT_CURR_SYMBOL: &str = "AED ";
        /// `3`
        pub const INT_FRAC_DIGITS: i64 = 3;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const N_SIGN_POSN: i64 = 2;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"971"`
        pub const INT_PREFIX: &str = "971";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["ح", "ن", "ث", "ر", "خ", "ج", "س"]`
        pub const ABDAY: &[&str] = &["ح", "ن", "ث", "ر", "خ", "ج", "س"];
        /// `&["ينا", "فبر", "مار", "أبر", "ماي", "يون", "يول", "أغس", "سبت", "أكت", "نوف", "ديس"]`
        pub const ABMON: &[&str] = &["ينا", "فبر", "مار", "أبر", "ماي", "يون", "يول", "أغس", "سبت", "أكت", "نوف", "ديس"];
        /// `&["ص", "م"]`
        pub const AM_PM: &[&str] = &["ص", "م"];
        /// `"%d %b, %Y"`
        pub const D_FMT: &str = "%d %b, %Y";
        /// `"%d %b, %Y %Z %I:%M:%S %p"`
        pub const D_T_FMT: &str = "%d %b, %Y %Z %I:%M:%S %p";
        /// `&["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت "]`
        pub const DAY: &[&str] = &["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت "];
        /// `7`
        pub const FIRST_WEEKDAY: i64 = 7;
        /// `1`
        pub const FIRST_WORKDAY: i64 = 1;
        /// `&["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"]`
        pub const MON: &[&str] = &["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"];
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT: &str = "%Z %I:%M:%S %p";
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%Z %I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ar_BH {
    pub mod LC_ADDRESS {
        /// `"BH"`
        pub const COUNTRY_ABTWO: &str = "BH";
        /// `"BHR"`
        pub const COUNTRY_AB3: &str = "BHR";
        /// `"BRN"`
        pub const COUNTRY_CAR: &str = "BRN";
        /// `"البحرين"`
        pub const COUNTRY_NAME: &str = "البحرين";
        /// `48`
        pub const COUNTRY_NUM: i64 = 48;
        /// `"ar"`
        pub const LANG_AB: &str = "ar";
        /// `"ara"`
        pub const LANG_LIB: &str = "ara";
        /// `"العربية"`
        pub const LANG_NAME: &str = "العربية";
        /// `"ara"`
        pub const LANG_TERM: &str = "ara";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-20"`
        pub const DATE: &str = "2000-07-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Arabic"`
        pub const LANGUAGE: &str = "Arabic";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"Bahrain"`
        pub const TERRITORY: &str = "Bahrain";
        /// `"Arabic language locale for Bahrain"`
        pub const TITLE: &str = "Arabic language locale for Bahrain";
    }
    pub use super::ar_EG::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"د.ب."`
        pub const CURRENCY_SYMBOL: &str = "د.ب.";
        /// `3`
        pub const FRAC_DIGITS: i64 = 3;
        /// `"BHD "`
        pub const INT_CURR_SYMBOL: &str = "BHD ";
        /// `3`
        pub const INT_FRAC_DIGITS: i64 = 3;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const N_SIGN_POSN: i64 = 2;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"973"`
        pub const INT_PREFIX: &str = "973";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["ح", "ن", "ث", "ر", "خ", "ج", "س"]`
        pub const ABDAY: &[&str] = &["ح", "ن", "ث", "ر", "خ", "ج", "س"];
        /// `&["ينا", "فبر", "مار", "أبر", "ماي", "يون", "يول", "أغس", "سبت", "أكت", "نوف", "ديس"]`
        pub const ABMON: &[&str] = &["ينا", "فبر", "مار", "أبر", "ماي", "يون", "يول", "أغس", "سبت", "أكت", "نوف", "ديس"];
        /// `&["ص", "م"]`
        pub const AM_PM: &[&str] = &["ص", "م"];
        /// `"%d %b, %Y"`
        pub const D_FMT: &str = "%d %b, %Y";
        /// `"%d %b, %Y %Z %I:%M:%S %p"`
        pub const D_T_FMT: &str = "%d %b, %Y %Z %I:%M:%S %p";
        /// `&["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"]`
        pub const DAY: &[&str] = &["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"];
        /// `7`
        pub const FIRST_WEEKDAY: i64 = 7;
        /// `1`
        pub const FIRST_WORKDAY: i64 = 1;
        /// `&["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"]`
        pub const MON: &[&str] = &["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"];
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT: &str = "%Z %I:%M:%S %p";
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%Z %I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ar_DZ {
    pub mod LC_ADDRESS {
        /// `"DZ"`
        pub const COUNTRY_ABTWO: &str = "DZ";
        /// `"DZA"`
        pub const COUNTRY_AB3: &str = "DZA";
        /// `"DZ"`
        pub const COUNTRY_CAR: &str = "DZ";
        /// `"الجزائر"`
        pub const COUNTRY_NAME: &str = "الجزائر";
        /// `12`
        pub const COUNTRY_NUM: i64 = 12;
        /// `"ar"`
        pub const LANG_AB: &str = "ar";
        /// `"ara"`
        pub const LANG_LIB: &str = "ara";
        /// `"العربية"`
        pub const LANG_NAME: &str = "العربية";
        /// `"ara"`
        pub const LANG_TERM: &str = "ara";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-20"`
        pub const DATE: &str = "2000-07-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Arabic"`
        pub const LANGUAGE: &str = "Arabic";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"Algeria"`
        pub const TERRITORY: &str = "Algeria";
        /// `"Arabic language locale for Algeria"`
        pub const TITLE: &str = "Arabic language locale for Algeria";
    }
    pub use super::ar_EG::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"د.ج."`
        pub const CURRENCY_SYMBOL: &str = "د.ج.";
        /// `3`
        pub const FRAC_DIGITS: i64 = 3;
        /// `"DZD "`
        pub const INT_CURR_SYMBOL: &str = "DZD ";
        /// `3`
        pub const INT_FRAC_DIGITS: i64 = 3;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const N_SIGN_POSN: i64 = 2;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"213"`
        pub const INT_PREFIX: &str = "213";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["ح", "ن", "ث", "ر", "خ", "ج", "س"]`
        pub const ABDAY: &[&str] = &["ح", "ن", "ث", "ر", "خ", "ج", "س"];
        /// `&["جانفي", "فيفري", "مارس", "أفريل", "ماي", "جوان", "جويلية", "أوت", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"]`
        pub const ABMON: &[&str] = &["جانفي", "فيفري", "مارس", "أفريل", "ماي", "جوان", "جويلية", "أوت", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"];
        /// `&["ص", "م"]`
        pub const AM_PM: &[&str] = &["ص", "م"];
        /// `"%d %b, %Y"`
        pub const D_FMT: &str = "%d %b, %Y";
        /// `"%d %b, %Y %Z %I:%M:%S %p"`
        pub const D_T_FMT: &str = "%d %b, %Y %Z %I:%M:%S %p";
        /// `&["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"]`
        pub const DAY: &[&str] = &["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"];
        /// `7`
        pub const FIRST_WEEKDAY: i64 = 7;
        /// `1`
        pub const FIRST_WORKDAY: i64 = 1;
        /// `&["جانفي", "فيفري", "مارس", "أفريل", "ماي", "جوان", "جويلية", "أوت", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"]`
        pub const MON: &[&str] = &["جانفي", "فيفري", "مارس", "أفريل", "ماي", "جوان", "جويلية", "أوت", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"];
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT: &str = "%Z %I:%M:%S %p";
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%Z %I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ar_EG {
    pub mod LC_ADDRESS {
        /// `"EG"`
        pub const COUNTRY_ABTWO: &str = "EG";
        /// `"EGY"`
        pub const COUNTRY_AB3: &str = "EGY";
        /// `"ET"`
        pub const COUNTRY_CAR: &str = "ET";
        /// `"مصر"`
        pub const COUNTRY_NAME: &str = "مصر";
        /// `818`
        pub const COUNTRY_NUM: i64 = 818;
        /// `"ar"`
        pub const LANG_AB: &str = "ar";
        /// `"ara"`
        pub const LANG_LIB: &str = "ara";
        /// `"العربية"`
        pub const LANG_NAME: &str = "العربية";
        /// `"ara"`
        pub const LANG_TERM: &str = "ara";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-20"`
        pub const DATE: &str = "2000-07-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Arabic"`
        pub const LANGUAGE: &str = "Arabic";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"Egypt"`
        pub const TERRITORY: &str = "Egypt";
        /// `"Arabic language locale for Egypt"`
        pub const TITLE: &str = "Arabic language locale for Egypt";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0لnN]"`
        pub const NOEXPR: &str = "^[-0لnN]";
        /// `"لا"`
        pub const NOSTR: &str = "لا";
        /// `"^[+1نyY]"`
        pub const YESEXPR: &str = "^[+1نyY]";
        /// `"نعم"`
        pub const YESSTR: &str = "نعم";
    }
    pub mod LC_MONETARY {
        /// `"ج.م."`
        pub const CURRENCY_SYMBOL: &str = "ج.م.";
        /// `3`
        pub const FRAC_DIGITS: i64 = 3;
        /// `"EGP "`
        pub const INT_CURR_SYMBOL: &str = "EGP ";
        /// `3`
        pub const INT_FRAC_DIGITS: i64 = 3;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const N_SIGN_POSN: i64 = 2;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"20"`
        pub const INT_PREFIX: &str = "20";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["ح", "ن", "ث", "ر", "خ", "ج", "س"]`
        pub const ABDAY: &[&str] = &["ح", "ن", "ث", "ر", "خ", "ج", "س"];
        /// `&["ينا", "فبر", "مار", "أبر", "ماي", "يون", "يول", "أغس", "سبت", "أكت", "نوف", "ديس"]`
        pub const ABMON: &[&str] = &["ينا", "فبر", "مار", "أبر", "ماي", "يون", "يول", "أغس", "سبت", "أكت", "نوف", "ديس"];
        /// `&["ص", "م"]`
        pub const AM_PM: &[&str] = &["ص", "م"];
        /// `"%d %b, %Y"`
        pub const D_FMT: &str = "%d %b, %Y";
        /// `"%d %b, %Y %Z %I:%M:%S %p"`
        pub const D_T_FMT: &str = "%d %b, %Y %Z %I:%M:%S %p";
        /// `&["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"]`
        pub const DAY: &[&str] = &["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"];
        /// `7`
        pub const FIRST_WEEKDAY: i64 = 7;
        /// `1`
        pub const FIRST_WORKDAY: i64 = 1;
        /// `&["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"]`
        pub const MON: &[&str] = &["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"];
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT: &str = "%Z %I:%M:%S %p";
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%Z %I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ar_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"الهند"`
        pub const COUNTRY_NAME: &str = "الهند";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"ar"`
        pub const LANG_AB: &str = "ar";
        /// `"ara"`
        pub const LANG_LIB: &str = "ara";
        /// `"العربية"`
        pub const LANG_NAME: &str = "العربية";
        /// `"ara"`
        pub const LANG_TERM: &str = "ara";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000,October,27 (XML source:2000,July,20)"`
        pub const DATE: &str = "2000,October,27 (XML source:2000,July,20)";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Arabic"`
        pub const LANGUAGE: &str = "Arabic";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Arabic language locale for India"`
        pub const TITLE: &str = "Arabic language locale for India";
    }
    pub use super::ar_EG::LC_MESSAGES;
    pub use super::hi_IN::LC_MONETARY;
    pub use super::hi_IN::LC_NUMERIC;
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["ح", "ن", "ث", "ر", "خ", "ج", "س"]`
        pub const ABDAY: &[&str] = &["ح", "ن", "ث", "ر", "خ", "ج", "س"];
        /// `&["ينا", "فبر", "مار", "أبر", "ماي", "يون", "يول", "أغس", "سبت", "أكت", "نوف", "ديس"]`
        pub const ABMON: &[&str] = &["ينا", "فبر", "مار", "أبر", "ماي", "يون", "يول", "أغس", "سبت", "أكت", "نوف", "ديس"];
        /// `&["ص", "م"]`
        pub const AM_PM: &[&str] = &["ص", "م"];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %B %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %B %Y %I:%M:%S %p %Z";
        /// `&["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"]`
        pub const DAY: &[&str] = &["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"];
        /// `&["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"]`
        pub const MON: &[&str] = &["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ar_IQ {
    pub mod LC_ADDRESS {
        /// `"IQ"`
        pub const COUNTRY_ABTWO: &str = "IQ";
        /// `"IRQ"`
        pub const COUNTRY_AB3: &str = "IRQ";
        /// `"IRQ"`
        pub const COUNTRY_CAR: &str = "IRQ";
        /// `"العراق"`
        pub const COUNTRY_NAME: &str = "العراق";
        /// `368`
        pub const COUNTRY_NUM: i64 = 368;
        /// `"ar"`
        pub const LANG_AB: &str = "ar";
        /// `"ara"`
        pub const LANG_LIB: &str = "ara";
        /// `"العربية"`
        pub const LANG_NAME: &str = "العربية";
        /// `"ara"`
        pub const LANG_TERM: &str = "ara";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-20"`
        pub const DATE: &str = "2000-07-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Arabic"`
        pub const LANGUAGE: &str = "Arabic";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"Iraq"`
        pub const TERRITORY: &str = "Iraq";
        /// `"Arabic language locale for Iraq"`
        pub const TITLE: &str = "Arabic language locale for Iraq";
    }
    pub use super::ar_EG::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"د.ع."`
        pub const CURRENCY_SYMBOL: &str = "د.ع.";
        /// `3`
        pub const FRAC_DIGITS: i64 = 3;
        /// `"IQD "`
        pub const INT_CURR_SYMBOL: &str = "IQD ";
        /// `3`
        pub const INT_FRAC_DIGITS: i64 = 3;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const N_SIGN_POSN: i64 = 2;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"964"`
        pub const INT_PREFIX: &str = "964";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["ح", "ن", "ث", "ر", "خ", "ج", "س"]`
        pub const ABDAY: &[&str] = &["ح", "ن", "ث", "ر", "خ", "ج", "س"];
        /// `&["كانون الثاني", "شباط", "آذار", "نيسان", "أيار", "حزيران", "تموز", "آب", "أيلول", "تشرين الأول", "تشرين الثاني", "كانون الأول"]`
        pub const ABMON: &[&str] = &["كانون الثاني", "شباط", "آذار", "نيسان", "أيار", "حزيران", "تموز", "آب", "أيلول", "تشرين الأول", "تشرين الثاني", "كانون الأول"];
        /// `&["ص", "م"]`
        pub const AM_PM: &[&str] = &["ص", "م"];
        /// `"%d %b, %Y"`
        pub const D_FMT: &str = "%d %b, %Y";
        /// `"%d %b, %Y %Z %I:%M:%S %p"`
        pub const D_T_FMT: &str = "%d %b, %Y %Z %I:%M:%S %p";
        /// `&["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"]`
        pub const DAY: &[&str] = &["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"];
        /// `7`
        pub const FIRST_WEEKDAY: i64 = 7;
        /// `1`
        pub const FIRST_WORKDAY: i64 = 1;
        /// `&["كانون الثاني", "شباط", "آذار", "نيسان", "أيار", "حزيران", "تموز", "آب", "أيلول", "تشرين الأول", "تشرين الثاني", "كانون الأول"]`
        pub const MON: &[&str] = &["كانون الثاني", "شباط", "آذار", "نيسان", "أيار", "حزيران", "تموز", "آب", "أيلول", "تشرين الأول", "تشرين الثاني", "كانون الأول"];
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT: &str = "%Z %I:%M:%S %p";
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%Z %I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ar_JO {
    pub mod LC_ADDRESS {
        /// `"JO"`
        pub const COUNTRY_ABTWO: &str = "JO";
        /// `"JOR"`
        pub const COUNTRY_AB3: &str = "JOR";
        /// `"HKJ"`
        pub const COUNTRY_CAR: &str = "HKJ";
        /// `"الأردن"`
        pub const COUNTRY_NAME: &str = "الأردن";
        /// `400`
        pub const COUNTRY_NUM: i64 = 400;
        /// `"ar"`
        pub const LANG_AB: &str = "ar";
        /// `"ara"`
        pub const LANG_LIB: &str = "ara";
        /// `"العربية"`
        pub const LANG_NAME: &str = "العربية";
        /// `"ara"`
        pub const LANG_TERM: &str = "ara";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-20"`
        pub const DATE: &str = "2000-07-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Arabic"`
        pub const LANGUAGE: &str = "Arabic";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"Jordan"`
        pub const TERRITORY: &str = "Jordan";
        /// `"Arabic language locale for Jordan"`
        pub const TITLE: &str = "Arabic language locale for Jordan";
    }
    pub use super::ar_EG::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"د.أ."`
        pub const CURRENCY_SYMBOL: &str = "د.أ.";
        /// `3`
        pub const FRAC_DIGITS: i64 = 3;
        /// `"JOD "`
        pub const INT_CURR_SYMBOL: &str = "JOD ";
        /// `3`
        pub const INT_FRAC_DIGITS: i64 = 3;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const N_SIGN_POSN: i64 = 2;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"962"`
        pub const INT_PREFIX: &str = "962";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["ح", "ن", "ث", "ر", "خ", "ج", "س"]`
        pub const ABDAY: &[&str] = &["ح", "ن", "ث", "ر", "خ", "ج", "س"];
        /// `&["كانون ال\nثاني", "شباط", "آذار", "نيسان", "أيار", "حزيران", "تموز", "آب", "أيلول", "تشرين ال\nأول", "تشرين ال\nثاني", "كانون ال\nأول"]`
        pub const ABMON: &[&str] = &["كانون ال\nثاني", "شباط", "آذار", "نيسان", "أيار", "حزيران", "تموز", "آب", "أيلول", "تشرين ال\nأول", "تشرين ال\nثاني", "كانون ال\nأول"];
        /// `&["ص", "م"]`
        pub const AM_PM: &[&str] = &["ص", "م"];
        /// `"%d %b, %Y"`
        pub const D_FMT: &str = "%d %b, %Y";
        /// `"%d %b, %Y %Z %I:%M:%S %p"`
        pub const D_T_FMT: &str = "%d %b, %Y %Z %I:%M:%S %p";
        /// `&["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"]`
        pub const DAY: &[&str] = &["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"];
        /// `7`
        pub const FIRST_WEEKDAY: i64 = 7;
        /// `1`
        pub const FIRST_WORKDAY: i64 = 1;
        /// `&["كانون ال\nثاني", "شباط", "آذار", "نيسان", "أيار", "حزيران", "تموز", "آب", "أيلول", "تشرين ال\nأول", "تشرين ال\nثاني", "كانون ال\nأول"]`
        pub const MON: &[&str] = &["كانون ال\nثاني", "شباط", "آذار", "نيسان", "أيار", "حزيران", "تموز", "آب", "أيلول", "تشرين ال\nأول", "تشرين ال\nثاني", "كانون ال\nأول"];
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT: &str = "%Z %I:%M:%S %p";
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%Z %I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ar_KW {
    pub mod LC_ADDRESS {
        /// `"KW"`
        pub const COUNTRY_ABTWO: &str = "KW";
        /// `"KWT"`
        pub const COUNTRY_AB3: &str = "KWT";
        /// `"KWT"`
        pub const COUNTRY_CAR: &str = "KWT";
        /// `"الكويت"`
        pub const COUNTRY_NAME: &str = "الكويت";
        /// `414`
        pub const COUNTRY_NUM: i64 = 414;
        /// `"ar"`
        pub const LANG_AB: &str = "ar";
        /// `"ara"`
        pub const LANG_LIB: &str = "ara";
        /// `"العربية"`
        pub const LANG_NAME: &str = "العربية";
        /// `"ara"`
        pub const LANG_TERM: &str = "ara";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-20"`
        pub const DATE: &str = "2000-07-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Arabic"`
        pub const LANGUAGE: &str = "Arabic";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"Kuwait"`
        pub const TERRITORY: &str = "Kuwait";
        /// `"Arabic language locale for Kuwait"`
        pub const TITLE: &str = "Arabic language locale for Kuwait";
    }
    pub use super::ar_EG::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"د.ك."`
        pub const CURRENCY_SYMBOL: &str = "د.ك.";
        /// `3`
        pub const FRAC_DIGITS: i64 = 3;
        /// `"KWD "`
        pub const INT_CURR_SYMBOL: &str = "KWD ";
        /// `3`
        pub const INT_FRAC_DIGITS: i64 = 3;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const N_SIGN_POSN: i64 = 2;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"965"`
        pub const INT_PREFIX: &str = "965";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["ح", "ن", "ث", "ر", "خ", "ج", "س"]`
        pub const ABDAY: &[&str] = &["ح", "ن", "ث", "ر", "خ", "ج", "س"];
        /// `&["ينا", "فبر", "مار", "أبر", "ماي", "يون", "يول", "أغس", "سبت", "أكت", "نوف", "ديس"]`
        pub const ABMON: &[&str] = &["ينا", "فبر", "مار", "أبر", "ماي", "يون", "يول", "أغس", "سبت", "أكت", "نوف", "ديس"];
        /// `&["ص", "م"]`
        pub const AM_PM: &[&str] = &["ص", "م"];
        /// `"%d %b, %Y"`
        pub const D_FMT: &str = "%d %b, %Y";
        /// `"%d %b, %Y %Z %I:%M:%S %p"`
        pub const D_T_FMT: &str = "%d %b, %Y %Z %I:%M:%S %p";
        /// `&["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"]`
        pub const DAY: &[&str] = &["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"];
        /// `7`
        pub const FIRST_WEEKDAY: i64 = 7;
        /// `1`
        pub const FIRST_WORKDAY: i64 = 1;
        /// `&["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"]`
        pub const MON: &[&str] = &["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"];
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT: &str = "%Z %I:%M:%S %p";
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%Z %I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ar_LB {
    pub mod LC_ADDRESS {
        /// `"LB"`
        pub const COUNTRY_ABTWO: &str = "LB";
        /// `"LBN"`
        pub const COUNTRY_AB3: &str = "LBN";
        /// `"RL"`
        pub const COUNTRY_CAR: &str = "RL";
        /// `"لبنان"`
        pub const COUNTRY_NAME: &str = "لبنان";
        /// `422`
        pub const COUNTRY_NUM: i64 = 422;
        /// `"ar"`
        pub const LANG_AB: &str = "ar";
        /// `"ara"`
        pub const LANG_LIB: &str = "ara";
        /// `"العربية"`
        pub const LANG_NAME: &str = "العربية";
        /// `"ara"`
        pub const LANG_TERM: &str = "ara";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-20"`
        pub const DATE: &str = "2000-07-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Arabic"`
        pub const LANGUAGE: &str = "Arabic";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"Lebanon"`
        pub const TERRITORY: &str = "Lebanon";
        /// `"Arabic language locale for Lebanon"`
        pub const TITLE: &str = "Arabic language locale for Lebanon";
    }
    pub use super::ar_EG::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"ل.ل."`
        pub const CURRENCY_SYMBOL: &str = "ل.ل.";
        /// `3`
        pub const FRAC_DIGITS: i64 = 3;
        /// `"LBP "`
        pub const INT_CURR_SYMBOL: &str = "LBP ";
        /// `3`
        pub const INT_FRAC_DIGITS: i64 = 3;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const N_SIGN_POSN: i64 = 2;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"961"`
        pub const INT_PREFIX: &str = "961";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["ح", "ن", "ث", "ر", "خ", "ج", "س"]`
        pub const ABDAY: &[&str] = &["ح", "ن", "ث", "ر", "خ", "ج", "س"];
        /// `&["كانون ال\nثاني", "شباط", "آذار", "نيسان", "أيار", "حزيران", "تموز", "آب", "أيلول", "تشرين ال\nأول", "تشرين ال\nثاني", "كانون ال\nأول"]`
        pub const ABMON: &[&str] = &["كانون ال\nثاني", "شباط", "آذار", "نيسان", "أيار", "حزيران", "تموز", "آب", "أيلول", "تشرين ال\nأول", "تشرين ال\nثاني", "كانون ال\nأول"];
        /// `&["ص", "م"]`
        pub const AM_PM: &[&str] = &["ص", "م"];
        /// `"%d %b, %Y"`
        pub const D_FMT: &str = "%d %b, %Y";
        /// `"%d %b, %Y %Z %I:%M:%S %p"`
        pub const D_T_FMT: &str = "%d %b, %Y %Z %I:%M:%S %p";
        /// `&["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"]`
        pub const DAY: &[&str] = &["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["كانون ال\nثاني", "شباط", "آذار", "نيسان", "أيار", "حزيران", "تموز", "آب", "أيلول", "تشرين ال\nأول", "تشرين ال\nثاني", "كانون ال\nأول"]`
        pub const MON: &[&str] = &["كانون ال\nثاني", "شباط", "آذار", "نيسان", "أيار", "حزيران", "تموز", "آب", "أيلول", "تشرين ال\nأول", "تشرين ال\nثاني", "كانون ال\nأول"];
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT: &str = "%Z %I:%M:%S %p";
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%Z %I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ar_LY {
    pub mod LC_ADDRESS {
        /// `"LY"`
        pub const COUNTRY_ABTWO: &str = "LY";
        /// `"LBY"`
        pub const COUNTRY_AB3: &str = "LBY";
        /// `"LAR"`
        pub const COUNTRY_CAR: &str = "LAR";
        /// `"ليبيا"`
        pub const COUNTRY_NAME: &str = "ليبيا";
        /// `434`
        pub const COUNTRY_NUM: i64 = 434;
        /// `"ar"`
        pub const LANG_AB: &str = "ar";
        /// `"ara"`
        pub const LANG_LIB: &str = "ara";
        /// `"العربية"`
        pub const LANG_NAME: &str = "العربية";
        /// `"ara"`
        pub const LANG_TERM: &str = "ara";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-20"`
        pub const DATE: &str = "2000-07-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Arabic"`
        pub const LANGUAGE: &str = "Arabic";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"Libya"`
        pub const TERRITORY: &str = "Libya";
        /// `"Arabic language locale for Libyan Arab Jamahiriya"`
        pub const TITLE: &str = "Arabic language locale for Libyan Arab Jamahiriya";
    }
    pub use super::ar_EG::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"د.ل."`
        pub const CURRENCY_SYMBOL: &str = "د.ل.";
        /// `3`
        pub const FRAC_DIGITS: i64 = 3;
        /// `"LYD "`
        pub const INT_CURR_SYMBOL: &str = "LYD ";
        /// `3`
        pub const INT_FRAC_DIGITS: i64 = 3;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const N_SIGN_POSN: i64 = 2;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"218"`
        pub const INT_PREFIX: &str = "218";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["ح", "ن", "ث", "ر", "خ", "ج", "س"]`
        pub const ABDAY: &[&str] = &["ح", "ن", "ث", "ر", "خ", "ج", "س"];
        /// `&["ينا", "فبر", "مار", "أبر", "ماي", "يون", "يول", "أغس", "سبت", "أكت", "نوف", "ديس"]`
        pub const ABMON: &[&str] = &["ينا", "فبر", "مار", "أبر", "ماي", "يون", "يول", "أغس", "سبت", "أكت", "نوف", "ديس"];
        /// `&["ص", "م"]`
        pub const AM_PM: &[&str] = &["ص", "م"];
        /// `"%d %b, %Y"`
        pub const D_FMT: &str = "%d %b, %Y";
        /// `"%d %b, %Y %Z %I:%M:%S %p"`
        pub const D_T_FMT: &str = "%d %b, %Y %Z %I:%M:%S %p";
        /// `&["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"]`
        pub const DAY: &[&str] = &["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"];
        /// `7`
        pub const FIRST_WEEKDAY: i64 = 7;
        /// `1`
        pub const FIRST_WORKDAY: i64 = 1;
        /// `&["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"]`
        pub const MON: &[&str] = &["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"];
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT: &str = "%Z %I:%M:%S %p";
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%Z %I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ar_MA {
    pub mod LC_ADDRESS {
        /// `"MA"`
        pub const COUNTRY_ABTWO: &str = "MA";
        /// `"MAR"`
        pub const COUNTRY_AB3: &str = "MAR";
        /// `"MA"`
        pub const COUNTRY_CAR: &str = "MA";
        /// `"المغرب"`
        pub const COUNTRY_NAME: &str = "المغرب";
        /// `504`
        pub const COUNTRY_NUM: i64 = 504;
        /// `"ar"`
        pub const LANG_AB: &str = "ar";
        /// `"ara"`
        pub const LANG_LIB: &str = "ara";
        /// `"العربية"`
        pub const LANG_NAME: &str = "العربية";
        /// `"ara"`
        pub const LANG_TERM: &str = "ara";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-20"`
        pub const DATE: &str = "2000-07-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Arabic"`
        pub const LANGUAGE: &str = "Arabic";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"Morocco"`
        pub const TERRITORY: &str = "Morocco";
        /// `"Arabic language locale for Morocco"`
        pub const TITLE: &str = "Arabic language locale for Morocco";
    }
    pub use super::ar_EG::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"د.م."`
        pub const CURRENCY_SYMBOL: &str = "د.م.";
        /// `3`
        pub const FRAC_DIGITS: i64 = 3;
        /// `"MAD "`
        pub const INT_CURR_SYMBOL: &str = "MAD ";
        /// `3`
        pub const INT_FRAC_DIGITS: i64 = 3;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const N_SIGN_POSN: i64 = 2;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"212"`
        pub const INT_PREFIX: &str = "212";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["ح", "ن", "ث", "ر", "خ", "ج", "س"]`
        pub const ABDAY: &[&str] = &["ح", "ن", "ث", "ر", "خ", "ج", "س"];
        /// `&["يناير", "فبراير", "مارس", "أبريل", "ماي", "يونيو", "يوليوز", "غشت", "شتنبر", "أكتوبر", "نونبر", "دجنبر"]`
        pub const ABMON: &[&str] = &["يناير", "فبراير", "مارس", "أبريل", "ماي", "يونيو", "يوليوز", "غشت", "شتنبر", "أكتوبر", "نونبر", "دجنبر"];
        /// `&["ص", "م"]`
        pub const AM_PM: &[&str] = &["ص", "م"];
        /// `"%d %b, %Y"`
        pub const D_FMT: &str = "%d %b, %Y";
        /// `"%d %b, %Y %Z %H:%M:%S"`
        pub const D_T_FMT: &str = "%d %b, %Y %Z %H:%M:%S";
        /// `&["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"]`
        pub const DAY: &[&str] = &["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"];
        /// `7`
        pub const FIRST_WEEKDAY: i64 = 7;
        /// `1`
        pub const FIRST_WORKDAY: i64 = 1;
        /// `&["يناير", "فبراير", "مارس", "أبريل", "ماي", "يونيو", "يوليوز", "غشت", "شتنبر", "أكتوبر", "نونبر", "دجنبر"]`
        pub const MON: &[&str] = &["يناير", "فبراير", "مارس", "أبريل", "ماي", "يونيو", "يوليوز", "غشت", "شتنبر", "أكتوبر", "نونبر", "دجنبر"];
        /// `"%Z %H:%M:%S"`
        pub const T_FMT: &str = "%Z %H:%M:%S";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ar_OM {
    pub mod LC_ADDRESS {
        /// `"OM"`
        pub const COUNTRY_ABTWO: &str = "OM";
        /// `"OMN"`
        pub const COUNTRY_AB3: &str = "OMN";
        /// `"OM"`
        pub const COUNTRY_CAR: &str = "OM";
        /// `"ع\u{64f}مان"`
        pub const COUNTRY_NAME: &str = "ع\u{64f}مان";
        /// `512`
        pub const COUNTRY_NUM: i64 = 512;
        /// `"ar"`
        pub const LANG_AB: &str = "ar";
        /// `"ara"`
        pub const LANG_LIB: &str = "ara";
        /// `"العربية"`
        pub const LANG_NAME: &str = "العربية";
        /// `"ara"`
        pub const LANG_TERM: &str = "ara";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-20"`
        pub const DATE: &str = "2000-07-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Arabic"`
        pub const LANGUAGE: &str = "Arabic";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"Oman"`
        pub const TERRITORY: &str = "Oman";
        /// `"Arabic language locale for Oman"`
        pub const TITLE: &str = "Arabic language locale for Oman";
    }
    pub use super::ar_EG::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"ر.ع."`
        pub const CURRENCY_SYMBOL: &str = "ر.ع.";
        /// `3`
        pub const FRAC_DIGITS: i64 = 3;
        /// `"OMR "`
        pub const INT_CURR_SYMBOL: &str = "OMR ";
        /// `3`
        pub const INT_FRAC_DIGITS: i64 = 3;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const N_SIGN_POSN: i64 = 2;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"968"`
        pub const INT_PREFIX: &str = "968";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["ح", "ن", "ث", "ر", "خ", "ج", "س"]`
        pub const ABDAY: &[&str] = &["ح", "ن", "ث", "ر", "خ", "ج", "س"];
        /// `&["ينا", "فبر", "مار", "أبر", "ماي", "يون", "يول", "أغس", "سبت", "أكت", "نوف", "ديس"]`
        pub const ABMON: &[&str] = &["ينا", "فبر", "مار", "أبر", "ماي", "يون", "يول", "أغس", "سبت", "أكت", "نوف", "ديس"];
        /// `&["ص", "م"]`
        pub const AM_PM: &[&str] = &["ص", "م"];
        /// `"%d %b, %Y"`
        pub const D_FMT: &str = "%d %b, %Y";
        /// `"%d %b, %Y %Z %I:%M:%S %p"`
        pub const D_T_FMT: &str = "%d %b, %Y %Z %I:%M:%S %p";
        /// `&["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"]`
        pub const DAY: &[&str] = &["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"];
        /// `7`
        pub const FIRST_WEEKDAY: i64 = 7;
        /// `1`
        pub const FIRST_WORKDAY: i64 = 1;
        /// `&["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"]`
        pub const MON: &[&str] = &["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"];
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT: &str = "%Z %I:%M:%S %p";
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%Z %I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ar_QA {
    pub mod LC_ADDRESS {
        /// `"QA"`
        pub const COUNTRY_ABTWO: &str = "QA";
        /// `"QAT"`
        pub const COUNTRY_AB3: &str = "QAT";
        /// `"Q"`
        pub const COUNTRY_CAR: &str = "Q";
        /// `"قطر"`
        pub const COUNTRY_NAME: &str = "قطر";
        /// `634`
        pub const COUNTRY_NUM: i64 = 634;
        /// `"ar"`
        pub const LANG_AB: &str = "ar";
        /// `"ara"`
        pub const LANG_LIB: &str = "ara";
        /// `"العربية"`
        pub const LANG_NAME: &str = "العربية";
        /// `"ara"`
        pub const LANG_TERM: &str = "ara";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-20"`
        pub const DATE: &str = "2000-07-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Arabic"`
        pub const LANGUAGE: &str = "Arabic";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"Qatar"`
        pub const TERRITORY: &str = "Qatar";
        /// `"Arabic language locale for Qatar"`
        pub const TITLE: &str = "Arabic language locale for Qatar";
    }
    pub use super::ar_EG::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"ر.ق."`
        pub const CURRENCY_SYMBOL: &str = "ر.ق.";
        /// `3`
        pub const FRAC_DIGITS: i64 = 3;
        /// `"QAR "`
        pub const INT_CURR_SYMBOL: &str = "QAR ";
        /// `3`
        pub const INT_FRAC_DIGITS: i64 = 3;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const N_SIGN_POSN: i64 = 2;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"974"`
        pub const INT_PREFIX: &str = "974";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["ح", "ن", "ث", "ر", "خ", "ج", "س"]`
        pub const ABDAY: &[&str] = &["ح", "ن", "ث", "ر", "خ", "ج", "س"];
        /// `&["ينا", "فبر", "مار", "أبر", "ماي", "يون", "يول", "أغس", "سبت", "أكت", "نوف", "ديس"]`
        pub const ABMON: &[&str] = &["ينا", "فبر", "مار", "أبر", "ماي", "يون", "يول", "أغس", "سبت", "أكت", "نوف", "ديس"];
        /// `&["ص", "م"]`
        pub const AM_PM: &[&str] = &["ص", "م"];
        /// `"%d %b, %Y"`
        pub const D_FMT: &str = "%d %b, %Y";
        /// `"%d %b, %Y %Z %I:%M:%S %p"`
        pub const D_T_FMT: &str = "%d %b, %Y %Z %I:%M:%S %p";
        /// `&["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"]`
        pub const DAY: &[&str] = &["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"];
        /// `7`
        pub const FIRST_WEEKDAY: i64 = 7;
        /// `1`
        pub const FIRST_WORKDAY: i64 = 1;
        /// `&["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"]`
        pub const MON: &[&str] = &["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"];
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT: &str = "%Z %I:%M:%S %p";
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%Z %I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ar_SA {
    pub mod LC_ADDRESS {
        /// `"SA"`
        pub const COUNTRY_ABTWO: &str = "SA";
        /// `"SAU"`
        pub const COUNTRY_AB3: &str = "SAU";
        /// `"KSA"`
        pub const COUNTRY_CAR: &str = "KSA";
        /// `"المملكة العربية السعودية"`
        pub const COUNTRY_NAME: &str = "المملكة العربية السعودية";
        /// `682`
        pub const COUNTRY_NUM: i64 = 682;
        /// `"ar"`
        pub const LANG_AB: &str = "ar";
        /// `"ara"`
        pub const LANG_LIB: &str = "ara";
        /// `"العربية"`
        pub const LANG_NAME: &str = "العربية";
        /// `"ara"`
        pub const LANG_TERM: &str = "ara";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Arabic"`
        pub const LANGUAGE: &str = "Arabic";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Saudi Arabia"`
        pub const TERRITORY: &str = "Saudi Arabia";
        /// `"Arabic locale for Saudi Arabia"`
        pub const TITLE: &str = "Arabic locale for Saudi Arabia";
    }
    pub use super::ar_EG::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"ر.س"`
        pub const CURRENCY_SYMBOL: &str = "ر.س";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"SAR "`
        pub const INT_CURR_SYMBOL: &str = "SAR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `-1`
        pub const MON_GROUPING: i64 = -1;
        /// `""`
        pub const MON_THOUSANDS_SEP: &str = "";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `-1`
        pub const GROUPING: i64 = -1;
        /// `""`
        pub const THOUSANDS_SEP: &str = "";
    }
    pub mod LC_TELEPHONE {
        /// `"966"`
        pub const INT_PREFIX: &str = "966";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["ح", "ن", "ث", "ر", "خ", "ج", "س"]`
        pub const ABDAY: &[&str] = &["ح", "ن", "ث", "ر", "خ", "ج", "س"];
        /// `&["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"]`
        pub const ABMON: &[&str] = &["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%A %e %B %Y"`
        pub const D_FMT: &str = "%A %e %B %Y";
        /// `"%A %e %B %Y  %k:%M:%S"`
        pub const D_T_FMT: &str = "%A %e %B %Y  %k:%M:%S";
        /// `&["الأحد", "الإثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعـة", "السبت"]`
        pub const DAY: &[&str] = &["الأحد", "الإثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعـة", "السبت"];
        /// `""`
        pub const ERA_D_FMT: &str = "";
        /// `1`
        pub const FIRST_WORKDAY: i64 = 1;
        /// `&["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"]`
        pub const MON: &[&str] = &["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"];
        /// `"%k:%M:%S"`
        pub const T_FMT: &str = "%k:%M:%S";
        /// `"%k:%M:%S"`
        pub const T_FMT_AMPM: &str = "%k:%M:%S";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ar_SD {
    pub mod LC_ADDRESS {
        /// `"SD"`
        pub const COUNTRY_ABTWO: &str = "SD";
        /// `"SDN"`
        pub const COUNTRY_AB3: &str = "SDN";
        /// `"SUD"`
        pub const COUNTRY_CAR: &str = "SUD";
        /// `"السودان"`
        pub const COUNTRY_NAME: &str = "السودان";
        /// `729`
        pub const COUNTRY_NUM: i64 = 729;
        /// `"ar"`
        pub const LANG_AB: &str = "ar";
        /// `"ara"`
        pub const LANG_LIB: &str = "ara";
        /// `"العربية"`
        pub const LANG_NAME: &str = "العربية";
        /// `"ara"`
        pub const LANG_TERM: &str = "ara";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-20"`
        pub const DATE: &str = "2000-07-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Arabic"`
        pub const LANGUAGE: &str = "Arabic";
        /// `"1.1"`
        pub const REVISION: &str = "1.1";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"Sudan"`
        pub const TERRITORY: &str = "Sudan";
        /// `"Arabic language locale for Sudan"`
        pub const TITLE: &str = "Arabic language locale for Sudan";
    }
    pub use super::ar_EG::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"ج.س."`
        pub const CURRENCY_SYMBOL: &str = "ج.س.";
        /// `3`
        pub const FRAC_DIGITS: i64 = 3;
        /// `"SDG "`
        pub const INT_CURR_SYMBOL: &str = "SDG ";
        /// `3`
        pub const INT_FRAC_DIGITS: i64 = 3;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const N_SIGN_POSN: i64 = 2;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"249"`
        pub const INT_PREFIX: &str = "249";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["ح", "ن", "ث", "ر", "خ", "ج", "س"]`
        pub const ABDAY: &[&str] = &["ح", "ن", "ث", "ر", "خ", "ج", "س"];
        /// `&["ينا", "فبر", "مار", "أبر", "ماي", "يون", "يول", "أغس", "سبت", "أكت", "نوف", "ديس"]`
        pub const ABMON: &[&str] = &["ينا", "فبر", "مار", "أبر", "ماي", "يون", "يول", "أغس", "سبت", "أكت", "نوف", "ديس"];
        /// `&["ص", "م"]`
        pub const AM_PM: &[&str] = &["ص", "م"];
        /// `"%d %b, %Y"`
        pub const D_FMT: &str = "%d %b, %Y";
        /// `"%d %b, %Y %Z %I:%M:%S %p"`
        pub const D_T_FMT: &str = "%d %b, %Y %Z %I:%M:%S %p";
        /// `&["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"]`
        pub const DAY: &[&str] = &["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"];
        /// `7`
        pub const FIRST_WEEKDAY: i64 = 7;
        /// `1`
        pub const FIRST_WORKDAY: i64 = 1;
        /// `&["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"]`
        pub const MON: &[&str] = &["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"];
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT: &str = "%Z %I:%M:%S %p";
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%Z %I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ar_SS {
    pub mod LC_ADDRESS {
        /// `"SS"`
        pub const COUNTRY_ABTWO: &str = "SS";
        /// `"SSD"`
        pub const COUNTRY_AB3: &str = "SSD";
        /// `"SUD"`
        pub const COUNTRY_CAR: &str = "SUD";
        /// `"جنوب السودان"`
        pub const COUNTRY_NAME: &str = "جنوب السودان";
        /// `728`
        pub const COUNTRY_NUM: i64 = 728;
        /// `"ar"`
        pub const LANG_AB: &str = "ar";
        /// `"ara"`
        pub const LANG_LIB: &str = "ara";
        /// `"العربية"`
        pub const LANG_NAME: &str = "العربية";
        /// `"ara"`
        pub const LANG_TERM: &str = "ara";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-20"`
        pub const DATE: &str = "2000-07-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Arabic"`
        pub const LANGUAGE: &str = "Arabic";
        /// `"1.1"`
        pub const REVISION: &str = "1.1";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"South Sudan"`
        pub const TERRITORY: &str = "South Sudan";
        /// `"Arabic language locale for South Sudan"`
        pub const TITLE: &str = "Arabic language locale for South Sudan";
    }
    pub use super::ar_EG::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"£"`
        pub const CURRENCY_SYMBOL: &str = "£";
        /// `3`
        pub const FRAC_DIGITS: i64 = 3;
        /// `"SSP "`
        pub const INT_CURR_SYMBOL: &str = "SSP ";
        /// `3`
        pub const INT_FRAC_DIGITS: i64 = 3;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const N_SIGN_POSN: i64 = 2;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"211"`
        pub const INT_PREFIX: &str = "211";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["ح", "ن", "ث", "ر", "خ", "ج", "س"]`
        pub const ABDAY: &[&str] = &["ح", "ن", "ث", "ر", "خ", "ج", "س"];
        /// `&["ينا", "فبر", "مار", "أبر", "ماي", "يون", "يول", "أغس", "سبت", "أكت", "نوف", "ديس"]`
        pub const ABMON: &[&str] = &["ينا", "فبر", "مار", "أبر", "ماي", "يون", "يول", "أغس", "سبت", "أكت", "نوف", "ديس"];
        /// `&["ص", "م"]`
        pub const AM_PM: &[&str] = &["ص", "م"];
        /// `"%d %b, %Y"`
        pub const D_FMT: &str = "%d %b, %Y";
        /// `"%d %b, %Y %Z %I:%M:%S %p"`
        pub const D_T_FMT: &str = "%d %b, %Y %Z %I:%M:%S %p";
        /// `&["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"]`
        pub const DAY: &[&str] = &["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"]`
        pub const MON: &[&str] = &["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"];
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT: &str = "%Z %I:%M:%S %p";
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%Z %I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ar_SY {
    pub mod LC_ADDRESS {
        /// `"SY"`
        pub const COUNTRY_ABTWO: &str = "SY";
        /// `"SYR"`
        pub const COUNTRY_AB3: &str = "SYR";
        /// `"SYR"`
        pub const COUNTRY_CAR: &str = "SYR";
        /// `"سوريا"`
        pub const COUNTRY_NAME: &str = "سوريا";
        /// `760`
        pub const COUNTRY_NUM: i64 = 760;
        /// `"ar"`
        pub const LANG_AB: &str = "ar";
        /// `"ara"`
        pub const LANG_LIB: &str = "ara";
        /// `"العربية"`
        pub const LANG_NAME: &str = "العربية";
        /// `"ara"`
        pub const LANG_TERM: &str = "ara";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-20"`
        pub const DATE: &str = "2000-07-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Arabic"`
        pub const LANGUAGE: &str = "Arabic";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"Syria"`
        pub const TERRITORY: &str = "Syria";
        /// `"Arabic language locale for Syrian Arab Republic"`
        pub const TITLE: &str = "Arabic language locale for Syrian Arab Republic";
    }
    pub use super::ar_EG::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"ل.س."`
        pub const CURRENCY_SYMBOL: &str = "ل.س.";
        /// `3`
        pub const FRAC_DIGITS: i64 = 3;
        /// `"SYP "`
        pub const INT_CURR_SYMBOL: &str = "SYP ";
        /// `3`
        pub const INT_FRAC_DIGITS: i64 = 3;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const N_SIGN_POSN: i64 = 2;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"963"`
        pub const INT_PREFIX: &str = "963";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["ح", "ن", "ث", "ر", "خ", "ج", "س"]`
        pub const ABDAY: &[&str] = &["ح", "ن", "ث", "ر", "خ", "ج", "س"];
        /// `&["كانون ال\nثاني", "شباط", "آذار", "نيسان", "أيار", "حزيران", "تموز", "آب", "أيلول", "تشرين ال\nأول", "تشرين ال\nثاني", "كانون ال\nأول"]`
        pub const ABMON: &[&str] = &["كانون ال\nثاني", "شباط", "آذار", "نيسان", "أيار", "حزيران", "تموز", "آب", "أيلول", "تشرين ال\nأول", "تشرين ال\nثاني", "كانون ال\nأول"];
        /// `&["ص", "م"]`
        pub const AM_PM: &[&str] = &["ص", "م"];
        /// `"%d %b, %Y"`
        pub const D_FMT: &str = "%d %b, %Y";
        /// `"%d %b, %Y %Z %I:%M:%S %p"`
        pub const D_T_FMT: &str = "%d %b, %Y %Z %I:%M:%S %p";
        /// `&["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"]`
        pub const DAY: &[&str] = &["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"];
        /// `7`
        pub const FIRST_WEEKDAY: i64 = 7;
        /// `1`
        pub const FIRST_WORKDAY: i64 = 1;
        /// `&["كانون ال\nثاني", "شباط", "آذار", "نيسان", "أيار", "حزيران", "تموز", "آب", "أيلول", "تشرين ال\nأول", "تشرين ال\nثاني", "كانون ال\nأول"]`
        pub const MON: &[&str] = &["كانون ال\nثاني", "شباط", "آذار", "نيسان", "أيار", "حزيران", "تموز", "آب", "أيلول", "تشرين ال\nأول", "تشرين ال\nثاني", "كانون ال\nأول"];
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT: &str = "%Z %I:%M:%S %p";
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%Z %I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ar_TN {
    pub mod LC_ADDRESS {
        /// `"TN"`
        pub const COUNTRY_ABTWO: &str = "TN";
        /// `"TUN"`
        pub const COUNTRY_AB3: &str = "TUN";
        /// `"TN"`
        pub const COUNTRY_CAR: &str = "TN";
        /// `"تونس"`
        pub const COUNTRY_NAME: &str = "تونس";
        /// `788`
        pub const COUNTRY_NUM: i64 = 788;
        /// `"ar"`
        pub const LANG_AB: &str = "ar";
        /// `"ara"`
        pub const LANG_LIB: &str = "ara";
        /// `"العربية"`
        pub const LANG_NAME: &str = "العربية";
        /// `"ara"`
        pub const LANG_TERM: &str = "ara";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-20"`
        pub const DATE: &str = "2000-07-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Arabic"`
        pub const LANGUAGE: &str = "Arabic";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"Tunisia"`
        pub const TERRITORY: &str = "Tunisia";
        /// `"Arabic language locale for Tunisia"`
        pub const TITLE: &str = "Arabic language locale for Tunisia";
    }
    pub use super::ar_EG::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"د.ت."`
        pub const CURRENCY_SYMBOL: &str = "د.ت.";
        /// `3`
        pub const FRAC_DIGITS: i64 = 3;
        /// `"TND "`
        pub const INT_CURR_SYMBOL: &str = "TND ";
        /// `3`
        pub const INT_FRAC_DIGITS: i64 = 3;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const N_SIGN_POSN: i64 = 2;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"216"`
        pub const INT_PREFIX: &str = "216";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["ح", "ن", "ث", "ر", "خ", "ج", "س"]`
        pub const ABDAY: &[&str] = &["ح", "ن", "ث", "ر", "خ", "ج", "س"];
        /// `&["جانفي", "فيفري", "مارس", "أفريل", "ماي", "جوان", "جويلية", "أوت", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"]`
        pub const ABMON: &[&str] = &["جانفي", "فيفري", "مارس", "أفريل", "ماي", "جوان", "جويلية", "أوت", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"];
        /// `&["ص", "م"]`
        pub const AM_PM: &[&str] = &["ص", "م"];
        /// `"%d %b, %Y"`
        pub const D_FMT: &str = "%d %b, %Y";
        /// `"%d %b, %Y %Z %I:%M:%S %p"`
        pub const D_T_FMT: &str = "%d %b, %Y %Z %I:%M:%S %p";
        /// `&["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"]`
        pub const DAY: &[&str] = &["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"];
        /// `1`
        pub const FIRST_WORKDAY: i64 = 1;
        /// `&["جانفي", "فيفري", "مارس", "أفريل", "ماي", "جوان", "جويلية", "أوت", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"]`
        pub const MON: &[&str] = &["جانفي", "فيفري", "مارس", "أفريل", "ماي", "جوان", "جويلية", "أوت", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"];
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT: &str = "%Z %I:%M:%S %p";
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%Z %I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ar_YE {
    pub mod LC_ADDRESS {
        /// `"YE"`
        pub const COUNTRY_ABTWO: &str = "YE";
        /// `"YEM"`
        pub const COUNTRY_AB3: &str = "YEM";
        /// `"YAR"`
        pub const COUNTRY_CAR: &str = "YAR";
        /// `"اليمن"`
        pub const COUNTRY_NAME: &str = "اليمن";
        /// `887`
        pub const COUNTRY_NUM: i64 = 887;
        /// `"ar"`
        pub const LANG_AB: &str = "ar";
        /// `"ara"`
        pub const LANG_LIB: &str = "ara";
        /// `"العربية"`
        pub const LANG_NAME: &str = "العربية";
        /// `"ara"`
        pub const LANG_TERM: &str = "ara";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-20"`
        pub const DATE: &str = "2000-07-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Arabic"`
        pub const LANGUAGE: &str = "Arabic";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"Yemen"`
        pub const TERRITORY: &str = "Yemen";
        /// `"Arabic language locale for Yemen"`
        pub const TITLE: &str = "Arabic language locale for Yemen";
    }
    pub use super::ar_EG::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"ر.ي."`
        pub const CURRENCY_SYMBOL: &str = "ر.ي.";
        /// `3`
        pub const FRAC_DIGITS: i64 = 3;
        /// `"YER "`
        pub const INT_CURR_SYMBOL: &str = "YER ";
        /// `3`
        pub const INT_FRAC_DIGITS: i64 = 3;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const N_SIGN_POSN: i64 = 2;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"967"`
        pub const INT_PREFIX: &str = "967";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["ح", "ن", "ث", "ر", "خ", "ج", "س"]`
        pub const ABDAY: &[&str] = &["ح", "ن", "ث", "ر", "خ", "ج", "س"];
        /// `&["ينا", "فبر", "مار", "أبر", "ماي", "يون", "يول", "أغس", "سبت", "أكت", "نوف", "ديس"]`
        pub const ABMON: &[&str] = &["ينا", "فبر", "مار", "أبر", "ماي", "يون", "يول", "أغس", "سبت", "أكت", "نوف", "ديس"];
        /// `&["ص", "م"]`
        pub const AM_PM: &[&str] = &["ص", "م"];
        /// `"%d %b, %Y"`
        pub const D_FMT: &str = "%d %b, %Y";
        /// `"%d %b, %Y %Z %I:%M:%S %p"`
        pub const D_T_FMT: &str = "%d %b, %Y %Z %I:%M:%S %p";
        /// `&["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"]`
        pub const DAY: &[&str] = &["الأحد", "الاثنين", "الثلاثاء", "الأربعاء", "الخميس", "الجمعة", "السبت"];
        /// `1`
        pub const FIRST_WORKDAY: i64 = 1;
        /// `&["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"]`
        pub const MON: &[&str] = &["يناير", "فبراير", "مارس", "أبريل", "مايو", "يونيو", "يوليو", "أغسطس", "سبتمبر", "أكتوبر", "نوفمبر", "ديسمبر"];
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT: &str = "%Z %I:%M:%S %p";
        /// `"%Z %I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%Z %I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod as_IN {
    pub mod LC_ADDRESS {
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"ভ\u{9be}ৰত"`
        pub const COUNTRY_NAME: &str = "ভ\u{9be}ৰত";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"as"`
        pub const LANG_AB: &str = "as";
        /// `"asm"`
        pub const LANG_LIB: &str = "asm";
        /// `"অসমীয\u{9bc}\u{9be}"`
        pub const LANG_NAME: &str = "অসমীয\u{9bc}\u{9be}";
        /// `"asm"`
        pub const LANG_TERM: &str = "asm";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2006-05-25"`
        pub const DATE: &str = "2006-05-25";
        /// `"bug-glibc@gnu.org"`
        pub const EMAIL: &str = "bug-glibc@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Assamese"`
        pub const LANGUAGE: &str = "Assamese";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Amitakhya Phukan, Red Hat"`
        pub const SOURCE: &str = "Amitakhya Phukan, Red Hat";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Assamese language locale for India"`
        pub const TITLE: &str = "Assamese language locale for India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNন]"`
        pub const NOEXPR: &str = "^[-0nNন]";
        /// `"নহয়"`
        pub const NOSTR: &str = "নহয়";
        /// `"^[+1yYহ]"`
        pub const YESEXPR: &str = "^[+1yYহ]";
        /// `"হয়"`
        pub const YESSTR: &str = "হয়";
    }
    pub use super::hi_IN::LC_MONETARY;
    pub use super::en_IN::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"91"`
        pub const INT_PREFIX: &str = "91";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["দেও", "সোম", "মঙ\u{9cd}গল", "ব\u{9c1}ধ", "ব\u{9c3}হষ\u{9cd}পতি", "শ\u{9c1}ক\u{9cd}ৰ", "শনি"]`
        pub const ABDAY: &[&str] = &["দেও", "সোম", "মঙ\u{9cd}গল", "ব\u{9c1}ধ", "ব\u{9c3}হষ\u{9cd}পতি", "শ\u{9c1}ক\u{9cd}ৰ", "শনি"];
        /// `&["জ\u{9be}ন\u{9c1}", "ফেব\u{9cd}ৰ\u{9c1}", "ম\u{9be}ৰ\u{9cd}চ", "এপ\u{9cd}ৰিল", "মে", "জ\u{9c1}ন", "জ\u{9c1}ল\u{9be}ই", "আগ", "সেপ\u{9cd}ট", "অক\u{9cd}টো", "নভে", "ডিসে"]`
        pub const ABMON: &[&str] = &["জ\u{9be}ন\u{9c1}", "ফেব\u{9cd}ৰ\u{9c1}", "ম\u{9be}ৰ\u{9cd}চ", "এপ\u{9cd}ৰিল", "মে", "জ\u{9c1}ন", "জ\u{9c1}ল\u{9be}ই", "আগ", "সেপ\u{9cd}ট", "অক\u{9cd}টো", "নভে", "ডিসে"];
        /// `&["প\u{9c2}ৰ\u{9cd}ব\u{9cd}ব\u{9be}হ\u{9cd}ন", "অপৰ\u{9be}হ\u{9cd}ন"]`
        pub const AM_PM: &[&str] = &["প\u{9c2}ৰ\u{9cd}ব\u{9cd}ব\u{9be}হ\u{9cd}ন", "অপৰ\u{9be}হ\u{9cd}ন"];
        /// `"%e-%m-%Y"`
        pub const D_FMT: &str = "%e-%m-%Y";
        /// `"%e %B, %Y %I.%M.%S %p %Z"`
        pub const D_T_FMT: &str = "%e %B, %Y %I.%M.%S %p %Z";
        /// `&["দেওব\u{9be}ৰ", "সোমব\u{9be}ৰ", "মঙ\u{9cd}গলব\u{9be}ৰ", "ব\u{9c1}ধব\u{9be}ৰ", "ব\u{9c3}হষ\u{9cd}পতিব\u{9be}ৰ", "শ\u{9c1}ক\u{9cd}ৰব\u{9be}ৰ", "শনিব\u{9be}ৰ"]`
        pub const DAY: &[&str] = &["দেওব\u{9be}ৰ", "সোমব\u{9be}ৰ", "মঙ\u{9cd}গলব\u{9be}ৰ", "ব\u{9c1}ধব\u{9be}ৰ", "ব\u{9c3}হষ\u{9cd}পতিব\u{9be}ৰ", "শ\u{9c1}ক\u{9cd}ৰব\u{9be}ৰ", "শনিব\u{9be}ৰ"];
        /// `&["জ\u{9be}ন\u{9c1}ৱ\u{9be}ৰী", "ফেব\u{9cd}ৰ\u{9c1}ৱ\u{9be}ৰী", "ম\u{9be}ৰ\u{9cd}চ", "এপ\u{9cd}ৰিল", "মে", "জ\u{9c1}ন", "জ\u{9c1}ল\u{9be}ই", "আগষ\u{9cd}ট", "ছেপ\u{9cd}তেম\u{9cd}বৰ", "অক\u{9cd}টোবৰ", "নৱেম\u{9cd}বৰ", "ডিচেম\u{9cd}বৰ"]`
        pub const MON: &[&str] = &["জ\u{9be}ন\u{9c1}ৱ\u{9be}ৰী", "ফেব\u{9cd}ৰ\u{9c1}ৱ\u{9be}ৰী", "ম\u{9be}ৰ\u{9cd}চ", "এপ\u{9cd}ৰিল", "মে", "জ\u{9c1}ন", "জ\u{9c1}ল\u{9be}ই", "আগষ\u{9cd}ট", "ছেপ\u{9cd}তেম\u{9cd}বৰ", "অক\u{9cd}টোবৰ", "নৱেম\u{9cd}বৰ", "ডিচেম\u{9cd}বৰ"];
        /// `"%I.%M.%S %p"`
        pub const T_FMT: &str = "%I.%M.%S %p";
        /// `"%I.%M.%S %p"`
        pub const T_FMT_AMPM: &str = "%I.%M.%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ast_ES {
    pub mod LC_ADDRESS {
        /// `"ES"`
        pub const COUNTRY_ABTWO: &str = "ES";
        /// `"ESP"`
        pub const COUNTRY_AB3: &str = "ESP";
        /// `"E"`
        pub const COUNTRY_CAR: &str = "E";
        /// `"España"`
        pub const COUNTRY_NAME: &str = "España";
        /// `724`
        pub const COUNTRY_NUM: i64 = 724;
        /// `"ast"`
        pub const LANG_LIB: &str = "ast";
        /// `"asturianu"`
        pub const LANG_NAME: &str = "asturianu";
        /// `"ast"`
        pub const LANG_TERM: &str = "ast";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Jordi Mallach"`
        pub const CONTACT: &str = "Jordi Mallach";
        /// `"2005-08-26"`
        pub const DATE: &str = "2005-08-26";
        /// `"jordi@gnu.org"`
        pub const EMAIL: &str = "jordi@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Asturian"`
        pub const LANGUAGE: &str = "Asturian";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Spain"`
        pub const TERRITORY: &str = "Spain";
        /// `"Asturian locale for Spain"`
        pub const TITLE: &str = "Asturian locale for Spain";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"non"`
        pub const NOSTR: &str = "non";
        /// `"^[+1sSyY]"`
        pub const YESEXPR: &str = "^[+1sSyY]";
        /// `"sí"`
        pub const YESSTR: &str = "sí";
    }
    pub use super::es_ES::LC_MONETARY;
    pub use super::es_ES::LC_NUMERIC;
    pub use super::es_ES::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["dom", "llu", "mar", "mié", "xue", "vie", "sáb"]`
        pub const ABDAY: &[&str] = &["dom", "llu", "mar", "mié", "xue", "vie", "sáb"];
        /// `&["xin", "feb", "mar", "abr", "may", "xun", "xnt", "ago", "set", "och", "pay", "avi"]`
        pub const ABMON: &[&str] = &["xin", "feb", "mar", "abr", "may", "xun", "xnt", "ago", "set", "och", "pay", "avi"];
        /// `&["xineru", "febreru", "marzu", "abril", "mayu", "xunu", "xunetu", "agostu", "setiembre", "ochobre", "payares", "avientu"]`
        pub const ALT_MON: &[&str] = &["xineru", "febreru", "marzu", "abril", "mayu", "xunu", "xunetu", "agostu", "setiembre", "ochobre", "payares", "avientu"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["domingu", "llunes", "martes", "miércoles", "xueves", "vienres", "sábadu"]`
        pub const DAY: &[&str] = &["domingu", "llunes", "martes", "miércoles", "xueves", "vienres", "sábadu"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["de xineru", "de febreru", "de marzu", "d’abril", "de mayu", "de xunu", "de xunetu", "d’agostu", "de setiembre", "d’ochobre", "de payares", "d’avientu"]`
        pub const MON: &[&str] = &["de xineru", "de febreru", "de marzu", "d’abril", "de mayu", "de xunu", "de xunetu", "d’agostu", "de setiembre", "d’ochobre", "de payares", "d’avientu"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ayc_PE {
    pub mod LC_ADDRESS {
        /// `"PE"`
        pub const COUNTRY_ABTWO: &str = "PE";
        /// `"PER"`
        pub const COUNTRY_AB3: &str = "PER";
        /// `"PE"`
        pub const COUNTRY_CAR: &str = "PE";
        /// `"Piruw"`
        pub const COUNTRY_NAME: &str = "Piruw";
        /// `604`
        pub const COUNTRY_NUM: i64 = 604;
        /// `"ay"`
        pub const LANG_AB: &str = "ay";
        /// `"ayc"`
        pub const LANG_LIB: &str = "ayc";
        /// `"Aymar aru"`
        pub const LANG_NAME: &str = "Aymar aru";
        /// `"ayc"`
        pub const LANG_TERM: &str = "ayc";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2011-11-13"`
        pub const DATE: &str = "2011-11-13";
        /// `"libc-alpha@sourceware.org"`
        pub const EMAIL: &str = "libc-alpha@sourceware.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Aymara"`
        pub const LANGUAGE: &str = "Aymara";
        /// `"1.1"`
        pub const REVISION: &str = "1.1";
        /// `"runasimipi.org"`
        pub const SOURCE: &str = "runasimipi.org";
        /// `""`
        pub const TEL: &str = "";
        /// `"Peru"`
        pub const TERRITORY: &str = "Peru";
        /// `"Aymara (ayc) locale for Peru"`
        pub const TITLE: &str = "Aymara (ayc) locale for Peru";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0jJnN]"`
        pub const NOEXPR: &str = "^[-0jJnN]";
        /// `"Janiwa"`
        pub const NOSTR: &str = "Janiwa";
        /// `"^[+1uUsSyY]"`
        pub const YESEXPR: &str = "^[+1uUsSyY]";
        /// `"Ukhamawa"`
        pub const YESSTR: &str = "Ukhamawa";
    }
    pub use super::es_PE::LC_MONETARY;
    pub use super::es_PE::LC_NUMERIC;
    pub use super::es_PE::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["tum", "lun", "mar", "mir", "juy", "wir", "saw"]`
        pub const ABDAY: &[&str] = &["tum", "lun", "mar", "mir", "juy", "wir", "saw"];
        /// `&["ini", "phi", "mar", "awr", "may", "jun", "jul", "awu", "sit", "ukt", "nuw", "ris"]`
        pub const ABMON: &[&str] = &["ini", "phi", "mar", "awr", "may", "jun", "jul", "awu", "sit", "ukt", "nuw", "ris"];
        /// `&["VM", "NM"]`
        pub const AM_PM: &[&str] = &["VM", "NM"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["tuminku", "lunisa", "martisa", "mirkulisa", "juywisa", "wirnisa", "sawäru"]`
        pub const DAY: &[&str] = &["tuminku", "lunisa", "martisa", "mirkulisa", "juywisa", "wirnisa", "sawäru"];
        /// `&["inïru", "phiwriru", "marsu", "awrila", "mayu", "junyu", "julyu", "awustu", "sitimri", "uktuwri", "nuwimri", "risimri"]`
        pub const MON: &[&str] = &["inïru", "phiwriru", "marsu", "awrila", "mayu", "junyu", "julyu", "awustu", "sitimri", "uktuwri", "nuwimri", "risimri"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod az_AZ {
    pub mod LC_ADDRESS {
        /// `"AZ"`
        pub const COUNTRY_ABTWO: &str = "AZ";
        /// `"AZE"`
        pub const COUNTRY_AB3: &str = "AZE";
        /// `"AZ"`
        pub const COUNTRY_CAR: &str = "AZ";
        /// `"Azərbaycan"`
        pub const COUNTRY_NAME: &str = "Azərbaycan";
        /// `31`
        pub const COUNTRY_NUM: i64 = 31;
        /// `"az"`
        pub const LANG_AB: &str = "az";
        /// `"aze"`
        pub const LANG_LIB: &str = "aze";
        /// `"azərbaycan"`
        pub const LANG_NAME: &str = "azərbaycan";
        /// `"aze"`
        pub const LANG_TERM: &str = "aze";
        /// `"???"`
        pub const POSTAL_FMT: &str = "???";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
        ];
        /// `"Pablo Saratxaga"`
        pub const CONTACT: &str = "Pablo Saratxaga";
        /// `"2001-01-26"`
        pub const DATE: &str = "2001-01-26";
        /// `"pablo@mandrakesoft.com"`
        pub const EMAIL: &str = "pablo@mandrakesoft.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Azerbaijani"`
        pub const LANGUAGE: &str = "Azerbaijani";
        /// `"0.4"`
        pub const REVISION: &str = "0.4";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Azerbaijan"`
        pub const TERRITORY: &str = "Azerbaijan";
        /// `"Azeri language locale for Azerbaijan (latin)"`
        pub const TITLE: &str = "Azeri language locale for Azerbaijan (latin)";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0YyNn]"`
        pub const NOEXPR: &str = "^[-0YyNn]";
        /// `"yox"`
        pub const NOSTR: &str = "yox";
        /// `"^[+1bBhH]"`
        pub const YESEXPR: &str = "^[+1bBhH]";
        /// `"hə"`
        pub const YESSTR: &str = "hə";
    }
    pub mod LC_MONETARY {
        /// `"₼"`
        pub const CURRENCY_SYMBOL: &str = "₼";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"AZN "`
        pub const INT_CURR_SYMBOL: &str = "AZN ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"994"`
        pub const INT_PREFIX: &str = "994";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["baz", "ber", "çax", "çər", "cax", "cüm", "şnb"]`
        pub const ABDAY: &[&str] = &["baz", "ber", "çax", "çər", "cax", "cüm", "şnb"];
        /// `&["Yan", "Fev", "Mar", "Apr", "May", "İyn", "İyl", "Avq", "Sen", "Okt", "Noy", "Dek"]`
        pub const ABMON: &[&str] = &["Yan", "Fev", "Mar", "Apr", "May", "İyn", "İyl", "Avq", "Sen", "Okt", "Noy", "Dek"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%A, %d %B %Y %T"`
        pub const D_T_FMT: &str = "%A, %d %B %Y %T";
        /// `&["bazar günü", "bazar ertəsi", "çərşənbə axşamı", "çərşənbə", "cümə axşamı", "cümə", "şənbə"]`
        pub const DAY: &[&str] = &["bazar günü", "bazar ertəsi", "çərşənbə axşamı", "çərşənbə", "cümə axşamı", "cümə", "şənbə"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["yanvar", "fevral", "mart", "aprel", "may", "iyun", "iyul", "avqust", "sentyabr", "oktyabr", "noyabr", "dekabr"]`
        pub const MON: &[&str] = &["yanvar", "fevral", "mart", "aprel", "may", "iyun", "iyul", "avqust", "sentyabr", "oktyabr", "noyabr", "dekabr"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod az_IR {
    pub mod LC_ADDRESS {
        /// `"IR"`
        pub const COUNTRY_ABTWO: &str = "IR";
        /// `"IRN"`
        pub const COUNTRY_AB3: &str = "IRN";
        /// `"IR"`
        pub const COUNTRY_CAR: &str = "IR";
        /// `"964"`
        pub const COUNTRY_ISBN: &str = "964";
        /// `"ایران"`
        pub const COUNTRY_NAME: &str = "ایران";
        /// `364`
        pub const COUNTRY_NUM: i64 = 364;
        /// `"az"`
        pub const LANG_AB: &str = "az";
        /// `"aze"`
        pub const LANG_LIB: &str = "aze";
        /// `"تۆرکجه"`
        pub const LANG_NAME: &str = "تۆرکجه";
        /// `"azb"`
        pub const LANG_TERM: &str = "azb";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
        ];
        /// `"Mousa Moradi"`
        pub const CONTACT: &str = "Mousa Moradi";
        /// `"2014-05-01"`
        pub const DATE: &str = "2014-05-01";
        /// `"mousamk@gmail.com"`
        pub const EMAIL: &str = "mousamk@gmail.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"South Azerbaijani"`
        pub const LANGUAGE: &str = "South Azerbaijani";
        /// `"0.2"`
        pub const REVISION: &str = "0.2";
        /// `""`
        pub const SOURCE: &str = "";
        /// `"(+98) 914 492 1058"`
        pub const TEL: &str = "(+98) 914 492 1058";
        /// `"Iran"`
        pub const TERRITORY: &str = "Iran";
        /// `"South Azerbaijani language locale for Iran"`
        pub const TITLE: &str = "South Azerbaijani language locale for Iran";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNیخ]"`
        pub const NOEXPR: &str = "^[-0nNیخ]";
        /// `"یو\u{652}خ"`
        pub const NOSTR: &str = "یو\u{652}خ";
        /// `"^[+1yYهب]"`
        pub const YESEXPR: &str = "^[+1yYهب]";
        /// `"هن"`
        pub const YESSTR: &str = "هن";
    }
    pub use super::fa_IR::LC_MONETARY;
    pub use super::fa_IR::LC_NUMERIC;
    pub use super::fa_IR::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["یکشنبه", "دوشنبه", "سه\u{200c}شنبه", "چارشنبه", "جۆمعه آخشامی", "جۆمعه", "شنبه"]`
        pub const ABDAY: &[&str] = &["یکشنبه", "دوشنبه", "سه\u{200c}شنبه", "چارشنبه", "جۆمعه آخشامی", "جۆمعه", "شنبه"];
        /// `&["ژانویه", "فوریه", "مارس", "آوریل", "مئی", "ژوئن", "جولای", "آقۇست", "سپتامبر", "او\u{652}کتو\u{652}بر", "نو\u{652}وامبر", "دسامبر"]`
        pub const ABMON: &[&str] = &["ژانویه", "فوریه", "مارس", "آوریل", "مئی", "ژوئن", "جولای", "آقۇست", "سپتامبر", "او\u{652}کتو\u{652}بر", "نو\u{652}وامبر", "دسامبر"];
        /// `&["۰۰", "۰۱", "۰۲", "۰۳", "۰۴", "۰۵", "۰۶", "۰۷", "۰۸", "۰۹", "۱۰", "۱۱", "۱۲", "۱۳", "۱۴", "۱۵", "۱۶", "۱۷", "۱۸", "۱۹", "۲۰", "۲۱", "۲۲", "۲۳", "۲۴", "۲۵", "۲۶", "۲۷", "۲۸", "۲۹", "۳۰", "۳۱", "۳۲", "۳۳", "۳۴", "۳۵", "۳۶", "۳۷", "۳۸", "۳۹", "۴۰", "۴۱", "۴۲", "۴۳", "۴۴", "۴۵", "۴۶", "۴۷", "۴۸", "۴۹", "۵۰", "۵۱", "۵۲", "۵۳", "۵۴", "۵۵", "۵۶", "۵۷", "۵۸", "۵۹", "۶۰", "۶۱", "۶۲", "۶۳", "۶۴", "۶۵", "۶۶", "۶۷", "۶۸", "۶۹", "۷۰", "۷۱", "۷۲", "۷۳", "۷۴", "۷۵", "۷۶", "۷۷", "۷۸", "۷۹", "۸۰", "۸۱", "۸۲", "۸۳", "۸۴", "۸۵", "۸۶", "۸۷", "۸۸", "۸۹", "۹۰", "۹۱", "۹۲", "۹۳", "۹۴", "۹۵", "۹۶", "۹۷", "۹۸", "۹۹"]`
        pub const ALT_DIGITS: &[&str] = &["۰۰", "۰۱", "۰۲", "۰۳", "۰۴", "۰۵", "۰۶", "۰۷", "۰۸", "۰۹", "۱۰", "۱۱", "۱۲", "۱۳", "۱۴", "۱۵", "۱۶", "۱۷", "۱۸", "۱۹", "۲۰", "۲۱", "۲۲", "۲۳", "۲۴", "۲۵", "۲۶", "۲۷", "۲۸", "۲۹", "۳۰", "۳۱", "۳۲", "۳۳", "۳۴", "۳۵", "۳۶", "۳۷", "۳۸", "۳۹", "۴۰", "۴۱", "۴۲", "۴۳", "۴۴", "۴۵", "۴۶", "۴۷", "۴۸", "۴۹", "۵۰", "۵۱", "۵۲", "۵۳", "۵۴", "۵۵", "۵۶", "۵۷", "۵۸", "۵۹", "۶۰", "۶۱", "۶۲", "۶۳", "۶۴", "۶۵", "۶۶", "۶۷", "۶۸", "۶۹", "۷۰", "۷۱", "۷۲", "۷۳", "۷۴", "۷۵", "۷۶", "۷۷", "۷۸", "۷۹", "۸۰", "۸۱", "۸۲", "۸۳", "۸۴", "۸۵", "۸۶", "۸۷", "۸۸", "۸۹", "۹۰", "۹۱", "۹۲", "۹۳", "۹۴", "۹۵", "۹۶", "۹۷", "۹۸", "۹۹"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `3`
        pub const CAL_DIRECTION: i64 = 3;
        /// `"%Oy/%Om/%Od"`
        pub const D_FMT: &str = "%Oy/%Om/%Od";
        /// `"\u{202b}%A %Oe %B %Oy، %OH:%OM:%OS\u{202c}"`
        pub const D_T_FMT: &str = "\u{202b}%A %Oe %B %Oy، %OH:%OM:%OS\u{202c}";
        /// `"\u{202b}%A %Oe %B %Oy، ساعات \n%OH:%OM:%OS (%Z)\u{202c}"`
        pub const DATE_FMT: &str = "\u{202b}%A %Oe %B %Oy، ساعات \n%OH:%OM:%OS (%Z)\u{202c}";
        /// `&["یکشنبه", "دوشنبه", "سه\u{200c}شنبه", "چارشنبه", "جۆمعه آخشامی", "جۆمعه", "شنبه"]`
        pub const DAY: &[&str] = &["یکشنبه", "دوشنبه", "سه\u{200c}شنبه", "چارشنبه", "جۆمعه آخشامی", "جۆمعه", "شنبه"];
        /// `7`
        pub const FIRST_WEEKDAY: i64 = 7;
        /// `7`
        pub const FIRST_WORKDAY: i64 = 7;
        /// `&["ژانویه", "فوریه", "مارس", "آوریل", "مئی", "ژوئن", "جولای", "آقۇست", "سپتامبر", "او\u{652}کتو\u{652}بر", "نو\u{652}وامبر", "دسامبر"]`
        pub const MON: &[&str] = &["ژانویه", "فوریه", "مارس", "آوریل", "مئی", "ژوئن", "جولای", "آقۇست", "سپتامبر", "او\u{652}کتو\u{652}بر", "نو\u{652}وامبر", "دسامبر"];
        /// `"%OH:%OM:%OS"`
        pub const T_FMT: &str = "%OH:%OM:%OS";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod be_BY {
    pub mod LC_ADDRESS {
        /// `"BY"`
        pub const COUNTRY_ABTWO: &str = "BY";
        /// `"BLR"`
        pub const COUNTRY_AB3: &str = "BLR";
        /// `"BY"`
        pub const COUNTRY_CAR: &str = "BY";
        /// `"Беларусь"`
        pub const COUNTRY_NAME: &str = "Беларусь";
        /// `112`
        pub const COUNTRY_NUM: i64 = 112;
        /// `"be"`
        pub const LANG_AB: &str = "be";
        /// `"bel"`
        pub const LANG_LIB: &str = "bel";
        /// `"беларуская"`
        pub const LANG_NAME: &str = "беларуская";
        /// `"bel"`
        pub const LANG_TERM: &str = "bel";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Belarusian"`
        pub const LANGUAGE: &str = "Belarusian";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Belarus"`
        pub const TERRITORY: &str = "Belarus";
        /// `"Belarusian locale for Belarus"`
        pub const TITLE: &str = "Belarusian locale for Belarus";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNНн]"`
        pub const NOEXPR: &str = "^[-0nNНн]";
        /// `"не"`
        pub const NOSTR: &str = "не";
        /// `"^[+1yYТт]"`
        pub const YESEXPR: &str = "^[+1yYТт]";
        /// `"так"`
        pub const YESSTR: &str = "так";
    }
    pub mod LC_MONETARY {
        /// `"руб"`
        pub const CURRENCY_SYMBOL: &str = "руб";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"BYR "`
        pub const INT_CURR_SYMBOL: &str = "BYR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"375"`
        pub const INT_PREFIX: &str = "375";
        /// `"8~10"`
        pub const INT_SELECT: &str = "8~10";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["сту", "лют", "сак", "кра", "май", "чэр", "ліп", "жні", "вер", "кас", "ліс", "сне"]`
        pub const AB_ALT_MON: &[&str] = &["сту", "лют", "сак", "кра", "май", "чэр", "ліп", "жні", "вер", "кас", "ліс", "сне"];
        /// `&["Няд", "Пан", "Аўт", "Срд", "Чцв", "Пят", "Суб"]`
        pub const ABDAY: &[&str] = &["Няд", "Пан", "Аўт", "Срд", "Чцв", "Пят", "Суб"];
        /// `&["сту", "лют", "сак", "кра", "мая", "чэр", "ліп", "жні", "вер", "кас", "ліс", "сне"]`
        pub const ABMON: &[&str] = &["сту", "лют", "сак", "кра", "мая", "чэр", "ліп", "жні", "вер", "кас", "ліс", "сне"];
        /// `&["студзень", "люты", "сакавік", "красавік", "май", "чэрвень", "ліпень", "жнівень", "верасень", "кастрычнік", "лістапад", "снежань"]`
        pub const ALT_MON: &[&str] = &["студзень", "люты", "сакавік", "красавік", "май", "чэрвень", "ліпень", "жнівень", "верасень", "кастрычнік", "лістапад", "снежань"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T";
        /// `&["Нядзеля", "Панядзелак", "Аўторак", "Серада", "Чацвер", "Пятніца", "Субота"]`
        pub const DAY: &[&str] = &["Нядзеля", "Панядзелак", "Аўторак", "Серада", "Чацвер", "Пятніца", "Субота"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["студзеня", "лютага", "сакавіка", "красавіка", "мая", "чэрвеня", "ліпеня", "жніўня", "верасня", "кастрычніка", "лістапада", "снежня"]`
        pub const MON: &[&str] = &["студзеня", "лютага", "сакавіка", "красавіка", "мая", "чэрвеня", "ліпеня", "жніўня", "верасня", "кастрычніка", "лістапада", "снежня"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod be_BY_latin {
    pub mod LC_ADDRESS {
        /// `"BY"`
        pub const COUNTRY_ABTWO: &str = "BY";
        /// `"BLR"`
        pub const COUNTRY_AB3: &str = "BLR";
        /// `"BY"`
        pub const COUNTRY_CAR: &str = "BY";
        /// `"Biełaruś"`
        pub const COUNTRY_NAME: &str = "Biełaruś";
        /// `112`
        pub const COUNTRY_NUM: i64 = 112;
        /// `"be"`
        pub const LANG_AB: &str = "be";
        /// `"bel"`
        pub const LANG_LIB: &str = "bel";
        /// `"biełaruskaja"`
        pub const LANG_NAME: &str = "biełaruskaja";
        /// `"bel"`
        pub const LANG_TERM: &str = "bel";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2005-09-15"`
        pub const DATE: &str = "2005-09-15";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Belarusian"`
        pub const LANGUAGE: &str = "Belarusian";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Belarus"`
        pub const TERRITORY: &str = "Belarus";
        /// `"Belarusian Latin-Script locale for Belarus"`
        pub const TITLE: &str = "Belarusian Latin-Script locale for Belarus";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0Nn]"`
        pub const NOEXPR: &str = "^[-0Nn]";
        /// `"^[+1TtYy]"`
        pub const YESEXPR: &str = "^[+1TtYy]";
    }
    pub mod LC_MONETARY {
        /// `"Rub"`
        pub const CURRENCY_SYMBOL: &str = "Rub";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"BYR "`
        pub const INT_CURR_SYMBOL: &str = "BYR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::be_BY::LC_NUMERIC;
    pub use super::be_BY::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Nia", "Pan", "Aŭt", "Sie", "Čać", "Pia", "Sub"]`
        pub const ABDAY: &[&str] = &["Nia", "Pan", "Aŭt", "Sie", "Čać", "Pia", "Sub"];
        /// `&["Stu", "Lut", "Sak", "Kra", "Maj", "Čer", "Lip", "Žni", "Vie", "Kas", "Lis", "Śni"]`
        pub const ABMON: &[&str] = &["Stu", "Lut", "Sak", "Kra", "Maj", "Čer", "Lip", "Žni", "Vie", "Kas", "Lis", "Śni"];
        /// `&["Studzień", "Luty", "Sakavik", "Krasavik", "Maj", "Červień", "Lipień", "Žnivień", "Vierasień", "Kastryčnik", "Listapad", "Śniežań"]`
        pub const ALT_MON: &[&str] = &["Studzień", "Luty", "Sakavik", "Krasavik", "Maj", "Červień", "Lipień", "Žnivień", "Vierasień", "Kastryčnik", "Listapad", "Śniežań"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T";
        /// `&["Niadziela", "Paniadziełak", "Aŭtorak", "Sierada", "Čaćvier", "Piatnica", "Subota"]`
        pub const DAY: &[&str] = &["Niadziela", "Paniadziełak", "Aŭtorak", "Sierada", "Čaćvier", "Piatnica", "Subota"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["studzienia", "lutaha", "sakavika", "krasavika", "maja", "červienia", "lipienia", "žniŭnia", "vieraśnia", "kastryčnika", "listapada", "śniežnia"]`
        pub const MON: &[&str] = &["studzienia", "lutaha", "sakavika", "krasavika", "maja", "červienia", "lipienia", "žniŭnia", "vieraśnia", "kastryčnika", "listapada", "śniežnia"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod bem_ZM {
    pub mod LC_ADDRESS {
        /// `"ZM"`
        pub const COUNTRY_ABTWO: &str = "ZM";
        /// `"ZMB"`
        pub const COUNTRY_AB3: &str = "ZMB";
        /// `"Z"`
        pub const COUNTRY_CAR: &str = "Z";
        /// `"Zambia"`
        pub const COUNTRY_NAME: &str = "Zambia";
        /// `894`
        pub const COUNTRY_NUM: i64 = 894;
        /// `"ZM"`
        pub const COUNTRY_POST: &str = "ZM";
        /// `"bem"`
        pub const LANG_LIB: &str = "bem";
        /// `"Ichibemba"`
        pub const LANG_NAME: &str = "Ichibemba";
        /// `"bem"`
        pub const LANG_TERM: &str = "bem";
        /// `"%a%N%f%N%e %h%N%b %s%N%z%N%T%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%f%N%e %h%N%b %s%N%z%N%T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"Martin Benjamin"`
        pub const CONTACT: &str = "Martin Benjamin";
        /// `"2011-04-18"`
        pub const DATE: &str = "2011-04-18";
        /// `"locales@africanlocalization.net"`
        pub const EMAIL: &str = "locales@africanlocalization.net";
        /// `"Bemba"`
        pub const LANGUAGE: &str = "Bemba";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"ANLoc"`
        pub const SOURCE: &str = "ANLoc";
        /// `"Zambia"`
        pub const TERRITORY: &str = "Zambia";
        /// `"Bemba locale for Zambia"`
        pub const TITLE: &str = "Bemba locale for Zambia";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNaA]"`
        pub const NOEXPR: &str = "^[-0nNaA]";
        /// `"Awe"`
        pub const NOSTR: &str = "Awe";
        /// `"^[+1yYeE]"`
        pub const YESEXPR: &str = "^[+1yYeE]";
        /// `"Ee"`
        pub const YESSTR: &str = "Ee";
    }
    pub mod LC_MONETARY {
        /// `"K"`
        pub const CURRENCY_SYMBOL: &str = "K";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"ZMW "`
        pub const INT_CURR_SYMBOL: &str = "ZMW ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"260"`
        pub const INT_PREFIX: &str = "260";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%A %l"`
        pub const TEL_DOM_FMT: &str = "%A %l";
        /// `"+%c %A %l"`
        pub const TEL_INT_FMT: &str = "+%c %A %l";
    }
    pub mod LC_TIME {
        /// `&["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"]`
        pub const ABDAY: &[&str] = &["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
        /// `&["Jan", "Feb", "Mac", "Epr", "Mei", "Jun", "Jul", "Oga", "Sep", "Okt", "Nov", "Dis"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mac", "Epr", "Mei", "Jun", "Jul", "Oga", "Sep", "Okt", "Nov", "Dis"];
        /// `&["uluchelo", "akasuba"]`
        pub const AM_PM: &[&str] = &["uluchelo", "akasuba"];
        /// `"%m/%d/%Y"`
        pub const D_FMT: &str = "%m/%d/%Y";
        /// `"%a %d %b %Y %R %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %R %Z";
        /// `&["Pa Mulungu", "Palichimo", "Palichibuli", "Palichitatu", "Palichine", "Palichisano", "Pachibelushi"]`
        pub const DAY: &[&str] = &["Pa Mulungu", "Palichimo", "Palichibuli", "Palichitatu", "Palichine", "Palichisano", "Pachibelushi"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Januari", "Februari", "Machi", "Epreo", "Mei", "Juni", "Julai", "Ogasti", "Septemba", "Oktoba", "Novemba", "Disemba"]`
        pub const MON: &[&str] = &["Januari", "Februari", "Machi", "Epreo", "Mei", "Juni", "Julai", "Ogasti", "Septemba", "Oktoba", "Novemba", "Disemba"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ber_DZ {
    pub mod LC_ADDRESS {
        /// `"DZ"`
        pub const COUNTRY_ABTWO: &str = "DZ";
        /// `"DZA"`
        pub const COUNTRY_AB3: &str = "DZA";
        /// `"DZ"`
        pub const COUNTRY_CAR: &str = "DZ";
        /// `"Lezzayer"`
        pub const COUNTRY_NAME: &str = "Lezzayer";
        /// `12`
        pub const COUNTRY_NUM: i64 = 12;
        /// `"ber"`
        pub const LANG_LIB: &str = "ber";
        /// `"Tamaziɣt"`
        pub const LANG_NAME: &str = "Tamaziɣt";
        /// `"ber"`
        pub const LANG_TERM: &str = "ber";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
        ];
        /// `"Pablo Saratxaga"`
        pub const CONTACT: &str = "Pablo Saratxaga";
        /// `"2002-04-16"`
        pub const DATE: &str = "2002-04-16";
        /// `"pablo@mandrakesoft.com"`
        pub const EMAIL: &str = "pablo@mandrakesoft.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Berber"`
        pub const LANGUAGE: &str = "Berber";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Algeria"`
        pub const TERRITORY: &str = "Algeria";
        /// `"Berber language locale for Algeria (latin)"`
        pub const TITLE: &str = "Berber language locale for Algeria (latin)";
    }
    pub use super::kab_DZ::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"د.ج."`
        pub const CURRENCY_SYMBOL: &str = "د.ج.";
        /// `3`
        pub const FRAC_DIGITS: i64 = 3;
        /// `"DZD "`
        pub const INT_CURR_SYMBOL: &str = "DZD ";
        /// `3`
        pub const INT_FRAC_DIGITS: i64 = 3;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const N_SIGN_POSN: i64 = 2;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"213"`
        pub const INT_PREFIX: &str = "213";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["baz", "bir", "iki", "üçü", "dör", "beş", "alt"]`
        pub const ABDAY: &[&str] = &["baz", "bir", "iki", "üçü", "dör", "beş", "alt"];
        /// `&["Yan", "Fev", "Mar", "Apr", "May", "İyn", "İyl", "Avq", "Sen", "Okt", "Noy", "Dek"]`
        pub const ABMON: &[&str] = &["Yan", "Fev", "Mar", "Apr", "May", "İyn", "İyl", "Avq", "Sen", "Okt", "Noy", "Dek"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%A, %d %B %Y %T"`
        pub const D_T_FMT: &str = "%A, %d %B %Y %T";
        /// `&["bazar günü", "birinci gün", "ikinci gün", "üçüncü gün", "dördüncü gün", "beşinci gün", "altıncı gün"]`
        pub const DAY: &[&str] = &["bazar günü", "birinci gün", "ikinci gün", "üçüncü gün", "dördüncü gün", "beşinci gün", "altıncı gün"];
        /// `7`
        pub const FIRST_WEEKDAY: i64 = 7;
        /// `1`
        pub const FIRST_WORKDAY: i64 = 1;
        /// `&["yanvar", "fevral", "mart", "aprel", "may", "iyun", "iyul", "avqust", "sentyabr", "oktyabr", "noyabr", "dekabr"]`
        pub const MON: &[&str] = &["yanvar", "fevral", "mart", "aprel", "may", "iyun", "iyul", "avqust", "sentyabr", "oktyabr", "noyabr", "dekabr"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ber_MA {
    pub mod LC_ADDRESS {
        /// `"MA"`
        pub const COUNTRY_ABTWO: &str = "MA";
        /// `"MAR"`
        pub const COUNTRY_AB3: &str = "MAR";
        /// `"MA"`
        pub const COUNTRY_CAR: &str = "MA";
        /// `"ⵜⴰⴳⵍⴷⵉⵜ ⵏ ⵍⵎⵖⵔⵉⴱ"`
        pub const COUNTRY_NAME: &str = "ⵜⴰⴳⵍⴷⵉⵜ ⵏ ⵍⵎⵖⵔⵉⴱ";
        /// `504`
        pub const COUNTRY_NUM: i64 = 504;
        /// `"ber"`
        pub const LANG_LIB: &str = "ber";
        /// `"ⵜⴰⵎⴰⵣⵉⵖⵜ"`
        pub const LANG_NAME: &str = "ⵜⴰⵎⴰⵣⵉⵖⵜ";
        /// `"ber"`
        pub const LANG_TERM: &str = "ber";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
        ];
        /// `"Pablo Saratxaga"`
        pub const CONTACT: &str = "Pablo Saratxaga";
        /// `"2002-06-26"`
        pub const DATE: &str = "2002-06-26";
        /// `"pablo@mandrakesoft.com"`
        pub const EMAIL: &str = "pablo@mandrakesoft.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Berber"`
        pub const LANGUAGE: &str = "Berber";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Morocco"`
        pub const TERRITORY: &str = "Morocco";
        /// `"Berber language locale for Morocco (tifinagh)"`
        pub const TITLE: &str = "Berber language locale for Morocco (tifinagh)";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0YyNn]"`
        pub const NOEXPR: &str = "^[-0YyNn]";
        /// `"yox"`
        pub const NOSTR: &str = "yox";
        /// `"^[+1Bb]"`
        pub const YESEXPR: &str = "^[+1Bb]";
        /// `"bəli"`
        pub const YESSTR: &str = "bəli";
    }
    pub mod LC_MONETARY {
        /// `"ⴷ.ⵎ."`
        pub const CURRENCY_SYMBOL: &str = "ⴷ.ⵎ.";
        /// `3`
        pub const FRAC_DIGITS: i64 = 3;
        /// `"MAD "`
        pub const INT_CURR_SYMBOL: &str = "MAD ";
        /// `3`
        pub const INT_FRAC_DIGITS: i64 = 3;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const N_SIGN_POSN: i64 = 2;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"212"`
        pub const INT_PREFIX: &str = "212";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["baz", "bir", "iki", "üçü", "dör", "beş", "alt"]`
        pub const ABDAY: &[&str] = &["baz", "bir", "iki", "üçü", "dör", "beş", "alt"];
        /// `&["Yan", "Fev", "Mar", "Apr", "May", "İyn", "İyl", "Avq", "Sen", "Okt", "Noy", "Dek"]`
        pub const ABMON: &[&str] = &["Yan", "Fev", "Mar", "Apr", "May", "İyn", "İyl", "Avq", "Sen", "Okt", "Noy", "Dek"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%A, %d %B %Y %T"`
        pub const D_T_FMT: &str = "%A, %d %B %Y %T";
        /// `&["bazar günü", "birinci gün", "ikinci gün", "üçüncü gün", "dördüncü gün", "beşinci gün", "altıncı gün"]`
        pub const DAY: &[&str] = &["bazar günü", "birinci gün", "ikinci gün", "üçüncü gün", "dördüncü gün", "beşinci gün", "altıncı gün"];
        /// `7`
        pub const FIRST_WEEKDAY: i64 = 7;
        /// `1`
        pub const FIRST_WORKDAY: i64 = 1;
        /// `&["yanvar", "fevral", "mart", "aprel", "may", "iyun", "iyul", "avqust", "sentyabr", "oktyabr", "noyabr", "dekabr"]`
        pub const MON: &[&str] = &["yanvar", "fevral", "mart", "aprel", "may", "iyun", "iyul", "avqust", "sentyabr", "oktyabr", "noyabr", "dekabr"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod bg_BG {
    pub mod LC_ADDRESS {
        /// `"BG"`
        pub const COUNTRY_ABTWO: &str = "BG";
        /// `"BGR"`
        pub const COUNTRY_AB3: &str = "BGR";
        /// `"BG"`
        pub const COUNTRY_CAR: &str = "BG";
        /// `954`
        pub const COUNTRY_ISBN: i64 = 954;
        /// `"България"`
        pub const COUNTRY_NAME: &str = "България";
        /// `100`
        pub const COUNTRY_NUM: i64 = 100;
        /// `"BG"`
        pub const COUNTRY_POST: &str = "BG";
        /// `"bg"`
        pub const LANG_AB: &str = "bg";
        /// `"bul"`
        pub const LANG_LIB: &str = "bul";
        /// `"български"`
        pub const LANG_NAME: &str = "български";
        /// `"bul"`
        pub const LANG_TERM: &str = "bul";
        /// `"%f%N%a%N%d%N%b%N%sN%h, %e, %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%sN%h, %e, %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"develop@linux.zonebg.com"`
        pub const ADDRESS: &str = "develop@linux.zonebg.com";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Delyan Toshev"`
        pub const CONTACT: &str = "Delyan Toshev";
        /// `"2002-09-10"`
        pub const DATE: &str = "2002-09-10";
        /// `"delyant@yahoo.com"`
        pub const EMAIL: &str = "delyant@yahoo.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Bulgarian"`
        pub const LANGUAGE: &str = "Bulgarian";
        /// `"2.0.1"`
        pub const REVISION: &str = "2.0.1";
        /// `"Linux Society Bulgaria"`
        pub const SOURCE: &str = "Linux Society Bulgaria";
        /// `""`
        pub const TEL: &str = "";
        /// `"Bulgaria"`
        pub const TERRITORY: &str = "Bulgaria";
        /// `"Bulgarian locale for Bulgaria"`
        pub const TITLE: &str = "Bulgarian locale for Bulgaria";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNkKНн]"`
        pub const NOEXPR: &str = "^[-0nNkKНн]";
        /// `"не"`
        pub const NOSTR: &str = "не";
        /// `"^[+1yYdDoOДд]"`
        pub const YESEXPR: &str = "^[+1yYdDoOДд]";
        /// `"да"`
        pub const YESSTR: &str = "да";
    }
    pub mod LC_MONETARY {
        /// `"лв."`
        pub const CURRENCY_SYMBOL: &str = "лв.";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"BGN "`
        pub const INT_CURR_SYMBOL: &str = "BGN ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `""`
        pub const THOUSANDS_SEP: &str = "";
    }
    pub mod LC_TELEPHONE {
        /// `"359"`
        pub const INT_PREFIX: &str = "359";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"(0%a) %l"`
        pub const TEL_DOM_FMT: &str = "(0%a) %l";
        /// `"(+%c %a) %l"`
        pub const TEL_INT_FMT: &str = "(+%c %a) %l";
    }
    pub mod LC_TIME {
        /// `&["нд", "пн", "вт", "ср", "чт", "пт", "сб"]`
        pub const ABDAY: &[&str] = &["нд", "пн", "вт", "ср", "чт", "пт", "сб"];
        /// `&["яну", "фев", "мар", "апр", "май", "юни", "юли", "авг", "сеп", "окт", "ное", "дек"]`
        pub const ABMON: &[&str] = &["яну", "фев", "мар", "апр", "май", "юни", "юли", "авг", "сеп", "окт", "ное", "дек"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%e.%m.%Y"`
        pub const D_FMT: &str = "%e.%m.%Y";
        /// `"%x (%a) %X %Z"`
        pub const D_T_FMT: &str = "%x (%a) %X %Z";
        /// `&["неделя", "понеделник", "вторник", "сряда", "четвъртък", "петък", "събота"]`
        pub const DAY: &[&str] = &["неделя", "понеделник", "вторник", "сряда", "четвъртък", "петък", "събота"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["януари", "февруари", "март", "април", "май", "юни", "юли", "август", "септември", "октомври", "ноември", "декември"]`
        pub const MON: &[&str] = &["януари", "февруари", "март", "април", "май", "юни", "юли", "август", "септември", "октомври", "ноември", "декември"];
        /// `"%k:%M:%S"`
        pub const T_FMT: &str = "%k:%M:%S";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod bhb_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"भारत"`
        pub const COUNTRY_NAME: &str = "भारत";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `""`
        pub const LANG_AB: &str = "";
        /// `"bhb"`
        pub const LANG_LIB: &str = "bhb";
        /// `"भीली"`
        pub const LANG_NAME: &str = "भीली";
        /// `"bhb"`
        pub const LANG_TERM: &str = "bhb";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2014-09-30"`
        pub const DATE: &str = "2014-09-30";
        /// `"alexey.merzlyakov@samsung.com"`
        pub const EMAIL: &str = "alexey.merzlyakov@samsung.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Bhili"`
        pub const LANGUAGE: &str = "Bhili";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `"Samsung Electronics Co., Ltd."`
        pub const SOURCE: &str = "Samsung Electronics Co., Ltd.";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Bhili(devanagari) language locale for India"`
        pub const TITLE: &str = "Bhili(devanagari) language locale for India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
    }
    pub use super::hi_IN::LC_MONETARY;
    pub use super::hi_IN::LC_NUMERIC;
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"]`
        pub const ABDAY: &[&str] = &["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
        /// `&["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"]`
        pub const DAY: &[&str] = &["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];
        /// `&["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]`
        pub const MON: &[&str] = &["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod bho_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"भारत"`
        pub const COUNTRY_NAME: &str = "भारत";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"bho"`
        pub const LANG_LIB: &str = "bho";
        /// `"भोजप\u{941}री"`
        pub const LANG_NAME: &str = "भोजप\u{941}री";
        /// `"bho"`
        pub const LANG_TERM: &str = "bho";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2011-12-20"`
        pub const DATE: &str = "2011-12-20";
        /// `"bhashaghar@googlegroups.com"`
        pub const EMAIL: &str = "bhashaghar@googlegroups.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Bhojpuri"`
        pub const LANGUAGE: &str = "Bhojpuri";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Bhojpuri language locale for India"`
        pub const TITLE: &str = "Bhojpuri language locale for India";
    }
    pub use super::hi_IN::LC_MESSAGES;
    pub use super::hi_IN::LC_MONETARY;
    pub use super::hi_IN::LC_NUMERIC;
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["रवि", "सोम", "म\u{902}गल", "ब\u{941}ध", "ग\u{941}र\u{941}", "श\u{941}क\u{94d}र", "शनि"]`
        pub const ABDAY: &[&str] = &["रवि", "सोम", "म\u{902}गल", "ब\u{941}ध", "ग\u{941}र\u{941}", "श\u{941}क\u{94d}र", "शनि"];
        /// `&["जनवरी", "फरवरी", "मार\u{94d}च", "अप\u{94d}र\u{948}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अक\u{94d}ट\u{942}बर", "नवम\u{94d}बर", "दिसम\u{94d}बर"]`
        pub const ABMON: &[&str] = &["जनवरी", "फरवरी", "मार\u{94d}च", "अप\u{94d}र\u{948}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अक\u{94d}ट\u{942}बर", "नवम\u{94d}बर", "दिसम\u{94d}बर"];
        /// `&["प\u{942}र\u{94d}वाह\u{94d}न", "अपराह\u{94d}न"]`
        pub const AM_PM: &[&str] = &["प\u{942}र\u{94d}वाह\u{94d}न", "अपराह\u{94d}न"];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["रविवार", "सोमवार", "म\u{902}गलवार", "ब\u{941}धवार", "ग\u{941}र\u{941}वार", "श\u{941}क\u{94d}रवार", "शनिवार"]`
        pub const DAY: &[&str] = &["रविवार", "सोमवार", "म\u{902}गलवार", "ब\u{941}धवार", "ग\u{941}र\u{941}वार", "श\u{941}क\u{94d}रवार", "शनिवार"];
        /// `&["जनवरी", "फरवरी", "मार\u{94d}च", "अप\u{94d}र\u{948}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अक\u{94d}ट\u{942}बर", "नवम\u{94d}बर", "दिसम\u{94d}बर"]`
        pub const MON: &[&str] = &["जनवरी", "फरवरी", "मार\u{94d}च", "अप\u{94d}र\u{948}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अक\u{94d}ट\u{942}बर", "नवम\u{94d}बर", "दिसम\u{94d}बर"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod bho_NP {
    pub mod LC_ADDRESS {
        /// `"NP"`
        pub const COUNTRY_ABTWO: &str = "NP";
        /// `"NPL"`
        pub const COUNTRY_AB3: &str = "NPL";
        /// `"NEP"`
        pub const COUNTRY_CAR: &str = "NEP";
        /// `"न\u{947}पाल"`
        pub const COUNTRY_NAME: &str = "न\u{947}पाल";
        /// `524`
        pub const COUNTRY_NUM: i64 = 524;
        /// `"bho"`
        pub const LANG_LIB: &str = "bho";
        /// `"भोजप\u{941}री"`
        pub const LANG_NAME: &str = "भोजप\u{941}री";
        /// `"bho"`
        pub const LANG_TERM: &str = "bho";
        /// `"%f%N%h%s%N%T"`
        pub const POSTAL_FMT: &str = "%f%N%h%s%N%T";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2017-07-24"`
        pub const DATE: &str = "2017-07-24";
        /// `"akhilesh.k@samusng.com"`
        pub const EMAIL: &str = "akhilesh.k@samusng.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Bhojpuri"`
        pub const LANGUAGE: &str = "Bhojpuri";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `"Samsung Electronics Co., Ltd."`
        pub const SOURCE: &str = "Samsung Electronics Co., Ltd.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Nepal"`
        pub const TERRITORY: &str = "Nepal";
        /// `"Bhojpuri language locale for Nepal"`
        pub const TITLE: &str = "Bhojpuri language locale for Nepal";
    }
    pub use super::bho_IN::LC_MESSAGES;
    pub use super::ne_NP::LC_MONETARY;
    pub use super::ne_NP::LC_NUMERIC;
    pub use super::ne_NP::LC_TELEPHONE;
    pub use super::bho_IN::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod bi_VU {
    pub mod LC_ADDRESS {
        /// `"VU"`
        pub const COUNTRY_ABTWO: &str = "VU";
        /// `"VUT"`
        pub const COUNTRY_AB3: &str = "VUT";
        /// `"VU"`
        pub const COUNTRY_CAR: &str = "VU";
        /// `"Vanuatu"`
        pub const COUNTRY_NAME: &str = "Vanuatu";
        /// `548`
        pub const COUNTRY_NUM: i64 = 548;
        /// `"bi"`
        pub const LANG_AB: &str = "bi";
        /// `"bis"`
        pub const LANG_LIB: &str = "bis";
        /// `"Bislama"`
        pub const LANG_NAME: &str = "Bislama";
        /// `"bis"`
        pub const LANG_TERM: &str = "bis";
        /// `"%a%b%s%c"`
        pub const POSTAL_FMT: &str = "%a%b%s%c";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2017-07-13"`
        pub const DATE: &str = "2017-07-13";
        /// `"akhilesh.k@samsung.com & maninder1.s@samsung.com"`
        pub const EMAIL: &str = "akhilesh.k@samsung.com & maninder1.s@samsung.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Bislama"`
        pub const LANGUAGE: &str = "Bislama";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `"Samsung Electronics Co., Ltd."`
        pub const SOURCE: &str = "Samsung Electronics Co., Ltd.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Vanuatu"`
        pub const TERRITORY: &str = "Vanuatu";
        /// `"Bislama language locale for Vanuatu"`
        pub const TITLE: &str = "Bislama language locale for Vanuatu";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"No"`
        pub const NOSTR: &str = "No";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
        /// `"Yes"`
        pub const YESSTR: &str = "Yes";
    }
    pub mod LC_MONETARY {
        /// `"VT"`
        pub const CURRENCY_SYMBOL: &str = "VT";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"VUV "`
        pub const INT_CURR_SYMBOL: &str = "VUV ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `1`
        pub const INT_N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const INT_P_SEP_BY_SPACE: i64 = 1;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"678"`
        pub const INT_PREFIX: &str = "678";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %l"`
        pub const TEL_INT_FMT: &str = "+%c %l";
    }
    pub mod LC_TIME {
        /// `&["San", "Man", "Tus", "Wen", "Tas", "Fra", "Sar"]`
        pub const ABDAY: &[&str] = &["San", "Man", "Tus", "Wen", "Tas", "Fra", "Sar"];
        /// `&["Jan", "Feb", "Maj", "Epr", "Mei", "Jun", "Jul", "Ogs", "Sep", "Okt", "Nov", "Dis"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Maj", "Epr", "Mei", "Jun", "Jul", "Ogs", "Sep", "Okt", "Nov", "Dis"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%A %d %b %Y"`
        pub const D_FMT: &str = "%A %d %b %Y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["Sande", "Mande", "Tusde", "Wenesde", "Tosde", "Fraede", "Sarere"]`
        pub const DAY: &[&str] = &["Sande", "Mande", "Tusde", "Wenesde", "Tosde", "Fraede", "Sarere"];
        /// `&["Jenuware", "Febwari", "Maj", "Epril", "Mei", "Jun", "Julae", "Ogis", "Septemba", "Oktoba", "Novemba", "Disemba"]`
        pub const MON: &[&str] = &["Jenuware", "Febwari", "Maj", "Epril", "Mei", "Jun", "Julae", "Ogis", "Septemba", "Oktoba", "Novemba", "Disemba"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod bn_BD {
    pub mod LC_ADDRESS {
        /// `"BD"`
        pub const COUNTRY_ABTWO: &str = "BD";
        /// `"BGD"`
        pub const COUNTRY_AB3: &str = "BGD";
        /// `"BD"`
        pub const COUNTRY_CAR: &str = "BD";
        /// `"ব\u{9be}ংল\u{9be}দেশ"`
        pub const COUNTRY_NAME: &str = "ব\u{9be}ংল\u{9be}দেশ";
        /// `50`
        pub const COUNTRY_NUM: i64 = 50;
        /// `"bn"`
        pub const LANG_AB: &str = "bn";
        /// `"ben"`
        pub const LANG_LIB: &str = "ben";
        /// `"ব\u{9be}ংল\u{9be}"`
        pub const LANG_NAME: &str = "ব\u{9be}ংল\u{9be}";
        /// `"ben"`
        pub const LANG_TERM: &str = "ben";
        /// `"%a%N%f%N%d%N%b%N%h %s %e %r%N%T %z%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%f%N%d%N%b%N%h %s %e %r%N%T %z%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Dhaka, Bangladesh"`
        pub const ADDRESS: &str = "Dhaka, Bangladesh";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_NAME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_NAME"],
        ];
        /// `"Taneem Ahmed, Jamil Ahmed"`
        pub const CONTACT: &str = "Taneem Ahmed, Jamil Ahmed";
        /// `"2007-01-10"`
        pub const DATE: &str = "2007-01-10";
        /// `"taneem@bengalinux.org, jamil@bengalinux.org"`
        pub const EMAIL: &str = "taneem@bengalinux.org, jamil@bengalinux.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Bangla"`
        pub const LANGUAGE: &str = "Bangla";
        /// `"0.5"`
        pub const REVISION: &str = "0.5";
        /// `"Ankur Group, http://www.ankurbangla.org, http://www.bengalinux.org"`
        pub const SOURCE: &str = "Ankur Group, http://www.ankurbangla.org, http://www.bengalinux.org";
        /// `""`
        pub const TEL: &str = "";
        /// `"Bangladesh"`
        pub const TERRITORY: &str = "Bangladesh";
        /// `"Bangla language locale for Bangladesh"`
        pub const TITLE: &str = "Bangla language locale for Bangladesh";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNন]"`
        pub const NOEXPR: &str = "^[-0nNন]";
        /// `"ন\u{9be}"`
        pub const NOSTR: &str = "ন\u{9be}";
        /// `"^[+1yYহ]"`
        pub const YESEXPR: &str = "^[+1yYহ]";
        /// `"হ\u{9cd}য\u{9be}\u{981}"`
        pub const YESSTR: &str = "হ\u{9cd}য\u{9be}\u{981}";
    }
    pub mod LC_MONETARY {
        /// `"৳"`
        pub const CURRENCY_SYMBOL: &str = "৳";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"BDT "`
        pub const INT_CURR_SYMBOL: &str = "BDT ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 2]`
        pub const MON_GROUPING: &[i64] = &[3, 2];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 2]`
        pub const GROUPING: &[i64] = &[3, 2];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"880"`
        pub const INT_PREFIX: &str = "880";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%a %l"`
        pub const TEL_DOM_FMT: &str = "%a %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["রবি", "সোম", "মঙ\u{9cd}গল", "ব\u{9c1}ধ", "ব\u{9c3}হঃ", "শ\u{9c1}ক\u{9cd}র", "শনি"]`
        pub const ABDAY: &[&str] = &["রবি", "সোম", "মঙ\u{9cd}গল", "ব\u{9c1}ধ", "ব\u{9c3}হঃ", "শ\u{9c1}ক\u{9cd}র", "শনি"];
        /// `&["জ\u{9be}ন\u{9c1}", "ফেব", "ম\u{9be}র\u{9cd}চ", "এপ\u{9cd}রিল", "মে", "জ\u{9c1}ন", "জ\u{9c1}ল\u{9be}ই", "আগস\u{9cd}ট", "সেপ\u{9cd}টেম\u{9cd}বর", "অক\u{9cd}টোবর", "নভেম\u{9cd}বর", "ডিসেম\u{9cd}বর"]`
        pub const ABMON: &[&str] = &["জ\u{9be}ন\u{9c1}", "ফেব", "ম\u{9be}র\u{9cd}চ", "এপ\u{9cd}রিল", "মে", "জ\u{9c1}ন", "জ\u{9c1}ল\u{9be}ই", "আগস\u{9cd}ট", "সেপ\u{9cd}টেম\u{9cd}বর", "অক\u{9cd}টোবর", "নভেম\u{9cd}বর", "ডিসেম\u{9cd}বর"];
        /// `&["প\u{9c2}র\u{9cd}ব\u{9be}হ\u{9cd}ণ", "অপর\u{9be}হ\u{9cd}ণ"]`
        pub const AM_PM: &[&str] = &["প\u{9c2}র\u{9cd}ব\u{9be}হ\u{9cd}ণ", "অপর\u{9be}হ\u{9cd}ণ"];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["রবিব\u{9be}র", "সোমব\u{9be}র", "মঙ\u{9cd}গলব\u{9be}র", "ব\u{9c1}ধব\u{9be}র", "ব\u{9c3}হস\u{9cd}পতিব\u{9be}র", "শ\u{9c1}ক\u{9cd}রব\u{9be}র", "শনিব\u{9be}র"]`
        pub const DAY: &[&str] = &["রবিব\u{9be}র", "সোমব\u{9be}র", "মঙ\u{9cd}গলব\u{9be}র", "ব\u{9c1}ধব\u{9be}র", "ব\u{9c3}হস\u{9cd}পতিব\u{9be}র", "শ\u{9c1}ক\u{9cd}রব\u{9be}র", "শনিব\u{9be}র"];
        /// `6`
        pub const FIRST_WEEKDAY: i64 = 6;
        /// `&["জ\u{9be}ন\u{9c1}য\u{9bc}\u{9be}রী", "ফেব\u{9cd}র\u{9c1}য\u{9bc}\u{9be}রী", "ম\u{9be}র\u{9cd}চ", "এপ\u{9cd}রিল", "মে", "জ\u{9c1}ন", "জ\u{9c1}ল\u{9be}ই", "আগস\u{9cd}ট", "সেপ\u{9cd}টেম\u{9cd}বর", "অক\u{9cd}টোবর", "নভেম\u{9cd}বর", "ডিসেম\u{9cd}বর"]`
        pub const MON: &[&str] = &["জ\u{9be}ন\u{9c1}য\u{9bc}\u{9be}রী", "ফেব\u{9cd}র\u{9c1}য\u{9bc}\u{9be}রী", "ম\u{9be}র\u{9cd}চ", "এপ\u{9cd}রিল", "মে", "জ\u{9c1}ন", "জ\u{9c1}ল\u{9be}ই", "আগস\u{9cd}ট", "সেপ\u{9cd}টেম\u{9cd}বর", "অক\u{9cd}টোবর", "নভেম\u{9cd}বর", "ডিসেম\u{9cd}বর"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod bn_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"ভ\u{9be}রত"`
        pub const COUNTRY_NAME: &str = "ভ\u{9be}রত";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"bn"`
        pub const LANG_AB: &str = "bn";
        /// `"ben"`
        pub const LANG_LIB: &str = "ben";
        /// `"ব\u{9be}ংল\u{9be}"`
        pub const LANG_NAME: &str = "ব\u{9be}ংল\u{9be}";
        /// `"ben"`
        pub const LANG_TERM: &str = "ben";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"2006-05-29"`
        pub const DATE: &str = "2006-05-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Bangla"`
        pub const LANGUAGE: &str = "Bangla";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Bangla language locale for India"`
        pub const TITLE: &str = "Bangla language locale for India";
    }
    pub use super::bn_BD::LC_MESSAGES;
    pub use super::hi_IN::LC_MONETARY;
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 2]`
        pub const GROUPING: &[i64] = &[3, 2];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["রবি", "সোম", "মঙ\u{9cd}গল", "ব\u{9c1}ধ", "ব\u{9c3}হস\u{9cd}পতি", "শ\u{9c1}ক\u{9cd}র", "শনি"]`
        pub const ABDAY: &[&str] = &["রবি", "সোম", "মঙ\u{9cd}গল", "ব\u{9c1}ধ", "ব\u{9c3}হস\u{9cd}পতি", "শ\u{9c1}ক\u{9cd}র", "শনি"];
        /// `&["জ\u{9be}ন\u{9c1}", "ফেব", "ম\u{9be}র\u{9cd}চ", "এপ\u{9cd}রিল", "মে", "জ\u{9c1}ন", "জ\u{9c1}ল\u{9be}ই", "আগস\u{9cd}ট", "সেপ\u{9cd}টেম\u{9cd}বর", "অক\u{9cd}টোবর", "নভেম\u{9cd}বর", "ডিসেম\u{9cd}বর"]`
        pub const ABMON: &[&str] = &["জ\u{9be}ন\u{9c1}", "ফেব", "ম\u{9be}র\u{9cd}চ", "এপ\u{9cd}রিল", "মে", "জ\u{9c1}ন", "জ\u{9c1}ল\u{9be}ই", "আগস\u{9cd}ট", "সেপ\u{9cd}টেম\u{9cd}বর", "অক\u{9cd}টোবর", "নভেম\u{9cd}বর", "ডিসেম\u{9cd}বর"];
        /// `&["প\u{9c2}র\u{9cd}ব\u{9be}হ\u{9cd}ণ", "অপর\u{9be}হ\u{9cd}ণ"]`
        pub const AM_PM: &[&str] = &["প\u{9c2}র\u{9cd}ব\u{9be}হ\u{9cd}ণ", "অপর\u{9be}হ\u{9cd}ণ"];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["রবিব\u{9be}র", "সোমব\u{9be}র", "মঙ\u{9cd}গলব\u{9be}র", "ব\u{9c1}ধব\u{9be}র", "ব\u{9c3}হস\u{9cd}পতিব\u{9be}র", "শ\u{9c1}ক\u{9cd}রব\u{9be}র", "শনিব\u{9be}র"]`
        pub const DAY: &[&str] = &["রবিব\u{9be}র", "সোমব\u{9be}র", "মঙ\u{9cd}গলব\u{9be}র", "ব\u{9c1}ধব\u{9be}র", "ব\u{9c3}হস\u{9cd}পতিব\u{9be}র", "শ\u{9c1}ক\u{9cd}রব\u{9be}র", "শনিব\u{9be}র"];
        /// `&["জ\u{9be}ন\u{9c1}য\u{9bc}\u{9be}রী", "ফেব\u{9cd}র\u{9c1}য\u{9bc}\u{9be}রী", "ম\u{9be}র\u{9cd}চ", "এপ\u{9cd}রিল", "মে", "জ\u{9c1}ন", "জ\u{9c1}ল\u{9be}ই", "আগস\u{9cd}ট", "সেপ\u{9cd}টেম\u{9cd}বর", "অক\u{9cd}টোবর", "নভেম\u{9cd}বর", "ডিসেম\u{9cd}বর"]`
        pub const MON: &[&str] = &["জ\u{9be}ন\u{9c1}য\u{9bc}\u{9be}রী", "ফেব\u{9cd}র\u{9c1}য\u{9bc}\u{9be}রী", "ম\u{9be}র\u{9cd}চ", "এপ\u{9cd}রিল", "মে", "জ\u{9c1}ন", "জ\u{9c1}ল\u{9be}ই", "আগস\u{9cd}ট", "সেপ\u{9cd}টেম\u{9cd}বর", "অক\u{9cd}টোবর", "নভেম\u{9cd}বর", "ডিসেম\u{9cd}বর"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod bo_CN {
    pub mod LC_ADDRESS {
        /// `"CN"`
        pub const COUNTRY_ABTWO: &str = "CN";
        /// `"CHN"`
        pub const COUNTRY_AB3: &str = "CHN";
        /// `"CHN"`
        pub const COUNTRY_CAR: &str = "CHN";
        /// `7`
        pub const COUNTRY_ISBN: i64 = 7;
        /// `"ར\u{f92}\u{fb1}་ནག"`
        pub const COUNTRY_NAME: &str = "ར\u{f92}\u{fb1}་ནག";
        /// `156`
        pub const COUNTRY_NUM: i64 = 156;
        /// `"bo"`
        pub const LANG_AB: &str = "bo";
        /// `"tib"`
        pub const LANG_LIB: &str = "tib";
        /// `"བ\u{f7c}ད་ས\u{f90}ད་"`
        pub const LANG_NAME: &str = "བ\u{f7c}ད་ས\u{f90}ད་";
        /// `"bod"`
        pub const LANG_TERM: &str = "bod";
        /// `"%c%N%T%N%s %h %e %r%N%b%N%d%N%f%N%a%N"`
        pub const POSTAL_FMT: &str = "%c%N%T%N%s %h %e %r%N%b%N%d%N%f%N%a%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2007-11-06"`
        pub const DATE: &str = "2007-11-06";
        /// `"bug-glibc@gnu.org"`
        pub const EMAIL: &str = "bug-glibc@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Tibetan"`
        pub const LANGUAGE: &str = "Tibetan";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"China"`
        pub const TERRITORY: &str = "China";
        /// `"Tibetan language locale for P.R. of China"`
        pub const TITLE: &str = "Tibetan language locale for P.R. of China";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNམ]"`
        pub const NOEXPR: &str = "^[-0nNམ]";
        /// `"མ\u{f72}ན།"`
        pub const NOSTR: &str = "མ\u{f72}ན།";
        /// `"^[+1yYཨ]"`
        pub const YESEXPR: &str = "^[+1yYཨ]";
        /// `"ཡ\u{f72}ན།"`
        pub const YESSTR: &str = "ཡ\u{f72}ན།";
    }
    pub use super::zh_CN::LC_MONETARY;
    pub use super::zh_CN::LC_NUMERIC;
    pub use super::zh_CN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["ཉ\u{f72}་", "ཟ\u{fb3}་", "མ\u{f72}ར་", "ལ\u{fb7}ག་", "པ\u{f74}ར་", "སངས་", "ས\u{fa4}\u{f7a}ན་"]`
        pub const ABDAY: &[&str] = &["ཉ\u{f72}་", "ཟ\u{fb3}་", "མ\u{f72}ར་", "ལ\u{fb7}ག་", "པ\u{f74}ར་", "སངས་", "ས\u{fa4}\u{f7a}ན་"];
        /// `&["ཟ\u{fb3}་༡", "ཟ\u{fb3}་༢", "ཟ\u{fb3}་༣", "ཟ\u{fb3}་༤", "ཟ\u{fb3}་༥", "ཟ\u{fb3}་༦", "ཟ\u{fb3}་༧", "ཟ\u{fb3}་༨", "ཟ\u{fb3}་༩", "ཟ\u{fb3}་༡༠", "ཟ\u{fb3}་༡༡", "ཟ\u{fb3}་༡༢"]`
        pub const ABMON: &[&str] = &["ཟ\u{fb3}་༡", "ཟ\u{fb3}་༢", "ཟ\u{fb3}་༣", "ཟ\u{fb3}་༤", "ཟ\u{fb3}་༥", "ཟ\u{fb3}་༦", "ཟ\u{fb3}་༧", "ཟ\u{fb3}་༨", "ཟ\u{fb3}་༩", "ཟ\u{fb3}་༡༠", "ཟ\u{fb3}་༡༡", "ཟ\u{fb3}་༡༢"];
        /// `&["ངས་ཆ", "ཕ\u{fb1}\u{f72}་ཆ"]`
        pub const AM_PM: &[&str] = &["ངས་ཆ", "ཕ\u{fb1}\u{f72}་ཆ"];
        /// `"པས\u{fb1}\u{f72}་ལ\u{f7c}%y\nཟལ%mཚ\u{f7a}ས%d"`
        pub const D_FMT: &str = "པས\u{fb1}\u{f72}་ལ\u{f7c}%y\nཟལ%mཚ\u{f7a}ས%d";
        /// `"པས\u{fb1}\u{f72}་ལ\u{f7c}%yཟལ%mཚ\u{f7a}ས\n%dཆ\u{f74}་ཚ\u{f7c}ད%Hཀསར་མ\n%Mཀསར་ཆ%S"`
        pub const D_T_FMT: &str = "པས\u{fb1}\u{f72}་ལ\u{f7c}%yཟལ%mཚ\u{f7a}ས\n%dཆ\u{f74}་ཚ\u{f7c}ད%Hཀསར་མ\n%Mཀསར་ཆ%S";
        /// `&["གཟའ་ཉ\u{f72}་མ་", "གཟའ་ཟ\u{fb3}་བ་", "གཟའ་མ\u{f72}ག་དམར་", "གཟའ་ལ\u{fb7}ག་ཕ་", "གཟའ་པ\u{f74}ར་བ\u{f74}་", "གཟའ་པ་སངས་", "གཟའ་ས\u{fa4}\u{f7a}ན་ཕ་"]`
        pub const DAY: &[&str] = &["གཟའ་ཉ\u{f72}་མ་", "གཟའ་ཟ\u{fb3}་བ་", "གཟའ་མ\u{f72}ག་དམར་", "གཟའ་ལ\u{fb7}ག་ཕ་", "གཟའ་པ\u{f74}ར་བ\u{f74}་", "གཟའ་པ་སངས་", "གཟའ་ས\u{fa4}\u{f7a}ན་ཕ་"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["ཟ\u{fb3}་བ་དང་པ་", "ཟ\u{fb3}་བ་གཉ\u{f72}ས་པ་", "ཟ\u{fb3}་བ་གས\u{f74}མ་པ་", "ཟ\u{fb3}་བ་བཞ\u{f72}་པ་", "ཟ\u{fb3}་བ་ལ\u{f94}་ཕ་", "ཟ\u{fb3}་བ་ད\u{fb2}\u{f74}ག་པ་", "ཟ\u{fb3}་བ་བད\u{f74}ནཔ་", "ཟ\u{fb3}་བ་བར\u{f92}\u{fb1}ད་པ་", "ཟ\u{fb3}་བ་དག\u{f74}་པ་", "ཟ\u{fb3}་བ་བཅ\u{f74}་པ་", "ཟ\u{fb3}་བ་བཅ\u{f74}་གཅ\u{f72}ག་པ་", "ཟ\u{fb3}་བ་བཅ\u{f74}་གཉ\u{f72}ས་པ་"]`
        pub const MON: &[&str] = &["ཟ\u{fb3}་བ་དང་པ་", "ཟ\u{fb3}་བ་གཉ\u{f72}ས་པ་", "ཟ\u{fb3}་བ་གས\u{f74}མ་པ་", "ཟ\u{fb3}་བ་བཞ\u{f72}་པ་", "ཟ\u{fb3}་བ་ལ\u{f94}་ཕ་", "ཟ\u{fb3}་བ་ད\u{fb2}\u{f74}ག་པ་", "ཟ\u{fb3}་བ་བད\u{f74}ནཔ་", "ཟ\u{fb3}་བ་བར\u{f92}\u{fb1}ད་པ་", "ཟ\u{fb3}་བ་དག\u{f74}་པ་", "ཟ\u{fb3}་བ་བཅ\u{f74}་པ་", "ཟ\u{fb3}་བ་བཅ\u{f74}་གཅ\u{f72}ག་པ་", "ཟ\u{fb3}་བ་བཅ\u{f74}་གཉ\u{f72}ས་པ་"];
        /// `"ཆ\u{f74}་ཚ\u{f7c}ད\n%Hཀསར་མ\n%Mཀསར་ཆ%S"`
        pub const T_FMT: &str = "ཆ\u{f74}་ཚ\u{f7c}ད\n%Hཀསར་མ\n%Mཀསར་ཆ%S";
        /// `"ཆ\u{f74}་ཚ\u{f7c}ད\n%Iཀསར་མ\n%Mཀསར་ཆ%S \n%p"`
        pub const T_FMT_AMPM: &str = "ཆ\u{f74}་ཚ\u{f7c}ད\n%Iཀསར་མ\n%Mཀསར་ཆ%S \n%p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod bo_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"ར\u{f92}\u{fb1}་གར་"`
        pub const COUNTRY_NAME: &str = "ར\u{f92}\u{fb1}་གར་";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"bo"`
        pub const LANG_AB: &str = "bo";
        /// `"tib"`
        pub const LANG_LIB: &str = "tib";
        /// `"བ\u{f7c}ད་ས\u{f90}ད་"`
        pub const LANG_NAME: &str = "བ\u{f7c}ད་ས\u{f90}ད་";
        /// `"bod"`
        pub const LANG_TERM: &str = "bod";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2007-11-06"`
        pub const DATE: &str = "2007-11-06";
        /// `"bug-glibc@gnu.org"`
        pub const EMAIL: &str = "bug-glibc@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Tibetan"`
        pub const LANGUAGE: &str = "Tibetan";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Tibetan language locale for India"`
        pub const TITLE: &str = "Tibetan language locale for India";
    }
    pub use super::bo_CN::LC_MESSAGES;
    pub use super::hi_IN::LC_MONETARY;
    pub use super::bo_CN::LC_NUMERIC;
    pub use super::hi_IN::LC_TELEPHONE;
    pub use super::bo_CN::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod br_FR {
    pub mod LC_ADDRESS {
        /// `"FR"`
        pub const COUNTRY_ABTWO: &str = "FR";
        /// `"FRA"`
        pub const COUNTRY_AB3: &str = "FRA";
        /// `"F"`
        pub const COUNTRY_CAR: &str = "F";
        /// `"979-10"`
        pub const COUNTRY_ISBN: &str = "979-10";
        /// `"Frañs"`
        pub const COUNTRY_NAME: &str = "Frañs";
        /// `250`
        pub const COUNTRY_NUM: i64 = 250;
        /// `"br"`
        pub const LANG_AB: &str = "br";
        /// `"bre"`
        pub const LANG_LIB: &str = "bre";
        /// `"brezhoneg"`
        pub const LANG_NAME: &str = "brezhoneg";
        /// `"bre"`
        pub const LANG_TERM: &str = "bre";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
        ];
        /// `"Thierry Vignaud"`
        pub const CONTACT: &str = "Thierry Vignaud";
        /// `"2001-01-28"`
        pub const DATE: &str = "2001-01-28";
        /// `"thierry.vignaud@gmail.com"`
        pub const EMAIL: &str = "thierry.vignaud@gmail.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Breton"`
        pub const LANGUAGE: &str = "Breton";
        /// `"0.54"`
        pub const REVISION: &str = "0.54";
        /// `"Denise.Peden@enst-bretagne.fr (Denise Derrien-Peden)"`
        pub const SOURCE: &str = "Denise.Peden@enst-bretagne.fr (Denise Derrien-Peden)";
        /// `""`
        pub const TEL: &str = "";
        /// `"France"`
        pub const TERRITORY: &str = "France";
        /// `"Breton language locale for France"`
        pub const TITLE: &str = "Breton language locale for France";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0kKnN]"`
        pub const NOEXPR: &str = "^[-0kKnN]";
        /// `"ket"`
        pub const NOSTR: &str = "ket";
        /// `"^[+1oOyY]"`
        pub const YESEXPR: &str = "^[+1oOyY]";
        /// `"ya"`
        pub const YESSTR: &str = "ya";
    }
    pub use super::fr_FR::LC_MONETARY;
    pub use super::fr_FR::LC_NUMERIC;
    pub use super::fr_FR::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["sul", "lun", "meu", "mer", "yao", "gwe", "sad"]`
        pub const ABDAY: &[&str] = &["sul", "lun", "meu", "mer", "yao", "gwe", "sad"];
        /// `&["Gen ", "Cʼhw", "Meu ", "Ebr ", "Mae ", "Mezh", "Gou ", "Eos ", "Gwe ", "Her ", "Du  ", "Ker "]`
        pub const ABMON: &[&str] = &["Gen ", "Cʼhw", "Meu ", "Ebr ", "Mae ", "Mezh", "Gou ", "Eos ", "Gwe ", "Her ", "Du  ", "Ker "];
        /// `&[" ", " "]`
        pub const AM_PM: &[&str] = &[" ", " "];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"Dʼar %A %d a viz %B %Y"`
        pub const D_T_FMT: &str = "Dʼar %A %d a viz %B %Y";
        /// `&["sul", "lun", "meurzh", "mercʼher", "yaou", "gwener", "sadorn"]`
        pub const DAY: &[&str] = &["sul", "lun", "meurzh", "mercʼher", "yaou", "gwener", "sadorn"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Genver", "Cʼhwevrer", "Meurzh", "Ebrel", "Mae", "Mezheven", "Gouere", "Eost", "Gwengolo", "Here", "Du", "Kerzu"]`
        pub const MON: &[&str] = &["Genver", "Cʼhwevrer", "Meurzh", "Ebrel", "Mae", "Mezheven", "Gouere", "Eost", "Gwengolo", "Here", "Du", "Kerzu"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%Ie%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%Ie%M:%S %p";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod br_FR_euro {
    pub use super::br_FR::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"2002-02-28"`
        pub const DATE: &str = "2002-02-28";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Breton"`
        pub const LANGUAGE: &str = "Breton";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"France"`
        pub const TERRITORY: &str = "France";
        /// `"Breton locale for France with Euro"`
        pub const TITLE: &str = "Breton locale for France with Euro";
    }
    pub use super::br_FR::LC_MESSAGES;
    pub use super::br_FR::LC_MONETARY;
    pub use super::br_FR::LC_NUMERIC;
    pub use super::br_FR::LC_TELEPHONE;
    pub use super::br_FR::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod brx_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"भारत"`
        pub const COUNTRY_NAME: &str = "भारत";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"brx"`
        pub const LANG_LIB: &str = "brx";
        /// `"बड\u{93c}ो"`
        pub const LANG_NAME: &str = "बड\u{93c}ो";
        /// `"brx"`
        pub const LANG_TERM: &str = "brx";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Level 1, Tower X, Cybercity, Magarpatta City, Hadapsar, Pune-411013 "`
        pub const ADDRESS: &str = "Level 1, Tower X, Cybercity, Magarpatta City, Hadapsar, Pune-411013 ";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2011-10-17"`
        pub const DATE: &str = "2011-10-17";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Bodo"`
        pub const LANGUAGE: &str = "Bodo";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Red Hat Pune"`
        pub const SOURCE: &str = "Red Hat Pune";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Bodo language locale for India"`
        pub const TITLE: &str = "Bodo language locale for India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNन]"`
        pub const NOEXPR: &str = "^[-0nNन]";
        /// `"नही\u{902}"`
        pub const NOSTR: &str = "नही\u{902}";
        /// `"^[+1yYह]"`
        pub const YESEXPR: &str = "^[+1yYह]";
        /// `"हा\u{901}"`
        pub const YESSTR: &str = "हा\u{901}";
    }
    pub use super::hi_IN::LC_MONETARY;
    pub use super::hi_IN::LC_NUMERIC;
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["रबि", "सम", "म\u{902}गल", "ब\u{941}द", "बिसथि", "स\u{941}ख\u{941}र", "स\u{941}नि"]`
        pub const ABDAY: &[&str] = &["रबि", "सम", "म\u{902}गल", "ब\u{941}द", "बिसथि", "स\u{941}ख\u{941}र", "स\u{941}नि"];
        /// `&["जान\u{941}वारी", "फ\u{947}ब\u{94d}र\u{941}वारी", "मार\u{94d}स", "एप\u{94d}रिल", "म\u{947}", "ज\u{941}न", "ज\u{941}लाइ", "आगस\u{94d}थ", "स\u{947}बथ\u{947}ज\u{94d}ब\u{93c}र", "अखथबर", "नब\u{947}ज\u{94d}ब\u{93c}र", "दिस\u{947}ज\u{94d}ब\u{93c}र"]`
        pub const ABMON: &[&str] = &["जान\u{941}वारी", "फ\u{947}ब\u{94d}र\u{941}वारी", "मार\u{94d}स", "एप\u{94d}रिल", "म\u{947}", "ज\u{941}न", "ज\u{941}लाइ", "आगस\u{94d}थ", "स\u{947}बथ\u{947}ज\u{94d}ब\u{93c}र", "अखथबर", "नब\u{947}ज\u{94d}ब\u{93c}र", "दिस\u{947}ज\u{94d}ब\u{93c}र"];
        /// `&["फ\u{941}\u{902}.", "ब\u{947}लास\u{947}."]`
        pub const AM_PM: &[&str] = &["फ\u{941}\u{902}.", "ब\u{947}लास\u{947}."];
        /// `"%-m/%-d/%y"`
        pub const D_FMT: &str = "%-m/%-d/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["रबिबार", "सोबार", "म\u{902}गलबार", "ब\u{941}दबार", "बिसथिबार", "स\u{941}ख\u{941}रबार", "स\u{941}निबार"]`
        pub const DAY: &[&str] = &["रबिबार", "सोबार", "म\u{902}गलबार", "ब\u{941}दबार", "बिसथिबार", "स\u{941}ख\u{941}रबार", "स\u{941}निबार"];
        /// `&["जान\u{941}वारी", "फ\u{947}ब\u{94d}र\u{941}वारी", "मार\u{94d}स", "एफ\u{94d}रिल", "म\u{947}", "ज\u{941}न", "ज\u{941}लाइ", "आगस\u{94d}थ", "स\u{947}बथ\u{947}ज\u{94d}ब\u{93c}र", "अखथबर", "नब\u{947}ज\u{94d}ब\u{93c}र", "दिस\u{947}ज\u{94d}ब\u{93c}र"]`
        pub const MON: &[&str] = &["जान\u{941}वारी", "फ\u{947}ब\u{94d}र\u{941}वारी", "मार\u{94d}स", "एफ\u{94d}रिल", "म\u{947}", "ज\u{941}न", "ज\u{941}लाइ", "आगस\u{94d}थ", "स\u{947}बथ\u{947}ज\u{94d}ब\u{93c}र", "अखथबर", "नब\u{947}ज\u{94d}ब\u{93c}र", "दिस\u{947}ज\u{94d}ब\u{93c}र"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod bs_BA {
    pub mod LC_ADDRESS {
        /// `"BA"`
        pub const COUNTRY_ABTWO: &str = "BA";
        /// `"BIH"`
        pub const COUNTRY_AB3: &str = "BIH";
        /// `"BIH"`
        pub const COUNTRY_CAR: &str = "BIH";
        /// `"Bosna i Hercegovina"`
        pub const COUNTRY_NAME: &str = "Bosna i Hercegovina";
        /// `70`
        pub const COUNTRY_NUM: i64 = 70;
        /// `"bs"`
        pub const LANG_AB: &str = "bs";
        /// `"bos"`
        pub const LANG_LIB: &str = "bos";
        /// `"bosanski"`
        pub const LANG_NAME: &str = "bosanski";
        /// `"bos"`
        pub const LANG_TERM: &str = "bos";
        /// `"%a%N%f%N%d%N%b%N%h %s %e %r%N%T %z%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%f%N%d%N%b%N%h %s %e %r%N%T %z%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
        ];
        /// `"Tomislav Vujec"`
        pub const CONTACT: &str = "Tomislav Vujec";
        /// `"2004-01-09"`
        pub const DATE: &str = "2004-01-09";
        /// `"tvujec@carnet.hr"`
        pub const EMAIL: &str = "tvujec@carnet.hr";
        /// `""`
        pub const FAX: &str = "";
        /// `"Bosnian"`
        pub const LANGUAGE: &str = "Bosnian";
        /// `"0.4"`
        pub const REVISION: &str = "0.4";
        /// `"adapted from Croatian locale"`
        pub const SOURCE: &str = "adapted from Croatian locale";
        /// `""`
        pub const TEL: &str = "";
        /// `"Bosnia & Herzegovina"`
        pub const TERRITORY: &str = "Bosnia & Herzegovina";
        /// `"Bosnian language locale for Bosnia and Herzegowina"`
        pub const TITLE: &str = "Bosnian language locale for Bosnia and Herzegowina";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"ne"`
        pub const NOSTR: &str = "ne";
        /// `"^[+1dDyY]"`
        pub const YESEXPR: &str = "^[+1dDyY]";
        /// `"da"`
        pub const YESSTR: &str = "da";
    }
    pub mod LC_MONETARY {
        /// `"KM"`
        pub const CURRENCY_SYMBOL: &str = "KM";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"BAM "`
        pub const INT_CURR_SYMBOL: &str = "BAM ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[0, 0]`
        pub const GROUPING: &[i64] = &[0, 0];
        /// `""`
        pub const THOUSANDS_SEP: &str = "";
    }
    pub mod LC_TELEPHONE {
        /// `"387"`
        pub const INT_PREFIX: &str = "387";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Ned", "Pon", "Uto", "Sri", "Čet", "Pet", "Sub"]`
        pub const ABDAY: &[&str] = &["Ned", "Pon", "Uto", "Sri", "Čet", "Pet", "Sub"];
        /// `&["Jan", "Feb", "Mar", "Apr", "Maj", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "Maj", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dec"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T";
        /// `&["Nedjelja", "Ponedjeljak", "Utorak", "Srijeda", "Četvrtak", "Petak", "Subota"]`
        pub const DAY: &[&str] = &["Nedjelja", "Ponedjeljak", "Utorak", "Srijeda", "Četvrtak", "Petak", "Subota"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Januar", "Februar", "Mart", "April", "Maj", "Juni", "Juli", "August", "Septembar", "Oktobar", "Novembar", "Decembar"]`
        pub const MON: &[&str] = &["Januar", "Februar", "Mart", "April", "Maj", "Juni", "Juli", "August", "Septembar", "Oktobar", "Novembar", "Decembar"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod byn_ER {
    pub mod LC_ADDRESS {
        /// `"ER"`
        pub const COUNTRY_ABTWO: &str = "ER";
        /// `"ERI"`
        pub const COUNTRY_AB3: &str = "ERI";
        /// `"ER"`
        pub const COUNTRY_CAR: &str = "ER";
        /// `"ኤርትራ"`
        pub const COUNTRY_NAME: &str = "ኤርትራ";
        /// `232`
        pub const COUNTRY_NUM: i64 = 232;
        /// `"ERI"`
        pub const COUNTRY_POST: &str = "ERI";
        /// `""`
        pub const LANG_AB: &str = "";
        /// `"byn"`
        pub const LANG_LIB: &str = "byn";
        /// `"ብሊን"`
        pub const LANG_NAME: &str = "ብሊን";
        /// `"byn"`
        pub const LANG_TERM: &str = "byn";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"7802 Solomon Seal Dr., Springfield, VA 22152, USA"`
        pub const ADDRESS: &str = "7802 Solomon Seal Dr., Springfield, VA 22152, USA";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_TIME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_TIME"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2003-11-01"`
        pub const DATE: &str = "2003-11-01";
        /// `"locales@geez.org"`
        pub const EMAIL: &str = "locales@geez.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Blin"`
        pub const LANGUAGE: &str = "Blin";
        /// `"0.21"`
        pub const REVISION: &str = "0.21";
        /// `"Ge\'ez Frontier Foundation"`
        pub const SOURCE: &str = "Ge\'ez Frontier Foundation";
        /// `""`
        pub const TEL: &str = "";
        /// `"Eritrea"`
        pub const TERRITORY: &str = "Eritrea";
        /// `"Blin language locale for Eritrea"`
        pub const TITLE: &str = "Blin language locale for Eritrea";
    }
    pub use super::ti_ER::LC_MESSAGES;
    pub use super::ti_ER::LC_MONETARY;
    pub use super::ti_ER::LC_NUMERIC;
    pub use super::ti_ER::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["ሰ/ቅ", "ሰኑ", "ሰሊጝ", "ለጓ", "ኣምድ", "ኣርብ", "ሰ/ሽ"]`
        pub const ABDAY: &[&str] = &["ሰ/ቅ", "ሰኑ", "ሰሊጝ", "ለጓ", "ኣምድ", "ኣርብ", "ሰ/ሽ"];
        /// `&["ልደት", "ካብኽ", "ክብላ", "ፋጅኺ", "ክቢቅ", "ም/ት", "ኰር", "ማርያ", "ያኸኒ", "መተሉ", "ም/ም", "ተሕሳ"]`
        pub const ABMON: &[&str] = &["ልደት", "ካብኽ", "ክብላ", "ፋጅኺ", "ክቢቅ", "ም/ት", "ኰር", "ማርያ", "ያኸኒ", "መተሉ", "ም/ም", "ተሕሳ"];
        /// `&["ፋዱስ ጃብ", "ፋዱስ ደምቢ"]`
        pub const AM_PM: &[&str] = &["ፋዱስ ጃብ", "ፋዱስ ደምቢ"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%A፡ %B %e ግርጋ %Y %r %Z"`
        pub const D_T_FMT: &str = "%A፡ %B %e ግርጋ %Y %r %Z";
        /// `"%A፡ %B %e ግርጋ %r %Z %Y ኣድ"`
        pub const DATE_FMT: &str = "%A፡ %B %e ግርጋ %r %Z %Y ኣድ";
        /// `&["ሰንበር ቅዳዅ", "ሰኑ", "ሰሊጝ", "ለጓ ወሪ ለብዋ", "ኣምድ", "ኣርብ", "ሰንበር ሽጓዅ"]`
        pub const DAY: &[&str] = &["ሰንበር ቅዳዅ", "ሰኑ", "ሰሊጝ", "ለጓ ወሪ ለብዋ", "ኣምድ", "ኣርብ", "ሰንበር ሽጓዅ"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["ልደትሪ", "ካብኽብቲ", "ክብላ", "ፋጅኺሪ", "ክቢቅሪ", "ምኪኤል ትጓ\u{305}ኒሪ", "ኰርኩ", "ማርያም ትሪ", "ያኸኒ መሳቅለሪ", "መተሉ", "ምኪኤል መሽወሪ", "ተሕሳስሪ"]`
        pub const MON: &[&str] = &["ልደትሪ", "ካብኽብቲ", "ክብላ", "ፋጅኺሪ", "ክቢቅሪ", "ምኪኤል ትጓ\u{305}ኒሪ", "ኰርኩ", "ማርያም ትሪ", "ያኸኒ መሳቅለሪ", "መተሉ", "ምኪኤል መሽወሪ", "ተሕሳስሪ"];
        /// `"%l:%M:%S %p"`
        pub const T_FMT: &str = "%l:%M:%S %p";
        /// `"%l:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%l:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ca_AD {
    pub mod LC_ADDRESS {
        /// `"AD"`
        pub const COUNTRY_ABTWO: &str = "AD";
        /// `"AND"`
        pub const COUNTRY_AB3: &str = "AND";
        /// `"AND"`
        pub const COUNTRY_CAR: &str = "AND";
        /// `"Andorra"`
        pub const COUNTRY_NAME: &str = "Andorra";
        /// `20`
        pub const COUNTRY_NUM: i64 = 20;
        /// `"ca"`
        pub const LANG_AB: &str = "ca";
        /// `"cat"`
        pub const LANG_LIB: &str = "cat";
        /// `"català"`
        pub const LANG_NAME: &str = "català";
        /// `"cat"`
        pub const LANG_TERM: &str = "cat";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2006-01-16"`
        pub const DATE: &str = "2006-01-16";
        /// `""`
        pub const EMAIL: &str = "";
        /// `""`
        pub const FAX: &str = "";
        /// `"Catalan"`
        pub const LANGUAGE: &str = "Catalan";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Robert Millan"`
        pub const SOURCE: &str = "Robert Millan";
        /// `""`
        pub const TEL: &str = "";
        /// `"Andorra"`
        pub const TERRITORY: &str = "Andorra";
        /// `"Catalan locale for Andorra "`
        pub const TITLE: &str = "Catalan locale for Andorra ";
    }
    pub use super::ca_ES::LC_MESSAGES;
    pub use super::ca_ES::LC_MONETARY;
    pub use super::ca_ES::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"376"`
        pub const INT_PREFIX: &str = "376";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub use super::ca_ES::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ca_ES {
    pub mod LC_ADDRESS {
        /// `"ES"`
        pub const COUNTRY_ABTWO: &str = "ES";
        /// `"ESP"`
        pub const COUNTRY_AB3: &str = "ESP";
        /// `"E"`
        pub const COUNTRY_CAR: &str = "E";
        /// `"Espanya"`
        pub const COUNTRY_NAME: &str = "Espanya";
        /// `724`
        pub const COUNTRY_NUM: i64 = 724;
        /// `"ca"`
        pub const LANG_AB: &str = "ca";
        /// `"cat"`
        pub const LANG_LIB: &str = "cat";
        /// `"català"`
        pub const LANG_NAME: &str = "català";
        /// `"cat"`
        pub const LANG_TERM: &str = "cat";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Catalan"`
        pub const LANGUAGE: &str = "Catalan";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Spain"`
        pub const TERRITORY: &str = "Spain";
        /// `"Catalan locale for Spain"`
        pub const TITLE: &str = "Catalan locale for Spain";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"no"`
        pub const NOSTR: &str = "no";
        /// `"^[+1sSyY]"`
        pub const YESEXPR: &str = "^[+1sSyY]";
        /// `"sí"`
        pub const YESSTR: &str = "sí";
    }
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"34"`
        pub const INT_PREFIX: &str = "34";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["gen.", "febr.", "març", "abr.", "maig", "juny", "jul.", "ag.", "set.", "oct.", "nov.", "des."]`
        pub const AB_ALT_MON: &[&str] = &["gen.", "febr.", "març", "abr.", "maig", "juny", "jul.", "ag.", "set.", "oct.", "nov.", "des."];
        /// `&["dg.", "dl.", "dt.", "dc.", "dj.", "dv.", "ds."]`
        pub const ABDAY: &[&str] = &["dg.", "dl.", "dt.", "dc.", "dj.", "dv.", "ds."];
        /// `&["de gen.", "de febr.", "de març", "d’abr.", "de maig", "de juny", "de jul.", "d’ag.", "de set.", "d’oct.", "de nov.", "de des."]`
        pub const ABMON: &[&str] = &["de gen.", "de febr.", "de març", "d’abr.", "de maig", "de juny", "de jul.", "d’ag.", "de set.", "d’oct.", "de nov.", "de des."];
        /// `&["gener", "febrer", "març", "abril", "maig", "juny", "juliol", "agost", "setembre", "octubre", "novembre", "desembre"]`
        pub const ALT_MON: &[&str] = &["gener", "febrer", "març", "abril", "maig", "juny", "juliol", "agost", "setembre", "octubre", "novembre", "desembre"];
        /// `&["a. m.", "p. m."]`
        pub const AM_PM: &[&str] = &["a. m.", "p. m."];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A, %-d %B de %Y, %T %Z"`
        pub const D_T_FMT: &str = "%A, %-d %B de %Y, %T %Z";
        /// `&["diumenge", "dilluns", "dimarts", "dimecres", "dijous", "divendres", "dissabte"]`
        pub const DAY: &[&str] = &["diumenge", "dilluns", "dimarts", "dimecres", "dijous", "divendres", "dissabte"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["de gener", "de febrer", "de març", "d’abril", "de maig", "de juny", "de juliol", "d’agost", "de setembre", "d’octubre", "de novembre", "de desembre"]`
        pub const MON: &[&str] = &["de gener", "de febrer", "de març", "d’abril", "de maig", "de juny", "de juliol", "d’agost", "de setembre", "d’octubre", "de novembre", "de desembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ca_ES_euro {
    pub use super::ca_ES::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-08-20"`
        pub const DATE: &str = "2000-08-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Catalan"`
        pub const LANGUAGE: &str = "Catalan";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Spain"`
        pub const TERRITORY: &str = "Spain";
        /// `"Catalan locale for Catalonia with Euro"`
        pub const TITLE: &str = "Catalan locale for Catalonia with Euro";
    }
    pub use super::ca_ES::LC_MESSAGES;
    pub use super::ca_ES::LC_MONETARY;
    pub use super::ca_ES::LC_NUMERIC;
    pub use super::ca_ES::LC_TELEPHONE;
    pub use super::ca_ES::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ca_ES_valencia {
    pub use super::ca_ES::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Jordi Mallach"`
        pub const CONTACT: &str = "Jordi Mallach";
        /// `"2006-04-06"`
        pub const DATE: &str = "2006-04-06";
        /// `"jordi@gnu.org"`
        pub const EMAIL: &str = "jordi@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Catalan"`
        pub const LANGUAGE: &str = "Catalan";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Spain"`
        pub const TERRITORY: &str = "Spain";
        /// `"Valencian (southern Catalan) locale for Spain with Euro"`
        pub const TITLE: &str = "Valencian (southern Catalan) locale for Spain with Euro";
    }
    pub use super::ca_ES::LC_MESSAGES;
    pub use super::ca_ES::LC_MONETARY;
    pub use super::ca_ES::LC_NUMERIC;
    pub use super::ca_ES::LC_TELEPHONE;
    pub use super::ca_ES::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ca_FR {
    pub mod LC_ADDRESS {
        /// `"FR"`
        pub const COUNTRY_ABTWO: &str = "FR";
        /// `"FRA"`
        pub const COUNTRY_AB3: &str = "FRA";
        /// `"F"`
        pub const COUNTRY_CAR: &str = "F";
        /// `"979-10"`
        pub const COUNTRY_ISBN: &str = "979-10";
        /// `"França"`
        pub const COUNTRY_NAME: &str = "França";
        /// `250`
        pub const COUNTRY_NUM: i64 = 250;
        /// `"ca"`
        pub const LANG_AB: &str = "ca";
        /// `"cat"`
        pub const LANG_LIB: &str = "cat";
        /// `"català"`
        pub const LANG_NAME: &str = "català";
        /// `"cat"`
        pub const LANG_TERM: &str = "cat";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2006-01-16"`
        pub const DATE: &str = "2006-01-16";
        /// `""`
        pub const EMAIL: &str = "";
        /// `""`
        pub const FAX: &str = "";
        /// `"Catalan"`
        pub const LANGUAGE: &str = "Catalan";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Robert Millan"`
        pub const SOURCE: &str = "Robert Millan";
        /// `""`
        pub const TEL: &str = "";
        /// `"France"`
        pub const TERRITORY: &str = "France";
        /// `"Catalan locale for France "`
        pub const TITLE: &str = "Catalan locale for France ";
    }
    pub use super::ca_ES::LC_MESSAGES;
    pub use super::ca_ES::LC_MONETARY;
    pub use super::ca_ES::LC_NUMERIC;
    pub use super::fr_FR::LC_TELEPHONE;
    pub use super::ca_ES::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ca_IT {
    pub mod LC_ADDRESS {
        /// `"IT"`
        pub const COUNTRY_ABTWO: &str = "IT";
        /// `"ITA"`
        pub const COUNTRY_AB3: &str = "ITA";
        /// `"I"`
        pub const COUNTRY_CAR: &str = "I";
        /// `"978-88,979-12"`
        pub const COUNTRY_ISBN: &str = "978-88,979-12";
        /// `"Itàlia"`
        pub const COUNTRY_NAME: &str = "Itàlia";
        /// `380`
        pub const COUNTRY_NUM: i64 = 380;
        /// `"ca"`
        pub const LANG_AB: &str = "ca";
        /// `"cat"`
        pub const LANG_LIB: &str = "cat";
        /// `"català"`
        pub const LANG_NAME: &str = "català";
        /// `"cat"`
        pub const LANG_TERM: &str = "cat";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2006-01-16"`
        pub const DATE: &str = "2006-01-16";
        /// `""`
        pub const EMAIL: &str = "";
        /// `""`
        pub const FAX: &str = "";
        /// `"Catalan"`
        pub const LANGUAGE: &str = "Catalan";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Robert Millan"`
        pub const SOURCE: &str = "Robert Millan";
        /// `""`
        pub const TEL: &str = "";
        /// `"Italy"`
        pub const TERRITORY: &str = "Italy";
        /// `"Catalan locale for Italy (L\'Alguer) "`
        pub const TITLE: &str = "Catalan locale for Italy (L\'Alguer) ";
    }
    pub use super::ca_ES::LC_MESSAGES;
    pub use super::ca_ES::LC_MONETARY;
    pub use super::ca_ES::LC_NUMERIC;
    pub use super::it_IT::LC_TELEPHONE;
    pub use super::ca_ES::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ce_RU {
    pub mod LC_ADDRESS {
        /// `"RU"`
        pub const COUNTRY_ABTWO: &str = "RU";
        /// `"RUS"`
        pub const COUNTRY_AB3: &str = "RUS";
        /// `"RUS"`
        pub const COUNTRY_CAR: &str = "RUS";
        /// `"Росси"`
        pub const COUNTRY_NAME: &str = "Росси";
        /// `643`
        pub const COUNTRY_NUM: i64 = 643;
        /// `"ce"`
        pub const LANG_AB: &str = "ce";
        /// `"нохчийн"`
        pub const LANG_NAME: &str = "нохчийн";
        /// `"che"`
        pub const LANG_TERM: &str = "che";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"364024, ChR, Grozny, pr-kt of M. Esambayev, 13"`
        pub const ADDRESS: &str = "364024, ChR, Grozny, pr-kt of M. Esambayev, 13";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"2014-08-25"`
        pub const DATE: &str = "2014-08-25";
        /// `"Chechen"`
        pub const LANGUAGE: &str = "Chechen";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"ANCHR"`
        pub const SOURCE: &str = "ANCHR";
        /// `"Russia"`
        pub const TERRITORY: &str = "Russia";
        /// `"Chechen locale for RUSSIAN FEDERATION"`
        pub const TITLE: &str = "Chechen locale for RUSSIAN FEDERATION";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNМм]"`
        pub const NOEXPR: &str = "^[-0nNМм]";
        /// `"^[+1yYДд]"`
        pub const YESEXPR: &str = "^[+1yYДд]";
    }
    pub mod LC_MONETARY {
        /// `"₽"`
        pub const CURRENCY_SYMBOL: &str = "₽";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"RUB "`
        pub const INT_CURR_SYMBOL: &str = "RUB ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::ru_RU::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"7"`
        pub const INT_PREFIX: &str = "7";
        /// `"0~10"`
        pub const INT_SELECT: &str = "0~10";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["КӀ", "Ор", "Ши", "Кх", "Еа", "ПӀ", "Шо"]`
        pub const ABDAY: &[&str] = &["КӀ", "Ор", "Ши", "Кх", "Еа", "ПӀ", "Шо"];
        /// `&["янв", "фев", "мар", "апр", "май", "июн", "июл", "авг", "сен", "окт", "ноя", "дек"]`
        pub const ABMON: &[&str] = &["янв", "фев", "мар", "апр", "май", "июн", "июл", "авг", "сен", "окт", "ноя", "дек"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%Y.%d.%m"`
        pub const D_FMT: &str = "%Y.%d.%m";
        /// `"%Y %d %b %a %T"`
        pub const D_T_FMT: &str = "%Y %d %b %a %T";
        /// `&["КӀиранан де", "Оршотан де", "Шинарин де", "Кхаарин де", "Еарин де", "ПӀераскан де", "Шот де"]`
        pub const DAY: &[&str] = &["КӀиранан де", "Оршотан де", "Шинарин де", "Кхаарин де", "Еарин де", "ПӀераскан де", "Шот де"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Январь", "Февраль", "Март", "Апрель", "Май", "Июнь", "Июль", "Август", "Сентябрь", "Октябрь", "Ноябрь", "Декабрь"]`
        pub const MON: &[&str] = &["Январь", "Февраль", "Март", "Апрель", "Май", "Июнь", "Июль", "Август", "Сентябрь", "Октябрь", "Ноябрь", "Декабрь"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod chr_US {
    pub mod LC_ADDRESS {
        /// `"US"`
        pub const COUNTRY_ABTWO: &str = "US";
        /// `"USA"`
        pub const COUNTRY_AB3: &str = "USA";
        /// `"USA"`
        pub const COUNTRY_CAR: &str = "USA";
        /// `0`
        pub const COUNTRY_ISBN: i64 = 0;
        /// `"ᏌᏊ ᎢᏳᎾᎵᏍᏔᏅ ᏍᎦᏚᎩ"`
        pub const COUNTRY_NAME: &str = "ᏌᏊ ᎢᏳᎾᎵᏍᏔᏅ ᏍᎦᏚᎩ";
        /// `840`
        pub const COUNTRY_NUM: i64 = 840;
        /// `"USA"`
        pub const COUNTRY_POST: &str = "USA";
        /// `""`
        pub const LANG_AB: &str = "";
        /// `"chr"`
        pub const LANG_LIB: &str = "chr";
        /// `"ᏣᎳᎩ"`
        pub const LANG_NAME: &str = "ᏣᎳᎩ";
        /// `"chr"`
        pub const LANG_TERM: &str = "chr";
        /// `"%a%N%f%N%d%N%b%N%h %s %e %r%N%T, %S %z%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%f%N%d%N%b%N%h %s %e %r%N%T, %S %z%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"http://cldr.unicode.org/index/process"`
        pub const ADDRESS: &str = "http://cldr.unicode.org/index/process";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Joseph Erb"`
        pub const CONTACT: &str = "Joseph Erb";
        /// `"2010-10-20"`
        pub const DATE: &str = "2010-10-20";
        /// `"josepherb7@gmail.com"`
        pub const EMAIL: &str = "josepherb7@gmail.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Cherokee"`
        pub const LANGUAGE: &str = "Cherokee";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Cherokee Nation"`
        pub const SOURCE: &str = "Cherokee Nation";
        /// `""`
        pub const TEL: &str = "";
        /// `"United States"`
        pub const TERRITORY: &str = "United States";
        /// `"Cherokee language locale for United States"`
        pub const TITLE: &str = "Cherokee language locale for United States";
    }
    pub mod LC_MESSAGES {
        /// `"^([-0nN]|ᎥᏝ)"`
        pub const NOEXPR: &str = "^([-0nN]|ᎥᏝ)";
        /// `"ᎥᏝ"`
        pub const NOSTR: &str = "ᎥᏝ";
        /// `"^([+1yY]|ᎥᎥ)"`
        pub const YESEXPR: &str = "^([+1yY]|ᎥᎥ)";
        /// `"ᎥᎥ"`
        pub const YESSTR: &str = "ᎥᎥ";
    }
    pub use super::en_US::LC_MONETARY;
    pub use super::en_US::LC_NUMERIC;
    pub use super::en_US::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["ᏆᏍᎬ", "ᏉᏅᎯ", "ᏔᎵᏁ", "ᏦᎢᏁ", "ᏅᎩᏁ", "ᏧᎾᎩ", "ᏈᏕᎾ"]`
        pub const ABDAY: &[&str] = &["ᏆᏍᎬ", "ᏉᏅᎯ", "ᏔᎵᏁ", "ᏦᎢᏁ", "ᏅᎩᏁ", "ᏧᎾᎩ", "ᏈᏕᎾ"];
        /// `&["ᎤᏃ", "ᎧᎦ", "ᎠᏅ", "ᎧᏬ", "ᎠᏂ", "ᏕᎭ", "ᎫᏰ", "ᎦᎶ", "ᏚᎵ", "ᏚᏂ", "ᏅᏓ", "ᎥᏍ"]`
        pub const ABMON: &[&str] = &["ᎤᏃ", "ᎧᎦ", "ᎠᏅ", "ᎧᏬ", "ᎠᏂ", "ᏕᎭ", "ᎫᏰ", "ᎦᎶ", "ᏚᎵ", "ᏚᏂ", "ᏅᏓ", "ᎥᏍ"];
        /// `&["ᏌᎾᎴ", "ᏒᎯᏱᎢᏗᏢ"]`
        pub const AM_PM: &[&str] = &["ᏌᎾᎴ", "ᏒᎯᏱᎢᏗᏢ"];
        /// `"%m/%d/%Y"`
        pub const D_FMT: &str = "%m/%d/%Y";
        /// `"%a %d %b %Y %r %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %r %Z";
        /// `&["ᎤᎾᏙᏓᏆᏍᎬ", "ᎤᎾᏙᏓᏉᏅᎯ", "ᏔᎵᏁᎢᎦ", "ᏦᎢᏁᎢᎦ", "ᏅᎩᏁᎢᎦ", "ᏧᎾᎩᎶᏍᏗ", "ᎤᎾᏙᏓᏈᏕᎾ"]`
        pub const DAY: &[&str] = &["ᎤᎾᏙᏓᏆᏍᎬ", "ᎤᎾᏙᏓᏉᏅᎯ", "ᏔᎵᏁᎢᎦ", "ᏦᎢᏁᎢᎦ", "ᏅᎩᏁᎢᎦ", "ᏧᎾᎩᎶᏍᏗ", "ᎤᎾᏙᏓᏈᏕᎾ"];
        /// `&["ᎤᏃᎸᏔᏅ", "ᎧᎦᎵ", "ᎠᏅᏱ", "ᎧᏬᏂ", "ᎠᏂᏍᎬᏘ", "ᏕᎭᎷᏱ", "ᎫᏰᏉᏂ", "ᎦᎶᏂ", "ᏚᎵᏍᏗ", "ᏚᏂᏅᏗ", "ᏅᏓᏕᏆ", "ᎥᏍᎩᏱ"]`
        pub const MON: &[&str] = &["ᎤᏃᎸᏔᏅ", "ᎧᎦᎵ", "ᎠᏅᏱ", "ᎧᏬᏂ", "ᎠᏂᏍᎬᏘ", "ᏕᎭᎷᏱ", "ᎫᏰᏉᏂ", "ᎦᎶᏂ", "ᏚᎵᏍᏗ", "ᏚᏂᏅᏗ", "ᏅᏓᏕᏆ", "ᎥᏍᎩᏱ"];
        /// `"%r"`
        pub const T_FMT: &str = "%r";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod cmn_TW {
    pub mod LC_ADDRESS {
        /// `"TW"`
        pub const COUNTRY_ABTWO: &str = "TW";
        /// `"TWN"`
        pub const COUNTRY_AB3: &str = "TWN";
        /// `"RC"`
        pub const COUNTRY_CAR: &str = "RC";
        /// `957`
        pub const COUNTRY_ISBN: i64 = 957;
        /// `"中華民國"`
        pub const COUNTRY_NAME: &str = "中華民國";
        /// `158`
        pub const COUNTRY_NUM: i64 = 158;
        /// `"TW"`
        pub const COUNTRY_POST: &str = "TW";
        /// `"cmn"`
        pub const LANG_LIB: &str = "cmn";
        /// `"漢語官話"`
        pub const LANG_NAME: &str = "漢語官話";
        /// `"cmn"`
        pub const LANG_TERM: &str = "cmn";
        /// `"%c%N%T%N%s %h %e %r%N%b%N%d%N%f%N%a%N"`
        pub const POSTAL_FMT: &str = "%c%N%T%N%s %h %e %r%N%b%N%d%N%f%N%a%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2017-07-20"`
        pub const DATE: &str = "2017-07-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Mandarin Chinese"`
        pub const LANGUAGE: &str = "Mandarin Chinese";
        /// `"0.2"`
        pub const REVISION: &str = "0.2";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Taiwan"`
        pub const TERRITORY: &str = "Taiwan";
        /// `"Mandarin Chinese locale for the Republic of China"`
        pub const TITLE: &str = "Mandarin Chinese locale for the Republic of China";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNｎＮ不否]"`
        pub const NOEXPR: &str = "^[-0nNｎＮ不否]";
        /// `"不是"`
        pub const NOSTR: &str = "不是";
        /// `"^[+1yYｙＹ是]"`
        pub const YESEXPR: &str = "^[+1yYｙＹ是]";
        /// `"是"`
        pub const YESSTR: &str = "是";
    }
    pub mod LC_MONETARY {
        /// `"NT$"`
        pub const CURRENCY_SYMBOL: &str = "NT$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"TWD "`
        pub const INT_CURR_SYMBOL: &str = "TWD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `1`
        pub const INT_N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const INT_N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const INT_N_SIGN_POSN: i64 = 1;
        /// `1`
        pub const INT_P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const INT_P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const INT_P_SIGN_POSN: i64 = 1;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `4`
        pub const MON_GROUPING: i64 = 4;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `4`
        pub const GROUPING: i64 = 4;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"886"`
        pub const INT_PREFIX: &str = "886";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%A-%l"`
        pub const TEL_DOM_FMT: &str = "%A-%l";
        /// `"+%c-%a-%l"`
        pub const TEL_INT_FMT: &str = "+%c-%a-%l";
    }
    pub mod LC_TIME {
        /// `&["日", "一", "二", "三", "四", "五", "六"]`
        pub const ABDAY: &[&str] = &["日", "一", "二", "三", "四", "五", "六"];
        /// `&[" 1月", " 2月", " 3月", " 4月", " 5月", " 6月", " 7月", " 8月", " 9月", "10月", "11月", "12月"]`
        pub const ABMON: &[&str] = &[" 1月", " 2月", " 3月", " 4月", " 5月", " 6月", " 7月", " 8月", " 9月", "10月", "11月", "12月"];
        /// `&["上午", "下午"]`
        pub const AM_PM: &[&str] = &["上午", "下午"];
        /// `"%Y年%m月%d號"`
        pub const D_FMT: &str = "%Y年%m月%d號";
        /// `"%Y年%m月%d號 (%A) %H點%M分%S秒"`
        pub const D_T_FMT: &str = "%Y年%m月%d號 (%A) %H點%M分%S秒";
        /// `"%Y年 %b %-d號 %A %H:%M:%S %Z"`
        pub const DATE_FMT: &str = "%Y年 %b %-d號 %A %H:%M:%S %Z";
        /// `&["星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"]`
        pub const DAY: &[&str] = &["星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"];
        /// `&["+:2:1913/01/01:+*:民國:%EC%Ey年", "+:1:1912/01/01:1912/12/31:民國:%EC元年", "+:1:1911/12/31:-*:民前:%EC%Ey年"]`
        pub const ERA: &[&str] = &["+:2:1913/01/01:+*:民國:%EC%Ey年", "+:1:1912/01/01:1912/12/31:民國:%EC元年", "+:1:1911/12/31:-*:民前:%EC%Ey年"];
        /// `&["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"]`
        pub const MON: &[&str] = &["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];
        /// `"%H點%M分%S秒"`
        pub const T_FMT: &str = "%H點%M分%S秒";
        /// `"%p %I點%M分%S秒"`
        pub const T_FMT_AMPM: &str = "%p %I點%M分%S秒";
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod crh_UA {
    pub mod LC_ADDRESS {
        /// `"UA"`
        pub const COUNTRY_ABTWO: &str = "UA";
        /// `"UKR"`
        pub const COUNTRY_AB3: &str = "UKR";
        /// `"UA"`
        pub const COUNTRY_CAR: &str = "UA";
        /// `804`
        pub const COUNTRY_NUM: i64 = 804;
        /// `"crh"`
        pub const LANG_LIB: &str = "crh";
        /// `"qırımtatar tili"`
        pub const LANG_NAME: &str = "qırımtatar tili";
        /// `"crh"`
        pub const LANG_TERM: &str = "crh";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
        ];
        /// `"Reşat SABIQ"`
        pub const CONTACT: &str = "Reşat SABIQ";
        /// `"2009-08-16"`
        pub const DATE: &str = "2009-08-16";
        /// `"tilde.birlik@gmail.com"`
        pub const EMAIL: &str = "tilde.birlik@gmail.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Crimean Tatar"`
        pub const LANGUAGE: &str = "Crimean Tatar";
        /// `"0.4"`
        pub const REVISION: &str = "0.4";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Ukraine"`
        pub const TERRITORY: &str = "Ukraine";
        /// `"Crimean Tatar (Crimean Turkish) language locale for Ukraine"`
        pub const TITLE: &str = "Crimean Tatar (Crimean Turkish) language locale for Ukraine";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNhH]"`
        pub const NOEXPR: &str = "^[-0nNhH]";
        /// `"hayır"`
        pub const NOSTR: &str = "hayır";
        /// `"^[+1yYeE]"`
        pub const YESEXPR: &str = "^[+1yYeE]";
        /// `"ebet"`
        pub const YESSTR: &str = "ebet";
    }
    pub mod LC_MONETARY {
        /// `"₴"`
        pub const CURRENCY_SYMBOL: &str = "₴";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"UAH "`
        pub const INT_CURR_SYMBOL: &str = "UAH ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"380"`
        pub const INT_PREFIX: &str = "380";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Baz", "Ber", "Sal", "Çar", "Caq", "Cum", "Cer"]`
        pub const ABDAY: &[&str] = &["Baz", "Ber", "Sal", "Çar", "Caq", "Cum", "Cer"];
        /// `&["Yan", "Fev", "Mar", "Apr", "May", "İyn", "İyl", "Avg", "Sen", "Okt", "Noy", "Dek"]`
        pub const ABMON: &[&str] = &["Yan", "Fev", "Mar", "Apr", "May", "İyn", "İyl", "Avg", "Sen", "Okt", "Noy", "Dek"];
        /// `&["ÜE", "ÜS"]`
        pub const AM_PM: &[&str] = &["ÜE", "ÜS"];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T";
        /// `&["Bazar", "Bazarertesi", "Salı", "Çarşembe", "Cumaaqşamı", "Cuma", "Cumaertesi"]`
        pub const DAY: &[&str] = &["Bazar", "Bazarertesi", "Salı", "Çarşembe", "Cumaaqşamı", "Cuma", "Cumaertesi"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Yanvar", "Fevral", "Mart", "Aprel", "Mayıs", "İyun", "İyul", "Avgust", "Sentâbr", "Oktâbr", "Noyabr", "Dekabr"]`
        pub const MON: &[&str] = &["Yanvar", "Fevral", "Mart", "Aprel", "Mayıs", "İyun", "İyul", "Avgust", "Sentâbr", "Oktâbr", "Noyabr", "Dekabr"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod cs_CZ {
    pub mod LC_ADDRESS {
        /// `"CZ"`
        pub const COUNTRY_ABTWO: &str = "CZ";
        /// `"CZE"`
        pub const COUNTRY_AB3: &str = "CZE";
        /// `"CZ"`
        pub const COUNTRY_CAR: &str = "CZ";
        /// `"Česká republika"`
        pub const COUNTRY_NAME: &str = "Česká republika";
        /// `203`
        pub const COUNTRY_NUM: i64 = 203;
        /// `"CZ"`
        pub const COUNTRY_POST: &str = "CZ";
        /// `"cs"`
        pub const LANG_AB: &str = "cs";
        /// `"cze"`
        pub const LANG_LIB: &str = "cze";
        /// `"čeština"`
        pub const LANG_NAME: &str = "čeština";
        /// `"ces"`
        pub const LANG_TERM: &str = "ces";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-28"`
        pub const DATE: &str = "2000-06-28";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Czech"`
        pub const LANGUAGE: &str = "Czech";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Czech Republic"`
        pub const TERRITORY: &str = "Czech Republic";
        /// `"Czech locale for the Czech Republic"`
        pub const TITLE: &str = "Czech locale for the Czech Republic";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"ne"`
        pub const NOSTR: &str = "ne";
        /// `"^[+1aAyY]"`
        pub const YESEXPR: &str = "^[+1aAyY]";
        /// `"ano"`
        pub const YESSTR: &str = "ano";
    }
    pub mod LC_MONETARY {
        /// `"Kč"`
        pub const CURRENCY_SYMBOL: &str = "Kč";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"CZK "`
        pub const INT_CURR_SYMBOL: &str = "CZK ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const THOUSANDS_SEP: &str = "\u{202f}";
    }
    pub mod LC_TELEPHONE {
        /// `"420"`
        pub const INT_PREFIX: &str = "420";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"(0%a) %l"`
        pub const TEL_DOM_FMT: &str = "(0%a) %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Ne", "Po", "Út", "St", "Čt", "Pá", "So"]`
        pub const ABDAY: &[&str] = &["Ne", "Po", "Út", "St", "Čt", "Pá", "So"];
        /// `&["led", "úno", "bře", "dub", "kvě", "čen", "čec", "srp", "zář", "říj", "lis", "pro"]`
        pub const ABMON: &[&str] = &["led", "úno", "bře", "dub", "kvě", "čen", "čec", "srp", "zář", "říj", "lis", "pro"];
        /// `&["leden", "únor", "březen", "duben", "květen", "červen", "červenec", "srpen", "září", "říjen", "listopad", "prosinec"]`
        pub const ALT_MON: &[&str] = &["leden", "únor", "březen", "duben", "květen", "červen", "červenec", "srpen", "září", "říjen", "listopad", "prosinec"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%-d.%-m.%Y"`
        pub const D_FMT: &str = "%-d.%-m.%Y";
        /// `"%a\u{a0}%-d.\u{a0}%B\u{a0}%Y,\u{a0}%H:%M:%S\u{a0}%Z"`
        pub const D_T_FMT: &str = "%a\u{a0}%-d.\u{a0}%B\u{a0}%Y,\u{a0}%H:%M:%S\u{a0}%Z";
        /// `&["Neděle", "Pondělí", "Úterý", "Středa", "Čtvrtek", "Pátek", "Sobota"]`
        pub const DAY: &[&str] = &["Neděle", "Pondělí", "Úterý", "Středa", "Čtvrtek", "Pátek", "Sobota"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["ledna", "února", "března", "dubna", "května", "června", "července", "srpna", "září", "října", "listopadu", "prosince"]`
        pub const MON: &[&str] = &["ledna", "února", "března", "dubna", "května", "června", "července", "srpna", "září", "října", "listopadu", "prosince"];
        /// `"%H:%M:%S"`
        pub const T_FMT: &str = "%H:%M:%S";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod csb_PL {
    pub mod LC_ADDRESS {
        /// `"PL"`
        pub const COUNTRY_ABTWO: &str = "PL";
        /// `"POL"`
        pub const COUNTRY_AB3: &str = "POL";
        /// `"PL"`
        pub const COUNTRY_CAR: &str = "PL";
        /// `"Pòlskô"`
        pub const COUNTRY_NAME: &str = "Pòlskô";
        /// `616`
        pub const COUNTRY_NUM: i64 = 616;
        /// `"csb"`
        pub const LANG_LIB: &str = "csb";
        /// `"kaszëbsczi jãzëk"`
        pub const LANG_NAME: &str = "kaszëbsczi jãzëk";
        /// `"csb"`
        pub const LANG_TERM: &str = "csb";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Michal Ostrowski"`
        pub const CONTACT: &str = "Michal Ostrowski";
        /// `"2006-07-25"`
        pub const DATE: &str = "2006-07-25";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Kashubian"`
        pub const LANGUAGE: &str = "Kashubian";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"csb_PL locale"`
        pub const SOURCE: &str = "csb_PL locale";
        /// `""`
        pub const TEL: &str = "";
        /// `"Poland"`
        pub const TERRITORY: &str = "Poland";
        /// `"Kashubian locale for Poland"`
        pub const TITLE: &str = "Kashubian locale for Poland";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"nié"`
        pub const NOSTR: &str = "nié";
        /// `"^[+1JjTtYy]"`
        pub const YESEXPR: &str = "^[+1JjTtYy]";
        /// `"jo"`
        pub const YESSTR: &str = "jo";
    }
    pub use super::pl_PL::LC_MONETARY;
    pub use super::pl_PL::LC_NUMERIC;
    pub use super::pl_PL::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["stë", "gro", "str", "łżë", "môj", "cze", "lëp", "zél", "séw", "ruj", "lës", "gòd"]`
        pub const AB_ALT_MON: &[&str] = &["stë", "gro", "str", "łżë", "môj", "cze", "lëp", "zél", "séw", "ruj", "lës", "gòd"];
        /// `&["nie", "pòn", "wtó", "str", "czw", "pią", "sob"]`
        pub const ABDAY: &[&str] = &["nie", "pòn", "wtó", "str", "czw", "pią", "sob"];
        /// `&["stë", "gro", "str", "łżë", "maj", "cze", "lëp", "zél", "séw", "ruj", "lës", "gòd"]`
        pub const ABMON: &[&str] = &["stë", "gro", "str", "łżë", "maj", "cze", "lëp", "zél", "séw", "ruj", "lës", "gòd"];
        /// `&["stëcznik", "gromicznik", "strëmiannik", "łżëkwiat", "môj", "czerwińc", "lëpińc", "zélnik", "séwnik", "rujan", "lëstopadnik", "gòdnik"]`
        pub const ALT_MON: &[&str] = &["stëcznik", "gromicznik", "strëmiannik", "łżëkwiat", "môj", "czerwińc", "lëpińc", "zélnik", "séwnik", "rujan", "lëstopadnik", "gòdnik"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%Y-%m-%d"`
        pub const D_FMT: &str = "%Y-%m-%d";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["niedzela", "pòniedzôłk", "wtórk", "strzoda", "czwiôrtk", "piątk", "sobòta"]`
        pub const DAY: &[&str] = &["niedzela", "pòniedzôłk", "wtórk", "strzoda", "czwiôrtk", "piątk", "sobòta"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["stëcznika", "gromicznika", "strëmiannika", "łżëkwiata", "maja", "czerwińca", "lëpińca", "zélnika", "séwnika", "rujana", "lëstopadnika", "gòdnika"]`
        pub const MON: &[&str] = &["stëcznika", "gromicznika", "strëmiannika", "łżëkwiata", "maja", "czerwińca", "lëpińca", "zélnika", "séwnika", "rujana", "lëstopadnika", "gòdnika"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod cv_RU {
    pub mod LC_ADDRESS {
        /// `"RU"`
        pub const COUNTRY_ABTWO: &str = "RU";
        /// `"RUS"`
        pub const COUNTRY_AB3: &str = "RUS";
        /// `"RUS"`
        pub const COUNTRY_CAR: &str = "RUS";
        /// `643`
        pub const COUNTRY_NUM: i64 = 643;
        /// `"cv"`
        pub const LANG_AB: &str = "cv";
        /// `"chv"`
        pub const LANG_LIB: &str = "chv";
        /// `"Чӑвашла"`
        pub const LANG_NAME: &str = "Чӑвашла";
        /// `"chv"`
        pub const LANG_TERM: &str = "chv";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jorgens Alle 8, DK-1615 Kobenhavn V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jorgens Alle 8, DK-1615 Kobenhavn V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Chuvash"`
        pub const LANGUAGE: &str = "Chuvash";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Russia"`
        pub const TERRITORY: &str = "Russia";
        /// `"Chuvash locale for Russia"`
        pub const TITLE: &str = "Chuvash locale for Russia";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
    }
    pub mod LC_MONETARY {
        /// `"₽"`
        pub const CURRENCY_SYMBOL: &str = "₽";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"RUB "`
        pub const INT_CURR_SYMBOL: &str = "RUB ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::ru_RU::LC_NUMERIC;
    pub use super::ru_RU::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["vr", "tn", "yt", "jn", "kş", "er", "šm"]`
        pub const ABDAY: &[&str] = &["vr", "tn", "yt", "jn", "kş", "er", "šm"];
        /// `&["KĂR", "NAR", "PUŠ", "AKA", "ŞU", "ŞĔR", "UTĂ", "ŞUR", "AVĂ", "JUP", "CÜK", "RAŠ"]`
        pub const ABMON: &[&str] = &["KĂR", "NAR", "PUŠ", "AKA", "ŞU", "ŞĔR", "UTĂ", "ŞUR", "AVĂ", "JUP", "CÜK", "RAŠ"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T";
        /// `&["vyrsarnikun", "tuntikun", "ytlarikun", "junkun", "kĕşnernikun", "ernekun", "šămatkun"]`
        pub const DAY: &[&str] = &["vyrsarnikun", "tuntikun", "ytlarikun", "junkun", "kĕşnernikun", "ernekun", "šămatkun"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["kărlac", "narăs", "puš", "aka", "şu", "şĕrtme", "ută", "şurla", "avăn", "jupa", "cük", "raštav"]`
        pub const MON: &[&str] = &["kărlac", "narăs", "puš", "aka", "şu", "şĕrtme", "ută", "şurla", "avăn", "jupa", "cük", "raštav"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod cy_GB {
    pub mod LC_ADDRESS {
        /// `"GB"`
        pub const COUNTRY_ABTWO: &str = "GB";
        /// `"GBR"`
        pub const COUNTRY_AB3: &str = "GBR";
        /// `"GB"`
        pub const COUNTRY_CAR: &str = "GB";
        /// `0`
        pub const COUNTRY_ISBN: i64 = 0;
        /// `"Y Deyrnas Unedig"`
        pub const COUNTRY_NAME: &str = "Y Deyrnas Unedig";
        /// `826`
        pub const COUNTRY_NUM: i64 = 826;
        /// `"GB"`
        pub const COUNTRY_POST: &str = "GB";
        /// `"cy"`
        pub const LANG_AB: &str = "cy";
        /// `"wel"`
        pub const LANG_LIB: &str = "wel";
        /// `"Cymraeg"`
        pub const LANG_NAME: &str = "Cymraeg";
        /// `"cym"`
        pub const LANG_TERM: &str = "cym";
        /// `"%d%N%f%N%d%N%b%N%s %h 5e %r%N%C%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%d%N%f%N%d%N%b%N%s %h 5e %r%N%C%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MONETARY"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MONETARY"],
        ];
        /// `"Pablo Saratxaga"`
        pub const CONTACT: &str = "Pablo Saratxaga";
        /// `"2004-09-27"`
        pub const DATE: &str = "2004-09-27";
        /// `"pablo@mandrakesoft.com"`
        pub const EMAIL: &str = "pablo@mandrakesoft.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Welsh"`
        pub const LANGUAGE: &str = "Welsh";
        /// `"0.9"`
        pub const REVISION: &str = "0.9";
        /// `"thanks to Dafydd Tomos (dafydd@imaginet.co.uk)"`
        pub const SOURCE: &str = "thanks to Dafydd Tomos (dafydd@imaginet.co.uk)";
        /// `""`
        pub const TEL: &str = "";
        /// `"United Kingdom"`
        pub const TERRITORY: &str = "United Kingdom";
        /// `"Welsh language locale for Great Britain"`
        pub const TITLE: &str = "Welsh language locale for Great Britain";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"na"`
        pub const NOSTR: &str = "na";
        /// `"^[+1iItTyY]"`
        pub const YESEXPR: &str = "^[+1iItTyY]";
        /// `"ie"`
        pub const YESSTR: &str = "ie";
    }
    pub use super::en_GB::LC_MONETARY;
    pub use super::en_GB::LC_NUMERIC;
    pub use super::en_GB::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Sul", "Llu", "Maw", "Mer", "Iau", "Gwe", "Sad"]`
        pub const ABDAY: &[&str] = &["Sul", "Llu", "Maw", "Mer", "Iau", "Gwe", "Sad"];
        /// `&["Ion", "Chw", "Maw", "Ebr", "Mai", "Meh", "Gor", "Aws", "Med", "Hyd", "Tach", "Rha"]`
        pub const ABMON: &[&str] = &["Ion", "Chw", "Maw", "Ebr", "Mai", "Meh", "Gor", "Aws", "Med", "Hyd", "Tach", "Rha"];
        /// `&["am", "pm"]`
        pub const AM_PM: &[&str] = &["am", "pm"];
        /// `"%d.%m.%y"`
        pub const D_FMT: &str = "%d.%m.%y";
        /// `"Dydd %A %d mis %B %Y %T %Z"`
        pub const D_T_FMT: &str = "Dydd %A %d mis %B %Y %T %Z";
        /// `"%a %e %b %H:%M:%S %Z %Y"`
        pub const DATE_FMT: &str = "%a %e %b %H:%M:%S %Z %Y";
        /// `&["Sul", "Llun", "Mawrth", "Mercher", "Iau", "Gwener", "Sadwrn"]`
        pub const DAY: &[&str] = &["Sul", "Llun", "Mawrth", "Mercher", "Iau", "Gwener", "Sadwrn"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Ionawr", "Chwefror", "Mawrth", "Ebrill", "Mai", "Mehefin", "Gorffennaf", "Awst", "Medi", "Hydref", "Tachwedd", "Rhagfyr"]`
        pub const MON: &[&str] = &["Ionawr", "Chwefror", "Mawrth", "Ebrill", "Mai", "Mehefin", "Gorffennaf", "Awst", "Medi", "Hydref", "Tachwedd", "Rhagfyr"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%l:%M:%S %P %Z"`
        pub const T_FMT_AMPM: &str = "%l:%M:%S %P %Z";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod da_DK {
    pub mod LC_ADDRESS {
        /// `"DK"`
        pub const COUNTRY_ABTWO: &str = "DK";
        /// `"DNK"`
        pub const COUNTRY_AB3: &str = "DNK";
        /// `"DK"`
        pub const COUNTRY_CAR: &str = "DK";
        /// `"Danmark"`
        pub const COUNTRY_NAME: &str = "Danmark";
        /// `208`
        pub const COUNTRY_NUM: i64 = 208;
        /// `"da"`
        pub const LANG_AB: &str = "da";
        /// `"dan"`
        pub const LANG_LIB: &str = "dan";
        /// `"dansk"`
        pub const LANG_NAME: &str = "dansk";
        /// `"dan"`
        pub const LANG_TERM: &str = "dan";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Kollegievej 6, DK-2920 Charlottenlund, Danmark"`
        pub const ADDRESS: &str = "Kollegievej 6, DK-2920 Charlottenlund, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Danish"`
        pub const LANGUAGE: &str = "Danish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Danish Standards Association"`
        pub const SOURCE: &str = "Danish Standards Association";
        /// `""`
        pub const TEL: &str = "";
        /// `"Denmark"`
        pub const TERRITORY: &str = "Denmark";
        /// `"Danish locale for Denmark"`
        pub const TITLE: &str = "Danish locale for Denmark";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0Nn]"`
        pub const NOEXPR: &str = "^[-0Nn]";
        /// `"nej"`
        pub const NOSTR: &str = "nej";
        /// `"^[+1JjYy]"`
        pub const YESEXPR: &str = "^[+1JjYy]";
        /// `"ja"`
        pub const YESSTR: &str = "ja";
    }
    pub mod LC_MONETARY {
        /// `"kr."`
        pub const CURRENCY_SYMBOL: &str = "kr.";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"DKK "`
        pub const INT_CURR_SYMBOL: &str = "DKK ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `2`
        pub const N_SEP_BY_SPACE: i64 = 2;
        /// `4`
        pub const N_SIGN_POSN: i64 = 4;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `2`
        pub const P_SEP_BY_SPACE: i64 = 2;
        /// `4`
        pub const P_SIGN_POSN: i64 = 4;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"45"`
        pub const INT_PREFIX: &str = "45";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["søn", "man", "tir", "ons", "tor", "fre", "lør"]`
        pub const ABDAY: &[&str] = &["søn", "man", "tir", "ons", "tor", "fre", "lør"];
        /// `&["jan", "feb", "mar", "apr", "maj", "jun", "jul", "aug", "sep", "okt", "nov", "dec"]`
        pub const ABMON: &[&str] = &["jan", "feb", "mar", "apr", "maj", "jun", "jul", "aug", "sep", "okt", "nov", "dec"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d-%m-%Y"`
        pub const D_FMT: &str = "%d-%m-%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `"%a %e %b %H:%M:%S %Z %Y"`
        pub const DATE_FMT: &str = "%a %e %b %H:%M:%S %Z %Y";
        /// `&["søndag", "mandag", "tirsdag", "onsdag", "torsdag", "fredag", "lørdag"]`
        pub const DAY: &[&str] = &["søndag", "mandag", "tirsdag", "onsdag", "torsdag", "fredag", "lørdag"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["januar", "februar", "marts", "april", "maj", "juni", "juli", "august", "september", "oktober", "november", "december"]`
        pub const MON: &[&str] = &["januar", "februar", "marts", "april", "maj", "juni", "juli", "august", "september", "oktober", "november", "december"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod de_AT {
    pub mod LC_ADDRESS {
        /// `"AT"`
        pub const COUNTRY_ABTWO: &str = "AT";
        /// `"AUT"`
        pub const COUNTRY_AB3: &str = "AUT";
        /// `"A"`
        pub const COUNTRY_CAR: &str = "A";
        /// `"Österreich"`
        pub const COUNTRY_NAME: &str = "Österreich";
        /// `40`
        pub const COUNTRY_NUM: i64 = 40;
        /// `"de"`
        pub const LANG_AB: &str = "de";
        /// `"ger"`
        pub const LANG_LIB: &str = "ger";
        /// `"Deutsch"`
        pub const LANG_NAME: &str = "Deutsch";
        /// `"deu"`
        pub const LANG_TERM: &str = "deu";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Postfach 130, A-1021 Wien"`
        pub const ADDRESS: &str = "Postfach 130, A-1021 Wien";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Gerhard Budin"`
        pub const CONTACT: &str = "Gerhard Budin";
        /// `"2000-06-28"`
        pub const DATE: &str = "2000-06-28";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Austrian German"`
        pub const LANGUAGE: &str = "Austrian German";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"O:sterreiches Normungsinstitut"`
        pub const SOURCE: &str = "O:sterreiches Normungsinstitut";
        /// `""`
        pub const TEL: &str = "";
        /// `"Austria"`
        pub const TERRITORY: &str = "Austria";
        /// `"German locale for Austria"`
        pub const TITLE: &str = "German locale for Austria";
    }
    pub use super::de_DE::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::de_DE::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"43"`
        pub const INT_PREFIX: &str = "43";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%a %l"`
        pub const TEL_DOM_FMT: &str = "%a %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["So", "Mo", "Di", "Mi", "Do", "Fr", "Sa"]`
        pub const ABDAY: &[&str] = &["So", "Mo", "Di", "Mi", "Do", "Fr", "Sa"];
        /// `&["Jän", "Feb", "Mär", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dez"]`
        pub const ABMON: &[&str] = &["Jän", "Feb", "Mär", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dez"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%Y-%m-%d"`
        pub const D_FMT: &str = "%Y-%m-%d";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag"]`
        pub const DAY: &[&str] = &["Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Jänner", "Februar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"]`
        pub const MON: &[&str] = &["Jänner", "Februar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod de_AT_euro {
    pub use super::de_AT::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"Postfach 130, A-1021 Wien"`
        pub const ADDRESS: &str = "Postfach 130, A-1021 Wien";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Gerhard Budin"`
        pub const CONTACT: &str = "Gerhard Budin";
        /// `"2000-08-20"`
        pub const DATE: &str = "2000-08-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"German"`
        pub const LANGUAGE: &str = "German";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"O:sterreiches Normungsinstitut"`
        pub const SOURCE: &str = "O:sterreiches Normungsinstitut";
        /// `""`
        pub const TEL: &str = "";
        /// `"Austria"`
        pub const TERRITORY: &str = "Austria";
        /// `"German locale for Austria with Euro"`
        pub const TITLE: &str = "German locale for Austria with Euro";
    }
    pub use super::de_AT::LC_MESSAGES;
    pub use super::de_AT::LC_MONETARY;
    pub use super::de_AT::LC_NUMERIC;
    pub use super::de_AT::LC_TELEPHONE;
    pub use super::de_AT::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod de_BE {
    pub mod LC_ADDRESS {
        /// `"BE"`
        pub const COUNTRY_ABTWO: &str = "BE";
        /// `"BEL"`
        pub const COUNTRY_AB3: &str = "BEL";
        /// `"B"`
        pub const COUNTRY_CAR: &str = "B";
        /// `"Belgien"`
        pub const COUNTRY_NAME: &str = "Belgien";
        /// `56`
        pub const COUNTRY_NUM: i64 = 56;
        /// `"de"`
        pub const LANG_AB: &str = "de";
        /// `"ger"`
        pub const LANG_LIB: &str = "ger";
        /// `"Deutsch"`
        pub const LANG_NAME: &str = "Deutsch";
        /// `"deu"`
        pub const LANG_TERM: &str = "deu";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"German"`
        pub const LANGUAGE: &str = "German";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Belgium"`
        pub const TERRITORY: &str = "Belgium";
        /// `"German locale for Belgium"`
        pub const TITLE: &str = "German locale for Belgium";
    }
    pub use super::de_DE::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `4`
        pub const N_SIGN_POSN: i64 = 4;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `4`
        pub const P_SIGN_POSN: i64 = 4;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::de_DE::LC_NUMERIC;
    pub use super::fr_BE::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["So", "Mo", "Di", "Mi", "Do", "Fr", "Sa"]`
        pub const ABDAY: &[&str] = &["So", "Mo", "Di", "Mi", "Do", "Fr", "Sa"];
        /// `&["Jan", "Feb", "Mär", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dez"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mär", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dez"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%Y-%m-%d"`
        pub const D_FMT: &str = "%Y-%m-%d";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag"]`
        pub const DAY: &[&str] = &["Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Januar", "Februar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"]`
        pub const MON: &[&str] = &["Januar", "Februar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod de_BE_euro {
    pub use super::de_BE::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-08-21"`
        pub const DATE: &str = "2000-08-21";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"German"`
        pub const LANGUAGE: &str = "German";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Belgium"`
        pub const TERRITORY: &str = "Belgium";
        /// `"German locale for Belgium with Euro"`
        pub const TITLE: &str = "German locale for Belgium with Euro";
    }
    pub use super::de_BE::LC_MESSAGES;
    pub use super::de_BE::LC_MONETARY;
    pub use super::de_BE::LC_NUMERIC;
    pub use super::de_BE::LC_TELEPHONE;
    pub use super::de_BE::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod de_CH {
    pub mod LC_ADDRESS {
        /// `"CH"`
        pub const COUNTRY_ABTWO: &str = "CH";
        /// `"CHE"`
        pub const COUNTRY_AB3: &str = "CHE";
        /// `"CH"`
        pub const COUNTRY_CAR: &str = "CH";
        /// `"Schweiz"`
        pub const COUNTRY_NAME: &str = "Schweiz";
        /// `756`
        pub const COUNTRY_NUM: i64 = 756;
        /// `"de"`
        pub const LANG_AB: &str = "de";
        /// `"ger"`
        pub const LANG_LIB: &str = "ger";
        /// `"Deutsch"`
        pub const LANG_NAME: &str = "Deutsch";
        /// `"deu"`
        pub const LANG_TERM: &str = "deu";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2007-09-23"`
        pub const DATE: &str = "2007-09-23";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Swiss High German"`
        pub const LANGUAGE: &str = "Swiss High German";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Switzerland"`
        pub const TERRITORY: &str = "Switzerland";
        /// `"German locale for Switzerland"`
        pub const TITLE: &str = "German locale for Switzerland";
    }
    pub use super::de_DE::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"CHF"`
        pub const CURRENCY_SYMBOL: &str = "CHF";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"CHF "`
        pub const INT_CURR_SYMBOL: &str = "CHF ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"’"`
        pub const MON_THOUSANDS_SEP: &str = "’";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `4`
        pub const N_SIGN_POSN: i64 = 4;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `4`
        pub const P_SIGN_POSN: i64 = 4;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"’"`
        pub const THOUSANDS_SEP: &str = "’";
    }
    pub mod LC_TELEPHONE {
        /// `"41"`
        pub const INT_PREFIX: &str = "41";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["So", "Mo", "Di", "Mi", "Do", "Fr", "Sa"]`
        pub const ABDAY: &[&str] = &["So", "Mo", "Di", "Mi", "Do", "Fr", "Sa"];
        /// `&["Jan", "Feb", "Mär", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dez"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mär", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dez"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag"]`
        pub const DAY: &[&str] = &["Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Januar", "Februar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"]`
        pub const MON: &[&str] = &["Januar", "Februar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod de_DE {
    pub mod LC_ADDRESS {
        /// `"DE"`
        pub const COUNTRY_ABTWO: &str = "DE";
        /// `"DEU"`
        pub const COUNTRY_AB3: &str = "DEU";
        /// `"D"`
        pub const COUNTRY_CAR: &str = "D";
        /// `3`
        pub const COUNTRY_ISBN: i64 = 3;
        /// `"Deutschland"`
        pub const COUNTRY_NAME: &str = "Deutschland";
        /// `276`
        pub const COUNTRY_NUM: i64 = 276;
        /// `"D"`
        pub const COUNTRY_POST: &str = "D";
        /// `"de"`
        pub const LANG_AB: &str = "de";
        /// `"ger"`
        pub const LANG_LIB: &str = "ger";
        /// `"Deutsch"`
        pub const LANG_NAME: &str = "Deutsch";
        /// `"deu"`
        pub const LANG_TERM: &str = "deu";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-24"`
        pub const DATE: &str = "2000-06-24";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"German"`
        pub const LANGUAGE: &str = "German";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Germany"`
        pub const TERRITORY: &str = "Germany";
        /// `"German locale for Germany"`
        pub const TITLE: &str = "German locale for Germany";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"nein"`
        pub const NOSTR: &str = "nein";
        /// `"^[+1jJyY]"`
        pub const YESEXPR: &str = "^[+1jJyY]";
        /// `"ja"`
        pub const YESSTR: &str = "ja";
    }
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"49"`
        pub const INT_PREFIX: &str = "49";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%A %l"`
        pub const TEL_DOM_FMT: &str = "%A %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["So", "Mo", "Di", "Mi", "Do", "Fr", "Sa"]`
        pub const ABDAY: &[&str] = &["So", "Mo", "Di", "Mi", "Do", "Fr", "Sa"];
        /// `&["Jan", "Feb", "Mär", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dez"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mär", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dez"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `"%a %-d. %b %H:%M:%S %Z %Y"`
        pub const DATE_FMT: &str = "%a %-d. %b %H:%M:%S %Z %Y";
        /// `&["Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag"]`
        pub const DAY: &[&str] = &["Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Januar", "Februar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"]`
        pub const MON: &[&str] = &["Januar", "Februar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod de_DE_euro {
    pub use super::de_DE::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-24"`
        pub const DATE: &str = "2000-06-24";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"German"`
        pub const LANGUAGE: &str = "German";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Germany"`
        pub const TERRITORY: &str = "Germany";
        /// `"German locale for Germany with Euro"`
        pub const TITLE: &str = "German locale for Germany with Euro";
    }
    pub use super::de_DE::LC_MESSAGES;
    pub use super::de_DE::LC_MONETARY;
    pub use super::de_DE::LC_NUMERIC;
    pub use super::de_DE::LC_TELEPHONE;
    pub use super::de_DE::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod de_IT {
    pub mod LC_ADDRESS {
        /// `"IT"`
        pub const COUNTRY_ABTWO: &str = "IT";
        /// `"ITA"`
        pub const COUNTRY_AB3: &str = "ITA";
        /// `"I"`
        pub const COUNTRY_CAR: &str = "I";
        /// `"978-88,979-12"`
        pub const COUNTRY_ISBN: &str = "978-88,979-12";
        /// `"Italien"`
        pub const COUNTRY_NAME: &str = "Italien";
        /// `380`
        pub const COUNTRY_NUM: i64 = 380;
        /// `"de"`
        pub const LANG_AB: &str = "de";
        /// `"ger"`
        pub const LANG_LIB: &str = "ger";
        /// `"Deutsch"`
        pub const LANG_NAME: &str = "Deutsch";
        /// `"deu"`
        pub const LANG_TERM: &str = "deu";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"I-39100 Bolzano/Bozen"`
        pub const ADDRESS: &str = "I-39100 Bolzano/Bozen";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Matthias Dieter Wallno:fer"`
        pub const CONTACT: &str = "Matthias Dieter Wallno:fer";
        /// `"2000-06-28"`
        pub const DATE: &str = "2000-06-28";
        /// `"libc-locales@sourceware.org"`
        pub const EMAIL: &str = "libc-locales@sourceware.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"German"`
        pub const LANGUAGE: &str = "German";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Italy"`
        pub const TERRITORY: &str = "Italy";
        /// `"German language locale for Italy"`
        pub const TITLE: &str = "German language locale for Italy";
    }
    pub use super::de_DE::LC_MESSAGES;
    pub use super::it_IT::LC_MONETARY;
    pub use super::de_DE::LC_NUMERIC;
    pub use super::it_IT::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["So", "Mo", "Di", "Mi", "Do", "Fr", "Sa"]`
        pub const ABDAY: &[&str] = &["So", "Mo", "Di", "Mi", "Do", "Fr", "Sa"];
        /// `&["Jän", "Feb", "Mär", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dez"]`
        pub const ABMON: &[&str] = &["Jän", "Feb", "Mär", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dez"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `"%a %-d. %b %H:%M:%S %Z %Y"`
        pub const DATE_FMT: &str = "%a %-d. %b %H:%M:%S %Z %Y";
        /// `&["Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag"]`
        pub const DAY: &[&str] = &["Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Jänner", "Februar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"]`
        pub const MON: &[&str] = &["Jänner", "Februar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod de_LI {
    pub mod LC_ADDRESS {
        /// `"LI"`
        pub const COUNTRY_ABTWO: &str = "LI";
        /// `"LIE"`
        pub const COUNTRY_AB3: &str = "LIE";
        /// `"FL"`
        pub const COUNTRY_CAR: &str = "FL";
        /// `"Liechtenstein"`
        pub const COUNTRY_NAME: &str = "Liechtenstein";
        /// `438`
        pub const COUNTRY_NUM: i64 = 438;
        /// `"LI"`
        pub const COUNTRY_POST: &str = "LI";
        /// `"de"`
        pub const LANG_AB: &str = "de";
        /// `"ger"`
        pub const LANG_LIB: &str = "ger";
        /// `"Deutsch"`
        pub const LANG_NAME: &str = "Deutsch";
        /// `"deu"`
        pub const LANG_TERM: &str = "deu";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2007-11-27"`
        pub const DATE: &str = "2007-11-27";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"German"`
        pub const LANGUAGE: &str = "German";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Liechtenstein"`
        pub const TERRITORY: &str = "Liechtenstein";
        /// `"German locale for Liechtenstein"`
        pub const TITLE: &str = "German locale for Liechtenstein";
    }
    pub use super::de_CH::LC_MESSAGES;
    pub use super::de_CH::LC_MONETARY;
    pub use super::de_CH::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"423"`
        pub const INT_PREFIX: &str = "423";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub use super::de_CH::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod de_LU {
    pub mod LC_ADDRESS {
        /// `"LU"`
        pub const COUNTRY_ABTWO: &str = "LU";
        /// `"LUX"`
        pub const COUNTRY_AB3: &str = "LUX";
        /// `"L"`
        pub const COUNTRY_CAR: &str = "L";
        /// `"Luxemburg"`
        pub const COUNTRY_NAME: &str = "Luxemburg";
        /// `442`
        pub const COUNTRY_NUM: i64 = 442;
        /// `"de"`
        pub const LANG_AB: &str = "de";
        /// `"ger"`
        pub const LANG_LIB: &str = "ger";
        /// `"Deutsch"`
        pub const LANG_NAME: &str = "Deutsch";
        /// `"deu"`
        pub const LANG_TERM: &str = "deu";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"German"`
        pub const LANGUAGE: &str = "German";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Luxembourg"`
        pub const TERRITORY: &str = "Luxembourg";
        /// `"German locale for Luxemburg"`
        pub const TITLE: &str = "German locale for Luxemburg";
    }
    pub use super::de_DE::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `4`
        pub const N_SIGN_POSN: i64 = 4;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `4`
        pub const P_SIGN_POSN: i64 = 4;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::de_DE::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"352"`
        pub const INT_PREFIX: &str = "352";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["So", "Mo", "Di", "Mi", "Do", "Fr", "Sa"]`
        pub const ABDAY: &[&str] = &["So", "Mo", "Di", "Mi", "Do", "Fr", "Sa"];
        /// `&["Jan", "Feb", "Mär", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dez"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mär", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dez"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%Y-%m-%d"`
        pub const D_FMT: &str = "%Y-%m-%d";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag"]`
        pub const DAY: &[&str] = &["Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Januar", "Februar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"]`
        pub const MON: &[&str] = &["Januar", "Februar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod de_LU_euro {
    pub use super::de_LU::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-08-20"`
        pub const DATE: &str = "2000-08-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"German"`
        pub const LANGUAGE: &str = "German";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Luxembourg"`
        pub const TERRITORY: &str = "Luxembourg";
        /// `"German locale for Luxemburg with Euro"`
        pub const TITLE: &str = "German locale for Luxemburg with Euro";
    }
    pub use super::de_DE::LC_MESSAGES;
    pub use super::de_LU::LC_MONETARY;
    pub use super::de_DE::LC_NUMERIC;
    pub use super::de_LU::LC_TELEPHONE;
    pub use super::de_LU::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod doi_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"भारत"`
        pub const COUNTRY_NAME: &str = "भारत";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"doi"`
        pub const LANG_LIB: &str = "doi";
        /// `"डोगरी"`
        pub const LANG_NAME: &str = "डोगरी";
        /// `"doi"`
        pub const LANG_TERM: &str = "doi";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Level 1, Tower X, Cybercity, Magarpatta City, Hadapsar, Pune-411013 "`
        pub const ADDRESS: &str = "Level 1, Tower X, Cybercity, Magarpatta City, Hadapsar, Pune-411013 ";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2012-02-16"`
        pub const DATE: &str = "2012-02-16";
        /// `"libc-alpha@sourceware.org"`
        pub const EMAIL: &str = "libc-alpha@sourceware.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Dogri"`
        pub const LANGUAGE: &str = "Dogri";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Red Hat Pune"`
        pub const SOURCE: &str = "Red Hat Pune";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Dogri language locale for India"`
        pub const TITLE: &str = "Dogri language locale for India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNन]"`
        pub const NOEXPR: &str = "^[-0nNन]";
        /// `"ना"`
        pub const NOSTR: &str = "ना";
        /// `"^[+1yYऑ]"`
        pub const YESEXPR: &str = "^[+1yYऑ]";
        /// `"ऑह"`
        pub const YESSTR: &str = "ऑह";
    }
    pub use super::hi_IN::LC_MONETARY;
    pub use super::hi_IN::LC_NUMERIC;
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["ऐत", "सोम", "म\u{902}गल", "ब\u{941}ध", "बीर", "श\u{941}क\u{94d}कर", "श\u{94d}नीचर"]`
        pub const ABDAY: &[&str] = &["ऐत", "सोम", "म\u{902}गल", "ब\u{941}ध", "बीर", "श\u{941}क\u{94d}कर", "श\u{94d}नीचर"];
        /// `&["जनवरी", "फरवरी", "मार\u{94d}च", "एप\u{94d}र\u{948}ल", "म\u{947}ई", "ज\u{942}न", "ज\u{942}ल\u{948}", "अगस\u{94d}त", "सित\u{902}बर", "अक\u{94d}त\u{942}बर", "नव\u{902}बर", "दिस\u{902}बर"]`
        pub const ABMON: &[&str] = &["जनवरी", "फरवरी", "मार\u{94d}च", "एप\u{94d}र\u{948}ल", "म\u{947}ई", "ज\u{942}न", "ज\u{942}ल\u{948}", "अगस\u{94d}त", "सित\u{902}बर", "अक\u{94d}त\u{942}बर", "नव\u{902}बर", "दिस\u{902}बर"];
        /// `&["सञ\u{902}", "सब\u{947}र"]`
        pub const AM_PM: &[&str] = &["सञ\u{902}", "सब\u{947}र"];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["ऐतबार", "सोमबार", "म\u{902}गलबर", "ब\u{941}धबार", "बीरबार", "श\u{941}क\u{94d}करबार", "श\u{94d}नीचरबार"]`
        pub const DAY: &[&str] = &["ऐतबार", "सोमबार", "म\u{902}गलबर", "ब\u{941}धबार", "बीरबार", "श\u{941}क\u{94d}करबार", "श\u{94d}नीचरबार"];
        /// `&["जनवरी", "फरवरी", "मार\u{94d}च", "एप\u{94d}र\u{948}ल", "म\u{947}ई", "ज\u{942}न", "ज\u{942}ल\u{948}", "अगस\u{94d}त", "सित\u{902}बर", "अक\u{94d}त\u{942}बर", "नव\u{902}बर", "दिस\u{902}बर"]`
        pub const MON: &[&str] = &["जनवरी", "फरवरी", "मार\u{94d}च", "एप\u{94d}र\u{948}ल", "म\u{947}ई", "ज\u{942}न", "ज\u{942}ल\u{948}", "अगस\u{94d}त", "सित\u{902}बर", "अक\u{94d}त\u{942}बर", "नव\u{902}बर", "दिस\u{902}बर"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod dsb_DE {
    pub mod LC_ADDRESS {
        /// `"DE"`
        pub const COUNTRY_ABTWO: &str = "DE";
        /// `"DEU"`
        pub const COUNTRY_AB3: &str = "DEU";
        /// `"D"`
        pub const COUNTRY_CAR: &str = "D";
        /// `3`
        pub const COUNTRY_ISBN: i64 = 3;
        /// `"Nimska"`
        pub const COUNTRY_NAME: &str = "Nimska";
        /// `276`
        pub const COUNTRY_NUM: i64 = 276;
        /// `"D"`
        pub const COUNTRY_POST: &str = "D";
        /// `""`
        pub const LANG_AB: &str = "";
        /// `"dsb"`
        pub const LANG_LIB: &str = "dsb";
        /// `"dolnoserbšćina"`
        pub const LANG_NAME: &str = "dolnoserbšćina";
        /// `"dsb"`
        pub const LANG_TERM: &str = "dsb";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `""`
        pub const DATE: &str = "";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Lower Sorbian"`
        pub const LANGUAGE: &str = "Lower Sorbian";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `"Information from Michael Wolf"`
        pub const SOURCE: &str = "Information from Michael Wolf";
        /// `""`
        pub const TEL: &str = "";
        /// `"Germany"`
        pub const TERRITORY: &str = "Germany";
        /// `"Lower Sorbian locale for Germany"`
        pub const TITLE: &str = "Lower Sorbian locale for Germany";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"ně"`
        pub const NOSTR: &str = "ně";
        /// `"^[+1jJhHyY]"`
        pub const YESEXPR: &str = "^[+1jJhHyY]";
        /// `"jo"`
        pub const YESSTR: &str = "jo";
    }
    pub use super::de_DE::LC_MONETARY;
    pub use super::de_DE::LC_NUMERIC;
    pub use super::de_DE::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Nj", "Pó", "Wa", "Sr", "St", "Pě", "So"]`
        pub const ABDAY: &[&str] = &["Nj", "Pó", "Wa", "Sr", "St", "Pě", "So"];
        /// `&["Jan", "Feb", "Měr", "Apr", "Maj", "Jun", "Jul", "Awg", "Sep", "Okt", "Now", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Měr", "Apr", "Maj", "Jun", "Jul", "Awg", "Sep", "Okt", "Now", "Dec"];
        /// `&["Januar", "Februar", "Měrc", "Apryl", "Maj", "Junij", "Julij", "Awgust", "September", "Oktober", "Nowember", "December"]`
        pub const ALT_MON: &[&str] = &["Januar", "Februar", "Měrc", "Apryl", "Maj", "Junij", "Julij", "Awgust", "September", "Oktober", "Nowember", "December"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Njeźela", "Pónjeźele", "Wałtora", "Srjoda", "Stwórtk", "Pětk", "Sobota"]`
        pub const DAY: &[&str] = &["Njeźela", "Pónjeźele", "Wałtora", "Srjoda", "Stwórtk", "Pětk", "Sobota"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["januara", "februara", "měrca", "apryla", "maja", "junija", "julija", "awgusta", "septembra", "oktobra", "nowembra", "decembra"]`
        pub const MON: &[&str] = &["januara", "februara", "měrca", "apryla", "maja", "junija", "julija", "awgusta", "septembra", "oktobra", "nowembra", "decembra"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod dv_MV {
    pub mod LC_ADDRESS {
        /// `"MV"`
        pub const COUNTRY_ABTWO: &str = "MV";
        /// `"MDV"`
        pub const COUNTRY_AB3: &str = "MDV";
        /// `"MV"`
        pub const COUNTRY_CAR: &str = "MV";
        /// `"ދ\u{7a8}ވ\u{7ac}ހ\u{7a8}ރ\u{7a7}އ\u{7b0}ޖ\u{7ac}"`
        pub const COUNTRY_NAME: &str = "ދ\u{7a8}ވ\u{7ac}ހ\u{7a8}ރ\u{7a7}އ\u{7b0}ޖ\u{7ac}";
        /// `462`
        pub const COUNTRY_NUM: i64 = 462;
        /// `"dv"`
        pub const LANG_AB: &str = "dv";
        /// `"div"`
        pub const LANG_LIB: &str = "div";
        /// `"ދ\u{7a8}ވ\u{7ac}ހ\u{7a8}"`
        pub const LANG_NAME: &str = "ދ\u{7a8}ވ\u{7ac}ހ\u{7a8}";
        /// `"div"`
        pub const LANG_TERM: &str = "div";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2006-05-13"`
        pub const DATE: &str = "2006-05-13";
        /// `"sofwath@hotmail.com"`
        pub const EMAIL: &str = "sofwath@hotmail.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Divehi"`
        pub const LANGUAGE: &str = "Divehi";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Maldives"`
        pub const TERRITORY: &str = "Maldives";
        /// `"Dhivehi Language Locale for Maldives"`
        pub const TITLE: &str = "Dhivehi Language Locale for Maldives";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
    }
    pub mod LC_MONETARY {
        /// `"ރ."`
        pub const CURRENCY_SYMBOL: &str = "ރ.";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"MVR "`
        pub const INT_CURR_SYMBOL: &str = "MVR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const P_SIGN_POSN: i64 = 2;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"960"`
        pub const INT_PREFIX: &str = "960";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%a %l"`
        pub const TEL_DOM_FMT: &str = "%a %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["އ\u{7a7}ދ\u{7a9}އ\u{7b0}ތ\u{7a6}", "ހ\u{7af}މ\u{7a6}", "އ\u{7a6}ނ\u{7b0}ގ\u{7a7}ރ\u{7a6}", "ބ\u{7aa}ދ\u{7a6}", "ބ\u{7aa}ރ\u{7a7}ސ\u{7b0}ފ\u{7a6}ތ\u{7a8}", "ހ\u{7aa}ކ\u{7aa}ރ\u{7aa}", "ހ\u{7ae}ނ\u{7a8}ހ\u{7a8}ރ\u{7aa}"]`
        pub const ABDAY: &[&str] = &["އ\u{7a7}ދ\u{7a9}އ\u{7b0}ތ\u{7a6}", "ހ\u{7af}މ\u{7a6}", "އ\u{7a6}ނ\u{7b0}ގ\u{7a7}ރ\u{7a6}", "ބ\u{7aa}ދ\u{7a6}", "ބ\u{7aa}ރ\u{7a7}ސ\u{7b0}ފ\u{7a6}ތ\u{7a8}", "ހ\u{7aa}ކ\u{7aa}ރ\u{7aa}", "ހ\u{7ae}ނ\u{7a8}ހ\u{7a8}ރ\u{7aa}"];
        /// `&["ޖ\u{7ac}ނ\u{7aa}އ\u{7a6}ރ\u{7a9}", "ފ\u{7ac}ބ\u{7b0}ރ\u{7aa}އ\u{7a6}ރ\u{7a9}", "މ\u{7a7}ރޗ\u{7b0}", "އ\u{7ac}ޕ\u{7b0}ރ\u{7a9}ލ\u{7b0}", "މ\u{7ac}އ\u{7a8}", "ޖ\u{7ab}ނ\u{7b0}", "ޖ\u{7aa}ލ\u{7a6}އ\u{7a8}", "އ\u{7ae}ގ\u{7a6}ސ\u{7b0}ޓ\u{7b0}", "ސ\u{7ac}ޕ\u{7b0}ޓ\u{7ac}ނ\u{7b0}ބ\u{7a6}ރ", "އ\u{7ae}ކ\u{7b0}ޓ\u{7ab}ބ\u{7a6}ރ", "ނ\u{7ae}ވ\u{7ac}ނ\u{7b0}ބ\u{7a6}ރ", "ޑ\u{7a8}ސ\u{7ac}ނ\u{7b0}ބ\u{7a6}ރ"]`
        pub const ABMON: &[&str] = &["ޖ\u{7ac}ނ\u{7aa}އ\u{7a6}ރ\u{7a9}", "ފ\u{7ac}ބ\u{7b0}ރ\u{7aa}އ\u{7a6}ރ\u{7a9}", "މ\u{7a7}ރޗ\u{7b0}", "އ\u{7ac}ޕ\u{7b0}ރ\u{7a9}ލ\u{7b0}", "މ\u{7ac}އ\u{7a8}", "ޖ\u{7ab}ނ\u{7b0}", "ޖ\u{7aa}ލ\u{7a6}އ\u{7a8}", "އ\u{7ae}ގ\u{7a6}ސ\u{7b0}ޓ\u{7b0}", "ސ\u{7ac}ޕ\u{7b0}ޓ\u{7ac}ނ\u{7b0}ބ\u{7a6}ރ", "އ\u{7ae}ކ\u{7b0}ޓ\u{7ab}ބ\u{7a6}ރ", "ނ\u{7ae}ވ\u{7ac}ނ\u{7b0}ބ\u{7a6}ރ", "ޑ\u{7a8}ސ\u{7ac}ނ\u{7b0}ބ\u{7a6}ރ"];
        /// `&["މކ", "މފ"]`
        pub const AM_PM: &[&str] = &["މކ", "މފ"];
        /// `3`
        pub const CAL_DIRECTION: i64 = 3;
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%Z %H:%M:%S %Y %b %d %a"`
        pub const D_T_FMT: &str = "%Z %H:%M:%S %Y %b %d %a";
        /// `&["އ\u{7a7}ދ\u{7a9}އ\u{7b0}ތ\u{7a6}", "ހ\u{7af}މ\u{7a6}", "އ\u{7a6}ނ\u{7b0}ގ\u{7a7}ރ\u{7a6}", "ބ\u{7aa}ދ\u{7a6}", "ބ\u{7aa}ރ\u{7a7}ސ\u{7b0}ފ\u{7a6}ތ\u{7a8}", "ހ\u{7aa}ކ\u{7aa}ރ\u{7aa}", "ހ\u{7ae}ނ\u{7a8}ހ\u{7a8}ރ\u{7aa}"]`
        pub const DAY: &[&str] = &["އ\u{7a7}ދ\u{7a9}އ\u{7b0}ތ\u{7a6}", "ހ\u{7af}މ\u{7a6}", "އ\u{7a6}ނ\u{7b0}ގ\u{7a7}ރ\u{7a6}", "ބ\u{7aa}ދ\u{7a6}", "ބ\u{7aa}ރ\u{7a7}ސ\u{7b0}ފ\u{7a6}ތ\u{7a8}", "ހ\u{7aa}ކ\u{7aa}ރ\u{7aa}", "ހ\u{7ae}ނ\u{7a8}ހ\u{7a8}ރ\u{7aa}"];
        /// `6`
        pub const FIRST_WEEKDAY: i64 = 6;
        /// `&["ޖ\u{7ac}ނ\u{7aa}އ\u{7a6}ރ\u{7a9}", "ފ\u{7ac}ބ\u{7b0}ރ\u{7aa}އ\u{7a6}ރ\u{7a9}", "މ\u{7a7}ރޗ\u{7b0}", "އ\u{7ac}ޕ\u{7b0}ރ\u{7a9}ލ\u{7b0}", "މ\u{7ac}އ\u{7a8}", "ޖ\u{7ab}ނ\u{7b0}", "ޖ\u{7aa}ލ\u{7a6}އ\u{7a8}", "އ\u{7ae}ގ\u{7a6}ސ\u{7b0}ޓ\u{7b0}", "ސ\u{7ac}ޕ\u{7b0}ޓ\u{7ac}ނ\u{7b0}ބ\u{7a6}ރ", "އ\u{7ae}ކ\u{7b0}ޓ\u{7ab}ބ\u{7a6}ރ", "ނ\u{7ae}ވ\u{7ac}ނ\u{7b0}ބ\u{7a6}ރ", "ޑ\u{7a8}ސ\u{7ac}ނ\u{7b0}ބ\u{7a6}ރ"]`
        pub const MON: &[&str] = &["ޖ\u{7ac}ނ\u{7aa}އ\u{7a6}ރ\u{7a9}", "ފ\u{7ac}ބ\u{7b0}ރ\u{7aa}އ\u{7a6}ރ\u{7a9}", "މ\u{7a7}ރޗ\u{7b0}", "އ\u{7ac}ޕ\u{7b0}ރ\u{7a9}ލ\u{7b0}", "މ\u{7ac}އ\u{7a8}", "ޖ\u{7ab}ނ\u{7b0}", "ޖ\u{7aa}ލ\u{7a6}އ\u{7a8}", "އ\u{7ae}ގ\u{7a6}ސ\u{7b0}ޓ\u{7b0}", "ސ\u{7ac}ޕ\u{7b0}ޓ\u{7ac}ނ\u{7b0}ބ\u{7a6}ރ", "އ\u{7ae}ކ\u{7b0}ޓ\u{7ab}ބ\u{7a6}ރ", "ނ\u{7ae}ވ\u{7ac}ނ\u{7b0}ބ\u{7a6}ރ", "ޑ\u{7a8}ސ\u{7ac}ނ\u{7b0}ބ\u{7a6}ރ"];
        /// `"%H:%M:%S"`
        pub const T_FMT: &str = "%H:%M:%S";
        /// `"%P %I:%M:%S"`
        pub const T_FMT_AMPM: &str = "%P %I:%M:%S";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod dz_BT {
    pub mod LC_ADDRESS {
        /// `"BT"`
        pub const COUNTRY_ABTWO: &str = "BT";
        /// `"BTN"`
        pub const COUNTRY_AB3: &str = "BTN";
        /// `"BHT"`
        pub const COUNTRY_CAR: &str = "BHT";
        /// `"འབ\u{fb2}\u{f74}ག"`
        pub const COUNTRY_NAME: &str = "འབ\u{fb2}\u{f74}ག";
        /// `64`
        pub const COUNTRY_NUM: i64 = 64;
        /// `"dz"`
        pub const LANG_AB: &str = "dz";
        /// `"dzo"`
        pub const LANG_LIB: &str = "dzo";
        /// `"ར\u{fab}\u{f7c}ང་ཁ"`
        pub const LANG_NAME: &str = "ར\u{fab}\u{f7c}ང་ཁ";
        /// `"dzo"`
        pub const LANG_TERM: &str = "dzo";
        /// `"%f%N%a%N%d%N%r%t%e%t%b%N%h%t%s%N%T%N%S%N%z%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%r%t%e%t%b%N%h%t%s%N%T%N%S%N%z%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Kanglung, Bhutan"`
        pub const ADDRESS: &str = "Kanglung, Bhutan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2004-09-03"`
        pub const DATE: &str = "2004-09-03";
        /// `"bug-glibc@gnu.org"`
        pub const EMAIL: &str = "bug-glibc@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Dzongkha"`
        pub const LANGUAGE: &str = "Dzongkha";
        /// `"0.3"`
        pub const REVISION: &str = "0.3";
        /// `"Sherubtse College"`
        pub const SOURCE: &str = "Sherubtse College";
        /// `""`
        pub const TEL: &str = "";
        /// `"Bhutan"`
        pub const TERRITORY: &str = "Bhutan";
        /// `"Dzongkha language locale for Bhutan"`
        pub const TITLE: &str = "Dzongkha language locale for Bhutan";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNམ]"`
        pub const NOEXPR: &str = "^[-0nNམ]";
        /// `"མ\u{f7a}ན་"`
        pub const NOSTR: &str = "མ\u{f7a}ན་";
        /// `"^[+1yYཨ]"`
        pub const YESEXPR: &str = "^[+1yYཨ]";
        /// `"ཨ\u{f72}ན་"`
        pub const YESSTR: &str = "ཨ\u{f72}ན་";
    }
    pub mod LC_MONETARY {
        /// `"Nu."`
        pub const CURRENCY_SYMBOL: &str = "Nu.";
        /// `3`
        pub const FRAC_DIGITS: i64 = 3;
        /// `"BTN "`
        pub const INT_CURR_SYMBOL: &str = "BTN ";
        /// `3`
        pub const INT_FRAC_DIGITS: i64 = 3;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 2]`
        pub const MON_GROUPING: &[i64] = &[3, 2];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `4`
        pub const N_SIGN_POSN: i64 = 4;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `4`
        pub const P_SIGN_POSN: i64 = 4;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 2]`
        pub const GROUPING: &[i64] = &[3, 2];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"975"`
        pub const INT_PREFIX: &str = "975";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["ཟ\u{fb3}་", "མ\u{f72}ར་", "ལ\u{fb7}ག་", "པ\u{f74}ར་", "སངས་", "ས\u{fa4}\u{f7a}ན་", "ཉ\u{f72}་"]`
        pub const ABDAY: &[&str] = &["ཟ\u{fb3}་", "མ\u{f72}ར་", "ལ\u{fb7}ག་", "པ\u{f74}ར་", "སངས་", "ས\u{fa4}\u{f7a}ན་", "ཉ\u{f72}་"];
        /// `&["ཟ\u{fb3}་༡", "ཟ\u{fb3}་༢", "ཟ\u{fb3}་༣", "ཟ\u{fb3}་༤", "ཟ\u{fb3}་༥", "ཟ\u{fb3}་༦", "ཟ\u{fb3}་༧", "ཟ\u{fb3}་༨", "ཟ\u{fb3}་༩", "ཟ\u{fb3}་༡༠", "ཟ\u{fb3}་༡༡", "ཟ\u{fb3}་༡༢"]`
        pub const ABMON: &[&str] = &["ཟ\u{fb3}་༡", "ཟ\u{fb3}་༢", "ཟ\u{fb3}་༣", "ཟ\u{fb3}་༤", "ཟ\u{fb3}་༥", "ཟ\u{fb3}་༦", "ཟ\u{fb3}་༧", "ཟ\u{fb3}་༨", "ཟ\u{fb3}་༩", "ཟ\u{fb3}་༡༠", "ཟ\u{fb3}་༡༡", "ཟ\u{fb3}་༡༢"];
        /// `&["ངས་ཆ", "ཕ\u{fb1}\u{f72}་ཆ"]`
        pub const AM_PM: &[&str] = &["ངས་ཆ", "ཕ\u{fb1}\u{f72}་ཆ"];
        /// `"པས\u{fb1}\u{f72}་ལ\u{f7c}%y\nཟལ%mཚ\u{f7a}ས%d"`
        pub const D_FMT: &str = "པས\u{fb1}\u{f72}་ལ\u{f7c}%y\nཟལ%mཚ\u{f7a}ས%d";
        /// `"པས\u{fb1}\u{f72}་ལ\u{f7c}%y\nཟལ%mཚ\u{f7a}ས%d\nཆ\u{f74}་ཚ\u{f7c}ད%Hཀ\nསར་མ%M\nཀསར་ཆ%S"`
        pub const D_T_FMT: &str = "པས\u{fb1}\u{f72}་ལ\u{f7c}%y\nཟལ%mཚ\u{f7a}ས%d\nཆ\u{f74}་ཚ\u{f7c}ད%Hཀ\nསར་མ%M\nཀསར་ཆ%S";
        /// `&["གཟའ་ཟ\u{fb3}་བ་", "གཟའ་མ\u{f72}ག་དམར་", "གཟའ་ལ\u{fb7}ག་ཕ་", "གཟའ་པ\u{f74}ར་བ\u{f74}་", "གཟའ་པ་སངས་", "གཟའ་ས\u{fa4}\u{f7a}ན་ཕ་", "གཟའ་ཉ\u{f72}་མ་"]`
        pub const DAY: &[&str] = &["གཟའ་ཟ\u{fb3}་བ་", "གཟའ་མ\u{f72}ག་དམར་", "གཟའ་ལ\u{fb7}ག་ཕ་", "གཟའ་པ\u{f74}ར་བ\u{f74}་", "གཟའ་པ་སངས་", "གཟའ་ས\u{fa4}\u{f7a}ན་ཕ་", "གཟའ་ཉ\u{f72}་མ་"];
        /// `&["ཟ\u{fb3}་བ་དང་པ་", "ཟ\u{fb3}་བ་གཉ\u{f72}ས་པ་", "ཟ\u{fb3}་བ་གས\u{f74}མ་པ་", "ཟ\u{fb3}་བ་བཞ\u{f72}་པ་", "ཟ\u{fb3}་བ་ལ\u{f94}་ཕ་", "ཟ\u{fb3}་བ་ད\u{fb2}\u{f74}ག་པ་", "ཟ\u{fb3}་བ་བད\u{f74}ནཔ་", "ཟ\u{fb3}་བ་བར\u{f92}\u{fb1}ད་པ་", "ཟ\u{fb3}་བ་དག\u{f74}་པ་", "ཟ\u{fb3}་བ་བཅ\u{f74}་པ་", "ཟ\u{fb3}་བ་བཅ\u{f74}་གཅ\u{f72}ག་པ་", "ཟ\u{fb3}་བ་བཅ\u{f74}་གཉ\u{f72}ས་པ་"]`
        pub const MON: &[&str] = &["ཟ\u{fb3}་བ་དང་པ་", "ཟ\u{fb3}་བ་གཉ\u{f72}ས་པ་", "ཟ\u{fb3}་བ་གས\u{f74}མ་པ་", "ཟ\u{fb3}་བ་བཞ\u{f72}་པ་", "ཟ\u{fb3}་བ་ལ\u{f94}་ཕ་", "ཟ\u{fb3}་བ་ད\u{fb2}\u{f74}ག་པ་", "ཟ\u{fb3}་བ་བད\u{f74}ནཔ་", "ཟ\u{fb3}་བ་བར\u{f92}\u{fb1}ད་པ་", "ཟ\u{fb3}་བ་དག\u{f74}་པ་", "ཟ\u{fb3}་བ་བཅ\u{f74}་པ་", "ཟ\u{fb3}་བ་བཅ\u{f74}་གཅ\u{f72}ག་པ་", "ཟ\u{fb3}་བ་བཅ\u{f74}་གཉ\u{f72}ས་པ་"];
        /// `"ཆ\u{f74}་ཚ\u{f7c}ད\n%Hཀསར་མ\n%Mཀསར་ཆ%S"`
        pub const T_FMT: &str = "ཆ\u{f74}་ཚ\u{f7c}ད\n%Hཀསར་མ\n%Mཀསར་ཆ%S";
        /// `"ཆ\u{f74}་ཚ\u{f7c}ད\n%Iཀསར་མ%M\nཀསར་ཆ%S %p"`
        pub const T_FMT_AMPM: &str = "ཆ\u{f74}་ཚ\u{f7c}ད\n%Iཀསར་མ%M\nཀསར་ཆ%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod el_CY {
    pub mod LC_ADDRESS {
        /// `"CY"`
        pub const COUNTRY_ABTWO: &str = "CY";
        /// `"CYP"`
        pub const COUNTRY_AB3: &str = "CYP";
        /// `"CY"`
        pub const COUNTRY_CAR: &str = "CY";
        /// `"Κύπρος"`
        pub const COUNTRY_NAME: &str = "Κύπρος";
        /// `196`
        pub const COUNTRY_NUM: i64 = 196;
        /// `"el"`
        pub const LANG_AB: &str = "el";
        /// `"gre"`
        pub const LANG_LIB: &str = "gre";
        /// `"Ελληνικά"`
        pub const LANG_NAME: &str = "Ελληνικά";
        /// `"ell"`
        pub const LANG_TERM: &str = "ell";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Konstantinos Margaritis, M. Asias 50, Nafplion 21100, Greece"`
        pub const ADDRESS: &str = "Konstantinos Margaritis, M. Asias 50, Nafplion 21100, Greece";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2004-10-20"`
        pub const DATE: &str = "2004-10-20";
        /// `"bug-glibc@gnu.org"`
        pub const EMAIL: &str = "bug-glibc@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Greek"`
        pub const LANGUAGE: &str = "Greek";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Greek Debian Translation Team"`
        pub const SOURCE: &str = "Greek Debian Translation Team";
        /// `""`
        pub const TEL: &str = "";
        /// `"Cyprus"`
        pub const TERRITORY: &str = "Cyprus";
        /// `"Greek locale for Cyprus"`
        pub const TITLE: &str = "Greek locale for Cyprus";
    }
    pub use super::el_GR::LC_MESSAGES;
    pub use super::el_GR::LC_MONETARY;
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[0, 0]`
        pub const GROUPING: &[i64] = &[0, 0];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"357"`
        pub const INT_PREFIX: &str = "357";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Ιαν", "Φεβ", "Μάρ", "Απρ", "Μάι", "Ιούν", "Ιούλ", "Αύγ", "Σεπ", "Οκτ", "Νοέ", "Δεκ"]`
        pub const AB_ALT_MON: &[&str] = &["Ιαν", "Φεβ", "Μάρ", "Απρ", "Μάι", "Ιούν", "Ιούλ", "Αύγ", "Σεπ", "Οκτ", "Νοέ", "Δεκ"];
        /// `&["Κυρ", "Δευ", "Τρι", "Τετ", "Πεμ", "Παρ", "Σαβ"]`
        pub const ABDAY: &[&str] = &["Κυρ", "Δευ", "Τρι", "Τετ", "Πεμ", "Παρ", "Σαβ"];
        /// `&["Ιαν", "Φεβ", "Μαρ", "Απρ", "Μαΐ", "Ιουν", "Ιουλ", "Αυγ", "Σεπ", "Οκτ", "Νοε", "Δεκ"]`
        pub const ABMON: &[&str] = &["Ιαν", "Φεβ", "Μαρ", "Απρ", "Μαΐ", "Ιουν", "Ιουλ", "Αυγ", "Σεπ", "Οκτ", "Νοε", "Δεκ"];
        /// `&["Ιανουάριος", "Φεβρουάριος", "Μάρτιος", "Απρίλιος", "Μάιος", "Ιούνιος", "Ιούλιος", "Αύγουστος", "Σεπτέμβριος", "Οκτώβριος", "Νοέμβριος", "Δεκέμβριος"]`
        pub const ALT_MON: &[&str] = &["Ιανουάριος", "Φεβρουάριος", "Μάρτιος", "Απρίλιος", "Μάιος", "Ιούνιος", "Ιούλιος", "Αύγουστος", "Σεπτέμβριος", "Οκτώβριος", "Νοέμβριος", "Δεκέμβριος"];
        /// `&["πμ", "μμ"]`
        pub const AM_PM: &[&str] = &["πμ", "μμ"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %d %b %Y %r %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %r %Z";
        /// `"%a %d %b %Y %r %Z"`
        pub const DATE_FMT: &str = "%a %d %b %Y %r %Z";
        /// `&["Κυριακή", "Δευτέρα", "Τρίτη", "Τετάρτη", "Πέμπτη", "Παρασκευή", "Σάββατο"]`
        pub const DAY: &[&str] = &["Κυριακή", "Δευτέρα", "Τρίτη", "Τετάρτη", "Πέμπτη", "Παρασκευή", "Σάββατο"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Ιανουαρίου", "Φεβρουαρίου", "Μαρτίου", "Απριλίου", "Μαΐου", "Ιουνίου", "Ιουλίου", "Αυγούστου", "Σεπτεμβρίου", "Οκτωβρίου", "Νοεμβρίου", "Δεκεμβρίου"]`
        pub const MON: &[&str] = &["Ιανουαρίου", "Φεβρουαρίου", "Μαρτίου", "Απριλίου", "Μαΐου", "Ιουνίου", "Ιουλίου", "Αυγούστου", "Σεπτεμβρίου", "Οκτωβρίου", "Νοεμβρίου", "Δεκεμβρίου"];
        /// `"%r"`
        pub const T_FMT: &str = "%r";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod el_GR {
    pub mod LC_ADDRESS {
        /// `"GR"`
        pub const COUNTRY_ABTWO: &str = "GR";
        /// `"GRC"`
        pub const COUNTRY_AB3: &str = "GRC";
        /// `"GR"`
        pub const COUNTRY_CAR: &str = "GR";
        /// `"Ελλάδα"`
        pub const COUNTRY_NAME: &str = "Ελλάδα";
        /// `300`
        pub const COUNTRY_NUM: i64 = 300;
        /// `"el"`
        pub const LANG_AB: &str = "el";
        /// `"gre"`
        pub const LANG_LIB: &str = "gre";
        /// `"Ελληνικά"`
        pub const LANG_NAME: &str = "Ελληνικά";
        /// `"ell"`
        pub const LANG_TERM: &str = "ell";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jorgens Alle 8, DK-1615 Kobenhavn V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jorgens Alle 8, DK-1615 Kobenhavn V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Greek"`
        pub const LANGUAGE: &str = "Greek";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Greece"`
        pub const TERRITORY: &str = "Greece";
        /// `"Greek locale for Greece"`
        pub const TITLE: &str = "Greek locale for Greece";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNοΟόΌ]"`
        pub const NOEXPR: &str = "^[-0nNοΟόΌ]";
        /// `"όχι"`
        pub const NOSTR: &str = "όχι";
        /// `"^[+1yYνΝ]"`
        pub const YESEXPR: &str = "^[+1yYνΝ]";
        /// `"ναι"`
        pub const YESSTR: &str = "ναι";
    }
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[0, 0]`
        pub const GROUPING: &[i64] = &[0, 0];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"30"`
        pub const INT_PREFIX: &str = "30";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Ιαν", "Φεβ", "Μάρ", "Απρ", "Μάι", "Ιούν", "Ιούλ", "Αύγ", "Σεπ", "Οκτ", "Νοέ", "Δεκ"]`
        pub const AB_ALT_MON: &[&str] = &["Ιαν", "Φεβ", "Μάρ", "Απρ", "Μάι", "Ιούν", "Ιούλ", "Αύγ", "Σεπ", "Οκτ", "Νοέ", "Δεκ"];
        /// `&["Κυρ", "Δευ", "Τρι", "Τετ", "Πεμ", "Παρ", "Σαβ"]`
        pub const ABDAY: &[&str] = &["Κυρ", "Δευ", "Τρι", "Τετ", "Πεμ", "Παρ", "Σαβ"];
        /// `&["Ιαν", "Φεβ", "Μαρ", "Απρ", "Μαΐ", "Ιουν", "Ιουλ", "Αυγ", "Σεπ", "Οκτ", "Νοε", "Δεκ"]`
        pub const ABMON: &[&str] = &["Ιαν", "Φεβ", "Μαρ", "Απρ", "Μαΐ", "Ιουν", "Ιουλ", "Αυγ", "Σεπ", "Οκτ", "Νοε", "Δεκ"];
        /// `&["Ιανουάριος", "Φεβρουάριος", "Μάρτιος", "Απρίλιος", "Μάιος", "Ιούνιος", "Ιούλιος", "Αύγουστος", "Σεπτέμβριος", "Οκτώβριος", "Νοέμβριος", "Δεκέμβριος"]`
        pub const ALT_MON: &[&str] = &["Ιανουάριος", "Φεβρουάριος", "Μάρτιος", "Απρίλιος", "Μάιος", "Ιούνιος", "Ιούλιος", "Αύγουστος", "Σεπτέμβριος", "Οκτώβριος", "Νοέμβριος", "Δεκέμβριος"];
        /// `&["πμ", "μμ"]`
        pub const AM_PM: &[&str] = &["πμ", "μμ"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %d %b %Y %r %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %r %Z";
        /// `"%a %d %b %Y %r %Z"`
        pub const DATE_FMT: &str = "%a %d %b %Y %r %Z";
        /// `&["Κυριακή", "Δευτέρα", "Τρίτη", "Τετάρτη", "Πέμπτη", "Παρασκευή", "Σάββατο"]`
        pub const DAY: &[&str] = &["Κυριακή", "Δευτέρα", "Τρίτη", "Τετάρτη", "Πέμπτη", "Παρασκευή", "Σάββατο"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Ιανουαρίου", "Φεβρουαρίου", "Μαρτίου", "Απριλίου", "Μαΐου", "Ιουνίου", "Ιουλίου", "Αυγούστου", "Σεπτεμβρίου", "Οκτωβρίου", "Νοεμβρίου", "Δεκεμβρίου"]`
        pub const MON: &[&str] = &["Ιανουαρίου", "Φεβρουαρίου", "Μαρτίου", "Απριλίου", "Μαΐου", "Ιουνίου", "Ιουλίου", "Αυγούστου", "Σεπτεμβρίου", "Οκτωβρίου", "Νοεμβρίου", "Δεκεμβρίου"];
        /// `"%r"`
        pub const T_FMT: &str = "%r";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod el_GR_euro {
    pub use super::el_GR::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-24"`
        pub const DATE: &str = "2000-06-24";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Greek"`
        pub const LANGUAGE: &str = "Greek";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Greece"`
        pub const TERRITORY: &str = "Greece";
        /// `"Greek locale for Greece with Euro"`
        pub const TITLE: &str = "Greek locale for Greece with Euro";
    }
    pub use super::el_GR::LC_MESSAGES;
    pub use super::el_GR::LC_MONETARY;
    pub use super::el_GR::LC_NUMERIC;
    pub use super::el_GR::LC_TELEPHONE;
    pub use super::el_GR::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod en_AG {
    pub mod LC_ADDRESS {
        /// `"AG"`
        pub const COUNTRY_ABTWO: &str = "AG";
        /// `"ATG"`
        pub const COUNTRY_AB3: &str = "ATG";
        /// `"AG"`
        pub const COUNTRY_CAR: &str = "AG";
        /// `"Antigua & Barbuda"`
        pub const COUNTRY_NAME: &str = "Antigua & Barbuda";
        /// `28`
        pub const COUNTRY_NUM: i64 = 28;
        /// `"en"`
        pub const LANG_AB: &str = "en";
        /// `"eng"`
        pub const LANG_LIB: &str = "eng";
        /// `"English"`
        pub const LANG_NAME: &str = "English";
        /// `"eng"`
        pub const LANG_TERM: &str = "eng";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2008-09-16"`
        pub const DATE: &str = "2008-09-16";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"English"`
        pub const LANGUAGE: &str = "English";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Antigua & Barbuda"`
        pub const TERRITORY: &str = "Antigua & Barbuda";
        /// `"English language locale for Antigua and Barbuda"`
        pub const TITLE: &str = "English language locale for Antigua and Barbuda";
    }
    pub use super::en_GB::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"$"`
        pub const CURRENCY_SYMBOL: &str = "$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"XCD "`
        pub const INT_CURR_SYMBOL: &str = "XCD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::en_GB::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"1"`
        pub const INT_PREFIX: &str = "1";
        /// `"011"`
        pub const INT_SELECT: &str = "011";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"]`
        pub const ABDAY: &[&str] = &["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
        /// `&["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
        /// `&["am", "pm"]`
        pub const AM_PM: &[&str] = &["am", "pm"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `"%a %e %b %H:%M:%S %Z %Y"`
        pub const DATE_FMT: &str = "%a %e %b %H:%M:%S %Z %Y";
        /// `&["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"]`
        pub const DAY: &[&str] = &["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];
        /// `&["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]`
        pub const MON: &[&str] = &["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%l:%M:%S %P %Z"`
        pub const T_FMT_AMPM: &str = "%l:%M:%S %P %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod en_AU {
    pub mod LC_ADDRESS {
        /// `"AU"`
        pub const COUNTRY_ABTWO: &str = "AU";
        /// `"AUS"`
        pub const COUNTRY_AB3: &str = "AUS";
        /// `"AUS"`
        pub const COUNTRY_CAR: &str = "AUS";
        /// `"Australia"`
        pub const COUNTRY_NAME: &str = "Australia";
        /// `36`
        pub const COUNTRY_NUM: i64 = 36;
        /// `"en"`
        pub const LANG_AB: &str = "en";
        /// `"eng"`
        pub const LANG_LIB: &str = "eng";
        /// `"English"`
        pub const LANG_NAME: &str = "English";
        /// `"eng"`
        pub const LANG_TERM: &str = "eng";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Australian English"`
        pub const LANGUAGE: &str = "Australian English";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Australia"`
        pub const TERRITORY: &str = "Australia";
        /// `"English locale for Australia"`
        pub const TITLE: &str = "English locale for Australia";
    }
    pub use super::en_US::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"$"`
        pub const CURRENCY_SYMBOL: &str = "$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"AUD "`
        pub const INT_CURR_SYMBOL: &str = "AUD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"61"`
        pub const INT_PREFIX: &str = "61";
        /// `"0011"`
        pub const INT_SELECT: &str = "0011";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"]`
        pub const ABDAY: &[&str] = &["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
        /// `&["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"]`
        pub const DAY: &[&str] = &["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];
        /// `&["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]`
        pub const MON: &[&str] = &["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod en_BW {
    pub mod LC_ADDRESS {
        /// `"BW"`
        pub const COUNTRY_ABTWO: &str = "BW";
        /// `"BWA"`
        pub const COUNTRY_AB3: &str = "BWA";
        /// `"BW"`
        pub const COUNTRY_CAR: &str = "BW";
        /// `"Botswana"`
        pub const COUNTRY_NAME: &str = "Botswana";
        /// `72`
        pub const COUNTRY_NUM: i64 = 72;
        /// `"en"`
        pub const LANG_AB: &str = "en";
        /// `"eng"`
        pub const LANG_LIB: &str = "eng";
        /// `"English"`
        pub const LANG_NAME: &str = "English";
        /// `"eng"`
        pub const LANG_TERM: &str = "eng";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"English"`
        pub const LANGUAGE: &str = "English";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Botswana"`
        pub const TERRITORY: &str = "Botswana";
        /// `"English locale for Botswana"`
        pub const TITLE: &str = "English locale for Botswana";
    }
    pub use super::en_ZA::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"P"`
        pub const CURRENCY_SYMBOL: &str = "P";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"BWP "`
        pub const INT_CURR_SYMBOL: &str = "BWP ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::en_ZA::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"267"`
        pub const INT_PREFIX: &str = "267";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub use super::en_ZA::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod en_CA {
    pub mod LC_ADDRESS {
        /// `"CA"`
        pub const COUNTRY_ABTWO: &str = "CA";
        /// `"CAN"`
        pub const COUNTRY_AB3: &str = "CAN";
        /// `"CDN"`
        pub const COUNTRY_CAR: &str = "CDN";
        /// `"Canada"`
        pub const COUNTRY_NAME: &str = "Canada";
        /// `124`
        pub const COUNTRY_NUM: i64 = 124;
        /// `"en"`
        pub const LANG_AB: &str = "en";
        /// `"eng"`
        pub const LANG_LIB: &str = "eng";
        /// `"English"`
        pub const LANG_NAME: &str = "English";
        /// `"eng"`
        pub const LANG_TERM: &str = "eng";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Canadian English"`
        pub const LANGUAGE: &str = "Canadian English";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Canada"`
        pub const TERRITORY: &str = "Canada";
        /// `"English locale for Canada"`
        pub const TITLE: &str = "English locale for Canada";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"no"`
        pub const NOSTR: &str = "no";
        /// `"^[+1yYoO]"`
        pub const YESEXPR: &str = "^[+1yYoO]";
        /// `"yes"`
        pub const YESSTR: &str = "yes";
    }
    pub mod LC_MONETARY {
        /// `"$"`
        pub const CURRENCY_SYMBOL: &str = "$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"CAD "`
        pub const INT_CURR_SYMBOL: &str = "CAD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"1"`
        pub const INT_PREFIX: &str = "1";
        /// `"011"`
        pub const INT_SELECT: &str = "011";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"]`
        pub const ABDAY: &[&str] = &["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
        /// `&["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%Y-%m-%d"`
        pub const D_FMT: &str = "%Y-%m-%d";
        /// `"%a %d %b %Y %r %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %r %Z";
        /// `&["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"]`
        pub const DAY: &[&str] = &["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];
        /// `&["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]`
        pub const MON: &[&str] = &["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
        /// `"%r"`
        pub const T_FMT: &str = "%r";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod en_DK {
    pub mod LC_ADDRESS {
        /// `"DK"`
        pub const COUNTRY_ABTWO: &str = "DK";
        /// `"DNK"`
        pub const COUNTRY_AB3: &str = "DNK";
        /// `"DK"`
        pub const COUNTRY_CAR: &str = "DK";
        /// `"Denmark"`
        pub const COUNTRY_NAME: &str = "Denmark";
        /// `208`
        pub const COUNTRY_NUM: i64 = 208;
        /// `"en"`
        pub const LANG_AB: &str = "en";
        /// `"eng"`
        pub const LANG_LIB: &str = "eng";
        /// `"English"`
        pub const LANG_NAME: &str = "English";
        /// `"eng"`
        pub const LANG_TERM: &str = "eng";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Kollegievej 6, DK-2920 Charlottenlund, Danmark"`
        pub const ADDRESS: &str = "Kollegievej 6, DK-2920 Charlottenlund, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"English"`
        pub const LANGUAGE: &str = "English";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Danish Standards Association"`
        pub const SOURCE: &str = "Danish Standards Association";
        /// `""`
        pub const TEL: &str = "";
        /// `"Denmark"`
        pub const TERRITORY: &str = "Denmark";
        /// `"English locale for Denmark"`
        pub const TITLE: &str = "English locale for Denmark";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"no"`
        pub const NOSTR: &str = "no";
        /// `"^[+1yYjJsSoO]"`
        pub const YESEXPR: &str = "^[+1yYjJsSoO]";
        /// `"yes"`
        pub const YESSTR: &str = "yes";
    }
    pub mod LC_MONETARY {
        /// `"kr."`
        pub const CURRENCY_SYMBOL: &str = "kr.";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"DKK "`
        pub const INT_CURR_SYMBOL: &str = "DKK ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub use super::da_DK::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"]`
        pub const ABDAY: &[&str] = &["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
        /// `&["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%Y-%m-%d"`
        pub const D_FMT: &str = "%Y-%m-%d";
        /// `"%Y-%m-%dT%T %Z"`
        pub const D_T_FMT: &str = "%Y-%m-%dT%T %Z";
        /// `&["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"]`
        pub const DAY: &[&str] = &["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]`
        pub const MON: &[&str] = &["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod en_GB {
    pub mod LC_ADDRESS {
        /// `"GB"`
        pub const COUNTRY_ABTWO: &str = "GB";
        /// `"GBR"`
        pub const COUNTRY_AB3: &str = "GBR";
        /// `"GB"`
        pub const COUNTRY_CAR: &str = "GB";
        /// `"United Kingdom"`
        pub const COUNTRY_NAME: &str = "United Kingdom";
        /// `826`
        pub const COUNTRY_NUM: i64 = 826;
        /// `"en"`
        pub const LANG_AB: &str = "en";
        /// `"eng"`
        pub const LANG_LIB: &str = "eng";
        /// `"English"`
        pub const LANG_NAME: &str = "English";
        /// `"eng"`
        pub const LANG_TERM: &str = "eng";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Keld Simonsen"`
        pub const CONTACT: &str = "Keld Simonsen";
        /// `"2000-06-28"`
        pub const DATE: &str = "2000-06-28";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"British English"`
        pub const LANGUAGE: &str = "British English";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"United Kingdom"`
        pub const TERRITORY: &str = "United Kingdom";
        /// `"English locale for Britain"`
        pub const TITLE: &str = "English locale for Britain";
    }
    pub use super::en_US::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"£"`
        pub const CURRENCY_SYMBOL: &str = "£";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"GBP "`
        pub const INT_CURR_SYMBOL: &str = "GBP ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"44"`
        pub const INT_PREFIX: &str = "44";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%A %l"`
        pub const TEL_DOM_FMT: &str = "%A %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"]`
        pub const ABDAY: &[&str] = &["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
        /// `&["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
        /// `&["am", "pm"]`
        pub const AM_PM: &[&str] = &["am", "pm"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `"%a %e %b %H:%M:%S %Z %Y"`
        pub const DATE_FMT: &str = "%a %e %b %H:%M:%S %Z %Y";
        /// `&["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"]`
        pub const DAY: &[&str] = &["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]`
        pub const MON: &[&str] = &["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%l:%M:%S %P %Z"`
        pub const T_FMT_AMPM: &str = "%l:%M:%S %P %Z";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod en_HK {
    pub mod LC_ADDRESS {
        /// `"HK"`
        pub const COUNTRY_ABTWO: &str = "HK";
        /// `"HKG"`
        pub const COUNTRY_AB3: &str = "HKG";
        /// `"HK"`
        pub const COUNTRY_CAR: &str = "HK";
        /// `"Hong Kong SAR China"`
        pub const COUNTRY_NAME: &str = "Hong Kong SAR China";
        /// `344`
        pub const COUNTRY_NUM: i64 = 344;
        /// `"en"`
        pub const LANG_AB: &str = "en";
        /// `"eng"`
        pub const LANG_LIB: &str = "eng";
        /// `"English"`
        pub const LANG_NAME: &str = "English";
        /// `"eng"`
        pub const LANG_TERM: &str = "eng";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000,October,27 (XML source:2000,July,20)"`
        pub const DATE: &str = "2000,October,27 (XML source:2000,July,20)";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"English"`
        pub const LANGUAGE: &str = "English";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"Hong Kong SAR China"`
        pub const TERRITORY: &str = "Hong Kong SAR China";
        /// `"English locale for Hong Kong"`
        pub const TITLE: &str = "English locale for Hong Kong";
    }
    pub use super::en_US::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"HK$"`
        pub const CURRENCY_SYMBOL: &str = "HK$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"HKD "`
        pub const INT_CURR_SYMBOL: &str = "HKD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `0`
        pub const N_SIGN_POSN: i64 = 0;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"852"`
        pub const INT_PREFIX: &str = "852";
        /// `"001"`
        pub const INT_SELECT: &str = "001";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"]`
        pub const ABDAY: &[&str] = &["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
        /// `&["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%A, %B %d, %Y"`
        pub const D_FMT: &str = "%A, %B %d, %Y";
        /// `"%A, %B %d, %Y %p%I:%M:%S %Z"`
        pub const D_T_FMT: &str = "%A, %B %d, %Y %p%I:%M:%S %Z";
        /// `&["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"]`
        pub const DAY: &[&str] = &["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];
        /// `&["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]`
        pub const MON: &[&str] = &["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod en_IE {
    pub mod LC_ADDRESS {
        /// `"IE"`
        pub const COUNTRY_ABTWO: &str = "IE";
        /// `"IRL"`
        pub const COUNTRY_AB3: &str = "IRL";
        /// `"IRL"`
        pub const COUNTRY_CAR: &str = "IRL";
        /// `"Ireland"`
        pub const COUNTRY_NAME: &str = "Ireland";
        /// `372`
        pub const COUNTRY_NUM: i64 = 372;
        /// `"en"`
        pub const LANG_AB: &str = "en";
        /// `"eng"`
        pub const LANG_LIB: &str = "eng";
        /// `"English"`
        pub const LANG_NAME: &str = "English";
        /// `"eng"`
        pub const LANG_TERM: &str = "eng";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"English"`
        pub const LANGUAGE: &str = "English";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Ireland"`
        pub const TERRITORY: &str = "Ireland";
        /// `"English locale for Ireland"`
        pub const TITLE: &str = "English locale for Ireland";
    }
    pub use super::en_GB::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::en_GB::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"353"`
        pub const INT_PREFIX: &str = "353";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"]`
        pub const ABDAY: &[&str] = &["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
        /// `&["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"]`
        pub const DAY: &[&str] = &["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]`
        pub const MON: &[&str] = &["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod en_IE_euro {
    pub use super::en_IE::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-08-20"`
        pub const DATE: &str = "2000-08-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"English"`
        pub const LANGUAGE: &str = "English";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Ireland"`
        pub const TERRITORY: &str = "Ireland";
        /// `"English locale for Ireland with Euro"`
        pub const TITLE: &str = "English locale for Ireland with Euro";
    }
    pub use super::en_IE::LC_MESSAGES;
    pub use super::en_IE::LC_MONETARY;
    pub use super::en_GB::LC_NUMERIC;
    pub use super::en_IE::LC_TELEPHONE;
    pub use super::en_IE::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod en_IL {
    pub mod LC_ADDRESS {
        /// `"IL"`
        pub const COUNTRY_ABTWO: &str = "IL";
        /// `"ISR"`
        pub const COUNTRY_AB3: &str = "ISR";
        /// `"IL"`
        pub const COUNTRY_CAR: &str = "IL";
        /// `"Israel"`
        pub const COUNTRY_NAME: &str = "Israel";
        /// `376`
        pub const COUNTRY_NUM: i64 = 376;
        /// `"ISR"`
        pub const COUNTRY_POST: &str = "ISR";
        /// `"en"`
        pub const LANG_AB: &str = "en";
        /// `"eng"`
        pub const LANG_LIB: &str = "eng";
        /// `"English"`
        pub const LANG_NAME: &str = "English";
        /// `"eng"`
        pub const LANG_TERM: &str = "eng";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2016-04-19"`
        pub const DATE: &str = "2016-04-19";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"English"`
        pub const LANGUAGE: &str = "English";
        /// `"1.1"`
        pub const REVISION: &str = "1.1";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Israel"`
        pub const TERRITORY: &str = "Israel";
        /// `"English locale for Israel"`
        pub const TITLE: &str = "English locale for Israel";
    }
    pub use super::en_US::LC_MESSAGES;
    pub use super::he_IL::LC_MONETARY;
    pub use super::he_IL::LC_NUMERIC;
    pub use super::he_IL::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"]`
        pub const ABDAY: &[&str] = &["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
        /// `&["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"]`
        pub const DAY: &[&str] = &["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];
        /// `1`
        pub const FIRST_WORKDAY: i64 = 1;
        /// `&["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]`
        pub const MON: &[&str] = &["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod en_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"India"`
        pub const COUNTRY_NAME: &str = "India";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"en"`
        pub const LANG_AB: &str = "en";
        /// `"eng"`
        pub const LANG_LIB: &str = "eng";
        /// `"English"`
        pub const LANG_NAME: &str = "English";
        /// `"eng"`
        pub const LANG_TERM: &str = "eng";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000,October,27 (XML source:2000,July,20)"`
        pub const DATE: &str = "2000,October,27 (XML source:2000,July,20)";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"English"`
        pub const LANGUAGE: &str = "English";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"English language locale for India"`
        pub const TITLE: &str = "English language locale for India";
    }
    pub use super::en_US::LC_MESSAGES;
    pub use super::hi_IN::LC_MONETARY;
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 2]`
        pub const GROUPING: &[i64] = &[3, 2];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"]`
        pub const ABDAY: &[&str] = &["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
        /// `&["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%A %d %B %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %B %Y %I:%M:%S %p %Z";
        /// `&["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"]`
        pub const DAY: &[&str] = &["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];
        /// `&["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]`
        pub const MON: &[&str] = &["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod en_NG {
    pub mod LC_ADDRESS {
        /// `"NG"`
        pub const COUNTRY_ABTWO: &str = "NG";
        /// `"NGA"`
        pub const COUNTRY_AB3: &str = "NGA";
        /// `"WAN"`
        pub const COUNTRY_CAR: &str = "WAN";
        /// `978`
        pub const COUNTRY_ISBN: i64 = 978;
        /// `"Nigeria"`
        pub const COUNTRY_NAME: &str = "Nigeria";
        /// `566`
        pub const COUNTRY_NUM: i64 = 566;
        /// `"en"`
        pub const LANG_AB: &str = "en";
        /// `"eng"`
        pub const LANG_LIB: &str = "eng";
        /// `"English"`
        pub const LANG_NAME: &str = "English";
        /// `"eng"`
        pub const LANG_TERM: &str = "eng";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2006-02-01"`
        pub const DATE: &str = "2006-02-01";
        /// `""`
        pub const EMAIL: &str = "";
        /// `""`
        pub const FAX: &str = "";
        /// `"English"`
        pub const LANGUAGE: &str = "English";
        /// `"0.2"`
        pub const REVISION: &str = "0.2";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Nigeria"`
        pub const TERRITORY: &str = "Nigeria";
        /// `"English locale for Nigeria"`
        pub const TITLE: &str = "English locale for Nigeria";
    }
    pub use super::en_US::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"₦"`
        pub const CURRENCY_SYMBOL: &str = "₦";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"NGN "`
        pub const INT_CURR_SYMBOL: &str = "NGN ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"234"`
        pub const INT_PREFIX: &str = "234";
        /// `"009"`
        pub const INT_SELECT: &str = "009";
        /// `"(%A) %l"`
        pub const TEL_DOM_FMT: &str = "(%A) %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"]`
        pub const ABDAY: &[&str] = &["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
        /// `&["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"]`
        pub const DAY: &[&str] = &["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]`
        pub const MON: &[&str] = &["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod en_NZ {
    pub mod LC_ADDRESS {
        /// `"NZ"`
        pub const COUNTRY_ABTWO: &str = "NZ";
        /// `"NZL"`
        pub const COUNTRY_AB3: &str = "NZL";
        /// `"NZ"`
        pub const COUNTRY_CAR: &str = "NZ";
        /// `"New Zealand"`
        pub const COUNTRY_NAME: &str = "New Zealand";
        /// `554`
        pub const COUNTRY_NUM: i64 = 554;
        /// `"en"`
        pub const LANG_AB: &str = "en";
        /// `"eng"`
        pub const LANG_LIB: &str = "eng";
        /// `"English"`
        pub const LANG_NAME: &str = "English";
        /// `"eng"`
        pub const LANG_TERM: &str = "eng";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"English"`
        pub const LANGUAGE: &str = "English";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"New Zealand"`
        pub const TERRITORY: &str = "New Zealand";
        /// `"English locale for New Zealand"`
        pub const TITLE: &str = "English locale for New Zealand";
    }
    pub use super::en_US::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"$"`
        pub const CURRENCY_SYMBOL: &str = "$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"NZD "`
        pub const INT_CURR_SYMBOL: &str = "NZD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"64"`
        pub const INT_PREFIX: &str = "64";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"]`
        pub const ABDAY: &[&str] = &["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
        /// `&["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"]`
        pub const DAY: &[&str] = &["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];
        /// `&["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]`
        pub const MON: &[&str] = &["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod en_PH {
    pub mod LC_ADDRESS {
        /// `"PH"`
        pub const COUNTRY_ABTWO: &str = "PH";
        /// `"PHL"`
        pub const COUNTRY_AB3: &str = "PHL";
        /// `"RP"`
        pub const COUNTRY_CAR: &str = "RP";
        /// `"Philippines"`
        pub const COUNTRY_NAME: &str = "Philippines";
        /// `608`
        pub const COUNTRY_NUM: i64 = 608;
        /// `"en"`
        pub const LANG_AB: &str = "en";
        /// `"eng"`
        pub const LANG_LIB: &str = "eng";
        /// `"English"`
        pub const LANG_NAME: &str = "English";
        /// `"eng"`
        pub const LANG_TERM: &str = "eng";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000,October,27 (XML source:2000,July,20)"`
        pub const DATE: &str = "2000,October,27 (XML source:2000,July,20)";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"English"`
        pub const LANGUAGE: &str = "English";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"Philippines"`
        pub const TERRITORY: &str = "Philippines";
        /// `"English language locale for Philippines"`
        pub const TITLE: &str = "English language locale for Philippines";
    }
    pub use super::en_US::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"₱"`
        pub const CURRENCY_SYMBOL: &str = "₱";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"PHP "`
        pub const INT_CURR_SYMBOL: &str = "PHP ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `0`
        pub const N_SIGN_POSN: i64 = 0;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"63"`
        pub const INT_PREFIX: &str = "63";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"]`
        pub const ABDAY: &[&str] = &["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
        /// `&["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%A, %d %B, %Y"`
        pub const D_FMT: &str = "%A, %d %B, %Y";
        /// `"%A, %d %B, %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A, %d %B, %Y %I:%M:%S %p %Z";
        /// `&["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"]`
        pub const DAY: &[&str] = &["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];
        /// `&["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]`
        pub const MON: &[&str] = &["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod en_SC {
    pub mod LC_ADDRESS {
        /// `"SC"`
        pub const COUNTRY_ABTWO: &str = "SC";
        /// `"SYC"`
        pub const COUNTRY_AB3: &str = "SYC";
        /// `"SY"`
        pub const COUNTRY_CAR: &str = "SY";
        /// `"978-99931"`
        pub const COUNTRY_ISBN: &str = "978-99931";
        /// `"Seychelles"`
        pub const COUNTRY_NAME: &str = "Seychelles";
        /// `690`
        pub const COUNTRY_NUM: i64 = 690;
        /// `"en"`
        pub const LANG_AB: &str = "en";
        /// `"eng"`
        pub const LANG_LIB: &str = "eng";
        /// `"English"`
        pub const LANG_NAME: &str = "English";
        /// `"eng"`
        pub const LANG_TERM: &str = "eng";
        /// `"%f%N%h%s%N%T"`
        pub const POSTAL_FMT: &str = "%f%N%h%s%N%T";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2017-07-24"`
        pub const DATE: &str = "2017-07-24";
        /// `"akhilesh.k@samsung.com"`
        pub const EMAIL: &str = "akhilesh.k@samsung.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"English"`
        pub const LANGUAGE: &str = "English";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Samsung Electronics Co., Ltd."`
        pub const SOURCE: &str = "Samsung Electronics Co., Ltd.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Seychelles"`
        pub const TERRITORY: &str = "Seychelles";
        /// `"English locale for the Seychelles"`
        pub const TITLE: &str = "English locale for the Seychelles";
    }
    pub use super::en_GB::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"SR"`
        pub const CURRENCY_SYMBOL: &str = "SR";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"SCR "`
        pub const INT_CURR_SYMBOL: &str = "SCR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `1`
        pub const INT_N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const INT_P_SEP_BY_SPACE: i64 = 1;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::en_GB::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"248"`
        pub const INT_PREFIX: &str = "248";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %l"`
        pub const TEL_INT_FMT: &str = "+%c %l";
    }
    pub use super::en_GB::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod en_SG {
    pub mod LC_ADDRESS {
        /// `"SG"`
        pub const COUNTRY_ABTWO: &str = "SG";
        /// `"SGP"`
        pub const COUNTRY_AB3: &str = "SGP";
        /// `"SGP"`
        pub const COUNTRY_CAR: &str = "SGP";
        /// `"Singapore"`
        pub const COUNTRY_NAME: &str = "Singapore";
        /// `702`
        pub const COUNTRY_NUM: i64 = 702;
        /// `"en"`
        pub const LANG_AB: &str = "en";
        /// `"eng"`
        pub const LANG_LIB: &str = "eng";
        /// `"English"`
        pub const LANG_NAME: &str = "English";
        /// `"eng"`
        pub const LANG_TERM: &str = "eng";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000,October,27 (XML source:2000,July,20)"`
        pub const DATE: &str = "2000,October,27 (XML source:2000,July,20)";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"English"`
        pub const LANGUAGE: &str = "English";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"Singapore"`
        pub const TERRITORY: &str = "Singapore";
        /// `"English language locale for Singapore"`
        pub const TITLE: &str = "English language locale for Singapore";
    }
    pub use super::en_US::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"$"`
        pub const CURRENCY_SYMBOL: &str = "$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"SGD "`
        pub const INT_CURR_SYMBOL: &str = "SGD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `0`
        pub const N_SIGN_POSN: i64 = 0;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"65"`
        pub const INT_PREFIX: &str = "65";
        /// `"001"`
        pub const INT_SELECT: &str = "001";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"]`
        pub const ABDAY: &[&str] = &["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
        /// `&["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %d %b %Y %r"`
        pub const D_T_FMT: &str = "%a %d %b %Y %r";
        /// `&["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"]`
        pub const DAY: &[&str] = &["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];
        /// `&["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]`
        pub const MON: &[&str] = &["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod en_US {
    pub mod LC_ADDRESS {
        /// `"US"`
        pub const COUNTRY_ABTWO: &str = "US";
        /// `"USA"`
        pub const COUNTRY_AB3: &str = "USA";
        /// `"USA"`
        pub const COUNTRY_CAR: &str = "USA";
        /// `0`
        pub const COUNTRY_ISBN: i64 = 0;
        /// `"United States"`
        pub const COUNTRY_NAME: &str = "United States";
        /// `840`
        pub const COUNTRY_NUM: i64 = 840;
        /// `"USA"`
        pub const COUNTRY_POST: &str = "USA";
        /// `"en"`
        pub const LANG_AB: &str = "en";
        /// `"eng"`
        pub const LANG_LIB: &str = "eng";
        /// `"English"`
        pub const LANG_NAME: &str = "English";
        /// `"eng"`
        pub const LANG_TERM: &str = "eng";
        /// `"%a%N%f%N%d%N%b%N%h %s %e %r%N%T, %S %z%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%f%N%d%N%b%N%h %s %e %r%N%T, %S %z%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-24"`
        pub const DATE: &str = "2000-06-24";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"American English"`
        pub const LANGUAGE: &str = "American English";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"United States"`
        pub const TERRITORY: &str = "United States";
        /// `"English locale for the USA"`
        pub const TITLE: &str = "English locale for the USA";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"no"`
        pub const NOSTR: &str = "no";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
        /// `"yes"`
        pub const YESSTR: &str = "yes";
    }
    pub mod LC_MONETARY {
        /// `"$"`
        pub const CURRENCY_SYMBOL: &str = "$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"USD "`
        pub const INT_CURR_SYMBOL: &str = "USD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `1`
        pub const INT_N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const INT_P_SEP_BY_SPACE: i64 = 1;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"1"`
        pub const INT_PREFIX: &str = "1";
        /// `"11"`
        pub const INT_SELECT: &str = "11";
        /// `"(%a) %l"`
        pub const TEL_DOM_FMT: &str = "(%a) %l";
        /// `"+%c (%a) %l"`
        pub const TEL_INT_FMT: &str = "+%c (%a) %l";
    }
    pub mod LC_TIME {
        /// `&["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"]`
        pub const ABDAY: &[&str] = &["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
        /// `&["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%m/%d/%Y"`
        pub const D_FMT: &str = "%m/%d/%Y";
        /// `"%a %d %b %Y %r %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %r %Z";
        /// `"%a %d %b %Y %r %Z"`
        pub const DATE_FMT: &str = "%a %d %b %Y %r %Z";
        /// `&["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"]`
        pub const DAY: &[&str] = &["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];
        /// `&["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]`
        pub const MON: &[&str] = &["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
        /// `"%r"`
        pub const T_FMT: &str = "%r";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod en_ZA {
    pub mod LC_ADDRESS {
        /// `"ZA"`
        pub const COUNTRY_ABTWO: &str = "ZA";
        /// `"ZAF"`
        pub const COUNTRY_AB3: &str = "ZAF";
        /// `"ZA"`
        pub const COUNTRY_CAR: &str = "ZA";
        /// `0`
        pub const COUNTRY_ISBN: i64 = 0;
        /// `"South Africa"`
        pub const COUNTRY_NAME: &str = "South Africa";
        /// `710`
        pub const COUNTRY_NUM: i64 = 710;
        /// `"ZA"`
        pub const COUNTRY_POST: &str = "ZA";
        /// `"en"`
        pub const LANG_AB: &str = "en";
        /// `"eng"`
        pub const LANG_LIB: &str = "eng";
        /// `"English"`
        pub const LANG_NAME: &str = "English";
        /// `"eng"`
        pub const LANG_TERM: &str = "eng";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Translate.org.za"`
        pub const ABBREVIATION: &str = "Translate.org.za";
        /// `"Box 28364, Sunnyside, 0132, South Africa"`
        pub const ADDRESS: &str = "Box 28364, Sunnyside, 0132, South Africa";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"Dwayne Bailey"`
        pub const CONTACT: &str = "Dwayne Bailey";
        /// `"2007-04-19"`
        pub const DATE: &str = "2007-04-19";
        /// `"dwayne@translate.org.za"`
        pub const EMAIL: &str = "dwayne@translate.org.za";
        /// `""`
        pub const FAX: &str = "";
        /// `"English"`
        pub const LANGUAGE: &str = "English";
        /// `"1.3"`
        pub const REVISION: &str = "1.3";
        /// `"Zuza Software Foundation (Translate.org.za)"`
        pub const SOURCE: &str = "Zuza Software Foundation (Translate.org.za)";
        /// `""`
        pub const TEL: &str = "";
        /// `"South Africa"`
        pub const TERRITORY: &str = "South Africa";
        /// `"English locale for South Africa"`
        pub const TITLE: &str = "English locale for South Africa";
    }
    pub use super::en_US::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"R"`
        pub const CURRENCY_SYMBOL: &str = "R";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"ZAR "`
        pub const INT_CURR_SYMBOL: &str = "ZAR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"27"`
        pub const INT_PREFIX: &str = "27";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"(%A) %l"`
        pub const TEL_DOM_FMT: &str = "(%A) %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"]`
        pub const ABDAY: &[&str] = &["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
        /// `&["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"]`
        pub const DAY: &[&str] = &["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];
        /// `&["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]`
        pub const MON: &[&str] = &["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod en_ZM {
    pub mod LC_ADDRESS {
        /// `"ZM"`
        pub const COUNTRY_ABTWO: &str = "ZM";
        /// `"ZMB"`
        pub const COUNTRY_AB3: &str = "ZMB";
        /// `"Z"`
        pub const COUNTRY_CAR: &str = "Z";
        /// `"Zambia"`
        pub const COUNTRY_NAME: &str = "Zambia";
        /// `894`
        pub const COUNTRY_NUM: i64 = 894;
        /// `"ZM"`
        pub const COUNTRY_POST: &str = "ZM";
        /// `"en"`
        pub const LANG_AB: &str = "en";
        /// `"eng"`
        pub const LANG_LIB: &str = "eng";
        /// `"English"`
        pub const LANG_NAME: &str = "English";
        /// `"eng"`
        pub const LANG_TERM: &str = "eng";
        /// `"%a%N%f%N%e %h%N%b %s%N%z%N%T%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%f%N%e %h%N%b %s%N%z%N%T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"Martin Benjamin"`
        pub const CONTACT: &str = "Martin Benjamin";
        /// `"2011-04-18"`
        pub const DATE: &str = "2011-04-18";
        /// `"locales@africanlocalization.net"`
        pub const EMAIL: &str = "locales@africanlocalization.net";
        /// `"English"`
        pub const LANGUAGE: &str = "English";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"ANLoc"`
        pub const SOURCE: &str = "ANLoc";
        /// `"Zambia"`
        pub const TERRITORY: &str = "Zambia";
        /// `"English locale for Zambia"`
        pub const TITLE: &str = "English locale for Zambia";
    }
    pub use super::bem_ZM::LC_MESSAGES;
    pub use super::bem_ZM::LC_MONETARY;
    pub use super::en_GB::LC_NUMERIC;
    pub use super::bem_ZM::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"]`
        pub const ABDAY: &[&str] = &["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
        /// `&["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
        /// `&["am", "pm"]`
        pub const AM_PM: &[&str] = &["am", "pm"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `"%a %e %b %H:%M:%S %Z %Y"`
        pub const DATE_FMT: &str = "%a %e %b %H:%M:%S %Z %Y";
        /// `&["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"]`
        pub const DAY: &[&str] = &["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]`
        pub const MON: &[&str] = &["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%l:%M:%S %P %Z"`
        pub const T_FMT_AMPM: &str = "%l:%M:%S %P %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod en_ZW {
    pub mod LC_ADDRESS {
        /// `"ZW"`
        pub const COUNTRY_ABTWO: &str = "ZW";
        /// `"ZWE"`
        pub const COUNTRY_AB3: &str = "ZWE";
        /// `"ZW"`
        pub const COUNTRY_CAR: &str = "ZW";
        /// `"Zimbabwe"`
        pub const COUNTRY_NAME: &str = "Zimbabwe";
        /// `716`
        pub const COUNTRY_NUM: i64 = 716;
        /// `"en"`
        pub const LANG_AB: &str = "en";
        /// `"eng"`
        pub const LANG_LIB: &str = "eng";
        /// `"English"`
        pub const LANG_NAME: &str = "English";
        /// `"eng"`
        pub const LANG_TERM: &str = "eng";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"English"`
        pub const LANGUAGE: &str = "English";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Zimbabwe"`
        pub const TERRITORY: &str = "Zimbabwe";
        /// `"English locale for Zimbabwe"`
        pub const TITLE: &str = "English locale for Zimbabwe";
    }
    pub use super::en_ZA::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"$"`
        pub const CURRENCY_SYMBOL: &str = "$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"USD "`
        pub const INT_CURR_SYMBOL: &str = "USD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::en_ZA::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"263"`
        pub const INT_PREFIX: &str = "263";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub use super::en_ZA::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod eo {
    pub mod LC_ADDRESS {
        /// `"eo"`
        pub const LANG_AB: &str = "eo";
        /// `"esperanto"`
        pub const LANG_NAME: &str = "esperanto";
        /// `"epo"`
        pub const LANG_TERM: &str = "epo";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2016-06-10"`
        pub const DATE: &str = "2016-06-10";
        /// `"debian-esperanto@lists.debian.org"`
        pub const EMAIL: &str = "debian-esperanto@lists.debian.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Esperanto"`
        pub const LANGUAGE: &str = "Esperanto";
        /// `"draft"`
        pub const REVISION: &str = "draft";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `""`
        pub const TERRITORY: &str = "";
        /// `"Esperanto language locale"`
        pub const TITLE: &str = "Esperanto language locale";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"Ne"`
        pub const NOSTR: &str = "Ne";
        /// `"^[+1JjYy]"`
        pub const YESEXPR: &str = "^[+1JjYy]";
        /// `"Jes"`
        pub const YESSTR: &str = "Jes";
    }
    pub mod LC_MONETARY {
        /// `"¤"`
        pub const CURRENCY_SYMBOL: &str = "¤";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"XDR "`
        pub const INT_CURR_SYMBOL: &str = "XDR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[0, 0]`
        pub const GROUPING: &[i64] = &[0, 0];
        /// `""`
        pub const THOUSANDS_SEP: &str = "";
    }
    pub mod LC_TELEPHONE {
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a%t%l"`
        pub const TEL_INT_FMT: &str = "+%c %a%t%l";
    }
    pub mod LC_TIME {
        /// `&["dim", "lun", "mar", "mer", "ĵaŭ", "ven", "sab"]`
        pub const ABDAY: &[&str] = &["dim", "lun", "mar", "mer", "ĵaŭ", "ven", "sab"];
        /// `&["Jan", "Feb", "Mar", "Apr", "Maj", "Jun", "Jul", "Aŭg", "Sep", "Okt", "Nov", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "Maj", "Jun", "Jul", "Aŭg", "Sep", "Okt", "Nov", "Dec"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%Y-%m-%d"`
        pub const D_FMT: &str = "%Y-%m-%d";
        /// `"%a %d %b %Y %T %z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %z";
        /// `&["dimanĉo", "lundo", "mardo", "merkredo", "ĵaŭdo", "vendredo", "sabato"]`
        pub const DAY: &[&str] = &["dimanĉo", "lundo", "mardo", "merkredo", "ĵaŭdo", "vendredo", "sabato"];
        /// `&["Januaro", "Februaro", "Marto", "Aprilo", "Majo", "Junio", "Julio", "Aŭgusto", "Septembro", "Oktobro", "Novembro", "Decembro"]`
        pub const MON: &[&str] = &["Januaro", "Februaro", "Marto", "Aprilo", "Majo", "Junio", "Julio", "Aŭgusto", "Septembro", "Oktobro", "Novembro", "Decembro"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod es_AR {
    pub mod LC_ADDRESS {
        /// `"AR"`
        pub const COUNTRY_ABTWO: &str = "AR";
        /// `"ARG"`
        pub const COUNTRY_AB3: &str = "ARG";
        /// `"RA"`
        pub const COUNTRY_CAR: &str = "RA";
        /// `"Argentina"`
        pub const COUNTRY_NAME: &str = "Argentina";
        /// `32`
        pub const COUNTRY_NUM: i64 = 32;
        /// `"es"`
        pub const LANG_AB: &str = "es";
        /// `"spa"`
        pub const LANG_LIB: &str = "spa";
        /// `"español"`
        pub const LANG_NAME: &str = "español";
        /// `"spa"`
        pub const LANG_TERM: &str = "spa";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Spanish"`
        pub const LANGUAGE: &str = "Spanish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Argentina"`
        pub const TERRITORY: &str = "Argentina";
        /// `"Spanish locale for Argentina"`
        pub const TITLE: &str = "Spanish locale for Argentina";
    }
    pub use super::es_ES::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"$"`
        pub const CURRENCY_SYMBOL: &str = "$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"ARS "`
        pub const INT_CURR_SYMBOL: &str = "ARS ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"54"`
        pub const INT_PREFIX: &str = "54";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dom", "lun", "mar", "mié", "jue", "vie", "sáb"]`
        pub const ABDAY: &[&str] = &["dom", "lun", "mar", "mié", "jue", "vie", "sáb"];
        /// `&["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"]`
        pub const ABMON: &[&str] = &["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"]`
        pub const DAY: &[&str] = &["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"];
        /// `&["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"]`
        pub const MON: &[&str] = &["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod es_BO {
    pub mod LC_ADDRESS {
        /// `"BO"`
        pub const COUNTRY_ABTWO: &str = "BO";
        /// `"BOL"`
        pub const COUNTRY_AB3: &str = "BOL";
        /// `"BOL"`
        pub const COUNTRY_CAR: &str = "BOL";
        /// `"Bolivia"`
        pub const COUNTRY_NAME: &str = "Bolivia";
        /// `68`
        pub const COUNTRY_NUM: i64 = 68;
        /// `"es"`
        pub const LANG_AB: &str = "es";
        /// `"spa"`
        pub const LANG_LIB: &str = "spa";
        /// `"español"`
        pub const LANG_NAME: &str = "español";
        /// `"spa"`
        pub const LANG_TERM: &str = "spa";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Spanish"`
        pub const LANGUAGE: &str = "Spanish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Bolivia"`
        pub const TERRITORY: &str = "Bolivia";
        /// `"Spanish locale for Bolivia"`
        pub const TITLE: &str = "Spanish locale for Bolivia";
    }
    pub use super::es_ES::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"Bs"`
        pub const CURRENCY_SYMBOL: &str = "Bs";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"BOB "`
        pub const INT_CURR_SYMBOL: &str = "BOB ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::es_ES::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"591"`
        pub const INT_PREFIX: &str = "591";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dom", "lun", "mar", "mié", "jue", "vie", "sáb"]`
        pub const ABDAY: &[&str] = &["dom", "lun", "mar", "mié", "jue", "vie", "sáb"];
        /// `&["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"]`
        pub const ABMON: &[&str] = &["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"]`
        pub const DAY: &[&str] = &["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"]`
        pub const MON: &[&str] = &["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod es_CL {
    pub mod LC_ADDRESS {
        /// `"CL"`
        pub const COUNTRY_ABTWO: &str = "CL";
        /// `"CHL"`
        pub const COUNTRY_AB3: &str = "CHL";
        /// `"RCH"`
        pub const COUNTRY_CAR: &str = "RCH";
        /// `"Chile"`
        pub const COUNTRY_NAME: &str = "Chile";
        /// `152`
        pub const COUNTRY_NUM: i64 = 152;
        /// `"es"`
        pub const LANG_AB: &str = "es";
        /// `"spa"`
        pub const LANG_LIB: &str = "spa";
        /// `"español"`
        pub const LANG_NAME: &str = "español";
        /// `"spa"`
        pub const LANG_TERM: &str = "spa";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Spanish"`
        pub const LANGUAGE: &str = "Spanish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Chile"`
        pub const TERRITORY: &str = "Chile";
        /// `"Spanish locale for Chile"`
        pub const TITLE: &str = "Spanish locale for Chile";
    }
    pub use super::es_ES::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"$"`
        pub const CURRENCY_SYMBOL: &str = "$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"CLP "`
        pub const INT_CURR_SYMBOL: &str = "CLP ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::es_ES::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"56"`
        pub const INT_PREFIX: &str = "56";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub use super::es_BO::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod es_CO {
    pub mod LC_ADDRESS {
        /// `"CO"`
        pub const COUNTRY_ABTWO: &str = "CO";
        /// `"COL"`
        pub const COUNTRY_AB3: &str = "COL";
        /// `"CO"`
        pub const COUNTRY_CAR: &str = "CO";
        /// `"Colombia"`
        pub const COUNTRY_NAME: &str = "Colombia";
        /// `170`
        pub const COUNTRY_NUM: i64 = 170;
        /// `"es"`
        pub const LANG_AB: &str = "es";
        /// `"spa"`
        pub const LANG_LIB: &str = "spa";
        /// `"español"`
        pub const LANG_NAME: &str = "español";
        /// `"spa"`
        pub const LANG_TERM: &str = "spa";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Spanish"`
        pub const LANGUAGE: &str = "Spanish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Colombia"`
        pub const TERRITORY: &str = "Colombia";
        /// `"Spanish locale for Colombia"`
        pub const TITLE: &str = "Spanish locale for Colombia";
    }
    pub use super::es_ES::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"$"`
        pub const CURRENCY_SYMBOL: &str = "$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"COP "`
        pub const INT_CURR_SYMBOL: &str = "COP ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::es_ES::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"57"`
        pub const INT_PREFIX: &str = "57";
        /// `"009"`
        pub const INT_SELECT: &str = "009";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dom", "lun", "mar", "mié", "jue", "vie", "sáb"]`
        pub const ABDAY: &[&str] = &["dom", "lun", "mar", "mié", "jue", "vie", "sáb"];
        /// `&["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"]`
        pub const ABMON: &[&str] = &["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"]`
        pub const DAY: &[&str] = &["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"];
        /// `&["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"]`
        pub const MON: &[&str] = &["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod es_CR {
    pub mod LC_ADDRESS {
        /// `"CR"`
        pub const COUNTRY_ABTWO: &str = "CR";
        /// `"CRI"`
        pub const COUNTRY_AB3: &str = "CRI";
        /// `"CR"`
        pub const COUNTRY_CAR: &str = "CR";
        /// `"9930,9977,9968"`
        pub const COUNTRY_ISBN: &str = "9930,9977,9968";
        /// `"Costa Rica"`
        pub const COUNTRY_NAME: &str = "Costa Rica";
        /// `188`
        pub const COUNTRY_NUM: i64 = 188;
        /// `"CR"`
        pub const COUNTRY_POST: &str = "CR";
        /// `"es"`
        pub const LANG_AB: &str = "es";
        /// `"spa"`
        pub const LANG_LIB: &str = "spa";
        /// `"español"`
        pub const LANG_NAME: &str = "español";
        /// `"spa"`
        pub const LANG_TERM: &str = "spa";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2009-12-23"`
        pub const DATE: &str = "2009-12-23";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Spanish"`
        pub const LANGUAGE: &str = "Spanish";
        /// `"1.1"`
        pub const REVISION: &str = "1.1";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Costa Rica"`
        pub const TERRITORY: &str = "Costa Rica";
        /// `"Spanish locale for Costa Rica"`
        pub const TITLE: &str = "Spanish locale for Costa Rica";
    }
    pub use super::es_ES::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"₡"`
        pub const CURRENCY_SYMBOL: &str = "₡";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"CRC "`
        pub const INT_CURR_SYMBOL: &str = "CRC ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const THOUSANDS_SEP: &str = "\u{202f}";
    }
    pub mod LC_TELEPHONE {
        /// `"506"`
        pub const INT_PREFIX: &str = "506";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%l"`
        pub const TEL_DOM_FMT: &str = "%l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dom", "lun", "mar", "mié", "jue", "vie", "sáb"]`
        pub const ABDAY: &[&str] = &["dom", "lun", "mar", "mié", "jue", "vie", "sáb"];
        /// `&["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"]`
        pub const ABMON: &[&str] = &["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"];
        /// `&["a.m.", "p.m."]`
        pub const AM_PM: &[&str] = &["a.m.", "p.m."];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `"%a %e %b %H:%M:%S %Z %Y"`
        pub const DATE_FMT: &str = "%a %e %b %H:%M:%S %Z %Y";
        /// `&["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"]`
        pub const DAY: &[&str] = &["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"]`
        pub const MON: &[&str] = &["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod es_CU {
    pub mod LC_ADDRESS {
        /// `"CU"`
        pub const COUNTRY_ABTWO: &str = "CU";
        /// `"CUB"`
        pub const COUNTRY_AB3: &str = "CUB";
        /// `"C"`
        pub const COUNTRY_CAR: &str = "C";
        /// `"Cuba"`
        pub const COUNTRY_NAME: &str = "Cuba";
        /// `192`
        pub const COUNTRY_NUM: i64 = 192;
        /// `"es"`
        pub const LANG_AB: &str = "es";
        /// `"spa"`
        pub const LANG_LIB: &str = "spa";
        /// `"español"`
        pub const LANG_NAME: &str = "español";
        /// `"spa"`
        pub const LANG_TERM: &str = "spa";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"San Antonio de los Baøos Highway, Kilometer 1 1/2, University of Informatic Sciences "`
        pub const ADDRESS: &str = "San Antonio de los Baøos Highway, Kilometer 1 1/2, University of Informatic Sciences ";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2011-10-19"`
        pub const DATE: &str = "2011-10-19";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Spanish"`
        pub const LANGUAGE: &str = "Spanish";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Cuba"`
        pub const TERRITORY: &str = "Cuba";
        /// `"Spanish locale for Cuba"`
        pub const TITLE: &str = "Spanish locale for Cuba";
    }
    pub use super::es_ES::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"$"`
        pub const CURRENCY_SYMBOL: &str = "$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"CUP "`
        pub const INT_CURR_SYMBOL: &str = "CUP ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[0, 0]`
        pub const GROUPING: &[i64] = &[0, 0];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"53"`
        pub const INT_PREFIX: &str = "53";
        /// `"119"`
        pub const INT_SELECT: &str = "119";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub use super::es_BO::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod es_DO {
    pub mod LC_ADDRESS {
        /// `"DO"`
        pub const COUNTRY_ABTWO: &str = "DO";
        /// `"DOM"`
        pub const COUNTRY_AB3: &str = "DOM";
        /// `"DOM"`
        pub const COUNTRY_CAR: &str = "DOM";
        /// `"República Dominicana"`
        pub const COUNTRY_NAME: &str = "República Dominicana";
        /// `214`
        pub const COUNTRY_NUM: i64 = 214;
        /// `"es"`
        pub const LANG_AB: &str = "es";
        /// `"spa"`
        pub const LANG_LIB: &str = "spa";
        /// `"español"`
        pub const LANG_NAME: &str = "español";
        /// `"spa"`
        pub const LANG_TERM: &str = "spa";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Spanish"`
        pub const LANGUAGE: &str = "Spanish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Dominican Republic"`
        pub const TERRITORY: &str = "Dominican Republic";
        /// `"Spanish locale for Dominican Republic"`
        pub const TITLE: &str = "Spanish locale for Dominican Republic";
    }
    pub use super::es_ES::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"RD$"`
        pub const CURRENCY_SYMBOL: &str = "RD$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"DOP "`
        pub const INT_CURR_SYMBOL: &str = "DOP ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"1"`
        pub const INT_PREFIX: &str = "1";
        /// `"011"`
        pub const INT_SELECT: &str = "011";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dom", "lun", "mar", "mié", "jue", "vie", "sáb"]`
        pub const ABDAY: &[&str] = &["dom", "lun", "mar", "mié", "jue", "vie", "sáb"];
        /// `&["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"]`
        pub const ABMON: &[&str] = &["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"]`
        pub const DAY: &[&str] = &["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"];
        /// `&["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"]`
        pub const MON: &[&str] = &["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod es_EC {
    pub mod LC_ADDRESS {
        /// `"EC"`
        pub const COUNTRY_ABTWO: &str = "EC";
        /// `"ECU"`
        pub const COUNTRY_AB3: &str = "ECU";
        /// `"EC"`
        pub const COUNTRY_CAR: &str = "EC";
        /// `"Ecuador"`
        pub const COUNTRY_NAME: &str = "Ecuador";
        /// `218`
        pub const COUNTRY_NUM: i64 = 218;
        /// `"es"`
        pub const LANG_AB: &str = "es";
        /// `"spa"`
        pub const LANG_LIB: &str = "spa";
        /// `"español"`
        pub const LANG_NAME: &str = "español";
        /// `"spa"`
        pub const LANG_TERM: &str = "spa";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Spanish"`
        pub const LANGUAGE: &str = "Spanish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Ecuador"`
        pub const TERRITORY: &str = "Ecuador";
        /// `"Spanish locale for Ecuador"`
        pub const TITLE: &str = "Spanish locale for Ecuador";
    }
    pub use super::es_ES::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"$"`
        pub const CURRENCY_SYMBOL: &str = "$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"USD "`
        pub const INT_CURR_SYMBOL: &str = "USD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::es_ES::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"593"`
        pub const INT_PREFIX: &str = "593";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub use super::es_BO::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod es_ES {
    pub mod LC_ADDRESS {
        /// `"ES"`
        pub const COUNTRY_ABTWO: &str = "ES";
        /// `"ESP"`
        pub const COUNTRY_AB3: &str = "ESP";
        /// `"E"`
        pub const COUNTRY_CAR: &str = "E";
        /// `"España"`
        pub const COUNTRY_NAME: &str = "España";
        /// `724`
        pub const COUNTRY_NUM: i64 = 724;
        /// `"es"`
        pub const LANG_AB: &str = "es";
        /// `"spa"`
        pub const LANG_LIB: &str = "spa";
        /// `"español"`
        pub const LANG_NAME: &str = "español";
        /// `"spa"`
        pub const LANG_TERM: &str = "spa";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"European Spanish"`
        pub const LANGUAGE: &str = "European Spanish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Spain"`
        pub const TERRITORY: &str = "Spain";
        /// `"Spanish locale for Spain"`
        pub const TITLE: &str = "Spanish locale for Spain";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"no"`
        pub const NOSTR: &str = "no";
        /// `"^[+1sSyY]"`
        pub const YESEXPR: &str = "^[+1sSyY]";
        /// `"sí"`
        pub const YESSTR: &str = "sí";
    }
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"34"`
        pub const INT_PREFIX: &str = "34";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dom", "lun", "mar", "mié", "jue", "vie", "sáb"]`
        pub const ABDAY: &[&str] = &["dom", "lun", "mar", "mié", "jue", "vie", "sáb"];
        /// `&["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"]`
        pub const ABMON: &[&str] = &["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"]`
        pub const DAY: &[&str] = &["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"]`
        pub const MON: &[&str] = &["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod es_ES_euro {
    pub use super::es_ES::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Spanish"`
        pub const LANGUAGE: &str = "Spanish";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Spain"`
        pub const TERRITORY: &str = "Spain";
        /// `"Spanish locale for Spain with Euro"`
        pub const TITLE: &str = "Spanish locale for Spain with Euro";
    }
    pub use super::es_ES::LC_MESSAGES;
    pub use super::es_ES::LC_MONETARY;
    pub use super::es_ES::LC_NUMERIC;
    pub use super::es_ES::LC_TELEPHONE;
    pub use super::es_ES::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod es_GT {
    pub mod LC_ADDRESS {
        /// `"GT"`
        pub const COUNTRY_ABTWO: &str = "GT";
        /// `"GTM"`
        pub const COUNTRY_AB3: &str = "GTM";
        /// `"GCA"`
        pub const COUNTRY_CAR: &str = "GCA";
        /// `"Guatemala"`
        pub const COUNTRY_NAME: &str = "Guatemala";
        /// `320`
        pub const COUNTRY_NUM: i64 = 320;
        /// `"es"`
        pub const LANG_AB: &str = "es";
        /// `"spa"`
        pub const LANG_LIB: &str = "spa";
        /// `"español"`
        pub const LANG_NAME: &str = "español";
        /// `"spa"`
        pub const LANG_TERM: &str = "spa";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Spanish"`
        pub const LANGUAGE: &str = "Spanish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Guatemala"`
        pub const TERRITORY: &str = "Guatemala";
        /// `"Spanish locale for Guatemala"`
        pub const TITLE: &str = "Spanish locale for Guatemala";
    }
    pub use super::es_ES::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"Q"`
        pub const CURRENCY_SYMBOL: &str = "Q";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"GTQ "`
        pub const INT_CURR_SYMBOL: &str = "GTQ ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"502"`
        pub const INT_PREFIX: &str = "502";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dom", "lun", "mar", "mié", "jue", "vie", "sáb"]`
        pub const ABDAY: &[&str] = &["dom", "lun", "mar", "mié", "jue", "vie", "sáb"];
        /// `&["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"]`
        pub const ABMON: &[&str] = &["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"]`
        pub const DAY: &[&str] = &["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"];
        /// `&["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"]`
        pub const MON: &[&str] = &["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod es_HN {
    pub mod LC_ADDRESS {
        /// `"HN"`
        pub const COUNTRY_ABTWO: &str = "HN";
        /// `"HND"`
        pub const COUNTRY_AB3: &str = "HND";
        /// `"HN"`
        pub const COUNTRY_CAR: &str = "HN";
        /// `"Honduras"`
        pub const COUNTRY_NAME: &str = "Honduras";
        /// `340`
        pub const COUNTRY_NUM: i64 = 340;
        /// `"es"`
        pub const LANG_AB: &str = "es";
        /// `"spa"`
        pub const LANG_LIB: &str = "spa";
        /// `"español"`
        pub const LANG_NAME: &str = "español";
        /// `"spa"`
        pub const LANG_TERM: &str = "spa";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Spanish"`
        pub const LANGUAGE: &str = "Spanish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Honduras"`
        pub const TERRITORY: &str = "Honduras";
        /// `"Spanish locale for Honduras"`
        pub const TITLE: &str = "Spanish locale for Honduras";
    }
    pub use super::es_ES::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"L"`
        pub const CURRENCY_SYMBOL: &str = "L";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"HNL "`
        pub const INT_CURR_SYMBOL: &str = "HNL ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"504"`
        pub const INT_PREFIX: &str = "504";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dom", "lun", "mar", "mié", "jue", "vie", "sáb"]`
        pub const ABDAY: &[&str] = &["dom", "lun", "mar", "mié", "jue", "vie", "sáb"];
        /// `&["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"]`
        pub const ABMON: &[&str] = &["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"]`
        pub const DAY: &[&str] = &["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"];
        /// `&["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"]`
        pub const MON: &[&str] = &["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod es_MX {
    pub mod LC_ADDRESS {
        /// `"MX"`
        pub const COUNTRY_ABTWO: &str = "MX";
        /// `"MEX"`
        pub const COUNTRY_AB3: &str = "MEX";
        /// `"MEX"`
        pub const COUNTRY_CAR: &str = "MEX";
        /// `"México"`
        pub const COUNTRY_NAME: &str = "México";
        /// `484`
        pub const COUNTRY_NUM: i64 = 484;
        /// `"es"`
        pub const LANG_AB: &str = "es";
        /// `"spa"`
        pub const LANG_LIB: &str = "spa";
        /// `"español"`
        pub const LANG_NAME: &str = "español";
        /// `"spa"`
        pub const LANG_TERM: &str = "spa";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Mexican Spanish"`
        pub const LANGUAGE: &str = "Mexican Spanish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Mexico"`
        pub const TERRITORY: &str = "Mexico";
        /// `"Spanish locale for Mexico"`
        pub const TITLE: &str = "Spanish locale for Mexico";
    }
    pub use super::es_ES::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"$"`
        pub const CURRENCY_SYMBOL: &str = "$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"MXN "`
        pub const INT_CURR_SYMBOL: &str = "MXN ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const THOUSANDS_SEP: &str = "\u{202f}";
    }
    pub mod LC_TELEPHONE {
        /// `"52"`
        pub const INT_PREFIX: &str = "52";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dom", "lun", "mar", "mié", "jue", "vie", "sáb"]`
        pub const ABDAY: &[&str] = &["dom", "lun", "mar", "mié", "jue", "vie", "sáb"];
        /// `&["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"]`
        pub const ABMON: &[&str] = &["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"]`
        pub const DAY: &[&str] = &["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"];
        /// `&["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"]`
        pub const MON: &[&str] = &["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod es_NI {
    pub mod LC_ADDRESS {
        /// `"NI"`
        pub const COUNTRY_ABTWO: &str = "NI";
        /// `"NIC"`
        pub const COUNTRY_AB3: &str = "NIC";
        /// `"NIC"`
        pub const COUNTRY_CAR: &str = "NIC";
        /// `"Nicaragua"`
        pub const COUNTRY_NAME: &str = "Nicaragua";
        /// `558`
        pub const COUNTRY_NUM: i64 = 558;
        /// `"es"`
        pub const LANG_AB: &str = "es";
        /// `"spa"`
        pub const LANG_LIB: &str = "spa";
        /// `"español"`
        pub const LANG_NAME: &str = "español";
        /// `"spa"`
        pub const LANG_TERM: &str = "spa";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-08-21"`
        pub const DATE: &str = "2000-08-21";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Spanish"`
        pub const LANGUAGE: &str = "Spanish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Nicaragua"`
        pub const TERRITORY: &str = "Nicaragua";
        /// `"Spanish locale for Nicaragua"`
        pub const TITLE: &str = "Spanish locale for Nicaragua";
    }
    pub use super::es_ES::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"C$"`
        pub const CURRENCY_SYMBOL: &str = "C$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"NIO "`
        pub const INT_CURR_SYMBOL: &str = "NIO ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"505"`
        pub const INT_PREFIX: &str = "505";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dom", "lun", "mar", "mié", "jue", "vie", "sáb"]`
        pub const ABDAY: &[&str] = &["dom", "lun", "mar", "mié", "jue", "vie", "sáb"];
        /// `&["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"]`
        pub const ABMON: &[&str] = &["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"]`
        pub const DAY: &[&str] = &["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"];
        /// `&["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"]`
        pub const MON: &[&str] = &["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod es_PA {
    pub mod LC_ADDRESS {
        /// `"PA"`
        pub const COUNTRY_ABTWO: &str = "PA";
        /// `"PAN"`
        pub const COUNTRY_AB3: &str = "PAN";
        /// `"PA"`
        pub const COUNTRY_CAR: &str = "PA";
        /// `"Panamá"`
        pub const COUNTRY_NAME: &str = "Panamá";
        /// `591`
        pub const COUNTRY_NUM: i64 = 591;
        /// `"es"`
        pub const LANG_AB: &str = "es";
        /// `"spa"`
        pub const LANG_LIB: &str = "spa";
        /// `"español"`
        pub const LANG_NAME: &str = "español";
        /// `"spa"`
        pub const LANG_TERM: &str = "spa";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Spanish"`
        pub const LANGUAGE: &str = "Spanish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Panama"`
        pub const TERRITORY: &str = "Panama";
        /// `"Spanish locale for Panama"`
        pub const TITLE: &str = "Spanish locale for Panama";
    }
    pub use super::es_ES::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"B/."`
        pub const CURRENCY_SYMBOL: &str = "B/.";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"PAB "`
        pub const INT_CURR_SYMBOL: &str = "PAB ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"507"`
        pub const INT_PREFIX: &str = "507";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dom", "lun", "mar", "mié", "jue", "vie", "sáb"]`
        pub const ABDAY: &[&str] = &["dom", "lun", "mar", "mié", "jue", "vie", "sáb"];
        /// `&["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"]`
        pub const ABMON: &[&str] = &["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"]`
        pub const DAY: &[&str] = &["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"];
        /// `&["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"]`
        pub const MON: &[&str] = &["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod es_PE {
    pub mod LC_ADDRESS {
        /// `"PE"`
        pub const COUNTRY_ABTWO: &str = "PE";
        /// `"PER"`
        pub const COUNTRY_AB3: &str = "PER";
        /// `"PE"`
        pub const COUNTRY_CAR: &str = "PE";
        /// `"Perú"`
        pub const COUNTRY_NAME: &str = "Perú";
        /// `604`
        pub const COUNTRY_NUM: i64 = 604;
        /// `"es"`
        pub const LANG_AB: &str = "es";
        /// `"spa"`
        pub const LANG_LIB: &str = "spa";
        /// `"español"`
        pub const LANG_NAME: &str = "español";
        /// `"spa"`
        pub const LANG_TERM: &str = "spa";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Spanish"`
        pub const LANGUAGE: &str = "Spanish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Peru"`
        pub const TERRITORY: &str = "Peru";
        /// `"Spanish locale for Peru"`
        pub const TITLE: &str = "Spanish locale for Peru";
    }
    pub use super::es_ES::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"S/"`
        pub const CURRENCY_SYMBOL: &str = "S/";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"PEN "`
        pub const INT_CURR_SYMBOL: &str = "PEN ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::es_ES::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"51"`
        pub const INT_PREFIX: &str = "51";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dom", "lun", "mar", "mié", "jue", "vie", "sáb"]`
        pub const ABDAY: &[&str] = &["dom", "lun", "mar", "mié", "jue", "vie", "sáb"];
        /// `&["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "set", "oct", "nov", "dic"]`
        pub const ABMON: &[&str] = &["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "set", "oct", "nov", "dic"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"]`
        pub const DAY: &[&str] = &["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"];
        /// `&["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "setiembre", "octubre", "noviembre", "diciembre"]`
        pub const MON: &[&str] = &["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "setiembre", "octubre", "noviembre", "diciembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod es_PR {
    pub mod LC_ADDRESS {
        /// `"PR"`
        pub const COUNTRY_ABTWO: &str = "PR";
        /// `"PRI"`
        pub const COUNTRY_AB3: &str = "PRI";
        /// `"PR"`
        pub const COUNTRY_CAR: &str = "PR";
        /// `"Puerto Rico"`
        pub const COUNTRY_NAME: &str = "Puerto Rico";
        /// `630`
        pub const COUNTRY_NUM: i64 = 630;
        /// `"es"`
        pub const LANG_AB: &str = "es";
        /// `"spa"`
        pub const LANG_LIB: &str = "spa";
        /// `"español"`
        pub const LANG_NAME: &str = "español";
        /// `"spa"`
        pub const LANG_TERM: &str = "spa";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-08-21"`
        pub const DATE: &str = "2000-08-21";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Spanish"`
        pub const LANGUAGE: &str = "Spanish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Puerto Rico"`
        pub const TERRITORY: &str = "Puerto Rico";
        /// `"Spanish locale for Puerto Rico"`
        pub const TITLE: &str = "Spanish locale for Puerto Rico";
    }
    pub use super::es_ES::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"$"`
        pub const CURRENCY_SYMBOL: &str = "$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"USD "`
        pub const INT_CURR_SYMBOL: &str = "USD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"1"`
        pub const INT_PREFIX: &str = "1";
        /// `"011"`
        pub const INT_SELECT: &str = "011";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dom", "lun", "mar", "mié", "jue", "vie", "sáb"]`
        pub const ABDAY: &[&str] = &["dom", "lun", "mar", "mié", "jue", "vie", "sáb"];
        /// `&["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"]`
        pub const ABMON: &[&str] = &["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"]`
        pub const DAY: &[&str] = &["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"];
        /// `&["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"]`
        pub const MON: &[&str] = &["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod es_PY {
    pub mod LC_ADDRESS {
        /// `"PY"`
        pub const COUNTRY_ABTWO: &str = "PY";
        /// `"PRY"`
        pub const COUNTRY_AB3: &str = "PRY";
        /// `"PY"`
        pub const COUNTRY_CAR: &str = "PY";
        /// `"Paraguay"`
        pub const COUNTRY_NAME: &str = "Paraguay";
        /// `600`
        pub const COUNTRY_NUM: i64 = 600;
        /// `"es"`
        pub const LANG_AB: &str = "es";
        /// `"spa"`
        pub const LANG_LIB: &str = "spa";
        /// `"español"`
        pub const LANG_NAME: &str = "español";
        /// `"spa"`
        pub const LANG_TERM: &str = "spa";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Spanish"`
        pub const LANGUAGE: &str = "Spanish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Paraguay"`
        pub const TERRITORY: &str = "Paraguay";
        /// `"Spanish locale for Paraguay"`
        pub const TITLE: &str = "Spanish locale for Paraguay";
    }
    pub use super::es_ES::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"Gs."`
        pub const CURRENCY_SYMBOL: &str = "Gs.";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"PYG "`
        pub const INT_CURR_SYMBOL: &str = "PYG ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::es_ES::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"595"`
        pub const INT_PREFIX: &str = "595";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dom", "lun", "mar", "mié", "jue", "vie", "sáb"]`
        pub const ABDAY: &[&str] = &["dom", "lun", "mar", "mié", "jue", "vie", "sáb"];
        /// `&["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"]`
        pub const ABMON: &[&str] = &["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"]`
        pub const DAY: &[&str] = &["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"];
        /// `&["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"]`
        pub const MON: &[&str] = &["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod es_SV {
    pub mod LC_ADDRESS {
        /// `"SV"`
        pub const COUNTRY_ABTWO: &str = "SV";
        /// `"SLV"`
        pub const COUNTRY_AB3: &str = "SLV";
        /// `"ES"`
        pub const COUNTRY_CAR: &str = "ES";
        /// `"El Salvador"`
        pub const COUNTRY_NAME: &str = "El Salvador";
        /// `222`
        pub const COUNTRY_NUM: i64 = 222;
        /// `"es"`
        pub const LANG_AB: &str = "es";
        /// `"spa"`
        pub const LANG_LIB: &str = "spa";
        /// `"español"`
        pub const LANG_NAME: &str = "español";
        /// `"spa"`
        pub const LANG_TERM: &str = "spa";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Spanish"`
        pub const LANGUAGE: &str = "Spanish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"El Salvador"`
        pub const TERRITORY: &str = "El Salvador";
        /// `"Spanish locale for El Salvador"`
        pub const TITLE: &str = "Spanish locale for El Salvador";
    }
    pub use super::es_ES::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"$"`
        pub const CURRENCY_SYMBOL: &str = "$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"USD "`
        pub const INT_CURR_SYMBOL: &str = "USD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"503"`
        pub const INT_PREFIX: &str = "503";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dom", "lun", "mar", "mié", "jue", "vie", "sáb"]`
        pub const ABDAY: &[&str] = &["dom", "lun", "mar", "mié", "jue", "vie", "sáb"];
        /// `&["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"]`
        pub const ABMON: &[&str] = &["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"]`
        pub const DAY: &[&str] = &["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"];
        /// `&["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"]`
        pub const MON: &[&str] = &["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod es_US {
    pub mod LC_ADDRESS {
        /// `"US"`
        pub const COUNTRY_ABTWO: &str = "US";
        /// `"USA"`
        pub const COUNTRY_AB3: &str = "USA";
        /// `"USA"`
        pub const COUNTRY_CAR: &str = "USA";
        /// `0`
        pub const COUNTRY_ISBN: i64 = 0;
        /// `"Estados Unidos"`
        pub const COUNTRY_NAME: &str = "Estados Unidos";
        /// `840`
        pub const COUNTRY_NUM: i64 = 840;
        /// `"USA"`
        pub const COUNTRY_POST: &str = "USA";
        /// `"es"`
        pub const LANG_AB: &str = "es";
        /// `"spa"`
        pub const LANG_LIB: &str = "spa";
        /// `"español"`
        pub const LANG_NAME: &str = "español";
        /// `"spa"`
        pub const LANG_TERM: &str = "spa";
        /// `"%a%N%f%N%d%N%b%N%h %s %e %r%N%T, %S %z%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%f%N%d%N%b%N%h %s %e %r%N%T, %S %z%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Spanish"`
        pub const LANGUAGE: &str = "Spanish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"United States"`
        pub const TERRITORY: &str = "United States";
        /// `"Spanish locale for the USA"`
        pub const TITLE: &str = "Spanish locale for the USA";
    }
    pub use super::es_ES::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"$"`
        pub const CURRENCY_SYMBOL: &str = "$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"USD "`
        pub const INT_CURR_SYMBOL: &str = "USD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::en_US::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"1"`
        pub const INT_PREFIX: &str = "1";
        /// `"11"`
        pub const INT_SELECT: &str = "11";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dom", "lun", "mar", "mié", "jue", "vie", "sáb"]`
        pub const ABDAY: &[&str] = &["dom", "lun", "mar", "mié", "jue", "vie", "sáb"];
        /// `&["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"]`
        pub const ABMON: &[&str] = &["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"]`
        pub const DAY: &[&str] = &["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"];
        /// `&["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"]`
        pub const MON: &[&str] = &["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod es_UY {
    pub mod LC_ADDRESS {
        /// `"UY"`
        pub const COUNTRY_ABTWO: &str = "UY";
        /// `"URY"`
        pub const COUNTRY_AB3: &str = "URY";
        /// `"UY"`
        pub const COUNTRY_CAR: &str = "UY";
        /// `"Uruguay"`
        pub const COUNTRY_NAME: &str = "Uruguay";
        /// `858`
        pub const COUNTRY_NUM: i64 = 858;
        /// `"es"`
        pub const LANG_AB: &str = "es";
        /// `"spa"`
        pub const LANG_LIB: &str = "spa";
        /// `"español"`
        pub const LANG_NAME: &str = "español";
        /// `"spa"`
        pub const LANG_TERM: &str = "spa";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Spanish"`
        pub const LANGUAGE: &str = "Spanish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Uruguay"`
        pub const TERRITORY: &str = "Uruguay";
        /// `"Spanish locale for Uruguay"`
        pub const TITLE: &str = "Spanish locale for Uruguay";
    }
    pub use super::es_ES::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"$"`
        pub const CURRENCY_SYMBOL: &str = "$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"UYU "`
        pub const INT_CURR_SYMBOL: &str = "UYU ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::es_ES::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"598"`
        pub const INT_PREFIX: &str = "598";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dom", "lun", "mar", "mié", "jue", "vie", "sáb"]`
        pub const ABDAY: &[&str] = &["dom", "lun", "mar", "mié", "jue", "vie", "sáb"];
        /// `&["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "set", "oct", "nov", "dic"]`
        pub const ABMON: &[&str] = &["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "set", "oct", "nov", "dic"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"]`
        pub const DAY: &[&str] = &["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "setiembre", "octubre", "noviembre", "diciembre"]`
        pub const MON: &[&str] = &["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "setiembre", "octubre", "noviembre", "diciembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod es_VE {
    pub mod LC_ADDRESS {
        /// `"VE"`
        pub const COUNTRY_ABTWO: &str = "VE";
        /// `"VEN"`
        pub const COUNTRY_AB3: &str = "VEN";
        /// `"YV"`
        pub const COUNTRY_CAR: &str = "YV";
        /// `"Venezuela"`
        pub const COUNTRY_NAME: &str = "Venezuela";
        /// `862`
        pub const COUNTRY_NUM: i64 = 862;
        /// `"es"`
        pub const LANG_AB: &str = "es";
        /// `"spa"`
        pub const LANG_LIB: &str = "spa";
        /// `"español"`
        pub const LANG_NAME: &str = "español";
        /// `"spa"`
        pub const LANG_TERM: &str = "spa";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Spanish"`
        pub const LANGUAGE: &str = "Spanish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Venezuela"`
        pub const TERRITORY: &str = "Venezuela";
        /// `"Spanish locale for Venezuela"`
        pub const TITLE: &str = "Spanish locale for Venezuela";
    }
    pub use super::es_ES::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"Bs."`
        pub const CURRENCY_SYMBOL: &str = "Bs.";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"VEF "`
        pub const INT_CURR_SYMBOL: &str = "VEF ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::es_ES::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"58"`
        pub const INT_PREFIX: &str = "58";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dom", "lun", "mar", "mié", "jue", "vie", "sáb"]`
        pub const ABDAY: &[&str] = &["dom", "lun", "mar", "mié", "jue", "vie", "sáb"];
        /// `&["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"]`
        pub const ABMON: &[&str] = &["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"];
        /// `&["am", "pm"]`
        pub const AM_PM: &[&str] = &["am", "pm"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"]`
        pub const DAY: &[&str] = &["domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"];
        /// `&["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"]`
        pub const MON: &[&str] = &["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod et_EE {
    pub mod LC_ADDRESS {
        /// `"EE"`
        pub const COUNTRY_ABTWO: &str = "EE";
        /// `"EST"`
        pub const COUNTRY_AB3: &str = "EST";
        /// `"EST"`
        pub const COUNTRY_CAR: &str = "EST";
        /// `"978-9949,978-9985"`
        pub const COUNTRY_ISBN: &str = "978-9949,978-9985";
        /// `"Eesti"`
        pub const COUNTRY_NAME: &str = "Eesti";
        /// `233`
        pub const COUNTRY_NUM: i64 = 233;
        /// `"EE"`
        pub const COUNTRY_POST: &str = "EE";
        /// `"et"`
        pub const LANG_AB: &str = "et";
        /// `"est"`
        pub const LANG_LIB: &str = "est";
        /// `"eesti"`
        pub const LANG_NAME: &str = "eesti";
        /// `"est"`
        pub const LANG_TERM: &str = "est";
        /// `"%a%N%f%N%d%N%b%N%s%t%h%t%e%t%r%N%C-%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%f%N%d%N%b%N%s%t%h%t%e%t%r%N%C-%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"To-nisma:gi 8, Tallinn, EE0100 Estonia"`
        pub const ADDRESS: &str = "To-nisma:gi 8, Tallinn, EE0100 Estonia";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Estonian"`
        pub const LANGUAGE: &str = "Estonian";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Estonian Informatics Fund"`
        pub const SOURCE: &str = "Estonian Informatics Fund";
        /// `""`
        pub const TEL: &str = "";
        /// `"Estonia"`
        pub const TERRITORY: &str = "Estonia";
        /// `"Estonian locale for Estonia"`
        pub const TITLE: &str = "Estonian locale for Estonia";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0EeNn]"`
        pub const NOEXPR: &str = "^[-0EeNn]";
        /// `"ei"`
        pub const NOSTR: &str = "ei";
        /// `"^[+1JjYy]"`
        pub const YESEXPR: &str = "^[+1JjYy]";
        /// `"jah"`
        pub const YESSTR: &str = "jah";
    }
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const THOUSANDS_SEP: &str = "\u{202f}";
    }
    pub mod LC_TELEPHONE {
        /// `"372"`
        pub const INT_PREFIX: &str = "372";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["P", "E", "T", "K", "N", "R", "L"]`
        pub const ABDAY: &[&str] = &["P", "E", "T", "K", "N", "R", "L"];
        /// `&["jaan ", "veebr", "märts", "apr  ", "mai  ", "juuni", "juuli", "aug  ", "sept ", "okt  ", "nov  ", "dets "]`
        pub const ABMON: &[&str] = &["jaan ", "veebr", "märts", "apr  ", "mai  ", "juuni", "juuli", "aug  ", "sept ", "okt  ", "nov  ", "dets "];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["pühapäev", "esmaspäev", "teisipäev", "kolmapäev", "neljapäev", "reede", "laupäev"]`
        pub const DAY: &[&str] = &["pühapäev", "esmaspäev", "teisipäev", "kolmapäev", "neljapäev", "reede", "laupäev"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["jaanuar", "veebruar", "märts", "aprill", "mai", "juuni", "juuli", "august", "september", "oktoober", "november", "detsember"]`
        pub const MON: &[&str] = &["jaanuar", "veebruar", "märts", "aprill", "mai", "juuni", "juuli", "august", "september", "oktoober", "november", "detsember"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod eu_ES {
    pub mod LC_ADDRESS {
        /// `"ES"`
        pub const COUNTRY_ABTWO: &str = "ES";
        /// `"ESP"`
        pub const COUNTRY_AB3: &str = "ESP";
        /// `"E"`
        pub const COUNTRY_CAR: &str = "E";
        /// `"Espainia"`
        pub const COUNTRY_NAME: &str = "Espainia";
        /// `724`
        pub const COUNTRY_NUM: i64 = 724;
        /// `"eu"`
        pub const LANG_AB: &str = "eu";
        /// `"baq"`
        pub const LANG_LIB: &str = "baq";
        /// `"euskara"`
        pub const LANG_NAME: &str = "euskara";
        /// `"eus"`
        pub const LANG_TERM: &str = "eus";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Basque"`
        pub const LANGUAGE: &str = "Basque";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Spain"`
        pub const TERRITORY: &str = "Spain";
        /// `"Basque locale for Spain"`
        pub const TITLE: &str = "Basque locale for Spain";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0eEnN]"`
        pub const NOEXPR: &str = "^[-0eEnN]";
        /// `"ez"`
        pub const NOSTR: &str = "ez";
        /// `"^[+1bBsSyY]"`
        pub const YESEXPR: &str = "^[+1bBsSyY]";
        /// `"bai"`
        pub const YESSTR: &str = "bai";
    }
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"34"`
        pub const INT_PREFIX: &str = "34";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["ig.", "al.", "ar.", "az.", "og.", "or.", "lr."]`
        pub const ABDAY: &[&str] = &["ig.", "al.", "ar.", "az.", "og.", "or.", "lr."];
        /// `&["urt", "ots", "mar", "api", "mai", "eka", "uzt", "abu", "ira", "urr", "aza", "abe"]`
        pub const ABMON: &[&str] = &["urt", "ots", "mar", "api", "mai", "eka", "uzt", "abu", "ira", "urr", "aza", "abe"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%a, %Y.eko %bren %da"`
        pub const D_FMT: &str = "%a, %Y.eko %bren %da";
        /// `"%y-%m-%d %T %Z"`
        pub const D_T_FMT: &str = "%y-%m-%d %T %Z";
        /// `&["igandea", "astelehena", "asteartea", "asteazkena", "osteguna", "ostirala", "larunbata"]`
        pub const DAY: &[&str] = &["igandea", "astelehena", "asteartea", "asteazkena", "osteguna", "ostirala", "larunbata"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["urtarrila", "otsaila", "martxoa", "apirila", "maiatza", "ekaina", "uztaila", "abuztua", "iraila", "urria", "azaroa", "abendua"]`
        pub const MON: &[&str] = &["urtarrila", "otsaila", "martxoa", "apirila", "maiatza", "ekaina", "uztaila", "abuztua", "iraila", "urria", "azaroa", "abendua"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod eu_ES_euro {
    pub use super::eu_ES::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-08-21"`
        pub const DATE: &str = "2000-08-21";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Basque"`
        pub const LANGUAGE: &str = "Basque";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Spain"`
        pub const TERRITORY: &str = "Spain";
        /// `"Basque language locale for Spain with Euro"`
        pub const TITLE: &str = "Basque language locale for Spain with Euro";
    }
    pub use super::eu_ES::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `0`
        pub const FRAC_DIGITS: i64 = 0;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `0`
        pub const INT_FRAC_DIGITS: i64 = 0;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::eu_ES::LC_NUMERIC;
    pub use super::eu_ES::LC_TELEPHONE;
    pub use super::eu_ES::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod fa_IR {
    pub mod LC_ADDRESS {
        /// `"IR"`
        pub const COUNTRY_ABTWO: &str = "IR";
        /// `"IRN"`
        pub const COUNTRY_AB3: &str = "IRN";
        /// `"IR"`
        pub const COUNTRY_CAR: &str = "IR";
        /// `964`
        pub const COUNTRY_ISBN: i64 = 964;
        /// `"ایران"`
        pub const COUNTRY_NAME: &str = "ایران";
        /// `364`
        pub const COUNTRY_NUM: i64 = 364;
        /// `"fa"`
        pub const LANG_AB: &str = "fa";
        /// `"per"`
        pub const LANG_LIB: &str = "per";
        /// `"فارسی"`
        pub const LANG_NAME: &str = "فارسی";
        /// `"fas"`
        pub const LANG_TERM: &str = "fas";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"5, Shahid Ghasemi Habibollah, Azadi Ave, Tehran, Iran"`
        pub const ADDRESS: &str = "5, Shahid Ghasemi Habibollah, Azadi Ave, Tehran, Iran";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Roozbeh Pournader"`
        pub const CONTACT: &str = "Roozbeh Pournader";
        /// `"2005-04-06"`
        pub const DATE: &str = "2005-04-06";
        /// `"roozbeh@farsiweb.info"`
        pub const EMAIL: &str = "roozbeh@farsiweb.info";
        /// `""`
        pub const FAX: &str = "";
        /// `"Persian"`
        pub const LANGUAGE: &str = "Persian";
        /// `"3.0"`
        pub const REVISION: &str = "3.0";
        /// `"Sharif FarsiWeb, Inc."`
        pub const SOURCE: &str = "Sharif FarsiWeb, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Iran"`
        pub const TERRITORY: &str = "Iran";
        /// `"Persian locale for Iran"`
        pub const TITLE: &str = "Persian locale for Iran";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNخنok]"`
        pub const NOEXPR: &str = "^[-0nNخنok]";
        /// `"نه"`
        pub const NOSTR: &str = "نه";
        /// `"^[+1yYآبHf]"`
        pub const YESEXPR: &str = "^[+1yYآبHf]";
        /// `"بله"`
        pub const YESSTR: &str = "بله";
    }
    pub mod LC_MONETARY {
        /// `"ریال"`
        pub const CURRENCY_SYMBOL: &str = "ریال";
        /// `0`
        pub const FRAC_DIGITS: i64 = 0;
        /// `"IRR "`
        pub const INT_CURR_SYMBOL: &str = "IRR ";
        /// `0`
        pub const INT_FRAC_DIGITS: i64 = 0;
        /// `0`
        pub const INT_N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const INT_N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const INT_N_SIGN_POSN: i64 = 1;
        /// `0`
        pub const INT_P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const INT_P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const INT_P_SIGN_POSN: i64 = 1;
        /// `"٫"`
        pub const MON_DECIMAL_POINT: &str = "٫";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `"٬"`
        pub const MON_THOUSANDS_SEP: &str = "٬";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"98"`
        pub const INT_PREFIX: &str = "98";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"\u{202a}%A‒%l\u{202c}"`
        pub const TEL_DOM_FMT: &str = "\u{202a}%A‒%l\u{202c}";
        /// `"\u{202a}+%c %a %l\u{202c}"`
        pub const TEL_INT_FMT: &str = "\u{202a}+%c %a %l\u{202c}";
    }
    pub mod LC_TIME {
        /// `&["یکشنبه", "دوشنبه", "سه\u{200c}شنبه", "چهارشنبه", "پنجشنبه", "جمعه", "شنبه"]`
        pub const ABDAY: &[&str] = &["یکشنبه", "دوشنبه", "سه\u{200c}شنبه", "چهارشنبه", "پنجشنبه", "جمعه", "شنبه"];
        /// `&["ژانویه", "فوریه", "مارس", "آوریل", "مه", "ژوئن", "ژوئیه", "اوت", "سپتامبر", "اكتبر", "نوامبر", "دسامبر"]`
        pub const ABMON: &[&str] = &["ژانویه", "فوریه", "مارس", "آوریل", "مه", "ژوئن", "ژوئیه", "اوت", "سپتامبر", "اكتبر", "نوامبر", "دسامبر"];
        /// `&["۰۰", "۰۱", "۰۲", "۰۳", "۰۴", "۰۵", "۰۶", "۰۷", "۰۸", "۰۹", "۱۰", "۱۱", "۱۲", "۱۳", "۱۴", "۱۵", "۱۶", "۱۷", "۱۸", "۱۹", "۲۰", "۲۱", "۲۲", "۲۳", "۲۴", "۲۵", "۲۶", "۲۷", "۲۸", "۲۹", "۳۰", "۳۱", "۳۲", "۳۳", "۳۴", "۳۵", "۳۶", "۳۷", "۳۸", "۳۹", "۴۰", "۴۱", "۴۲", "۴۳", "۴۴", "۴۵", "۴۶", "۴۷", "۴۸", "۴۹", "۵۰", "۵۱", "۵۲", "۵۳", "۵۴", "۵۵", "۵۶", "۵۷", "۵۸", "۵۹", "۶۰", "۶۱", "۶۲", "۶۳", "۶۴", "۶۵", "۶۶", "۶۷", "۶۸", "۶۹", "۷۰", "۷۱", "۷۲", "۷۳", "۷۴", "۷۵", "۷۶", "۷۷", "۷۸", "۷۹", "۸۰", "۸۱", "۸۲", "۸۳", "۸۴", "۸۵", "۸۶", "۸۷", "۸۸", "۸۹", "۹۰", "۹۱", "۹۲", "۹۳", "۹۴", "۹۵", "۹۶", "۹۷", "۹۸", "۹۹"]`
        pub const ALT_DIGITS: &[&str] = &["۰۰", "۰۱", "۰۲", "۰۳", "۰۴", "۰۵", "۰۶", "۰۷", "۰۸", "۰۹", "۱۰", "۱۱", "۱۲", "۱۳", "۱۴", "۱۵", "۱۶", "۱۷", "۱۸", "۱۹", "۲۰", "۲۱", "۲۲", "۲۳", "۲۴", "۲۵", "۲۶", "۲۷", "۲۸", "۲۹", "۳۰", "۳۱", "۳۲", "۳۳", "۳۴", "۳۵", "۳۶", "۳۷", "۳۸", "۳۹", "۴۰", "۴۱", "۴۲", "۴۳", "۴۴", "۴۵", "۴۶", "۴۷", "۴۸", "۴۹", "۵۰", "۵۱", "۵۲", "۵۳", "۵۴", "۵۵", "۵۶", "۵۷", "۵۸", "۵۹", "۶۰", "۶۱", "۶۲", "۶۳", "۶۴", "۶۵", "۶۶", "۶۷", "۶۸", "۶۹", "۷۰", "۷۱", "۷۲", "۷۳", "۷۴", "۷۵", "۷۶", "۷۷", "۷۸", "۷۹", "۸۰", "۸۱", "۸۲", "۸۳", "۸۴", "۸۵", "۸۶", "۸۷", "۸۸", "۸۹", "۹۰", "۹۱", "۹۲", "۹۳", "۹۴", "۹۵", "۹۶", "۹۷", "۹۸", "۹۹"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `3`
        pub const CAL_DIRECTION: i64 = 3;
        /// `"%Oy/%Om/%Od"`
        pub const D_FMT: &str = "%Oy/%Om/%Od";
        /// `"\u{202b}%A %Oe %B %Oy، %OH:%OM:%OS\u{202c}"`
        pub const D_T_FMT: &str = "\u{202b}%A %Oe %B %Oy، %OH:%OM:%OS\u{202c}";
        /// `"\u{202b}%A %Oe %B %Oy، ساعت \n%OH:%OM:%OS (%Z)\u{202c}"`
        pub const DATE_FMT: &str = "\u{202b}%A %Oe %B %Oy، ساعت \n%OH:%OM:%OS (%Z)\u{202c}";
        /// `&["یکشنبه", "دوشنبه", "سه\u{200c}شنبه", "چهارشنبه", "پنجشنبه", "جمعه", "شنبه"]`
        pub const DAY: &[&str] = &["یکشنبه", "دوشنبه", "سه\u{200c}شنبه", "چهارشنبه", "پنجشنبه", "جمعه", "شنبه"];
        /// `7`
        pub const FIRST_WEEKDAY: i64 = 7;
        /// `7`
        pub const FIRST_WORKDAY: i64 = 7;
        /// `&["ژانویه", "فوریه", "مارس", "آوریل", "مه", "ژوئن", "ژوئیه", "اوت", "سپتامبر", "اكتبر", "نوامبر", "دسامبر"]`
        pub const MON: &[&str] = &["ژانویه", "فوریه", "مارس", "آوریل", "مه", "ژوئن", "ژوئیه", "اوت", "سپتامبر", "اكتبر", "نوامبر", "دسامبر"];
        /// `"%OH:%OM:%OS"`
        pub const T_FMT: &str = "%OH:%OM:%OS";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ff_SN {
    pub mod LC_ADDRESS {
        /// `"SN"`
        pub const COUNTRY_ABTWO: &str = "SN";
        /// `"SEN"`
        pub const COUNTRY_AB3: &str = "SEN";
        /// `"SN"`
        pub const COUNTRY_CAR: &str = "SN";
        /// `"Senegaal"`
        pub const COUNTRY_NAME: &str = "Senegaal";
        /// `686`
        pub const COUNTRY_NUM: i64 = 686;
        /// `"SN"`
        pub const COUNTRY_POST: &str = "SN";
        /// `"ff"`
        pub const LANG_AB: &str = "ff";
        /// `"ful"`
        pub const LANG_LIB: &str = "ful";
        /// `"Pulaar"`
        pub const LANG_NAME: &str = "Pulaar";
        /// `"ful"`
        pub const LANG_TERM: &str = "ful";
        /// `"%a%N%f%N%d%N%b%N%h %s %e %r%N%T, %S %z%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%f%N%d%N%b%N%h %s %e %r%N%T, %S %z%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"Ibrahima Sarr"`
        pub const CONTACT: &str = "Ibrahima Sarr";
        /// `"2011-03-28"`
        pub const DATE: &str = "2011-03-28";
        /// `"admin@pulaar-fulfulde.org"`
        pub const EMAIL: &str = "admin@pulaar-fulfulde.org";
        /// `"Fulah"`
        pub const LANGUAGE: &str = "Fulah";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Pular-Fulfulde.org"`
        pub const SOURCE: &str = "Pular-Fulfulde.org";
        /// `"Senegal"`
        pub const TERRITORY: &str = "Senegal";
        /// `"Fulah locale for Senegal"`
        pub const TITLE: &str = "Fulah locale for Senegal";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNaA]"`
        pub const NOEXPR: &str = "^[-0nNaA]";
        /// `"Alaa"`
        pub const NOSTR: &str = "Alaa";
        /// `"^[+1yYeE]"`
        pub const YESEXPR: &str = "^[+1yYeE]";
        /// `"Eey"`
        pub const YESSTR: &str = "Eey";
    }
    pub mod LC_MONETARY {
        /// `"CFA"`
        pub const CURRENCY_SYMBOL: &str = "CFA";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"XOF "`
        pub const INT_CURR_SYMBOL: &str = "XOF ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"221"`
        pub const INT_PREFIX: &str = "221";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%a %l"`
        pub const TEL_DOM_FMT: &str = "%a %l";
        /// `"%c %a %l"`
        pub const TEL_INT_FMT: &str = "%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dew", "aaɓ", "maw", "nje", "naa", "mwd", "hbi"]`
        pub const ABDAY: &[&str] = &["dew", "aaɓ", "maw", "nje", "naa", "mwd", "hbi"];
        /// `&["sii", "col", "mbo", "see", "duu", "kor", "mor", "juk", "slt", "yar", "jol", "bow"]`
        pub const ABMON: &[&str] = &["sii", "col", "mbo", "see", "duu", "kor", "mor", "juk", "slt", "yar", "jol", "bow"];
        /// `&["subaka", "kikiiɗe"]`
        pub const AM_PM: &[&str] = &["subaka", "kikiiɗe"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %d %b %Y %R %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %R %Z";
        /// `&["dewo", "aaɓnde", "mawbaare", "njeslaare", "naasaande", "mawnde", "hoore-biir"]`
        pub const DAY: &[&str] = &["dewo", "aaɓnde", "mawbaare", "njeslaare", "naasaande", "mawnde", "hoore-biir"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["siilo", "colte", "mbooy", "seeɗto", "duujal", "korse", "morso", "juko", "siilto", "yarkomaa", "jolal", "bowte"]`
        pub const MON: &[&str] = &["siilo", "colte", "mbooy", "seeɗto", "duujal", "korse", "morso", "juko", "siilto", "yarkomaa", "jolal", "bowte"];
        /// `"%R"`
        pub const T_FMT: &str = "%R";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod fi_FI {
    pub mod LC_ADDRESS {
        /// `"FI"`
        pub const COUNTRY_ABTWO: &str = "FI";
        /// `"FIN"`
        pub const COUNTRY_AB3: &str = "FIN";
        /// `"FIN"`
        pub const COUNTRY_CAR: &str = "FIN";
        /// `952`
        pub const COUNTRY_ISBN: i64 = 952;
        /// `"Suomi"`
        pub const COUNTRY_NAME: &str = "Suomi";
        /// `246`
        pub const COUNTRY_NUM: i64 = 246;
        /// `"FI"`
        pub const COUNTRY_POST: &str = "FI";
        /// `"fi"`
        pub const LANG_AB: &str = "fi";
        /// `"fin"`
        pub const LANG_LIB: &str = "fin";
        /// `"suomi"`
        pub const LANG_NAME: &str = "suomi";
        /// `"fin"`
        pub const LANG_TERM: &str = "fin";
        /// `"%f%N%d%N%b%N%a%N%s %h%t%e%t%r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%d%N%b%N%a%N%s %h%t%e%t%r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Finnish"`
        pub const LANGUAGE: &str = "Finnish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Finland"`
        pub const TERRITORY: &str = "Finland";
        /// `"Finnish locale for Finland"`
        pub const TITLE: &str = "Finnish locale for Finland";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0EeNn]"`
        pub const NOEXPR: &str = "^[-0EeNn]";
        /// `"ei"`
        pub const NOSTR: &str = "ei";
        /// `"^[+1KkYy]"`
        pub const YESEXPR: &str = "^[+1KkYy]";
        /// `"kyllä"`
        pub const YESSTR: &str = "kyllä";
    }
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const THOUSANDS_SEP: &str = "\u{202f}";
    }
    pub mod LC_TELEPHONE {
        /// `"358"`
        pub const INT_PREFIX: &str = "358";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"(%A) %l"`
        pub const TEL_DOM_FMT: &str = "(%A) %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["su", "ma", "ti", "ke", "to", "pe", "la"]`
        pub const ABDAY: &[&str] = &["su", "ma", "ti", "ke", "to", "pe", "la"];
        /// `&["tammi", "helmi", "maalis", "huhti", "touko", "kesä", "heinä", "elo", "syys", "loka", "marras", "joulu"]`
        pub const ABMON: &[&str] = &["tammi", "helmi", "maalis", "huhti", "touko", "kesä", "heinä", "elo", "syys", "loka", "marras", "joulu"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %e. %Bta %Y %H.%M.%S"`
        pub const D_T_FMT: &str = "%a %e. %Bta %Y %H.%M.%S";
        /// `"%a %-d.%-m.%Y %H.%M.%S %z"`
        pub const DATE_FMT: &str = "%a %-d.%-m.%Y %H.%M.%S %z";
        /// `&["sunnuntai", "maanantai", "tiistai", "keskiviikko", "torstai", "perjantai", "lauantai"]`
        pub const DAY: &[&str] = &["sunnuntai", "maanantai", "tiistai", "keskiviikko", "torstai", "perjantai", "lauantai"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["tammikuu", "helmikuu", "maaliskuu", "huhtikuu", "toukokuu", "kesäkuu", "heinäkuu", "elokuu", "syyskuu", "lokakuu", "marraskuu", "joulukuu"]`
        pub const MON: &[&str] = &["tammikuu", "helmikuu", "maaliskuu", "huhtikuu", "toukokuu", "kesäkuu", "heinäkuu", "elokuu", "syyskuu", "lokakuu", "marraskuu", "joulukuu"];
        /// `"%H.%M.%S"`
        pub const T_FMT: &str = "%H.%M.%S";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod fi_FI_euro {
    pub use super::fi_FI::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-08-20"`
        pub const DATE: &str = "2000-08-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Finnish"`
        pub const LANGUAGE: &str = "Finnish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Finland"`
        pub const TERRITORY: &str = "Finland";
        /// `"Finnish locale for Finland with Euro"`
        pub const TITLE: &str = "Finnish locale for Finland with Euro";
    }
    pub use super::fi_FI::LC_MESSAGES;
    pub use super::fi_FI::LC_MONETARY;
    pub use super::fi_FI::LC_NUMERIC;
    pub use super::fi_FI::LC_TELEPHONE;
    pub use super::fi_FI::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod fil_PH {
    pub mod LC_ADDRESS {
        /// `"PH"`
        pub const COUNTRY_ABTWO: &str = "PH";
        /// `"PHL"`
        pub const COUNTRY_AB3: &str = "PHL";
        /// `"RP"`
        pub const COUNTRY_CAR: &str = "RP";
        /// `"Pilipinas"`
        pub const COUNTRY_NAME: &str = "Pilipinas";
        /// `608`
        pub const COUNTRY_NUM: i64 = 608;
        /// `"Filipino"`
        pub const LANG_NAME: &str = "Filipino";
        /// `"fil"`
        pub const LANG_TERM: &str = "fil";
        /// `"%a%N%f%N%d%N%b%N%h %s %e %r%N%T %z%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%f%N%d%N%b%N%h %s %e %r%N%T %z%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MONETARY"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MONETARY"],
        ];
        /// `"Rene Torres, Pablo Saratxaga"`
        pub const CONTACT: &str = "Rene Torres, Pablo Saratxaga";
        /// `"2005-02-02"`
        pub const DATE: &str = "2005-02-02";
        /// `"rgtorre@rocketmail.com, pablo@mandrakesoft.com"`
        pub const EMAIL: &str = "rgtorre@rocketmail.com, pablo@mandrakesoft.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Filipino"`
        pub const LANGUAGE: &str = "Filipino";
        /// `"0.5"`
        pub const REVISION: &str = "0.5";
        /// `"Rene Torres"`
        pub const SOURCE: &str = "Rene Torres";
        /// `""`
        pub const TEL: &str = "";
        /// `"Philippines"`
        pub const TERRITORY: &str = "Philippines";
        /// `"Filipino language locale for Philippines"`
        pub const TITLE: &str = "Filipino language locale for Philippines";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0hHnN]"`
        pub const NOEXPR: &str = "^[-0hHnN]";
        /// `"hindi"`
        pub const NOSTR: &str = "hindi";
        /// `"^[+1oOyY]"`
        pub const YESEXPR: &str = "^[+1oOyY]";
        /// `"oo"`
        pub const YESSTR: &str = "oo";
    }
    pub mod LC_MONETARY {
        /// `"₱"`
        pub const CURRENCY_SYMBOL: &str = "₱";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"PHP "`
        pub const INT_CURR_SYMBOL: &str = "PHP ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::tl_PH::LC_NUMERIC;
    pub use super::en_PH::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Lin", "Lun", "Mar", "Miy", "Huw", "Biy", "Sab"]`
        pub const ABDAY: &[&str] = &["Lin", "Lun", "Mar", "Miy", "Huw", "Biy", "Sab"];
        /// `&["Ene", "Peb", "Mar", "Abr", "May", "Hun", "Hul", "Ago", "Set", "Okt", "Nob", "Dis"]`
        pub const ABMON: &[&str] = &["Ene", "Peb", "Mar", "Abr", "May", "Hun", "Hul", "Ago", "Set", "Okt", "Nob", "Dis"];
        /// `&["N.U.", "N.H."]`
        pub const AM_PM: &[&str] = &["N.U.", "N.H."];
        /// `"%m/%d/%y"`
        pub const D_FMT: &str = "%m/%d/%y";
        /// `"%a %d %b %Y %r %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %r %Z";
        /// `&["Linggo", "Lunes", "Martes", "Miyerkoles", "Huwebes", "Biyernes", "Sabado"]`
        pub const DAY: &[&str] = &["Linggo", "Lunes", "Martes", "Miyerkoles", "Huwebes", "Biyernes", "Sabado"];
        /// `&["Enero", "Pebrero", "Marso", "Abril", "Mayo", "Hunyo", "Hulyo", "Agosto", "Setyembre", "Oktubre", "Nobyembre", "Disyembre"]`
        pub const MON: &[&str] = &["Enero", "Pebrero", "Marso", "Abril", "Mayo", "Hunyo", "Hulyo", "Agosto", "Setyembre", "Oktubre", "Nobyembre", "Disyembre"];
        /// `"%r"`
        pub const T_FMT: &str = "%r";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod fo_FO {
    pub mod LC_ADDRESS {
        /// `"FO"`
        pub const COUNTRY_ABTWO: &str = "FO";
        /// `"FRO"`
        pub const COUNTRY_AB3: &str = "FRO";
        /// `"FO"`
        pub const COUNTRY_CAR: &str = "FO";
        /// `"Føroyar"`
        pub const COUNTRY_NAME: &str = "Føroyar";
        /// `234`
        pub const COUNTRY_NUM: i64 = 234;
        /// `"fo"`
        pub const LANG_AB: &str = "fo";
        /// `"føroyskt"`
        pub const LANG_NAME: &str = "føroyskt";
        /// `"fao"`
        pub const LANG_TERM: &str = "fao";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Kollegievej 6, DK-2920 Charlottenlund, Danmark"`
        pub const ADDRESS: &str = "Kollegievej 6, DK-2920 Charlottenlund, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Faroese"`
        pub const LANGUAGE: &str = "Faroese";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Danish Standards Association"`
        pub const SOURCE: &str = "Danish Standards Association";
        /// `""`
        pub const TEL: &str = "";
        /// `"Faroe Islands"`
        pub const TERRITORY: &str = "Faroe Islands";
        /// `"Faroese locale for Faroe Islands"`
        pub const TITLE: &str = "Faroese locale for Faroe Islands";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0Nn]"`
        pub const NOEXPR: &str = "^[-0Nn]";
        /// `"nei"`
        pub const NOSTR: &str = "nei";
        /// `"^[+1JjYy]"`
        pub const YESEXPR: &str = "^[+1JjYy]";
        /// `"já"`
        pub const YESSTR: &str = "já";
    }
    pub use super::da_DK::LC_MONETARY;
    pub use super::da_DK::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"298"`
        pub const INT_PREFIX: &str = "298";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["sun", "mán", "týs", "mik", "hós", "frí", "ley"]`
        pub const ABDAY: &[&str] = &["sun", "mán", "týs", "mik", "hós", "frí", "ley"];
        /// `&["jan", "feb", "mar", "apr", "mai", "jun", "jul", "aug", "sep", "okt", "nov", "des"]`
        pub const ABMON: &[&str] = &["jan", "feb", "mar", "apr", "mai", "jun", "jul", "aug", "sep", "okt", "nov", "des"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m-%Y"`
        pub const D_FMT: &str = "%d/%m-%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["sunnudagur", "mánadagur", "týsdagur", "mikudagur", "hósdagur", "fríggjadagur", "leygardagur"]`
        pub const DAY: &[&str] = &["sunnudagur", "mánadagur", "týsdagur", "mikudagur", "hósdagur", "fríggjadagur", "leygardagur"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["januar", "februar", "mars", "apríl", "mai", "juni", "juli", "august", "september", "oktober", "november", "desember"]`
        pub const MON: &[&str] = &["januar", "februar", "mars", "apríl", "mai", "juni", "juli", "august", "september", "oktober", "november", "desember"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod fr_BE {
    pub mod LC_ADDRESS {
        /// `"BE"`
        pub const COUNTRY_ABTWO: &str = "BE";
        /// `"BEL"`
        pub const COUNTRY_AB3: &str = "BEL";
        /// `"B"`
        pub const COUNTRY_CAR: &str = "B";
        /// `"Belgique"`
        pub const COUNTRY_NAME: &str = "Belgique";
        /// `56`
        pub const COUNTRY_NUM: i64 = 56;
        /// `"fr"`
        pub const LANG_AB: &str = "fr";
        /// `"fre"`
        pub const LANG_LIB: &str = "fre";
        /// `"français"`
        pub const LANG_NAME: &str = "français";
        /// `"fra"`
        pub const LANG_TERM: &str = "fra";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"French"`
        pub const LANGUAGE: &str = "French";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Belgium"`
        pub const TERRITORY: &str = "Belgium";
        /// `"French locale for Belgium"`
        pub const TITLE: &str = "French locale for Belgium";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"non"`
        pub const NOSTR: &str = "non";
        /// `"^[+1oOjJyY]"`
        pub const YESEXPR: &str = "^[+1oOjJyY]";
        /// `"oui"`
        pub const YESSTR: &str = "oui";
    }
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"32"`
        pub const INT_PREFIX: &str = "32";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dim", "lun", "mar", "mer", "jeu", "ven", "sam"]`
        pub const ABDAY: &[&str] = &["dim", "lun", "mar", "mer", "jeu", "ven", "sam"];
        /// `&["jan", "fév", "mar", "avr", "mai", "jun", "jui", "aoû", "sep", "oct", "nov", "déc"]`
        pub const ABMON: &[&str] = &["jan", "fév", "mar", "avr", "mai", "jun", "jui", "aoû", "sep", "oct", "nov", "déc"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["dimanche", "lundi", "mardi", "mercredi", "jeudi", "vendredi", "samedi"]`
        pub const DAY: &[&str] = &["dimanche", "lundi", "mardi", "mercredi", "jeudi", "vendredi", "samedi"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre"]`
        pub const MON: &[&str] = &["janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod fr_BE_euro {
    pub use super::fr_BE::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-08-20"`
        pub const DATE: &str = "2000-08-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"French"`
        pub const LANGUAGE: &str = "French";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Belgium"`
        pub const TERRITORY: &str = "Belgium";
        /// `"French locale for Belgium with Euro"`
        pub const TITLE: &str = "French locale for Belgium with Euro";
    }
    pub use super::fr_BE::LC_MESSAGES;
    pub use super::fr_BE::LC_MONETARY;
    pub use super::fr_BE::LC_NUMERIC;
    pub use super::fr_BE::LC_TELEPHONE;
    pub use super::fr_BE::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod fr_CA {
    pub mod LC_ADDRESS {
        /// `"CA"`
        pub const COUNTRY_ABTWO: &str = "CA";
        /// `"CAN"`
        pub const COUNTRY_AB3: &str = "CAN";
        /// `"CDN"`
        pub const COUNTRY_CAR: &str = "CDN";
        /// `"Canada"`
        pub const COUNTRY_NAME: &str = "Canada";
        /// `124`
        pub const COUNTRY_NUM: i64 = 124;
        /// `"fr"`
        pub const LANG_AB: &str = "fr";
        /// `"fre"`
        pub const LANG_LIB: &str = "fre";
        /// `"français"`
        pub const LANG_NAME: &str = "français";
        /// `"fra"`
        pub const LANG_TERM: &str = "fra";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Canadian French"`
        pub const LANGUAGE: &str = "Canadian French";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Canada"`
        pub const TERRITORY: &str = "Canada";
        /// `"French locale for Canada"`
        pub const TITLE: &str = "French locale for Canada";
    }
    pub use super::fr_FR::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"$"`
        pub const CURRENCY_SYMBOL: &str = "$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"CAD "`
        pub const INT_CURR_SYMBOL: &str = "CAD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `0`
        pub const N_SIGN_POSN: i64 = 0;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::fr_FR::LC_NUMERIC;
    pub use super::en_CA::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["dim", "lun", "mar", "mer", "jeu", "ven", "sam"]`
        pub const ABDAY: &[&str] = &["dim", "lun", "mar", "mer", "jeu", "ven", "sam"];
        /// `&["jan", "fév", "mar", "avr", "mai", "jun", "jui", "aoû", "sep", "oct", "nov", "déc"]`
        pub const ABMON: &[&str] = &["jan", "fév", "mar", "avr", "mai", "jun", "jui", "aoû", "sep", "oct", "nov", "déc"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%Y-%m-%d"`
        pub const D_FMT: &str = "%Y-%m-%d";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["dimanche", "lundi", "mardi", "mercredi", "jeudi", "vendredi", "samedi"]`
        pub const DAY: &[&str] = &["dimanche", "lundi", "mardi", "mercredi", "jeudi", "vendredi", "samedi"];
        /// `&["janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre"]`
        pub const MON: &[&str] = &["janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod fr_CH {
    pub mod LC_ADDRESS {
        /// `"CH"`
        pub const COUNTRY_ABTWO: &str = "CH";
        /// `"CHE"`
        pub const COUNTRY_AB3: &str = "CHE";
        /// `"CH"`
        pub const COUNTRY_CAR: &str = "CH";
        /// `"Suisse"`
        pub const COUNTRY_NAME: &str = "Suisse";
        /// `756`
        pub const COUNTRY_NUM: i64 = 756;
        /// `"fr"`
        pub const LANG_AB: &str = "fr";
        /// `"fre"`
        pub const LANG_LIB: &str = "fre";
        /// `"français"`
        pub const LANG_NAME: &str = "français";
        /// `"fra"`
        pub const LANG_TERM: &str = "fra";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Swiss French"`
        pub const LANGUAGE: &str = "Swiss French";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Switzerland"`
        pub const TERRITORY: &str = "Switzerland";
        /// `"French locale for Switzerland"`
        pub const TITLE: &str = "French locale for Switzerland";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"non"`
        pub const NOSTR: &str = "non";
        /// `"^[+1OojJsSyY]"`
        pub const YESEXPR: &str = "^[+1OojJsSyY]";
        /// `"oui"`
        pub const YESSTR: &str = "oui";
    }
    pub use super::de_CH::LC_MONETARY;
    pub use super::de_CH::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"41"`
        pub const INT_PREFIX: &str = "41";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dim", "lun", "mar", "mer", "jeu", "ven", "sam"]`
        pub const ABDAY: &[&str] = &["dim", "lun", "mar", "mer", "jeu", "ven", "sam"];
        /// `&["jan", "fév", "mar", "avr", "mai", "jun", "jui", "aoû", "sep", "oct", "nov", "déc"]`
        pub const ABMON: &[&str] = &["jan", "fév", "mar", "avr", "mai", "jun", "jui", "aoû", "sep", "oct", "nov", "déc"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d. %m. %y"`
        pub const D_FMT: &str = "%d. %m. %y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["dimanche", "lundi", "mardi", "mercredi", "jeudi", "vendredi", "samedi"]`
        pub const DAY: &[&str] = &["dimanche", "lundi", "mardi", "mercredi", "jeudi", "vendredi", "samedi"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre"]`
        pub const MON: &[&str] = &["janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod fr_FR {
    pub mod LC_ADDRESS {
        /// `"FR"`
        pub const COUNTRY_ABTWO: &str = "FR";
        /// `"FRA"`
        pub const COUNTRY_AB3: &str = "FRA";
        /// `"F"`
        pub const COUNTRY_CAR: &str = "F";
        /// `"979-10"`
        pub const COUNTRY_ISBN: &str = "979-10";
        /// `"France"`
        pub const COUNTRY_NAME: &str = "France";
        /// `250`
        pub const COUNTRY_NUM: i64 = 250;
        /// `"fr"`
        pub const LANG_AB: &str = "fr";
        /// `"fre"`
        pub const LANG_LIB: &str = "fre";
        /// `"français"`
        pub const LANG_NAME: &str = "français";
        /// `"fra"`
        pub const LANG_TERM: &str = "fra";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Traduc.org"`
        pub const CONTACT: &str = "Traduc.org";
        /// `"2008-03-15"`
        pub const DATE: &str = "2008-03-15";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"French"`
        pub const LANGUAGE: &str = "French";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"France"`
        pub const TERRITORY: &str = "France";
        /// `"French locale for France"`
        pub const TITLE: &str = "French locale for France";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"non"`
        pub const NOSTR: &str = "non";
        /// `"^[+1oOyY]"`
        pub const YESEXPR: &str = "^[+1oOyY]";
        /// `"oui"`
        pub const YESSTR: &str = "oui";
    }
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `"\u{202f}"`
        pub const THOUSANDS_SEP: &str = "\u{202f}";
    }
    pub mod LC_TELEPHONE {
        /// `"33"`
        pub const INT_PREFIX: &str = "33";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%a %l"`
        pub const TEL_DOM_FMT: &str = "%a %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dim.", "lun.", "mar.", "mer.", "jeu.", "ven.", "sam."]`
        pub const ABDAY: &[&str] = &["dim.", "lun.", "mar.", "mer.", "jeu.", "ven.", "sam."];
        /// `&["janv.", "févr.", "mars", "avril", "mai", "juin", "juil.", "août", "sept.", "oct.", "nov.", "déc."]`
        pub const ABMON: &[&str] = &["janv.", "févr.", "mars", "avril", "mai", "juin", "juil.", "août", "sept.", "oct.", "nov.", "déc."];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["dimanche", "lundi", "mardi", "mercredi", "jeudi", "vendredi", "samedi"]`
        pub const DAY: &[&str] = &["dimanche", "lundi", "mardi", "mercredi", "jeudi", "vendredi", "samedi"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre"]`
        pub const MON: &[&str] = &["janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod fr_FR_euro {
    pub use super::fr_FR::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"2000-08-20"`
        pub const DATE: &str = "2000-08-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"French"`
        pub const LANGUAGE: &str = "French";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"France"`
        pub const TERRITORY: &str = "France";
        /// `"French locale for France with Euro"`
        pub const TITLE: &str = "French locale for France with Euro";
    }
    pub use super::fr_FR::LC_MESSAGES;
    pub use super::fr_FR::LC_MONETARY;
    pub use super::fr_FR::LC_NUMERIC;
    pub use super::fr_FR::LC_TELEPHONE;
    pub use super::fr_FR::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod fr_LU {
    pub mod LC_ADDRESS {
        /// `"LU"`
        pub const COUNTRY_ABTWO: &str = "LU";
        /// `"LUX"`
        pub const COUNTRY_AB3: &str = "LUX";
        /// `"L"`
        pub const COUNTRY_CAR: &str = "L";
        /// `"Luxembourg"`
        pub const COUNTRY_NAME: &str = "Luxembourg";
        /// `442`
        pub const COUNTRY_NUM: i64 = 442;
        /// `"fr"`
        pub const LANG_AB: &str = "fr";
        /// `"fre"`
        pub const LANG_LIB: &str = "fre";
        /// `"français"`
        pub const LANG_NAME: &str = "français";
        /// `"fra"`
        pub const LANG_TERM: &str = "fra";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"French"`
        pub const LANGUAGE: &str = "French";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Luxembourg"`
        pub const TERRITORY: &str = "Luxembourg";
        /// `"French locale for Luxemburg"`
        pub const TITLE: &str = "French locale for Luxemburg";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"non"`
        pub const NOSTR: &str = "non";
        /// `"^[+1oOyY]"`
        pub const YESEXPR: &str = "^[+1oOyY]";
        /// `"oui"`
        pub const YESSTR: &str = "oui";
    }
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const THOUSANDS_SEP: &str = "\u{202f}";
    }
    pub mod LC_TELEPHONE {
        /// `"352"`
        pub const INT_PREFIX: &str = "352";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dim", "lun", "mar", "mer", "jeu", "ven", "sam"]`
        pub const ABDAY: &[&str] = &["dim", "lun", "mar", "mer", "jeu", "ven", "sam"];
        /// `&["jan", "fév", "mar", "avr", "mai", "jun", "jui", "aoû", "sep", "oct", "nov", "déc"]`
        pub const ABMON: &[&str] = &["jan", "fév", "mar", "avr", "mai", "jun", "jui", "aoû", "sep", "oct", "nov", "déc"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["dimanche", "lundi", "mardi", "mercredi", "jeudi", "vendredi", "samedi"]`
        pub const DAY: &[&str] = &["dimanche", "lundi", "mardi", "mercredi", "jeudi", "vendredi", "samedi"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre"]`
        pub const MON: &[&str] = &["janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod fr_LU_euro {
    pub use super::fr_LU::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-08-20"`
        pub const DATE: &str = "2000-08-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"French"`
        pub const LANGUAGE: &str = "French";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Luxembourg"`
        pub const TERRITORY: &str = "Luxembourg";
        /// `"French locale for Luxemburg with Euro"`
        pub const TITLE: &str = "French locale for Luxemburg with Euro";
    }
    pub use super::fr_LU::LC_MESSAGES;
    pub use super::fr_LU::LC_MONETARY;
    pub use super::fr_LU::LC_NUMERIC;
    pub use super::fr_LU::LC_TELEPHONE;
    pub use super::fr_LU::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod fur_IT {
    pub mod LC_ADDRESS {
        /// `"IT"`
        pub const COUNTRY_ABTWO: &str = "IT";
        /// `"ITA"`
        pub const COUNTRY_AB3: &str = "ITA";
        /// `"I"`
        pub const COUNTRY_CAR: &str = "I";
        /// `"978-88,979-12"`
        pub const COUNTRY_ISBN: &str = "978-88,979-12";
        /// `"Italie"`
        pub const COUNTRY_NAME: &str = "Italie";
        /// `380`
        pub const COUNTRY_NUM: i64 = 380;
        /// `"furlan"`
        pub const LANG_NAME: &str = "furlan";
        /// `"fur"`
        pub const LANG_TERM: &str = "fur";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Pablo Saratxaga"`
        pub const CONTACT: &str = "Pablo Saratxaga";
        /// `"2004-04-26"`
        pub const DATE: &str = "2004-04-26";
        /// `"pablo@mandrakesoft.com"`
        pub const EMAIL: &str = "pablo@mandrakesoft.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Friulian"`
        pub const LANGUAGE: &str = "Friulian";
        /// `"0.3"`
        pub const REVISION: &str = "0.3";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Italy"`
        pub const TERRITORY: &str = "Italy";
        /// `"Furlan locale for Italy"`
        pub const TITLE: &str = "Furlan locale for Italy";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"no"`
        pub const NOSTR: &str = "no";
        /// `"^[+1sSjJoOyY]"`
        pub const YESEXPR: &str = "^[+1sSjJoOyY]";
        /// `"sì"`
        pub const YESSTR: &str = "sì";
    }
    pub use super::it_IT::LC_MONETARY;
    pub use super::it_IT::LC_NUMERIC;
    pub use super::it_IT::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Dom", "Lun", "Mar", "Mie", "Joi", "Vin", "Sab"]`
        pub const ABDAY: &[&str] = &["Dom", "Lun", "Mar", "Mie", "Joi", "Vin", "Sab"];
        /// `&["Zen", "Fev", "Mar", "Avr", "Mai", "Jug", "Lui", "Avo", "Set", "Otu", "Nov", "Dic"]`
        pub const ABMON: &[&str] = &["Zen", "Fev", "Mar", "Avr", "Mai", "Jug", "Lui", "Avo", "Set", "Otu", "Nov", "Dic"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d. %m. %y"`
        pub const D_FMT: &str = "%d. %m. %y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Domenie", "Lunis", "Martars", "Miercus", "Joibe", "Vinars", "Sabide"]`
        pub const DAY: &[&str] = &["Domenie", "Lunis", "Martars", "Miercus", "Joibe", "Vinars", "Sabide"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Zenâr", "Fevrâr", "Març", "Avrîl", "Mai", "Jugn", "Lui", "Avost", "Setembar", "Otubar", "Novembar", "Dicembar"]`
        pub const MON: &[&str] = &["Zenâr", "Fevrâr", "Març", "Avrîl", "Mai", "Jugn", "Lui", "Avost", "Setembar", "Otubar", "Novembar", "Dicembar"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod fy_DE {
    pub mod LC_ADDRESS {
        /// `"DE"`
        pub const COUNTRY_ABTWO: &str = "DE";
        /// `"DEU"`
        pub const COUNTRY_AB3: &str = "DEU";
        /// `"D"`
        pub const COUNTRY_CAR: &str = "D";
        /// `"3"`
        pub const COUNTRY_ISBN: &str = "3";
        /// `"Dútslân"`
        pub const COUNTRY_NAME: &str = "Dútslân";
        /// `276`
        pub const COUNTRY_NUM: i64 = 276;
        /// `"D"`
        pub const COUNTRY_POST: &str = "D";
        /// `"fy"`
        pub const LANG_AB: &str = "fy";
        /// `"fry"`
        pub const LANG_LIB: &str = "fry";
        /// `"Frysk"`
        pub const LANG_NAME: &str = "Frysk";
        /// `"fry"`
        pub const LANG_TERM: &str = "fry";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
        ];
        /// `"Kenneth Christiansen, Pablo Saratxaga"`
        pub const CONTACT: &str = "Kenneth Christiansen, Pablo Saratxaga";
        /// `"2003-11-30"`
        pub const DATE: &str = "2003-11-30";
        /// `"kenneth@gnu.org, pablo@mandriva.com"`
        pub const EMAIL: &str = "kenneth@gnu.org, pablo@mandriva.com";
        /// `"Western Frisian"`
        pub const LANGUAGE: &str = "Western Frisian";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `"information from Kenneth Christiansen"`
        pub const SOURCE: &str = "information from Kenneth Christiansen";
        /// `""`
        pub const TEL: &str = "";
        /// `"Germany"`
        pub const TERRITORY: &str = "Germany";
        /// `"Sater Frisian and North Frisian Locale for Germany"`
        pub const TITLE: &str = "Sater Frisian and North Frisian Locale for Germany";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"nee"`
        pub const NOSTR: &str = "nee";
        /// `"^[+1jJyY]"`
        pub const YESEXPR: &str = "^[+1jJyY]";
        /// `"ja"`
        pub const YESSTR: &str = "ja";
    }
    pub use super::de_DE::LC_MONETARY;
    pub use super::de_DE::LC_NUMERIC;
    pub use super::de_DE::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Sdg", "Mdg", "Dsg", "Mwk", "Ddg", "Fdg", "Swd"]`
        pub const ABDAY: &[&str] = &["Sdg", "Mdg", "Dsg", "Mwk", "Ddg", "Fdg", "Swd"];
        /// `&["Jan", "Feb", "Moz", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Now", "Dez"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Moz", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Now", "Dez"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d. %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d. %b %Y %T %Z";
        /// `&["Sinndag", "Mondag", "Dingsdag", "Meddwäakj", "Donnadag", "Friedag", "Sinnowend"]`
        pub const DAY: &[&str] = &["Sinndag", "Mondag", "Dingsdag", "Meddwäakj", "Donnadag", "Friedag", "Sinnowend"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Jaunuwoa", "Februwoa", "Moaz", "Aprell", "Mai", "Juni", "Juli", "August", "Septamba", "Oktoba", "Nowamba", "Dezamba"]`
        pub const MON: &[&str] = &["Jaunuwoa", "Februwoa", "Moaz", "Aprell", "Mai", "Juni", "Juli", "August", "Septamba", "Oktoba", "Nowamba", "Dezamba"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod fy_NL {
    pub mod LC_ADDRESS {
        /// `"NL"`
        pub const COUNTRY_ABTWO: &str = "NL";
        /// `"NLD"`
        pub const COUNTRY_AB3: &str = "NLD";
        /// `"NL"`
        pub const COUNTRY_CAR: &str = "NL";
        /// `"Nederlân"`
        pub const COUNTRY_NAME: &str = "Nederlân";
        /// `528`
        pub const COUNTRY_NUM: i64 = 528;
        /// `"fy"`
        pub const LANG_AB: &str = "fy";
        /// `"fry"`
        pub const LANG_LIB: &str = "fry";
        /// `"West-Frysk"`
        pub const LANG_NAME: &str = "West-Frysk";
        /// `"fry"`
        pub const LANG_TERM: &str = "fry";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2006-08-13"`
        pub const DATE: &str = "2006-08-13";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Western Frisian"`
        pub const LANGUAGE: &str = "Western Frisian";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Netherlands"`
        pub const TERRITORY: &str = "Netherlands";
        /// `"Frisian locale for the Netherlands"`
        pub const TITLE: &str = "Frisian locale for the Netherlands";
    }
    pub use super::nl_NL::LC_MESSAGES;
    pub use super::nl_NL::LC_MONETARY;
    pub use super::nl_NL::LC_NUMERIC;
    pub use super::nl_NL::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Sn", "Mo", "Ti", "Wo", "To", "Fr", "Sn"]`
        pub const ABDAY: &[&str] = &["Sn", "Mo", "Ti", "Wo", "To", "Fr", "Sn"];
        /// `&["Jan", "Feb", "Mrt", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Des"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mrt", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Des"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d-%m-%y"`
        pub const D_FMT: &str = "%d-%m-%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Snein", "Moandei", "Tiisdei", "Woansdei", "Tongersdei", "Freed", "Sneon"]`
        pub const DAY: &[&str] = &["Snein", "Moandei", "Tiisdei", "Woansdei", "Tongersdei", "Freed", "Sneon"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Jannewaris", "Febrewaris", "Maart", "April", "Maaie", "Juny", "July", "Augustus", "Septimber", "Oktober", "Novimber", "Desimber"]`
        pub const MON: &[&str] = &["Jannewaris", "Febrewaris", "Maart", "April", "Maaie", "Juny", "July", "Augustus", "Septimber", "Oktober", "Novimber", "Desimber"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ga_IE {
    pub mod LC_ADDRESS {
        /// `"IE"`
        pub const COUNTRY_ABTWO: &str = "IE";
        /// `"IRL"`
        pub const COUNTRY_AB3: &str = "IRL";
        /// `"IRL"`
        pub const COUNTRY_CAR: &str = "IRL";
        /// `"Éire"`
        pub const COUNTRY_NAME: &str = "Éire";
        /// `372`
        pub const COUNTRY_NUM: i64 = 372;
        /// `"ga"`
        pub const LANG_AB: &str = "ga";
        /// `"gle"`
        pub const LANG_LIB: &str = "gle";
        /// `"Gaeilge"`
        pub const LANG_NAME: &str = "Gaeilge";
        /// `"gle"`
        pub const LANG_TERM: &str = "gle";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Glasnevin, Dublin 9, Ireland"`
        pub const ADDRESS: &str = "Glasnevin, Dublin 9, Ireland";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Irish"`
        pub const LANGUAGE: &str = "Irish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"NSAI"`
        pub const SOURCE: &str = "NSAI";
        /// `""`
        pub const TEL: &str = "";
        /// `"Ireland"`
        pub const TERRITORY: &str = "Ireland";
        /// `"Irish locale for Ireland"`
        pub const TITLE: &str = "Irish locale for Ireland";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"níl"`
        pub const NOSTR: &str = "níl";
        /// `"^[+1tTyY]"`
        pub const YESEXPR: &str = "^[+1tTyY]";
        /// `"tá"`
        pub const YESSTR: &str = "tá";
    }
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"353"`
        pub const INT_PREFIX: &str = "353";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Domh", "Luan", "Máirt", "Céad", "Déar", "Aoine", "Sath"]`
        pub const ABDAY: &[&str] = &["Domh", "Luan", "Máirt", "Céad", "Déar", "Aoine", "Sath"];
        /// `&["Ean", "Feabh", "Márta", "Aib", "Beal", "Meith", "Iúil", "Lún", "MFómh", "DFómh", "Samh", "Noll"]`
        pub const ABMON: &[&str] = &["Ean", "Feabh", "Márta", "Aib", "Beal", "Meith", "Iúil", "Lún", "MFómh", "DFómh", "Samh", "Noll"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%y"`
        pub const D_FMT: &str = "%d.%m.%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Dé Domhnaigh", "Dé Luain", "Dé Máirt", "Dé Céadaoin", "Déardaoin", "Dé hAoine", "Dé Sathairn"]`
        pub const DAY: &[&str] = &["Dé Domhnaigh", "Dé Luain", "Dé Máirt", "Dé Céadaoin", "Déardaoin", "Dé hAoine", "Dé Sathairn"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Eanáir", "Feabhra", "Márta", "Aibreán", "Bealtaine", "Meitheamh", "Iúil", "Lúnasa", "Meán Fómhair", "Deireadh Fómhair", "Samhain", "Nollaig"]`
        pub const MON: &[&str] = &["Eanáir", "Feabhra", "Márta", "Aibreán", "Bealtaine", "Meitheamh", "Iúil", "Lúnasa", "Meán Fómhair", "Deireadh Fómhair", "Samhain", "Nollaig"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ga_IE_euro {
    pub use super::ga_IE::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-08-21"`
        pub const DATE: &str = "2000-08-21";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Irish"`
        pub const LANGUAGE: &str = "Irish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Ireland"`
        pub const TERRITORY: &str = "Ireland";
        /// `"Irish locale for Ireland with Euro"`
        pub const TITLE: &str = "Irish locale for Ireland with Euro";
    }
    pub use super::ga_IE::LC_MESSAGES;
    pub use super::ga_IE::LC_MONETARY;
    pub use super::ga_IE::LC_NUMERIC;
    pub use super::ga_IE::LC_TELEPHONE;
    pub use super::ga_IE::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod gd_GB {
    pub mod LC_ADDRESS {
        /// `"GB"`
        pub const COUNTRY_ABTWO: &str = "GB";
        /// `"GBR"`
        pub const COUNTRY_AB3: &str = "GBR";
        /// `"GB"`
        pub const COUNTRY_CAR: &str = "GB";
        /// `0`
        pub const COUNTRY_ISBN: i64 = 0;
        /// `"An Rìoghachd Aonaichte"`
        pub const COUNTRY_NAME: &str = "An Rìoghachd Aonaichte";
        /// `826`
        pub const COUNTRY_NUM: i64 = 826;
        /// `"gd"`
        pub const LANG_AB: &str = "gd";
        /// `"gla"`
        pub const LANG_LIB: &str = "gla";
        /// `"Gàidhlig"`
        pub const LANG_NAME: &str = "Gàidhlig";
        /// `"gla"`
        pub const LANG_TERM: &str = "gla";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%S%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%S%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1/2, 47 Wilton Street, Glasgow G20 6RT, UK"`
        pub const ADDRESS: &str = "1/2, 47 Wilton Street, Glasgow G20 6RT, UK";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"Michael Bauer"`
        pub const CONTACT: &str = "Michael Bauer";
        /// `"2013-04-25"`
        pub const DATE: &str = "2013-04-25";
        /// `"fios@akerbeltz.org"`
        pub const EMAIL: &str = "fios@akerbeltz.org";
        /// `"Scottish Gaelic"`
        pub const LANGUAGE: &str = "Scottish Gaelic";
        /// `"1.2"`
        pub const REVISION: &str = "1.2";
        /// `"Akerbeltz"`
        pub const SOURCE: &str = "Akerbeltz";
        /// `""`
        pub const TEL: &str = "";
        /// `"United Kingdom"`
        pub const TERRITORY: &str = "United Kingdom";
        /// `"Scots Gaelic language locale for Great Britain"`
        pub const TITLE: &str = "Scots Gaelic language locale for Great Britain";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0cCnN]"`
        pub const NOEXPR: &str = "^[-0cCnN]";
        /// `"chan eil"`
        pub const NOSTR: &str = "chan eil";
        /// `"^[+1tTyY]"`
        pub const YESEXPR: &str = "^[+1tTyY]";
        /// `"tha"`
        pub const YESSTR: &str = "tha";
    }
    pub use super::en_GB::LC_MONETARY;
    pub use super::en_GB::LC_NUMERIC;
    pub use super::en_GB::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["DiD", "DiL", "DiM", "DiC", "Dia", "Dih", "DiS"]`
        pub const ABDAY: &[&str] = &["DiD", "DiL", "DiM", "DiC", "Dia", "Dih", "DiS"];
        /// `&["Faoi", "Gearr", "Màrt", "Gibl", "Cèit", "Ògmh", "Iuch", "Lùna", "Sult", "Dàmh", "Samh", "Dùbh"]`
        pub const ABMON: &[&str] = &["Faoi", "Gearr", "Màrt", "Gibl", "Cèit", "Ògmh", "Iuch", "Lùna", "Sult", "Dàmh", "Samh", "Dùbh"];
        /// `&["Am Faoilleach", "An Gearran", "Am Màrt", "An Giblean", "An Cèitean", "An t-Ògmhios", "An t-Iuchar", "An Lùnastal", "An t-Sultain", "An Dàmhair", "An t-Samhain", "An Dùbhlachd"]`
        pub const ALT_MON: &[&str] = &["Am Faoilleach", "An Gearran", "Am Màrt", "An Giblean", "An Cèitean", "An t-Ògmhios", "An t-Iuchar", "An Lùnastal", "An t-Sultain", "An Dàmhair", "An t-Samhain", "An Dùbhlachd"];
        /// `&["m", "f"]`
        pub const AM_PM: &[&str] = &["m", "f"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["DiDòmhnaich", "DiLuain", "DiMàirt", "DiCiadain", "DiarDaoin", "DihAoine", "DiSathairne"]`
        pub const DAY: &[&str] = &["DiDòmhnaich", "DiLuain", "DiMàirt", "DiCiadain", "DiarDaoin", "DihAoine", "DiSathairne"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["dhen Fhaoilleach", "dhen Ghearran", "dhen Mhàrt", "dhen Ghiblean", "dhen Chèitean", "dhen Ògmhios", "dhen Iuchar", "dhen Lùnastal", "dhen t-Sultain", "dhen Dàmhair", "dhen t-Samhain", "dhen Dùbhlachd"]`
        pub const MON: &[&str] = &["dhen Fhaoilleach", "dhen Ghearran", "dhen Mhàrt", "dhen Ghiblean", "dhen Chèitean", "dhen Ògmhios", "dhen Iuchar", "dhen Lùnastal", "dhen t-Sultain", "dhen Dàmhair", "dhen t-Samhain", "dhen Dùbhlachd"];
        /// `"%r"`
        pub const T_FMT: &str = "%r";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod gez_ER {
    pub mod LC_ADDRESS {
        /// `"ER"`
        pub const COUNTRY_ABTWO: &str = "ER";
        /// `"ERI"`
        pub const COUNTRY_AB3: &str = "ERI";
        /// `"ER"`
        pub const COUNTRY_CAR: &str = "ER";
        /// `"ኤርትራ"`
        pub const COUNTRY_NAME: &str = "ኤርትራ";
        /// `232`
        pub const COUNTRY_NUM: i64 = 232;
        /// `"ERI"`
        pub const COUNTRY_POST: &str = "ERI";
        /// `"ግዕዝ"`
        pub const LANG_NAME: &str = "ግዕዝ";
        /// `"gez"`
        pub const LANG_TERM: &str = "gez";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"7802 Solomon Seal Dr., Springfield, VA 22152, USA"`
        pub const ADDRESS: &str = "7802 Solomon Seal Dr., Springfield, VA 22152, USA";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_TIME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_TIME"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2003-07-05"`
        pub const DATE: &str = "2003-07-05";
        /// `"locales@geez.org"`
        pub const EMAIL: &str = "locales@geez.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Geez"`
        pub const LANGUAGE: &str = "Geez";
        /// `"0.20"`
        pub const REVISION: &str = "0.20";
        /// `"Ge\'ez Frontier Foundation"`
        pub const SOURCE: &str = "Ge\'ez Frontier Foundation";
        /// `""`
        pub const TEL: &str = "";
        /// `"Eritrea"`
        pub const TERRITORY: &str = "Eritrea";
        /// `"Ge\'ez language locale for Eritrea."`
        pub const TITLE: &str = "Ge\'ez language locale for Eritrea.";
    }
    pub use super::ti_ER::LC_MESSAGES;
    pub use super::ti_ER::LC_MONETARY;
    pub use super::ti_ER::LC_NUMERIC;
    pub use super::ti_ER::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["እኁድ", "ሰኑይ", "ሠሉስ", "ራብዕ", "ሐሙስ", "ዓርበ", "ቀዳሚ"]`
        pub const ABDAY: &[&str] = &["እኁድ", "ሰኑይ", "ሠሉስ", "ራብዕ", "ሐሙስ", "ዓርበ", "ቀዳሚ"];
        /// `&["ጠሐረ", "ከተተ", "መገበ", "አኀዘ", "ግንባ", "ሠንየ", "ሐመለ", "ነሐሰ", "ከረመ", "ጠቀመ", "ኀደረ", "ኀሠሠ"]`
        pub const ABMON: &[&str] = &["ጠሐረ", "ከተተ", "መገበ", "አኀዘ", "ግንባ", "ሠንየ", "ሐመለ", "ነሐሰ", "ከረመ", "ጠቀመ", "ኀደረ", "ኀሠሠ"];
        /// `&["ጽባሕ", "ምሴት"]`
        pub const AM_PM: &[&str] = &["ጽባሕ", "ምሴት"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%A፥%B፡%e፡መዓልት\n፡%Y፡%r፡%Z"`
        pub const D_T_FMT: &str = "%A፥%B፡%e፡መዓልት\n፡%Y፡%r፡%Z";
        /// `"%A፥%B፡%e፡መዓልት\n፡%r፡%Z፡%Y፡ዓ/ም"`
        pub const DATE_FMT: &str = "%A፥%B፡%e፡መዓልት\n፡%r፡%Z፡%Y፡ዓ/ም";
        /// `&["እኁድ", "ሰኑይ", "ሠሉስ", "ራብዕ", "ሐሙስ", "ዓርበ", "ቀዳሚት"]`
        pub const DAY: &[&str] = &["እኁድ", "ሰኑይ", "ሠሉስ", "ራብዕ", "ሐሙስ", "ዓርበ", "ቀዳሚት"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["ጠሐረ", "ከተተ", "መገበ", "አኀዘ", "ግንባት", "ሠንየ", "ሐመለ", "ነሐሰ", "ከረመ", "ጠቀመ", "ኀደረ", "ኀሠሠ"]`
        pub const MON: &[&str] = &["ጠሐረ", "ከተተ", "መገበ", "አኀዘ", "ግንባት", "ሠንየ", "ሐመለ", "ነሐሰ", "ከረመ", "ጠቀመ", "ኀደረ", "ኀሠሠ"];
        /// `"%l:%M:%S፡%p"`
        pub const T_FMT: &str = "%l:%M:%S፡%p";
        /// `"%l:%M:%S፡%p"`
        pub const T_FMT_AMPM: &str = "%l:%M:%S፡%p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod gez_ER_abegede {
    pub use super::gez_ER::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"7802 Solomon Seal Dr., Springfield, VA 22152, USA"`
        pub const ADDRESS: &str = "7802 Solomon Seal Dr., Springfield, VA 22152, USA";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_TIME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_TIME"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2003-07-05"`
        pub const DATE: &str = "2003-07-05";
        /// `"locales@geez.org"`
        pub const EMAIL: &str = "locales@geez.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Geez"`
        pub const LANGUAGE: &str = "Geez";
        /// `"0.20"`
        pub const REVISION: &str = "0.20";
        /// `"Ge\'ez Frontier Foundation"`
        pub const SOURCE: &str = "Ge\'ez Frontier Foundation";
        /// `""`
        pub const TEL: &str = "";
        /// `"Eritrea"`
        pub const TERRITORY: &str = "Eritrea";
        /// `"Ge\'ez language locale for Eritrea With Abegede Collation."`
        pub const TITLE: &str = "Ge\'ez language locale for Eritrea With Abegede Collation.";
    }
    pub use super::gez_ER::LC_MESSAGES;
    pub use super::gez_ER::LC_MONETARY;
    pub use super::gez_ER::LC_NUMERIC;
    pub use super::gez_ER::LC_TELEPHONE;
    pub use super::gez_ER::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod gez_ET {
    pub mod LC_ADDRESS {
        /// `"ET"`
        pub const COUNTRY_ABTWO: &str = "ET";
        /// `"ETH"`
        pub const COUNTRY_AB3: &str = "ETH";
        /// `"ETH"`
        pub const COUNTRY_CAR: &str = "ETH";
        /// `"ኢትዮጵያ"`
        pub const COUNTRY_NAME: &str = "ኢትዮጵያ";
        /// `231`
        pub const COUNTRY_NUM: i64 = 231;
        /// `"ETH"`
        pub const COUNTRY_POST: &str = "ETH";
        /// `"ግዕዝ"`
        pub const LANG_NAME: &str = "ግዕዝ";
        /// `"gez"`
        pub const LANG_TERM: &str = "gez";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"7802 Solomon Seal Dr., Springfield, VA 22152, USA"`
        pub const ADDRESS: &str = "7802 Solomon Seal Dr., Springfield, VA 22152, USA";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_TIME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_TIME"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2003-07-05"`
        pub const DATE: &str = "2003-07-05";
        /// `"locales@geez.org"`
        pub const EMAIL: &str = "locales@geez.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Geez"`
        pub const LANGUAGE: &str = "Geez";
        /// `"0.20"`
        pub const REVISION: &str = "0.20";
        /// `"Ge\'ez Frontier Foundation"`
        pub const SOURCE: &str = "Ge\'ez Frontier Foundation";
        /// `""`
        pub const TEL: &str = "";
        /// `"Ethiopia"`
        pub const TERRITORY: &str = "Ethiopia";
        /// `"Ge\'ez language locale for Ethiopia"`
        pub const TITLE: &str = "Ge\'ez language locale for Ethiopia";
    }
    pub use super::ti_ET::LC_MESSAGES;
    pub use super::ti_ET::LC_MONETARY;
    pub use super::ti_ET::LC_NUMERIC;
    pub use super::ti_ET::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["እኁድ", "ሰኑይ", "ሠሉስ", "ራብዕ", "ሐሙስ", "ዓርበ", "ቀዳሚ"]`
        pub const ABDAY: &[&str] = &["እኁድ", "ሰኑይ", "ሠሉስ", "ራብዕ", "ሐሙስ", "ዓርበ", "ቀዳሚ"];
        /// `&["ጃንዩ", "ፌብሩ", "ማርች", "ኤፕረ", "ሜይ ", "ጁን ", "ጁላይ", "ኦገስ", "ሴፕቴ", "ኦክተ", "ኖቬም", "ዲሴም"]`
        pub const ABMON: &[&str] = &["ጃንዩ", "ፌብሩ", "ማርች", "ኤፕረ", "ሜይ ", "ጁን ", "ጁላይ", "ኦገስ", "ሴፕቴ", "ኦክተ", "ኖቬም", "ዲሴም"];
        /// `&["ጽባሕ", "ምሴት"]`
        pub const AM_PM: &[&str] = &["ጽባሕ", "ምሴት"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%A፥%B፡%e፡መዓልት\n፡%Y፡%r፡%Z"`
        pub const D_T_FMT: &str = "%A፥%B፡%e፡መዓልት\n፡%Y፡%r፡%Z";
        /// `"%A፥%B፡%e፡መዓልት\n፡%r፡%Z፡%Y፡ዓ/ም"`
        pub const DATE_FMT: &str = "%A፥%B፡%e፡መዓልት\n፡%r፡%Z፡%Y፡ዓ/ም";
        /// `&["እኁድ", "ሰኑይ", "ሠሉስ", "ራብዕ", "ሐሙስ", "ዓርበ", "ቀዳሚት"]`
        pub const DAY: &[&str] = &["እኁድ", "ሰኑይ", "ሠሉስ", "ራብዕ", "ሐሙስ", "ዓርበ", "ቀዳሚት"];
        /// `&["ጃንዩወሪ", "ፌብሩወሪ", "ማርች", "ኤፕረል", "ሜይ", "ጁን", "ጁላይ", "ኦገስት", "ሴፕቴምበር", "ኦክተውበር", "ኖቬምበር", "ዲሴምበር"]`
        pub const MON: &[&str] = &["ጃንዩወሪ", "ፌብሩወሪ", "ማርች", "ኤፕረል", "ሜይ", "ጁን", "ጁላይ", "ኦገስት", "ሴፕቴምበር", "ኦክተውበር", "ኖቬምበር", "ዲሴምበር"];
        /// `"%l:%M:%S፡%p"`
        pub const T_FMT: &str = "%l:%M:%S፡%p";
        /// `"%l:%M:%S፡%p"`
        pub const T_FMT_AMPM: &str = "%l:%M:%S፡%p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod gez_ET_abegede {
    pub use super::gez_ET::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"7802 Solomon Seal Dr., Springfield, VA 22152, USA"`
        pub const ADDRESS: &str = "7802 Solomon Seal Dr., Springfield, VA 22152, USA";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_TIME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_TIME"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2003-07-05"`
        pub const DATE: &str = "2003-07-05";
        /// `"locales@geez.org"`
        pub const EMAIL: &str = "locales@geez.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Geez"`
        pub const LANGUAGE: &str = "Geez";
        /// `"0.20"`
        pub const REVISION: &str = "0.20";
        /// `"Ge\'ez Frontier Foundation"`
        pub const SOURCE: &str = "Ge\'ez Frontier Foundation";
        /// `""`
        pub const TEL: &str = "";
        /// `"Ethiopia"`
        pub const TERRITORY: &str = "Ethiopia";
        /// `"Ge\'ez language locale for Ethiopia With Abegede Collation"`
        pub const TITLE: &str = "Ge\'ez language locale for Ethiopia With Abegede Collation";
    }
    pub use super::gez_ET::LC_MESSAGES;
    pub use super::gez_ET::LC_MONETARY;
    pub use super::gez_ET::LC_NUMERIC;
    pub use super::gez_ET::LC_TELEPHONE;
    pub use super::gez_ET::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod gl_ES {
    pub mod LC_ADDRESS {
        /// `"ES"`
        pub const COUNTRY_ABTWO: &str = "ES";
        /// `"ESP"`
        pub const COUNTRY_AB3: &str = "ESP";
        /// `"E"`
        pub const COUNTRY_CAR: &str = "E";
        /// `"España"`
        pub const COUNTRY_NAME: &str = "España";
        /// `724`
        pub const COUNTRY_NUM: i64 = 724;
        /// `"gl"`
        pub const LANG_AB: &str = "gl";
        /// `"glg"`
        pub const LANG_LIB: &str = "glg";
        /// `"galego"`
        pub const LANG_NAME: &str = "galego";
        /// `"glg"`
        pub const LANG_TERM: &str = "glg";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Facultade de Informática, Campus de Elviña, s/n, 15071 A Coruña, Spain"`
        pub const ADDRESS: &str = "Facultade de Informática, Campus de Elviña, s/n, 15071 A Coruña, Spain";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Galician"`
        pub const LANGUAGE: &str = "Galician";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"GPUL"`
        pub const SOURCE: &str = "GPUL";
        /// `""`
        pub const TEL: &str = "";
        /// `"Spain"`
        pub const TERRITORY: &str = "Spain";
        /// `"Galician locale for Spain"`
        pub const TITLE: &str = "Galician locale for Spain";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"non"`
        pub const NOSTR: &str = "non";
        /// `"^[+1sSyY]"`
        pub const YESEXPR: &str = "^[+1sSyY]";
        /// `"si"`
        pub const YESSTR: &str = "si";
    }
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[0, 0]`
        pub const GROUPING: &[i64] = &[0, 0];
        /// `""`
        pub const THOUSANDS_SEP: &str = "";
    }
    pub mod LC_TELEPHONE {
        /// `"34"`
        pub const INT_PREFIX: &str = "34";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Dom", "Lun", "Mar", "Mér", "Xov", "Ven", "Sáb"]`
        pub const ABDAY: &[&str] = &["Dom", "Lun", "Mar", "Mér", "Xov", "Ven", "Sáb"];
        /// `&["Xan", "Feb", "Mar", "Abr", "Mai", "Xuñ", "Xul", "Ago", "Set", "Out", "Nov", "Dec"]`
        pub const ABMON: &[&str] = &["Xan", "Feb", "Mar", "Abr", "Mai", "Xuñ", "Xul", "Ago", "Set", "Out", "Nov", "Dec"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Domingo", "Luns", "Martes", "Mércores", "Xoves", "Venres", "Sábado"]`
        pub const DAY: &[&str] = &["Domingo", "Luns", "Martes", "Mércores", "Xoves", "Venres", "Sábado"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Xaneiro", "Febreiro", "Marzo", "Abril", "Maio", "Xuño", "Xullo", "Agosto", "Setembro", "Outubro", "Novembro", "Decembro"]`
        pub const MON: &[&str] = &["Xaneiro", "Febreiro", "Marzo", "Abril", "Maio", "Xuño", "Xullo", "Agosto", "Setembro", "Outubro", "Novembro", "Decembro"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod gl_ES_euro {
    pub use super::gl_ES::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-08-21"`
        pub const DATE: &str = "2000-08-21";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Galician"`
        pub const LANGUAGE: &str = "Galician";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Spain"`
        pub const TERRITORY: &str = "Spain";
        /// `"Galician locale for Spain with Euro"`
        pub const TITLE: &str = "Galician locale for Spain with Euro";
    }
    pub use super::gl_ES::LC_MESSAGES;
    pub use super::gl_ES::LC_MONETARY;
    pub use super::gl_ES::LC_NUMERIC;
    pub use super::gl_ES::LC_TELEPHONE;
    pub use super::gl_ES::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod gu_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"ભારત"`
        pub const COUNTRY_NAME: &str = "ભારત";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"gu"`
        pub const LANG_AB: &str = "gu";
        /// `"guj"`
        pub const LANG_LIB: &str = "guj";
        /// `"ગ\u{ac1}જરાતી"`
        pub const LANG_NAME: &str = "ગ\u{ac1}જરાતી";
        /// `"guj"`
        pub const LANG_TERM: &str = "guj";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2004-09-14"`
        pub const DATE: &str = "2004-09-14";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Gujarati"`
        pub const LANGUAGE: &str = "Gujarati";
        /// `"0.2"`
        pub const REVISION: &str = "0.2";
        /// `"IndLinux.org"`
        pub const SOURCE: &str = "IndLinux.org";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Gujarati Language Locale For India"`
        pub const TITLE: &str = "Gujarati Language Locale For India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNન]"`
        pub const NOEXPR: &str = "^[-0nNન]";
        /// `"નહી\u{a82}"`
        pub const NOSTR: &str = "નહી\u{a82}";
        /// `"^[+1yYહ]"`
        pub const YESEXPR: &str = "^[+1yYહ]";
        /// `"હા"`
        pub const YESSTR: &str = "હા";
    }
    pub use super::hi_IN::LC_MONETARY;
    pub use super::hi_IN::LC_NUMERIC;
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["રવિ", "સોમ", "મ\u{a82}ગળ", "બ\u{ac1}ધ", "ગ\u{ac1}ર\u{ac1}", "શ\u{ac1}ક\u{acd}ર", "શનિ"]`
        pub const ABDAY: &[&str] = &["રવિ", "સોમ", "મ\u{a82}ગળ", "બ\u{ac1}ધ", "ગ\u{ac1}ર\u{ac1}", "શ\u{ac1}ક\u{acd}ર", "શનિ"];
        /// `&["જાન\u{acd}ય\u{ac1}", "ફ\u{ac7}બ\u{acd}ર\u{ac1}", "માર\u{acd}ચ", "એપ\u{acd}રિલ", "મ\u{ac7}", "જ\u{ac2}ન", "જ\u{ac1}લાઈ", "ઑગસ\u{acd}ટ", "સપ\u{acd}ટ\u{ac7}", "ઑક\u{acd}ટો", "નવ\u{ac7}", "ડિસ\u{ac7}"]`
        pub const ABMON: &[&str] = &["જાન\u{acd}ય\u{ac1}", "ફ\u{ac7}બ\u{acd}ર\u{ac1}", "માર\u{acd}ચ", "એપ\u{acd}રિલ", "મ\u{ac7}", "જ\u{ac2}ન", "જ\u{ac1}લાઈ", "ઑગસ\u{acd}ટ", "સપ\u{acd}ટ\u{ac7}", "ઑક\u{acd}ટો", "નવ\u{ac7}", "ડિસ\u{ac7}"];
        /// `&["સવાર\u{ac7}", "સા\u{a82}જ\u{ac7}"]`
        pub const AM_PM: &[&str] = &["સવાર\u{ac7}", "સા\u{a82}જ\u{ac7}"];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["રવિવાર", "સોમવાર", "મ\u{a82}ગળવાર", "બ\u{ac1}ધવાર", "ગ\u{ac1}ર\u{ac1}વાર", "શ\u{ac1}ક\u{acd}રવાર", "શનિવાર"]`
        pub const DAY: &[&str] = &["રવિવાર", "સોમવાર", "મ\u{a82}ગળવાર", "બ\u{ac1}ધવાર", "ગ\u{ac1}ર\u{ac1}વાર", "શ\u{ac1}ક\u{acd}રવાર", "શનિવાર"];
        /// `&["જાન\u{acd}ય\u{ac1}આરી", "ફ\u{ac7}બ\u{acd}ર\u{ac1}આરી", "માર\u{acd}ચ", "એપ\u{acd}રિલ", "મ\u{ac7}", "જ\u{ac2}ન", "જ\u{ac1}લાઈ", "ઑગસ\u{acd}ટ", "સપ\u{acd}ટ\u{ac7}મ\u{acd}બર", "ઑક\u{acd}ટોબર", "નવ\u{ac7}મ\u{acd}બર", "ડિસ\u{ac7}મ\u{acd}બર"]`
        pub const MON: &[&str] = &["જાન\u{acd}ય\u{ac1}આરી", "ફ\u{ac7}બ\u{acd}ર\u{ac1}આરી", "માર\u{acd}ચ", "એપ\u{acd}રિલ", "મ\u{ac7}", "જ\u{ac2}ન", "જ\u{ac1}લાઈ", "ઑગસ\u{acd}ટ", "સપ\u{acd}ટ\u{ac7}મ\u{acd}બર", "ઑક\u{acd}ટોબર", "નવ\u{ac7}મ\u{acd}બર", "ડિસ\u{ac7}મ\u{acd}બર"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod gv_GB {
    pub mod LC_ADDRESS {
        /// `"GB"`
        pub const COUNTRY_ABTWO: &str = "GB";
        /// `"GBR"`
        pub const COUNTRY_AB3: &str = "GBR";
        /// `"GB"`
        pub const COUNTRY_CAR: &str = "GB";
        /// `"Rywvaneth Unys"`
        pub const COUNTRY_NAME: &str = "Rywvaneth Unys";
        /// `826`
        pub const COUNTRY_NUM: i64 = 826;
        /// `"gv"`
        pub const LANG_AB: &str = "gv";
        /// `"glv"`
        pub const LANG_LIB: &str = "glv";
        /// `"Gaelg"`
        pub const LANG_NAME: &str = "Gaelg";
        /// `"glv"`
        pub const LANG_TERM: &str = "glv";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Croí Lár, Ballinahalla, Maigh Cuilinn,, Co. Gaillimh, Ireland"`
        pub const ADDRESS: &str = "Croí Lár, Ballinahalla, Maigh Cuilinn,, Co. Gaillimh, Ireland";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Manx"`
        pub const LANGUAGE: &str = "Manx";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Alastair McKinstry"`
        pub const SOURCE: &str = "Alastair McKinstry";
        /// `""`
        pub const TEL: &str = "";
        /// `"United Kingdom"`
        pub const TERRITORY: &str = "United Kingdom";
        /// `"Manx Gaelic locale for Britain"`
        pub const TITLE: &str = "Manx Gaelic locale for Britain";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
    }
    pub mod LC_MONETARY {
        /// `"£"`
        pub const CURRENCY_SYMBOL: &str = "£";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"GBP "`
        pub const INT_CURR_SYMBOL: &str = "GBP ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"44"`
        pub const INT_PREFIX: &str = "44";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Jed", "Jel", "Jem", "Jerc", "Jerd", "Jeh", "Jes"]`
        pub const ABDAY: &[&str] = &["Jed", "Jel", "Jem", "Jerc", "Jerd", "Jeh", "Jes"];
        /// `&["J-guer", "T-arree", "Mayrnt", "Avrril", "Boaldyn", "M-souree", "J-souree", "Luanistyn", "M-fouyir", "J-fouyir", "M.Houney", "M.Nollick"]`
        pub const ABMON: &[&str] = &["J-guer", "T-arree", "Mayrnt", "Avrril", "Boaldyn", "M-souree", "J-souree", "Luanistyn", "M-fouyir", "J-fouyir", "M.Houney", "M.Nollick"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Jedoonee", "Jelhein", "Jemayrt", "Jercean", "Jerdein", "Jeheiney", "Jesarn"]`
        pub const DAY: &[&str] = &["Jedoonee", "Jelhein", "Jemayrt", "Jercean", "Jerdein", "Jeheiney", "Jesarn"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Jerrey-geuree", "Toshiaght-arree", "Mayrnt", "Averil", "Boaldyn", "Mean-souree", "Jerrey-souree", "Luanistyn", "Mean-fouyir", "Jerrey-fouyir", "Mee Houney", "Mee ny Nollick"]`
        pub const MON: &[&str] = &["Jerrey-geuree", "Toshiaght-arree", "Mayrnt", "Averil", "Boaldyn", "Mean-souree", "Jerrey-souree", "Luanistyn", "Mean-fouyir", "Jerrey-fouyir", "Mee Houney", "Mee ny Nollick"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ha_NG {
    pub mod LC_ADDRESS {
        /// `"NG"`
        pub const COUNTRY_ABTWO: &str = "NG";
        /// `"NGA"`
        pub const COUNTRY_AB3: &str = "NGA";
        /// `"WAN"`
        pub const COUNTRY_CAR: &str = "WAN";
        /// `978`
        pub const COUNTRY_ISBN: i64 = 978;
        /// `"Najeriya"`
        pub const COUNTRY_NAME: &str = "Najeriya";
        /// `566`
        pub const COUNTRY_NUM: i64 = 566;
        /// `"ha"`
        pub const LANG_AB: &str = "ha";
        /// `"hau"`
        pub const LANG_LIB: &str = "hau";
        /// `"Hausa"`
        pub const LANG_NAME: &str = "Hausa";
        /// `"hau"`
        pub const LANG_TERM: &str = "hau";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2006-02-01"`
        pub const DATE: &str = "2006-02-01";
        /// `"pablo@mandriva.com"`
        pub const EMAIL: &str = "pablo@mandriva.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Hausa"`
        pub const LANGUAGE: &str = "Hausa";
        /// `"0.2"`
        pub const REVISION: &str = "0.2";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Nigeria"`
        pub const TERRITORY: &str = "Nigeria";
        /// `"Hausa locale for Nigeria"`
        pub const TITLE: &str = "Hausa locale for Nigeria";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0bBaAnN]"`
        pub const NOEXPR: &str = "^[-0bBaAnN]";
        /// `"aʼa"`
        pub const NOSTR: &str = "aʼa";
        /// `"^[+1TtiIYy]"`
        pub const YESEXPR: &str = "^[+1TtiIYy]";
        /// `"i"`
        pub const YESSTR: &str = "i";
    }
    pub use super::en_NG::LC_MONETARY;
    pub use super::en_NG::LC_NUMERIC;
    pub use super::en_NG::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Lah", "Lit", "Tal", "Lar", "Alh", "Jum", "Asa"]`
        pub const ABDAY: &[&str] = &["Lah", "Lit", "Tal", "Lar", "Alh", "Jum", "Asa"];
        /// `&["Jan", "Fab", "Mar", "Afi", "May", "Yun", "Yul", "Agu", "Sat", "Okt", "Nuw", "Dis"]`
        pub const ABMON: &[&str] = &["Jan", "Fab", "Mar", "Afi", "May", "Yun", "Yul", "Agu", "Sat", "Okt", "Nuw", "Dis"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"ranar %A, %d ga %B cikin %r %Z"`
        pub const D_T_FMT: &str = "ranar %A, %d ga %B cikin %r %Z";
        /// `&["Lahadi", "Litini", "Talata", "Laraba", "Alhamis", "Juma\'a", "Asabar"]`
        pub const DAY: &[&str] = &["Lahadi", "Litini", "Talata", "Laraba", "Alhamis", "Juma\'a", "Asabar"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Janairu", "Faburairu", "Maris", "Afirilu", "Mayu", "Yuni", "Yuli", "Agusta", "Satumba", "Oktoba", "Nuwamba", "Disamba"]`
        pub const MON: &[&str] = &["Janairu", "Faburairu", "Maris", "Afirilu", "Mayu", "Yuni", "Yuli", "Agusta", "Satumba", "Oktoba", "Nuwamba", "Disamba"];
        /// `"%r"`
        pub const T_FMT: &str = "%r";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod hak_TW {
    pub mod LC_ADDRESS {
        /// `"TW"`
        pub const COUNTRY_ABTWO: &str = "TW";
        /// `"TWN"`
        pub const COUNTRY_AB3: &str = "TWN";
        /// `"RC"`
        pub const COUNTRY_CAR: &str = "RC";
        /// `957`
        pub const COUNTRY_ISBN: i64 = 957;
        /// `"中華民國"`
        pub const COUNTRY_NAME: &str = "中華民國";
        /// `158`
        pub const COUNTRY_NUM: i64 = 158;
        /// `"TW"`
        pub const COUNTRY_POST: &str = "TW";
        /// `"hak"`
        pub const LANG_LIB: &str = "hak";
        /// `"客家話"`
        pub const LANG_NAME: &str = "客家話";
        /// `"hak"`
        pub const LANG_TERM: &str = "hak";
        /// `"%c%N%T%N%s %h %e %r%N%b%N%d%N%f%N%a%N"`
        pub const POSTAL_FMT: &str = "%c%N%T%N%s %h %e %r%N%b%N%d%N%f%N%a%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2013-06-02"`
        pub const DATE: &str = "2013-06-02";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Hakka Chinese"`
        pub const LANGUAGE: &str = "Hakka Chinese";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Taiwan"`
        pub const TERRITORY: &str = "Taiwan";
        /// `"Hakka Chinese locale for the Republic of China"`
        pub const TITLE: &str = "Hakka Chinese locale for the Republic of China";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNｎＮ毋]"`
        pub const NOEXPR: &str = "^[-0nNｎＮ毋]";
        /// `"^[+1yYｙＹ係]"`
        pub const YESEXPR: &str = "^[+1yYｙＹ係]";
    }
    pub mod LC_MONETARY {
        /// `"NT$"`
        pub const CURRENCY_SYMBOL: &str = "NT$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"TWD "`
        pub const INT_CURR_SYMBOL: &str = "TWD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `1`
        pub const INT_N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const INT_N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const INT_N_SIGN_POSN: i64 = 1;
        /// `1`
        pub const INT_P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const INT_P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const INT_P_SIGN_POSN: i64 = 1;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `4`
        pub const MON_GROUPING: i64 = 4;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `4`
        pub const GROUPING: i64 = 4;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"886"`
        pub const INT_PREFIX: &str = "886";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%A-%l"`
        pub const TEL_DOM_FMT: &str = "%A-%l";
        /// `"+%c-%a-%l"`
        pub const TEL_INT_FMT: &str = "+%c-%a-%l";
    }
    pub mod LC_TIME {
        /// `&["日", "一", "二", "三", "四", "五", "六"]`
        pub const ABDAY: &[&str] = &["日", "一", "二", "三", "四", "五", "六"];
        /// `&[" 1月", " 2月", " 3月", " 4月", " 5月", " 6月", " 7月", " 8月", " 9月", "10月", "11月", "12月"]`
        pub const ABMON: &[&str] = &[" 1月", " 2月", " 3月", " 4月", " 5月", " 6月", " 7月", " 8月", " 9月", "10月", "11月", "12月"];
        /// `&["上晝", "下晝"]`
        pub const AM_PM: &[&str] = &["上晝", "下晝"];
        /// `"%Y年%m月%d日"`
        pub const D_FMT: &str = "%Y年%m月%d日";
        /// `"%Y年%m月%d日 (%A) %H點%M分%S秒"`
        pub const D_T_FMT: &str = "%Y年%m月%d日 (%A) %H點%M分%S秒";
        /// `"%Y年 %b %e日 %A %H:%M:%S %Z"`
        pub const DATE_FMT: &str = "%Y年 %b %e日 %A %H:%M:%S %Z";
        /// `&["禮拜日", "禮拜一", "禮拜二", "禮拜三", "禮拜四", "禮拜五", "禮拜六"]`
        pub const DAY: &[&str] = &["禮拜日", "禮拜一", "禮拜二", "禮拜三", "禮拜四", "禮拜五", "禮拜六"];
        /// `&["+:2:1913/01/01:+*:民國:%EC%Ey年", "+:1:1912/01/01:1912/12/31:民國:%EC元年", "+:1:1911/12/31:-*:民前:%EC%Ey年"]`
        pub const ERA: &[&str] = &["+:2:1913/01/01:+*:民國:%EC%Ey年", "+:1:1912/01/01:1912/12/31:民國:%EC元年", "+:1:1911/12/31:-*:民前:%EC%Ey年"];
        /// `&["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"]`
        pub const MON: &[&str] = &["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];
        /// `"%H點%M分%S秒"`
        pub const T_FMT: &str = "%H點%M分%S秒";
        /// `"%p %I點%M分%S秒"`
        pub const T_FMT_AMPM: &str = "%p %I點%M分%S秒";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod he_IL {
    pub mod LC_ADDRESS {
        /// `"IL"`
        pub const COUNTRY_ABTWO: &str = "IL";
        /// `"ISR"`
        pub const COUNTRY_AB3: &str = "ISR";
        /// `"IL"`
        pub const COUNTRY_CAR: &str = "IL";
        /// `"ישראל"`
        pub const COUNTRY_NAME: &str = "ישראל";
        /// `376`
        pub const COUNTRY_NUM: i64 = 376;
        /// `"he"`
        pub const LANG_AB: &str = "he";
        /// `"heb"`
        pub const LANG_LIB: &str = "heb";
        /// `"עברית"`
        pub const LANG_NAME: &str = "עברית";
        /// `"heb"`
        pub const LANG_TERM: &str = "heb";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jo/rgens Alle 8, DK-1615 Ko/benhavn V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jo/rgens Alle 8, DK-1615 Ko/benhavn V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Hebrew"`
        pub const LANGUAGE: &str = "Hebrew";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Israel"`
        pub const TERRITORY: &str = "Israel";
        /// `"Hebrew locale for Israel"`
        pub const TITLE: &str = "Hebrew locale for Israel";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNל]"`
        pub const NOEXPR: &str = "^[-0nNל]";
        /// `"לא"`
        pub const NOSTR: &str = "לא";
        /// `"^[+1yYכ]"`
        pub const YESEXPR: &str = "^[+1yYכ]";
        /// `"כן"`
        pub const YESSTR: &str = "כן";
    }
    pub mod LC_MONETARY {
        /// `"₪"`
        pub const CURRENCY_SYMBOL: &str = "₪";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"ILS "`
        pub const INT_CURR_SYMBOL: &str = "ILS ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const N_SIGN_POSN: i64 = 2;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const P_SIGN_POSN: i64 = 2;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"972"`
        pub const INT_PREFIX: &str = "972";
        /// `"00,012,013,014,018"`
        pub const INT_SELECT: &str = "00,012,013,014,018";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["א\'", "ב\'", "ג\'", "ד\'", "ה\'", "ו\'", "ש\'"]`
        pub const ABDAY: &[&str] = &["א\'", "ב\'", "ג\'", "ד\'", "ה\'", "ו\'", "ש\'"];
        /// `&["ינו", "פבר", "מרץ", "אפר", "מאי", "יונ", "יול", "אוג", "ספט", "אוק", "נוב", "דצמ"]`
        pub const ABMON: &[&str] = &["ינו", "פבר", "מרץ", "אפר", "מאי", "יונ", "יול", "אוג", "ספט", "אוק", "נוב", "דצמ"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%Z %H:%M:%S %Y %b %d %a"`
        pub const D_T_FMT: &str = "%Z %H:%M:%S %Y %b %d %a";
        /// `&["ראשון", "שני", "שלישי", "רביעי", "חמישי", "שישי", "שבת"]`
        pub const DAY: &[&str] = &["ראשון", "שני", "שלישי", "רביעי", "חמישי", "שישי", "שבת"];
        /// `1`
        pub const FIRST_WORKDAY: i64 = 1;
        /// `&["ינואר", "פברואר", "מרץ", "אפריל", "מאי", "יוני", "יולי", "אוגוסט", "ספטמבר", "אוקטובר", "נובמבר", "דצמבר"]`
        pub const MON: &[&str] = &["ינואר", "פברואר", "מרץ", "אפריל", "מאי", "יוני", "יולי", "אוגוסט", "ספטמבר", "אוקטובר", "נובמבר", "דצמבר"];
        /// `"%H:%M:%S"`
        pub const T_FMT: &str = "%H:%M:%S";
        /// `"%I:%M:%S %P"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %P";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod hi_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"भारत"`
        pub const COUNTRY_NAME: &str = "भारत";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"hi"`
        pub const LANG_AB: &str = "hi";
        /// `"hin"`
        pub const LANG_LIB: &str = "hin";
        /// `"हिन\u{94d}दी"`
        pub const LANG_NAME: &str = "हिन\u{94d}दी";
        /// `"hin"`
        pub const LANG_TERM: &str = "hin";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-21"`
        pub const DATE: &str = "2000-07-21";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Hindi"`
        pub const LANGUAGE: &str = "Hindi";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Hindi language locale for India"`
        pub const TITLE: &str = "Hindi language locale for India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNन]"`
        pub const NOEXPR: &str = "^[-0nNन]";
        /// `"नही\u{902}"`
        pub const NOSTR: &str = "नही\u{902}";
        /// `"^[+1yYह]"`
        pub const YESEXPR: &str = "^[+1yYह]";
        /// `"हा\u{901}"`
        pub const YESSTR: &str = "हा\u{901}";
    }
    pub mod LC_MONETARY {
        /// `"₹"`
        pub const CURRENCY_SYMBOL: &str = "₹";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"INR "`
        pub const INT_CURR_SYMBOL: &str = "INR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 2]`
        pub const MON_GROUPING: &[i64] = &[3, 2];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"91"`
        pub const INT_PREFIX: &str = "91";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["रवि", "सोम", "म\u{902}गल", "ब\u{941}ध", "ग\u{941}र\u{941}", "श\u{941}क\u{94d}र", "शनि"]`
        pub const ABDAY: &[&str] = &["रवि", "सोम", "म\u{902}गल", "ब\u{941}ध", "ग\u{941}र\u{941}", "श\u{941}क\u{94d}र", "शनि"];
        /// `&["जन॰", "फ\u{93c}र॰", "मार\u{94d}च", "अप\u{94d}र\u{948}ल", "मई", "ज\u{942}न", "ज\u{941}ल॰", "अग॰", "सित॰", "अक\u{94d}त\u{942}॰", "नव॰", "दिस॰"]`
        pub const ABMON: &[&str] = &["जन॰", "फ\u{93c}र॰", "मार\u{94d}च", "अप\u{94d}र\u{948}ल", "मई", "ज\u{942}न", "ज\u{941}ल॰", "अग॰", "सित॰", "अक\u{94d}त\u{942}॰", "नव॰", "दिस॰"];
        /// `&["प\u{942}र\u{94d}वाह\u{94d}न", "अपराह\u{94d}न"]`
        pub const AM_PM: &[&str] = &["प\u{942}र\u{94d}वाह\u{94d}न", "अपराह\u{94d}न"];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["रविवार", "सोमवार", "म\u{902}गलवार", "ब\u{941}धवार", "ग\u{941}र\u{941}वार", "श\u{941}क\u{94d}रवार", "शनिवार"]`
        pub const DAY: &[&str] = &["रविवार", "सोमवार", "म\u{902}गलवार", "ब\u{941}धवार", "ग\u{941}र\u{941}वार", "श\u{941}क\u{94d}रवार", "शनिवार"];
        /// `&["जनवरी", "फ\u{93c}रवरी", "मार\u{94d}च", "अप\u{94d}र\u{948}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सित\u{902}बर", "अक\u{94d}त\u{942}बर", "नव\u{902}बर", "दिस\u{902}बर"]`
        pub const MON: &[&str] = &["जनवरी", "फ\u{93c}रवरी", "मार\u{94d}च", "अप\u{94d}र\u{948}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सित\u{902}बर", "अक\u{94d}त\u{942}बर", "नव\u{902}बर", "दिस\u{902}बर"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod hif_FJ {
    pub mod LC_ADDRESS {
        /// `"FJ"`
        pub const COUNTRY_ABTWO: &str = "FJ";
        /// `"FJI"`
        pub const COUNTRY_AB3: &str = "FJI";
        /// `"FJI"`
        pub const COUNTRY_CAR: &str = "FJI";
        /// `"Fiji"`
        pub const COUNTRY_NAME: &str = "Fiji";
        /// `242`
        pub const COUNTRY_NUM: i64 = 242;
        /// `""`
        pub const COUNTRY_POST: &str = "";
        /// `""`
        pub const LANG_AB: &str = "";
        /// `""`
        pub const LANG_LIB: &str = "";
        /// `"हिन\u{94d}दी"`
        pub const LANG_NAME: &str = "हिन\u{94d}दी";
        /// `"hif"`
        pub const LANG_TERM: &str = "hif";
        /// `"%a%N%h%t%s%N%N%T%c"`
        pub const POSTAL_FMT: &str = "%a%N%h%t%s%N%N%T%c";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2017-03-21"`
        pub const DATE: &str = "2017-03-21";
        /// `"akhilesh.k@samsung.com"`
        pub const EMAIL: &str = "akhilesh.k@samsung.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Fiji Hindi"`
        pub const LANGUAGE: &str = "Fiji Hindi";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `"Samsung Electronics Co., Ltd."`
        pub const SOURCE: &str = "Samsung Electronics Co., Ltd.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Fiji"`
        pub const TERRITORY: &str = "Fiji";
        /// `"Fiji Hindi (Latin) language locale for Fiji"`
        pub const TITLE: &str = "Fiji Hindi (Latin) language locale for Fiji";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"Nahi"`
        pub const NOSTR: &str = "Nahi";
        /// `"^[+1hHyY]"`
        pub const YESEXPR: &str = "^[+1hHyY]";
        /// `"Haan"`
        pub const YESSTR: &str = "Haan";
    }
    pub mod LC_MONETARY {
        /// `"FJ$"`
        pub const CURRENCY_SYMBOL: &str = "FJ$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"FJD "`
        pub const INT_CURR_SYMBOL: &str = "FJD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `1`
        pub const INT_N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const INT_P_SEP_BY_SPACE: i64 = 1;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::hi_IN::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"679"`
        pub const INT_PREFIX: &str = "679";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %l"`
        pub const TEL_INT_FMT: &str = "+%c %l";
    }
    pub mod LC_TIME {
        /// `&["Ravi", "Som", "Mangal", "Budh", "Guru", "Shukra", "Shani"]`
        pub const ABDAY: &[&str] = &["Ravi", "Som", "Mangal", "Budh", "Guru", "Shukra", "Shani"];
        /// `&["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
        /// `&["Purvahan", "Aparaahna"]`
        pub const AM_PM: &[&str] = &["Purvahan", "Aparaahna"];
        /// `"%A %d %b %Y"`
        pub const D_FMT: &str = "%A %d %b %Y";
        /// `"%A %d %b %Y %I:%M:%S %p"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const DATE_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["Ravivar", "Somvar", "Mangalvar", "Budhvar", "Guruvar", "Shukravar", "Shanivar"]`
        pub const DAY: &[&str] = &["Ravivar", "Somvar", "Mangalvar", "Budhvar", "Guruvar", "Shukravar", "Shanivar"];
        /// `&["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]`
        pub const MON: &[&str] = &["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod hne_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"भारत"`
        pub const COUNTRY_NAME: &str = "भारत";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"छत\u{94d}तीसगढ\u{93c}ी"`
        pub const LANG_NAME: &str = "छत\u{94d}तीसगढ\u{93c}ी";
        /// `"hne"`
        pub const LANG_TERM: &str = "hne";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Marisfot III, Marigold Premises, East-Wing, Kalyaninagar, Pune, India-411014"`
        pub const ADDRESS: &str = "Marisfot III, Marigold Premises, East-Wing, Kalyaninagar, Pune, India-411014";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2008-12-03"`
        pub const DATE: &str = "2008-12-03";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Chhattisgarhi"`
        pub const LANGUAGE: &str = "Chhattisgarhi";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Red Hat, Pune"`
        pub const SOURCE: &str = "Red Hat, Pune";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Chhattisgarhi language locale for India"`
        pub const TITLE: &str = "Chhattisgarhi language locale for India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNन]"`
        pub const NOEXPR: &str = "^[-0nNन]";
        /// `"नइ"`
        pub const NOSTR: &str = "नइ";
        /// `"^[+1yYह]"`
        pub const YESEXPR: &str = "^[+1yYह]";
        /// `"हव"`
        pub const YESSTR: &str = "हव";
    }
    pub use super::hi_IN::LC_MONETARY;
    pub use super::hi_IN::LC_NUMERIC;
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["इत", "सोम", "म\u{902}ग", "ब\u{941}ध", "बिर", "स\u{941}क", "सनि"]`
        pub const ABDAY: &[&str] = &["इत", "सोम", "म\u{902}ग", "ब\u{941}ध", "बिर", "स\u{941}क", "सनि"];
        /// `&["जन", "फर", "मार\u{94d}च", "अप", "मई", "ज\u{942}न", "ज\u{941}ला", "अग", "सित", "अकट\u{942}", "नव", "दिस"]`
        pub const ABMON: &[&str] = &["जन", "फर", "मार\u{94d}च", "अप", "मई", "ज\u{942}न", "ज\u{941}ला", "अग", "सित", "अकट\u{942}", "नव", "दिस"];
        /// `&["बिहिनिया\u{901}", "म\u{902}झनिया\u{901}"]`
        pub const AM_PM: &[&str] = &["बिहिनिया\u{901}", "म\u{902}झनिया\u{901}"];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["इतवार", "सोमवार", "म\u{902}गलवार", "ब\u{941}धवार", "बिरसपत", "स\u{941}करवार", "सनिवार"]`
        pub const DAY: &[&str] = &["इतवार", "सोमवार", "म\u{902}गलवार", "ब\u{941}धवार", "बिरसपत", "स\u{941}करवार", "सनिवार"];
        /// `&["जनवरी", "फरवरी", "मार\u{94d}च", "अपर\u{947}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितमबर", "अकट\u{942}बर", "नवमबर", "दिसमबर"]`
        pub const MON: &[&str] = &["जनवरी", "फरवरी", "मार\u{94d}च", "अपर\u{947}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितमबर", "अकट\u{942}बर", "नवमबर", "दिसमबर"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod hr_HR {
    pub mod LC_ADDRESS {
        /// `"HR"`
        pub const COUNTRY_ABTWO: &str = "HR";
        /// `"HRV"`
        pub const COUNTRY_AB3: &str = "HRV";
        /// `"HR"`
        pub const COUNTRY_CAR: &str = "HR";
        /// `"978-953"`
        pub const COUNTRY_ISBN: &str = "978-953";
        /// `"Hrvatska"`
        pub const COUNTRY_NAME: &str = "Hrvatska";
        /// `191`
        pub const COUNTRY_NUM: i64 = 191;
        /// `"HR"`
        pub const COUNTRY_POST: &str = "HR";
        /// `"hr"`
        pub const LANG_AB: &str = "hr";
        /// `"hrv"`
        pub const LANG_LIB: &str = "hrv";
        /// `"hrvatski"`
        pub const LANG_NAME: &str = "hrvatski";
        /// `"hrv"`
        pub const LANG_TERM: &str = "hrv";
        /// `"%f%N%d%N%a%N%s %h%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%d%N%a%N%s %h%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2016-04-16"`
        pub const DATE: &str = "2016-04-16";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Croatian"`
        pub const LANGUAGE: &str = "Croatian";
        /// `"2.3"`
        pub const REVISION: &str = "2.3";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Croatia"`
        pub const TERRITORY: &str = "Croatia";
        /// `"Croatian locale for Croatia"`
        pub const TITLE: &str = "Croatian locale for Croatia";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"ne"`
        pub const NOSTR: &str = "ne";
        /// `"^[+1dDyY]"`
        pub const YESEXPR: &str = "^[+1dDyY]";
        /// `"da"`
        pub const YESSTR: &str = "da";
    }
    pub mod LC_MONETARY {
        /// `"kn"`
        pub const CURRENCY_SYMBOL: &str = "kn";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"HRK "`
        pub const INT_CURR_SYMBOL: &str = "HRK ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `1`
        pub const INT_N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const INT_P_CS_PRECEDES: i64 = 1;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"385"`
        pub const INT_PREFIX: &str = "385";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%A %l"`
        pub const TEL_DOM_FMT: &str = "%A %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["ned", "pon", "uto", "sri", "čet", "pet", "sub"]`
        pub const ABDAY: &[&str] = &["ned", "pon", "uto", "sri", "čet", "pet", "sub"];
        /// `&["sij", "velj", "ožu", "tra", "svi", "lip", "srp", "kol", "ruj", "lis", "stu", "pro"]`
        pub const ABMON: &[&str] = &["sij", "velj", "ožu", "tra", "svi", "lip", "srp", "kol", "ruj", "lis", "stu", "pro"];
        /// `&["siječanj", "veljača", "ožujak", "travanj", "svibanj", "lipanj", "srpanj", "kolovoz", "rujan", "listopad", "studeni", "prosinac"]`
        pub const ALT_MON: &[&str] = &["siječanj", "veljača", "ožujak", "travanj", "svibanj", "lipanj", "srpanj", "kolovoz", "rujan", "listopad", "studeni", "prosinac"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%A, %d. %B %Y. %T %Z"`
        pub const D_T_FMT: &str = "%A, %d. %B %Y. %T %Z";
        /// `"%a, %e.%m.%Y.  %H:%M:%S %Z"`
        pub const DATE_FMT: &str = "%a, %e.%m.%Y.  %H:%M:%S %Z";
        /// `&["nedjelja", "ponedjeljak", "utorak", "srijeda", "četvrtak", "petak", "subota"]`
        pub const DAY: &[&str] = &["nedjelja", "ponedjeljak", "utorak", "srijeda", "četvrtak", "petak", "subota"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `2`
        pub const FIRST_WORKDAY: i64 = 2;
        /// `&["siječnja", "veljače", "ožujka", "travnja", "svibnja", "lipnja", "srpnja", "kolovoza", "rujna", "listopada", "studenoga", "prosinca"]`
        pub const MON: &[&str] = &["siječnja", "veljače", "ožujka", "travnja", "svibnja", "lipnja", "srpnja", "kolovoza", "rujna", "listopada", "studenoga", "prosinca"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod hsb_DE {
    pub mod LC_ADDRESS {
        /// `"DE"`
        pub const COUNTRY_ABTWO: &str = "DE";
        /// `"DEU"`
        pub const COUNTRY_AB3: &str = "DEU";
        /// `"D"`
        pub const COUNTRY_CAR: &str = "D";
        /// `3`
        pub const COUNTRY_ISBN: i64 = 3;
        /// `"Němska"`
        pub const COUNTRY_NAME: &str = "Němska";
        /// `276`
        pub const COUNTRY_NUM: i64 = 276;
        /// `"D"`
        pub const COUNTRY_POST: &str = "D";
        /// `""`
        pub const LANG_AB: &str = "";
        /// `"hsb"`
        pub const LANG_LIB: &str = "hsb";
        /// `"hornjoserbšćina"`
        pub const LANG_NAME: &str = "hornjoserbšćina";
        /// `"hsb"`
        pub const LANG_TERM: &str = "hsb";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Andrzej Krzysztofowicz"`
        pub const CONTACT: &str = "Andrzej Krzysztofowicz";
        /// `"2004-09-09"`
        pub const DATE: &str = "2004-09-09";
        /// `"ankry@mif.pg.gda.pl"`
        pub const EMAIL: &str = "ankry@mif.pg.gda.pl";
        /// `""`
        pub const FAX: &str = "";
        /// `"Upper Sorbian"`
        pub const LANGUAGE: &str = "Upper Sorbian";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `"Information from Michael Wolf"`
        pub const SOURCE: &str = "Information from Michael Wolf";
        /// `""`
        pub const TEL: &str = "";
        /// `"Germany"`
        pub const TERRITORY: &str = "Germany";
        /// `"Upper Sorbian locale for Germany"`
        pub const TITLE: &str = "Upper Sorbian locale for Germany";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"ně"`
        pub const NOSTR: &str = "ně";
        /// `"^[+1hHyY]"`
        pub const YESEXPR: &str = "^[+1hHyY]";
        /// `"haj"`
        pub const YESSTR: &str = "haj";
    }
    pub use super::de_DE::LC_MONETARY;
    pub use super::de_DE::LC_NUMERIC;
    pub use super::de_DE::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Nj", "Pó", "Wu", "Sr", "Št", "Pj", "So"]`
        pub const ABDAY: &[&str] = &["Nj", "Pó", "Wu", "Sr", "Št", "Pj", "So"];
        /// `&["Jan", "Feb", "Měr", "Apr", "Mej", "Jun", "Jul", "Awg", "Sep", "Okt", "Now", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Měr", "Apr", "Mej", "Jun", "Jul", "Awg", "Sep", "Okt", "Now", "Dec"];
        /// `&["Januar", "Februar", "Měrc", "Apryl", "Meja", "Junij", "Julij", "Awgust", "September", "Oktober", "Nowember", "December"]`
        pub const ALT_MON: &[&str] = &["Januar", "Februar", "Měrc", "Apryl", "Meja", "Junij", "Julij", "Awgust", "September", "Oktober", "Nowember", "December"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Njedźela", "Póndźela", "Wutora", "Srjeda", "Štvórtk", "Pjatk", "Sobota"]`
        pub const DAY: &[&str] = &["Njedźela", "Póndźela", "Wutora", "Srjeda", "Štvórtk", "Pjatk", "Sobota"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["januara", "februara", "měrca", "apryla", "meje", "junija", "julija", "awgusta", "septembra", "oktobra", "nowembra", "decembra"]`
        pub const MON: &[&str] = &["januara", "februara", "měrca", "apryla", "meje", "junija", "julija", "awgusta", "septembra", "oktobra", "nowembra", "decembra"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ht_HT {
    pub mod LC_ADDRESS {
        /// `"HT"`
        pub const COUNTRY_ABTWO: &str = "HT";
        /// `"HTI"`
        pub const COUNTRY_AB3: &str = "HTI";
        /// `"RH"`
        pub const COUNTRY_CAR: &str = "RH";
        /// `99935`
        pub const COUNTRY_ISBN: i64 = 99935;
        /// `"Ayiti"`
        pub const COUNTRY_NAME: &str = "Ayiti";
        /// `332`
        pub const COUNTRY_NUM: i64 = 332;
        /// `"HT"`
        pub const COUNTRY_POST: &str = "HT";
        /// `"ht"`
        pub const LANG_AB: &str = "ht";
        /// `"hat"`
        pub const LANG_LIB: &str = "hat";
        /// `"Kreyòl ayisyen"`
        pub const LANG_NAME: &str = "Kreyòl ayisyen";
        /// `"hat"`
        pub const LANG_TERM: &str = "hat";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %R%N%%Z %t%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %R%N%%Z %t%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"sugarlabs.org"`
        pub const CONTACT: &str = "sugarlabs.org";
        /// `"2013-08-09"`
        pub const DATE: &str = "2013-08-09";
        /// `"libc-alpha@sourceware.org"`
        pub const EMAIL: &str = "libc-alpha@sourceware.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Haitian Creole"`
        pub const LANGUAGE: &str = "Haitian Creole";
        /// `"1.1"`
        pub const REVISION: &str = "1.1";
        /// `"Sugar Labs / OLPC"`
        pub const SOURCE: &str = "Sugar Labs / OLPC";
        /// `""`
        pub const TEL: &str = "";
        /// `"Haiti"`
        pub const TERRITORY: &str = "Haiti";
        /// `"Kreyol locale for Haiti"`
        pub const TITLE: &str = "Kreyol locale for Haiti";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"Non"`
        pub const NOSTR: &str = "Non";
        /// `"^[+1wWoOyY]"`
        pub const YESEXPR: &str = "^[+1wWoOyY]";
        /// `"Wi"`
        pub const YESSTR: &str = "Wi";
    }
    pub mod LC_MONETARY {
        /// `"g"`
        pub const CURRENCY_SYMBOL: &str = "g";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"HTG "`
        pub const INT_CURR_SYMBOL: &str = "HTG ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `"\u{202f}"`
        pub const THOUSANDS_SEP: &str = "\u{202f}";
    }
    pub mod LC_TELEPHONE {
        /// `"509"`
        pub const INT_PREFIX: &str = "509";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%a %l"`
        pub const TEL_DOM_FMT: &str = "%a %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dim", "len", "mad", "mèk", "jed", "van", "sam"]`
        pub const ABDAY: &[&str] = &["dim", "len", "mad", "mèk", "jed", "van", "sam"];
        /// `&["jan", "fev", "mas", "avr", "me", "jen", "jiy", "out", "sep", "okt", "nov", "des"]`
        pub const ABMON: &[&str] = &["jan", "fev", "mas", "avr", "me", "jen", "jiy", "out", "sep", "okt", "nov", "des"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["dimanch", "lendi", "madi", "mèkredi", "jedi", "vandredi", "samdi"]`
        pub const DAY: &[&str] = &["dimanch", "lendi", "madi", "mèkredi", "jedi", "vandredi", "samdi"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["janvye", "fevriye", "mas", "avril", "me", "jen", "jiyè", "out", "septanm", "oktòb", "novanm", "desanm"]`
        pub const MON: &[&str] = &["janvye", "fevriye", "mas", "avril", "me", "jen", "jiyè", "out", "septanm", "oktòb", "novanm", "desanm"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod hu_HU {
    pub mod LC_ADDRESS {
        /// `"HU"`
        pub const COUNTRY_ABTWO: &str = "HU";
        /// `"HUN"`
        pub const COUNTRY_AB3: &str = "HUN";
        /// `"H"`
        pub const COUNTRY_CAR: &str = "H";
        /// `"Magyarország"`
        pub const COUNTRY_NAME: &str = "Magyarország";
        /// `348`
        pub const COUNTRY_NUM: i64 = 348;
        /// `"hu"`
        pub const LANG_AB: &str = "hu";
        /// `"hun"`
        pub const LANG_LIB: &str = "hun";
        /// `"magyar"`
        pub const LANG_NAME: &str = "magyar";
        /// `"hun"`
        pub const LANG_TERM: &str = "hun";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jorgens Alle 8, DK-1615 Kobenhavn V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jorgens Alle 8, DK-1615 Kobenhavn V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2001-01-29"`
        pub const DATE: &str = "2001-01-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Hungarian"`
        pub const LANGUAGE: &str = "Hungarian";
        /// `"4.7"`
        pub const REVISION: &str = "4.7";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Hungary"`
        pub const TERRITORY: &str = "Hungary";
        /// `"Hungarian locale for Hungary"`
        pub const TITLE: &str = "Hungarian locale for Hungary";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"nem"`
        pub const NOSTR: &str = "nem";
        /// `"^[+1IiYy]"`
        pub const YESEXPR: &str = "^[+1IiYy]";
        /// `"igen"`
        pub const YESSTR: &str = "igen";
    }
    pub mod LC_MONETARY {
        /// `"Ft"`
        pub const CURRENCY_SYMBOL: &str = "Ft";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"HUF "`
        pub const INT_CURR_SYMBOL: &str = "HUF ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `1`
        pub const INT_N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const INT_N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const INT_N_SIGN_POSN: i64 = 1;
        /// `1`
        pub const INT_P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const INT_P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const INT_P_SIGN_POSN: i64 = 1;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"36"`
        pub const INT_PREFIX: &str = "36";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["v", "h", "k", "sze", "cs", "p", "szo"]`
        pub const ABDAY: &[&str] = &["v", "h", "k", "sze", "cs", "p", "szo"];
        /// `&["jan", "febr", "márc", "ápr", "máj", "jún", "júl", "aug", "szept", "okt", "nov", "dec"]`
        pub const ABMON: &[&str] = &["jan", "febr", "márc", "ápr", "máj", "jún", "júl", "aug", "szept", "okt", "nov", "dec"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%Y-%m-%d"`
        pub const D_FMT: &str = "%Y-%m-%d";
        /// `"%Y. %b. %-e., %A, %H:%M:%S %Z"`
        pub const D_T_FMT: &str = "%Y. %b. %-e., %A, %H:%M:%S %Z";
        /// `"%Y. %b. %-e., %A, %H:%M:%S %Z"`
        pub const DATE_FMT: &str = "%Y. %b. %-e., %A, %H:%M:%S %Z";
        /// `&["vasárnap", "hétfő", "kedd", "szerda", "csütörtök", "péntek", "szombat"]`
        pub const DAY: &[&str] = &["vasárnap", "hétfő", "kedd", "szerda", "csütörtök", "péntek", "szombat"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["január", "február", "március", "április", "május", "június", "július", "augusztus", "szeptember", "október", "november", "december"]`
        pub const MON: &[&str] = &["január", "február", "március", "április", "május", "június", "július", "augusztus", "szeptember", "október", "november", "december"];
        /// `"%H:%M:%S"`
        pub const T_FMT: &str = "%H:%M:%S";
        /// `"%H:%M:%S"`
        pub const T_FMT_AMPM: &str = "%H:%M:%S";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod hy_AM {
    pub mod LC_ADDRESS {
        /// `"AM"`
        pub const COUNTRY_ABTWO: &str = "AM";
        /// `"ARM"`
        pub const COUNTRY_AB3: &str = "ARM";
        /// `"AM"`
        pub const COUNTRY_CAR: &str = "AM";
        /// `"978-9939,978-99930,978-99941"`
        pub const COUNTRY_ISBN: &str = "978-9939,978-99930,978-99941";
        /// `"Հայաստան"`
        pub const COUNTRY_NAME: &str = "Հայաստան";
        /// `51`
        pub const COUNTRY_NUM: i64 = 51;
        /// `"AM"`
        pub const COUNTRY_POST: &str = "AM";
        /// `"hy"`
        pub const LANG_AB: &str = "hy";
        /// `"arm"`
        pub const LANG_LIB: &str = "arm";
        /// `"հայերեն"`
        pub const LANG_NAME: &str = "հայերեն";
        /// `"hye"`
        pub const LANG_TERM: &str = "hye";
        /// `"%d%N%f%N%d%N%b%N%s %h 5e %r%N%C%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%d%N%f%N%d%N%b%N%s %h 5e %r%N%C%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
        ];
        /// `"Pablo Saratxaga"`
        pub const CONTACT: &str = "Pablo Saratxaga";
        /// `"2001-01-26"`
        pub const DATE: &str = "2001-01-26";
        /// `"pablo@mandrakesoft.com"`
        pub const EMAIL: &str = "pablo@mandrakesoft.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Armenian"`
        pub const LANGUAGE: &str = "Armenian";
        /// `"0.4"`
        pub const REVISION: &str = "0.4";
        /// `"http://www.freenet.am/armscii"`
        pub const SOURCE: &str = "http://www.freenet.am/armscii";
        /// `""`
        pub const TEL: &str = "";
        /// `"Armenia"`
        pub const TERRITORY: &str = "Armenia";
        /// `"Armenian language locale for Armenia"`
        pub const TITLE: &str = "Armenian language locale for Armenia";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNոՈ]"`
        pub const NOEXPR: &str = "^[-0nNոՈ]";
        /// `"ոչ"`
        pub const NOSTR: &str = "ոչ";
        /// `"^[+1yYsSաԱ]"`
        pub const YESEXPR: &str = "^[+1yYsSաԱ]";
        /// `"այո"`
        pub const YESSTR: &str = "այո";
    }
    pub mod LC_MONETARY {
        /// `"֏"`
        pub const CURRENCY_SYMBOL: &str = "֏";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"AMD "`
        pub const INT_CURR_SYMBOL: &str = "AMD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"374"`
        pub const INT_PREFIX: &str = "374";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Կրկ", "Երկ", "Երք", "Չրք", "Հնգ", "Ուր", "Շբթ"]`
        pub const ABDAY: &[&str] = &["Կրկ", "Երկ", "Երք", "Չրք", "Հնգ", "Ուր", "Շբթ"];
        /// `&["Հնվ", "Փտր", "Մար", "Ապր", "Մայ", "Հնս", "Հլս", "Օգս", "Սեպ", "Հոկ", "Նմբ", "Դեկ"]`
        pub const ABMON: &[&str] = &["Հնվ", "Փտր", "Մար", "Ապր", "Մայ", "Հնս", "Հլս", "Օգս", "Սեպ", "Հոկ", "Նմբ", "Դեկ"];
        /// `&["հունվար", "փետրվար", "մարտ", "ապրիլ", "մայիս", "հունիս", "հուլիս", "օգոստոս", "սեպտեմբեր", "հոկտեմբեր", "նոյեմբեր", "դեկտեմբեր"]`
        pub const ALT_MON: &[&str] = &["հունվար", "փետրվար", "մարտ", "ապրիլ", "մայիս", "հունիս", "հուլիս", "օգոստոս", "սեպտեմբեր", "հոկտեմբեր", "նոյեմբեր", "դեկտեմբեր"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%m/%d/%y"`
        pub const D_FMT: &str = "%m/%d/%y";
        /// `"%a %d %b %Y %r %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %r %Z";
        /// `&["Կիրակի", "Երկուշաբթի", "Երեքշաբթի", "Չորեքշաբթի", "Հինգշաբթի", "Ուրբաթ", "Շաբաթ"]`
        pub const DAY: &[&str] = &["Կիրակի", "Երկուշաբթի", "Երեքշաբթի", "Չորեքշաբթի", "Հինգշաբթի", "Ուրբաթ", "Շաբաթ"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["հունվարի", "փետրվարի", "մարտի", "ապրիլի", "մայիսի", "հունիսի", "հուլիսի", "օգոստոսի", "սեպտեմբերի", "հոկտեմբերի", "նոյեմբերի", "դեկտեմբերի"]`
        pub const MON: &[&str] = &["հունվարի", "փետրվարի", "մարտի", "ապրիլի", "մայիսի", "հունիսի", "հուլիսի", "օգոստոսի", "սեպտեմբերի", "հոկտեմբերի", "նոյեմբերի", "դեկտեմբերի"];
        /// `"%r"`
        pub const T_FMT: &str = "%r";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ia_FR {
    pub mod LC_ADDRESS {
        /// `"FR"`
        pub const COUNTRY_ABTWO: &str = "FR";
        /// `"FRA"`
        pub const COUNTRY_AB3: &str = "FRA";
        /// `"F"`
        pub const COUNTRY_CAR: &str = "F";
        /// `"979-10"`
        pub const COUNTRY_ISBN: &str = "979-10";
        /// `"Francia"`
        pub const COUNTRY_NAME: &str = "Francia";
        /// `250`
        pub const COUNTRY_NUM: i64 = 250;
        /// `"F"`
        pub const COUNTRY_POST: &str = "F";
        /// `"ia"`
        pub const LANG_AB: &str = "ia";
        /// `"ina"`
        pub const LANG_LIB: &str = "ina";
        /// `"interlingua"`
        pub const LANG_NAME: &str = "interlingua";
        /// `"ina"`
        pub const LANG_TERM: &str = "ina";
        /// `"%f%N%a%N%d%N%b%N%s%t%h%t%e%t%r%N%z%t%T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s%t%h%t%e%t%r%N%z%t%T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"Nik Kalach"`
        pub const CONTACT: &str = "Nik Kalach";
        /// `"2013-03-01"`
        pub const DATE: &str = "2013-03-01";
        /// `"nikka@fedoraproject.org"`
        pub const EMAIL: &str = "nikka@fedoraproject.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Interlingua"`
        pub const LANGUAGE: &str = "Interlingua";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Fedora Project"`
        pub const SOURCE: &str = "Fedora Project";
        /// `""`
        pub const TEL: &str = "";
        /// `"France"`
        pub const TERRITORY: &str = "France";
        /// `"Interlingua locale for France"`
        pub const TITLE: &str = "Interlingua locale for France";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"No"`
        pub const NOSTR: &str = "No";
        /// `"^[+1sSyY]"`
        pub const YESEXPR: &str = "^[+1sSyY]";
        /// `"Si"`
        pub const YESSTR: &str = "Si";
    }
    pub use super::fr_FR::LC_MONETARY;
    pub use super::fr_FR::LC_NUMERIC;
    pub use super::fr_FR::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["dom", "lun", "mar", "mer", "jov", "ven", "sab"]`
        pub const ABDAY: &[&str] = &["dom", "lun", "mar", "mer", "jov", "ven", "sab"];
        /// `&["jan", "feb", "mar", "apr", "mai", "jun", "jul", "aug", "sep", "oct", "nov", "dec"]`
        pub const ABMON: &[&str] = &["jan", "feb", "mar", "apr", "mai", "jun", "jul", "aug", "sep", "oct", "nov", "dec"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["dominica", "lunedi", "martedi", "mercuridi", "jovedi", "venerdi", "sabbato"]`
        pub const DAY: &[&str] = &["dominica", "lunedi", "martedi", "mercuridi", "jovedi", "venerdi", "sabbato"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["januario", "februario", "martio", "april", "maio", "junio", "julio", "augusto", "septembre", "octobre", "novembre", "decembre"]`
        pub const MON: &[&str] = &["januario", "februario", "martio", "april", "maio", "junio", "julio", "augusto", "septembre", "octobre", "novembre", "decembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod id_ID {
    pub mod LC_ADDRESS {
        /// `"ID"`
        pub const COUNTRY_ABTWO: &str = "ID";
        /// `"IDN"`
        pub const COUNTRY_AB3: &str = "IDN";
        /// `"RI"`
        pub const COUNTRY_CAR: &str = "RI";
        /// `"Indonesia"`
        pub const COUNTRY_NAME: &str = "Indonesia";
        /// `360`
        pub const COUNTRY_NUM: i64 = 360;
        /// `"id"`
        pub const LANG_AB: &str = "id";
        /// `"ind"`
        pub const LANG_LIB: &str = "ind";
        /// `"Indonesia"`
        pub const LANG_NAME: &str = "Indonesia";
        /// `"ind"`
        pub const LANG_TERM: &str = "ind";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Indonesian"`
        pub const LANGUAGE: &str = "Indonesian";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Indonesia"`
        pub const TERRITORY: &str = "Indonesia";
        /// `"Indonesian locale for Indonesia"`
        pub const TITLE: &str = "Indonesian locale for Indonesia";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0tTnN]"`
        pub const NOEXPR: &str = "^[-0tTnN]";
        /// `"tidak"`
        pub const NOSTR: &str = "tidak";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
        /// `"ya"`
        pub const YESSTR: &str = "ya";
    }
    pub mod LC_MONETARY {
        /// `"Rp"`
        pub const CURRENCY_SYMBOL: &str = "Rp";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"IDR "`
        pub const INT_CURR_SYMBOL: &str = "IDR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"62"`
        pub const INT_PREFIX: &str = "62";
        /// `"001,008,007,009"`
        pub const INT_SELECT: &str = "001,008,007,009";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Min", "Sen", "Sel", "Rab", "Kam", "Jum", "Sab"]`
        pub const ABDAY: &[&str] = &["Min", "Sen", "Sel", "Rab", "Kam", "Jum", "Sab"];
        /// `&["Jan", "Feb", "Mar", "Apr", "Mei", "Jun", "Jul", "Agu", "Sep", "Okt", "Nov", "Des"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "Mei", "Jun", "Jul", "Agu", "Sep", "Okt", "Nov", "Des"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %r %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %r %Z";
        /// `&["Minggu", "Senin", "Selasa", "Rabu", "Kamis", "Jumat", "Sabtu"]`
        pub const DAY: &[&str] = &["Minggu", "Senin", "Selasa", "Rabu", "Kamis", "Jumat", "Sabtu"];
        /// `&["Januari", "Februari", "Maret", "April", "Mei", "Juni", "Juli", "Agustus", "September", "Oktober", "November", "Desember"]`
        pub const MON: &[&str] = &["Januari", "Februari", "Maret", "April", "Mei", "Juni", "Juli", "Agustus", "September", "Oktober", "November", "Desember"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ig_NG {
    pub mod LC_ADDRESS {
        /// `"NG"`
        pub const COUNTRY_ABTWO: &str = "NG";
        /// `"NGA"`
        pub const COUNTRY_AB3: &str = "NGA";
        /// `"WAN"`
        pub const COUNTRY_CAR: &str = "WAN";
        /// `978`
        pub const COUNTRY_ISBN: i64 = 978;
        /// `"Naịjịrịa"`
        pub const COUNTRY_NAME: &str = "Naịjịrịa";
        /// `566`
        pub const COUNTRY_NUM: i64 = 566;
        /// `"ig"`
        pub const LANG_AB: &str = "ig";
        /// `"ibo"`
        pub const LANG_LIB: &str = "ibo";
        /// `"Asụsụ Igbo"`
        pub const LANG_NAME: &str = "Asụsụ Igbo";
        /// `"ibo"`
        pub const LANG_TERM: &str = "ibo";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2005-12-14"`
        pub const DATE: &str = "2005-12-14";
        /// `"pablo@mandriva.com"`
        pub const EMAIL: &str = "pablo@mandriva.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Igbo"`
        pub const LANGUAGE: &str = "Igbo";
        /// `"0.2"`
        pub const REVISION: &str = "0.2";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Nigeria"`
        pub const TERRITORY: &str = "Nigeria";
        /// `"Igbo locale for Nigeria"`
        pub const TITLE: &str = "Igbo locale for Nigeria";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0MmNn]"`
        pub const NOEXPR: &str = "^[-0MmNn]";
        /// `"Mba"`
        pub const NOSTR: &str = "Mba";
        /// `"^[+1EeIiYy]"`
        pub const YESEXPR: &str = "^[+1EeIiYy]";
        /// `"Eye"`
        pub const YESSTR: &str = "Eye";
    }
    pub use super::en_NG::LC_MONETARY;
    pub use super::en_NG::LC_NUMERIC;
    pub use super::en_NG::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["sọn", "mọn", "tuz", "wen", "tọs", "fra", "sat"]`
        pub const ABDAY: &[&str] = &["sọn", "mọn", "tuz", "wen", "tọs", "fra", "sat"];
        /// `&["Jen", "Feb", "Maa", "Epr", "Mee", "Juu", "Jul", "Ọgọ", "Sep", "Ọkt", "Nov", "Dis"]`
        pub const ABMON: &[&str] = &["Jen", "Feb", "Maa", "Epr", "Mee", "Juu", "Jul", "Ọgọ", "Sep", "Ọkt", "Nov", "Dis"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%A, %d %B %Y %T %Z"`
        pub const D_T_FMT: &str = "%A, %d %B %Y %T %Z";
        /// `&["sọnde", "mọnde", "tuzde", "wenzde", "tọsde", "fraịde", "satọde"]`
        pub const DAY: &[&str] = &["sọnde", "mọnde", "tuzde", "wenzde", "tọsde", "fraịde", "satọde"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Jenụwarị", "Febrụwarị", "Maachị", "Eprel", "Mee", "Juun", "Julaị", "Ọgọọst", "Septemba", "Ọktoba", "Novemba", "Disemba"]`
        pub const MON: &[&str] = &["Jenụwarị", "Febrụwarị", "Maachị", "Eprel", "Mee", "Juun", "Julaị", "Ọgọọst", "Septemba", "Ọktoba", "Novemba", "Disemba"];
        /// `"%r"`
        pub const T_FMT: &str = "%r";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ik_CA {
    pub mod LC_ADDRESS {
        /// `"CA"`
        pub const COUNTRY_ABTWO: &str = "CA";
        /// `"CAN"`
        pub const COUNTRY_AB3: &str = "CAN";
        /// `"CDN"`
        pub const COUNTRY_CAR: &str = "CDN";
        /// `"Kanada"`
        pub const COUNTRY_NAME: &str = "Kanada";
        /// `124`
        pub const COUNTRY_NUM: i64 = 124;
        /// `"ik"`
        pub const LANG_AB: &str = "ik";
        /// `"ipk"`
        pub const LANG_LIB: &str = "ipk";
        /// `"Iñupiatun"`
        pub const LANG_NAME: &str = "Iñupiatun";
        /// `"ipk"`
        pub const LANG_TERM: &str = "ipk";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2004-08-01"`
        pub const DATE: &str = "2004-08-01";
        /// `"pablo@mandriva.com"`
        pub const EMAIL: &str = "pablo@mandriva.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Inupiaq"`
        pub const LANGUAGE: &str = "Inupiaq";
        /// `"0.2"`
        pub const REVISION: &str = "0.2";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Canada"`
        pub const TERRITORY: &str = "Canada";
        /// `"Inupiaq locale for Canada"`
        pub const TITLE: &str = "Inupiaq locale for Canada";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNqQ]"`
        pub const NOEXPR: &str = "^[-0nNqQ]";
        /// `"qañaa"`
        pub const NOSTR: &str = "qañaa";
        /// `"^[+1yYiIaA]"`
        pub const YESEXPR: &str = "^[+1yYiIaA]";
        /// `"aa"`
        pub const YESSTR: &str = "aa";
    }
    pub use super::en_CA::LC_MONETARY;
    pub use super::en_CA::LC_NUMERIC;
    pub use super::en_CA::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Min", "Sav", "Ila", "Qit", "Sis", "Tal", "Maq"]`
        pub const ABDAY: &[&str] = &["Min", "Sav", "Ila", "Qit", "Sis", "Tal", "Maq"];
        /// `&["Sñt", "Sñs", "Pan", "Qil", "Sup", "Iġñ", "Itc", "Tiñ", "Ami", "Sik", "Nip", "Siq"]`
        pub const ABMON: &[&str] = &["Sñt", "Sñs", "Pan", "Qil", "Sup", "Iġñ", "Itc", "Tiñ", "Ami", "Sik", "Nip", "Siq"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %r %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %r %Z";
        /// `&["Minġuiqsioiq", "Savałłiq", "Ilaqtchiioiq", "Qitchiioiq", "Sisamiioiq", "Tallimmiioiq", "Maqinġuoiq"]`
        pub const DAY: &[&str] = &["Minġuiqsioiq", "Savałłiq", "Ilaqtchiioiq", "Qitchiioiq", "Sisamiioiq", "Tallimmiioiq", "Maqinġuoiq"];
        /// `&["Siqiññaatchiaq", "Siqiññaasrugruk", "Paniqsiqsiivik", "Qilġich Tatqiat", "Suppivik", "Iġñivik", "Itchavik", "Tiññivik", "Amiġaiqsivik", "Sikkuvik", "Nippivik", "Siqiñġiḷaq"]`
        pub const MON: &[&str] = &["Siqiññaatchiaq", "Siqiññaasrugruk", "Paniqsiqsiivik", "Qilġich Tatqiat", "Suppivik", "Iġñivik", "Itchavik", "Tiññivik", "Amiġaiqsivik", "Sikkuvik", "Nippivik", "Siqiñġiḷaq"];
        /// `"%r"`
        pub const T_FMT: &str = "%r";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod is_IS {
    pub mod LC_ADDRESS {
        /// `"IS"`
        pub const COUNTRY_ABTWO: &str = "IS";
        /// `"ISL"`
        pub const COUNTRY_AB3: &str = "ISL";
        /// `"IS"`
        pub const COUNTRY_CAR: &str = "IS";
        /// `"Ísland"`
        pub const COUNTRY_NAME: &str = "Ísland";
        /// `352`
        pub const COUNTRY_NUM: i64 = 352;
        /// `"is"`
        pub const LANG_AB: &str = "is";
        /// `"ice"`
        pub const LANG_LIB: &str = "ice";
        /// `"íslenska"`
        pub const LANG_NAME: &str = "íslenska";
        /// `"isl"`
        pub const LANG_TERM: &str = "isl";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Keldnaholt-ITI\', IS-112 Reykjavi\'k, Iceland"`
        pub const ADDRESS: &str = "Keldnaholt-ITI\', IS-112 Reykjavi\'k, Iceland";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Icelandic"`
        pub const LANGUAGE: &str = "Icelandic";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Stadlarad I\'slands"`
        pub const SOURCE: &str = "Stadlarad I\'slands";
        /// `""`
        pub const TEL: &str = "";
        /// `"Iceland"`
        pub const TERRITORY: &str = "Iceland";
        /// `"Icelandic locale for Iceland"`
        pub const TITLE: &str = "Icelandic locale for Iceland";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"nei"`
        pub const NOSTR: &str = "nei";
        /// `"^[+1jJyY]"`
        pub const YESEXPR: &str = "^[+1jJyY]";
        /// `"já"`
        pub const YESSTR: &str = "já";
    }
    pub mod LC_MONETARY {
        /// `"kr"`
        pub const CURRENCY_SYMBOL: &str = "kr";
        /// `0`
        pub const FRAC_DIGITS: i64 = 0;
        /// `"ISK "`
        pub const INT_CURR_SYMBOL: &str = "ISK ";
        /// `0`
        pub const INT_FRAC_DIGITS: i64 = 0;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"354"`
        pub const INT_PREFIX: &str = "354";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["sun", "mán", "þri", "mið", "fim", "fös", "lau"]`
        pub const ABDAY: &[&str] = &["sun", "mán", "þri", "mið", "fim", "fös", "lau"];
        /// `&["jan", "feb", "mar", "apr", "maí", "jún", "júl", "ágú", "sep", "okt", "nóv", "des"]`
        pub const ABMON: &[&str] = &["jan", "feb", "mar", "apr", "maí", "jún", "júl", "ágú", "sep", "okt", "nóv", "des"];
        /// `&["fh", "eh"]`
        pub const AM_PM: &[&str] = &["fh", "eh"];
        /// `"%a %e.%b %Y"`
        pub const D_FMT: &str = "%a %e.%b %Y";
        /// `"%a %e.%b %Y, %T %Z"`
        pub const D_T_FMT: &str = "%a %e.%b %Y, %T %Z";
        /// `&["sunnudagur", "mánudagur", "þriðjudagur", "miðvikudagur", "fimmtudagur", "föstudagur", "laugardagur"]`
        pub const DAY: &[&str] = &["sunnudagur", "mánudagur", "þriðjudagur", "miðvikudagur", "fimmtudagur", "föstudagur", "laugardagur"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["janúar", "febrúar", "mars", "apríl", "maí", "júní", "júlí", "ágúst", "september", "október", "nóvember", "desember"]`
        pub const MON: &[&str] = &["janúar", "febrúar", "mars", "apríl", "maí", "júní", "júlí", "ágúst", "september", "október", "nóvember", "desember"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod it_CH {
    pub mod LC_ADDRESS {
        /// `"CH"`
        pub const COUNTRY_ABTWO: &str = "CH";
        /// `"CHE"`
        pub const COUNTRY_AB3: &str = "CHE";
        /// `"CH"`
        pub const COUNTRY_CAR: &str = "CH";
        /// `"Svizzera"`
        pub const COUNTRY_NAME: &str = "Svizzera";
        /// `756`
        pub const COUNTRY_NUM: i64 = 756;
        /// `"it"`
        pub const LANG_AB: &str = "it";
        /// `"ita"`
        pub const LANG_LIB: &str = "ita";
        /// `"italiano"`
        pub const LANG_NAME: &str = "italiano";
        /// `"ita"`
        pub const LANG_TERM: &str = "ita";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Italian"`
        pub const LANGUAGE: &str = "Italian";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Switzerland"`
        pub const TERRITORY: &str = "Switzerland";
        /// `"Italian locale for Switzerland"`
        pub const TITLE: &str = "Italian locale for Switzerland";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"no"`
        pub const NOSTR: &str = "no";
        /// `"^[+1sSjJoOyY]"`
        pub const YESEXPR: &str = "^[+1sSjJoOyY]";
        /// `"sì"`
        pub const YESSTR: &str = "sì";
    }
    pub use super::de_CH::LC_MONETARY;
    pub use super::de_CH::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"41"`
        pub const INT_PREFIX: &str = "41";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dom", "lun", "mar", "mer", "gio", "ven", "sab"]`
        pub const ABDAY: &[&str] = &["dom", "lun", "mar", "mer", "gio", "ven", "sab"];
        /// `&["gen", "feb", "mar", "apr", "mag", "giu", "lug", "ago", "set", "ott", "nov", "dic"]`
        pub const ABMON: &[&str] = &["gen", "feb", "mar", "apr", "mag", "giu", "lug", "ago", "set", "ott", "nov", "dic"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %-d %b %Y, %T"`
        pub const D_T_FMT: &str = "%a %-d %b %Y, %T";
        /// `"%a %-d %b %Y, %T, %Z"`
        pub const DATE_FMT: &str = "%a %-d %b %Y, %T, %Z";
        /// `&["domenica", "lunedì", "martedì", "mercoledì", "giovedì", "venerdì", "sabato"]`
        pub const DAY: &[&str] = &["domenica", "lunedì", "martedì", "mercoledì", "giovedì", "venerdì", "sabato"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["gennaio", "febbraio", "marzo", "aprile", "maggio", "giugno", "luglio", "agosto", "settembre", "ottobre", "novembre", "dicembre"]`
        pub const MON: &[&str] = &["gennaio", "febbraio", "marzo", "aprile", "maggio", "giugno", "luglio", "agosto", "settembre", "ottobre", "novembre", "dicembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod it_IT {
    pub mod LC_ADDRESS {
        /// `"IT"`
        pub const COUNTRY_ABTWO: &str = "IT";
        /// `"ITA"`
        pub const COUNTRY_AB3: &str = "ITA";
        /// `"I"`
        pub const COUNTRY_CAR: &str = "I";
        /// `"978-88,979-12"`
        pub const COUNTRY_ISBN: &str = "978-88,979-12";
        /// `"Italia"`
        pub const COUNTRY_NAME: &str = "Italia";
        /// `380`
        pub const COUNTRY_NUM: i64 = 380;
        /// `"it"`
        pub const LANG_AB: &str = "it";
        /// `"ita"`
        pub const LANG_LIB: &str = "ita";
        /// `"italiano"`
        pub const LANG_NAME: &str = "italiano";
        /// `"ita"`
        pub const LANG_TERM: &str = "ita";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Italian"`
        pub const LANGUAGE: &str = "Italian";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Italy"`
        pub const TERRITORY: &str = "Italy";
        /// `"Italian locale for Italy"`
        pub const TITLE: &str = "Italian locale for Italy";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"no"`
        pub const NOSTR: &str = "no";
        /// `"^[+1sSyY]"`
        pub const YESEXPR: &str = "^[+1sSyY]";
        /// `"sì"`
        pub const YESSTR: &str = "sì";
    }
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"39"`
        pub const INT_PREFIX: &str = "39";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dom", "lun", "mar", "mer", "gio", "ven", "sab"]`
        pub const ABDAY: &[&str] = &["dom", "lun", "mar", "mer", "gio", "ven", "sab"];
        /// `&["gen", "feb", "mar", "apr", "mag", "giu", "lug", "ago", "set", "ott", "nov", "dic"]`
        pub const ABMON: &[&str] = &["gen", "feb", "mar", "apr", "mag", "giu", "lug", "ago", "set", "ott", "nov", "dic"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %-d %b %Y, %T"`
        pub const D_T_FMT: &str = "%a %-d %b %Y, %T";
        /// `"%a %-d %b %Y, %T, %Z"`
        pub const DATE_FMT: &str = "%a %-d %b %Y, %T, %Z";
        /// `&["domenica", "lunedì", "martedì", "mercoledì", "giovedì", "venerdì", "sabato"]`
        pub const DAY: &[&str] = &["domenica", "lunedì", "martedì", "mercoledì", "giovedì", "venerdì", "sabato"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["gennaio", "febbraio", "marzo", "aprile", "maggio", "giugno", "luglio", "agosto", "settembre", "ottobre", "novembre", "dicembre"]`
        pub const MON: &[&str] = &["gennaio", "febbraio", "marzo", "aprile", "maggio", "giugno", "luglio", "agosto", "settembre", "ottobre", "novembre", "dicembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod it_IT_euro {
    pub use super::it_IT::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-08-20"`
        pub const DATE: &str = "2000-08-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Italian"`
        pub const LANGUAGE: &str = "Italian";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Italy"`
        pub const TERRITORY: &str = "Italy";
        /// `"Italian locale for Italy with Euro"`
        pub const TITLE: &str = "Italian locale for Italy with Euro";
    }
    pub use super::it_IT::LC_MESSAGES;
    pub use super::it_IT::LC_MONETARY;
    pub use super::it_IT::LC_NUMERIC;
    pub use super::it_IT::LC_TELEPHONE;
    pub use super::it_IT::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod iu_CA {
    pub mod LC_ADDRESS {
        /// `"CA"`
        pub const COUNTRY_ABTWO: &str = "CA";
        /// `"CAN"`
        pub const COUNTRY_AB3: &str = "CAN";
        /// `"CDN"`
        pub const COUNTRY_CAR: &str = "CDN";
        /// `"ᑲᓇᑕ"`
        pub const COUNTRY_NAME: &str = "ᑲᓇᑕ";
        /// `124`
        pub const COUNTRY_NUM: i64 = 124;
        /// `"CA"`
        pub const COUNTRY_POST: &str = "CA";
        /// `"iu"`
        pub const LANG_AB: &str = "iu";
        /// `"iku"`
        pub const LANG_LIB: &str = "iku";
        /// `"ᐃᓄᒃᑎᑐᑦ"`
        pub const LANG_NAME: &str = "ᐃᓄᒃᑎᑐᑦ";
        /// `"iku"`
        pub const LANG_TERM: &str = "iku";
        /// `"%a%N%f%N%d%N%b%N%h %s %e %r%N%T %z%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%f%N%d%N%b%N%h %s %e %r%N%T %z%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
        ];
        /// `"Pablo Saratxaga"`
        pub const CONTACT: &str = "Pablo Saratxaga";
        /// `"2001-05-04"`
        pub const DATE: &str = "2001-05-04";
        /// `"pablo@mandriva.com"`
        pub const EMAIL: &str = "pablo@mandriva.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Inuktitut"`
        pub const LANGUAGE: &str = "Inuktitut";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Canada"`
        pub const TERRITORY: &str = "Canada";
        /// `"Inuktitut language locale for Nunavut, Canada"`
        pub const TITLE: &str = "Inuktitut language locale for Nunavut, Canada";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"^[+1yYsS]"`
        pub const YESEXPR: &str = "^[+1yYsS]";
    }
    pub use super::en_CA::LC_MONETARY;
    pub use super::en_CA::LC_NUMERIC;
    pub use super::en_CA::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["ᓈ", "ᓇ", "ᓕ", "ᐱ", "ᕿ", "ᐅ", "ᓯ"]`
        pub const ABDAY: &[&str] = &["ᓈ", "ᓇ", "ᓕ", "ᐱ", "ᕿ", "ᐅ", "ᓯ"];
        /// `&["ᔮᓄ", "ᕕᕗ", "ᒪᔅ", "ᐃᐳ", "ᒪᐃ", "ᔪᓂ", "ᔪᓚ", "ᐊᒋ", "ᓯᑎ", "ᐊᑦ", "ᓄᕕ", "ᑎᓯ"]`
        pub const ABMON: &[&str] = &["ᔮᓄ", "ᕕᕗ", "ᒪᔅ", "ᐃᐳ", "ᒪᐃ", "ᔪᓂ", "ᔪᓚ", "ᐊᒋ", "ᓯᑎ", "ᐊᑦ", "ᓄᕕ", "ᑎᓯ"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%m/%d/%y"`
        pub const D_FMT: &str = "%m/%d/%y";
        /// `"%a %d %b %Y %r %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %r %Z";
        /// `&["ᓈᑦᑎᖑᔭᕐᕕᒃ", "ᓇᒡᒐᔾᔭᐅ", "ᓇᒡᒐᔾᔭᐅᓕᖅᑭᑦ", "ᐱᖓᓲᓕᖅᓯᐅᑦ", "ᕿᑎᖅᑰᑦ", "ᐅᓪᓗᕈᓘᑐᐃᓇᖅ", "ᓯᕙᑖᕕᒃ"]`
        pub const DAY: &[&str] = &["ᓈᑦᑎᖑᔭᕐᕕᒃ", "ᓇᒡᒐᔾᔭᐅ", "ᓇᒡᒐᔾᔭᐅᓕᖅᑭᑦ", "ᐱᖓᓲᓕᖅᓯᐅᑦ", "ᕿᑎᖅᑰᑦ", "ᐅᓪᓗᕈᓘᑐᐃᓇᖅ", "ᓯᕙᑖᕕᒃ"];
        /// `&["ᔮᓄᐊᓕ", "ᕕᕗᐊᓕ", "ᒪᔅᓯ", "ᐃᐳᓗ", "ᒪᐃ", "ᔪᓂ", "ᔪᓚᐃ", "ᐊᒋᓯ", "ᓯᑎᕙ", "ᐊᑦᑐᕙ", "ᓄᕕᕙ", "ᑎᓯᕝᕙ"]`
        pub const MON: &[&str] = &["ᔮᓄᐊᓕ", "ᕕᕗᐊᓕ", "ᒪᔅᓯ", "ᐃᐳᓗ", "ᒪᐃ", "ᔪᓂ", "ᔪᓚᐃ", "ᐊᒋᓯ", "ᓯᑎᕙ", "ᐊᑦᑐᕙ", "ᓄᕕᕙ", "ᑎᓯᕝᕙ"];
        /// `"%r"`
        pub const T_FMT: &str = "%r";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ja_JP {
    pub mod LC_ADDRESS {
        /// `"JP"`
        pub const COUNTRY_ABTWO: &str = "JP";
        /// `"JPN"`
        pub const COUNTRY_AB3: &str = "JPN";
        /// `"J"`
        pub const COUNTRY_CAR: &str = "J";
        /// `"日本"`
        pub const COUNTRY_NAME: &str = "日本";
        /// `392`
        pub const COUNTRY_NUM: i64 = 392;
        /// `"ja"`
        pub const LANG_AB: &str = "ja";
        /// `"jpn"`
        pub const LANG_LIB: &str = "jpn";
        /// `"日本語"`
        pub const LANG_NAME: &str = "日本語";
        /// `"jpn"`
        pub const LANG_TERM: &str = "jpn";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-20"`
        pub const DATE: &str = "2000-07-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Japanese"`
        pub const LANGUAGE: &str = "Japanese";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"HANATAKA, Shinya, hanataka@abyss.rim.or.jp"`
        pub const SOURCE: &str = "HANATAKA, Shinya, hanataka@abyss.rim.or.jp";
        /// `""`
        pub const TEL: &str = "";
        /// `"Japan"`
        pub const TERRITORY: &str = "Japan";
        /// `"Japanese language locale for Japan"`
        pub const TITLE: &str = "Japanese language locale for Japan";
    }
    pub mod LC_MESSAGES {
        /// `"^([-0nNｎＮ]|いいえ|イイエ)"`
        pub const NOEXPR: &str = "^([-0nNｎＮ]|いいえ|イイエ)";
        /// `"いいえ"`
        pub const NOSTR: &str = "いいえ";
        /// `"^([+1yYｙＹ]|はい|ハイ)"`
        pub const YESEXPR: &str = "^([+1yYｙＹ]|はい|ハイ)";
        /// `"はい"`
        pub const YESSTR: &str = "はい";
    }
    pub mod LC_MONETARY {
        /// `"￥"`
        pub const CURRENCY_SYMBOL: &str = "￥";
        /// `0`
        pub const FRAC_DIGITS: i64 = 0;
        /// `"JPY "`
        pub const INT_CURR_SYMBOL: &str = "JPY ";
        /// `0`
        pub const INT_FRAC_DIGITS: i64 = 0;
        /// `2`
        pub const INT_N_SEP_BY_SPACE: i64 = 2;
        /// `2`
        pub const INT_P_SEP_BY_SPACE: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `4`
        pub const N_SIGN_POSN: i64 = 4;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `4`
        pub const P_SIGN_POSN: i64 = 4;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"81"`
        pub const INT_PREFIX: &str = "81";
        /// `"010"`
        pub const INT_SELECT: &str = "010";
        /// `"+%c ;%a \n;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a \n;%l";
    }
    pub mod LC_TIME {
        /// `&["日", "月", "火", "水", "木", "金", "土"]`
        pub const ABDAY: &[&str] = &["日", "月", "火", "水", "木", "金", "土"];
        /// `&[" 1月", " 2月", " 3月", " 4月", " 5月", " 6月", " 7月", " 8月", " 9月", "10月", "11月", "12月"]`
        pub const ABMON: &[&str] = &[" 1月", " 2月", " 3月", " 4月", " 5月", " 6月", " 7月", " 8月", " 9月", "10月", "11月", "12月"];
        /// `&["〇", "一", "二", "三", "四", "五", "六", "七", "八", "九", "十", "十一", "十二", "十三", "十四", "十五", "十六", "十七", "十八", "十九", "二十", "二十一", "二十二", "二十三", "二十四", "二十五", "二十六", "二十七", "二十八", "二十九", "三十", "三十一", "三十二", "三十三", "三十四", "三十五", "三十六", "三十七", "三十八", "三十九", "四十", "四十一", "四十二", "四十三", "四十四", "四十五", "四十六", "四十七", "四十八", "四十九", "五十", "五十一", "五十二", "五十三", "五十四", "五十五", "五十六", "五十七", "五十八", "五十九", "六十", "六十一", "六十二", "六十三", "六十四", "六十五", "六十六", "六十七", "六十八", "六十九", "七十", "七十一", "七十二", "七十三", "七十四", "七十五", "七十六", "七十七", "七十八", "七十九", "八十", "八十一", "八十二", "八十三", "八十四", "八十五", "八十六", "八十七", "八十八", "八十九", "九十", "九十一", "九十二", "九十三", "九十四", "九十五", "九十六", "九十七", "九十八", "九十九"]`
        pub const ALT_DIGITS: &[&str] = &["〇", "一", "二", "三", "四", "五", "六", "七", "八", "九", "十", "十一", "十二", "十三", "十四", "十五", "十六", "十七", "十八", "十九", "二十", "二十一", "二十二", "二十三", "二十四", "二十五", "二十六", "二十七", "二十八", "二十九", "三十", "三十一", "三十二", "三十三", "三十四", "三十五", "三十六", "三十七", "三十八", "三十九", "四十", "四十一", "四十二", "四十三", "四十四", "四十五", "四十六", "四十七", "四十八", "四十九", "五十", "五十一", "五十二", "五十三", "五十四", "五十五", "五十六", "五十七", "五十八", "五十九", "六十", "六十一", "六十二", "六十三", "六十四", "六十五", "六十六", "六十七", "六十八", "六十九", "七十", "七十一", "七十二", "七十三", "七十四", "七十五", "七十六", "七十七", "七十八", "七十九", "八十", "八十一", "八十二", "八十三", "八十四", "八十五", "八十六", "八十七", "八十八", "八十九", "九十", "九十一", "九十二", "九十三", "九十四", "九十五", "九十六", "九十七", "九十八", "九十九"];
        /// `&["午前", "午後"]`
        pub const AM_PM: &[&str] = &["午前", "午後"];
        /// `"%Y年%m月%d日"`
        pub const D_FMT: &str = "%Y年%m月%d日";
        /// `"%Y年%m月%d日 %H時%M分%S秒"`
        pub const D_T_FMT: &str = "%Y年%m月%d日 %H時%M分%S秒";
        /// `"%Y年 %b %e日 %A %H:%M:%S %Z"`
        pub const DATE_FMT: &str = "%Y年 %b %e日 %A %H:%M:%S %Z";
        /// `&["日曜日", "月曜日", "火曜日", "水曜日", "木曜日", "金曜日", "土曜日"]`
        pub const DAY: &[&str] = &["日曜日", "月曜日", "火曜日", "水曜日", "木曜日", "金曜日", "土曜日"];
        /// `&["+:2:2020/01/01:+*:令和:%EC%Ey年", "+:1:2019/05/01:2019/12/31:令和:%EC元年", "+:2:1990/01/01:2019/04/30:平成:%EC%Ey年", "+:1:1989/01/08:1989/12/31:平成:%EC元年", "+:2:1927/01/01:1989/01/07:昭和:%EC%Ey年", "+:1:1926/12/25:1926/12/31:昭和:%EC元年", "+:2:1913/01/01:1926/12/24:大正:%EC%Ey年", "+:1:1912/07/30:1912/12/31:大正:%EC元年", "+:6:1873/01/01:1912/07/29:明治:%EC%Ey年", "+:1:0001/01/01:1872/12/31:西暦:%EC%Ey年", "+:1:-0001/12/31:-*:紀元前:%EC%Ey年"]`
        pub const ERA: &[&str] = &["+:2:2020/01/01:+*:令和:%EC%Ey年", "+:1:2019/05/01:2019/12/31:令和:%EC元年", "+:2:1990/01/01:2019/04/30:平成:%EC%Ey年", "+:1:1989/01/08:1989/12/31:平成:%EC元年", "+:2:1927/01/01:1989/01/07:昭和:%EC%Ey年", "+:1:1926/12/25:1926/12/31:昭和:%EC元年", "+:2:1913/01/01:1926/12/24:大正:%EC%Ey年", "+:1:1912/07/30:1912/12/31:大正:%EC元年", "+:6:1873/01/01:1912/07/29:明治:%EC%Ey年", "+:1:0001/01/01:1872/12/31:西暦:%EC%Ey年", "+:1:-0001/12/31:-*:紀元前:%EC%Ey年"];
        /// `"%EY%m月%d日"`
        pub const ERA_D_FMT: &str = "%EY%m月%d日";
        /// `"%EY%m月%d日 %H時%M分%S秒"`
        pub const ERA_D_T_FMT: &str = "%EY%m月%d日 %H時%M分%S秒";
        /// `&["1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月"]`
        pub const MON: &[&str] = &["1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月"];
        /// `"%H時%M分%S秒"`
        pub const T_FMT: &str = "%H時%M分%S秒";
        /// `"%p%I時%M分%S秒"`
        pub const T_FMT_AMPM: &str = "%p%I時%M分%S秒";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ka_GE {
    pub mod LC_ADDRESS {
        /// `"GE"`
        pub const COUNTRY_ABTWO: &str = "GE";
        /// `"GEO"`
        pub const COUNTRY_AB3: &str = "GEO";
        /// `"GE"`
        pub const COUNTRY_CAR: &str = "GE";
        /// `"99928"`
        pub const COUNTRY_ISBN: &str = "99928";
        /// `"საქართველო"`
        pub const COUNTRY_NAME: &str = "საქართველო";
        /// `268`
        pub const COUNTRY_NUM: i64 = 268;
        /// `"ka"`
        pub const LANG_AB: &str = "ka";
        /// `"geo"`
        pub const LANG_LIB: &str = "geo";
        /// `"ქართული"`
        pub const LANG_NAME: &str = "ქართული";
        /// `"kat"`
        pub const LANG_TERM: &str = "kat";
        /// `"%d%N%f%N%d%N%b%N%s %h 5e %r%N%C%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%d%N%f%N%d%N%b%N%s %h 5e %r%N%C%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MONETARY"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MONETARY"],
        ];
        /// `"Pablo Saratxaga"`
        pub const CONTACT: &str = "Pablo Saratxaga";
        /// `"2001-01-26"`
        pub const DATE: &str = "2001-01-26";
        /// `"srtxg@chanae.alphanet.ch"`
        pub const EMAIL: &str = "srtxg@chanae.alphanet.ch";
        /// `""`
        pub const FAX: &str = "";
        /// `"Georgian"`
        pub const LANGUAGE: &str = "Georgian";
        /// `"0.6"`
        pub const REVISION: &str = "0.6";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Georgia"`
        pub const TERRITORY: &str = "Georgia";
        /// `"Georgian language locale for Georgia"`
        pub const TITLE: &str = "Georgian language locale for Georgia";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNaAა]"`
        pub const NOEXPR: &str = "^[-0nNaAა]";
        /// `"არა"`
        pub const NOSTR: &str = "არა";
        /// `"^[+1yYkKxXკ]"`
        pub const YESEXPR: &str = "^[+1yYkKxXკ]";
        /// `"კი"`
        pub const YESSTR: &str = "კი";
    }
    pub mod LC_MONETARY {
        /// `"₾"`
        pub const CURRENCY_SYMBOL: &str = "₾";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"GEL "`
        pub const INT_CURR_SYMBOL: &str = "GEL ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"995"`
        pub const INT_PREFIX: &str = "995";
        /// `"8~10"`
        pub const INT_SELECT: &str = "8~10";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["კვი", "ორშ", "სამ", "ოთხ", "ხუთ", "პარ", "შაბ"]`
        pub const ABDAY: &[&str] = &["კვი", "ორშ", "სამ", "ოთხ", "ხუთ", "პარ", "შაბ"];
        /// `&["იან", "თებ", "მარ", "აპრ", "მაი", "ივნ", "ივლ", "აგვ", "სექ", "ოქტ", "ნოე", "დეკ"]`
        pub const ABMON: &[&str] = &["იან", "თებ", "მარ", "აპრ", "მაი", "ივნ", "ივლ", "აგვ", "სექ", "ოქტ", "ნოე", "დეკ"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%m/%d/%Y"`
        pub const D_FMT: &str = "%m/%d/%Y";
        /// `"%Y წლის %d %B, %T %Z"`
        pub const D_T_FMT: &str = "%Y წლის %d %B, %T %Z";
        /// `&["კვირა", "ორშაბათი", "სამშაბათი", "ოთხშაბათი", "ხუთშაბათი", "პარასკევი", "შაბათი"]`
        pub const DAY: &[&str] = &["კვირა", "ორშაბათი", "სამშაბათი", "ოთხშაბათი", "ხუთშაბათი", "პარასკევი", "შაბათი"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["იანვარი", "თებერვალი", "მარტი", "აპრილი", "მაისი", "ივნისი", "ივლისი", "აგვისტო", "სექტემბერი", "ოქტომბერი", "ნოემბერი", "დეკემბერი"]`
        pub const MON: &[&str] = &["იანვარი", "თებერვალი", "მარტი", "აპრილი", "მაისი", "ივნისი", "ივლისი", "აგვისტო", "სექტემბერი", "ოქტომბერი", "ნოემბერი", "დეკემბერი"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod kab_DZ {
    pub mod LC_ADDRESS {
        /// `"DZ"`
        pub const COUNTRY_ABTWO: &str = "DZ";
        /// `"DZA"`
        pub const COUNTRY_AB3: &str = "DZA";
        /// `"DZ"`
        pub const COUNTRY_CAR: &str = "DZ";
        /// `"Lezzayer"`
        pub const COUNTRY_NAME: &str = "Lezzayer";
        /// `12`
        pub const COUNTRY_NUM: i64 = 12;
        /// `"kab"`
        pub const LANG_LIB: &str = "kab";
        /// `"Taqbaylit"`
        pub const LANG_NAME: &str = "Taqbaylit";
        /// `"kab"`
        pub const LANG_TERM: &str = "kab";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2016-07-06"`
        pub const DATE: &str = "2016-07-06";
        /// `"belkacem77@gmail.com"`
        pub const EMAIL: &str = "belkacem77@gmail.com";
        /// `"Kabyle"`
        pub const LANGUAGE: &str = "Kabyle";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `""`
        pub const SOURCE: &str = "";
        /// `"Algeria"`
        pub const TERRITORY: &str = "Algeria";
        /// `"Kabyle language locale for Algeria"`
        pub const TITLE: &str = "Kabyle language locale for Algeria";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNuUaA]"`
        pub const NOEXPR: &str = "^[-0nNuUaA]";
        /// `"Uhu"`
        pub const NOSTR: &str = "Uhu";
        /// `"^[+1yYiI]"`
        pub const YESEXPR: &str = "^[+1yYiI]";
        /// `"Ih"`
        pub const YESSTR: &str = "Ih";
    }
    pub mod LC_MONETARY {
        /// `"DA"`
        pub const CURRENCY_SYMBOL: &str = "DA";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"DZD "`
        pub const INT_CURR_SYMBOL: &str = "DZD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `""`
        pub const MON_THOUSANDS_SEP: &str = "";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `""`
        pub const THOUSANDS_SEP: &str = "";
    }
    pub use super::ar_DZ::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Ace", "Ari", "Ara", "Aha", "Amh", "Sem", "Sed"]`
        pub const ABDAY: &[&str] = &["Ace", "Ari", "Ara", "Aha", "Amh", "Sem", "Sed"];
        /// `&["Yen", "Fur", "Meɣ", "Yeb", "May", "Yun", "Yul", "ɣuc", "Cte", "Tub", "Wam", "Duj"]`
        pub const ABMON: &[&str] = &["Yen", "Fur", "Meɣ", "Yeb", "May", "Yun", "Yul", "ɣuc", "Cte", "Tub", "Wam", "Duj"];
        /// `&["FT", "MD"]`
        pub const AM_PM: &[&str] = &["FT", "MD"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Acer", "Arim", "Aram", "Ahad", "Amhad", "Sem", "Sed"]`
        pub const DAY: &[&str] = &["Acer", "Arim", "Aram", "Ahad", "Amhad", "Sem", "Sed"];
        /// `7`
        pub const FIRST_WEEKDAY: i64 = 7;
        /// `1`
        pub const FIRST_WORKDAY: i64 = 1;
        /// `&["Yennayer", "Fuṛar", "Meɣres", "Yebrir", "Mayyu", "Yunyu", "Yulyu", "ɣuct", "Ctembeṛ", "Tubeṛ", "Wambeṛ", "Dujembeṛ"]`
        pub const MON: &[&str] = &["Yennayer", "Fuṛar", "Meɣres", "Yebrir", "Mayyu", "Yunyu", "Yulyu", "ɣuct", "Ctembeṛ", "Tubeṛ", "Wambeṛ", "Dujembeṛ"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod kk_KZ {
    pub mod LC_ADDRESS {
        /// `"KZ"`
        pub const COUNTRY_ABTWO: &str = "KZ";
        /// `"KAZ"`
        pub const COUNTRY_AB3: &str = "KAZ";
        /// `"KZ"`
        pub const COUNTRY_CAR: &str = "KZ";
        /// `"978-601"`
        pub const COUNTRY_ISBN: &str = "978-601";
        /// `"Қазақстан"`
        pub const COUNTRY_NAME: &str = "Қазақстан";
        /// `398`
        pub const COUNTRY_NUM: i64 = 398;
        /// `"KAZ"`
        pub const COUNTRY_POST: &str = "KAZ";
        /// `"kk"`
        pub const LANG_AB: &str = "kk";
        /// `"kaz"`
        pub const LANG_LIB: &str = "kaz";
        /// `"қазақ тілі"`
        pub const LANG_NAME: &str = "қазақ тілі";
        /// `"kaz"`
        pub const LANG_TERM: &str = "kaz";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Timur Birsh"`
        pub const CONTACT: &str = "Timur Birsh";
        /// `"2016-03-22"`
        pub const DATE: &str = "2016-03-22";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Kazakh"`
        pub const LANGUAGE: &str = "Kazakh";
        /// `"1.1"`
        pub const REVISION: &str = "1.1";
        /// `"linukz.org"`
        pub const SOURCE: &str = "linukz.org";
        /// `""`
        pub const TEL: &str = "";
        /// `"Kazakhstan"`
        pub const TERRITORY: &str = "Kazakhstan";
        /// `"Kazakh locale for Kazakhstan"`
        pub const TITLE: &str = "Kazakh locale for Kazakhstan";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNЖжN]"`
        pub const NOEXPR: &str = "^[-0nNЖжN]";
        /// `"жоқ"`
        pub const NOSTR: &str = "жоқ";
        /// `"^[+1yYИи]"`
        pub const YESEXPR: &str = "^[+1yYИи]";
        /// `"иә"`
        pub const YESSTR: &str = "иә";
    }
    pub mod LC_MONETARY {
        /// `"₸"`
        pub const CURRENCY_SYMBOL: &str = "₸";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"KZT "`
        pub const INT_CURR_SYMBOL: &str = "KZT ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `1`
        pub const INT_N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const INT_N_SEP_BY_SPACE: i64 = 1;
        /// `4`
        pub const INT_N_SIGN_POSN: i64 = 4;
        /// `1`
        pub const INT_P_CS_PRECEDES: i64 = 1;
        /// `2`
        pub const INT_P_SEP_BY_SPACE: i64 = 2;
        /// `4`
        pub const INT_P_SIGN_POSN: i64 = 4;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `2`
        pub const P_SEP_BY_SPACE: i64 = 2;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const THOUSANDS_SEP: &str = "\u{202f}";
    }
    pub mod LC_TELEPHONE {
        /// `"7"`
        pub const INT_PREFIX: &str = "7";
        /// `"8~10"`
        pub const INT_SELECT: &str = "8~10";
        /// `"(%A) %l"`
        pub const TEL_DOM_FMT: &str = "(%A) %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Жк", "Дс", "Сс", "Ср", "Бс", "Жм", "Сб"]`
        pub const ABDAY: &[&str] = &["Жк", "Дс", "Сс", "Ср", "Бс", "Жм", "Сб"];
        /// `&["Қаң", "Ақп", "Нау", "Сәу", "Мам", "Мау", "Шіл", "Там", "Қыр", "Қаз", "Қар", "Жел"]`
        pub const ABMON: &[&str] = &["Қаң", "Ақп", "Нау", "Сәу", "Мам", "Мау", "Шіл", "Там", "Қыр", "Қаз", "Қар", "Жел"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T";
        /// `&["Жексенбі", "Дүйсенбі", "Сейсенбі", "Сәрсенбі", "Бейсенбі", "Жұма", "Сенбі"]`
        pub const DAY: &[&str] = &["Жексенбі", "Дүйсенбі", "Сейсенбі", "Сәрсенбі", "Бейсенбі", "Жұма", "Сенбі"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Қаңтар", "Ақпан", "Наурыз", "Сәуір", "Мамыр", "Маусым", "Шілде", "Тамыз", "Қыркүйек", "Қазан", "Қараша", "Желтоқсан"]`
        pub const MON: &[&str] = &["Қаңтар", "Ақпан", "Наурыз", "Сәуір", "Мамыр", "Маусым", "Шілде", "Тамыз", "Қыркүйек", "Қазан", "Қараша", "Желтоқсан"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod kl_GL {
    pub mod LC_ADDRESS {
        /// `"GL"`
        pub const COUNTRY_ABTWO: &str = "GL";
        /// `"GRL"`
        pub const COUNTRY_AB3: &str = "GRL";
        /// `"KN"`
        pub const COUNTRY_CAR: &str = "KN";
        /// `"Kalaallit Nunaat"`
        pub const COUNTRY_NAME: &str = "Kalaallit Nunaat";
        /// `304`
        pub const COUNTRY_NUM: i64 = 304;
        /// `"kl"`
        pub const LANG_AB: &str = "kl";
        /// `"kal"`
        pub const LANG_LIB: &str = "kal";
        /// `"kalaallisut"`
        pub const LANG_NAME: &str = "kalaallisut";
        /// `"kal"`
        pub const LANG_TERM: &str = "kal";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Kollegievej 6, DK-2920 Charlottenlund, Danmark"`
        pub const ADDRESS: &str = "Kollegievej 6, DK-2920 Charlottenlund, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Kalaallisut"`
        pub const LANGUAGE: &str = "Kalaallisut";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Danish Standards Association"`
        pub const SOURCE: &str = "Danish Standards Association";
        /// `""`
        pub const TEL: &str = "";
        /// `"Greenland"`
        pub const TERRITORY: &str = "Greenland";
        /// `"Greenlandic locale for Greenland"`
        pub const TITLE: &str = "Greenlandic locale for Greenland";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0Nn]"`
        pub const NOEXPR: &str = "^[-0Nn]";
        /// `"naagga"`
        pub const NOSTR: &str = "naagga";
        /// `"^[+1JjYyAa]"`
        pub const YESEXPR: &str = "^[+1JjYyAa]";
        /// `"aap"`
        pub const YESSTR: &str = "aap";
    }
    pub use super::da_DK::LC_MONETARY;
    pub use super::da_DK::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"299"`
        pub const INT_PREFIX: &str = "299";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["sap", "ata", "mar", "pin", "sis", "tal", "arf"]`
        pub const ABDAY: &[&str] = &["sap", "ata", "mar", "pin", "sis", "tal", "arf"];
        /// `&["jan", "feb", "mar", "apr", "maj", "jun", "jul", "aug", "sep", "okt", "nov", "dec"]`
        pub const ABMON: &[&str] = &["jan", "feb", "mar", "apr", "maj", "jun", "jul", "aug", "sep", "okt", "nov", "dec"];
        /// `&["januaari", "februaari", "marsi", "apriili", "maaji", "juuni", "juuli", "aggusti", "septembari", "oktobari", "novembari", "decembari"]`
        pub const ALT_MON: &[&str] = &["januaari", "februaari", "marsi", "apriili", "maaji", "juuni", "juuli", "aggusti", "septembari", "oktobari", "novembari", "decembari"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%b %d %Y"`
        pub const D_FMT: &str = "%b %d %Y";
        /// `"%a %b %d %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %b %d %Y %T %Z";
        /// `&["sapaat", "ataasinngorneq", "marlunngorneq", "pingasunngorneq", "sisamanngorneq", "tallimanngorneq", "arfininngorneq"]`
        pub const DAY: &[&str] = &["sapaat", "ataasinngorneq", "marlunngorneq", "pingasunngorneq", "sisamanngorneq", "tallimanngorneq", "arfininngorneq"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["januaarip", "februaarip", "marsip", "apriilip", "maajip", "juunip", "juulip", "aggustip", "septembarip", "oktobarip", "novembarip", "decembarip"]`
        pub const MON: &[&str] = &["januaarip", "februaarip", "marsip", "apriilip", "maajip", "juunip", "juulip", "aggustip", "septembarip", "oktobarip", "novembarip", "decembarip"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod km_KH {
    pub mod LC_ADDRESS {
        /// `"KH"`
        pub const COUNTRY_ABTWO: &str = "KH";
        /// `"KHM"`
        pub const COUNTRY_AB3: &str = "KHM";
        /// `"KH"`
        pub const COUNTRY_CAR: &str = "KH";
        /// `"កម\u{17d2}ព\u{17bb}ជា"`
        pub const COUNTRY_NAME: &str = "កម\u{17d2}ព\u{17bb}ជា";
        /// `116`
        pub const COUNTRY_NUM: i64 = 116;
        /// `"km"`
        pub const LANG_AB: &str = "km";
        /// `"khm"`
        pub const LANG_LIB: &str = "khm";
        /// `"ខ\u{17d2}មែរ"`
        pub const LANG_NAME: &str = "ខ\u{17d2}មែរ";
        /// `"khm"`
        pub const LANG_TERM: &str = "khm";
        /// `"%f%N%a%N%d%N%r%t%e%t%b%N%h%t%s%N%T%N%S%N%z%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%r%t%e%t%b%N%h%t%s%N%T%N%S%N%z%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Jens Herden at: jens@khmeros.info"`
        pub const CONTACT: &str = "Jens Herden at: jens@khmeros.info";
        /// `"2005-3-15"`
        pub const DATE: &str = "2005-3-15";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Khmer"`
        pub const LANGUAGE: &str = "Khmer";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Cambodia"`
        pub const TERRITORY: &str = "Cambodia";
        /// `"Khmer locale for Cambodia"`
        pub const TITLE: &str = "Khmer locale for Cambodia";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNទ]"`
        pub const NOEXPR: &str = "^[-0nNទ]";
        /// `"ទេ"`
        pub const NOSTR: &str = "ទេ";
        /// `"^[+1yYប]"`
        pub const YESEXPR: &str = "^[+1yYប]";
        /// `"បាទ/ចាស"`
        pub const YESSTR: &str = "បាទ/ចាស";
    }
    pub mod LC_MONETARY {
        /// `"៛"`
        pub const CURRENCY_SYMBOL: &str = "៛";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"KHR "`
        pub const INT_CURR_SYMBOL: &str = "KHR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `0`
        pub const INT_N_CS_PRECEDES: i64 = 0;
        /// `0`
        pub const INT_N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const INT_N_SIGN_POSN: i64 = 1;
        /// `0`
        pub const INT_P_CS_PRECEDES: i64 = 0;
        /// `0`
        pub const INT_P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const INT_P_SIGN_POSN: i64 = 1;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"855"`
        pub const INT_PREFIX: &str = "855";
        /// `"001"`
        pub const INT_SELECT: &str = "001";
        /// `"(%A)%l"`
        pub const TEL_DOM_FMT: &str = "(%A)%l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["អា", "ច", "អ", "ព\u{17bb}", "ព\u{17d2}រ", "ស\u{17bb}", "ស"]`
        pub const ABDAY: &[&str] = &["អា", "ច", "អ", "ព\u{17bb}", "ព\u{17d2}រ", "ស\u{17bb}", "ស"];
        /// `&["១", "២", "៣", "៤", "៥", "៦", "៧", "៨", "៩", "១០", "១១", "១២"]`
        pub const ABMON: &[&str] = &["១", "២", "៣", "៤", "៥", "៦", "៧", "៨", "៩", "១០", "១១", "១២"];
        /// `&["ព\u{17d2}រ\u{17b9}ក", "ល\u{17d2}ងាច"]`
        pub const AM_PM: &[&str] = &["ព\u{17d2}រ\u{17b9}ក", "ល\u{17d2}ងាច"];
        /// `"%e %B %Y"`
        pub const D_FMT: &str = "%e %B %Y";
        /// `"%A ថ\u{17d2}ងៃ %e ខែ %B ឆ\u{17d2}នា\u{17c6} %Y, %H ម\u{17c9}ោង m នាទ\u{17b8} %S វ\u{17b7}នាទ\u{17b8}\u{200b}"`
        pub const D_T_FMT: &str = "%A ថ\u{17d2}ងៃ %e ខែ %B ឆ\u{17d2}នា\u{17c6} %Y, %H ម\u{17c9}ោង m នាទ\u{17b8} %S វ\u{17b7}នាទ\u{17b8}\u{200b}";
        /// `&["ថ\u{17d2}ងៃ\u{200b}អាទ\u{17b7}ត\u{17d2}យ", "ថ\u{17d2}ងៃ\u{200b}ច\u{17d0}ន\u{17d2}ទ", "ថ\u{17d2}ងៃ\u{200b}អង\u{17d2}គារ", "ថ\u{17d2}ងៃ\u{200b}ព\u{17bb}ធ", "ថ\u{17d2}ងៃ\u{200b}ព\u{17d2}រហស\u{17d2}បត\u{17b7}\u{17cd}", "ថ\u{17d2}ងៃ\u{200b}ស\u{17bb}ក\u{17d2}រ", "ថ\u{17d2}ងៃ\u{200b}សៅរ\u{17cd}"]`
        pub const DAY: &[&str] = &["ថ\u{17d2}ងៃ\u{200b}អាទ\u{17b7}ត\u{17d2}យ", "ថ\u{17d2}ងៃ\u{200b}ច\u{17d0}ន\u{17d2}ទ", "ថ\u{17d2}ងៃ\u{200b}អង\u{17d2}គារ", "ថ\u{17d2}ងៃ\u{200b}ព\u{17bb}ធ", "ថ\u{17d2}ងៃ\u{200b}ព\u{17d2}រហស\u{17d2}បត\u{17b7}\u{17cd}", "ថ\u{17d2}ងៃ\u{200b}ស\u{17bb}ក\u{17d2}រ", "ថ\u{17d2}ងៃ\u{200b}សៅរ\u{17cd}"];
        /// `1`
        pub const FIRST_WEEKDAY: i64 = 1;
        /// `&["មករា", "ក\u{17bb}ម\u{17d2}ភៈ", "ម\u{17b8}នា", "មេសា", "ឧសភា", "ម\u{17b7}ថ\u{17bb}នា", "កក\u{17d2}កដា", "ស\u{17b8}ហា", "កញ\u{17d2}ញា", "ត\u{17bb}លា", "វ\u{17b7}ច\u{17d2}ឆ\u{17b7}កា", "ធ\u{17d2}ន\u{17bc}"]`
        pub const MON: &[&str] = &["មករា", "ក\u{17bb}ម\u{17d2}ភៈ", "ម\u{17b8}នា", "មេសា", "ឧសភា", "ម\u{17b7}ថ\u{17bb}នា", "កក\u{17d2}កដា", "ស\u{17b8}ហា", "កញ\u{17d2}ញា", "ត\u{17bb}លា", "វ\u{17b7}ច\u{17d2}ឆ\u{17b7}កា", "ធ\u{17d2}ន\u{17bc}"];
        /// `"%H:%M:%S"`
        pub const T_FMT: &str = "%H:%M:%S";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod kn_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"ಭಾರತ"`
        pub const COUNTRY_NAME: &str = "ಭಾರತ";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"kn"`
        pub const LANG_AB: &str = "kn";
        /// `"kan"`
        pub const LANG_LIB: &str = "kan";
        /// `"ಕನ\u{ccd}ನಡ"`
        pub const LANG_NAME: &str = "ಕನ\u{ccd}ನಡ";
        /// `"kan"`
        pub const LANG_TERM: &str = "kan";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2002-11-28"`
        pub const DATE: &str = "2002-11-28";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Kannada"`
        pub const LANGUAGE: &str = "Kannada";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `"IndLinux.org"`
        pub const SOURCE: &str = "IndLinux.org";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Kannada language locale for India"`
        pub const TITLE: &str = "Kannada language locale for India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNಇ]"`
        pub const NOEXPR: &str = "^[-0nNಇ]";
        /// `"ಇಲ\u{ccd}ಲ"`
        pub const NOSTR: &str = "ಇಲ\u{ccd}ಲ";
        /// `"^[+1yYಹ]"`
        pub const YESEXPR: &str = "^[+1yYಹ]";
        /// `"ಹ\u{ccc}ದು"`
        pub const YESSTR: &str = "ಹ\u{ccc}ದು";
    }
    pub use super::hi_IN::LC_MONETARY;
    pub use super::hi_IN::LC_NUMERIC;
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["ರ", "ಸೋ", "ಮಂ", "ಬು", "ಗು", "ಶು", "ಶ"]`
        pub const ABDAY: &[&str] = &["ರ", "ಸೋ", "ಮಂ", "ಬು", "ಗು", "ಶು", "ಶ"];
        /// `&["ಜನ", "ಫ\u{cc6}ಬ\u{ccd}ರ", "ಮಾರ\u{ccd}ಚ\u{ccd}", "ಏಪ\u{ccd}ರ\u{cbf}", "ಮೇ", "ಜ\u{cc2}ನ\u{ccd}", "ಜುಲೈ", "ಆ", "ಸ\u{cc6}ಪ\u{ccd}ಟ\u{cc6}ಂ", "ಅಕ\u{ccd}ಟೋ", "ನವ\u{cc6}ಂ", "ಡ\u{cbf}ಸ\u{cc6}ಂ"]`
        pub const ABMON: &[&str] = &["ಜನ", "ಫ\u{cc6}ಬ\u{ccd}ರ", "ಮಾರ\u{ccd}ಚ\u{ccd}", "ಏಪ\u{ccd}ರ\u{cbf}", "ಮೇ", "ಜ\u{cc2}ನ\u{ccd}", "ಜುಲೈ", "ಆ", "ಸ\u{cc6}ಪ\u{ccd}ಟ\u{cc6}ಂ", "ಅಕ\u{ccd}ಟೋ", "ನವ\u{cc6}ಂ", "ಡ\u{cbf}ಸ\u{cc6}ಂ"];
        /// `&["ಪ\u{cc2}ರ\u{ccd}ವಾಹ\u{ccd}ನ", "ಅಪರಾಹ\u{ccd}ನ"]`
        pub const AM_PM: &[&str] = &["ಪ\u{cc2}ರ\u{ccd}ವಾಹ\u{ccd}ನ", "ಅಪರಾಹ\u{ccd}ನ"];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["ರವ\u{cbf}ವಾರ", "ಸೋಮವಾರ", "ಮಂಗಳವಾರ", "ಬುಧವಾರ", "ಗುರುವಾರ", "ಶುಕ\u{ccd}ರವಾರ", "ಶನ\u{cbf}ವಾರ"]`
        pub const DAY: &[&str] = &["ರವ\u{cbf}ವಾರ", "ಸೋಮವಾರ", "ಮಂಗಳವಾರ", "ಬುಧವಾರ", "ಗುರುವಾರ", "ಶುಕ\u{ccd}ರವಾರ", "ಶನ\u{cbf}ವಾರ"];
        /// `&["ಜನವರ\u{cbf}", "ಫ\u{cc6}ಬ\u{ccd}ರವರ\u{cbf}", "ಮಾರ\u{ccd}ಚ\u{ccd}", "ಏಪ\u{ccd}ರ\u{cbf}ಲ\u{ccd}", "ಮೇ", "ಜ\u{cc2}ನ\u{ccd}", "ಜುಲೈ", "ಆಗಸ\u{ccd}ಟ\u{ccd}", "ಸ\u{cc6}ಪ\u{ccd}ಟ\u{cc6}ಂಬರ\u{ccd}", "ಅಕ\u{ccd}ಟೋಬರ\u{ccd}", "ನವ\u{cc6}ಂಬರ\u{ccd}", "ಡ\u{cbf}ಸ\u{cc6}ಂಬರ\u{ccd}"]`
        pub const MON: &[&str] = &["ಜನವರ\u{cbf}", "ಫ\u{cc6}ಬ\u{ccd}ರವರ\u{cbf}", "ಮಾರ\u{ccd}ಚ\u{ccd}", "ಏಪ\u{ccd}ರ\u{cbf}ಲ\u{ccd}", "ಮೇ", "ಜ\u{cc2}ನ\u{ccd}", "ಜುಲೈ", "ಆಗಸ\u{ccd}ಟ\u{ccd}", "ಸ\u{cc6}ಪ\u{ccd}ಟ\u{cc6}ಂಬರ\u{ccd}", "ಅಕ\u{ccd}ಟೋಬರ\u{ccd}", "ನವ\u{cc6}ಂಬರ\u{ccd}", "ಡ\u{cbf}ಸ\u{cc6}ಂಬರ\u{ccd}"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ko_KR {
    pub mod LC_ADDRESS {
        /// `"KR"`
        pub const COUNTRY_ABTWO: &str = "KR";
        /// `"KOR"`
        pub const COUNTRY_AB3: &str = "KOR";
        /// `"ROK"`
        pub const COUNTRY_CAR: &str = "ROK";
        /// `"979-11,978-89"`
        pub const COUNTRY_ISBN: &str = "979-11,978-89";
        /// `"대한민국"`
        pub const COUNTRY_NAME: &str = "대한민국";
        /// `410`
        pub const COUNTRY_NUM: i64 = 410;
        /// `"ko"`
        pub const LANG_AB: &str = "ko";
        /// `"kor"`
        pub const LANG_LIB: &str = "kor";
        /// `"한국어"`
        pub const LANG_NAME: &str = "한국어";
        /// `"kor"`
        pub const LANG_TERM: &str = "kor";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-11-09"`
        pub const DATE: &str = "2000-11-09";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Korean"`
        pub const LANGUAGE: &str = "Korean";
        /// `"1.1"`
        pub const REVISION: &str = "1.1";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"South Korea"`
        pub const TERRITORY: &str = "South Korea";
        /// `"Korean locale for Republic of Korea"`
        pub const TITLE: &str = "Korean locale for Republic of Korea";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNｎＮ아]"`
        pub const NOEXPR: &str = "^[-0nNｎＮ아]";
        /// `"아니요"`
        pub const NOSTR: &str = "아니요";
        /// `"^[+1yYｙＹ예]"`
        pub const YESEXPR: &str = "^[+1yYｙＹ예]";
        /// `"예"`
        pub const YESSTR: &str = "예";
    }
    pub mod LC_MONETARY {
        /// `"₩"`
        pub const CURRENCY_SYMBOL: &str = "₩";
        /// `0`
        pub const FRAC_DIGITS: i64 = 0;
        /// `"KRW "`
        pub const INT_CURR_SYMBOL: &str = "KRW ";
        /// `0`
        pub const INT_FRAC_DIGITS: i64 = 0;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `4`
        pub const N_SIGN_POSN: i64 = 4;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"82"`
        pub const INT_PREFIX: &str = "82";
        /// `"001"`
        pub const INT_SELECT: &str = "001";
        /// `"(%A) %l"`
        pub const TEL_DOM_FMT: &str = "(%A) %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["일", "월", "화", "수", "목", "금", "토"]`
        pub const ABDAY: &[&str] = &["일", "월", "화", "수", "목", "금", "토"];
        /// `&[" 1월", " 2월", " 3월", " 4월", " 5월", " 6월", " 7월", " 8월", " 9월", "10월", "11월", "12월"]`
        pub const ABMON: &[&str] = &[" 1월", " 2월", " 3월", " 4월", " 5월", " 6월", " 7월", " 8월", " 9월", "10월", "11월", "12월"];
        /// `&["오전", "오후"]`
        pub const AM_PM: &[&str] = &["오전", "오후"];
        /// `"%Y년 %m월 %d일"`
        pub const D_FMT: &str = "%Y년 %m월 %d일";
        /// `"%x (%a) %r"`
        pub const D_T_FMT: &str = "%x (%a) %r";
        /// `"%Y. %m. %d. (%a) %H:%M:%S %Z"`
        pub const DATE_FMT: &str = "%Y. %m. %d. (%a) %H:%M:%S %Z";
        /// `&["일요일", "월요일", "화요일", "수요일", "목요일", "금요일", "토요일"]`
        pub const DAY: &[&str] = &["일요일", "월요일", "화요일", "수요일", "목요일", "금요일", "토요일"];
        /// `&["1월", "2월", "3월", "4월", "5월", "6월", "7월", "8월", "9월", "10월", "11월", "12월"]`
        pub const MON: &[&str] = &["1월", "2월", "3월", "4월", "5월", "6월", "7월", "8월", "9월", "10월", "11월", "12월"];
        /// `"%H시 %M분 %S초"`
        pub const T_FMT: &str = "%H시 %M분 %S초";
        /// `"%p %I시 %M분 %S초"`
        pub const T_FMT_AMPM: &str = "%p %I시 %M분 %S초";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod kok_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"भारत"`
        pub const COUNTRY_NAME: &str = "भारत";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"kok"`
        pub const LANG_LIB: &str = "kok";
        /// `"को\u{902}कणी"`
        pub const LANG_NAME: &str = "को\u{902}कणी";
        /// `"kok"`
        pub const LANG_TERM: &str = "kok";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Level-1, Tower 10, Cyber City, Magarpatta City, Hadapsar, Pune, Maharashtra, India-411013"`
        pub const ADDRESS: &str = "Level-1, Tower 10, Cyber City, Magarpatta City, Hadapsar, Pune, Maharashtra, India-411013";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2009,December,08"`
        pub const DATE: &str = "2009,December,08";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Konkani"`
        pub const LANGUAGE: &str = "Konkani";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Red Hat, Pune"`
        pub const SOURCE: &str = "Red Hat, Pune";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Konkani language locale for India"`
        pub const TITLE: &str = "Konkani language locale for India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNन]"`
        pub const NOEXPR: &str = "^[-0nNन]";
        /// `"न\u{94d}ही"`
        pub const NOSTR: &str = "न\u{94d}ही";
        /// `"^[+1yYह]"`
        pub const YESEXPR: &str = "^[+1yYह]";
        /// `"हय"`
        pub const YESSTR: &str = "हय";
    }
    pub use super::hi_IN::LC_MONETARY;
    pub use super::hi_IN::LC_NUMERIC;
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["आयतार", "सोमार", "म\u{902}गळवार", "ब\u{941}धवार", "ब\u{947}र\u{947}सतार", "श\u{941}करार", "श\u{947}नवार"]`
        pub const ABDAY: &[&str] = &["आयतार", "सोमार", "म\u{902}गळवार", "ब\u{941}धवार", "ब\u{947}र\u{947}सतार", "श\u{941}करार", "श\u{947}नवार"];
        /// `&["जान\u{947}वारी", "फ\u{947}ब\u{94d}र\u{941}वारी", "मार\u{94d}च", "एप\u{94d}रिल", "म\u{947}", "ज\u{942}न", "ज\u{941}ल\u{948}", "ओगस\u{94d}ट", "स\u{947}प\u{94d}ट\u{947}\u{902}बर", "ओक\u{94d}टोबर", "नोव\u{94d}ह\u{947}\u{902}बर", "डिस\u{947}\u{902}बर"]`
        pub const ABMON: &[&str] = &["जान\u{947}वारी", "फ\u{947}ब\u{94d}र\u{941}वारी", "मार\u{94d}च", "एप\u{94d}रिल", "म\u{947}", "ज\u{942}न", "ज\u{941}ल\u{948}", "ओगस\u{94d}ट", "स\u{947}प\u{94d}ट\u{947}\u{902}बर", "ओक\u{94d}टोबर", "नोव\u{94d}ह\u{947}\u{902}बर", "डिस\u{947}\u{902}बर"];
        /// `&["म.प\u{942}.", "म.न\u{902}."]`
        pub const AM_PM: &[&str] = &["म.प\u{942}.", "म.न\u{902}."];
        /// `"%-d-%-m-%y"`
        pub const D_FMT: &str = "%-d-%-m-%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["आयतार", "सोमार", "म\u{902}गळवार", "ब\u{941}धवार", "ब\u{947}र\u{947}सतार", "श\u{941}करार", "श\u{947}नवार"]`
        pub const DAY: &[&str] = &["आयतार", "सोमार", "म\u{902}गळवार", "ब\u{941}धवार", "ब\u{947}र\u{947}सतार", "श\u{941}करार", "श\u{947}नवार"];
        /// `&["जान\u{947}वारी", "फ\u{947}ब\u{94d}र\u{941}वारी", "मार\u{94d}च", "एप\u{94d}रिल", "म\u{947}", "ज\u{942}न", "ज\u{941}ल\u{948}", "ओगस\u{94d}ट", "स\u{947}प\u{94d}ट\u{947}\u{902}बर", "ओक\u{94d}टोबर", "नोव\u{94d}ह\u{947}\u{902}बर", "डिस\u{947}\u{902}बर"]`
        pub const MON: &[&str] = &["जान\u{947}वारी", "फ\u{947}ब\u{94d}र\u{941}वारी", "मार\u{94d}च", "एप\u{94d}रिल", "म\u{947}", "ज\u{942}न", "ज\u{941}ल\u{948}", "ओगस\u{94d}ट", "स\u{947}प\u{94d}ट\u{947}\u{902}बर", "ओक\u{94d}टोबर", "नोव\u{94d}ह\u{947}\u{902}बर", "डिस\u{947}\u{902}बर"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ks_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"ہ\u{650}ندوستان"`
        pub const COUNTRY_NAME: &str = "ہ\u{650}ندوستان";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"ks"`
        pub const LANG_AB: &str = "ks";
        /// `"kas"`
        pub const LANG_LIB: &str = "kas";
        /// `"کٲش\u{64f}ر"`
        pub const LANG_NAME: &str = "کٲش\u{64f}ر";
        /// `"kas"`
        pub const LANG_TERM: &str = "kas";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Marisfot III, Marigold Premises, East-Wing, Kalyaninagar, Pune, India-411014"`
        pub const ADDRESS: &str = "Marisfot III, Marigold Premises, East-Wing, Kalyaninagar, Pune, India-411014";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2009,April,06"`
        pub const DATE: &str = "2009,April,06";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Kashmiri"`
        pub const LANGUAGE: &str = "Kashmiri";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Red Hat, Pune"`
        pub const SOURCE: &str = "Red Hat, Pune";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Kashmiri language locale for India"`
        pub const TITLE: &str = "Kashmiri language locale for India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNن]"`
        pub const NOEXPR: &str = "^[-0nNن]";
        /// `"نع"`
        pub const NOSTR: &str = "نع";
        /// `"^[+1yYآ]"`
        pub const YESEXPR: &str = "^[+1yYآ]";
        /// `"آ"`
        pub const YESSTR: &str = "آ";
    }
    pub use super::hi_IN::LC_MONETARY;
    pub use super::hi_IN::LC_NUMERIC;
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["آتهوار", "ژءنتروار", "بوءںوار", "بودهوار", "برىسوار", "جمع", "بٹوار"]`
        pub const ABDAY: &[&str] = &["آتهوار", "ژءنتروار", "بوءںوار", "بودهوار", "برىسوار", "جمع", "بٹوار"];
        /// `&["جنؤری", "فرؤری", "مار\u{655}چ", "اپریل", "می\u{654}", "جو\u{657}ن", "جو\u{657}لایی", "اگست", "ستمبر", "اکتو\u{657}بر", "نومبر", "دسمبر"]`
        pub const ABMON: &[&str] = &["جنؤری", "فرؤری", "مار\u{655}چ", "اپریل", "می\u{654}", "جو\u{657}ن", "جو\u{657}لایی", "اگست", "ستمبر", "اکتو\u{657}بر", "نومبر", "دسمبر"];
        /// `&["دوپھربرونھ", "دوپھرپتھ"]`
        pub const AM_PM: &[&str] = &["دوپھربرونھ", "دوپھرپتھ"];
        /// `"%-m/%-d/%y"`
        pub const D_FMT: &str = "%-m/%-d/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["آتهوار", "ژءندروار", "بوءںوار", "بودهوار", "برىسوار", "جمع", "بٹوار"]`
        pub const DAY: &[&str] = &["آتهوار", "ژءندروار", "بوءںوار", "بودهوار", "برىسوار", "جمع", "بٹوار"];
        /// `&["جنؤری", "فرؤری", "مار\u{655}چ", "اپریل", "می\u{654}", "جو\u{657}ن", "جو\u{657}لایی", "اگست", "ستمبر", "اکتو\u{657}بر", "نومبر", "دسمبر"]`
        pub const MON: &[&str] = &["جنؤری", "فرؤری", "مار\u{655}چ", "اپریل", "می\u{654}", "جو\u{657}ن", "جو\u{657}لایی", "اگست", "ستمبر", "اکتو\u{657}بر", "نومبر", "دسمبر"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ks_IN_devanagari {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"भारत"`
        pub const COUNTRY_NAME: &str = "भारत";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"ks"`
        pub const LANG_AB: &str = "ks";
        /// `"kas"`
        pub const LANG_LIB: &str = "kas";
        /// `"कॉश\u{941}र"`
        pub const LANG_NAME: &str = "कॉश\u{941}र";
        /// `"kas"`
        pub const LANG_TERM: &str = "kas";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2008-08-26"`
        pub const DATE: &str = "2008-08-26";
        /// `"ks-gnome-trans-commits@lists.code.indlinux.net"`
        pub const EMAIL: &str = "ks-gnome-trans-commits@lists.code.indlinux.net";
        /// `""`
        pub const FAX: &str = "";
        /// `"Kashmiri"`
        pub const LANGUAGE: &str = "Kashmiri";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Kashmiri(devanagari) language locale for India"`
        pub const TITLE: &str = "Kashmiri(devanagari) language locale for India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNन]"`
        pub const NOEXPR: &str = "^[-0nNन]";
        /// `"न"`
        pub const NOSTR: &str = "न";
        /// `"^[+1yYइ]"`
        pub const YESEXPR: &str = "^[+1yYइ]";
        /// `"इ\u{902}न"`
        pub const YESSTR: &str = "इ\u{902}न";
    }
    pub use super::ks_IN::LC_MONETARY;
    pub use super::ks_IN::LC_NUMERIC;
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["आथ ", "च\u{945}\u{93c}द\u{941}र", "बोम", "ब\u{94d}वद", "ब\u{94d}रस", "शोक\u{941}र", "बट\u{941}"]`
        pub const ABDAY: &[&str] = &["आथ ", "च\u{945}\u{93c}द\u{941}र", "बोम", "ब\u{94d}वद", "ब\u{94d}रस", "शोक\u{941}र", "बट\u{941}"];
        /// `&["जनवरी", "फ\u{93c}रवरी", "मार\u{94d}च", "अप\u{94d}र\u{947}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अक\u{94d}ट\u{942}बर", "नवम\u{94d}बर", "दिसम\u{94d}बर"]`
        pub const ABMON: &[&str] = &["जनवरी", "फ\u{93c}रवरी", "मार\u{94d}च", "अप\u{94d}र\u{947}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अक\u{94d}ट\u{942}बर", "नवम\u{94d}बर", "दिसम\u{94d}बर"];
        /// `&["प\u{942}र\u{94d}वाह\u{94d}न", "अपराह\u{94d}न"]`
        pub const AM_PM: &[&str] = &["प\u{942}र\u{94d}वाह\u{94d}न", "अपराह\u{94d}न"];
        /// `"%-m/%-d/%y"`
        pub const D_FMT: &str = "%-m/%-d/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["आथवार", "च\u{945}\u{93c}द\u{941}रवार", "बोमवार", "ब\u{94d}वदवार", "ब\u{94d}रसवार", "शोक\u{941}रवार", "बट\u{941}वार"]`
        pub const DAY: &[&str] = &["आथवार", "च\u{945}\u{93c}द\u{941}रवार", "बोमवार", "ब\u{94d}वदवार", "ब\u{94d}रसवार", "शोक\u{941}रवार", "बट\u{941}वार"];
        /// `&["जनवरी", "फ\u{93c}रवरी", "मार\u{94d}च", "अप\u{94d}र\u{947}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अक\u{94d}ट\u{942}बर", "नवम\u{94d}बर", "दिसम\u{94d}बर"]`
        pub const MON: &[&str] = &["जनवरी", "फ\u{93c}रवरी", "मार\u{94d}च", "अप\u{94d}र\u{947}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अक\u{94d}ट\u{942}बर", "नवम\u{94d}बर", "दिसम\u{94d}बर"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ku_TR {
    pub mod LC_ADDRESS {
        /// `"TR"`
        pub const COUNTRY_ABTWO: &str = "TR";
        /// `"TUR"`
        pub const COUNTRY_AB3: &str = "TUR";
        /// `"TR"`
        pub const COUNTRY_CAR: &str = "TR";
        /// `975`
        pub const COUNTRY_ISBN: i64 = 975;
        /// `"Tirkiye"`
        pub const COUNTRY_NAME: &str = "Tirkiye";
        /// `792`
        pub const COUNTRY_NUM: i64 = 792;
        /// `"TR"`
        pub const COUNTRY_POST: &str = "TR";
        /// `"ku"`
        pub const LANG_AB: &str = "ku";
        /// `"kur"`
        pub const LANG_LIB: &str = "kur";
        /// `"kurdî"`
        pub const LANG_NAME: &str = "kurdî";
        /// `"kur"`
        pub const LANG_TERM: &str = "kur";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Kader DILSIZ, Pablo Saratxaga"`
        pub const CONTACT: &str = "Kader DILSIZ, Pablo Saratxaga";
        /// `"2003-07-27"`
        pub const DATE: &str = "2003-07-27";
        /// `"kader@ikader.com, pablo@mandrakesoft.com"`
        pub const EMAIL: &str = "kader@ikader.com, pablo@mandrakesoft.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Kurdish"`
        pub const LANGUAGE: &str = "Kurdish";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `"Kader DILSIZ"`
        pub const SOURCE: &str = "Kader DILSIZ";
        /// `""`
        pub const TEL: &str = "";
        /// `"Turkey"`
        pub const TERRITORY: &str = "Turkey";
        /// `"Kurdish (latin) locale for Turkey"`
        pub const TITLE: &str = "Kurdish (latin) locale for Turkey";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"nâ"`
        pub const NOSTR: &str = "nâ";
        /// `"^[+1eEdDyY]"`
        pub const YESEXPR: &str = "^[+1eEdDyY]";
        /// `"erê"`
        pub const YESSTR: &str = "erê";
    }
    pub use super::tr_TR::LC_MONETARY;
    pub use super::tr_TR::LC_NUMERIC;
    pub use super::tr_TR::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["yêk", "dus", "sês", "çar", "pên", "înî", "sep"]`
        pub const ABDAY: &[&str] = &["yêk", "dus", "sês", "çar", "pên", "înî", "sep"];
        /// `&["Çil", "Sib", "Ada", "Nîs", "Gul", "Hez", "Tîr", "Teb", "Îlo", "Cot", "Mij", "Kan"]`
        pub const ABMON: &[&str] = &["Çil", "Sib", "Ada", "Nîs", "Gul", "Hez", "Tîr", "Teb", "Îlo", "Cot", "Mij", "Kan"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%A %d %B %Y %T %Z"`
        pub const D_T_FMT: &str = "%A %d %B %Y %T %Z";
        /// `"%A %d %B %Y"`
        pub const DATE_FMT: &str = "%A %d %B %Y";
        /// `&["yêksêm", "dusêm", "sêsêm", "çarsêm", "pêncsêm", "înî", "sept"]`
        pub const DAY: &[&str] = &["yêksêm", "dusêm", "sêsêm", "çarsêm", "pêncsêm", "înî", "sept"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Çile", "Sibat", "Adar", "Nîsan", "Gulan", "Hezîran", "Tîrmeh", "Tebax", "Îlon", "Cotmeh", "Mijdar", "Kanûn"]`
        pub const MON: &[&str] = &["Çile", "Sibat", "Adar", "Nîsan", "Gulan", "Hezîran", "Tîrmeh", "Tebax", "Îlon", "Cotmeh", "Mijdar", "Kanûn"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod kw_GB {
    pub mod LC_ADDRESS {
        /// `"GB"`
        pub const COUNTRY_ABTWO: &str = "GB";
        /// `"GBR"`
        pub const COUNTRY_AB3: &str = "GBR";
        /// `"GB"`
        pub const COUNTRY_CAR: &str = "GB";
        /// `"Rywvaneth Unys"`
        pub const COUNTRY_NAME: &str = "Rywvaneth Unys";
        /// `826`
        pub const COUNTRY_NUM: i64 = 826;
        /// `"kw"`
        pub const LANG_AB: &str = "kw";
        /// `"cor"`
        pub const LANG_LIB: &str = "cor";
        /// `"kernewek"`
        pub const LANG_NAME: &str = "kernewek";
        /// `"cor"`
        pub const LANG_TERM: &str = "cor";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Croí Lár, Ballinahalla, Maigh Cuilinn,, Co. Gaillimh, Ireland"`
        pub const ADDRESS: &str = "Croí Lár, Ballinahalla, Maigh Cuilinn,, Co. Gaillimh, Ireland";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Cornish"`
        pub const LANGUAGE: &str = "Cornish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Alastair McKinstry"`
        pub const SOURCE: &str = "Alastair McKinstry";
        /// `""`
        pub const TEL: &str = "";
        /// `"United Kingdom"`
        pub const TERRITORY: &str = "United Kingdom";
        /// `"Cornish locale for Britain"`
        pub const TITLE: &str = "Cornish locale for Britain";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"na"`
        pub const NOSTR: &str = "na";
        /// `"^[+1eEyY]"`
        pub const YESEXPR: &str = "^[+1eEyY]";
        /// `"ea"`
        pub const YESSTR: &str = "ea";
    }
    pub mod LC_MONETARY {
        /// `"£"`
        pub const CURRENCY_SYMBOL: &str = "£";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"GBP "`
        pub const INT_CURR_SYMBOL: &str = "GBP ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"44"`
        pub const INT_PREFIX: &str = "44";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Sul", "Lun", "Mth", "Mhr", "Yow", "Gwe", "Sad"]`
        pub const ABDAY: &[&str] = &["Sul", "Lun", "Mth", "Mhr", "Yow", "Gwe", "Sad"];
        /// `&["Gen", "Hwe", "Meu", "Ebr", "Me", "Met", "Gor", "Est", "Gwn", "Hed", "Du", "Kev"]`
        pub const ABMON: &[&str] = &["Gen", "Hwe", "Meu", "Ebr", "Me", "Met", "Gor", "Est", "Gwn", "Hed", "Du", "Kev"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["De Sul", "De Lun", "De Merth", "De Merher", "De Yow", "De Gwener", "De Sadorn"]`
        pub const DAY: &[&str] = &["De Sul", "De Lun", "De Merth", "De Merher", "De Yow", "De Gwener", "De Sadorn"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["mis Genver", "mis Hwevrer", "mis Meurth", "mis Ebrel", "mis Me", "mis Metheven", "mis Gortheren", "mis Est", "mis Gwynngala", "mis Hedra", "mis Du", "mis Kevardhu"]`
        pub const MON: &[&str] = &["mis Genver", "mis Hwevrer", "mis Meurth", "mis Ebrel", "mis Me", "mis Metheven", "mis Gortheren", "mis Est", "mis Gwynngala", "mis Hedra", "mis Du", "mis Kevardhu"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ky_KG {
    pub mod LC_ADDRESS {
        /// `"KG"`
        pub const COUNTRY_ABTWO: &str = "KG";
        /// `"KGZ"`
        pub const COUNTRY_AB3: &str = "KGZ";
        /// `"KS"`
        pub const COUNTRY_CAR: &str = "KS";
        /// `"Кыргызстан"`
        pub const COUNTRY_NAME: &str = "Кыргызстан";
        /// `417`
        pub const COUNTRY_NUM: i64 = 417;
        /// `"ky"`
        pub const LANG_AB: &str = "ky";
        /// `"kir"`
        pub const LANG_LIB: &str = "kir";
        /// `"кыргызча"`
        pub const LANG_NAME: &str = "кыргызча";
        /// `"kir"`
        pub const LANG_TERM: &str = "kir";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Pablo Saratxaga, Timur Jamakeev"`
        pub const CONTACT: &str = "Pablo Saratxaga, Timur Jamakeev";
        /// `"2004-10-14"`
        pub const DATE: &str = "2004-10-14";
        /// `"srtxg@mandrakesoft.com, ztimur@mail.ru"`
        pub const EMAIL: &str = "srtxg@mandrakesoft.com, ztimur@mail.ru";
        /// `""`
        pub const FAX: &str = "";
        /// `"Kyrgyz"`
        pub const LANGUAGE: &str = "Kyrgyz";
        /// `"0.2"`
        pub const REVISION: &str = "0.2";
        /// `"Timur Jamakeev"`
        pub const SOURCE: &str = "Timur Jamakeev";
        /// `""`
        pub const TEL: &str = "";
        /// `"Kyrgyzstan"`
        pub const TERRITORY: &str = "Kyrgyzstan";
        /// `"Kyrgyz Language Locale for Kyrgyzstan"`
        pub const TITLE: &str = "Kyrgyz Language Locale for Kyrgyzstan";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNЖж]"`
        pub const NOEXPR: &str = "^[-0nNЖж]";
        /// `"жок"`
        pub const NOSTR: &str = "жок";
        /// `"^[+1yYОо]"`
        pub const YESEXPR: &str = "^[+1yYОо]";
        /// `"ооба"`
        pub const YESSTR: &str = "ооба";
    }
    pub mod LC_MONETARY {
        /// `"сом"`
        pub const CURRENCY_SYMBOL: &str = "сом";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"KGS "`
        pub const INT_CURR_SYMBOL: &str = "KGS ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const THOUSANDS_SEP: &str = "\u{202f}";
    }
    pub mod LC_TELEPHONE {
        /// `"996"`
        pub const INT_PREFIX: &str = "996";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["жк", "дш", "ше", "ша", "бш", "жм", "иш"]`
        pub const ABDAY: &[&str] = &["жк", "дш", "ше", "ша", "бш", "жм", "иш"];
        /// `&["янв", "фев", "мар", "апр", "май", "июн", "июл", "авг", "сен", "окт", "ноя", "дек"]`
        pub const ABMON: &[&str] = &["янв", "фев", "мар", "апр", "май", "июн", "июл", "авг", "сен", "окт", "ноя", "дек"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T";
        /// `"%a, %e-%b %Y ж, %H:%M:%S %Z"`
        pub const DATE_FMT: &str = "%a, %e-%b %Y ж, %H:%M:%S %Z";
        /// `&["жекшемби", "дүйшөмбү", "шейшемби", "шаршемби", "бейшемби", "жума", "ишемби"]`
        pub const DAY: &[&str] = &["жекшемби", "дүйшөмбү", "шейшемби", "шаршемби", "бейшемби", "жума", "ишемби"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["январь", "февраль", "март", "апрель", "май", "июнь", "июль", "август", "сентябрь", "октябрь", "ноябрь", "декабрь"]`
        pub const MON: &[&str] = &["январь", "февраль", "март", "апрель", "май", "июнь", "июль", "август", "сентябрь", "октябрь", "ноябрь", "декабрь"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod lb_LU {
    pub mod LC_ADDRESS {
        /// `"LU"`
        pub const COUNTRY_ABTWO: &str = "LU";
        /// `"LUX"`
        pub const COUNTRY_AB3: &str = "LUX";
        /// `"L"`
        pub const COUNTRY_CAR: &str = "L";
        /// `2`
        pub const COUNTRY_ISBN: i64 = 2;
        /// `"Lëtzebuerg"`
        pub const COUNTRY_NAME: &str = "Lëtzebuerg";
        /// `442`
        pub const COUNTRY_NUM: i64 = 442;
        /// `"L"`
        pub const COUNTRY_POST: &str = "L";
        /// `"lb"`
        pub const LANG_AB: &str = "lb";
        /// `"ltz"`
        pub const LANG_LIB: &str = "ltz";
        /// `"Lëtzebuergesch"`
        pub const LANG_NAME: &str = "Lëtzebuergesch";
        /// `"ltz"`
        pub const LANG_TERM: &str = "ltz";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Pit Wenkin"`
        pub const CONTACT: &str = "Pit Wenkin";
        /// `"2011-01-28"`
        pub const DATE: &str = "2011-01-28";
        /// `"pit@wenkin.lu"`
        pub const EMAIL: &str = "pit@wenkin.lu";
        /// `""`
        pub const FAX: &str = "";
        /// `"Luxembourgish"`
        pub const LANGUAGE: &str = "Luxembourgish";
        /// `"0.2"`
        pub const REVISION: &str = "0.2";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Luxembourg"`
        pub const TERRITORY: &str = "Luxembourg";
        /// `"Luxembourgish locale for Luxembourg"`
        pub const TITLE: &str = "Luxembourgish locale for Luxembourg";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"nee"`
        pub const NOSTR: &str = "nee";
        /// `"^[+1jJyY]"`
        pub const YESEXPR: &str = "^[+1jJyY]";
        /// `"jo"`
        pub const YESSTR: &str = "jo";
    }
    pub use super::de_DE::LC_MONETARY;
    pub use super::de_DE::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"352"`
        pub const INT_PREFIX: &str = "352";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%A %l"`
        pub const TEL_DOM_FMT: &str = "%A %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["So", "Mé", "Dë", "Më", "Do", "Fr", "Sa"]`
        pub const ABDAY: &[&str] = &["So", "Mé", "Dë", "Më", "Do", "Fr", "Sa"];
        /// `&["Jan", "Feb", "Mäe", "Abr", "Mee", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dez"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mäe", "Abr", "Mee", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dez"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d. %b %Y %T"`
        pub const D_T_FMT: &str = "%a %d. %b %Y %T";
        /// `"%a %-d. %b %H:%M:%S %Z %Y"`
        pub const DATE_FMT: &str = "%a %-d. %b %H:%M:%S %Z %Y";
        /// `&["Sonndeg", "Méindeg", "Dënschdeg", "Mëttwoch", "Donneschdeg", "Freideg", "Samschdeg"]`
        pub const DAY: &[&str] = &["Sonndeg", "Méindeg", "Dënschdeg", "Mëttwoch", "Donneschdeg", "Freideg", "Samschdeg"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Januar", "Februar", "Mäerz", "Abrëll", "Mee", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"]`
        pub const MON: &[&str] = &["Januar", "Februar", "Mäerz", "Abrëll", "Mee", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod lg_UG {
    pub mod LC_ADDRESS {
        /// `"UG"`
        pub const COUNTRY_ABTWO: &str = "UG";
        /// `"UGA"`
        pub const COUNTRY_AB3: &str = "UGA";
        /// `"EAU"`
        pub const COUNTRY_CAR: &str = "EAU";
        /// `"Yuganda"`
        pub const COUNTRY_NAME: &str = "Yuganda";
        /// `800`
        pub const COUNTRY_NUM: i64 = 800;
        /// `"UG"`
        pub const COUNTRY_POST: &str = "UG";
        /// `"lg"`
        pub const LANG_AB: &str = "lg";
        /// `"lug"`
        pub const LANG_LIB: &str = "lug";
        /// `"Luganda"`
        pub const LANG_NAME: &str = "Luganda";
        /// `"lug"`
        pub const LANG_TERM: &str = "lug";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"c/o P.O. Box 5190 Kampala, Uganda"`
        pub const ADDRESS: &str = "c/o P.O. Box 5190 Kampala, Uganda";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Kizito Birabwa"`
        pub const CONTACT: &str = "Kizito Birabwa";
        /// `"2001-11-04"`
        pub const DATE: &str = "2001-11-04";
        /// `"kompyuta@kizito.uklinux.net"`
        pub const EMAIL: &str = "kompyuta@kizito.uklinux.net";
        /// `""`
        pub const FAX: &str = "";
        /// `"Ganda"`
        pub const LANGUAGE: &str = "Ganda";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Akademe ya Luganda"`
        pub const SOURCE: &str = "Akademe ya Luganda";
        /// `""`
        pub const TEL: &str = "";
        /// `"Uganda"`
        pub const TERRITORY: &str = "Uganda";
        /// `"Luganda locale for Uganda"`
        pub const TITLE: &str = "Luganda locale for Uganda";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"Nedda"`
        pub const NOSTR: &str = "Nedda";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
        /// `"Ye"`
        pub const YESSTR: &str = "Ye";
    }
    pub mod LC_MONETARY {
        /// `"USh"`
        pub const CURRENCY_SYMBOL: &str = "USh";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"UGX "`
        pub const INT_CURR_SYMBOL: &str = "UGX ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"256"`
        pub const INT_PREFIX: &str = "256";
        /// `"000"`
        pub const INT_SELECT: &str = "000";
        /// `"%a %l"`
        pub const TEL_DOM_FMT: &str = "%a %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Sab", "Bal", "Lw2", "Lw3", "Lw4", "Lw5", "Lw6"]`
        pub const ABDAY: &[&str] = &["Sab", "Bal", "Lw2", "Lw3", "Lw4", "Lw5", "Lw6"];
        /// `&["Jan", "Feb", "Mar", "Apu", "Maa", "Juu", "Jul", "Agu", "Seb", "Oki", "Nov", "Des"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apu", "Maa", "Juu", "Jul", "Agu", "Seb", "Oki", "Nov", "Des"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Sabiiti", "Balaza", "Lwakubiri", "Lwakusatu", "Lwakuna", "Lwakutaano", "Lwamukaaga"]`
        pub const DAY: &[&str] = &["Sabiiti", "Balaza", "Lwakubiri", "Lwakusatu", "Lwakuna", "Lwakutaano", "Lwamukaaga"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Janwaliyo", "Febwaliyo", "Marisi", "Apuli", "Maayi", "Juuni", "Julaayi", "Agusito", "Sebuttemba", "Okitobba", "Novemba", "Desemba"]`
        pub const MON: &[&str] = &["Janwaliyo", "Febwaliyo", "Marisi", "Apuli", "Maayi", "Juuni", "Julaayi", "Agusito", "Sebuttemba", "Okitobba", "Novemba", "Desemba"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod li_BE {
    pub mod LC_ADDRESS {
        /// `"BE"`
        pub const COUNTRY_ABTWO: &str = "BE";
        /// `"BEL"`
        pub const COUNTRY_AB3: &str = "BEL";
        /// `"B"`
        pub const COUNTRY_CAR: &str = "B";
        /// `"Bèlsj"`
        pub const COUNTRY_NAME: &str = "Bèlsj";
        /// `56`
        pub const COUNTRY_NUM: i64 = 56;
        /// `"B"`
        pub const COUNTRY_POST: &str = "B";
        /// `"li"`
        pub const LANG_AB: &str = "li";
        /// `"lim"`
        pub const LANG_LIB: &str = "lim";
        /// `"Lèmbörgs"`
        pub const LANG_NAME: &str = "Lèmbörgs";
        /// `"lim"`
        pub const LANG_TERM: &str = "lim";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
        ];
        /// `"Kenneth Christiansen, Pablo Saratxaga"`
        pub const CONTACT: &str = "Kenneth Christiansen, Pablo Saratxaga";
        /// `"2003-11-30"`
        pub const DATE: &str = "2003-11-30";
        /// `"kenneth@gnu.org, pablo@mandriva.com"`
        pub const EMAIL: &str = "kenneth@gnu.org, pablo@mandriva.com";
        /// `"Limburgish"`
        pub const LANGUAGE: &str = "Limburgish";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `"information from Kenneth Christiansen"`
        pub const SOURCE: &str = "information from Kenneth Christiansen";
        /// `""`
        pub const TEL: &str = "";
        /// `"Belgium"`
        pub const TERRITORY: &str = "Belgium";
        /// `"Limburgish Language Locale for Belgium"`
        pub const TITLE: &str = "Limburgish Language Locale for Belgium";
    }
    pub use super::nl_BE::LC_MESSAGES;
    pub use super::nl_BE::LC_MONETARY;
    pub use super::nl_BE::LC_NUMERIC;
    pub use super::nl_BE::LC_TELEPHONE;
    pub use super::li_NL::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod li_NL {
    pub mod LC_ADDRESS {
        /// `"NL"`
        pub const COUNTRY_ABTWO: &str = "NL";
        /// `"NLD"`
        pub const COUNTRY_AB3: &str = "NLD";
        /// `"NL"`
        pub const COUNTRY_CAR: &str = "NL";
        /// `"Nederland"`
        pub const COUNTRY_NAME: &str = "Nederland";
        /// `528`
        pub const COUNTRY_NUM: i64 = 528;
        /// `"NL"`
        pub const COUNTRY_POST: &str = "NL";
        /// `"li"`
        pub const LANG_AB: &str = "li";
        /// `"lim"`
        pub const LANG_LIB: &str = "lim";
        /// `"Lèmbörgs"`
        pub const LANG_NAME: &str = "Lèmbörgs";
        /// `"lim"`
        pub const LANG_TERM: &str = "lim";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
        ];
        /// `"Kenneth Christiansen, Pablo Saratxaga"`
        pub const CONTACT: &str = "Kenneth Christiansen, Pablo Saratxaga";
        /// `"2003-11-30"`
        pub const DATE: &str = "2003-11-30";
        /// `"kenneth@gnu.org, pablo@mandriva.com"`
        pub const EMAIL: &str = "kenneth@gnu.org, pablo@mandriva.com";
        /// `"Limburgish"`
        pub const LANGUAGE: &str = "Limburgish";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `"information from Kenneth Christiansen"`
        pub const SOURCE: &str = "information from Kenneth Christiansen";
        /// `""`
        pub const TEL: &str = "";
        /// `"Netherlands"`
        pub const TERRITORY: &str = "Netherlands";
        /// `"Limburgish Language Locale for the Netherlands"`
        pub const TITLE: &str = "Limburgish Language Locale for the Netherlands";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"^[+1jJyY]"`
        pub const YESEXPR: &str = "^[+1jJyY]";
    }
    pub use super::nl_NL::LC_MONETARY;
    pub use super::nl_NL::LC_NUMERIC;
    pub use super::nl_NL::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["zón", "mao", "dae", "goo", "dón", "vri", "zao"]`
        pub const ABDAY: &[&str] = &["zón", "mao", "dae", "goo", "dón", "vri", "zao"];
        /// `&["jan", "fib", "mie", "epr", "mei", "jun", "jul", "aug", "sep", "okt", "nov", "des"]`
        pub const ABMON: &[&str] = &["jan", "fib", "mie", "epr", "mei", "jun", "jul", "aug", "sep", "okt", "nov", "des"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d. %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d. %b %Y %T %Z";
        /// `&["zóndig", "maondig", "daensdig", "goonsdig", "dónderdig", "vriedig", "zaoterdig"]`
        pub const DAY: &[&str] = &["zóndig", "maondig", "daensdig", "goonsdig", "dónderdig", "vriedig", "zaoterdig"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["jannewarie", "fibberwarie", "miert", "eprèl", "meij", "junie", "julie", "augustus", "september", "oktober", "november", "desember"]`
        pub const MON: &[&str] = &["jannewarie", "fibberwarie", "miert", "eprèl", "meij", "junie", "julie", "augustus", "september", "oktober", "november", "desember"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod lij_IT {
    pub mod LC_ADDRESS {
        /// `"IT"`
        pub const COUNTRY_ABTWO: &str = "IT";
        /// `"ITA"`
        pub const COUNTRY_AB3: &str = "ITA";
        /// `"I"`
        pub const COUNTRY_CAR: &str = "I";
        /// `"978-88,979-12"`
        pub const COUNTRY_ISBN: &str = "978-88,979-12";
        /// `"Italia"`
        pub const COUNTRY_NAME: &str = "Italia";
        /// `380`
        pub const COUNTRY_NUM: i64 = 380;
        /// `"lij"`
        pub const LANG_LIB: &str = "lij";
        /// `"Lìgure"`
        pub const LANG_NAME: &str = "Lìgure";
        /// `"lij"`
        pub const LANG_TERM: &str = "lij";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2010-10-22"`
        pub const DATE: &str = "2010-10-22";
        /// `"alessio.gastaldi@libero.it"`
        pub const EMAIL: &str = "alessio.gastaldi@libero.it";
        /// `""`
        pub const FAX: &str = "";
        /// `"Ligurian"`
        pub const LANGUAGE: &str = "Ligurian";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Gastaldi"`
        pub const SOURCE: &str = "Gastaldi";
        /// `""`
        pub const TEL: &str = "";
        /// `"Italy"`
        pub const TERRITORY: &str = "Italy";
        /// `"Ligurian locale for Italy"`
        pub const TITLE: &str = "Ligurian locale for Italy";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"^[+1sSyY]"`
        pub const YESEXPR: &str = "^[+1sSyY]";
    }
    pub use super::it_IT::LC_MONETARY;
    pub use super::it_IT::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"39"`
        pub const INT_PREFIX: &str = "39";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dom", "lûn", "mar", "mer", "zêu", "ven", "sab"]`
        pub const ABDAY: &[&str] = &["dom", "lûn", "mar", "mer", "zêu", "ven", "sab"];
        /// `&["zen", "fev", "mar", "arv", "maz", "zûg", "lûg", "ago", "set", "ött", "nov", "dix"]`
        pub const ABMON: &[&str] = &["zen", "fev", "mar", "arv", "maz", "zûg", "lûg", "ago", "set", "ött", "nov", "dix"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `"%a %e %b %Y, %H.%M.%S, %Z"`
        pub const DATE_FMT: &str = "%a %e %b %Y, %H.%M.%S, %Z";
        /// `&["domenega", "lûnedì", "martedì", "mercUrdì", "zêggia", "venardì", "sabbo"]`
        pub const DAY: &[&str] = &["domenega", "lûnedì", "martedì", "mercUrdì", "zêggia", "venardì", "sabbo"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["zenâ", "fevrâ", "marzo", "avrî", "mazzo", "zûgno", "lûggio", "agosto", "settembre", "ottobre", "novembre", "dixembre"]`
        pub const MON: &[&str] = &["zenâ", "fevrâ", "marzo", "avrî", "mazzo", "zûgno", "lûggio", "agosto", "settembre", "ottobre", "novembre", "dixembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ln_CD {
    pub mod LC_ADDRESS {
        /// `"CD"`
        pub const COUNTRY_ABTWO: &str = "CD";
        /// `"COD"`
        pub const COUNTRY_AB3: &str = "COD";
        /// `"CGO"`
        pub const COUNTRY_CAR: &str = "CGO";
        /// `2`
        pub const COUNTRY_ISBN: i64 = 2;
        /// `"Repibiki demokratiki ya Kongó"`
        pub const COUNTRY_NAME: &str = "Repibiki demokratiki ya Kongó";
        /// `180`
        pub const COUNTRY_NUM: i64 = 180;
        /// `"CD"`
        pub const COUNTRY_POST: &str = "CD";
        /// `"ln"`
        pub const LANG_AB: &str = "ln";
        /// `"lin"`
        pub const LANG_LIB: &str = "lin";
        /// `"lingála"`
        pub const LANG_NAME: &str = "lingála";
        /// `"lin"`
        pub const LANG_TERM: &str = "lin";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Ubuntu DR Congo Team"`
        pub const ADDRESS: &str = "Ubuntu DR Congo Team";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"René Manassé GALEKWA"`
        pub const CONTACT: &str = "René Manassé GALEKWA";
        /// `"2016-03-03"`
        pub const DATE: &str = "2016-03-03";
        /// `"renemanasse@gmail.com"`
        pub const EMAIL: &str = "renemanasse@gmail.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Lingala"`
        pub const LANGUAGE: &str = "Lingala";
        /// `"1.1"`
        pub const REVISION: &str = "1.1";
        /// `"Ubuntu"`
        pub const SOURCE: &str = "Ubuntu";
        /// `""`
        pub const TEL: &str = "";
        /// `"Democratic Republic of the Congo"`
        pub const TERRITORY: &str = "Democratic Republic of the Congo";
        /// `"Lingala locale for Democratic Republic of the Congo"`
        pub const TITLE: &str = "Lingala locale for Democratic Republic of the Congo";
    }
    pub mod LC_MESSAGES {
        /// `"^[nNtT]"`
        pub const NOEXPR: &str = "^[nNtT]";
        /// `"Tɛ\u{302}"`
        pub const NOSTR: &str = "Tɛ\u{302}";
        /// `"^[yYiIíÍ]"`
        pub const YESEXPR: &str = "^[yYiIíÍ]";
        /// `"Íyo"`
        pub const YESSTR: &str = "Íyo";
    }
    pub mod LC_MONETARY {
        /// `"FC"`
        pub const CURRENCY_SYMBOL: &str = "FC";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"CDF "`
        pub const INT_CURR_SYMBOL: &str = "CDF ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `""`
        pub const THOUSANDS_SEP: &str = "";
    }
    pub mod LC_TELEPHONE {
        /// `"243"`
        pub const INT_PREFIX: &str = "243";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%a %l"`
        pub const TEL_DOM_FMT: &str = "%a %l";
        /// `"+%c %a%t%l"`
        pub const TEL_INT_FMT: &str = "+%c %a%t%l";
    }
    pub mod LC_TIME {
        /// `&["m1.", "m2.", "m3.", "m4.", "m5.", "m6.", "m7."]`
        pub const ABDAY: &[&str] = &["m1.", "m2.", "m3.", "m4.", "m5.", "m6.", "m7."];
        /// `&["yan", "fbl", "msi", "apl", "mai", "yun", "yul", "agt", "stb", "ɔtb", "nvb", "dsb"]`
        pub const ABMON: &[&str] = &["yan", "fbl", "msi", "apl", "mai", "yun", "yul", "agt", "stb", "ɔtb", "nvb", "dsb"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `"%A %-e %B %Y, %H:%M:%S (UTC%z)"`
        pub const DATE_FMT: &str = "%A %-e %B %Y, %H:%M:%S (UTC%z)";
        /// `&["Lomíngo", "Mosálá mɔ\u{30c}kɔ\u{301}", "Misálá míbalé", "Misálá mísáto", "Misálá mínei", "Misálá mítáno", "Mpɔ\u{301}sɔ"]`
        pub const DAY: &[&str] = &["Lomíngo", "Mosálá mɔ\u{30c}kɔ\u{301}", "Misálá míbalé", "Misálá mísáto", "Misálá mínei", "Misálá mítáno", "Mpɔ\u{301}sɔ"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["sánzá ya yambo", "sánzá ya míbalé", "sánzá ya mísáto", "sánzá ya mínei", "sánzá ya mítáno", "sánzá ya motóbá", "sánzá ya nsambo", "sánzá ya mwambe", "sánzá ya libwa", "sánzá ya zómi", "sánzá ya zómi na mɔ\u{30c}kɔ\u{301}", "sánzá ya zómi na míbalé"]`
        pub const MON: &[&str] = &["sánzá ya yambo", "sánzá ya míbalé", "sánzá ya mísáto", "sánzá ya mínei", "sánzá ya mítáno", "sánzá ya motóbá", "sánzá ya nsambo", "sánzá ya mwambe", "sánzá ya libwa", "sánzá ya zómi", "sánzá ya zómi na mɔ\u{30c}kɔ\u{301}", "sánzá ya zómi na míbalé"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod lo_LA {
    pub mod LC_ADDRESS {
        /// `"LA"`
        pub const COUNTRY_ABTWO: &str = "LA";
        /// `"LAO"`
        pub const COUNTRY_AB3: &str = "LAO";
        /// `"LAO"`
        pub const COUNTRY_CAR: &str = "LAO";
        /// `"ລາວ"`
        pub const COUNTRY_NAME: &str = "ລາວ";
        /// `418`
        pub const COUNTRY_NUM: i64 = 418;
        /// `"lo"`
        pub const LANG_AB: &str = "lo";
        /// `"lao"`
        pub const LANG_LIB: &str = "lao";
        /// `"ລາວ"`
        pub const LANG_NAME: &str = "ລາວ";
        /// `"lao"`
        pub const LANG_TERM: &str = "lao";
        /// `"%f%N%a%N%d%N%r%t%e%t%b%N%h%t%s%N%T%N%S%N%z%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%r%t%e%t%b%N%h%t%s%N%T%N%S%N%z%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Anousak Souphavanh at: anousak@muanglao.com"`
        pub const CONTACT: &str = "Anousak Souphavanh at: anousak@muanglao.com";
        /// `"2003-4-1"`
        pub const DATE: &str = "2003-4-1";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Lao"`
        pub const LANGUAGE: &str = "Lao";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Laos"`
        pub const TERRITORY: &str = "Laos";
        /// `"Lao locale for Laos"`
        pub const TITLE: &str = "Lao locale for Laos";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNບ]"`
        pub const NOEXPR: &str = "^[-0nNບ]";
        /// `"ບ\u{ecd}\u{ec8}ແມ\u{ec8}ນ"`
        pub const NOSTR: &str = "ບ\u{ecd}\u{ec8}ແມ\u{ec8}ນ";
        /// `"^[+1yYມ]"`
        pub const YESEXPR: &str = "^[+1yYມ]";
        /// `"ແມ\u{ec8}ນ"`
        pub const YESSTR: &str = "ແມ\u{ec8}ນ";
    }
    pub mod LC_MONETARY {
        /// `"₭"`
        pub const CURRENCY_SYMBOL: &str = "₭";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"LAK "`
        pub const INT_CURR_SYMBOL: &str = "LAK ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `2`
        pub const N_SEP_BY_SPACE: i64 = 2;
        /// `4`
        pub const N_SIGN_POSN: i64 = 4;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `2`
        pub const P_SEP_BY_SPACE: i64 = 2;
        /// `4`
        pub const P_SIGN_POSN: i64 = 4;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"856"`
        pub const INT_PREFIX: &str = "856";
        /// `"001"`
        pub const INT_SELECT: &str = "001";
        /// `"(%A)%l"`
        pub const TEL_DOM_FMT: &str = "(%A)%l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["ອາ.", "ຈ.", "ຄ.", "ພ.", "ພຫ.", "ສ.", "ສ."]`
        pub const ABDAY: &[&str] = &["ອາ.", "ຈ.", "ຄ.", "ພ.", "ພຫ.", "ສ.", "ສ."];
        /// `&["ມ.ກ.", "ກ.ພ.", "ມ.ນ.", "ມ.ສ.", "ພ.ພ.", "ມ\u{eb4}.ຖ.", "ກ.ລ.", "ສ.ຫ.", "ກ.ຍ.", "ຕ.ລ.", "ພ.ຈ.", "ທ.ວ."]`
        pub const ABMON: &[&str] = &["ມ.ກ.", "ກ.ພ.", "ມ.ນ.", "ມ.ສ.", "ພ.ພ.", "ມ\u{eb4}.ຖ.", "ກ.ລ.", "ສ.ຫ.", "ກ.ຍ.", "ຕ.ລ.", "ພ.ຈ.", "ທ.ວ."];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%d/%m/%Ey"`
        pub const D_FMT: &str = "%d/%m/%Ey";
        /// `"%a %e %b %Ey, %H:%M:%S"`
        pub const D_T_FMT: &str = "%a %e %b %Ey, %H:%M:%S";
        /// `"%a %e %b %Ey %H:%M:%S %Z"`
        pub const DATE_FMT: &str = "%a %e %b %Ey %H:%M:%S %Z";
        /// `&["ອາທ\u{eb4}ດ", "ຈ\u{eb1}ນ", "ອ\u{eb1}ງຄານ", "ພ\u{eb8}ດ", "ພະຫ\u{eb1}ດ", "ສ\u{eb8}ກ", "ເສ\u{ebb}າ"]`
        pub const DAY: &[&str] = &["ອາທ\u{eb4}ດ", "ຈ\u{eb1}ນ", "ອ\u{eb1}ງຄານ", "ພ\u{eb8}ດ", "ພະຫ\u{eb1}ດ", "ສ\u{eb8}ກ", "ເສ\u{ebb}າ"];
        /// `"+:1:-543/01/01:+*:ພ.ສ.:%EC %Ey"`
        pub const ERA: &str = "+:1:-543/01/01:+*:ພ.ສ.:%EC %Ey";
        /// `"%e %b %Ey"`
        pub const ERA_D_FMT: &str = "%e %b %Ey";
        /// `"ວ\u{eb1}ນ%Aທ\u{eb5}\u{ec8} %e %B %EC %Ey, %H.%M.%S ນ."`
        pub const ERA_D_T_FMT: &str = "ວ\u{eb1}ນ%Aທ\u{eb5}\u{ec8} %e %B %EC %Ey, %H.%M.%S ນ.";
        /// `"%H.%M.%S ນ."`
        pub const ERA_T_FMT: &str = "%H.%M.%S ນ.";
        /// `&["ມ\u{eb1}ງກອນ", "ກ\u{eb8}ມພາ", "ມ\u{eb5}ນາ", "ເມສາ", "ພ\u{eb6}ດສະພາ", "ມ\u{eb4}ຖ\u{eb8}ນາ", "ກ\u{ecd}ລະກ\u{ebb}ດ", "ສ\u{eb4}ງຫາ", "ກ\u{eb1}ນຍາ", "ຕ\u{eb8}ລາ", "ພະຈ\u{eb4}ກ", "ທ\u{eb1}ນວາ"]`
        pub const MON: &[&str] = &["ມ\u{eb1}ງກອນ", "ກ\u{eb8}ມພາ", "ມ\u{eb5}ນາ", "ເມສາ", "ພ\u{eb6}ດສະພາ", "ມ\u{eb4}ຖ\u{eb8}ນາ", "ກ\u{ecd}ລະກ\u{ebb}ດ", "ສ\u{eb4}ງຫາ", "ກ\u{eb1}ນຍາ", "ຕ\u{eb8}ລາ", "ພະຈ\u{eb4}ກ", "ທ\u{eb1}ນວາ"];
        /// `"%H:%M:%S"`
        pub const T_FMT: &str = "%H:%M:%S";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod lt_LT {
    pub mod LC_ADDRESS {
        /// `"LT"`
        pub const COUNTRY_ABTWO: &str = "LT";
        /// `"LTU"`
        pub const COUNTRY_AB3: &str = "LTU";
        /// `"LT"`
        pub const COUNTRY_CAR: &str = "LT";
        /// `"Lietuva"`
        pub const COUNTRY_NAME: &str = "Lietuva";
        /// `440`
        pub const COUNTRY_NUM: i64 = 440;
        /// `"lt"`
        pub const LANG_AB: &str = "lt";
        /// `"lit"`
        pub const LANG_LIB: &str = "lit";
        /// `"lietuvių"`
        pub const LANG_NAME: &str = "lietuvių";
        /// `"lit"`
        pub const LANG_TERM: &str = "lit";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"P.O Box 1147, Donelaicio 60, 3000 Kaunas, Lithuania"`
        pub const ADDRESS: &str = "P.O Box 1147, Donelaicio 60, 3000 Kaunas, Lithuania";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Lithuanian"`
        pub const LANGUAGE: &str = "Lithuanian";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Lithuanian Computer Society and"`
        pub const SOURCE: &str = "Lithuanian Computer Society and";
        /// `""`
        pub const TEL: &str = "";
        /// `"Lithuania"`
        pub const TERRITORY: &str = "Lithuania";
        /// `"Lithuanian locale for Lithuania"`
        pub const TITLE: &str = "Lithuanian locale for Lithuania";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0Nn]"`
        pub const NOEXPR: &str = "^[-0Nn]";
        /// `"ne"`
        pub const NOSTR: &str = "ne";
        /// `"^[+1TtYy]"`
        pub const YESEXPR: &str = "^[+1TtYy]";
        /// `"taip"`
        pub const YESSTR: &str = "taip";
    }
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"370"`
        pub const INT_PREFIX: &str = "370";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Sk", "Pr", "An", "Tr", "Kt", "Pn", "Št"]`
        pub const ABDAY: &[&str] = &["Sk", "Pr", "An", "Tr", "Kt", "Pn", "Št"];
        /// `&["saus.", "vas.", "kov.", "bal.", "geg.", "birž.", "liep.", "rugp.", "rugs.", "spal.", "lapkr.", "gruod."]`
        pub const ABMON: &[&str] = &["saus.", "vas.", "kov.", "bal.", "geg.", "birž.", "liep.", "rugp.", "rugs.", "spal.", "lapkr.", "gruod."];
        /// `&["sausis", "vasaris", "kovas", "balandis", "gegužė", "birželis", "liepa", "rugpjūtis", "rugsėjis", "spalis", "lapkritis", "gruodis"]`
        pub const ALT_MON: &[&str] = &["sausis", "vasaris", "kovas", "balandis", "gegužė", "birželis", "liepa", "rugpjūtis", "rugsėjis", "spalis", "lapkritis", "gruodis"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%Y-%m-%d"`
        pub const D_FMT: &str = "%Y-%m-%d";
        /// `"%Y m. %B %d d. %T"`
        pub const D_T_FMT: &str = "%Y m. %B %d d. %T";
        /// `&["Sekmadienis", "Pirmadienis", "Antradienis", "Trečiadienis", "Ketvirtadienis", "Penktadienis", "Šeštadienis"]`
        pub const DAY: &[&str] = &["Sekmadienis", "Pirmadienis", "Antradienis", "Trečiadienis", "Ketvirtadienis", "Penktadienis", "Šeštadienis"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["sausio", "vasario", "kovo", "balandžio", "gegužės", "birželio", "liepos", "rugpjūčio", "rugsėjo", "spalio", "lapkričio", "gruodžio"]`
        pub const MON: &[&str] = &["sausio", "vasario", "kovo", "balandžio", "gegužės", "birželio", "liepos", "rugpjūčio", "rugsėjo", "spalio", "lapkričio", "gruodžio"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod lv_LV {
    pub mod LC_ADDRESS {
        /// `"LV"`
        pub const COUNTRY_ABTWO: &str = "LV";
        /// `"LVA"`
        pub const COUNTRY_AB3: &str = "LVA";
        /// `"LV"`
        pub const COUNTRY_CAR: &str = "LV";
        /// `"Latvija"`
        pub const COUNTRY_NAME: &str = "Latvija";
        /// `428`
        pub const COUNTRY_NUM: i64 = 428;
        /// `"lv"`
        pub const LANG_AB: &str = "lv";
        /// `"lav"`
        pub const LANG_LIB: &str = "lav";
        /// `"latviešu"`
        pub const LANG_NAME: &str = "latviešu";
        /// `"lav"`
        pub const LANG_TERM: &str = "lav";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"LU MII, Rainis boul. 29, LV-1459 Riga, Latvia"`
        pub const ADDRESS: &str = "LU MII, Rainis boul. 29, LV-1459 Riga, Latvia";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Latvian"`
        pub const LANGUAGE: &str = "Latvian";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Latvian Standard LVS 24-93"`
        pub const SOURCE: &str = "Latvian Standard LVS 24-93";
        /// `""`
        pub const TEL: &str = "";
        /// `"Latvia"`
        pub const TERRITORY: &str = "Latvia";
        /// `"Latvian locale for Latvia"`
        pub const TITLE: &str = "Latvian locale for Latvia";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0Nn]"`
        pub const NOEXPR: &str = "^[-0Nn]";
        /// `"nē"`
        pub const NOSTR: &str = "nē";
        /// `"^[+1JjYy]"`
        pub const YESEXPR: &str = "^[+1JjYy]";
        /// `"jā"`
        pub const YESSTR: &str = "jā";
    }
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `3`
        pub const N_SIGN_POSN: i64 = 3;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `3`
        pub const P_SIGN_POSN: i64 = 3;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const THOUSANDS_SEP: &str = "\u{202f}";
    }
    pub mod LC_TELEPHONE {
        /// `"371"`
        pub const INT_PREFIX: &str = "371";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Sv", "P\u{a0}", "O\u{a0}", "T\u{a0}", "C\u{a0}", "Pk", "S\u{a0}"]`
        pub const ABDAY: &[&str] = &["Sv", "P\u{a0}", "O\u{a0}", "T\u{a0}", "C\u{a0}", "Pk", "S\u{a0}"];
        /// `&["jan", "feb", "mar", "apr", "mai", "jūn", "jūl", "aug", "sep", "okt", "nov", "dec"]`
        pub const ABMON: &[&str] = &["jan", "feb", "mar", "apr", "mai", "jūn", "jūl", "aug", "sep", "okt", "nov", "dec"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%Y.%m.%d."`
        pub const D_FMT: &str = "%Y.%m.%d.";
        /// `"%A, %Y. gada %e. %B, plkst. %H un %M"`
        pub const D_T_FMT: &str = "%A, %Y. gada %e. %B, plkst. %H un %M";
        /// `&["svētdiena", "pirmdiena", "otrdiena", "trešdiena", "ceturtdiena", "piektdiena", "sestdiena"]`
        pub const DAY: &[&str] = &["svētdiena", "pirmdiena", "otrdiena", "trešdiena", "ceturtdiena", "piektdiena", "sestdiena"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["janvāris", "februāris", "marts", "aprīlis", "maijs", "jūnijs", "jūlijs", "augusts", "septembris", "oktobris", "novembris", "decembris"]`
        pub const MON: &[&str] = &["janvāris", "februāris", "marts", "aprīlis", "maijs", "jūnijs", "jūlijs", "augusts", "septembris", "oktobris", "novembris", "decembris"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod lzh_TW {
    pub mod LC_ADDRESS {
        /// `"TW"`
        pub const COUNTRY_ABTWO: &str = "TW";
        /// `"TWN"`
        pub const COUNTRY_AB3: &str = "TWN";
        /// `"RC"`
        pub const COUNTRY_CAR: &str = "RC";
        /// `957`
        pub const COUNTRY_ISBN: i64 = 957;
        /// `"中華民國"`
        pub const COUNTRY_NAME: &str = "中華民國";
        /// `158`
        pub const COUNTRY_NUM: i64 = 158;
        /// `"TW"`
        pub const COUNTRY_POST: &str = "TW";
        /// `"lzh"`
        pub const LANG_LIB: &str = "lzh";
        /// `"漢語文言"`
        pub const LANG_NAME: &str = "漢語文言";
        /// `"lzh"`
        pub const LANG_TERM: &str = "lzh";
        /// `"%c%N%T%N%s %h %e %r%N%b%N%d%N%f%N%a%N"`
        pub const POSTAL_FMT: &str = "%c%N%T%N%s %h %e %r%N%b%N%d%N%f%N%a%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2013-06-02"`
        pub const DATE: &str = "2013-06-02";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Literary Chinese"`
        pub const LANGUAGE: &str = "Literary Chinese";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Taiwan"`
        pub const TERRITORY: &str = "Taiwan";
        /// `"Literary Chinese locale for the Republic of China"`
        pub const TITLE: &str = "Literary Chinese locale for the Republic of China";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNｎＮ非]"`
        pub const NOEXPR: &str = "^[-0nNｎＮ非]";
        /// `"^[+1yYｙＹ是]"`
        pub const YESEXPR: &str = "^[+1yYｙＹ是]";
    }
    pub mod LC_MONETARY {
        /// `"NT$"`
        pub const CURRENCY_SYMBOL: &str = "NT$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"TWD "`
        pub const INT_CURR_SYMBOL: &str = "TWD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `1`
        pub const INT_N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const INT_N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const INT_N_SIGN_POSN: i64 = 1;
        /// `1`
        pub const INT_P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const INT_P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const INT_P_SIGN_POSN: i64 = 1;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `4`
        pub const MON_GROUPING: i64 = 4;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `4`
        pub const GROUPING: i64 = 4;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"886"`
        pub const INT_PREFIX: &str = "886";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%A-%l"`
        pub const TEL_DOM_FMT: &str = "%A-%l";
        /// `"+%c-%a-%l"`
        pub const TEL_INT_FMT: &str = "+%c-%a-%l";
    }
    pub mod LC_TIME {
        /// `&["日", "一", "二", "三", "四", "五", "六"]`
        pub const ABDAY: &[&str] = &["日", "一", "二", "三", "四", "五", "六"];
        /// `&[" 一 ", " 二 ", " 三 ", " 四 ", " 五 ", " 六 ", " 七 ", " 八 ", " 九 ", " 十 ", "十一", "十二"]`
        pub const ABMON: &[&str] = &[" 一 ", " 二 ", " 三 ", " 四 ", " 五 ", " 六 ", " 七 ", " 八 ", " 九 ", " 十 ", "十一", "十二"];
        /// `&["〇", "一", "二", "三", "四", "五", "六", "七", "八", "九", "十", "十一", "十二", "十三", "十四", "十五", "十六", "十七", "十八", "十九", "廿", "廿一", "廿二", "廿三", "廿四", "廿五", "廿六", "廿七", "廿八", "廿九", "卅", "卅一"]`
        pub const ALT_DIGITS: &[&str] = &["〇", "一", "二", "三", "四", "五", "六", "七", "八", "九", "十", "十一", "十二", "十三", "十四", "十五", "十六", "十七", "十八", "十九", "廿", "廿一", "廿二", "廿三", "廿四", "廿五", "廿六", "廿七", "廿八", "廿九", "卅", "卅一"];
        /// `&["朝", "暮"]`
        pub const AM_PM: &[&str] = &["朝", "暮"];
        /// `"%OC%Oy年%B%Od日"`
        pub const D_FMT: &str = "%OC%Oy年%B%Od日";
        /// `"%OC%Oy年%B%Od日 (%A) %OH時%OM分%OS秒"`
        pub const D_T_FMT: &str = "%OC%Oy年%B%Od日 (%A) %OH時%OM分%OS秒";
        /// `"公曆 %C%Oy年 %B %Oe日 %A %OH時%OM分%OS秒"`
        pub const DATE_FMT: &str = "公曆 %C%Oy年 %B %Oe日 %A %OH時%OM分%OS秒";
        /// `&["週日", "週一", "週二", "週三", "週四", "週五", "週六"]`
        pub const DAY: &[&str] = &["週日", "週一", "週二", "週三", "週四", "週五", "週六"];
        /// `&["+:2:1913/01/01:+*:民國:%EC%Ey年", "+:1:1912/01/01:1912/12/31:民國:%EC元年", "+:1:1911/12/31:-*:民前:%EC%Ey年"]`
        pub const ERA: &[&str] = &["+:2:1913/01/01:+*:民國:%EC%Ey年", "+:1:1912/01/01:1912/12/31:民國:%EC元年", "+:1:1911/12/31:-*:民前:%EC%Ey年"];
        /// `&["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"]`
        pub const MON: &[&str] = &["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];
        /// `"%OH時%OM分%OS秒"`
        pub const T_FMT: &str = "%OH時%OM分%OS秒";
        /// `"%p %OI時%OM分%OS秒"`
        pub const T_FMT_AMPM: &str = "%p %OI時%OM分%OS秒";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod mag_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"भारत"`
        pub const COUNTRY_NAME: &str = "भारत";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"mag"`
        pub const LANG_LIB: &str = "mag";
        /// `"मगही"`
        pub const LANG_NAME: &str = "मगही";
        /// `"mag"`
        pub const LANG_TERM: &str = "mag";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2012-04-11"`
        pub const DATE: &str = "2012-04-11";
        /// `"bhashaghar@googlegroups.com"`
        pub const EMAIL: &str = "bhashaghar@googlegroups.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Magahi"`
        pub const LANGUAGE: &str = "Magahi";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Magahi language locale for India"`
        pub const TITLE: &str = "Magahi language locale for India";
    }
    pub use super::hi_IN::LC_MESSAGES;
    pub use super::hi_IN::LC_MONETARY;
    pub use super::hi_IN::LC_NUMERIC;
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["एतवार", "सोमार", "म\u{902}गर", "ब\u{941}ध", "बिफ\u{947}", "स\u{942}क", "सनिचर"]`
        pub const ABDAY: &[&str] = &["एतवार", "सोमार", "म\u{902}गर", "ब\u{941}ध", "बिफ\u{947}", "स\u{942}क", "सनिचर"];
        /// `&["जनवरी", "फ\u{93c}रवरी", "मार\u{94d}च", "अप\u{94d}र\u{947}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अक\u{94d}ट\u{942}बर", "नवम\u{94d}बर", "दिसम\u{94d}बर"]`
        pub const ABMON: &[&str] = &["जनवरी", "फ\u{93c}रवरी", "मार\u{94d}च", "अप\u{94d}र\u{947}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अक\u{94d}ट\u{942}बर", "नवम\u{94d}बर", "दिसम\u{94d}बर"];
        /// `&["प\u{942}र\u{94d}वाह\u{94d}न", "अपराह\u{94d}न"]`
        pub const AM_PM: &[&str] = &["प\u{942}र\u{94d}वाह\u{94d}न", "अपराह\u{94d}न"];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["एतवार", "सोमार", "म\u{902}गर", "ब\u{941}ध", "बिफ\u{947}", "स\u{942}क", "सनिचर"]`
        pub const DAY: &[&str] = &["एतवार", "सोमार", "म\u{902}गर", "ब\u{941}ध", "बिफ\u{947}", "स\u{942}क", "सनिचर"];
        /// `&["जनवरी", "फ\u{93c}रवरी", "मार\u{94d}च", "अप\u{94d}र\u{947}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अक\u{94d}ट\u{942}बर", "नवम\u{94d}बर", "दिसम\u{94d}बर"]`
        pub const MON: &[&str] = &["जनवरी", "फ\u{93c}रवरी", "मार\u{94d}च", "अप\u{94d}र\u{947}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अक\u{94d}ट\u{942}बर", "नवम\u{94d}बर", "दिसम\u{94d}बर"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod mai_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"भारत"`
        pub const COUNTRY_NAME: &str = "भारत";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"mai"`
        pub const LANG_LIB: &str = "mai";
        /// `"म\u{948}थिली"`
        pub const LANG_NAME: &str = "म\u{948}थिली";
        /// `"mai"`
        pub const LANG_TERM: &str = "mai";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"B-3/302, Lunkad Daffodills, Viman Nagar, Pune, India"`
        pub const ADDRESS: &str = "B-3/302, Lunkad Daffodills, Viman Nagar, Pune, India";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2017-07-24"`
        pub const DATE: &str = "2017-07-24";
        /// `"rajeshkajha@yahoo.com,akhilesh.k@samusng.com"`
        pub const EMAIL: &str = "rajeshkajha@yahoo.com,akhilesh.k@samusng.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Maithili"`
        pub const LANGUAGE: &str = "Maithili";
        /// `"1.1"`
        pub const REVISION: &str = "1.1";
        /// `"Maithili Computing Research Center, Pune, India"`
        pub const SOURCE: &str = "Maithili Computing Research Center, Pune, India";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Maithili language locale for India"`
        pub const TITLE: &str = "Maithili language locale for India";
    }
    pub use super::hi_IN::LC_MESSAGES;
    pub use super::hi_IN::LC_MONETARY;
    pub use super::hi_IN::LC_NUMERIC;
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["रवि", "सोम", "म\u{902}गल", "ब\u{941}ध", "ब\u{943}हस\u{94d}पती", "श\u{941}क\u{94d}र", "शनी"]`
        pub const ABDAY: &[&str] = &["रवि", "सोम", "म\u{902}गल", "ब\u{941}ध", "ब\u{943}हस\u{94d}पती", "श\u{941}क\u{94d}र", "शनी"];
        /// `&["ब\u{948}साख", "ज\u{947}ठ", "अषाढ\u{93c}", "सावोन", "भादो", "आसिन", "कातिक", "अगहन", "प\u{942}स", "माघ", "फाग\u{941}न", "च\u{948}ति"]`
        pub const ABMON: &[&str] = &["ब\u{948}साख", "ज\u{947}ठ", "अषाढ\u{93c}", "सावोन", "भादो", "आसिन", "कातिक", "अगहन", "प\u{942}स", "माघ", "फाग\u{941}न", "च\u{948}ति"];
        /// `&["प\u{942}र\u{94d}वाह\u{94d}न", "अपराह\u{94d}न"]`
        pub const AM_PM: &[&str] = &["प\u{942}र\u{94d}वाह\u{94d}न", "अपराह\u{94d}न"];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["रविदिन", "सोमदिन", "म\u{902}गलदिन", "ब\u{941}धदिन", "ब\u{943}हस\u{94d}पतीदिन", "श\u{941}क\u{94d}रदिन", "शनीदिन"]`
        pub const DAY: &[&str] = &["रविदिन", "सोमदिन", "म\u{902}गलदिन", "ब\u{941}धदिन", "ब\u{943}हस\u{94d}पतीदिन", "श\u{941}क\u{94d}रदिन", "शनीदिन"];
        /// `&["ब\u{948}साख", "ज\u{947}ठ", "अषाढ\u{93c}", "सावोन", "भादो", "आसिन", "कातिक", "अगहन", "प\u{942}स", "माघ", "फाग\u{941}न", "च\u{948}ति"]`
        pub const MON: &[&str] = &["ब\u{948}साख", "ज\u{947}ठ", "अषाढ\u{93c}", "सावोन", "भादो", "आसिन", "कातिक", "अगहन", "प\u{942}स", "माघ", "फाग\u{941}न", "च\u{948}ति"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod mai_NP {
    pub mod LC_ADDRESS {
        /// `"NP"`
        pub const COUNTRY_ABTWO: &str = "NP";
        /// `"NPL"`
        pub const COUNTRY_AB3: &str = "NPL";
        /// `"NEP"`
        pub const COUNTRY_CAR: &str = "NEP";
        /// `"न\u{947}पाल"`
        pub const COUNTRY_NAME: &str = "न\u{947}पाल";
        /// `524`
        pub const COUNTRY_NUM: i64 = 524;
        /// `"mai"`
        pub const LANG_LIB: &str = "mai";
        /// `"म\u{948}थिली"`
        pub const LANG_NAME: &str = "म\u{948}थिली";
        /// `"mai"`
        pub const LANG_TERM: &str = "mai";
        /// `"%f%N%h%s%N%T"`
        pub const POSTAL_FMT: &str = "%f%N%h%s%N%T";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2017-07-24"`
        pub const DATE: &str = "2017-07-24";
        /// `"akhilesh.k@samusng.com"`
        pub const EMAIL: &str = "akhilesh.k@samusng.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Maithili"`
        pub const LANGUAGE: &str = "Maithili";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Samsung Electronics Co., Ltd."`
        pub const SOURCE: &str = "Samsung Electronics Co., Ltd.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Nepal"`
        pub const TERRITORY: &str = "Nepal";
        /// `"Maithili language locale for Nepal"`
        pub const TITLE: &str = "Maithili language locale for Nepal";
    }
    pub use super::hi_IN::LC_MESSAGES;
    pub use super::ne_NP::LC_MONETARY;
    pub use super::ne_NP::LC_NUMERIC;
    pub use super::ne_NP::LC_TELEPHONE;
    pub use super::mai_IN::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod mfe_MU {
    pub mod LC_ADDRESS {
        /// `"MU"`
        pub const COUNTRY_ABTWO: &str = "MU";
        /// `"MUS"`
        pub const COUNTRY_AB3: &str = "MUS";
        /// `"MS"`
        pub const COUNTRY_CAR: &str = "MS";
        /// `"978-613,978-620,978-99903,978-99949"`
        pub const COUNTRY_ISBN: &str = "978-613,978-620,978-99903,978-99949";
        /// `"Moris"`
        pub const COUNTRY_NAME: &str = "Moris";
        /// `480`
        pub const COUNTRY_NUM: i64 = 480;
        /// `"mfe"`
        pub const LANG_LIB: &str = "mfe";
        /// `"kreol morisien"`
        pub const LANG_NAME: &str = "kreol morisien";
        /// `"mfe"`
        pub const LANG_TERM: &str = "mfe";
        /// `"%f%N%h%s%N%T"`
        pub const POSTAL_FMT: &str = "%f%N%h%s%N%T";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2017-08-18"`
        pub const DATE: &str = "2017-08-18";
        /// `"akhilesh.k@samsung.com"`
        pub const EMAIL: &str = "akhilesh.k@samsung.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Morisyen"`
        pub const LANGUAGE: &str = "Morisyen";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Samsung Electronics Co., Ltd."`
        pub const SOURCE: &str = "Samsung Electronics Co., Ltd.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Mauritius"`
        pub const TERRITORY: &str = "Mauritius";
        /// `"Morisyen locale for Mauritius"`
        pub const TITLE: &str = "Morisyen locale for Mauritius";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"Non"`
        pub const NOSTR: &str = "Non";
        /// `"^[+1yYwW]"`
        pub const YESEXPR: &str = "^[+1yYwW]";
        /// `"Wi"`
        pub const YESSTR: &str = "Wi";
    }
    pub mod LC_MONETARY {
        /// `"₨"`
        pub const CURRENCY_SYMBOL: &str = "₨";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"MUR "`
        pub const INT_CURR_SYMBOL: &str = "MUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `1`
        pub const INT_N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const INT_P_SEP_BY_SPACE: i64 = 1;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `"\u{202f}"`
        pub const THOUSANDS_SEP: &str = "\u{202f}";
    }
    pub mod LC_TELEPHONE {
        /// `"230"`
        pub const INT_PREFIX: &str = "230";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %l"`
        pub const TEL_INT_FMT: &str = "+%c %l";
    }
    pub mod LC_TIME {
        /// `&["dim", "lin", "mar", "mer", "ze", "van", "sam"]`
        pub const ABDAY: &[&str] = &["dim", "lin", "mar", "mer", "ze", "van", "sam"];
        /// `&["zan", "fev", "mar", "avr", "me", "zin", "zil", "out", "sep", "okt", "nov", "des"]`
        pub const ABMON: &[&str] = &["zan", "fev", "mar", "avr", "me", "zin", "zil", "out", "sep", "okt", "nov", "des"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `"%a %e %b %H:%M:%S %Z %Y"`
        pub const DATE_FMT: &str = "%a %e %b %H:%M:%S %Z %Y";
        /// `&["dimans", "lindi", "mardi", "merkredi", "zedi", "vandredi", "samdi"]`
        pub const DAY: &[&str] = &["dimans", "lindi", "mardi", "merkredi", "zedi", "vandredi", "samdi"];
        /// `&["zanvie", "fevriye", "mars", "avril", "me", "zin", "zilye", "out", "septam", "oktob", "novam", "desam"]`
        pub const MON: &[&str] = &["zanvie", "fevriye", "mars", "avril", "me", "zin", "zilye", "out", "septam", "oktob", "novam", "desam"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%l:%M:%S %P %Z"`
        pub const T_FMT_AMPM: &str = "%l:%M:%S %P %Z";
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod mg_MG {
    pub mod LC_ADDRESS {
        /// `"MG"`
        pub const COUNTRY_ABTWO: &str = "MG";
        /// `"MDG"`
        pub const COUNTRY_AB3: &str = "MDG";
        /// `"RM"`
        pub const COUNTRY_CAR: &str = "RM";
        /// `"Madagasikara"`
        pub const COUNTRY_NAME: &str = "Madagasikara";
        /// `450`
        pub const COUNTRY_NUM: i64 = 450;
        /// `"mg"`
        pub const LANG_AB: &str = "mg";
        /// `"mlg"`
        pub const LANG_LIB: &str = "mlg";
        /// `"Malagasy"`
        pub const LANG_NAME: &str = "Malagasy";
        /// `"mlg"`
        pub const LANG_TERM: &str = "mlg";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Rado Ramarotafika,Do-Risika RAFIEFERANTSIARONJY"`
        pub const CONTACT: &str = "Rado Ramarotafika,Do-Risika RAFIEFERANTSIARONJY";
        /// `"2005-02-02"`
        pub const DATE: &str = "2005-02-02";
        /// `"rado@linuxmg.org,dourix@free.fr"`
        pub const EMAIL: &str = "rado@linuxmg.org,dourix@free.fr";
        /// `""`
        pub const FAX: &str = "";
        /// `"Malagasy"`
        pub const LANGUAGE: &str = "Malagasy";
        /// `"1.1"`
        pub const REVISION: &str = "1.1";
        /// `"The Debian Project modified by GNU/Linux Malagasy"`
        pub const SOURCE: &str = "The Debian Project modified by GNU/Linux Malagasy";
        /// `""`
        pub const TEL: &str = "";
        /// `"Madagascar"`
        pub const TERRITORY: &str = "Madagascar";
        /// `"Malagasy locale for Madagascar"`
        pub const TITLE: &str = "Malagasy locale for Madagascar";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0tTnN]"`
        pub const NOEXPR: &str = "^[-0tTnN]";
        /// `"Tsia"`
        pub const NOSTR: &str = "Tsia";
        /// `"^[+1eEyY]"`
        pub const YESEXPR: &str = "^[+1eEyY]";
        /// `"Eny"`
        pub const YESSTR: &str = "Eny";
    }
    pub mod LC_MONETARY {
        /// `"Ar"`
        pub const CURRENCY_SYMBOL: &str = "Ar";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"MGA "`
        pub const INT_CURR_SYMBOL: &str = "MGA ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[0, 0]`
        pub const GROUPING: &[i64] = &[0, 0];
        /// `""`
        pub const THOUSANDS_SEP: &str = "";
    }
    pub mod LC_TELEPHONE {
        /// `"261"`
        pub const INT_PREFIX: &str = "261";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%a %l"`
        pub const TEL_DOM_FMT: &str = "%a %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["lhd", "lts", "tlt", "lrb", "lkm", "zom", "sab"]`
        pub const ABDAY: &[&str] = &["lhd", "lts", "tlt", "lrb", "lkm", "zom", "sab"];
        /// `&["Jan", "Feb", "Mar", "Apr", "Mey", "Jon", "Jol", "Aog", "Sep", "Okt", "Nov", "Des"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "Mey", "Jon", "Jol", "Aog", "Sep", "Okt", "Nov", "Des"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["alahady", "alatsinainy", "talata", "alarobia", "alakamisy", "zoma", "sabotsy"]`
        pub const DAY: &[&str] = &["alahady", "alatsinainy", "talata", "alarobia", "alakamisy", "zoma", "sabotsy"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Janoary", "Febroary", "Martsa", "Aprily", "Mey", "Jona", "Jolay", "Aogositra", "Septambra", "Oktobra", "Novambra", "Desambra"]`
        pub const MON: &[&str] = &["Janoary", "Febroary", "Martsa", "Aprily", "Mey", "Jona", "Jolay", "Aogositra", "Septambra", "Oktobra", "Novambra", "Desambra"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod mhr_RU {
    pub mod LC_ADDRESS {
        /// `"RU"`
        pub const COUNTRY_ABTWO: &str = "RU";
        /// `"RUS"`
        pub const COUNTRY_AB3: &str = "RUS";
        /// `"RUS"`
        pub const COUNTRY_CAR: &str = "RUS";
        /// `643`
        pub const COUNTRY_NUM: i64 = 643;
        /// `"mhr"`
        pub const LANG_LIB: &str = "mhr";
        /// `"марий йылме"`
        pub const LANG_NAME: &str = "марий йылме";
        /// `"mhr"`
        pub const LANG_TERM: &str = "mhr";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"112, Komsomolskaya Street, Yoshkar-Ola, Mari El Republic, Russia"`
        pub const ADDRESS: &str = "112, Komsomolskaya Street, Yoshkar-Ola, Mari El Republic, Russia";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Vyacheslav Kileev"`
        pub const CONTACT: &str = "Vyacheslav Kileev";
        /// `"2011-04-18"`
        pub const DATE: &str = "2011-04-18";
        /// `"slavakileev@yandex.ru"`
        pub const EMAIL: &str = "slavakileev@yandex.ru";
        /// `"Meadow Mari"`
        pub const LANGUAGE: &str = "Meadow Mari";
        /// `"0.2"`
        pub const REVISION: &str = "0.2";
        /// `"PeshSajSoft Ltd."`
        pub const SOURCE: &str = "PeshSajSoft Ltd.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Russia"`
        pub const TERRITORY: &str = "Russia";
        /// `"Mari locale for Russia"`
        pub const TITLE: &str = "Mari locale for Russia";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNУу]"`
        pub const NOEXPR: &str = "^[-0nNУу]";
        /// `"^[+1yYТт]"`
        pub const YESEXPR: &str = "^[+1yYТт]";
    }
    pub mod LC_MONETARY {
        /// `"₽"`
        pub const CURRENCY_SYMBOL: &str = "₽";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"RUB "`
        pub const INT_CURR_SYMBOL: &str = "RUB ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::ru_RU::LC_NUMERIC;
    pub use super::ru_RU::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Ршр", "Шчм", "Кжм", "Вгч", "Изр", "Кгр", "Шмт"]`
        pub const ABDAY: &[&str] = &["Ршр", "Шчм", "Кжм", "Вгч", "Изр", "Кгр", "Шмт"];
        /// `&["Шрк", "Пгж", "Ӱрн", "Вшр", "Ага", "Пдш", "Срм", "Срл", "Идм", "Шыж", "Клм", "Тел"]`
        pub const ABMON: &[&str] = &["Шрк", "Пгж", "Ӱрн", "Вшр", "Ага", "Пдш", "Срм", "Срл", "Идм", "Шыж", "Клм", "Тел"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%Y.%m.%d"`
        pub const D_FMT: &str = "%Y.%m.%d";
        /// `"%A %Y %B %d %T"`
        pub const D_T_FMT: &str = "%A %Y %B %d %T";
        /// `"%A %Y %B %d %H:%M:%S %Z"`
        pub const DATE_FMT: &str = "%A %Y %B %d %H:%M:%S %Z";
        /// `&["Рушарня", "Шочмо", "Кушкыжмо", "Вӱргече", "Изарня", "Кугарня", "Шуматкече"]`
        pub const DAY: &[&str] = &["Рушарня", "Шочмо", "Кушкыжмо", "Вӱргече", "Изарня", "Кугарня", "Шуматкече"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Шорыкйол", "Пургыж", "Ӱярня", "Вӱдшор", "Ага", "Пеледыш", "Сӱрем", "Сорла", "Идым", "Шыжа", "Кылме", "Теле"]`
        pub const MON: &[&str] = &["Шорыкйол", "Пургыж", "Ӱярня", "Вӱдшор", "Ага", "Пеледыш", "Сӱрем", "Сорла", "Идым", "Шыжа", "Кылме", "Теле"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod mi_NZ {
    pub mod LC_ADDRESS {
        /// `"NZ"`
        pub const COUNTRY_ABTWO: &str = "NZ";
        /// `"NZL"`
        pub const COUNTRY_AB3: &str = "NZL";
        /// `"NZ"`
        pub const COUNTRY_CAR: &str = "NZ";
        /// `"Aotearoa"`
        pub const COUNTRY_NAME: &str = "Aotearoa";
        /// `554`
        pub const COUNTRY_NUM: i64 = 554;
        /// `"mi"`
        pub const LANG_AB: &str = "mi";
        /// `"mao"`
        pub const LANG_LIB: &str = "mao";
        /// `"Māori"`
        pub const LANG_NAME: &str = "Māori";
        /// `"mri"`
        pub const LANG_TERM: &str = "mri";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MONETARY"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MONETARY"],
        ];
        /// `"James Gasson, Pablo Saratxaga"`
        pub const CONTACT: &str = "James Gasson, Pablo Saratxaga";
        /// `"2001-01-28"`
        pub const DATE: &str = "2001-01-28";
        /// `"james.gasson@clear.net.nz, pablo@mandrakesoft.com"`
        pub const EMAIL: &str = "james.gasson@clear.net.nz, pablo@mandrakesoft.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Maori"`
        pub const LANGUAGE: &str = "Maori";
        /// `"0.3"`
        pub const REVISION: &str = "0.3";
        /// `"James Gasson"`
        pub const SOURCE: &str = "James Gasson";
        /// `""`
        pub const TEL: &str = "";
        /// `"New Zealand"`
        pub const TERRITORY: &str = "New Zealand";
        /// `"Maori language locale for New Zealand"`
        pub const TITLE: &str = "Maori language locale for New Zealand";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNkK]"`
        pub const NOEXPR: &str = "^[-0nNkK]";
        /// `"kāore"`
        pub const NOSTR: &str = "kāore";
        /// `"^[+1yYāĀäÄaA]"`
        pub const YESEXPR: &str = "^[+1yYāĀäÄaA]";
        /// `"āe"`
        pub const YESSTR: &str = "āe";
    }
    pub use super::en_NZ::LC_MONETARY;
    pub use super::en_NZ::LC_NUMERIC;
    pub use super::en_NZ::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Ta", "Ma", "Tū", "We", "Tāi", "Pa", "Hā"]`
        pub const ABDAY: &[&str] = &["Ta", "Ma", "Tū", "We", "Tāi", "Pa", "Hā"];
        /// `&["Kohi", "Hui", "Pou", "Pae", "Hara", "Pipi", "Hōngoi", "Here", "Mahu", "Whi-nu", "Whi-ra", "Haki"]`
        pub const ABMON: &[&str] = &["Kohi", "Hui", "Pou", "Pae", "Hara", "Pipi", "Hōngoi", "Here", "Mahu", "Whi-nu", "Whi-ra", "Haki"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"Te %A, te %d o %B, %Y %T %Z"`
        pub const D_T_FMT: &str = "Te %A, te %d o %B, %Y %T %Z";
        /// `&["Rātapu", "Mane", "Tūrei", "Wenerei", "Tāite", "Paraire", "Hātarei"]`
        pub const DAY: &[&str] = &["Rātapu", "Mane", "Tūrei", "Wenerei", "Tāite", "Paraire", "Hātarei"];
        /// `&["Kohi-tātea", "Hui-tanguru", "Poutū-te-rangi", "Paenga-whāwhā", "Haratua", "Pipiri", "Hōngoingoi", "Here-turi-kōkā", "Mahuru", "Whiringa-ā-nuku", "Whiringa-ā-rangi", "Hakihea"]`
        pub const MON: &[&str] = &["Kohi-tātea", "Hui-tanguru", "Poutū-te-rangi", "Paenga-whāwhā", "Haratua", "Pipiri", "Hōngoingoi", "Here-turi-kōkā", "Mahuru", "Whiringa-ā-nuku", "Whiringa-ā-rangi", "Hakihea"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod miq_NI {
    pub mod LC_ADDRESS {
        /// `"NI"`
        pub const COUNTRY_ABTWO: &str = "NI";
        /// `"NIC"`
        pub const COUNTRY_AB3: &str = "NIC";
        /// `"NIC"`
        pub const COUNTRY_CAR: &str = "NIC";
        /// `"Nicaragua"`
        pub const COUNTRY_NAME: &str = "Nicaragua";
        /// `558`
        pub const COUNTRY_NUM: i64 = 558;
        /// `"miq"`
        pub const LANG_LIB: &str = "miq";
        /// `"Mískitu"`
        pub const LANG_NAME: &str = "Mískitu";
        /// `"miq"`
        pub const LANG_TERM: &str = "miq";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"2016-08-20"`
        pub const DATE: &str = "2016-08-20";
        /// `"Miskito"`
        pub const LANGUAGE: &str = "Miskito";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Nicaragua"`
        pub const TERRITORY: &str = "Nicaragua";
        /// `"Miskito language locale for Nicaragua"`
        pub const TITLE: &str = "Miskito language locale for Nicaragua";
    }
    pub use super::es_NI::LC_MESSAGES;
    pub use super::es_NI::LC_MONETARY;
    pub use super::es_NI::LC_NUMERIC;
    pub use super::es_NI::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["san", "mun", "tius", "wens", "taus", "prai", "sat"]`
        pub const ABDAY: &[&str] = &["san", "mun", "tius", "wens", "taus", "prai", "sat"];
        /// `&["siakwa kati", "kuswa kati", "kakamuk kati", "lî wainhka kati", "lih mairin kati", "lî kati", "pastara kati", "sikla kati", "wîs kati", "waupasa kati", "yahbra kati", "trisu kati"]`
        pub const ABMON: &[&str] = &["siakwa kati", "kuswa kati", "kakamuk kati", "lî wainhka kati", "lih mairin kati", "lî kati", "pastara kati", "sikla kati", "wîs kati", "waupasa kati", "yahbra kati", "trisu kati"];
        /// `&["VM", "NM"]`
        pub const AM_PM: &[&str] = &["VM", "NM"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `"%a %b %e %H:%M:%S %Z %Y"`
        pub const DATE_FMT: &str = "%a %b %e %H:%M:%S %Z %Y";
        /// `&["sandi", "mundi", "tiusdi", "wensde", "tausde", "praidi", "satadi"]`
        pub const DAY: &[&str] = &["sandi", "mundi", "tiusdi", "wensde", "tausde", "praidi", "satadi"];
        /// `1`
        pub const FIRST_WEEKDAY: i64 = 1;
        /// `2`
        pub const FIRST_WORKDAY: i64 = 2;
        /// `&["siakwa kati", "kuswa kati", "kakamuk kati", "lî wainhka kati", "lih mairin kati", "lî kati", "pastara kati", "sikla kati", "wîs kati", "waupasa kati", "yahbra kati", "trisu kati"]`
        pub const MON: &[&str] = &["siakwa kati", "kuswa kati", "kakamuk kati", "lî wainhka kati", "lih mairin kati", "lî kati", "pastara kati", "sikla kati", "wîs kati", "waupasa kati", "yahbra kati", "trisu kati"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 7]`
        pub const WEEK: &[i64] = &[7, 19971130, 7];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod mjw_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"Bhorot"`
        pub const COUNTRY_NAME: &str = "Bhorot";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"mjw"`
        pub const LANG_LIB: &str = "mjw";
        /// `"Karbi"`
        pub const LANG_NAME: &str = "Karbi";
        /// `"mjw"`
        pub const LANG_TERM: &str = "mjw";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2013-08-08"`
        pub const DATE: &str = "2013-08-08";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Karbi"`
        pub const LANGUAGE: &str = "Karbi";
        /// `"1.1"`
        pub const REVISION: &str = "1.1";
        /// `"Jor Teron"`
        pub const SOURCE: &str = "Jor Teron";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Karbi language locale for India"`
        pub const TITLE: &str = "Karbi language locale for India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"no"`
        pub const NOSTR: &str = "no";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
        /// `"yes"`
        pub const YESSTR: &str = "yes";
    }
    pub use super::hi_IN::LC_MONETARY;
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 2]`
        pub const GROUPING: &[i64] = &[3, 2];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Bhom", "Ur", "Dur", "Tkel", "Tkem", "Bhta", "Bhti"]`
        pub const ABDAY: &[&str] = &["Bhom", "Ur", "Dur", "Tkel", "Tkem", "Bhta", "Bhti"];
        /// `&["Ark", "Thang", "The", "Jang", "Aru", "Vos", "Jak", "Pai", "Chi", "Phe", "Phai", "Mati"]`
        pub const ABMON: &[&str] = &["Ark", "Thang", "The", "Jang", "Aru", "Vos", "Jak", "Pai", "Chi", "Phe", "Phai", "Mati"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %B %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %B %Y %I:%M:%S %p %Z";
        /// `&["Bhomkuru", "Urmi", "Durmi", "Thelang", "Theman", "Bhomta", "Bhomti"]`
        pub const DAY: &[&str] = &["Bhomkuru", "Urmi", "Durmi", "Thelang", "Theman", "Bhomta", "Bhomti"];
        /// `1`
        pub const FIRST_WEEKDAY: i64 = 1;
        /// `&["Arkoi", "Thangthang", "There", "Jangmi", "Aru", "Vosik", "Jakhong", "Paipai", "Chiti", "Phere", "Phaikuni", "Matijong"]`
        pub const MON: &[&str] = &["Arkoi", "Thangthang", "There", "Jangmi", "Aru", "Vosik", "Jakhong", "Paipai", "Chiti", "Phere", "Phaikuni", "Matijong"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod mk_MK {
    pub mod LC_ADDRESS {
        /// `"MK"`
        pub const COUNTRY_ABTWO: &str = "MK";
        /// `"MKD"`
        pub const COUNTRY_AB3: &str = "MKD";
        /// `"MK"`
        pub const COUNTRY_CAR: &str = "MK";
        /// `"9989"`
        pub const COUNTRY_ISBN: &str = "9989";
        /// `"Македонија"`
        pub const COUNTRY_NAME: &str = "Македонија";
        /// `807`
        pub const COUNTRY_NUM: i64 = 807;
        /// `"MK"`
        pub const COUNTRY_POST: &str = "MK";
        /// `"mk"`
        pub const LANG_AB: &str = "mk";
        /// `"mac"`
        pub const LANG_LIB: &str = "mac";
        /// `"македонски"`
        pub const LANG_NAME: &str = "македонски";
        /// `"mkd"`
        pub const LANG_TERM: &str = "mkd";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Damjan Georgievski"`
        pub const CONTACT: &str = "Damjan Georgievski";
        /// `"2006-09-12"`
        pub const DATE: &str = "2006-09-12";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Macedonian"`
        pub const LANGUAGE: &str = "Macedonian";
        /// `"2.2"`
        pub const REVISION: &str = "2.2";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Macedonia"`
        pub const TERRITORY: &str = "Macedonia";
        /// `"Macedonian locale for Macedonia"`
        pub const TITLE: &str = "Macedonian locale for Macedonia";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNНн]"`
        pub const NOEXPR: &str = "^[-0nNНн]";
        /// `"не"`
        pub const NOSTR: &str = "не";
        /// `"^[+1yYДдdD]"`
        pub const YESEXPR: &str = "^[+1yYДдdD]";
        /// `"да"`
        pub const YESSTR: &str = "да";
    }
    pub mod LC_MONETARY {
        /// `"ден"`
        pub const CURRENCY_SYMBOL: &str = "ден";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"MKD "`
        pub const INT_CURR_SYMBOL: &str = "MKD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const THOUSANDS_SEP: &str = "\u{202f}";
    }
    pub mod LC_TELEPHONE {
        /// `"389"`
        pub const INT_PREFIX: &str = "389";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%A %l"`
        pub const TEL_DOM_FMT: &str = "%A %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["нед", "пон", "вто", "сре", "чет", "пет", "саб"]`
        pub const ABDAY: &[&str] = &["нед", "пон", "вто", "сре", "чет", "пет", "саб"];
        /// `&["јан", "фев", "мар", "апр", "мај", "јун", "јул", "авг", "сеп", "окт", "ное", "дек"]`
        pub const ABMON: &[&str] = &["јан", "фев", "мар", "апр", "мај", "јун", "јул", "авг", "сеп", "окт", "ное", "дек"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a, %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a, %d %b %Y %T %Z";
        /// `"%a, %d %b %H:%M:%S %Z %Y"`
        pub const DATE_FMT: &str = "%a, %d %b %H:%M:%S %Z %Y";
        /// `&["недела", "понеделник", "вторник", "среда", "четврток", "петок", "сабота"]`
        pub const DAY: &[&str] = &["недела", "понеделник", "вторник", "среда", "четврток", "петок", "сабота"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["јануари", "февруари", "март", "април", "мај", "јуни", "јули", "август", "септември", "октомври", "ноември", "декември"]`
        pub const MON: &[&str] = &["јануари", "февруари", "март", "април", "мај", "јуни", "јули", "август", "септември", "октомври", "ноември", "декември"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ml_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"ഇന\u{d4d}ത\u{d4d}യ"`
        pub const COUNTRY_NAME: &str = "ഇന\u{d4d}ത\u{d4d}യ";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"ml"`
        pub const LANG_AB: &str = "ml";
        /// `"mal"`
        pub const LANG_LIB: &str = "mal";
        /// `"മലയ\u{d3e}ളം"`
        pub const LANG_NAME: &str = "മലയ\u{d3e}ളം";
        /// `"mal"`
        pub const LANG_TERM: &str = "mal";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2003-February-01"`
        pub const DATE: &str = "2003-February-01";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Malayalam"`
        pub const LANGUAGE: &str = "Malayalam";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `"Free Software Foundation of India, Trivandrum"`
        pub const SOURCE: &str = "Free Software Foundation of India, Trivandrum";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Malayalam language locale for India"`
        pub const TITLE: &str = "Malayalam language locale for India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNഅ]"`
        pub const NOEXPR: &str = "^[-0nNഅ]";
        /// `"അല\u{d4d}ല"`
        pub const NOSTR: &str = "അല\u{d4d}ല";
        /// `"^[+1yYഉ]"`
        pub const YESEXPR: &str = "^[+1yYഉ]";
        /// `"ഉവ\u{d4d}വ\u{d4d}"`
        pub const YESSTR: &str = "ഉവ\u{d4d}വ\u{d4d}";
    }
    pub use super::hi_IN::LC_MONETARY;
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 2]`
        pub const GROUPING: &[i64] = &[3, 2];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["ഞ\u{d3e}", "തി", "ചൊ", "ബ\u{d41}", "വ\u{d4d}യ\u{d3e}", "വെ", "ശ"]`
        pub const ABDAY: &[&str] = &["ഞ\u{d3e}", "തി", "ചൊ", "ബ\u{d41}", "വ\u{d4d}യ\u{d3e}", "വെ", "ശ"];
        /// `&["ജന\u{d41}", "ഫെബ\u{d4d}ര\u{d41}", "മ\u{d3e}ർ", "ഏപ\u{d4d}രി", "മേയ\u{d4d}", "ജ\u{d42}ൺ", "ജ\u{d42}ലൈ", "ഓഗ", "സെപ\u{d4d}റ\u{d4d}റം", "ഒക\u{d4d}ടോ", "നവം", "ഡിസം"]`
        pub const ABMON: &[&str] = &["ജന\u{d41}", "ഫെബ\u{d4d}ര\u{d41}", "മ\u{d3e}ർ", "ഏപ\u{d4d}രി", "മേയ\u{d4d}", "ജ\u{d42}ൺ", "ജ\u{d42}ലൈ", "ഓഗ", "സെപ\u{d4d}റ\u{d4d}റം", "ഒക\u{d4d}ടോ", "നവം", "ഡിസം"];
        /// `&["ര\u{d3e}വിലെ", "വൈക\u{d41}"]`
        pub const AM_PM: &[&str] = &["ര\u{d3e}വിലെ", "വൈക\u{d41}"];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %B %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %B %Y %I:%M:%S %p %Z";
        /// `&["ഞ\u{d3e}യര\u{d4d}\u{200d}", "തിങ\u{d4d}കള\u{d4d}\u{200d}", "ചൊവ\u{d4d}വ", "ബ\u{d41}ധന\u{d4d}\u{200d}", "വ\u{d4d}യ\u{d3e}ഴം", "വെള\u{d4d}ളി", "ശനി"]`
        pub const DAY: &[&str] = &["ഞ\u{d3e}യര\u{d4d}\u{200d}", "തിങ\u{d4d}കള\u{d4d}\u{200d}", "ചൊവ\u{d4d}വ", "ബ\u{d41}ധന\u{d4d}\u{200d}", "വ\u{d4d}യ\u{d3e}ഴം", "വെള\u{d4d}ളി", "ശനി"];
        /// `&["ജന\u{d41}വരി", "ഫെബ\u{d4d}ര\u{d41}വരി", "മ\u{d3e}ർച\u{d4d}ച\u{d4d}", "ഏപ\u{d4d}രിൽ", "മേയ\u{d4d}", "ജ\u{d42}ൺ", "ജ\u{d42}ലൈ", "ഓഗസ\u{d4d}റ\u{d4d}റ\u{d4d}", "സെപ\u{d4d}റ\u{d4d}റംബർ", "ഒക\u{d4d}\u{200c}ടോബർ", "നവംബർ", "ഡിസംബർ"]`
        pub const MON: &[&str] = &["ജന\u{d41}വരി", "ഫെബ\u{d4d}ര\u{d41}വരി", "മ\u{d3e}ർച\u{d4d}ച\u{d4d}", "ഏപ\u{d4d}രിൽ", "മേയ\u{d4d}", "ജ\u{d42}ൺ", "ജ\u{d42}ലൈ", "ഓഗസ\u{d4d}റ\u{d4d}റ\u{d4d}", "സെപ\u{d4d}റ\u{d4d}റംബർ", "ഒക\u{d4d}\u{200c}ടോബർ", "നവംബർ", "ഡിസംബർ"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod mn_MN {
    pub mod LC_ADDRESS {
        /// `"MN"`
        pub const COUNTRY_ABTWO: &str = "MN";
        /// `"MNG"`
        pub const COUNTRY_AB3: &str = "MNG";
        /// `"MGL"`
        pub const COUNTRY_CAR: &str = "MGL";
        /// `99929`
        pub const COUNTRY_ISBN: i64 = 99929;
        /// `"Монгол"`
        pub const COUNTRY_NAME: &str = "Монгол";
        /// `496`
        pub const COUNTRY_NUM: i64 = 496;
        /// `"MN"`
        pub const COUNTRY_POST: &str = "MN";
        /// `"mn"`
        pub const LANG_AB: &str = "mn";
        /// `"mon"`
        pub const LANG_LIB: &str = "mon";
        /// `"монгол"`
        pub const LANG_NAME: &str = "монгол";
        /// `"mon"`
        pub const LANG_TERM: &str = "mon";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2005-05-21"`
        pub const DATE: &str = "2005-05-21";
        /// `"badral@chinggis.com"`
        pub const EMAIL: &str = "badral@chinggis.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Mongolian"`
        pub const LANGUAGE: &str = "Mongolian";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Sanlig Badral"`
        pub const SOURCE: &str = "Sanlig Badral";
        /// `""`
        pub const TEL: &str = "";
        /// `"Mongolia"`
        pub const TERRITORY: &str = "Mongolia";
        /// `"Mongolian locale for Mongolia"`
        pub const TITLE: &str = "Mongolian locale for Mongolia";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0үҮnN]"`
        pub const NOEXPR: &str = "^[-0үҮnN]";
        /// `"үгүй"`
        pub const NOSTR: &str = "үгүй";
        /// `"^[+1тТyY]"`
        pub const YESEXPR: &str = "^[+1тТyY]";
        /// `"тийм"`
        pub const YESSTR: &str = "тийм";
    }
    pub mod LC_MONETARY {
        /// `"₮"`
        pub const CURRENCY_SYMBOL: &str = "₮";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"MNT "`
        pub const INT_CURR_SYMBOL: &str = "MNT ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"976"`
        pub const INT_PREFIX: &str = "976";
        /// `"001"`
        pub const INT_SELECT: &str = "001";
        /// `"(0%a) %l"`
        pub const TEL_DOM_FMT: &str = "(0%a) %l";
        /// `"(+%c %a) %l"`
        pub const TEL_INT_FMT: &str = "(+%c %a) %l";
    }
    pub mod LC_TIME {
        /// `&["Ня", "Да", "Мя", "Лх", "Пү", "Ба", "Бя"]`
        pub const ABDAY: &[&str] = &["Ня", "Да", "Мя", "Лх", "Пү", "Ба", "Бя"];
        /// `&["1-р сар", "2-р сар", "3-р сар", "4-р сар", "5-р сар", "6-р сар", "7-р сар", "8-р сар", "9-р сар", "10-р сар", "11-р сар", "12-р сар"]`
        pub const ABMON: &[&str] = &["1-р сар", "2-р сар", "3-р сар", "4-р сар", "5-р сар", "6-р сар", "7-р сар", "8-р сар", "9-р сар", "10-р сар", "11-р сар", "12-р сар"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%Y.%m.%d"`
        pub const D_FMT: &str = "%Y.%m.%d";
        /// `"%Y %b %d, %a %T"`
        pub const D_T_FMT: &str = "%Y %b %d, %a %T";
        /// `"%Z %Y оны %B %e, %a %H:%M:%S"`
        pub const DATE_FMT: &str = "%Z %Y оны %B %e, %a %H:%M:%S";
        /// `&["Ням", "Даваа", "Мягмар", "Лхагва", "Пүрэв", "Баасан", "Бямба"]`
        pub const DAY: &[&str] = &["Ням", "Даваа", "Мягмар", "Лхагва", "Пүрэв", "Баасан", "Бямба"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Нэгдүгээр сар", "Хоёрдугаар сар", "Гуравдугаар сар", "Дөрөвдүгээр сар", "Тавдугаар сар", "Зургадугаар сар", "Долдугаар сар", "Наймдугаар сар", "Есдүгээр сар", "Аравдугаар сар", "Арван нэгдүгээр сар", "Арван хоёрдугаар сар"]`
        pub const MON: &[&str] = &["Нэгдүгээр сар", "Хоёрдугаар сар", "Гуравдугаар сар", "Дөрөвдүгээр сар", "Тавдугаар сар", "Зургадугаар сар", "Долдугаар сар", "Наймдугаар сар", "Есдүгээр сар", "Аравдугаар сар", "Арван нэгдүгээр сар", "Арван хоёрдугаар сар"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod mni_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"ভ\u{9be}রত"`
        pub const COUNTRY_NAME: &str = "ভ\u{9be}রত";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"mni"`
        pub const LANG_LIB: &str = "mni";
        /// `"মৈতৈলোন\u{9cd}"`
        pub const LANG_NAME: &str = "মৈতৈলোন\u{9cd}";
        /// `"mni"`
        pub const LANG_TERM: &str = "mni";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Level 1, Tower X, Cybercity, Magarpatta City, Hadapsar, Pune-411013 "`
        pub const ADDRESS: &str = "Level 1, Tower X, Cybercity, Magarpatta City, Hadapsar, Pune-411013 ";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2012-01-17"`
        pub const DATE: &str = "2012-01-17";
        /// `"libc-alpha@sourceware.org"`
        pub const EMAIL: &str = "libc-alpha@sourceware.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Manipuri"`
        pub const LANGUAGE: &str = "Manipuri";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Red Hat Pune"`
        pub const SOURCE: &str = "Red Hat Pune";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Manipuri language locale for India"`
        pub const TITLE: &str = "Manipuri language locale for India";
    }
    pub use super::en_IN::LC_MESSAGES;
    pub use super::bn_IN::LC_MONETARY;
    pub use super::bn_IN::LC_NUMERIC;
    pub use super::bn_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["নোং", "নিং", "লৈব\u{9be}ক", "য়\u{9c1}ম", "শগোল", "ইর\u{9be}", "থ\u{9be}ং"]`
        pub const ABDAY: &[&str] = &["নোং", "নিং", "লৈব\u{9be}ক", "য়\u{9c1}ম", "শগোল", "ইর\u{9be}", "থ\u{9be}ং"];
        /// `&["জ\u{9be}ন", "ফেব", "ম\u{9be}র", "এপ\u{9cd}রি", "মে", "জ\u{9c1}ন", "জ\u{9c1}ল", "আগ", "সেপ", "ওক\u{9cd}ত", "নবে", "ডিস"]`
        pub const ABMON: &[&str] = &["জ\u{9be}ন", "ফেব", "ম\u{9be}র", "এপ\u{9cd}রি", "মে", "জ\u{9c1}ন", "জ\u{9c1}ল", "আগ", "সেপ", "ওক\u{9cd}ত", "নবে", "ডিস"];
        /// `&["এ.ম.", "প.ম."]`
        pub const AM_PM: &[&str] = &["এ.ম.", "প.ম."];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["নোংম\u{9be}ইজিং", "নিংথৌক\u{9be}ব\u{9be}", "লৈব\u{9be}কপোকপ\u{9be}", "য়\u{9c1}মশকৈশ\u{9be}", "শগোলশেন", "ইর\u{9be}ই", "থ\u{9be}ংজ"]`
        pub const DAY: &[&str] = &["নোংম\u{9be}ইজিং", "নিংথৌক\u{9be}ব\u{9be}", "লৈব\u{9be}কপোকপ\u{9be}", "য়\u{9c1}মশকৈশ\u{9be}", "শগোলশেন", "ইর\u{9be}ই", "থ\u{9be}ংজ"];
        /// `&["জ\u{9be}ন\u{9c1}ৱ\u{9be}রি", "ফেব\u{9cd}র\u{9c1}ৱ\u{9be}রি", "ম\u{9be}র\u{9cd}চ", "এপ\u{9cd}রিল", "মে", "জ\u{9c1}ন", "জ\u{9c1}ল\u{9be}ই", "আগষ\u{9cd}ট", "সেপ\u{9cd}তেম\u{9cd}বর", "ওক\u{9cd}তোবর", "নবেম\u{9cd}বর", "ডিসেম\u{9cd}বর"]`
        pub const MON: &[&str] = &["জ\u{9be}ন\u{9c1}ৱ\u{9be}রি", "ফেব\u{9cd}র\u{9c1}ৱ\u{9be}রি", "ম\u{9be}র\u{9cd}চ", "এপ\u{9cd}রিল", "মে", "জ\u{9c1}ন", "জ\u{9c1}ল\u{9be}ই", "আগষ\u{9cd}ট", "সেপ\u{9cd}তেম\u{9cd}বর", "ওক\u{9cd}তোবর", "নবেম\u{9cd}বর", "ডিসেম\u{9cd}বর"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod mnw_MM {
    pub mod LC_ADDRESS {
        /// `"MM"`
        pub const COUNTRY_ABTWO: &str = "MM";
        /// `"MMR"`
        pub const COUNTRY_AB3: &str = "MMR";
        /// `"MYA"`
        pub const COUNTRY_CAR: &str = "MYA";
        /// `99971`
        pub const COUNTRY_ISBN: i64 = 99971;
        /// `"ဗ\u{105f}ာ"`
        pub const COUNTRY_NAME: &str = "ဗ\u{105f}ာ";
        /// `104`
        pub const COUNTRY_NUM: i64 = 104;
        /// `"Myanmar"`
        pub const COUNTRY_POST: &str = "Myanmar";
        /// `""`
        pub const LANG_AB: &str = "";
        /// `"mnw"`
        pub const LANG_LIB: &str = "mnw";
        /// `"မန\u{103a}"`
        pub const LANG_NAME: &str = "မန\u{103a}";
        /// `"mnw"`
        pub const LANG_TERM: &str = "mnw";
        /// `"%a%N%d%N%f%N%b%N%h%t%r%t%e%t%s%N%T%t%z%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%d%N%f%N%b%N%h%t%r%t%e%t%s%N%T%t%z%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Mawlamyine, Mon State, Myanmar"`
        pub const ADDRESS: &str = "Mawlamyine, Mon State, Myanmar";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"Talachan Mon"`
        pub const CONTACT: &str = "Talachan Mon";
        /// `"2019-10-27"`
        pub const DATE: &str = "2019-10-27";
        /// `"talachanmon@gmail.com"`
        pub const EMAIL: &str = "talachanmon@gmail.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Mon"`
        pub const LANGUAGE: &str = "Mon";
        /// `"1"`
        pub const REVISION: &str = "1";
        /// `"Mon Localization Team https://facebook.com/groups/monlocalization"`
        pub const SOURCE: &str = "Mon Localization Team https://facebook.com/groups/monlocalization";
        /// `""`
        pub const TEL: &str = "";
        /// `"Myanmar"`
        pub const TERRITORY: &str = "Myanmar";
        /// `"Mon language locale for Myanmar"`
        pub const TITLE: &str = "Mon language locale for Myanmar";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNဟ]"`
        pub const NOEXPR: &str = "^[-0nNဟ]";
        /// `"ဟ\u{103d}\u{1036}"`
        pub const NOSTR: &str = "ဟ\u{103d}\u{1036}";
        /// `"^[+1yYယ]"`
        pub const YESEXPR: &str = "^[+1yYယ]";
        /// `"ယ\u{103d}\u{1036}"`
        pub const YESSTR: &str = "ယ\u{103d}\u{1036}";
    }
    pub mod LC_MONETARY {
        /// `"K"`
        pub const CURRENCY_SYMBOL: &str = "K";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"MMK "`
        pub const INT_CURR_SYMBOL: &str = "MMK ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub use super::my_MM::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["ဒ\u{102d}\u{102f}တ\u{103a}", "စန\u{103a}", "ၚာ", "ဝါ", "တ\u{102d}", "သ\u{102d}\u{102f}က\u{103a}", "သဝ\u{103a}"]`
        pub const ABDAY: &[&str] = &["ဒ\u{102d}\u{102f}တ\u{103a}", "စန\u{103a}", "ၚာ", "ဝါ", "တ\u{102d}", "သ\u{102d}\u{102f}က\u{103a}", "သဝ\u{103a}"];
        /// `&["ဂျာန\u{103a}", "ဝ\u{103e}ေဝ\u{103a}", "မာတ\u{103a}", "အေ", "မေ", "ဂျ\u{102f}န\u{103a}", "ဂျ\u{1030}", "အဝ\u{103a}", "သ\u{102d}ပ\u{103a}", "အ\u{1036}က\u{103a}", "နဝ\u{103a}", "ဒ\u{1033}"]`
        pub const ABMON: &[&str] = &["ဂျာန\u{103a}", "ဝ\u{103e}ေဝ\u{103a}", "မာတ\u{103a}", "အေ", "မေ", "ဂျ\u{102f}န\u{103a}", "ဂျ\u{1030}", "အဝ\u{103a}", "သ\u{102d}ပ\u{103a}", "အ\u{1036}က\u{103a}", "နဝ\u{103a}", "ဒ\u{1033}"];
        /// `&["၀၀", "၀၁", "၀၂", "၀၃", "၀၄", "၀၅", "၀၆", "၀၇", "၀၈", "၀၉", "၁၀", "၁၁", "၁၂", "၁၃", "၁၄", "၁၅", "၁၆", "၁၇", "၁၈", "၁၉", "၂၀", "၂၁", "၂၂", "၂၃", "၂၄", "၂၅", "၂၆", "၂၇", "၂၈", "၂၉", "၃၀", "၃၁", "၃၂", "၃၃", "၃၄", "၃၅", "၃၆", "၃၇", "၃၈", "၃၉", "၄၀", "၄၁", "၄၂", "၄၃", "၄၄", "၄၅", "၄၆", "၄၇", "၄၈", "၄၉", "၅၀", "၅၁", "၅၂", "၅၃", "၅၄", "၅၅", "၅၆", "၅၇", "၅၈", "၅၉", "၆၀", "၆၁", "၆၂", "၆၃", "၆၄", "၆၅", "၆၆", "၆၇", "၆၈", "၆၉", "၇၀", "၇၁", "၇၂", "၇၃", "၇၄", "၇၅", "၇၆", "၇၇", "၇၈", "၇၉", "၈၀", "၈၁", "၈၂", "၈၃", "၈၄", "၈၅", "၈၆", "၈၇", "၈၈", "၈၉", "၉၀", "၉၁", "၉၂", "၉၃", "၉၄", "၉၅", "၉၆", "၉၇", "၉၈", "၉၉"]`
        pub const ALT_DIGITS: &[&str] = &["၀၀", "၀၁", "၀၂", "၀၃", "၀၄", "၀၅", "၀၆", "၀၇", "၀၈", "၀၉", "၁၀", "၁၁", "၁၂", "၁၃", "၁၄", "၁၅", "၁၆", "၁၇", "၁၈", "၁၉", "၂၀", "၂၁", "၂၂", "၂၃", "၂၄", "၂၅", "၂၆", "၂၇", "၂၈", "၂၉", "၃၀", "၃၁", "၃၂", "၃၃", "၃၄", "၃၅", "၃၆", "၃၇", "၃၈", "၃၉", "၄၀", "၄၁", "၄၂", "၄၃", "၄၄", "၄၅", "၄၆", "၄၇", "၄၈", "၄၉", "၅၀", "၅၁", "၅၂", "၅၃", "၅၄", "၅၅", "၅၆", "၅၇", "၅၈", "၅၉", "၆၀", "၆၁", "၆၂", "၆၃", "၆၄", "၆၅", "၆၆", "၆၇", "၆၈", "၆၉", "၇၀", "၇၁", "၇၂", "၇၃", "၇၄", "၇၅", "၇၆", "၇၇", "၇၈", "၇၉", "၈၀", "၈၁", "၈၂", "၈၃", "၈၄", "၈၅", "၈၆", "၈၇", "၈၈", "၈၉", "၉၀", "၉၁", "၉၂", "၉၃", "၉၄", "၉၅", "၉၆", "၉၇", "၉၈", "၉၉"];
        /// `&["ဂယး", "တ\u{1039}ၚ\u{1032}စေၚ\u{103a}"]`
        pub const AM_PM: &[&str] = &["ဂယး", "တ\u{1039}ၚ\u{1032}စေၚ\u{103a}"];
        /// `"%OC%Oy %b %Od %A"`
        pub const D_FMT: &str = "%OC%Oy %b %Od %A";
        /// `"%OC%Oy %b %Od %A %OI:%OM:%OS %Op %Z"`
        pub const D_T_FMT: &str = "%OC%Oy %b %Od %A %OI:%OM:%OS %Op %Z";
        /// `&["အဒ\u{102d}\u{102f}တ\u{103a}", "စန\u{103a}", "အၚာ", "ဗ\u{102f}ဒ\u{1039}ဓဝါ", "ဗြ\u{1034}ဗ\u{1039}တ\u{102d}", "သ\u{102d}\u{102f}က\u{103a}", "သ\u{1039}ၚ\u{102d}သဝ\u{103a}"]`
        pub const DAY: &[&str] = &["အဒ\u{102d}\u{102f}တ\u{103a}", "စန\u{103a}", "အၚာ", "ဗ\u{102f}ဒ\u{1039}ဓဝါ", "ဗြ\u{1034}ဗ\u{1039}တ\u{102d}", "သ\u{102d}\u{102f}က\u{103a}", "သ\u{1039}ၚ\u{102d}သဝ\u{103a}"];
        /// `&["ဂျာန\u{103a}နျ\u{1030}အာရ\u{1033}", "ဝ\u{103e}ေဝ\u{103a}ဗြ\u{1030}အာရ\u{1033}", "မာတ\u{103a}ချ\u{103a}", "အေပြေယ\u{103a}လ\u{103a}", "မေ", "ဂျ\u{102f}န\u{103a}", "ဂျ\u{1030}လာၚ\u{103a}", "အဝ\u{103a}ဂါတ\u{103a}", "သ\u{102d}ပ\u{103a}တ\u{102e}ဗာ", "အ\u{1036}က\u{103a}တဝ\u{103a}ဗာ", "နဝ\u{103a}ဝါမ\u{103a}ဗာ", "ဒ\u{1033}သ\u{102e}ဗာ"]`
        pub const MON: &[&str] = &["ဂျာန\u{103a}နျ\u{1030}အာရ\u{1033}", "ဝ\u{103e}ေဝ\u{103a}ဗြ\u{1030}အာရ\u{1033}", "မာတ\u{103a}ချ\u{103a}", "အေပြေယ\u{103a}လ\u{103a}", "မေ", "ဂျ\u{102f}န\u{103a}", "ဂျ\u{1030}လာၚ\u{103a}", "အဝ\u{103a}ဂါတ\u{103a}", "သ\u{102d}ပ\u{103a}တ\u{102e}ဗာ", "အ\u{1036}က\u{103a}တဝ\u{103a}ဗာ", "နဝ\u{103a}ဝါမ\u{103a}ဗာ", "ဒ\u{1033}သ\u{102e}ဗာ"];
        /// `"%OI:%OM:%OS %p"`
        pub const T_FMT: &str = "%OI:%OM:%OS %p";
        /// `"%OI:%OM:%OS %p"`
        pub const T_FMT_AMPM: &str = "%OI:%OM:%OS %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod mr_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"भारत"`
        pub const COUNTRY_NAME: &str = "भारत";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"mr"`
        pub const LANG_AB: &str = "mr";
        /// `"mar"`
        pub const LANG_LIB: &str = "mar";
        /// `"मराठी"`
        pub const LANG_NAME: &str = "मराठी";
        /// `"mar"`
        pub const LANG_TERM: &str = "mar";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-21"`
        pub const DATE: &str = "2000-07-21";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Marathi"`
        pub const LANGUAGE: &str = "Marathi";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Marathi language locale for India"`
        pub const TITLE: &str = "Marathi language locale for India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNन]"`
        pub const NOEXPR: &str = "^[-0nNन]";
        /// `"नाही"`
        pub const NOSTR: &str = "नाही";
        /// `"^[+1yYह]"`
        pub const YESEXPR: &str = "^[+1yYह]";
        /// `"होय"`
        pub const YESSTR: &str = "होय";
    }
    pub use super::hi_IN::LC_MONETARY;
    pub use super::hi_IN::LC_NUMERIC;
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["रवि", "सोम", "म\u{902}गळ", "ब\u{941}ध", "ग\u{941}र\u{941}", "श\u{941}क\u{94d}र", "शनि"]`
        pub const ABDAY: &[&str] = &["रवि", "सोम", "म\u{902}गळ", "ब\u{941}ध", "ग\u{941}र\u{941}", "श\u{941}क\u{94d}र", "शनि"];
        /// `&["जान\u{947}", "फ\u{947}ब\u{94d}र\u{941}", "मार\u{94d}च", "एप\u{94d}रि", "म\u{947}", "ज\u{942}न", "ज\u{941}ल\u{948}", "ऑग", "सप\u{94d}ट\u{947}\u{902}", "ऑक\u{94d}टो", "नोव\u{94d}ह\u{947}\u{902}", "डिस\u{947}\u{902}"]`
        pub const ABMON: &[&str] = &["जान\u{947}", "फ\u{947}ब\u{94d}र\u{941}", "मार\u{94d}च", "एप\u{94d}रि", "म\u{947}", "ज\u{942}न", "ज\u{941}ल\u{948}", "ऑग", "सप\u{94d}ट\u{947}\u{902}", "ऑक\u{94d}टो", "नोव\u{94d}ह\u{947}\u{902}", "डिस\u{947}\u{902}"];
        /// `&["म.प\u{942}.", "म.न\u{902}."]`
        pub const AM_PM: &[&str] = &["म.प\u{942}.", "म.न\u{902}."];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["रविवार", "सोमवार", "म\u{902}गळवार", "ब\u{941}धवार", "ग\u{941}र\u{941}वार", "श\u{941}क\u{94d}रवार", "शनिवार"]`
        pub const DAY: &[&str] = &["रविवार", "सोमवार", "म\u{902}गळवार", "ब\u{941}धवार", "ग\u{941}र\u{941}वार", "श\u{941}क\u{94d}रवार", "शनिवार"];
        /// `&["जान\u{947}वारी", "फ\u{947}ब\u{94d}र\u{941}वारी", "मार\u{94d}च", "एप\u{94d}रिल", "म\u{947}", "ज\u{942}न", "ज\u{941}ल\u{948}", "ऑगस\u{94d}ट", "सप\u{94d}ट\u{947}\u{902}बर", "ऑक\u{94d}टोबर", "नोव\u{94d}ह\u{947}\u{902}बर", "डिस\u{947}\u{902}बर"]`
        pub const MON: &[&str] = &["जान\u{947}वारी", "फ\u{947}ब\u{94d}र\u{941}वारी", "मार\u{94d}च", "एप\u{94d}रिल", "म\u{947}", "ज\u{942}न", "ज\u{941}ल\u{948}", "ऑगस\u{94d}ट", "सप\u{94d}ट\u{947}\u{902}बर", "ऑक\u{94d}टोबर", "नोव\u{94d}ह\u{947}\u{902}बर", "डिस\u{947}\u{902}बर"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ms_MY {
    pub mod LC_ADDRESS {
        /// `"MY"`
        pub const COUNTRY_ABTWO: &str = "MY";
        /// `"MYS"`
        pub const COUNTRY_AB3: &str = "MYS";
        /// `"MAL"`
        pub const COUNTRY_CAR: &str = "MAL";
        /// `"Malaysia"`
        pub const COUNTRY_NAME: &str = "Malaysia";
        /// `458`
        pub const COUNTRY_NUM: i64 = 458;
        /// `"ms"`
        pub const LANG_AB: &str = "ms";
        /// `"may"`
        pub const LANG_LIB: &str = "may";
        /// `"Melayu"`
        pub const LANG_NAME: &str = "Melayu";
        /// `"msa"`
        pub const LANG_TERM: &str = "msa";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2001, December, 10"`
        pub const DATE: &str = "2001, December, 10";
        /// `"bug-glibc-locales@gnu.org, sebol@ikhlas.com"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org, sebol@ikhlas.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Malay"`
        pub const LANGUAGE: &str = "Malay";
        /// `"0.92b"`
        pub const REVISION: &str = "0.92b";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"Malaysia"`
        pub const TERRITORY: &str = "Malaysia";
        /// `"Malay language locale for Malaysia"`
        pub const TITLE: &str = "Malay language locale for Malaysia";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0tTnN]"`
        pub const NOEXPR: &str = "^[-0tTnN]";
        /// `"tidak"`
        pub const NOSTR: &str = "tidak";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
        /// `"ya"`
        pub const YESSTR: &str = "ya";
    }
    pub mod LC_MONETARY {
        /// `"RM"`
        pub const CURRENCY_SYMBOL: &str = "RM";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"MYR "`
        pub const INT_CURR_SYMBOL: &str = "MYR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `0`
        pub const N_SIGN_POSN: i64 = 0;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"60"`
        pub const INT_PREFIX: &str = "60";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["Ahd", "Isn", "Sel", "Rab", "Kha", "Jum", "Sab"]`
        pub const ABDAY: &[&str] = &["Ahd", "Isn", "Sel", "Rab", "Kha", "Jum", "Sab"];
        /// `&["Jan", "Feb", "Mac", "Apr", "Mei", "Jun", "Jul", "Ogos", "Sep", "Okt", "Nov", "Dis"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mac", "Apr", "Mei", "Jun", "Jul", "Ogos", "Sep", "Okt", "Nov", "Dis"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%A %d %b %Y"`
        pub const D_FMT: &str = "%A %d %b %Y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["Ahad", "Isnin", "Selasa", "Rabu", "Khamis", "Jumaat", "Sabtu"]`
        pub const DAY: &[&str] = &["Ahad", "Isnin", "Selasa", "Rabu", "Khamis", "Jumaat", "Sabtu"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Januari", "Februari", "Mac", "April", "Mei", "Jun", "Julai", "Ogos", "September", "Oktober", "November", "Disember"]`
        pub const MON: &[&str] = &["Januari", "Februari", "Mac", "April", "Mei", "Jun", "Julai", "Ogos", "September", "Oktober", "November", "Disember"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod mt_MT {
    pub mod LC_ADDRESS {
        /// `"MT"`
        pub const COUNTRY_ABTWO: &str = "MT";
        /// `"MLT"`
        pub const COUNTRY_AB3: &str = "MLT";
        /// `"M"`
        pub const COUNTRY_CAR: &str = "M";
        /// `"Malta"`
        pub const COUNTRY_NAME: &str = "Malta";
        /// `470`
        pub const COUNTRY_NUM: i64 = 470;
        /// `"mt"`
        pub const LANG_AB: &str = "mt";
        /// `"mlt"`
        pub const LANG_LIB: &str = "mlt";
        /// `"Malti"`
        pub const LANG_NAME: &str = "Malti";
        /// `"mlt"`
        pub const LANG_TERM: &str = "mlt";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-20"`
        pub const DATE: &str = "2000-07-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Maltese"`
        pub const LANGUAGE: &str = "Maltese";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"malta"`
        pub const TERRITORY: &str = "malta";
        /// `"Maltese language locale for Malta"`
        pub const TITLE: &str = "Maltese language locale for Malta";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNlL]"`
        pub const NOEXPR: &str = "^[-0nNlL]";
        /// `"le"`
        pub const NOSTR: &str = "le";
        /// `"^[+1yYiI]"`
        pub const YESEXPR: &str = "^[+1yYiI]";
        /// `"iva"`
        pub const YESSTR: &str = "iva";
    }
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"356"`
        pub const INT_PREFIX: &str = "356";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["Ħad", "Tne", "Tli", "Erb", "Ħam", "Ġim", "Sib"]`
        pub const ABDAY: &[&str] = &["Ħad", "Tne", "Tli", "Erb", "Ħam", "Ġim", "Sib"];
        /// `&["Jan", "Fra", "Mar", "Apr", "Mej", "Ġun", "Lul", "Aww", "Set", "Ott", "Nov", "Diċ"]`
        pub const ABMON: &[&str] = &["Jan", "Fra", "Mar", "Apr", "Mej", "Ġun", "Lul", "Aww", "Set", "Ott", "Nov", "Diċ"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%A, %d ta %b, %Y"`
        pub const D_FMT: &str = "%A, %d ta %b, %Y";
        /// `"%A, %d ta %b, %Y %H:%M:%S %Z"`
        pub const D_T_FMT: &str = "%A, %d ta %b, %Y %H:%M:%S %Z";
        /// `&["il-Ħadd", "it-Tnejn", "it-Tlieta", "l-Erbgħa", "il-Ħamis", "il-Ġimgħa", "is-Sibt"]`
        pub const DAY: &[&str] = &["il-Ħadd", "it-Tnejn", "it-Tlieta", "l-Erbgħa", "il-Ħamis", "il-Ġimgħa", "is-Sibt"];
        /// `&["Jannar", "Frar", "Marzu", "April", "Mejju", "Ġunju", "Lulju", "Awwissu", "Settembru", "Ottubru", "Novembru", "Diċembru"]`
        pub const MON: &[&str] = &["Jannar", "Frar", "Marzu", "April", "Mejju", "Ġunju", "Lulju", "Awwissu", "Settembru", "Ottubru", "Novembru", "Diċembru"];
        /// `"%H:%M:%S %Z"`
        pub const T_FMT: &str = "%H:%M:%S %Z";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod my_MM {
    pub mod LC_ADDRESS {
        /// `"MM"`
        pub const COUNTRY_ABTWO: &str = "MM";
        /// `"MYA"`
        pub const COUNTRY_CAR: &str = "MYA";
        /// `"မြန\u{103a}မာ"`
        pub const COUNTRY_NAME: &str = "မြန\u{103a}မာ";
        /// `104`
        pub const COUNTRY_NUM: i64 = 104;
        /// `"Myanmar"`
        pub const COUNTRY_POST: &str = "Myanmar";
        /// `"my"`
        pub const LANG_AB: &str = "my";
        /// `"bur"`
        pub const LANG_LIB: &str = "bur";
        /// `"မြန\u{103a}မာ"`
        pub const LANG_NAME: &str = "မြန\u{103a}မာ";
        /// `"mya"`
        pub const LANG_TERM: &str = "mya";
        /// `"%a%N%d%N%f%N%b%N%h%t%r%t%e%t%s%N%T%t%z%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%d%N%f%N%b%N%h%t%r%t%e%t%s%N%T%t%z%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Yangon, Myanmar"`
        pub const ADDRESS: &str = "Yangon, Myanmar";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_NAME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_NAME"],
        ];
        /// `"Keith Stribley"`
        pub const CONTACT: &str = "Keith Stribley";
        /// `"2009-10-02"`
        pub const DATE: &str = "2009-10-02";
        /// `"devel@thanlwinsoft.org"`
        pub const EMAIL: &str = "devel@thanlwinsoft.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Burmese"`
        pub const LANGUAGE: &str = "Burmese";
        /// `"1.3"`
        pub const REVISION: &str = "1.3";
        /// `"ThanLwinSoft http:/www.thanlwinsoft.org"`
        pub const SOURCE: &str = "ThanLwinSoft http:/www.thanlwinsoft.org";
        /// `""`
        pub const TEL: &str = "";
        /// `"Myanmar (Burma)"`
        pub const TERRITORY: &str = "Myanmar (Burma)";
        /// `"Burmese language locale for Myanmar"`
        pub const TITLE: &str = "Burmese language locale for Myanmar";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNမ]"`
        pub const NOEXPR: &str = "^[-0nNမ]";
        /// `"မဟ\u{102f}တ\u{103a}ဘ\u{1030}း"`
        pub const NOSTR: &str = "မဟ\u{102f}တ\u{103a}ဘ\u{1030}း";
        /// `"^[+1yYဟ]"`
        pub const YESEXPR: &str = "^[+1yYဟ]";
        /// `"ဟ\u{102f}တ\u{103a}တယ\u{103a}"`
        pub const YESSTR: &str = "ဟ\u{102f}တ\u{103a}တယ\u{103a}";
    }
    pub mod LC_MONETARY {
        /// `"K"`
        pub const CURRENCY_SYMBOL: &str = "K";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"MMK "`
        pub const INT_CURR_SYMBOL: &str = "MMK ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"95"`
        pub const INT_PREFIX: &str = "95";
        /// `"0"`
        pub const INT_SELECT: &str = "0";
        /// `"%a %l"`
        pub const TEL_DOM_FMT: &str = "%a %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["န\u{103d}ေ", "လာ", "ဂါ", "ဟ\u{1030}း", "တေး", "သော", "နေ"]`
        pub const ABDAY: &[&str] = &["န\u{103d}ေ", "လာ", "ဂါ", "ဟ\u{1030}း", "တေး", "သော", "နေ"];
        /// `&["ဇန\u{103a}", "ဖေ", "မတ\u{103a}", "ဧပြ\u{102e}", "မေ", "ဇ\u{103d}န\u{103a}", "ဇ\u{1030}", "ဩ", "စက\u{103a}", "အောက\u{103a}", "န\u{102d}\u{102f}", "ဒ\u{102e}"]`
        pub const ABMON: &[&str] = &["ဇန\u{103a}", "ဖေ", "မတ\u{103a}", "ဧပြ\u{102e}", "မေ", "ဇ\u{103d}န\u{103a}", "ဇ\u{1030}", "ဩ", "စက\u{103a}", "အောက\u{103a}", "န\u{102d}\u{102f}", "ဒ\u{102e}"];
        /// `&["၀၀", "၀၁", "၀၂", "၀၃", "၀၄", "၀၅", "၀၆", "၀၇", "၀၈", "၀၉", "၁၀", "၁၁", "၁၂", "၁၃", "၁၄", "၁၅", "၁၆", "၁၇", "၁၈", "၁၉", "၂၀", "၂၁", "၂၂", "၂၃", "၂၄", "၂၅", "၂၆", "၂၇", "၂၈", "၂၉", "၃၀", "၃၁", "၃၂", "၃၃", "၃၄", "၃၅", "၃၆", "၃၇", "၃၈", "၃၉", "၄၀", "၄၁", "၄၂", "၄၃", "၄၄", "၄၅", "၄၆", "၄၇", "၄၈", "၄၉", "၅၀", "၅၁", "၅၂", "၅၃", "၅၄", "၅၅", "၅၆", "၅၇", "၅၈", "၅၉", "၆၀", "၆၁", "၆၂", "၆၃", "၆၄", "၆၅", "၆၆", "၆၇", "၆၈", "၆၉", "၇၀", "၇၁", "၇၂", "၇၃", "၇၄", "၇၅", "၇၆", "၇၇", "၇၈", "၇၉", "၈၀", "၈၁", "၈၂", "၈၃", "၈၄", "၈၅", "၈၆", "၈၇", "၈၈", "၈၉", "၉၀", "၉၁", "၉၂", "၉၃", "၉၄", "၉၅", "၉၆", "၉၇", "၉၈", "၉၉"]`
        pub const ALT_DIGITS: &[&str] = &["၀၀", "၀၁", "၀၂", "၀၃", "၀၄", "၀၅", "၀၆", "၀၇", "၀၈", "၀၉", "၁၀", "၁၁", "၁၂", "၁၃", "၁၄", "၁၅", "၁၆", "၁၇", "၁၈", "၁၉", "၂၀", "၂၁", "၂၂", "၂၃", "၂၄", "၂၅", "၂၆", "၂၇", "၂၈", "၂၉", "၃၀", "၃၁", "၃၂", "၃၃", "၃၄", "၃၅", "၃၆", "၃၇", "၃၈", "၃၉", "၄၀", "၄၁", "၄၂", "၄၃", "၄၄", "၄၅", "၄၆", "၄၇", "၄၈", "၄၉", "၅၀", "၅၁", "၅၂", "၅၃", "၅၄", "၅၅", "၅၆", "၅၇", "၅၈", "၅၉", "၆၀", "၆၁", "၆၂", "၆၃", "၆၄", "၆၅", "၆၆", "၆၇", "၆၈", "၆၉", "၇၀", "၇၁", "၇၂", "၇၃", "၇၄", "၇၅", "၇၆", "၇၇", "၇၈", "၇၉", "၈၀", "၈၁", "၈၂", "၈၃", "၈၄", "၈၅", "၈၆", "၈၇", "၈၈", "၈၉", "၉၀", "၉၁", "၉၂", "၉၃", "၉၄", "၉၅", "၉၆", "၉၇", "၉၈", "၉၉"];
        /// `&["န\u{1036}နက\u{103a}", "ညနေ"]`
        pub const AM_PM: &[&str] = &["န\u{1036}နက\u{103a}", "ညနေ"];
        /// `"%OC%Oy %b %Od %A"`
        pub const D_FMT: &str = "%OC%Oy %b %Od %A";
        /// `"%OC%Oy %b %Od %A %OI:%OM:%OS %Op %Z"`
        pub const D_T_FMT: &str = "%OC%Oy %b %Od %A %OI:%OM:%OS %Op %Z";
        /// `&["တနင\u{103a}\u{1039}ဂန\u{103d}ေ", "တနင\u{103a}\u{1039}လာ", "အင\u{103a}\u{1039}ဂါ", "ဗ\u{102f}ဒ\u{1039}ဓဟ\u{1030}း", "ကြာသပတေး", "သောကြာ", "စနေ"]`
        pub const DAY: &[&str] = &["တနင\u{103a}\u{1039}ဂန\u{103d}ေ", "တနင\u{103a}\u{1039}လာ", "အင\u{103a}\u{1039}ဂါ", "ဗ\u{102f}ဒ\u{1039}ဓဟ\u{1030}း", "ကြာသပတေး", "သောကြာ", "စနေ"];
        /// `&["ဇန\u{103a}နဝါရ\u{102e}", "ဖေဖော\u{103a}ဝါရ\u{102e}", "မတ\u{103a}", "ဧပြ\u{102e}", "မေ", "ဇ\u{103d}န\u{103a}", "ဇ\u{1030}လ\u{102d}\u{102f}င\u{103a}", "ဩဂ\u{102f}တ\u{103a}", "စက\u{103a}တင\u{103a}ဘာ", "အောက\u{103a}တ\u{102d}\u{102f}ဘာ", "န\u{102d}\u{102f}ဝင\u{103a}ဘာ", "ဒ\u{102e}ဇင\u{103a}ဘာ"]`
        pub const MON: &[&str] = &["ဇန\u{103a}နဝါရ\u{102e}", "ဖေဖော\u{103a}ဝါရ\u{102e}", "မတ\u{103a}", "ဧပြ\u{102e}", "မေ", "ဇ\u{103d}န\u{103a}", "ဇ\u{1030}လ\u{102d}\u{102f}င\u{103a}", "ဩဂ\u{102f}တ\u{103a}", "စက\u{103a}တင\u{103a}ဘာ", "အောက\u{103a}တ\u{102d}\u{102f}ဘာ", "န\u{102d}\u{102f}ဝင\u{103a}ဘာ", "ဒ\u{102e}ဇင\u{103a}ဘာ"];
        /// `"%OI:%OM:%OS %p"`
        pub const T_FMT: &str = "%OI:%OM:%OS %p";
        /// `"%OI:%OM:%OS %p"`
        pub const T_FMT_AMPM: &str = "%OI:%OM:%OS %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod nan_TW {
    pub mod LC_ADDRESS {
        /// `"TW"`
        pub const COUNTRY_ABTWO: &str = "TW";
        /// `"TWN"`
        pub const COUNTRY_AB3: &str = "TWN";
        /// `"RC"`
        pub const COUNTRY_CAR: &str = "RC";
        /// `957`
        pub const COUNTRY_ISBN: i64 = 957;
        /// `"中華民國"`
        pub const COUNTRY_NAME: &str = "中華民國";
        /// `158`
        pub const COUNTRY_NUM: i64 = 158;
        /// `"TW"`
        pub const COUNTRY_POST: &str = "TW";
        /// `"nan"`
        pub const LANG_LIB: &str = "nan";
        /// `"閩南語"`
        pub const LANG_NAME: &str = "閩南語";
        /// `"nan"`
        pub const LANG_TERM: &str = "nan";
        /// `"%c%N%T%N%s %h %e %r%N%b%N%d%N%f%N%a%N"`
        pub const POSTAL_FMT: &str = "%c%N%T%N%s %h %e %r%N%b%N%d%N%f%N%a%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2013-06-02"`
        pub const DATE: &str = "2013-06-02";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Min Nan Chinese"`
        pub const LANGUAGE: &str = "Min Nan Chinese";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Taiwan"`
        pub const TERRITORY: &str = "Taiwan";
        /// `"Min Nan Chinese locale for the Republic of China"`
        pub const TITLE: &str = "Min Nan Chinese locale for the Republic of China";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNｎＮ伓]"`
        pub const NOEXPR: &str = "^[-0nNｎＮ伓]";
        /// `"^[+1yYｙＹ是]"`
        pub const YESEXPR: &str = "^[+1yYｙＹ是]";
    }
    pub mod LC_MONETARY {
        /// `"NT$"`
        pub const CURRENCY_SYMBOL: &str = "NT$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"TWD "`
        pub const INT_CURR_SYMBOL: &str = "TWD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `1`
        pub const INT_N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const INT_N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const INT_N_SIGN_POSN: i64 = 1;
        /// `1`
        pub const INT_P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const INT_P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const INT_P_SIGN_POSN: i64 = 1;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `4`
        pub const MON_GROUPING: i64 = 4;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `4`
        pub const GROUPING: i64 = 4;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"886"`
        pub const INT_PREFIX: &str = "886";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%A-%l"`
        pub const TEL_DOM_FMT: &str = "%A-%l";
        /// `"+%c-%a-%l"`
        pub const TEL_INT_FMT: &str = "+%c-%a-%l";
    }
    pub mod LC_TIME {
        /// `&["日", "一", "二", "三", "四", "五", "六"]`
        pub const ABDAY: &[&str] = &["日", "一", "二", "三", "四", "五", "六"];
        /// `&[" 1月", " 2月", " 3月", " 4月", " 5月", " 6月", " 7月", " 8月", " 9月", "10月", "11月", "12月"]`
        pub const ABMON: &[&str] = &[" 1月", " 2月", " 3月", " 4月", " 5月", " 6月", " 7月", " 8月", " 9月", "10月", "11月", "12月"];
        /// `&["頂晡", "下晡"]`
        pub const AM_PM: &[&str] = &["頂晡", "下晡"];
        /// `"%Y年%m月%d日"`
        pub const D_FMT: &str = "%Y年%m月%d日";
        /// `"%Y年%m月%d日 (%A) %H點%M分%S秒"`
        pub const D_T_FMT: &str = "%Y年%m月%d日 (%A) %H點%M分%S秒";
        /// `"%Y年 %b %e日 %A %H:%M:%S %Z"`
        pub const DATE_FMT: &str = "%Y年 %b %e日 %A %H:%M:%S %Z";
        /// `&["禮拜日", "禮拜一", "禮拜二", "禮拜三", "禮拜四", "禮拜五", "禮拜六"]`
        pub const DAY: &[&str] = &["禮拜日", "禮拜一", "禮拜二", "禮拜三", "禮拜四", "禮拜五", "禮拜六"];
        /// `&["+:2:1913/01/01:+*:民國:%EC%Ey年", "+:1:1912/01/01:1912/12/31:民國:%EC元年", "+:1:1911/12/31:-*:民前:%EC%Ey年"]`
        pub const ERA: &[&str] = &["+:2:1913/01/01:+*:民國:%EC%Ey年", "+:1:1912/01/01:1912/12/31:民國:%EC元年", "+:1:1911/12/31:-*:民前:%EC%Ey年"];
        /// `&["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"]`
        pub const MON: &[&str] = &["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];
        /// `"%H點%M分%S秒"`
        pub const T_FMT: &str = "%H點%M分%S秒";
        /// `"%p %I點%M分%S秒"`
        pub const T_FMT_AMPM: &str = "%p %I點%M分%S秒";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod nan_TW_latin {
    pub mod LC_ADDRESS {
        /// `"TW"`
        pub const COUNTRY_ABTWO: &str = "TW";
        /// `"TWN"`
        pub const COUNTRY_AB3: &str = "TWN";
        /// `"RC"`
        pub const COUNTRY_CAR: &str = "RC";
        /// `957`
        pub const COUNTRY_ISBN: i64 = 957;
        /// `"Tâi-oân"`
        pub const COUNTRY_NAME: &str = "Tâi-oân";
        /// `158`
        pub const COUNTRY_NUM: i64 = 158;
        /// `"TW"`
        pub const COUNTRY_POST: &str = "TW";
        /// `"nan"`
        pub const LANG_LIB: &str = "nan";
        /// `"Bân-lâm-gú"`
        pub const LANG_NAME: &str = "Bân-lâm-gú";
        /// `"nan"`
        pub const LANG_TERM: &str = "nan";
        /// `"%f%N%a%N%d%N%b%N%r %e %h %s%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%r %e %h %s%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MONETARY"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MONETARY"],
        ];
        /// `"Arne Goetje"`
        pub const CONTACT: &str = "Arne Goetje";
        /// `"2008-06-16"`
        pub const DATE: &str = "2008-06-16";
        /// `"arne@canonical.com"`
        pub const EMAIL: &str = "arne@canonical.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Min Nan Chinese"`
        pub const LANGUAGE: &str = "Min Nan Chinese";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Taiwan"`
        pub const TERRITORY: &str = "Taiwan";
        /// `"Minnan language locale for Taiwan"`
        pub const TITLE: &str = "Minnan language locale for Taiwan";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNmM]"`
        pub const NOEXPR: &str = "^[-0nNmM]";
        /// `"M\u{304}-Sī"`
        pub const NOSTR: &str = "M\u{304}-Sī";
        /// `"^[+1yYsS]"`
        pub const YESEXPR: &str = "^[+1yYsS]";
        /// `"Sī"`
        pub const YESSTR: &str = "Sī";
    }
    pub use super::zh_TW::LC_MONETARY;
    pub use super::zh_TW::LC_NUMERIC;
    pub use super::zh_TW::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["lp", "p1", "p2", "p3", "p4", "p5", "p6"]`
        pub const ABDAY: &[&str] = &["lp", "p1", "p2", "p3", "p4", "p5", "p6"];
        /// `&["1g", "2g", "3g", "4g", "5g", "6g", "7g", "8g", "9g", "10g", "11g", "12g"]`
        pub const ABMON: &[&str] = &["1g", "2g", "3g", "4g", "5g", "6g", "7g", "8g", "9g", "10g", "11g", "12g"];
        /// `&["téng-po\u{358}", "ē-po\u{358}"]`
        pub const AM_PM: &[&str] = &["téng-po\u{358}", "ē-po\u{358}"];
        /// `"%F"`
        pub const D_FMT: &str = "%F";
        /// `"%Y %b %d (%a) %H:%M:%S %Z"`
        pub const D_T_FMT: &str = "%Y %b %d (%a) %H:%M:%S %Z";
        /// `"%Y %b %d (%a) %H:%M:%S %Z"`
        pub const DATE_FMT: &str = "%Y %b %d (%a) %H:%M:%S %Z";
        /// `&["lé-pài-ji\u{30d}t", "pài-it", "pài-jī", "pài-saⁿ", "pài-sì", "pài-gō\u{358}", "pài-la\u{30d}k"]`
        pub const DAY: &[&str] = &["lé-pài-ji\u{30d}t", "pài-it", "pài-jī", "pài-saⁿ", "pài-sì", "pài-gō\u{358}", "pài-la\u{30d}k"];
        /// `&["1goe\u{30d}h", "2goe\u{30d}h", "3goe\u{30d}h", "4goe\u{30d}h", "5goe\u{30d}h", "6goe\u{30d}h", "7goe\u{30d}h", "8goe\u{30d}h", "9goe\u{30d}h", "10goe\u{30d}h", "11goe\u{30d}h", "12goe\u{30d}h"]`
        pub const MON: &[&str] = &["1goe\u{30d}h", "2goe\u{30d}h", "3goe\u{30d}h", "4goe\u{30d}h", "5goe\u{30d}h", "6goe\u{30d}h", "7goe\u{30d}h", "8goe\u{30d}h", "9goe\u{30d}h", "10goe\u{30d}h", "11goe\u{30d}h", "12goe\u{30d}h"];
        /// `"%r"`
        pub const T_FMT: &str = "%r";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod nb_NO {
    pub mod LC_ADDRESS {
        /// `"NO"`
        pub const COUNTRY_ABTWO: &str = "NO";
        /// `"NOR"`
        pub const COUNTRY_AB3: &str = "NOR";
        /// `"N"`
        pub const COUNTRY_CAR: &str = "N";
        /// `"Norge"`
        pub const COUNTRY_NAME: &str = "Norge";
        /// `578`
        pub const COUNTRY_NUM: i64 = 578;
        /// `"nb"`
        pub const LANG_AB: &str = "nb";
        /// `"nob"`
        pub const LANG_LIB: &str = "nob";
        /// `"norsk bokmål"`
        pub const LANG_NAME: &str = "norsk bokmål";
        /// `"nob"`
        pub const LANG_TERM: &str = "nob";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"University Library, Drammensveien 41, N-9242 Oslo, Norge"`
        pub const ADDRESS: &str = "University Library, Drammensveien 41, N-9242 Oslo, Norge";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Norwegian Bokmål"`
        pub const LANGUAGE: &str = "Norwegian Bokmål";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Norsk Standardiseringsforbund"`
        pub const SOURCE: &str = "Norsk Standardiseringsforbund";
        /// `""`
        pub const TEL: &str = "";
        /// `"Norway"`
        pub const TERRITORY: &str = "Norway";
        /// `"Norwegian (Bokmål) locale for Norway"`
        pub const TITLE: &str = "Norwegian (Bokmål) locale for Norway";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0Nn]"`
        pub const NOEXPR: &str = "^[-0Nn]";
        /// `"nei"`
        pub const NOSTR: &str = "nei";
        /// `"^[+1JjYy]"`
        pub const YESEXPR: &str = "^[+1JjYy]";
        /// `"ja"`
        pub const YESSTR: &str = "ja";
    }
    pub mod LC_MONETARY {
        /// `"kr"`
        pub const CURRENCY_SYMBOL: &str = "kr";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"NOK "`
        pub const INT_CURR_SYMBOL: &str = "NOK ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `4`
        pub const N_SIGN_POSN: i64 = 4;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `4`
        pub const P_SIGN_POSN: i64 = 4;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const THOUSANDS_SEP: &str = "\u{202f}";
    }
    pub mod LC_TELEPHONE {
        /// `"47"`
        pub const INT_PREFIX: &str = "47";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%l"`
        pub const TEL_DOM_FMT: &str = "%l";
        /// `"+%c %l"`
        pub const TEL_INT_FMT: &str = "+%c %l";
    }
    pub mod LC_TIME {
        /// `&["sø.", "ma.", "ti.", "on.", "to.", "fr.", "lø."]`
        pub const ABDAY: &[&str] = &["sø.", "ma.", "ti.", "on.", "to.", "fr.", "lø."];
        /// `&["jan.", "feb.", "mars", "april", "mai", "juni", "juli", "aug.", "sep.", "okt.", "nov.", "des."]`
        pub const ABMON: &[&str] = &["jan.", "feb.", "mars", "april", "mai", "juni", "juli", "aug.", "sep.", "okt.", "nov.", "des."];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d. %b %Y"`
        pub const D_FMT: &str = "%d. %b %Y";
        /// `"%a %d. %b %Y kl. %H.%M %z"`
        pub const D_T_FMT: &str = "%a %d. %b %Y kl. %H.%M %z";
        /// `"%a %d. %b %H:%M:%S %z %Y"`
        pub const DATE_FMT: &str = "%a %d. %b %H:%M:%S %z %Y";
        /// `&["søndag", "mandag", "tirsdag", "onsdag", "torsdag", "fredag", "lørdag"]`
        pub const DAY: &[&str] = &["søndag", "mandag", "tirsdag", "onsdag", "torsdag", "fredag", "lørdag"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["januar", "februar", "mars", "april", "mai", "juni", "juli", "august", "september", "oktober", "november", "desember"]`
        pub const MON: &[&str] = &["januar", "februar", "mars", "april", "mai", "juni", "juli", "august", "september", "oktober", "november", "desember"];
        /// `"kl. %H.%M %z"`
        pub const T_FMT: &str = "kl. %H.%M %z";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod nds_DE {
    pub mod LC_ADDRESS {
        /// `"DE"`
        pub const COUNTRY_ABTWO: &str = "DE";
        /// `"DEU"`
        pub const COUNTRY_AB3: &str = "DEU";
        /// `"D"`
        pub const COUNTRY_CAR: &str = "D";
        /// `"3"`
        pub const COUNTRY_ISBN: &str = "3";
        /// `"Düütschland"`
        pub const COUNTRY_NAME: &str = "Düütschland";
        /// `276`
        pub const COUNTRY_NUM: i64 = 276;
        /// `"D"`
        pub const COUNTRY_POST: &str = "D";
        /// `"nds"`
        pub const LANG_LIB: &str = "nds";
        /// `"Neddersass’sch"`
        pub const LANG_NAME: &str = "Neddersass’sch";
        /// `"nds"`
        pub const LANG_TERM: &str = "nds";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
        ];
        /// `"Kenneth Christiansen, Pablo Saratxaga"`
        pub const CONTACT: &str = "Kenneth Christiansen, Pablo Saratxaga";
        /// `"2003-11-30"`
        pub const DATE: &str = "2003-11-30";
        /// `"kenneth@gnu.org, pablo@mandrakesoft.com"`
        pub const EMAIL: &str = "kenneth@gnu.org, pablo@mandrakesoft.com";
        /// `"Low German"`
        pub const LANGUAGE: &str = "Low German";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `"information from Kenneth Christiansen"`
        pub const SOURCE: &str = "information from Kenneth Christiansen";
        /// `""`
        pub const TEL: &str = "";
        /// `"Germany"`
        pub const TERRITORY: &str = "Germany";
        /// `"Low(lands) Saxon Language Locale for Germany"`
        pub const TITLE: &str = "Low(lands) Saxon Language Locale for Germany";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"nee"`
        pub const NOSTR: &str = "nee";
        /// `"^[+1jJyY]"`
        pub const YESEXPR: &str = "^[+1jJyY]";
        /// `"jo"`
        pub const YESSTR: &str = "jo";
    }
    pub use super::de_DE::LC_MONETARY;
    pub use super::de_DE::LC_NUMERIC;
    pub use super::de_DE::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Sdag", "Maan", "Ding", "Migg", "Dunn", "Free", "Svd."]`
        pub const ABDAY: &[&str] = &["Sdag", "Maan", "Ding", "Migg", "Dunn", "Free", "Svd."];
        /// `&["Jan", "Feb", "Mär", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dez"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mär", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dez"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d. %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d. %b %Y %T %Z";
        /// `&["Sünndag", "Maandag", "Dingsdag", "Middeweek", "Dunnersdag", "Freedag", "Sünnavend"]`
        pub const DAY: &[&str] = &["Sünndag", "Maandag", "Dingsdag", "Middeweek", "Dunnersdag", "Freedag", "Sünnavend"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Jannuaar", "Feberwaar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"]`
        pub const MON: &[&str] = &["Jannuaar", "Feberwaar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod nds_NL {
    pub mod LC_ADDRESS {
        /// `"NL"`
        pub const COUNTRY_ABTWO: &str = "NL";
        /// `"NLD"`
        pub const COUNTRY_AB3: &str = "NLD";
        /// `"NL"`
        pub const COUNTRY_CAR: &str = "NL";
        /// `"3"`
        pub const COUNTRY_ISBN: &str = "3";
        /// `"Nedderlannen"`
        pub const COUNTRY_NAME: &str = "Nedderlannen";
        /// `528`
        pub const COUNTRY_NUM: i64 = 528;
        /// `"nds"`
        pub const LANG_LIB: &str = "nds";
        /// `"Neddersass’sch"`
        pub const LANG_NAME: &str = "Neddersass’sch";
        /// `"nds"`
        pub const LANG_TERM: &str = "nds";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
        ];
        /// `"Kenneth Christiansen, Pablo Saratxaga"`
        pub const CONTACT: &str = "Kenneth Christiansen, Pablo Saratxaga";
        /// `"2003-11-30"`
        pub const DATE: &str = "2003-11-30";
        /// `"kenneth@gnu.org, pablo@mandrakesoft.com"`
        pub const EMAIL: &str = "kenneth@gnu.org, pablo@mandrakesoft.com";
        /// `"Low Saxon"`
        pub const LANGUAGE: &str = "Low Saxon";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `"information from Kenneth Christiansen"`
        pub const SOURCE: &str = "information from Kenneth Christiansen";
        /// `""`
        pub const TEL: &str = "";
        /// `"Netherlands"`
        pub const TERRITORY: &str = "Netherlands";
        /// `"Low(lands) Saxon Language Locale for the Netherlands"`
        pub const TITLE: &str = "Low(lands) Saxon Language Locale for the Netherlands";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"nee"`
        pub const NOSTR: &str = "nee";
        /// `"^[+1jJyY]"`
        pub const YESEXPR: &str = "^[+1jJyY]";
        /// `"jo"`
        pub const YESSTR: &str = "jo";
    }
    pub use super::nl_NL::LC_MONETARY;
    pub use super::nl_NL::LC_NUMERIC;
    pub use super::nl_NL::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Sdg", "Mdg", "Dsg", "Mwk", "Ddg", "Fdg", "Swd"]`
        pub const ABDAY: &[&str] = &["Sdg", "Mdg", "Dsg", "Mwk", "Ddg", "Fdg", "Swd"];
        /// `&["Jan", "Feb", "Moz", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Now", "Dez"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Moz", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Now", "Dez"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d. %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d. %b %Y %T %Z";
        /// `&["Sinndag", "Mondag", "Dingsdag", "Meddwäakj", "Donnadag", "Friedag", "Sinnowend"]`
        pub const DAY: &[&str] = &["Sinndag", "Mondag", "Dingsdag", "Meddwäakj", "Donnadag", "Friedag", "Sinnowend"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Jaunuwoa", "Februwoa", "Moaz", "Aprell", "Mai", "Juni", "Juli", "August", "Septamba", "Oktoba", "Nowamba", "Dezamba"]`
        pub const MON: &[&str] = &["Jaunuwoa", "Februwoa", "Moaz", "Aprell", "Mai", "Juni", "Juli", "August", "Septamba", "Oktoba", "Nowamba", "Dezamba"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ne_NP {
    pub mod LC_ADDRESS {
        /// `"NP"`
        pub const COUNTRY_ABTWO: &str = "NP";
        /// `"NPL"`
        pub const COUNTRY_AB3: &str = "NPL";
        /// `"NEP"`
        pub const COUNTRY_CAR: &str = "NEP";
        /// `"न\u{947}पाल"`
        pub const COUNTRY_NAME: &str = "न\u{947}पाल";
        /// `524`
        pub const COUNTRY_NUM: i64 = 524;
        /// `"ne"`
        pub const LANG_AB: &str = "ne";
        /// `"nep"`
        pub const LANG_LIB: &str = "nep";
        /// `"न\u{947}पाली"`
        pub const LANG_NAME: &str = "न\u{947}पाली";
        /// `"nep"`
        pub const LANG_TERM: &str = "nep";
        /// `"%f%N%h%s%N%T"`
        pub const POSTAL_FMT: &str = "%f%N%h%s%N%T";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Rato Bangala, Patan Dhoka,Lalitpur,Nepal"`
        pub const ADDRESS: &str = "Rato Bangala, Patan Dhoka,Lalitpur,Nepal";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2003-05-12"`
        pub const DATE: &str = "2003-05-12";
        /// `"info@mpp.org.np"`
        pub const EMAIL: &str = "info@mpp.org.np";
        /// `""`
        pub const FAX: &str = "";
        /// `"Nepali"`
        pub const LANGUAGE: &str = "Nepali";
        /// `"1.1"`
        pub const REVISION: &str = "1.1";
        /// `"Madan Puraskar Pustakalaya"`
        pub const SOURCE: &str = "Madan Puraskar Pustakalaya";
        /// `""`
        pub const TEL: &str = "";
        /// `"Nepal"`
        pub const TERRITORY: &str = "Nepal";
        /// `"Nepali language locale for Nepal"`
        pub const TITLE: &str = "Nepali language locale for Nepal";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"होइन"`
        pub const NOSTR: &str = "होइन";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
        /// `"हो"`
        pub const YESSTR: &str = "हो";
    }
    pub mod LC_MONETARY {
        /// `"र\u{942}"`
        pub const CURRENCY_SYMBOL: &str = "र\u{942}";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"NPR "`
        pub const INT_CURR_SYMBOL: &str = "NPR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"977"`
        pub const INT_PREFIX: &str = "977";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a%t%l"`
        pub const TEL_INT_FMT: &str = "+%c %a%t%l";
    }
    pub mod LC_TIME {
        /// `&["आइत", "सोम", "मङ\u{94d}गल", "ब\u{941}ध", "बिही", "श\u{941}क\u{94d}र", "शनि"]`
        pub const ABDAY: &[&str] = &["आइत", "सोम", "मङ\u{94d}गल", "ब\u{941}ध", "बिही", "श\u{941}क\u{94d}र", "शनि"];
        /// `&["जन", "फ\u{947}ब\u{94d}र\u{941}अरी", "मार\u{94d}च", "अप\u{94d}रिल", "म\u{947}", "ज\u{941}न", "ज\u{941}लाई", "अगस\u{94d}ट", "स\u{947}प\u{94d}ट\u{947}म\u{94d}बर", "अक\u{94d}टोबर", "नोभ\u{947}म\u{94d}बर", "डिस\u{947}म\u{94d}बर"]`
        pub const ABMON: &[&str] = &["जन", "फ\u{947}ब\u{94d}र\u{941}अरी", "मार\u{94d}च", "अप\u{94d}रिल", "म\u{947}", "ज\u{941}न", "ज\u{941}लाई", "अगस\u{94d}ट", "स\u{947}प\u{94d}ट\u{947}म\u{94d}बर", "अक\u{94d}टोबर", "नोभ\u{947}म\u{94d}बर", "डिस\u{947}म\u{94d}बर"];
        /// `&["प\u{942}र\u{94d}वाह\u{94d}न", "अपराह\u{94d}न"]`
        pub const AM_PM: &[&str] = &["प\u{942}र\u{94d}वाह\u{94d}न", "अपराह\u{94d}न"];
        /// `"%y/%-m/%-d"`
        pub const D_FMT: &str = "%y/%-m/%-d";
        /// `"%Y %B %d %I:%M:%S %p"`
        pub const D_T_FMT: &str = "%Y %B %d %I:%M:%S %p";
        /// `&["आइतबार", "सोमबार", "मङ\u{94d}गलबार", "ब\u{941}धबार", "बिहीबार", "श\u{941}क\u{94d}रबार", "शनिबार"]`
        pub const DAY: &[&str] = &["आइतबार", "सोमबार", "मङ\u{94d}गलबार", "ब\u{941}धबार", "बिहीबार", "श\u{941}क\u{94d}रबार", "शनिबार"];
        /// `&["जनवरी", "फ\u{947}ब\u{94d}र\u{941}अरी", "मार\u{94d}च", "अप\u{94d}रिल", "म\u{947}", "ज\u{941}न", "ज\u{941}लाई", "अगस\u{94d}ट", "स\u{947}प\u{94d}ट\u{947}म\u{94d}बर", "अक\u{94d}टोबर", "नोभ\u{947}म\u{94d}बर", "डिस\u{947}म\u{94d}बर"]`
        pub const MON: &[&str] = &["जनवरी", "फ\u{947}ब\u{94d}र\u{941}अरी", "मार\u{94d}च", "अप\u{94d}रिल", "म\u{947}", "ज\u{941}न", "ज\u{941}लाई", "अगस\u{94d}ट", "स\u{947}प\u{94d}ट\u{947}म\u{94d}बर", "अक\u{94d}टोबर", "नोभ\u{947}म\u{94d}बर", "डिस\u{947}म\u{94d}बर"];
        /// `"%H:%M:%S"`
        pub const T_FMT: &str = "%H:%M:%S";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod nhn_MX {
    pub mod LC_ADDRESS {
        /// `"MX"`
        pub const COUNTRY_ABTWO: &str = "MX";
        /// `"MEX"`
        pub const COUNTRY_AB3: &str = "MEX";
        /// `"MEX"`
        pub const COUNTRY_CAR: &str = "MEX";
        /// `"Mexihco"`
        pub const COUNTRY_NAME: &str = "Mexihco";
        /// `484`
        pub const COUNTRY_NUM: i64 = 484;
        /// `"nhn"`
        pub const LANG_LIB: &str = "nhn";
        /// `"Tlahco nāhuatlahtōlli"`
        pub const LANG_NAME: &str = "Tlahco nāhuatlahtōlli";
        /// `"nhn"`
        pub const LANG_TERM: &str = "nhn";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2012-08-19"`
        pub const DATE: &str = "2012-08-19";
        /// `"libc-alpha@sourceware.org"`
        pub const EMAIL: &str = "libc-alpha@sourceware.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Central Nahuatl"`
        pub const LANGUAGE: &str = "Central Nahuatl";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Mexico"`
        pub const TERRITORY: &str = "Mexico";
        /// `"Central Nahuatl for Mexico"`
        pub const TITLE: &str = "Central Nahuatl for Mexico";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNaA]"`
        pub const NOEXPR: &str = "^[-0nNaA]";
        /// `"ahmo"`
        pub const NOSTR: &str = "ahmo";
        /// `"^[+1sSqQyY]"`
        pub const YESEXPR: &str = "^[+1sSqQyY]";
        /// `"quema"`
        pub const YESSTR: &str = "quema";
    }
    pub use super::es_MX::LC_MONETARY;
    pub use super::es_MX::LC_NUMERIC;
    pub use super::es_MX::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["teo", "cei", "ome", "yei", "nau", "mac", "chi"]`
        pub const ABDAY: &[&str] = &["teo", "cei", "ome", "yei", "nau", "mac", "chi"];
        /// `&["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"]`
        pub const ABMON: &[&str] = &["ene", "feb", "mar", "abr", "may", "jun", "jul", "ago", "sep", "oct", "nov", "dic"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["teoilhuitl", "ceilhuitl", "omeilhuitl", "yeilhuitl", "nahuilhuitl", "macuililhuitl", "chicuaceilhuitl"]`
        pub const DAY: &[&str] = &["teoilhuitl", "ceilhuitl", "omeilhuitl", "yeilhuitl", "nahuilhuitl", "macuililhuitl", "chicuaceilhuitl"];
        /// `&["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"]`
        pub const MON: &[&str] = &["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod niu_NU {
    pub mod LC_ADDRESS {
        /// `"NU"`
        pub const COUNTRY_ABTWO: &str = "NU";
        /// `"NIU"`
        pub const COUNTRY_AB3: &str = "NIU";
        /// `"Niuē"`
        pub const COUNTRY_NAME: &str = "Niuē";
        /// `570`
        pub const COUNTRY_NUM: i64 = 570;
        /// `"NU"`
        pub const COUNTRY_POST: &str = "NU";
        /// `"niu"`
        pub const LANG_LIB: &str = "niu";
        /// `"ko e vagahau Niuē"`
        pub const LANG_NAME: &str = "ko e vagahau Niuē";
        /// `"niu"`
        pub const LANG_TERM: &str = "niu";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"PO Box 229, Fatalupe, Alofi, Niue"`
        pub const ADDRESS: &str = "PO Box 229, Fatalupe, Alofi, Niue";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"Emani Fakaotimanava-Lui"`
        pub const CONTACT: &str = "Emani Fakaotimanava-Lui";
        /// `"2012-07-18"`
        pub const DATE: &str = "2012-07-18";
        /// `"emani@niue.nu"`
        pub const EMAIL: &str = "emani@niue.nu";
        /// `""`
        pub const FAX: &str = "";
        /// `"Niuean"`
        pub const LANGUAGE: &str = "Niuean";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RockET Systems"`
        pub const SOURCE: &str = "RockET Systems";
        /// `""`
        pub const TEL: &str = "";
        /// `"Niue"`
        pub const TERRITORY: &str = "Niue";
        /// `"Niuean (Vagahau Niue) locale for Niue"`
        pub const TITLE: &str = "Niuean (Vagahau Niue) locale for Niue";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"Nakai"`
        pub const NOSTR: &str = "Nakai";
        /// `"^[+1yYēĒ]"`
        pub const YESEXPR: &str = "^[+1yYēĒ]";
        /// `"Talia"`
        pub const YESSTR: &str = "Talia";
    }
    pub use super::en_NZ::LC_MONETARY;
    pub use super::en_NZ::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"683"`
        pub const INT_PREFIX: &str = "683";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Tapu", "Gofua", "Ua", "Lotu", "Tuloto", "Falaile", "Faiumu"]`
        pub const ABDAY: &[&str] = &["Tapu", "Gofua", "Ua", "Lotu", "Tuloto", "Falaile", "Faiumu"];
        /// `&["Ian", "Fep", "Mas", "Ape", "Me", "Iun", "Iul", "Aok", "Sep", "Oke", "Nov", "Tes"]`
        pub const ABMON: &[&str] = &["Ian", "Fep", "Mas", "Ape", "Me", "Iun", "Iul", "Aok", "Sep", "Oke", "Nov", "Tes"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Aho Tapu", "Aho Gofua", "Aho Ua", "Aho Lotu", "Aho Tuloto", "Aho Falaile", "Aho Faiumu"]`
        pub const DAY: &[&str] = &["Aho Tapu", "Aho Gofua", "Aho Ua", "Aho Lotu", "Aho Tuloto", "Aho Falaile", "Aho Faiumu"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Ianuali", "Fepuali", "Masi", "Apelila", "Me", "Iuni", "Iulai", "Aokuso", "Sepetema", "Oketopa", "Novema", "Tesemo"]`
        pub const MON: &[&str] = &["Ianuali", "Fepuali", "Masi", "Apelila", "Me", "Iuni", "Iulai", "Aokuso", "Sepetema", "Oketopa", "Novema", "Tesemo"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod niu_NZ {
    pub mod LC_ADDRESS {
        /// `"NZ"`
        pub const COUNTRY_ABTWO: &str = "NZ";
        /// `"NZL"`
        pub const COUNTRY_AB3: &str = "NZL";
        /// `"NZ"`
        pub const COUNTRY_CAR: &str = "NZ";
        /// `554`
        pub const COUNTRY_NUM: i64 = 554;
        /// `"niu"`
        pub const LANG_LIB: &str = "niu";
        /// `"ko e vagahau Niuē"`
        pub const LANG_NAME: &str = "ko e vagahau Niuē";
        /// `"niu"`
        pub const LANG_TERM: &str = "niu";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"PO Box 229, Fatalupe, Alofi, Niue"`
        pub const ADDRESS: &str = "PO Box 229, Fatalupe, Alofi, Niue";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"Emani Fakaotimanava-Lui"`
        pub const CONTACT: &str = "Emani Fakaotimanava-Lui";
        /// `"2012-07-18"`
        pub const DATE: &str = "2012-07-18";
        /// `"emani@niue.nu"`
        pub const EMAIL: &str = "emani@niue.nu";
        /// `""`
        pub const FAX: &str = "";
        /// `"Niuean"`
        pub const LANGUAGE: &str = "Niuean";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RockET Systems"`
        pub const SOURCE: &str = "RockET Systems";
        /// `""`
        pub const TEL: &str = "";
        /// `"New Zealand"`
        pub const TERRITORY: &str = "New Zealand";
        /// `"Niuean (Vagahau Niue) locale for New Zealand"`
        pub const TITLE: &str = "Niuean (Vagahau Niue) locale for New Zealand";
    }
    pub use super::niu_NU::LC_MESSAGES;
    pub use super::en_NZ::LC_MONETARY;
    pub use super::en_NZ::LC_NUMERIC;
    pub use super::en_NZ::LC_TELEPHONE;
    pub use super::niu_NU::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod nl_AW {
    pub mod LC_ADDRESS {
        /// `"AW"`
        pub const COUNTRY_ABTWO: &str = "AW";
        /// `"ABW"`
        pub const COUNTRY_AB3: &str = "ABW";
        /// `"AUA"`
        pub const COUNTRY_CAR: &str = "AUA";
        /// `"Aruba"`
        pub const COUNTRY_NAME: &str = "Aruba";
        /// `533`
        pub const COUNTRY_NUM: i64 = 533;
        /// `"nl"`
        pub const LANG_AB: &str = "nl";
        /// `"dut"`
        pub const LANG_LIB: &str = "dut";
        /// `"Nederlands"`
        pub const LANG_NAME: &str = "Nederlands";
        /// `"nld"`
        pub const LANG_TERM: &str = "nld";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2008-09-16"`
        pub const DATE: &str = "2008-09-16";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Dutch"`
        pub const LANGUAGE: &str = "Dutch";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Aruba"`
        pub const TERRITORY: &str = "Aruba";
        /// `"Dutch language locale for Aruba"`
        pub const TITLE: &str = "Dutch language locale for Aruba";
    }
    pub use super::nl_NL::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"Afl."`
        pub const CURRENCY_SYMBOL: &str = "Afl.";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"AWG "`
        pub const INT_CURR_SYMBOL: &str = "AWG ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `2`
        pub const N_SEP_BY_SPACE: i64 = 2;
        /// `4`
        pub const N_SIGN_POSN: i64 = 4;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::nl_NL::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"297"`
        pub const INT_PREFIX: &str = "297";
        /// `"011"`
        pub const INT_SELECT: &str = "011";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["zo", "ma", "di", "wo", "do", "vr", "za"]`
        pub const ABDAY: &[&str] = &["zo", "ma", "di", "wo", "do", "vr", "za"];
        /// `&["jan", "feb", "mrt", "apr", "mei", "jun", "jul", "aug", "sep", "okt", "nov", "dec"]`
        pub const ABMON: &[&str] = &["jan", "feb", "mrt", "apr", "mei", "jun", "jul", "aug", "sep", "okt", "nov", "dec"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d-%m-%y"`
        pub const D_FMT: &str = "%d-%m-%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `"%a %e %b %Y %k:%M:%S %Z"`
        pub const DATE_FMT: &str = "%a %e %b %Y %k:%M:%S %Z";
        /// `&["zondag", "maandag", "dinsdag", "woensdag", "donderdag", "vrijdag", "zaterdag"]`
        pub const DAY: &[&str] = &["zondag", "maandag", "dinsdag", "woensdag", "donderdag", "vrijdag", "zaterdag"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["januari", "februari", "maart", "april", "mei", "juni", "juli", "augustus", "september", "oktober", "november", "december"]`
        pub const MON: &[&str] = &["januari", "februari", "maart", "april", "mei", "juni", "juli", "augustus", "september", "oktober", "november", "december"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod nl_BE {
    pub mod LC_ADDRESS {
        /// `"BE"`
        pub const COUNTRY_ABTWO: &str = "BE";
        /// `"BEL"`
        pub const COUNTRY_AB3: &str = "BEL";
        /// `"B"`
        pub const COUNTRY_CAR: &str = "B";
        /// `"België"`
        pub const COUNTRY_NAME: &str = "België";
        /// `56`
        pub const COUNTRY_NUM: i64 = 56;
        /// `"nl"`
        pub const LANG_AB: &str = "nl";
        /// `"dut"`
        pub const LANG_LIB: &str = "dut";
        /// `"Nederlands"`
        pub const LANG_NAME: &str = "Nederlands";
        /// `"nld"`
        pub const LANG_TERM: &str = "nld";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Flemish"`
        pub const LANGUAGE: &str = "Flemish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Belgium"`
        pub const TERRITORY: &str = "Belgium";
        /// `"Dutch locale for Belgium"`
        pub const TITLE: &str = "Dutch locale for Belgium";
    }
    pub use super::nl_NL::LC_MESSAGES;
    pub use super::nl_NL::LC_MONETARY;
    pub use super::fr_BE::LC_NUMERIC;
    pub use super::fr_BE::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["zo", "ma", "di", "wo", "do", "vr", "za"]`
        pub const ABDAY: &[&str] = &["zo", "ma", "di", "wo", "do", "vr", "za"];
        /// `&["jan", "feb", "mrt", "apr", "mei", "jun", "jul", "aug", "sep", "okt", "nov", "dec"]`
        pub const ABMON: &[&str] = &["jan", "feb", "mrt", "apr", "mei", "jun", "jul", "aug", "sep", "okt", "nov", "dec"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d-%m-%y"`
        pub const D_FMT: &str = "%d-%m-%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["zondag", "maandag", "dinsdag", "woensdag", "donderdag", "vrijdag", "zaterdag"]`
        pub const DAY: &[&str] = &["zondag", "maandag", "dinsdag", "woensdag", "donderdag", "vrijdag", "zaterdag"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["januari", "februari", "maart", "april", "mei", "juni", "juli", "augustus", "september", "oktober", "november", "december"]`
        pub const MON: &[&str] = &["januari", "februari", "maart", "april", "mei", "juni", "juli", "augustus", "september", "oktober", "november", "december"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod nl_BE_euro {
    pub use super::nl_BE::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-08-21"`
        pub const DATE: &str = "2000-08-21";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Dutch"`
        pub const LANGUAGE: &str = "Dutch";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Belgium"`
        pub const TERRITORY: &str = "Belgium";
        /// `"Dutch locale for Belgium with Euro"`
        pub const TITLE: &str = "Dutch locale for Belgium with Euro";
    }
    pub use super::nl_BE::LC_MESSAGES;
    pub use super::fr_BE_euro::LC_MONETARY;
    pub use super::nl_BE::LC_NUMERIC;
    pub use super::nl_BE::LC_TELEPHONE;
    pub use super::nl_BE::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod nl_NL {
    pub mod LC_ADDRESS {
        /// `"NL"`
        pub const COUNTRY_ABTWO: &str = "NL";
        /// `"NLD"`
        pub const COUNTRY_AB3: &str = "NLD";
        /// `"NL"`
        pub const COUNTRY_CAR: &str = "NL";
        /// `"Nederland"`
        pub const COUNTRY_NAME: &str = "Nederland";
        /// `528`
        pub const COUNTRY_NUM: i64 = 528;
        /// `"nl"`
        pub const LANG_AB: &str = "nl";
        /// `"dut"`
        pub const LANG_LIB: &str = "dut";
        /// `"Nederlands"`
        pub const LANG_NAME: &str = "Nederlands";
        /// `"nld"`
        pub const LANG_TERM: &str = "nld";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Dutch"`
        pub const LANGUAGE: &str = "Dutch";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Netherlands"`
        pub const TERRITORY: &str = "Netherlands";
        /// `"Dutch locale for the Netherlands"`
        pub const TITLE: &str = "Dutch locale for the Netherlands";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"nee"`
        pub const NOSTR: &str = "nee";
        /// `"^[+1jJyY]"`
        pub const YESEXPR: &str = "^[+1jJyY]";
        /// `"ja"`
        pub const YESSTR: &str = "ja";
    }
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `2`
        pub const N_SEP_BY_SPACE: i64 = 2;
        /// `4`
        pub const N_SIGN_POSN: i64 = 4;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"31"`
        pub const INT_PREFIX: &str = "31";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["zo", "ma", "di", "wo", "do", "vr", "za"]`
        pub const ABDAY: &[&str] = &["zo", "ma", "di", "wo", "do", "vr", "za"];
        /// `&["jan", "feb", "mrt", "apr", "mei", "jun", "jul", "aug", "sep", "okt", "nov", "dec"]`
        pub const ABMON: &[&str] = &["jan", "feb", "mrt", "apr", "mei", "jun", "jul", "aug", "sep", "okt", "nov", "dec"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d-%m-%y"`
        pub const D_FMT: &str = "%d-%m-%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `"%a %e %b %Y %k:%M:%S %Z"`
        pub const DATE_FMT: &str = "%a %e %b %Y %k:%M:%S %Z";
        /// `&["zondag", "maandag", "dinsdag", "woensdag", "donderdag", "vrijdag", "zaterdag"]`
        pub const DAY: &[&str] = &["zondag", "maandag", "dinsdag", "woensdag", "donderdag", "vrijdag", "zaterdag"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["januari", "februari", "maart", "april", "mei", "juni", "juli", "augustus", "september", "oktober", "november", "december"]`
        pub const MON: &[&str] = &["januari", "februari", "maart", "april", "mei", "juni", "juli", "augustus", "september", "oktober", "november", "december"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod nl_NL_euro {
    pub use super::nl_NL::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-08-20"`
        pub const DATE: &str = "2000-08-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Dutch"`
        pub const LANGUAGE: &str = "Dutch";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Netherlands"`
        pub const TERRITORY: &str = "Netherlands";
        /// `"Dutch locale for the Netherlands with Euro"`
        pub const TITLE: &str = "Dutch locale for the Netherlands with Euro";
    }
    pub use super::nl_NL::LC_MESSAGES;
    pub use super::nl_NL::LC_MONETARY;
    pub use super::nl_NL::LC_NUMERIC;
    pub use super::nl_NL::LC_TELEPHONE;
    pub use super::nl_NL::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod nn_NO {
    pub mod LC_ADDRESS {
        /// `"NO"`
        pub const COUNTRY_ABTWO: &str = "NO";
        /// `"NOR"`
        pub const COUNTRY_AB3: &str = "NOR";
        /// `"N"`
        pub const COUNTRY_CAR: &str = "N";
        /// `"Noreg"`
        pub const COUNTRY_NAME: &str = "Noreg";
        /// `578`
        pub const COUNTRY_NUM: i64 = 578;
        /// `"nn"`
        pub const LANG_AB: &str = "nn";
        /// `"nno"`
        pub const LANG_LIB: &str = "nno";
        /// `"nynorsk"`
        pub const LANG_NAME: &str = "nynorsk";
        /// `"nno"`
        pub const LANG_TERM: &str = "nno";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-08-31"`
        pub const DATE: &str = "2000-08-31";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Norwegian Nynorsk"`
        pub const LANGUAGE: &str = "Norwegian Nynorsk";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"Norway"`
        pub const TERRITORY: &str = "Norway";
        /// `"Nynorsk language locale for Norway"`
        pub const TITLE: &str = "Nynorsk language locale for Norway";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0Nn]"`
        pub const NOEXPR: &str = "^[-0Nn]";
        /// `"nei"`
        pub const NOSTR: &str = "nei";
        /// `"^[+1JjYy]"`
        pub const YESEXPR: &str = "^[+1JjYy]";
        /// `"ja"`
        pub const YESSTR: &str = "ja";
    }
    pub mod LC_MONETARY {
        /// `"kr"`
        pub const CURRENCY_SYMBOL: &str = "kr";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"NOK "`
        pub const INT_CURR_SYMBOL: &str = "NOK ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `3`
        pub const N_SIGN_POSN: i64 = 3;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::nb_NO::LC_NUMERIC;
    pub use super::nb_NO::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["su.", "må.", "ty.", "on.", "to.", "fr.", "la."]`
        pub const ABDAY: &[&str] = &["su.", "må.", "ty.", "on.", "to.", "fr.", "la."];
        /// `&["jan.", "feb.", "mars", "april", "mai", "juni", "juli", "aug.", "sep.", "okt.", "nov.", "des."]`
        pub const ABMON: &[&str] = &["jan.", "feb.", "mars", "april", "mai", "juni", "juli", "aug.", "sep.", "okt.", "nov.", "des."];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d. %b %Y"`
        pub const D_FMT: &str = "%d. %b %Y";
        /// `"%a %d. %b %Y kl. %H.%M %z"`
        pub const D_T_FMT: &str = "%a %d. %b %Y kl. %H.%M %z";
        /// `"%a %d. %b %H:%M:%S %z %Y"`
        pub const DATE_FMT: &str = "%a %d. %b %H:%M:%S %z %Y";
        /// `&["sundag ", "måndag ", "tysdag ", "onsdag ", "torsdag ", "fredag ", "laurdag "]`
        pub const DAY: &[&str] = &["sundag ", "måndag ", "tysdag ", "onsdag ", "torsdag ", "fredag ", "laurdag "];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["januar", "februar", "mars", "april", "mai", "juni", "juli", "august", "september", "oktober", "november", "desember"]`
        pub const MON: &[&str] = &["januar", "februar", "mars", "april", "mai", "juni", "juli", "august", "september", "oktober", "november", "desember"];
        /// `"kl. %H.%M %z"`
        pub const T_FMT: &str = "kl. %H.%M %z";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod nr_ZA {
    pub mod LC_ADDRESS {
        /// `"ZA"`
        pub const COUNTRY_ABTWO: &str = "ZA";
        /// `"ZAF"`
        pub const COUNTRY_AB3: &str = "ZAF";
        /// `"ZA"`
        pub const COUNTRY_CAR: &str = "ZA";
        /// `"iSewula Afrika"`
        pub const COUNTRY_NAME: &str = "iSewula Afrika";
        /// `710`
        pub const COUNTRY_NUM: i64 = 710;
        /// `"ZA"`
        pub const COUNTRY_POST: &str = "ZA";
        /// `"nr"`
        pub const LANG_AB: &str = "nr";
        /// `"nbl"`
        pub const LANG_LIB: &str = "nbl";
        /// `"isiNdebele"`
        pub const LANG_NAME: &str = "isiNdebele";
        /// `"nbl"`
        pub const LANG_TERM: &str = "nbl";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"PO Box 28364, Sunnyside, 0132, South Africa"`
        pub const ADDRESS: &str = "PO Box 28364, Sunnyside, 0132, South Africa";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Dwayne Bailey"`
        pub const CONTACT: &str = "Dwayne Bailey";
        /// `"2005-10-13"`
        pub const DATE: &str = "2005-10-13";
        /// `"dwayne@translate.org.za"`
        pub const EMAIL: &str = "dwayne@translate.org.za";
        /// `""`
        pub const FAX: &str = "";
        /// `"South Ndebele"`
        pub const LANGUAGE: &str = "South Ndebele";
        /// `"0.3"`
        pub const REVISION: &str = "0.3";
        /// `"Zuza Software Foundation (Translate.org.za)"`
        pub const SOURCE: &str = "Zuza Software Foundation (Translate.org.za)";
        /// `""`
        pub const TEL: &str = "";
        /// `"South Africa"`
        pub const TERRITORY: &str = "South Africa";
        /// `"Southern Ndebele locale for South Africa"`
        pub const TITLE: &str = "Southern Ndebele locale for South Africa";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
    }
    pub use super::en_ZA::LC_MONETARY;
    pub use super::en_ZA::LC_NUMERIC;
    pub use super::en_ZA::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Son", "Mvu", "Bil", "Tha", "Ne", "Hla", "Gqi"]`
        pub const ABDAY: &[&str] = &["Son", "Mvu", "Bil", "Tha", "Ne", "Hla", "Gqi"];
        /// `&["Jan", "Feb", "Mat", "Apr", "Mey", "Jun", "Jul", "Arh", "Sep", "Okt", "Usi", "Dis"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mat", "Apr", "Mey", "Jun", "Jul", "Arh", "Sep", "Okt", "Usi", "Dis"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %-e %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %-e %b %Y %T %Z";
        /// `"%a %b %-e %H:%M:%S %Z %Y"`
        pub const DATE_FMT: &str = "%a %b %-e %H:%M:%S %Z %Y";
        /// `&["uSonto", "uMvulo", "uLesibili", "lesithathu", "uLesine", "ngoLesihlanu", "umGqibelo"]`
        pub const DAY: &[&str] = &["uSonto", "uMvulo", "uLesibili", "lesithathu", "uLesine", "ngoLesihlanu", "umGqibelo"];
        /// `&["Janabari", "uFeberbari", "uMatjhi", "u-Apreli", "Meyi", "Juni", "Julayi", "Arhostosi", "Septemba", "Oktoba", "Usinyikhaba", "Disemba"]`
        pub const MON: &[&str] = &["Janabari", "uFeberbari", "uMatjhi", "u-Apreli", "Meyi", "Juni", "Julayi", "Arhostosi", "Septemba", "Oktoba", "Usinyikhaba", "Disemba"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod nso_ZA {
    pub mod LC_ADDRESS {
        /// `"ZA"`
        pub const COUNTRY_ABTWO: &str = "ZA";
        /// `"ZAF"`
        pub const COUNTRY_AB3: &str = "ZAF";
        /// `"ZA"`
        pub const COUNTRY_CAR: &str = "ZA";
        /// `"Afrika Borwa"`
        pub const COUNTRY_NAME: &str = "Afrika Borwa";
        /// `710`
        pub const COUNTRY_NUM: i64 = 710;
        /// `"ZA"`
        pub const COUNTRY_POST: &str = "ZA";
        /// `""`
        pub const LANG_AB: &str = "";
        /// `"nso"`
        pub const LANG_LIB: &str = "nso";
        /// `"Sesotho sa Leboa"`
        pub const LANG_NAME: &str = "Sesotho sa Leboa";
        /// `"nso"`
        pub const LANG_TERM: &str = "nso";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"PO Box 28364, Sunnyside, 0132, South Africa"`
        pub const ADDRESS: &str = "PO Box 28364, Sunnyside, 0132, South Africa";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Dwayne Bailey"`
        pub const CONTACT: &str = "Dwayne Bailey";
        /// `"2005-10-13"`
        pub const DATE: &str = "2005-10-13";
        /// `"dwayne@translate.org.za"`
        pub const EMAIL: &str = "dwayne@translate.org.za";
        /// `""`
        pub const FAX: &str = "";
        /// `"Northern Sotho"`
        pub const LANGUAGE: &str = "Northern Sotho";
        /// `"0.3"`
        pub const REVISION: &str = "0.3";
        /// `"Zuza Software Foundation (Translate.org.za)"`
        pub const SOURCE: &str = "Zuza Software Foundation (Translate.org.za)";
        /// `""`
        pub const TEL: &str = "";
        /// `"South Africa"`
        pub const TERRITORY: &str = "South Africa";
        /// `"Northern Sotho locale for South Africa"`
        pub const TITLE: &str = "Northern Sotho locale for South Africa";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNaA]"`
        pub const NOEXPR: &str = "^[-0nNaA]";
        /// `"^[+1yYeE]"`
        pub const YESEXPR: &str = "^[+1yYeE]";
    }
    pub use super::en_ZA::LC_MONETARY;
    pub use super::en_ZA::LC_NUMERIC;
    pub use super::en_ZA::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Son", "Moš", "Bed", "Rar", "Ne", "Hla", "Mok"]`
        pub const ABDAY: &[&str] = &["Son", "Moš", "Bed", "Rar", "Ne", "Hla", "Mok"];
        /// `&["Jan", "Feb", "Mat", "Apr", "Mei", "Jun", "Jul", "Ago", "Set", "Okt", "Nof", "Dis"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mat", "Apr", "Mei", "Jun", "Jul", "Ago", "Set", "Okt", "Nof", "Dis"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["LaMorena", "Mošupologo", "Labobedi", "Laboraro", "Labone", "Labohlano", "Mokibelo"]`
        pub const DAY: &[&str] = &["LaMorena", "Mošupologo", "Labobedi", "Laboraro", "Labone", "Labohlano", "Mokibelo"];
        /// `&["Janaware", "Febereware", "Matšhe", "Aprele", "Mei", "June", "Julae", "Agostose", "Setemere", "Oktobere", "Nofemere", "Disemere"]`
        pub const MON: &[&str] = &["Janaware", "Febereware", "Matšhe", "Aprele", "Mei", "June", "Julae", "Agostose", "Setemere", "Oktobere", "Nofemere", "Disemere"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod oc_FR {
    pub mod LC_ADDRESS {
        /// `"FR"`
        pub const COUNTRY_ABTWO: &str = "FR";
        /// `"FRA"`
        pub const COUNTRY_AB3: &str = "FRA";
        /// `"F"`
        pub const COUNTRY_CAR: &str = "F";
        /// `"979-10"`
        pub const COUNTRY_ISBN: &str = "979-10";
        /// `"França"`
        pub const COUNTRY_NAME: &str = "França";
        /// `250`
        pub const COUNTRY_NUM: i64 = 250;
        /// `"F"`
        pub const COUNTRY_POST: &str = "F";
        /// `"oc"`
        pub const LANG_AB: &str = "oc";
        /// `"oci"`
        pub const LANG_LIB: &str = "oci";
        /// `"occitan"`
        pub const LANG_NAME: &str = "occitan";
        /// `"oci"`
        pub const LANG_TERM: &str = "oci";
        /// `"%d%N%f%N%d%N%b%N%s %h 5e %r%N%C%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%d%N%f%N%d%N%b%N%s %h 5e %r%N%C%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Los Genets, 12290 Pont de Salars"`
        pub const ADDRESS: &str = "Los Genets, 12290 Pont de Salars";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"Jean-Paul Fraysse"`
        pub const CONTACT: &str = "Jean-Paul Fraysse";
        /// `"2018-04-12"`
        pub const DATE: &str = "2018-04-12";
        /// `"Jean-Paul.Fraysse@wanadoo.fr"`
        pub const EMAIL: &str = "Jean-Paul.Fraysse@wanadoo.fr";
        /// `""`
        pub const FAX: &str = "";
        /// `"Occitan"`
        pub const LANGUAGE: &str = "Occitan";
        /// `"0.3"`
        pub const REVISION: &str = "0.3";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"France"`
        pub const TERRITORY: &str = "France";
        /// `"Occitan Language Locale for France"`
        pub const TITLE: &str = "Occitan Language Locale for France";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"^[+1oOsSyY]"`
        pub const YESEXPR: &str = "^[+1oOsSyY]";
    }
    pub use super::fr_FR::LC_MONETARY;
    pub use super::fr_FR::LC_NUMERIC;
    pub use super::fr_FR::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["dg.", "dl.", "dm.", "dc.", "dj.", "dv.", "ds."]`
        pub const ABDAY: &[&str] = &["dg.", "dl.", "dm.", "dc.", "dj.", "dv.", "ds."];
        /// `&["gen.", "febr.", "març", "abr.", "mai", "junh", "jul.", "ago.", "set.", "oct.", "nov.", "dec."]`
        pub const ABMON: &[&str] = &["gen.", "febr.", "març", "abr.", "mai", "junh", "jul.", "ago.", "set.", "oct.", "nov.", "dec."];
        /// `&["genièr", "febrièr", "març", "abrial", "mai", "junh", "julhet", "agost", "setembre", "octòbre", "novembre", "decembre"]`
        pub const ALT_MON: &[&str] = &["genièr", "febrièr", "març", "abrial", "mai", "junh", "julhet", "agost", "setembre", "octòbre", "novembre", "decembre"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["dimenge", "diluns", "dimars", "dimècres", "dijóus", "divendres", "dissabte"]`
        pub const DAY: &[&str] = &["dimenge", "diluns", "dimars", "dimècres", "dijóus", "divendres", "dissabte"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["de genièr", "de febrièr", "de març", "d’abrial", "de mai", "de junh", "de julhet", "d’agost", "de setembre", "d’octòbre", "de novembre", "de decembre"]`
        pub const MON: &[&str] = &["de genièr", "de febrièr", "de març", "d’abrial", "de mai", "de junh", "de julhet", "d’agost", "de setembre", "d’octòbre", "de novembre", "de decembre"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod om_ET {
    pub mod LC_ADDRESS {
        /// `"ET"`
        pub const COUNTRY_ABTWO: &str = "ET";
        /// `"ETH"`
        pub const COUNTRY_AB3: &str = "ETH";
        /// `"ETH"`
        pub const COUNTRY_CAR: &str = "ETH";
        /// `"Itoophiyaa"`
        pub const COUNTRY_NAME: &str = "Itoophiyaa";
        /// `231`
        pub const COUNTRY_NUM: i64 = 231;
        /// `"ETH"`
        pub const COUNTRY_POST: &str = "ETH";
        /// `"om"`
        pub const LANG_AB: &str = "om";
        /// `"orm"`
        pub const LANG_LIB: &str = "orm";
        /// `"Oromoo"`
        pub const LANG_NAME: &str = "Oromoo";
        /// `"orm"`
        pub const LANG_TERM: &str = "orm";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"7802 Solomon Seal Dr., Springfield, VA 22152, USA"`
        pub const ADDRESS: &str = "7802 Solomon Seal Dr., Springfield, VA 22152, USA";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TIME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TIME"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2003-07-05"`
        pub const DATE: &str = "2003-07-05";
        /// `"locales@geez.org"`
        pub const EMAIL: &str = "locales@geez.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Oromo"`
        pub const LANGUAGE: &str = "Oromo";
        /// `"0.20"`
        pub const REVISION: &str = "0.20";
        /// `"Ge\'ez Frontier Foundation & Sagalee Oromoo Publishing Co. Inc."`
        pub const SOURCE: &str = "Ge\'ez Frontier Foundation & Sagalee Oromoo Publishing Co. Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Ethiopia"`
        pub const TERRITORY: &str = "Ethiopia";
        /// `"Oromo language locale for Ethiopia."`
        pub const TITLE: &str = "Oromo language locale for Ethiopia.";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0mMnN]"`
        pub const NOEXPR: &str = "^[-0mMnN]";
        /// `"miti"`
        pub const NOSTR: &str = "miti";
        /// `"^[+1eEyY]"`
        pub const YESEXPR: &str = "^[+1eEyY]";
        /// `"eeyyee"`
        pub const YESSTR: &str = "eeyyee";
    }
    pub use super::ti_ET::LC_MONETARY;
    pub use super::ti_ET::LC_NUMERIC;
    pub use super::ti_ET::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Dil", "Wix", "Qib", "Rob", "Kam", "Jim", "San"]`
        pub const ABDAY: &[&str] = &["Dil", "Wix", "Qib", "Rob", "Kam", "Jim", "San"];
        /// `&["Ama", "Gur", "Bit", "Elb", "Cam", "Wax", "Ado", "Hag", "Ful", "Onk", "Sad", "Mud"]`
        pub const ABMON: &[&str] = &["Ama", "Gur", "Bit", "Elb", "Cam", "Wax", "Ado", "Hag", "Ful", "Onk", "Sad", "Mud"];
        /// `&["WD", "WB"]`
        pub const AM_PM: &[&str] = &["WD", "WB"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%A, %B %e, %Y %r %Z"`
        pub const D_T_FMT: &str = "%A, %B %e, %Y %r %Z";
        /// `"%A, %B %e, %r %Z %Y"`
        pub const DATE_FMT: &str = "%A, %B %e, %r %Z %Y";
        /// `&["Dilbata", "Wiixata", "Qibxata", "Roobii", "Kamiisa", "Jimaata", "Sanbata"]`
        pub const DAY: &[&str] = &["Dilbata", "Wiixata", "Qibxata", "Roobii", "Kamiisa", "Jimaata", "Sanbata"];
        /// `&["Amajjii", "Guraandhala", "Bitooteessa", "Elba", "Caamsa", "Waxabajjii", "Adooleessa", "Hagayya", "Fuulbana", "Onkololeessa", "Sadaasa", "Muddee"]`
        pub const MON: &[&str] = &["Amajjii", "Guraandhala", "Bitooteessa", "Elba", "Caamsa", "Waxabajjii", "Adooleessa", "Hagayya", "Fuulbana", "Onkololeessa", "Sadaasa", "Muddee"];
        /// `"%l:%M:%S %p"`
        pub const T_FMT: &str = "%l:%M:%S %p";
        /// `"%l:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%l:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod om_KE {
    pub mod LC_ADDRESS {
        /// `"KE"`
        pub const COUNTRY_ABTWO: &str = "KE";
        /// `"KEN"`
        pub const COUNTRY_AB3: &str = "KEN";
        /// `"EAK"`
        pub const COUNTRY_CAR: &str = "EAK";
        /// `"Keeniyaa"`
        pub const COUNTRY_NAME: &str = "Keeniyaa";
        /// `404`
        pub const COUNTRY_NUM: i64 = 404;
        /// `"KEN"`
        pub const COUNTRY_POST: &str = "KEN";
        /// `"om"`
        pub const LANG_AB: &str = "om";
        /// `"orm"`
        pub const LANG_LIB: &str = "orm";
        /// `"Oromoo"`
        pub const LANG_NAME: &str = "Oromoo";
        /// `"orm"`
        pub const LANG_TERM: &str = "orm";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"7802 Solomon Seal Dr., Springfield, VA 22152, USA"`
        pub const ADDRESS: &str = "7802 Solomon Seal Dr., Springfield, VA 22152, USA";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TIME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TIME"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2003-07-05"`
        pub const DATE: &str = "2003-07-05";
        /// `"locales@geez.org"`
        pub const EMAIL: &str = "locales@geez.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Oromo"`
        pub const LANGUAGE: &str = "Oromo";
        /// `"0.20"`
        pub const REVISION: &str = "0.20";
        /// `"Ge\'ez Frontier Foundation & Sagalee Oromoo Publishing Co. Inc."`
        pub const SOURCE: &str = "Ge\'ez Frontier Foundation & Sagalee Oromoo Publishing Co. Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Kenya"`
        pub const TERRITORY: &str = "Kenya";
        /// `"Oromo language locale for Kenya."`
        pub const TITLE: &str = "Oromo language locale for Kenya.";
    }
    pub use super::om_ET::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"Ksh"`
        pub const CURRENCY_SYMBOL: &str = "Ksh";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"KES "`
        pub const INT_CURR_SYMBOL: &str = "KES ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"254"`
        pub const INT_PREFIX: &str = "254";
        /// `"000"`
        pub const INT_SELECT: &str = "000";
        /// `"%a-%l"`
        pub const TEL_DOM_FMT: &str = "%a-%l";
        /// `"%c-%a-%l"`
        pub const TEL_INT_FMT: &str = "%c-%a-%l";
    }
    pub use super::om_ET::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod or_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"ଭ\u{b3e}ରତ"`
        pub const COUNTRY_NAME: &str = "ଭ\u{b3e}ରତ";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"or"`
        pub const LANG_AB: &str = "or";
        /// `"ori"`
        pub const LANG_LIB: &str = "ori";
        /// `"ଓଡ\u{b3c}\u{b3f}ଆ"`
        pub const LANG_NAME: &str = "ଓଡ\u{b3c}\u{b3f}ଆ";
        /// `"ori"`
        pub const LANG_TERM: &str = "ori";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2006-05-25"`
        pub const DATE: &str = "2006-05-25";
        /// `"bug-glibc@gnu.org"`
        pub const EMAIL: &str = "bug-glibc@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Odia"`
        pub const LANGUAGE: &str = "Odia";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM AP Linux Technology Center, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM AP Linux Technology Center, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Odia language locale for India"`
        pub const TITLE: &str = "Odia language locale for India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNନ]"`
        pub const NOEXPR: &str = "^[-0nNନ]";
        /// `"ନ\u{b3e}"`
        pub const NOSTR: &str = "ନ\u{b3e}";
        /// `"^[+1yYହ]"`
        pub const YESEXPR: &str = "^[+1yYହ]";
        /// `"ହ\u{b01}"`
        pub const YESSTR: &str = "ହ\u{b01}";
    }
    pub use super::hi_IN::LC_MONETARY;
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 2]`
        pub const GROUPING: &[i64] = &[3, 2];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"91"`
        pub const INT_PREFIX: &str = "91";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["ରବ\u{b3f}", "ସୋମ", "ମଙ\u{b4d}ଗଳ", "ବ\u{b41}ଧ", "ଗ\u{b41}ର\u{b41}", "ଶ\u{b41}କ\u{b4d}ର", "ଶନ\u{b3f}"]`
        pub const ABDAY: &[&str] = &["ରବ\u{b3f}", "ସୋମ", "ମଙ\u{b4d}ଗଳ", "ବ\u{b41}ଧ", "ଗ\u{b41}ର\u{b41}", "ଶ\u{b41}କ\u{b4d}ର", "ଶନ\u{b3f}"];
        /// `&["ଜ\u{b3e}ନ\u{b41}ଆରୀ", "ଫେବ\u{b43}ଆରୀ", "ମ\u{b3e}ର\u{b4d}ଚ\u{b4d}ଚ", "ଅପ\u{b4d}ରେଲ", "ମଇ", "ଜ\u{b41}ନ", "ଜ\u{b41}ଲ\u{b3e}ଇ", "ଅଗଷ\u{b4d}ଟ", "ସେପ\u{b4d}ଟେମ\u{b4d}ବର", "ଅକ\u{b4d}ଟୋବର", "ନଭେମ\u{b4d}ବର", "ଡ\u{b3f}ସେମ\u{b4d}ବର"]`
        pub const ABMON: &[&str] = &["ଜ\u{b3e}ନ\u{b41}ଆରୀ", "ଫେବ\u{b43}ଆରୀ", "ମ\u{b3e}ର\u{b4d}ଚ\u{b4d}ଚ", "ଅପ\u{b4d}ରେଲ", "ମଇ", "ଜ\u{b41}ନ", "ଜ\u{b41}ଲ\u{b3e}ଇ", "ଅଗଷ\u{b4d}ଟ", "ସେପ\u{b4d}ଟେମ\u{b4d}ବର", "ଅକ\u{b4d}ଟୋବର", "ନଭେମ\u{b4d}ବର", "ଡ\u{b3f}ସେମ\u{b4d}ବର"];
        /// `&["୦", "୧", "୨", "୩", "୪", "୫", "୬", "୭", "୮", "୯", "୧୦", "୧୧", "୧୨", "୧୩", "୧୪", "୧୫", "୧୬", "୧୭", "୧୮", "୧୯", "୨୦", "୨୧", "୨୨", "୨୩", "୨୪", "୨୫", "୨୬", "୨୭", "୨୮", "୨୯", "୩୦", "୩୧", "୩୨", "୩୩", "୩୪", "୩୫", "୩୬", "୩୭", "୩୮", "୩୯", "୪୦", "୪୧", "୪୨", "୪୩", "୪୪", "୪୫", "୪୬", "୪୭", "୪୮", "୪୯", "୫୦", "୫୧", "୫୨", "୫୩", "୫୪", "୫୫", "୫୬", "୫୭", "୫୮", "୫୯", "୬୦", "୬୧", "୬୨", "୬୩", "୬୪", "୬୫", "୬୬", "୬୭", "୬୮", "୬୯", "୭୦", "୭୧", "୭୨", "୭୩", "୭୪", "୭୫", "୭୬", "୭୭", "୭୮", "୭୯", "୮୦", "୮୧", "୮୨", "୮୩", "୮୪", "୮୫", "୮୬", "୮୭", "୮୮", "୮୯", "୯୦", "୯୧", "୯୨", "୯୩", "୯୪", "୯୫", "୯୬", "୯୭", "୯୮", "୯୯"]`
        pub const ALT_DIGITS: &[&str] = &["୦", "୧", "୨", "୩", "୪", "୫", "୬", "୭", "୮", "୯", "୧୦", "୧୧", "୧୨", "୧୩", "୧୪", "୧୫", "୧୬", "୧୭", "୧୮", "୧୯", "୨୦", "୨୧", "୨୨", "୨୩", "୨୪", "୨୫", "୨୬", "୨୭", "୨୮", "୨୯", "୩୦", "୩୧", "୩୨", "୩୩", "୩୪", "୩୫", "୩୬", "୩୭", "୩୮", "୩୯", "୪୦", "୪୧", "୪୨", "୪୩", "୪୪", "୪୫", "୪୬", "୪୭", "୪୮", "୪୯", "୫୦", "୫୧", "୫୨", "୫୩", "୫୪", "୫୫", "୫୬", "୫୭", "୫୮", "୫୯", "୬୦", "୬୧", "୬୨", "୬୩", "୬୪", "୬୫", "୬୬", "୬୭", "୬୮", "୬୯", "୭୦", "୭୧", "୭୨", "୭୩", "୭୪", "୭୫", "୭୬", "୭୭", "୭୮", "୭୯", "୮୦", "୮୧", "୮୨", "୮୩", "୮୪", "୮୫", "୮୬", "୮୭", "୮୮", "୮୯", "୯୦", "୯୧", "୯୨", "୯୩", "୯୪", "୯୫", "୯୬", "୯୭", "୯୮", "୯୯"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%Od-%Om-%Oy"`
        pub const D_FMT: &str = "%Od-%Om-%Oy";
        /// `"%Oe %B %Oy %OI:%OM:%OS %p %Z"`
        pub const D_T_FMT: &str = "%Oe %B %Oy %OI:%OM:%OS %p %Z";
        /// `&["ରବ\u{b3f}ବ\u{b3e}ର", "ସୋମବ\u{b3e}ର", "ମଙ\u{b4d}ଗଳବ\u{b3e}ର", "ବ\u{b41}ଧବ\u{b3e}ର", "ଗ\u{b41}ର\u{b41}ବ\u{b3e}ର", "ଶ\u{b41}କ\u{b4d}ରବ\u{b3e}ର", "ଶନ\u{b3f}ବ\u{b3e}ର"]`
        pub const DAY: &[&str] = &["ରବ\u{b3f}ବ\u{b3e}ର", "ସୋମବ\u{b3e}ର", "ମଙ\u{b4d}ଗଳବ\u{b3e}ର", "ବ\u{b41}ଧବ\u{b3e}ର", "ଗ\u{b41}ର\u{b41}ବ\u{b3e}ର", "ଶ\u{b41}କ\u{b4d}ରବ\u{b3e}ର", "ଶନ\u{b3f}ବ\u{b3e}ର"];
        /// `&["ଜ\u{b3e}ନ\u{b41}ଆରୀ", "ଫେବ\u{b43}ଆରୀ", "ମ\u{b3e}ର\u{b4d}ଚ\u{b4d}ଚ", "ଅପ\u{b4d}ରେଲ", "ମଇ", "ଜ\u{b41}ନ", "ଜ\u{b41}ଲ\u{b3e}ଇ", "ଅଗଷ\u{b4d}ଟ", "ସେପ\u{b4d}ଟେମ\u{b4d}ବର", "ଅକ\u{b4d}ଟୋବର", "ନଭେମ\u{b4d}ବର", "ଡ\u{b3f}ସେମ\u{b4d}ବର"]`
        pub const MON: &[&str] = &["ଜ\u{b3e}ନ\u{b41}ଆରୀ", "ଫେବ\u{b43}ଆରୀ", "ମ\u{b3e}ର\u{b4d}ଚ\u{b4d}ଚ", "ଅପ\u{b4d}ରେଲ", "ମଇ", "ଜ\u{b41}ନ", "ଜ\u{b41}ଲ\u{b3e}ଇ", "ଅଗଷ\u{b4d}ଟ", "ସେପ\u{b4d}ଟେମ\u{b4d}ବର", "ଅକ\u{b4d}ଟୋବର", "ନଭେମ\u{b4d}ବର", "ଡ\u{b3f}ସେମ\u{b4d}ବର"];
        /// `"%OI:%OM:%OS %p"`
        pub const T_FMT: &str = "%OI:%OM:%OS %p";
        /// `"%OI:%OM:%OS %p"`
        pub const T_FMT_AMPM: &str = "%OI:%OM:%OS %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod os_RU {
    pub mod LC_ADDRESS {
        /// `"RU"`
        pub const COUNTRY_ABTWO: &str = "RU";
        /// `"RUS"`
        pub const COUNTRY_AB3: &str = "RUS";
        /// `"RUS"`
        pub const COUNTRY_CAR: &str = "RUS";
        /// `"Уӕрӕсе"`
        pub const COUNTRY_NAME: &str = "Уӕрӕсе";
        /// `643`
        pub const COUNTRY_NUM: i64 = 643;
        /// `"os"`
        pub const LANG_AB: &str = "os";
        /// `"oss"`
        pub const LANG_LIB: &str = "oss";
        /// `"ирон"`
        pub const LANG_NAME: &str = "ирон";
        /// `"oss"`
        pub const LANG_TERM: &str = "oss";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Ossetic"`
        pub const LANGUAGE: &str = "Ossetic";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Russia"`
        pub const TERRITORY: &str = "Russia";
        /// `"Ossetian locale for Russia"`
        pub const TITLE: &str = "Ossetian locale for Russia";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNнН]"`
        pub const NOEXPR: &str = "^[-0nNнН]";
        /// `"нӕйы"`
        pub const NOSTR: &str = "нӕйы";
        /// `"^[+1yYуУ]"`
        pub const YESEXPR: &str = "^[+1yYуУ]";
        /// `"уойы"`
        pub const YESSTR: &str = "уойы";
    }
    pub use super::ru_RU::LC_MONETARY;
    pub use super::ru_RU::LC_NUMERIC;
    pub use super::ru_RU::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Хцб", "Крс", "Дцг", "Æрт", "Цпр", "Мрб", "Сбт"]`
        pub const ABDAY: &[&str] = &["Хцб", "Крс", "Дцг", "Æрт", "Цпр", "Мрб", "Сбт"];
        /// `&["Янв", "Фев", "Мар", "Апр", "Май", "Июн", "Июл", "Авг", "Сен", "Окт", "Ноя", "Дек"]`
        pub const ABMON: &[&str] = &["Янв", "Фев", "Мар", "Апр", "Май", "Июн", "Июл", "Авг", "Сен", "Окт", "Ноя", "Дек"];
        /// `&["Январь", "Февраль", "Мартъи", "Апрель", "Май", "Июнь", "Июль", "Август", "Сентябрь", "Октябрь", "Ноябрь", "Декабрь"]`
        pub const ALT_MON: &[&str] = &["Январь", "Февраль", "Мартъи", "Апрель", "Май", "Июнь", "Июль", "Август", "Сентябрь", "Октябрь", "Ноябрь", "Декабрь"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T";
        /// `&["Хуыцаубон", "Къуырисæр", "Дыццæг", "Æртыццæг", "Цыппæрæм", "Майрæмбон", "Сабат"]`
        pub const DAY: &[&str] = &["Хуыцаубон", "Къуырисæр", "Дыццæг", "Æртыццæг", "Цыппæрæм", "Майрæмбон", "Сабат"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["январы", "февралы", "мартъийы", "апрелы", "майы", "июны", "июлы", "августы", "сентябры", "октябры", "ноябры", "декабры"]`
        pub const MON: &[&str] = &["январы", "февралы", "мартъийы", "апрелы", "майы", "июны", "июлы", "августы", "сентябры", "октябры", "ноябры", "декабры"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod pa_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"ਭਾਰਤ"`
        pub const COUNTRY_NAME: &str = "ਭਾਰਤ";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"pa"`
        pub const LANG_AB: &str = "pa";
        /// `"pan"`
        pub const LANG_LIB: &str = "pan";
        /// `"ਪ\u{a70}ਜਾਬੀ"`
        pub const LANG_NAME: &str = "ਪ\u{a70}ਜਾਬੀ";
        /// `"pan"`
        pub const LANG_TERM: &str = "pan";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2004-09-30"`
        pub const DATE: &str = "2004-09-30";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Punjabi"`
        pub const LANGUAGE: &str = "Punjabi";
        /// `"0.2"`
        pub const REVISION: &str = "0.2";
        /// `"IndLinux.org"`
        pub const SOURCE: &str = "IndLinux.org";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Punjabi language locale for Indian Punjabi(Gurmukhi)"`
        pub const TITLE: &str = "Punjabi language locale for Indian Punjabi(Gurmukhi)";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNਨ]"`
        pub const NOEXPR: &str = "^[-0nNਨ]";
        /// `"ਨਹੀ\u{a02}"`
        pub const NOSTR: &str = "ਨਹੀ\u{a02}";
        /// `"^[+1yYਹ]"`
        pub const YESEXPR: &str = "^[+1yYਹ]";
        /// `"ਹਾ\u{a02}"`
        pub const YESSTR: &str = "ਹਾ\u{a02}";
    }
    pub use super::hi_IN::LC_MONETARY;
    pub use super::hi_IN::LC_NUMERIC;
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["ਐਤ", "ਸ\u{a4b}ਮ", "ਮ\u{a70}ਗਲ", "ਬ\u{a41}\u{a71}ਧ", "ਵੀਰ", "ਸ਼\u{a41}\u{a71}ਕਰ", "ਸ਼ਨਿ\u{a71}ਚਰ"]`
        pub const ABDAY: &[&str] = &["ਐਤ", "ਸ\u{a4b}ਮ", "ਮ\u{a70}ਗਲ", "ਬ\u{a41}\u{a71}ਧ", "ਵੀਰ", "ਸ਼\u{a41}\u{a71}ਕਰ", "ਸ਼ਨਿ\u{a71}ਚਰ"];
        /// `&["ਜਨ", "ਫ\u{a3c}ਰ", "ਮਾਰਚ", "ਅਪ\u{a4d}ਰ\u{a48}", "ਮਈ", "ਜ\u{a42}ਨ", "ਜ\u{a41}ਲਾ", "ਅਗ", "ਸਤ\u{a70}", "ਅਕਤ\u{a42}", "ਨਵ\u{a70}", "ਦਸ\u{a70}"]`
        pub const ABMON: &[&str] = &["ਜਨ", "ਫ\u{a3c}ਰ", "ਮਾਰਚ", "ਅਪ\u{a4d}ਰ\u{a48}", "ਮਈ", "ਜ\u{a42}ਨ", "ਜ\u{a41}ਲਾ", "ਅਗ", "ਸਤ\u{a70}", "ਅਕਤ\u{a42}", "ਨਵ\u{a70}", "ਦਸ\u{a70}"];
        /// `&["ਸਵ\u{a47}ਰ\u{a47}", "ਸ਼ਾਮ"]`
        pub const AM_PM: &[&str] = &["ਸਵ\u{a47}ਰ\u{a47}", "ਸ਼ਾਮ"];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["ਐਤਵਾਰ", "ਸ\u{a4b}ਮਵਾਰ", "ਮ\u{a70}ਗਲਵਾਰ", "ਬ\u{a41}\u{a71}ਧਵਾਰ", "ਵੀਰਵਾਰ", "ਸ਼\u{a41}\u{a71}ਕਰਵਾਰ", "ਸ਼ਨਿ\u{a71}ਚਰਵਾਰ"]`
        pub const DAY: &[&str] = &["ਐਤਵਾਰ", "ਸ\u{a4b}ਮਵਾਰ", "ਮ\u{a70}ਗਲਵਾਰ", "ਬ\u{a41}\u{a71}ਧਵਾਰ", "ਵੀਰਵਾਰ", "ਸ਼\u{a41}\u{a71}ਕਰਵਾਰ", "ਸ਼ਨਿ\u{a71}ਚਰਵਾਰ"];
        /// `&["ਜਨਵਰੀ", "ਫ\u{a3c}ਰਵਰੀ", "ਮਾਰਚ", "ਅਪ\u{a4d}ਰ\u{a48}ਲ", "ਮਈ", "ਜ\u{a42}ਨ", "ਜ\u{a41}ਲਾਈ", "ਅਗਸਤ", "ਸਤ\u{a70}ਬਰ", "ਅਕਤ\u{a42}ਬਰ", "ਨਵ\u{a70}ਬਰ", "ਦਸ\u{a70}ਬਰ"]`
        pub const MON: &[&str] = &["ਜਨਵਰੀ", "ਫ\u{a3c}ਰਵਰੀ", "ਮਾਰਚ", "ਅਪ\u{a4d}ਰ\u{a48}ਲ", "ਮਈ", "ਜ\u{a42}ਨ", "ਜ\u{a41}ਲਾਈ", "ਅਗਸਤ", "ਸਤ\u{a70}ਬਰ", "ਅਕਤ\u{a42}ਬਰ", "ਨਵ\u{a70}ਬਰ", "ਦਸ\u{a70}ਬਰ"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod pa_PK {
    pub mod LC_ADDRESS {
        /// `"PK"`
        pub const COUNTRY_ABTWO: &str = "PK";
        /// `"PAK"`
        pub const COUNTRY_AB3: &str = "PAK";
        /// `"PK"`
        pub const COUNTRY_CAR: &str = "PK";
        /// `"پکستان"`
        pub const COUNTRY_NAME: &str = "پکستان";
        /// `586`
        pub const COUNTRY_NUM: i64 = 586;
        /// `"pa"`
        pub const LANG_AB: &str = "pa";
        /// `"pan"`
        pub const LANG_LIB: &str = "pan";
        /// `"پنجابی"`
        pub const LANG_NAME: &str = "پنجابی";
        /// `"pan"`
        pub const LANG_TERM: &str = "pan";
        /// `"%a%N%f%N%d%N%b%N%h %s %e %r%N%T %z%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%f%N%d%N%b%N%h %s %e %r%N%T %z%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-11"`
        pub const DATE: &str = "2000-07-11";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Punjabi"`
        pub const LANGUAGE: &str = "Punjabi";
        /// `"0.3"`
        pub const REVISION: &str = "0.3";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Pakistan"`
        pub const TERRITORY: &str = "Pakistan";
        /// `"Punjabi (Shahmukhi) Language Locale for Pakistan"`
        pub const TITLE: &str = "Punjabi (Shahmukhi) Language Locale for Pakistan";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNنo]"`
        pub const NOEXPR: &str = "^[-0nNنo]";
        /// `"نهيں"`
        pub const NOSTR: &str = "نهيں";
        /// `"^[+1yYهبf]"`
        pub const YESEXPR: &str = "^[+1yYهبf]";
        /// `"بلكل"`
        pub const YESSTR: &str = "بلكل";
    }
    pub use super::ur_PK::LC_MONETARY;
    pub use super::ur_PK::LC_NUMERIC;
    pub use super::ur_PK::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["اتوار", "پير", "منگل", "بدھ", "جمعرات", "جمعه", "هفته"]`
        pub const ABDAY: &[&str] = &["اتوار", "پير", "منگل", "بدھ", "جمعرات", "جمعه", "هفته"];
        /// `&["جنوري", "فروري", "مارچ", "اپريل", "م\u{653}ی", "جون", "جولاي", "اگست", "ستمبر", "اكتوبر", "نومبر", "دسمبر"]`
        pub const ABMON: &[&str] = &["جنوري", "فروري", "مارچ", "اپريل", "م\u{653}ی", "جون", "جولاي", "اگست", "ستمبر", "اكتوبر", "نومبر", "دسمبر"];
        /// `&["ص", "ش"]`
        pub const AM_PM: &[&str] = &["ص", "ش"];
        /// `3`
        pub const CAL_DIRECTION: i64 = 3;
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"و %H:%M:%S %Z ت %d %B %Y"`
        pub const D_T_FMT: &str = "و %H:%M:%S %Z ت %d %B %Y";
        /// `&["اتوار", "پير", "منگل", "بدھ", "جمعرات", "جمعه", "هفته"]`
        pub const DAY: &[&str] = &["اتوار", "پير", "منگل", "بدھ", "جمعرات", "جمعه", "هفته"];
        /// `&["جنوري", "فروري", "مارچ", "اپريل", "م\u{653}ی", "جون", "جولاي", "اگست", "ستمبر", "اكتوبر", "نومبر", "دسمبر"]`
        pub const MON: &[&str] = &["جنوري", "فروري", "مارچ", "اپريل", "م\u{653}ی", "جون", "جولاي", "اگست", "ستمبر", "اكتوبر", "نومبر", "دسمبر"];
        /// `"%H:%M:%S"`
        pub const T_FMT: &str = "%H:%M:%S";
        /// `"%P %I:%M:%S"`
        pub const T_FMT_AMPM: &str = "%P %I:%M:%S";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod pap_AW {
    pub mod LC_ADDRESS {
        /// `"AW"`
        pub const COUNTRY_ABTWO: &str = "AW";
        /// `"ABW"`
        pub const COUNTRY_AB3: &str = "ABW";
        /// `"AUA"`
        pub const COUNTRY_CAR: &str = "AUA";
        /// `""`
        pub const COUNTRY_ISBN: &str = "";
        /// `"Aruba"`
        pub const COUNTRY_NAME: &str = "Aruba";
        /// `533`
        pub const COUNTRY_NUM: i64 = 533;
        /// `"AW"`
        pub const COUNTRY_POST: &str = "AW";
        /// `"pap"`
        pub const LANG_LIB: &str = "pap";
        /// `"Papiamento"`
        pub const LANG_NAME: &str = "Papiamento";
        /// `"pap"`
        pub const LANG_TERM: &str = "pap";
        /// `"%d%N%f%N%d%N%b%N%s %h 5e %r%N%C%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%d%N%f%N%d%N%b%N%s %h 5e %r%N%C%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
        ];
        /// `"Pablo Saratxaga"`
        pub const CONTACT: &str = "Pablo Saratxaga";
        /// `"2013-09-27"`
        pub const DATE: &str = "2013-09-27";
        /// `"pablo@mandrakesoft.com"`
        pub const EMAIL: &str = "pablo@mandrakesoft.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Papiamento"`
        pub const LANGUAGE: &str = "Papiamento";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"information from native speaker"`
        pub const SOURCE: &str = "information from native speaker";
        /// `""`
        pub const TEL: &str = "";
        /// `"Aruba"`
        pub const TERRITORY: &str = "Aruba";
        /// `"Papiamento Language for Aruba"`
        pub const TITLE: &str = "Papiamento Language for Aruba";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"nò"`
        pub const NOSTR: &str = "nò";
        /// `"^[+1sSyY]"`
        pub const YESEXPR: &str = "^[+1sSyY]";
        /// `"sí"`
        pub const YESSTR: &str = "sí";
    }
    pub mod LC_MONETARY {
        /// `"ƒ"`
        pub const CURRENCY_SYMBOL: &str = "ƒ";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"AWG "`
        pub const INT_CURR_SYMBOL: &str = "AWG ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const N_SIGN_POSN: i64 = 2;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[0, 0]`
        pub const GROUPING: &[i64] = &[0, 0];
        /// `""`
        pub const THOUSANDS_SEP: &str = "";
    }
    pub mod LC_TELEPHONE {
        /// `"297"`
        pub const INT_PREFIX: &str = "297";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["do", "lu", "ma", "we", "ra", "bi", "sa"]`
        pub const ABDAY: &[&str] = &["do", "lu", "ma", "we", "ra", "bi", "sa"];
        /// `&["Yan", "Feb", "Mar", "Apr", "Mei", "Yün", "Yül", "Oug", "Sèp", "Okt", "Nov", "Des"]`
        pub const ABMON: &[&str] = &["Yan", "Feb", "Mar", "Apr", "Mei", "Yün", "Yül", "Oug", "Sèp", "Okt", "Nov", "Des"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d-%m-%y"`
        pub const D_FMT: &str = "%d-%m-%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Djadomingo", "Djaluna", "Djamars", "Djawebs", "Djarason", "Djabierne", "Djasabra"]`
        pub const DAY: &[&str] = &["Djadomingo", "Djaluna", "Djamars", "Djawebs", "Djarason", "Djabierne", "Djasabra"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Yanüari", "Febrüari", "Mart", "Aprel", "Mei", "Yüni", "Yüli", "Ougùstùs", "Sèptèmber", "Oktober", "Novèmber", "Desèmber"]`
        pub const MON: &[&str] = &["Yanüari", "Febrüari", "Mart", "Aprel", "Mei", "Yüni", "Yüli", "Ougùstùs", "Sèptèmber", "Oktober", "Novèmber", "Desèmber"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod pap_CW {
    pub mod LC_ADDRESS {
        /// `"CW"`
        pub const COUNTRY_ABTWO: &str = "CW";
        /// `"CUW"`
        pub const COUNTRY_AB3: &str = "CUW";
        /// `""`
        pub const COUNTRY_CAR: &str = "";
        /// `"978-99904"`
        pub const COUNTRY_ISBN: &str = "978-99904";
        /// `"Kòrsou"`
        pub const COUNTRY_NAME: &str = "Kòrsou";
        /// `531`
        pub const COUNTRY_NUM: i64 = 531;
        /// `"CW"`
        pub const COUNTRY_POST: &str = "CW";
        /// `"pap"`
        pub const LANG_LIB: &str = "pap";
        /// `"Papiamento"`
        pub const LANG_NAME: &str = "Papiamento";
        /// `"pap"`
        pub const LANG_TERM: &str = "pap";
        /// `"%d%N%f%N%d%N%b%N%s %h 5e %r%N%C%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%d%N%f%N%d%N%b%N%s %h 5e %r%N%C%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
        ];
        /// `"Pablo Saratxaga"`
        pub const CONTACT: &str = "Pablo Saratxaga";
        /// `"2013-09-27"`
        pub const DATE: &str = "2013-09-27";
        /// `"pablo@mandrakesoft.com"`
        pub const EMAIL: &str = "pablo@mandrakesoft.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Papiamento"`
        pub const LANGUAGE: &str = "Papiamento";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"information from native speaker"`
        pub const SOURCE: &str = "information from native speaker";
        /// `""`
        pub const TEL: &str = "";
        /// `"Curaçao"`
        pub const TERRITORY: &str = "Curaçao";
        /// `"Papiamento language for Curaçao"`
        pub const TITLE: &str = "Papiamento language for Curaçao";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"nò"`
        pub const NOSTR: &str = "nò";
        /// `"^[+1sSyY]"`
        pub const YESEXPR: &str = "^[+1sSyY]";
        /// `"sí"`
        pub const YESSTR: &str = "sí";
    }
    pub mod LC_MONETARY {
        /// `"ƒ"`
        pub const CURRENCY_SYMBOL: &str = "ƒ";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"ANG "`
        pub const INT_CURR_SYMBOL: &str = "ANG ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const N_SIGN_POSN: i64 = 2;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[0, 0]`
        pub const GROUPING: &[i64] = &[0, 0];
        /// `""`
        pub const THOUSANDS_SEP: &str = "";
    }
    pub mod LC_TELEPHONE {
        /// `"599"`
        pub const INT_PREFIX: &str = "599";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["do", "lu", "ma", "we", "ra", "bi", "sa"]`
        pub const ABDAY: &[&str] = &["do", "lu", "ma", "we", "ra", "bi", "sa"];
        /// `&["Yan", "Feb", "Mar", "Apr", "Mei", "Yün", "Yül", "Oug", "Sèp", "Okt", "Nov", "Des"]`
        pub const ABMON: &[&str] = &["Yan", "Feb", "Mar", "Apr", "Mei", "Yün", "Yül", "Oug", "Sèp", "Okt", "Nov", "Des"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d-%m-%y"`
        pub const D_FMT: &str = "%d-%m-%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Djadomingo", "Djaluna", "Djamars", "Djawebs", "Djarason", "Djabierne", "Djasabra"]`
        pub const DAY: &[&str] = &["Djadomingo", "Djaluna", "Djamars", "Djawebs", "Djarason", "Djabierne", "Djasabra"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Yanüari", "Febrüari", "Mart", "Aprel", "Mei", "Yüni", "Yüli", "Ougùstùs", "Sèptèmber", "Oktober", "Novèmber", "Desèmber"]`
        pub const MON: &[&str] = &["Yanüari", "Febrüari", "Mart", "Aprel", "Mei", "Yüni", "Yüli", "Ougùstùs", "Sèptèmber", "Oktober", "Novèmber", "Desèmber"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod pl_PL {
    pub mod LC_ADDRESS {
        /// `"PL"`
        pub const COUNTRY_ABTWO: &str = "PL";
        /// `"POL"`
        pub const COUNTRY_AB3: &str = "POL";
        /// `"PL"`
        pub const COUNTRY_CAR: &str = "PL";
        /// `"Polska"`
        pub const COUNTRY_NAME: &str = "Polska";
        /// `616`
        pub const COUNTRY_NUM: i64 = 616;
        /// `"pl"`
        pub const LANG_AB: &str = "pl";
        /// `"pol"`
        pub const LANG_LIB: &str = "pol";
        /// `"polski"`
        pub const LANG_NAME: &str = "polski";
        /// `"pol"`
        pub const LANG_TERM: &str = "pol";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jo/rgens Alle 8, DK-1615 Ko/benhavn V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jo/rgens Alle 8, DK-1615 Ko/benhavn V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Polish"`
        pub const LANGUAGE: &str = "Polish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Poland"`
        pub const TERRITORY: &str = "Poland";
        /// `"Polish locale for Poland"`
        pub const TITLE: &str = "Polish locale for Poland";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"nie"`
        pub const NOSTR: &str = "nie";
        /// `"^[+1TtYy]"`
        pub const YESEXPR: &str = "^[+1TtYy]";
        /// `"tak"`
        pub const YESSTR: &str = "tak";
    }
    pub mod LC_MONETARY {
        /// `"zł"`
        pub const CURRENCY_SYMBOL: &str = "zł";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"PLN "`
        pub const INT_CURR_SYMBOL: &str = "PLN ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `"\u{202f}"`
        pub const THOUSANDS_SEP: &str = "\u{202f}";
    }
    pub mod LC_TELEPHONE {
        /// `"48"`
        pub const INT_PREFIX: &str = "48";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["nie", "pon", "wto", "śro", "czw", "pią", "sob"]`
        pub const ABDAY: &[&str] = &["nie", "pon", "wto", "śro", "czw", "pią", "sob"];
        /// `&["sty", "lut", "mar", "kwi", "maj", "cze", "lip", "sie", "wrz", "paź", "lis", "gru"]`
        pub const ABMON: &[&str] = &["sty", "lut", "mar", "kwi", "maj", "cze", "lip", "sie", "wrz", "paź", "lis", "gru"];
        /// `&["styczeń", "luty", "marzec", "kwiecień", "maj", "czerwiec", "lipiec", "sierpień", "wrzesień", "październik", "listopad", "grudzień"]`
        pub const ALT_MON: &[&str] = &["styczeń", "luty", "marzec", "kwiecień", "maj", "czerwiec", "lipiec", "sierpień", "wrzesień", "październik", "listopad", "grudzień"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a, %-d %b %Y, %T"`
        pub const D_T_FMT: &str = "%a, %-d %b %Y, %T";
        /// `"%a, %-d %b %Y, %T %Z"`
        pub const DATE_FMT: &str = "%a, %-d %b %Y, %T %Z";
        /// `&["niedziela", "poniedziałek", "wtorek", "środa", "czwartek", "piątek", "sobota"]`
        pub const DAY: &[&str] = &["niedziela", "poniedziałek", "wtorek", "środa", "czwartek", "piątek", "sobota"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["stycznia", "lutego", "marca", "kwietnia", "maja", "czerwca", "lipca", "sierpnia", "września", "października", "listopada", "grudnia"]`
        pub const MON: &[&str] = &["stycznia", "lutego", "marca", "kwietnia", "maja", "czerwca", "lipca", "sierpnia", "września", "października", "listopada", "grudnia"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ps_AF {
    pub mod LC_ADDRESS {
        /// `"AF"`
        pub const COUNTRY_ABTWO: &str = "AF";
        /// `"AFG"`
        pub const COUNTRY_AB3: &str = "AFG";
        /// `"AFG"`
        pub const COUNTRY_CAR: &str = "AFG";
        /// `"افغانستان"`
        pub const COUNTRY_NAME: &str = "افغانستان";
        /// `4`
        pub const COUNTRY_NUM: i64 = 4;
        /// `"AF"`
        pub const COUNTRY_POST: &str = "AF";
        /// `"ps"`
        pub const LANG_AB: &str = "ps";
        /// `"pus"`
        pub const LANG_LIB: &str = "pus";
        /// `"پښتو"`
        pub const LANG_NAME: &str = "پښتو";
        /// `"pus"`
        pub const LANG_TERM: &str = "pus";
        /// `"%a%N%f%N%d%N%b%N%s %h %e %r%N%C-%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%f%N%d%N%b%N%s %h %e %r%N%C-%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"see e-mail."`
        pub const ADDRESS: &str = "see e-mail.";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"Nasir Gulzade"`
        pub const CONTACT: &str = "Nasir Gulzade";
        /// `"2009-01-16"`
        pub const DATE: &str = "2009-01-16";
        /// `"nasirgulzade@hotmail.com"`
        pub const EMAIL: &str = "nasirgulzade@hotmail.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Pashto"`
        pub const LANGUAGE: &str = "Pashto";
        /// `"0.2"`
        pub const REVISION: &str = "0.2";
        /// `"Nasir Gulzade"`
        pub const SOURCE: &str = "Nasir Gulzade";
        /// `""`
        pub const TEL: &str = "";
        /// `"Afghanistan"`
        pub const TERRITORY: &str = "Afghanistan";
        /// `"Pashto locale for Afghanistan"`
        pub const TITLE: &str = "Pashto locale for Afghanistan";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNخنo]"`
        pub const NOEXPR: &str = "^[-0nNخنo]";
        /// `"نه"`
        pub const NOSTR: &str = "نه";
        /// `"^[+1yYبf]"`
        pub const YESEXPR: &str = "^[+1yYبf]";
        /// `"هو"`
        pub const YESSTR: &str = "هو";
    }
    pub mod LC_MONETARY {
        /// `"؋"`
        pub const CURRENCY_SYMBOL: &str = "؋";
        /// `0`
        pub const FRAC_DIGITS: i64 = 0;
        /// `"AFN "`
        pub const INT_CURR_SYMBOL: &str = "AFN ";
        /// `0`
        pub const INT_FRAC_DIGITS: i64 = 0;
        /// `"٫"`
        pub const MON_DECIMAL_POINT: &str = "٫";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `"٬"`
        pub const MON_THOUSANDS_SEP: &str = "٬";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"٫"`
        pub const DECIMAL_POINT: &str = "٫";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `"٬"`
        pub const THOUSANDS_SEP: &str = "٬";
    }
    pub mod LC_TELEPHONE {
        /// `"93"`
        pub const INT_PREFIX: &str = "93";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%A‒%l"`
        pub const TEL_DOM_FMT: &str = "%A‒%l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["ی.", "د.", "س.", "چ.", "پ.", "ج.", "ش."]`
        pub const ABDAY: &[&str] = &["ی.", "د.", "س.", "چ.", "پ.", "ج.", "ش."];
        /// `&["جنوري", "فبروري", "مارچ", "اپریل", "مۍ", "جون", "جولای", "اګست", "سپتمبر", "اکتوبر", "نومبر", "دسمبر"]`
        pub const ABMON: &[&str] = &["جنوري", "فبروري", "مارچ", "اپریل", "مۍ", "جون", "جولای", "اګست", "سپتمبر", "اکتوبر", "نومبر", "دسمبر"];
        /// `&["غ.م.", "غ.و."]`
        pub const AM_PM: &[&str] = &["غ.م.", "غ.و."];
        /// `3`
        pub const CAL_DIRECTION: i64 = 3;
        /// `"د %Y د %B %e"`
        pub const D_FMT: &str = "د %Y د %B %e";
        /// `"%A د %Y د %B %e، %Z %H:%M:%S"`
        pub const D_T_FMT: &str = "%A د %Y د %B %e، %Z %H:%M:%S";
        /// `&["یکشنبه", "دوشنبه", "سه\u{200c}شنبه", "چارشنبه", "پنجشنبه", "جمعه", "شنبه"]`
        pub const DAY: &[&str] = &["یکشنبه", "دوشنبه", "سه\u{200c}شنبه", "چارشنبه", "پنجشنبه", "جمعه", "شنبه"];
        /// `7`
        pub const FIRST_WEEKDAY: i64 = 7;
        /// `7`
        pub const FIRST_WORKDAY: i64 = 7;
        /// `&["جنوري", "فبروري", "مارچ", "اپریل", "مۍ", "جون", "جولای", "اګست", "سپتمبر", "اکتوبر", "نومبر", "دسمبر"]`
        pub const MON: &[&str] = &["جنوري", "فبروري", "مارچ", "اپریل", "مۍ", "جون", "جولای", "اګست", "سپتمبر", "اکتوبر", "نومبر", "دسمبر"];
        /// `"%H:%M:%S"`
        pub const T_FMT: &str = "%H:%M:%S";
        /// `"\u{202b}%I:%M:%S %p\u{202c}"`
        pub const T_FMT_AMPM: &str = "\u{202b}%I:%M:%S %p\u{202c}";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod pt_BR {
    pub mod LC_ADDRESS {
        /// `"BR"`
        pub const COUNTRY_ABTWO: &str = "BR";
        /// `"BRA"`
        pub const COUNTRY_AB3: &str = "BRA";
        /// `"BR"`
        pub const COUNTRY_CAR: &str = "BR";
        /// `"Brasil"`
        pub const COUNTRY_NAME: &str = "Brasil";
        /// `76`
        pub const COUNTRY_NUM: i64 = 76;
        /// `"pt"`
        pub const LANG_AB: &str = "pt";
        /// `"por"`
        pub const LANG_LIB: &str = "por";
        /// `"português"`
        pub const LANG_NAME: &str = "português";
        /// `"por"`
        pub const LANG_TERM: &str = "por";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Brazilian Portuguese"`
        pub const LANGUAGE: &str = "Brazilian Portuguese";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Brazil"`
        pub const TERRITORY: &str = "Brazil";
        /// `"Portuguese locale for Brasil"`
        pub const TITLE: &str = "Portuguese locale for Brasil";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"não"`
        pub const NOSTR: &str = "não";
        /// `"^[+1SsyY]"`
        pub const YESEXPR: &str = "^[+1SsyY]";
        /// `"sim"`
        pub const YESSTR: &str = "sim";
    }
    pub mod LC_MONETARY {
        /// `"R$"`
        pub const CURRENCY_SYMBOL: &str = "R$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"BRL "`
        pub const INT_CURR_SYMBOL: &str = "BRL ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"55"`
        pub const INT_PREFIX: &str = "55";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dom", "seg", "ter", "qua", "qui", "sex", "sáb"]`
        pub const ABDAY: &[&str] = &["dom", "seg", "ter", "qua", "qui", "sex", "sáb"];
        /// `&["jan", "fev", "mar", "abr", "mai", "jun", "jul", "ago", "set", "out", "nov", "dez"]`
        pub const ABMON: &[&str] = &["jan", "fev", "mar", "abr", "mai", "jun", "jul", "ago", "set", "out", "nov", "dez"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["domingo", "segunda", "terça", "quarta", "quinta", "sexta", "sábado"]`
        pub const DAY: &[&str] = &["domingo", "segunda", "terça", "quarta", "quinta", "sexta", "sábado"];
        /// `&["janeiro", "fevereiro", "março", "abril", "maio", "junho", "julho", "agosto", "setembro", "outubro", "novembro", "dezembro"]`
        pub const MON: &[&str] = &["janeiro", "fevereiro", "março", "abril", "maio", "junho", "julho", "agosto", "setembro", "outubro", "novembro", "dezembro"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod pt_PT {
    pub mod LC_ADDRESS {
        /// `"PT"`
        pub const COUNTRY_ABTWO: &str = "PT";
        /// `"PRT"`
        pub const COUNTRY_AB3: &str = "PRT";
        /// `"P"`
        pub const COUNTRY_CAR: &str = "P";
        /// `"Portugal"`
        pub const COUNTRY_NAME: &str = "Portugal";
        /// `620`
        pub const COUNTRY_NUM: i64 = 620;
        /// `"pt"`
        pub const LANG_AB: &str = "pt";
        /// `"por"`
        pub const LANG_LIB: &str = "por";
        /// `"português"`
        pub const LANG_NAME: &str = "português";
        /// `"por"`
        pub const LANG_TERM: &str = "por";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"European Portuguese"`
        pub const LANGUAGE: &str = "European Portuguese";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Portugal"`
        pub const TERRITORY: &str = "Portugal";
        /// `"Portuguese locale for Portugal"`
        pub const TITLE: &str = "Portuguese locale for Portugal";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"não"`
        pub const NOSTR: &str = "não";
        /// `"^[+1SsyY]"`
        pub const YESEXPR: &str = "^[+1SsyY]";
        /// `"sim"`
        pub const YESSTR: &str = "sim";
    }
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[0, 0]`
        pub const GROUPING: &[i64] = &[0, 0];
        /// `""`
        pub const THOUSANDS_SEP: &str = "";
    }
    pub mod LC_TELEPHONE {
        /// `"351"`
        pub const INT_PREFIX: &str = "351";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%l"`
        pub const TEL_DOM_FMT: &str = "%l";
        /// `"+%c %l"`
        pub const TEL_INT_FMT: &str = "+%c %l";
    }
    pub mod LC_TIME {
        /// `&["dom", "seg", "ter", "qua", "qui", "sex", "sáb"]`
        pub const ABDAY: &[&str] = &["dom", "seg", "ter", "qua", "qui", "sex", "sáb"];
        /// `&["jan", "fev", "mar", "abr", "mai", "jun", "jul", "ago", "set", "out", "nov", "dez"]`
        pub const ABMON: &[&str] = &["jan", "fev", "mar", "abr", "mai", "jun", "jul", "ago", "set", "out", "nov", "dez"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["domingo", "segunda", "terça", "quarta", "quinta", "sexta", "sábado"]`
        pub const DAY: &[&str] = &["domingo", "segunda", "terça", "quarta", "quinta", "sexta", "sábado"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["janeiro", "fevereiro", "março", "abril", "maio", "junho", "julho", "agosto", "setembro", "outubro", "novembro", "dezembro"]`
        pub const MON: &[&str] = &["janeiro", "fevereiro", "março", "abril", "maio", "junho", "julho", "agosto", "setembro", "outubro", "novembro", "dezembro"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod pt_PT_euro {
    pub use super::pt_PT::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-08-20"`
        pub const DATE: &str = "2000-08-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Portuguese"`
        pub const LANGUAGE: &str = "Portuguese";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Portugal"`
        pub const TERRITORY: &str = "Portugal";
        /// `"Portuguese locale for Portugal with Euro"`
        pub const TITLE: &str = "Portuguese locale for Portugal with Euro";
    }
    pub use super::pt_PT::LC_MESSAGES;
    pub use super::pt_PT::LC_MONETARY;
    pub use super::pt_PT::LC_NUMERIC;
    pub use super::pt_PT::LC_TELEPHONE;
    pub use super::pt_PT::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod quz_PE {
    pub mod LC_ADDRESS {
        /// `"PE"`
        pub const COUNTRY_ABTWO: &str = "PE";
        /// `"PER"`
        pub const COUNTRY_AB3: &str = "PER";
        /// `"PE"`
        pub const COUNTRY_CAR: &str = "PE";
        /// `604`
        pub const COUNTRY_NUM: i64 = 604;
        /// `"quz"`
        pub const LANG_LIB: &str = "quz";
        /// `"Qusqu runasimi"`
        pub const LANG_NAME: &str = "Qusqu runasimi";
        /// `"quz"`
        pub const LANG_TERM: &str = "quz";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"sugarlabs.org"`
        pub const CONTACT: &str = "sugarlabs.org";
        /// `"2013-08-24"`
        pub const DATE: &str = "2013-08-24";
        /// `"libc-alpha@sourceware.org"`
        pub const EMAIL: &str = "libc-alpha@sourceware.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Cusco Quechua"`
        pub const LANGUAGE: &str = "Cusco Quechua";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Sugar Labs / OLPC"`
        pub const SOURCE: &str = "Sugar Labs / OLPC";
        /// `""`
        pub const TEL: &str = "";
        /// `"Peru"`
        pub const TERRITORY: &str = "Peru";
        /// `"Cusco Quechua locale for Peru"`
        pub const TITLE: &str = "Cusco Quechua locale for Peru";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0mMnN]"`
        pub const NOEXPR: &str = "^[-0mMnN]";
        /// `"Manan"`
        pub const NOSTR: &str = "Manan";
        /// `"^[+1aAsSyY]"`
        pub const YESEXPR: &str = "^[+1aAsSyY]";
        /// `"Arí"`
        pub const YESSTR: &str = "Arí";
    }
    pub use super::es_PE::LC_MONETARY;
    pub use super::es_PE::LC_NUMERIC;
    pub use super::es_PE::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["tum", "lun", "mar", "miy", "juy", "wiy", "saw"]`
        pub const ABDAY: &[&str] = &["tum", "lun", "mar", "miy", "juy", "wiy", "saw"];
        /// `&["ini", "phi", "mar", "awr", "may", "hun", "hul", "agu", "sip", "ukt", "nuw", "tis"]`
        pub const ABMON: &[&str] = &["ini", "phi", "mar", "awr", "may", "hun", "hul", "agu", "sip", "ukt", "nuw", "tis"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["tuminku", "lunis", "martis", "miyirkulis", "juywis", "wiyirnis", "sawatu"]`
        pub const DAY: &[&str] = &["tuminku", "lunis", "martis", "miyirkulis", "juywis", "wiyirnis", "sawatu"];
        /// `&["iniru", "phiwriru", "marsu", "awril", "mayu", "huniyu", "huliyu", "agustu", "siptiyimri", "uktuwri", "nuwiyimri", "tisiyimri"]`
        pub const MON: &[&str] = &["iniru", "phiwriru", "marsu", "awril", "mayu", "huniyu", "huliyu", "agustu", "siptiyimri", "uktuwri", "nuwiyimri", "tisiyimri"];
        /// `"%I:%M:%S %p"`
        pub const T_FMT: &str = "%I:%M:%S %p";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod raj_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"भारत"`
        pub const COUNTRY_NAME: &str = "भारत";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"raj"`
        pub const LANG_LIB: &str = "raj";
        /// `"राजस\u{94d}थानी"`
        pub const LANG_NAME: &str = "राजस\u{94d}थानी";
        /// `"raj"`
        pub const LANG_TERM: &str = "raj";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2014-06-13"`
        pub const DATE: &str = "2014-06-13";
        /// `"meghrajsuthar03@gmail.com"`
        pub const EMAIL: &str = "meghrajsuthar03@gmail.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Rajasthani"`
        pub const LANGUAGE: &str = "Rajasthani";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Rajasthani language locale for India"`
        pub const TITLE: &str = "Rajasthani language locale for India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
    }
    pub use super::hi_IN::LC_MONETARY;
    pub use super::hi_IN::LC_NUMERIC;
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["रवि", "सोम", "म\u{902}गल", "ब\u{941}ध", "ब\u{943}हस\u{94d}पति", "श\u{941}क\u{94d}र", "शनि"]`
        pub const ABDAY: &[&str] = &["रवि", "सोम", "म\u{902}गल", "ब\u{941}ध", "ब\u{943}हस\u{94d}पति", "श\u{941}क\u{94d}र", "शनि"];
        /// `&["जन", "फर", "मार\u{94d}च", "अप\u{94d}र\u{948}", "मई", "ज\u{942}न", "ज\u{941}ल", "अग", "सित", "अक\u{94d}ट\u{942}", "नव", "दिस"]`
        pub const ABMON: &[&str] = &["जन", "फर", "मार\u{94d}च", "अप\u{94d}र\u{948}", "मई", "ज\u{942}न", "ज\u{941}ल", "अग", "सित", "अक\u{94d}ट\u{942}", "नव", "दिस"];
        /// `&["प\u{942}र\u{94d}वाह\u{94d}न", "अपराह\u{94d}न"]`
        pub const AM_PM: &[&str] = &["प\u{942}र\u{94d}वाह\u{94d}न", "अपराह\u{94d}न"];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["रविवार", "सोमवार", "म\u{902}गल\u{94d}लवार", "ब\u{941}धवार", "ब\u{943}हस\u{94d}पतिवार", "श\u{941}क\u{94d}रवार", "शनिवार"]`
        pub const DAY: &[&str] = &["रविवार", "सोमवार", "म\u{902}गल\u{94d}लवार", "ब\u{941}धवार", "ब\u{943}हस\u{94d}पतिवार", "श\u{941}क\u{94d}रवार", "शनिवार"];
        /// `&["जनवरी", "फरवरी", "मार\u{94d}च", "अप\u{94d}र\u{948}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सित\u{902}बर", "अक\u{94d}ट\u{942}बर", "नव\u{902}बर", "दिस\u{902}बर"]`
        pub const MON: &[&str] = &["जनवरी", "फरवरी", "मार\u{94d}च", "अप\u{94d}र\u{948}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सित\u{902}बर", "अक\u{94d}ट\u{942}बर", "नव\u{902}बर", "दिस\u{902}बर"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ro_RO {
    pub mod LC_ADDRESS {
        /// `"RO"`
        pub const COUNTRY_ABTWO: &str = "RO";
        /// `"ROU"`
        pub const COUNTRY_AB3: &str = "ROU";
        /// `"RO"`
        pub const COUNTRY_CAR: &str = "RO";
        /// `973`
        pub const COUNTRY_ISBN: i64 = 973;
        /// `"România"`
        pub const COUNTRY_NAME: &str = "România";
        /// `642`
        pub const COUNTRY_NUM: i64 = 642;
        /// `"RO"`
        pub const COUNTRY_POST: &str = "RO";
        /// `"ro"`
        pub const LANG_AB: &str = "ro";
        /// `"rum"`
        pub const LANG_LIB: &str = "rum";
        /// `"română"`
        pub const LANG_NAME: &str = "română";
        /// `"ron"`
        pub const LANG_TERM: &str = "ron";
        /// `"%f%N%a%d%N%s%t%h%N%b%t%e%t%r%N%z%t%T%N%S%t%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%d%N%s%t%h%N%b%t%e%t%r%N%z%t%T%N%S%t%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jorgens Alle 8, DK-1615 Kobenhavn V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jorgens Alle 8, DK-1615 Kobenhavn V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Romanian"`
        pub const LANGUAGE: &str = "Romanian";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Romania"`
        pub const TERRITORY: &str = "Romania";
        /// `"Romanian locale for Romania"`
        pub const TITLE: &str = "Romanian locale for Romania";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"nu"`
        pub const NOSTR: &str = "nu";
        /// `"^[+1DdYy]"`
        pub const YESEXPR: &str = "^[+1DdYy]";
        /// `"da"`
        pub const YESSTR: &str = "da";
    }
    pub mod LC_MONETARY {
        /// `"Lei"`
        pub const CURRENCY_SYMBOL: &str = "Lei";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"RON "`
        pub const INT_CURR_SYMBOL: &str = "RON ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"40"`
        pub const INT_PREFIX: &str = "40";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Du", "Lu", "Ma", "Mi", "Jo", "Vi", "Sb"]`
        pub const ABDAY: &[&str] = &["Du", "Lu", "Ma", "Mi", "Jo", "Vi", "Sb"];
        /// `&["ian", "feb", "mar", "apr", "mai", "iun", "iul", "aug", "sep", "oct", "nov", "dec"]`
        pub const ABMON: &[&str] = &["ian", "feb", "mar", "apr", "mai", "iun", "iul", "aug", "sep", "oct", "nov", "dec"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T %z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %z";
        /// `"%A %-e %B %Y, %H:%M:%S %z"`
        pub const DATE_FMT: &str = "%A %-e %B %Y, %H:%M:%S %z";
        /// `&["duminică", "luni", "marți", "miercuri", "joi", "vineri", "sâmbătă"]`
        pub const DAY: &[&str] = &["duminică", "luni", "marți", "miercuri", "joi", "vineri", "sâmbătă"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["ianuarie", "februarie", "martie", "aprilie", "mai", "iunie", "iulie", "august", "septembrie", "octombrie", "noiembrie", "decembrie"]`
        pub const MON: &[&str] = &["ianuarie", "februarie", "martie", "aprilie", "mai", "iunie", "iulie", "august", "septembrie", "octombrie", "noiembrie", "decembrie"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ru_RU {
    pub mod LC_ADDRESS {
        /// `"RU"`
        pub const COUNTRY_ABTWO: &str = "RU";
        /// `"RUS"`
        pub const COUNTRY_AB3: &str = "RUS";
        /// `"RUS"`
        pub const COUNTRY_CAR: &str = "RUS";
        /// `"Россия"`
        pub const COUNTRY_NAME: &str = "Россия";
        /// `643`
        pub const COUNTRY_NUM: i64 = 643;
        /// `"ru"`
        pub const LANG_AB: &str = "ru";
        /// `"rus"`
        pub const LANG_LIB: &str = "rus";
        /// `"русский"`
        pub const LANG_NAME: &str = "русский";
        /// `"rus"`
        pub const LANG_TERM: &str = "rus";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jorgens Alle 8, DK-1615 Kobenhavn V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jorgens Alle 8, DK-1615 Kobenhavn V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Russian"`
        pub const LANGUAGE: &str = "Russian";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Russia"`
        pub const TERRITORY: &str = "Russia";
        /// `"Russian locale for Russia"`
        pub const TITLE: &str = "Russian locale for Russia";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNНн]"`
        pub const NOEXPR: &str = "^[-0nNНн]";
        /// `"нет"`
        pub const NOSTR: &str = "нет";
        /// `"^[+1yYДд]"`
        pub const YESEXPR: &str = "^[+1yYДд]";
        /// `"да"`
        pub const YESSTR: &str = "да";
    }
    pub mod LC_MONETARY {
        /// `"₽"`
        pub const CURRENCY_SYMBOL: &str = "₽";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"RUB "`
        pub const INT_CURR_SYMBOL: &str = "RUB ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const THOUSANDS_SEP: &str = "\u{202f}";
    }
    pub mod LC_TELEPHONE {
        /// `"7"`
        pub const INT_PREFIX: &str = "7";
        /// `"0~10"`
        pub const INT_SELECT: &str = "0~10";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["янв", "фев", "мар", "апр", "май", "июн", "июл", "авг", "сен", "окт", "ноя", "дек"]`
        pub const AB_ALT_MON: &[&str] = &["янв", "фев", "мар", "апр", "май", "июн", "июл", "авг", "сен", "окт", "ноя", "дек"];
        /// `&["Вс", "Пн", "Вт", "Ср", "Чт", "Пт", "Сб"]`
        pub const ABDAY: &[&str] = &["Вс", "Пн", "Вт", "Ср", "Чт", "Пт", "Сб"];
        /// `&["янв", "фев", "мар", "апр", "мая", "июн", "июл", "авг", "сен", "окт", "ноя", "дек"]`
        pub const ABMON: &[&str] = &["янв", "фев", "мар", "апр", "мая", "июн", "июл", "авг", "сен", "окт", "ноя", "дек"];
        /// `&["Январь", "Февраль", "Март", "Апрель", "Май", "Июнь", "Июль", "Август", "Сентябрь", "Октябрь", "Ноябрь", "Декабрь"]`
        pub const ALT_MON: &[&str] = &["Январь", "Февраль", "Март", "Апрель", "Май", "Июнь", "Июль", "Август", "Сентябрь", "Октябрь", "Ноябрь", "Декабрь"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T";
        /// `&["Воскресенье", "Понедельник", "Вторник", "Среда", "Четверг", "Пятница", "Суббота"]`
        pub const DAY: &[&str] = &["Воскресенье", "Понедельник", "Вторник", "Среда", "Четверг", "Пятница", "Суббота"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["января", "февраля", "марта", "апреля", "мая", "июня", "июля", "августа", "сентября", "октября", "ноября", "декабря"]`
        pub const MON: &[&str] = &["января", "февраля", "марта", "апреля", "мая", "июня", "июля", "августа", "сентября", "октября", "ноября", "декабря"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ru_UA {
    pub mod LC_ADDRESS {
        /// `"UA"`
        pub const COUNTRY_ABTWO: &str = "UA";
        /// `"UKR"`
        pub const COUNTRY_AB3: &str = "UKR";
        /// `"UA"`
        pub const COUNTRY_CAR: &str = "UA";
        /// `"Украина"`
        pub const COUNTRY_NAME: &str = "Украина";
        /// `804`
        pub const COUNTRY_NUM: i64 = 804;
        /// `"ru"`
        pub const LANG_AB: &str = "ru";
        /// `"rus"`
        pub const LANG_LIB: &str = "rus";
        /// `"русский"`
        pub const LANG_NAME: &str = "русский";
        /// `"rus"`
        pub const LANG_TERM: &str = "rus";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Russian"`
        pub const LANGUAGE: &str = "Russian";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RFC 2319"`
        pub const SOURCE: &str = "RFC 2319";
        /// `""`
        pub const TEL: &str = "";
        /// `"Ukraine"`
        pub const TERRITORY: &str = "Ukraine";
        /// `"Russian locale for Ukraine"`
        pub const TITLE: &str = "Russian locale for Ukraine";
    }
    pub use super::ru_RU::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"₴"`
        pub const CURRENCY_SYMBOL: &str = "₴";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"UAH "`
        pub const INT_CURR_SYMBOL: &str = "UAH ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"380"`
        pub const INT_PREFIX: &str = "380";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub use super::ru_RU::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod rw_RW {
    pub mod LC_ADDRESS {
        /// `"RW"`
        pub const COUNTRY_ABTWO: &str = "RW";
        /// `"RWA"`
        pub const COUNTRY_AB3: &str = "RWA";
        /// `"RWA"`
        pub const COUNTRY_CAR: &str = "RWA";
        /// `"U Rwanda"`
        pub const COUNTRY_NAME: &str = "U Rwanda";
        /// `646`
        pub const COUNTRY_NUM: i64 = 646;
        /// `"rw"`
        pub const LANG_AB: &str = "rw";
        /// `"kin"`
        pub const LANG_LIB: &str = "kin";
        /// `"Kinyarwanda"`
        pub const LANG_NAME: &str = "Kinyarwanda";
        /// `"kin"`
        pub const LANG_TERM: &str = "kin";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Rwanda, Africa"`
        pub const ADDRESS: &str = "Rwanda, Africa";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"Steve Murphy"`
        pub const CONTACT: &str = "Steve Murphy";
        /// `"2004-02-24"`
        pub const DATE: &str = "2004-02-24";
        /// `"murf@e-tools.com"`
        pub const EMAIL: &str = "murf@e-tools.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Kinyarwanda"`
        pub const LANGUAGE: &str = "Kinyarwanda";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Rwanda"`
        pub const SOURCE: &str = "Rwanda";
        /// `""`
        pub const TEL: &str = "";
        /// `"Rwanda"`
        pub const TERRITORY: &str = "Rwanda";
        /// `"Kinyarwanda language locale for Rwanda"`
        pub const TITLE: &str = "Kinyarwanda language locale for Rwanda";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNoO]"`
        pub const NOEXPR: &str = "^[-0nNoO]";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
    }
    pub mod LC_MONETARY {
        /// `"FRw"`
        pub const CURRENCY_SYMBOL: &str = "FRw";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"RWF "`
        pub const INT_CURR_SYMBOL: &str = "RWF ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `-1`
        pub const GROUPING: i64 = -1;
        /// `""`
        pub const THOUSANDS_SEP: &str = "";
    }
    pub mod LC_TELEPHONE {
        /// `"250"`
        pub const INT_PREFIX: &str = "250";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%a%l"`
        pub const TEL_DOM_FMT: &str = "%a%l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Mwe", "Mbe", "Kab", "Gtu", "Kan", "Gnu", "Gnd"]`
        pub const ABDAY: &[&str] = &["Mwe", "Mbe", "Kab", "Gtu", "Kan", "Gnu", "Gnd"];
        /// `&["Mut", "Gas", "Wer", "Mat", "Gic", "Kam", "Nya", "Kan", "Nze", "Ukw", "Ugu", "Uku"]`
        pub const ABMON: &[&str] = &["Mut", "Gas", "Wer", "Mat", "Gic", "Kam", "Nya", "Kan", "Nze", "Ukw", "Ugu", "Uku"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Ku cyumweru", "Kuwa mbere", "Kuwa kabiri", "Kuwa gatatu", "Kuwa kane", "Kuwa gatanu", "Kuwa gatandatu"]`
        pub const DAY: &[&str] = &["Ku cyumweru", "Kuwa mbere", "Kuwa kabiri", "Kuwa gatatu", "Kuwa kane", "Kuwa gatanu", "Kuwa gatandatu"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Mutarama", "Gashyantare", "Werurwe", "Mata", "Gicuransi", "Kamena", "Nyakanga", "Kanama", "Nzeli", "Ukwakira", "Ugushyingo", "Ukuboza"]`
        pub const MON: &[&str] = &["Mutarama", "Gashyantare", "Werurwe", "Mata", "Gicuransi", "Kamena", "Nyakanga", "Kanama", "Nzeli", "Ukwakira", "Ugushyingo", "Ukuboza"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod sa_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"भारतम\u{94d}"`
        pub const COUNTRY_NAME: &str = "भारतम\u{94d}";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"sa"`
        pub const LANG_AB: &str = "sa";
        /// `"san"`
        pub const LANG_LIB: &str = "san";
        /// `"स\u{902}स\u{94d}क\u{943}तम\u{94d}"`
        pub const LANG_NAME: &str = "स\u{902}स\u{94d}क\u{943}तम\u{94d}";
        /// `"san"`
        pub const LANG_TERM: &str = "san";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Christian Perrier"`
        pub const CONTACT: &str = "Christian Perrier";
        /// `"2005-09-25"`
        pub const DATE: &str = "2005-09-25";
        /// `"bubulle@debian.org"`
        pub const EMAIL: &str = "bubulle@debian.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Sanskrit"`
        pub const LANGUAGE: &str = "Sanskrit";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"The Debian project"`
        pub const SOURCE: &str = "The Debian project";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Sanskrit language locale for India"`
        pub const TITLE: &str = "Sanskrit language locale for India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNन]"`
        pub const NOEXPR: &str = "^[-0nNन]";
        /// `"न"`
        pub const NOSTR: &str = "न";
        /// `"^[+1aAyYआ]"`
        pub const YESEXPR: &str = "^[+1aAyYआ]";
        /// `"आम\u{94d}"`
        pub const YESSTR: &str = "आम\u{94d}";
    }
    pub use super::hi_IN::LC_MONETARY;
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"91"`
        pub const INT_PREFIX: &str = "91";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["रविः", "सोम:", "म\u{902}गल:", "ब\u{941}ध:", "ब\u{943}हस\u{94d}पतिः", "श\u{941}क\u{94d}र", "शनि:"]`
        pub const ABDAY: &[&str] = &["रविः", "सोम:", "म\u{902}गल:", "ब\u{941}ध:", "ब\u{943}हस\u{94d}पतिः", "श\u{941}क\u{94d}र", "शनि:"];
        /// `&["जनवरी", "फ\u{93c}रवरी", "मार\u{94d}च", "अप\u{94d}र\u{947}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अक\u{94d}ट\u{942}बर", "नवम\u{94d}बर", "दिसम\u{94d}बर"]`
        pub const ABMON: &[&str] = &["जनवरी", "फ\u{93c}रवरी", "मार\u{94d}च", "अप\u{94d}र\u{947}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अक\u{94d}ट\u{942}बर", "नवम\u{94d}बर", "दिसम\u{94d}बर"];
        /// `&["प\u{942}र\u{94d}वाह\u{94d}न", "अपराह\u{94d}न"]`
        pub const AM_PM: &[&str] = &["प\u{942}र\u{94d}वाह\u{94d}न", "अपराह\u{94d}न"];
        /// `"%-d-%m-%y"`
        pub const D_FMT: &str = "%-d-%m-%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["रविवासर:", "सोमवासर:", "म\u{902}गलवासर:", "ब\u{941}धवासर:", "ब\u{943}हस\u{94d}पतिवासरः", "श\u{941}क\u{94d}रवासर", "शनिवासर:"]`
        pub const DAY: &[&str] = &["रविवासर:", "सोमवासर:", "म\u{902}गलवासर:", "ब\u{941}धवासर:", "ब\u{943}हस\u{94d}पतिवासरः", "श\u{941}क\u{94d}रवासर", "शनिवासर:"];
        /// `&["जनवरी", "फ\u{93c}रवरी", "मार\u{94d}च", "अप\u{94d}र\u{947}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अक\u{94d}ट\u{942}बर", "नवम\u{94d}बर", "दिसम\u{94d}बर"]`
        pub const MON: &[&str] = &["जनवरी", "फ\u{93c}रवरी", "मार\u{94d}च", "अप\u{94d}र\u{947}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अक\u{94d}ट\u{942}बर", "नवम\u{94d}बर", "दिसम\u{94d}बर"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod sah_RU {
    pub mod LC_ADDRESS {
        /// `"RU"`
        pub const COUNTRY_ABTWO: &str = "RU";
        /// `"RUS"`
        pub const COUNTRY_AB3: &str = "RUS";
        /// `"RUS"`
        pub const COUNTRY_CAR: &str = "RUS";
        /// `"Арассыыйа"`
        pub const COUNTRY_NAME: &str = "Арассыыйа";
        /// `643`
        pub const COUNTRY_NUM: i64 = 643;
        /// `""`
        pub const LANG_AB: &str = "";
        /// `"sah"`
        pub const LANG_LIB: &str = "sah";
        /// `"саха тыла"`
        pub const LANG_NAME: &str = "саха тыла";
        /// `"sah"`
        pub const LANG_TERM: &str = "sah";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"Valery Timiriliyev"`
        pub const CONTACT: &str = "Valery Timiriliyev";
        /// `"2018-07-06"`
        pub const DATE: &str = "2018-07-06";
        /// `"timiriliyev@gmail.com"`
        pub const EMAIL: &str = "timiriliyev@gmail.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Sakha"`
        pub const LANGUAGE: &str = "Sakha";
        /// `"1.1.0"`
        pub const REVISION: &str = "1.1.0";
        /// `"Valery Timiriliyev"`
        pub const SOURCE: &str = "Valery Timiriliyev";
        /// `""`
        pub const TEL: &str = "";
        /// `"Russian Federation"`
        pub const TERRITORY: &str = "Russian Federation";
        /// `"Sakha (Yakut) locale for Russian Federation"`
        pub const TITLE: &str = "Sakha (Yakut) locale for Russian Federation";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNнНсС]"`
        pub const NOEXPR: &str = "^[-0nNнНсС]";
        /// `"суох"`
        pub const NOSTR: &str = "суох";
        /// `"^[+1yYдДэЭ]"`
        pub const YESEXPR: &str = "^[+1yYдДэЭ]";
        /// `"ээх"`
        pub const YESSTR: &str = "ээх";
    }
    pub use super::ru_RU::LC_MONETARY;
    pub use super::ru_RU::LC_NUMERIC;
    pub use super::ru_RU::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["бс", "бн", "оп", "ср", "чп", "бт", "сб"]`
        pub const ABDAY: &[&str] = &["бс", "бн", "оп", "ср", "чп", "бт", "сб"];
        /// `&["тохс", "олун", "кул", "муус", "ыам", "бэс", "от", "атыр", "бал", "алт", "сэт", "ахс"]`
        pub const ABMON: &[&str] = &["тохс", "олун", "кул", "муус", "ыам", "бэс", "от", "атыр", "бал", "алт", "сэт", "ахс"];
        /// `&["тохсунньу", "олунньу", "кулун тутар", "муус устар", "ыам ыйа", "бэс ыйа", "от ыйа", "атырдьах ыйа", "балаҕан ыйа", "алтынньы", "сэтинньи", "ахсынньы"]`
        pub const ALT_MON: &[&str] = &["тохсунньу", "олунньу", "кулун тутар", "муус устар", "ыам ыйа", "бэс ыйа", "от ыйа", "атырдьах ыйа", "балаҕан ыйа", "алтынньы", "сэтинньи", "ахсынньы"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%Y.%m.%d"`
        pub const D_FMT: &str = "%Y.%m.%d";
        /// `"%a %Y %b %d %T (%Z)"`
        pub const D_T_FMT: &str = "%a %Y %b %d %T (%Z)";
        /// `"%a %Y с. %B %e к. %T (%Z)"`
        pub const DATE_FMT: &str = "%a %Y с. %B %e к. %T (%Z)";
        /// `&["баскыһыанньа", "бэнидиэнньик", "оптуорунньук", "сэрэдэ", "чэппиэр", "бээтинсэ", "субуота"]`
        pub const DAY: &[&str] = &["баскыһыанньа", "бэнидиэнньик", "оптуорунньук", "сэрэдэ", "чэппиэр", "бээтинсэ", "субуота"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `2`
        pub const FIRST_WORKDAY: i64 = 2;
        /// `&["тохсунньу", "олунньу", "кулун тутар", "муус устар", "ыам ыйын", "бэс ыйын", "от ыйын", "атырдьах ыйын", "балаҕан ыйын", "алтынньы", "сэтинньи", "ахсынньы"]`
        pub const MON: &[&str] = &["тохсунньу", "олунньу", "кулун тутар", "муус устар", "ыам ыйын", "бэс ыйын", "от ыйын", "атырдьах ыйын", "балаҕан ыйын", "алтынньы", "сэтинньи", "ахсынньы"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod sat_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"ᱥᱤᱧᱚᱛ"`
        pub const COUNTRY_NAME: &str = "ᱥᱤᱧᱚᱛ";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"sat"`
        pub const LANG_LIB: &str = "sat";
        /// `"ᱥᱟᱱᱛᱟᱲᱤ"`
        pub const LANG_NAME: &str = "ᱥᱟᱱᱛᱟᱲᱤ";
        /// `"sat"`
        pub const LANG_TERM: &str = "sat";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Level 1, Tower X, Cybercity, Magarpatta City, Hadapsar, Pune-411013 "`
        pub const ADDRESS: &str = "Level 1, Tower X, Cybercity, Magarpatta City, Hadapsar, Pune-411013 ";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2012-01-17"`
        pub const DATE: &str = "2012-01-17";
        /// `"libc-alpha@sourceware.org"`
        pub const EMAIL: &str = "libc-alpha@sourceware.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Santali"`
        pub const LANGUAGE: &str = "Santali";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Red Hat Pune"`
        pub const SOURCE: &str = "Red Hat Pune";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Santali language locale for India"`
        pub const TITLE: &str = "Santali language locale for India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNब]"`
        pub const NOEXPR: &str = "^[-0nNब]";
        /// `"बाङ"`
        pub const NOSTR: &str = "बाङ";
        /// `"^[+1yYह]"`
        pub const YESEXPR: &str = "^[+1yYह]";
        /// `"होय"`
        pub const YESSTR: &str = "होय";
    }
    pub use super::hi_IN::LC_MONETARY;
    pub use super::hi_IN::LC_NUMERIC;
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["सि\u{902}ग\u{947}", "ओत\u{947}", "बाल\u{947}", "साग\u{941}न", "सारदी", "जार\u{941}म", "ञ\u{941}ह\u{941}म"]`
        pub const ABDAY: &[&str] = &["सि\u{902}ग\u{947}", "ओत\u{947}", "बाल\u{947}", "साग\u{941}न", "सारदी", "जार\u{941}म", "ञ\u{941}ह\u{941}म"];
        /// `&["जनवरी", "फरवरी", "मार\u{94d}च", "अप\u{94d}र\u{947}ल", "मई", "ज\u{941}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अखथबर", "नवम\u{94d}बर", "दिसम\u{94d}बर"]`
        pub const ABMON: &[&str] = &["जनवरी", "फरवरी", "मार\u{94d}च", "अप\u{94d}र\u{947}ल", "मई", "ज\u{941}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अखथबर", "नवम\u{94d}बर", "दिसम\u{94d}बर"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["सि\u{902}ग\u{947}मा\u{901}हा\u{901}", "ओत\u{947}मा\u{901}हा\u{901}", "बाल\u{947}मा\u{901}हा\u{901}", "साग\u{941}नमा\u{901}हा\u{901}", "सारदीमा\u{901}हा\u{901}", "जार\u{941}ममा\u{901}हा\u{901}", "ञ\u{941}ह\u{941}ममा\u{901}हा\u{901}"]`
        pub const DAY: &[&str] = &["सि\u{902}ग\u{947}मा\u{901}हा\u{901}", "ओत\u{947}मा\u{901}हा\u{901}", "बाल\u{947}मा\u{901}हा\u{901}", "साग\u{941}नमा\u{901}हा\u{901}", "सारदीमा\u{901}हा\u{901}", "जार\u{941}ममा\u{901}हा\u{901}", "ञ\u{941}ह\u{941}ममा\u{901}हा\u{901}"];
        /// `&["जनवरी", "फरवरी", "मार\u{94d}च", "अप\u{94d}र\u{947}ल", "मई", "ज\u{941}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अखथबर", "नवम\u{94d}बर", "दिसम\u{94d}बर"]`
        pub const MON: &[&str] = &["जनवरी", "फरवरी", "मार\u{94d}च", "अप\u{94d}र\u{947}ल", "मई", "ज\u{941}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अखथबर", "नवम\u{94d}बर", "दिसम\u{94d}बर"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod sc_IT {
    pub mod LC_ADDRESS {
        /// `"IT"`
        pub const COUNTRY_ABTWO: &str = "IT";
        /// `"ITA"`
        pub const COUNTRY_AB3: &str = "ITA";
        /// `"I"`
        pub const COUNTRY_CAR: &str = "I";
        /// `"978-88,979-12"`
        pub const COUNTRY_ISBN: &str = "978-88,979-12";
        /// `"Itàlia"`
        pub const COUNTRY_NAME: &str = "Itàlia";
        /// `380`
        pub const COUNTRY_NUM: i64 = 380;
        /// `"sc"`
        pub const LANG_AB: &str = "sc";
        /// `"srd"`
        pub const LANG_LIB: &str = "srd";
        /// `"sardu"`
        pub const LANG_NAME: &str = "sardu";
        /// `"srd"`
        pub const LANG_TERM: &str = "srd";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Massimeddu Cireddu"`
        pub const CONTACT: &str = "Massimeddu Cireddu";
        /// `"2017-07-21"`
        pub const DATE: &str = "2017-07-21";
        /// `"massimeddu@gmail.com"`
        pub const EMAIL: &str = "massimeddu@gmail.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Sardinian"`
        pub const LANGUAGE: &str = "Sardinian";
        /// `"0.2"`
        pub const REVISION: &str = "0.2";
        /// `"Sardinian Translators Team"`
        pub const SOURCE: &str = "Sardinian Translators Team";
        /// `""`
        pub const TEL: &str = "";
        /// `"Italy"`
        pub const TERRITORY: &str = "Italy";
        /// `"Sardinian locale for Italy"`
        pub const TITLE: &str = "Sardinian locale for Italy";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"nono"`
        pub const NOSTR: &str = "nono";
        /// `"^[+1eEaAsSoOyY]"`
        pub const YESEXPR: &str = "^[+1eEaAsSoOyY]";
        /// `"eja"`
        pub const YESSTR: &str = "eja";
    }
    pub use super::it_IT::LC_MONETARY;
    pub use super::it_IT::LC_NUMERIC;
    pub use super::it_IT::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Dom", "Lun", "Mar", "Mèr", "Giò", "Che", "Sàb"]`
        pub const ABDAY: &[&str] = &["Dom", "Lun", "Mar", "Mèr", "Giò", "Che", "Sàb"];
        /// `&["Ghe", "Fre", "Mar", "Abr", "Maj", "Làm", "Arg", "Aus", "Cab", "Lad", "Onn", "Nad"]`
        pub const ABMON: &[&str] = &["Ghe", "Fre", "Mar", "Abr", "Maj", "Làm", "Arg", "Aus", "Cab", "Lad", "Onn", "Nad"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d. %m. %y"`
        pub const D_FMT: &str = "%d. %m. %y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `"%a %e %b %Y %H:%M:%S %Z"`
        pub const DATE_FMT: &str = "%a %e %b %Y %H:%M:%S %Z";
        /// `&["Domìnigu", "Lunis", "Martis", "Mèrcuris", "Giòbia", "Chenàbura", "Sàbadu"]`
        pub const DAY: &[&str] = &["Domìnigu", "Lunis", "Martis", "Mèrcuris", "Giòbia", "Chenàbura", "Sàbadu"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Ghennàrgiu", "Freàrgiu", "Martzu", "Abrile", "Maju", "Làmpadas", "Argiolas/Trìulas", "Austu", "Cabudanni", "Santugaine/Ladàmine", "Onniasantu/Santandria", "Nadale/Idas"]`
        pub const MON: &[&str] = &["Ghennàrgiu", "Freàrgiu", "Martzu", "Abrile", "Maju", "Làmpadas", "Argiolas/Trìulas", "Austu", "Cabudanni", "Santugaine/Ladàmine", "Onniasantu/Santandria", "Nadale/Idas"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod sd_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"انڊيا"`
        pub const COUNTRY_NAME: &str = "انڊيا";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"sd"`
        pub const LANG_AB: &str = "sd";
        /// `"snd"`
        pub const LANG_LIB: &str = "snd";
        /// `"سنڌي"`
        pub const LANG_NAME: &str = "سنڌي";
        /// `"snd"`
        pub const LANG_TERM: &str = "snd";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Marisfot III, Marigold Premises, East-Wing, Kalyaninagar, Pune, India-411014"`
        pub const ADDRESS: &str = "Marisfot III, Marigold Premises, East-Wing, Kalyaninagar, Pune, India-411014";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2008,September,09"`
        pub const DATE: &str = "2008,September,09";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Sindhi"`
        pub const LANGUAGE: &str = "Sindhi";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Red Hat, Pune"`
        pub const SOURCE: &str = "Red Hat, Pune";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Sindhi language locale for India"`
        pub const TITLE: &str = "Sindhi language locale for India";
    }
    pub use super::ar_EG::LC_MESSAGES;
    pub use super::hi_IN::LC_MONETARY;
    pub use super::hi_IN::LC_NUMERIC;
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["آرتوار\u{64f}", "سومر\u{64f}", "منگل\u{64f}", "ٻ\u{64f}ڌر\u{64f}", "وسپت", "ج\u{64f}مو", "ڇنڇر"]`
        pub const ABDAY: &[&str] = &["آرتوار\u{64f}", "سومر\u{64f}", "منگل\u{64f}", "ٻ\u{64f}ڌر\u{64f}", "وسپت", "ج\u{64f}مو", "ڇنڇر"];
        /// `&["جنوري", "فبروري", "مارچ", "اپريل", "مي", "جون", "جولاء\u{650}", "آگسٽ", "سيپٽيمبر", "آڪٽوبر", "نومبر", "ڊسمبر"]`
        pub const ABMON: &[&str] = &["جنوري", "فبروري", "مارچ", "اپريل", "مي", "جون", "جولاء\u{650}", "آگسٽ", "سيپٽيمبر", "آڪٽوبر", "نومبر", "ڊسمبر"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["آرتوار\u{64f}", "سومر\u{64f}", "منگل\u{64f}", "ٻ\u{64f}ڌر\u{64f}", "وسپت", "ج\u{64f}مو", "ڇنڇر"]`
        pub const DAY: &[&str] = &["آرتوار\u{64f}", "سومر\u{64f}", "منگل\u{64f}", "ٻ\u{64f}ڌر\u{64f}", "وسپت", "ج\u{64f}مو", "ڇنڇر"];
        /// `&["جنوري", "فبروري", "مارچ", "اپريل", "مي", "جون", "جولاء\u{650}", "آگسٽ", "سيپٽيمبر", "آڪٽوبر", "نومبر", "ڊسمبر"]`
        pub const MON: &[&str] = &["جنوري", "فبروري", "مارچ", "اپريل", "مي", "جون", "جولاء\u{650}", "آگسٽ", "سيپٽيمبر", "آڪٽوبر", "نومبر", "ڊسمبر"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod sd_IN_devanagari {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"भारत"`
        pub const COUNTRY_NAME: &str = "भारत";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"sd"`
        pub const LANG_AB: &str = "sd";
        /// `"snd"`
        pub const LANG_LIB: &str = "snd";
        /// `"सिन\u{94d}धी"`
        pub const LANG_NAME: &str = "सिन\u{94d}धी";
        /// `"snd"`
        pub const LANG_TERM: &str = "snd";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Marisfot III, Marigold Premises, East-Wing, Kalyaninagar, Pune, India-411014"`
        pub const ADDRESS: &str = "Marisfot III, Marigold Premises, East-Wing, Kalyaninagar, Pune, India-411014";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2008-08-26"`
        pub const DATE: &str = "2008-08-26";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Sindhi"`
        pub const LANGUAGE: &str = "Sindhi";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Red Hat, Pune"`
        pub const SOURCE: &str = "Red Hat, Pune";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Sindhi language locale for India"`
        pub const TITLE: &str = "Sindhi language locale for India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
    }
    pub use super::sd_IN::LC_MONETARY;
    pub use super::hi_IN::LC_NUMERIC;
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["आर\u{94d}तवार\u{942}", "स\u{942}मर\u{942}", "म\u{902}गल\u{942}", "ॿ\u{941}धर\u{942}", "विस\u{94d}पति", "ज\u{941}मो", "छ\u{902}छस"]`
        pub const ABDAY: &[&str] = &["आर\u{94d}तवार\u{942}", "स\u{942}मर\u{942}", "म\u{902}गल\u{942}", "ॿ\u{941}धर\u{942}", "विस\u{94d}पति", "ज\u{941}मो", "छ\u{902}छस"];
        /// `&["जनवरी", "फबरवरी", "मार\u{94d}चि", "अप\u{94d}र\u{947}ल", "म\u{947}", "ज\u{942}नि", "ज\u{942}लाइ", "आगस\u{94d}ट\u{941}", "स\u{947}प\u{94d}ट\u{947}\u{902}बर\u{942}", "आक\u{94d}ट\u{942}बर\u{942}", "नव\u{902}बर\u{942}", "ॾिस\u{902}बर\u{942}"]`
        pub const ABMON: &[&str] = &["जनवरी", "फबरवरी", "मार\u{94d}चि", "अप\u{94d}र\u{947}ल", "म\u{947}", "ज\u{942}नि", "ज\u{942}लाइ", "आगस\u{94d}ट\u{941}", "स\u{947}प\u{94d}ट\u{947}\u{902}बर\u{942}", "आक\u{94d}ट\u{942}बर\u{942}", "नव\u{902}बर\u{942}", "ॾिस\u{902}बर\u{942}"];
        /// `&["म.प\u{942}.", "म.न\u{902}."]`
        pub const AM_PM: &[&str] = &["म.प\u{942}.", "म.न\u{902}."];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["आर\u{94d}तवार\u{942}", "स\u{942}मर\u{942}", "म\u{902}गल\u{942}", "ॿ\u{941}धर\u{942}", "विस\u{94d}पति", "ज\u{941}मो", "छ\u{902}छस"]`
        pub const DAY: &[&str] = &["आर\u{94d}तवार\u{942}", "स\u{942}मर\u{942}", "म\u{902}गल\u{942}", "ॿ\u{941}धर\u{942}", "विस\u{94d}पति", "ज\u{941}मो", "छ\u{902}छस"];
        /// `&["जनवरी", "फबरवरी", "मार\u{94d}चि", "अप\u{94d}र\u{947}ल", "म\u{947}", "ज\u{942}नि", "ज\u{942}लाइ", "आगस\u{94d}ट\u{941}", "स\u{947}प\u{94d}ट\u{947}\u{902}बर\u{942}", "आक\u{94d}ट\u{942}बर\u{942}", "नव\u{902}बर\u{942}", "ॾिस\u{902}बर\u{942}"]`
        pub const MON: &[&str] = &["जनवरी", "फबरवरी", "मार\u{94d}चि", "अप\u{94d}र\u{947}ल", "म\u{947}", "ज\u{942}नि", "ज\u{942}लाइ", "आगस\u{94d}ट\u{941}", "स\u{947}प\u{94d}ट\u{947}\u{902}बर\u{942}", "आक\u{94d}ट\u{942}बर\u{942}", "नव\u{902}बर\u{942}", "ॾिस\u{902}बर\u{942}"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod se_NO {
    pub mod LC_ADDRESS {
        /// `"NO"`
        pub const COUNTRY_ABTWO: &str = "NO";
        /// `"NOR"`
        pub const COUNTRY_AB3: &str = "NOR";
        /// `"N"`
        pub const COUNTRY_CAR: &str = "N";
        /// `"Norga"`
        pub const COUNTRY_NAME: &str = "Norga";
        /// `578`
        pub const COUNTRY_NUM: i64 = 578;
        /// `"se"`
        pub const LANG_AB: &str = "se";
        /// `"sme"`
        pub const LANG_LIB: &str = "sme";
        /// `"davvisámegiella"`
        pub const LANG_NAME: &str = "davvisámegiella";
        /// `"sme"`
        pub const LANG_TERM: &str = "sme";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
        ];
        /// `"Børre Gaup"`
        pub const CONTACT: &str = "Børre Gaup";
        /// `"2001-11-09"`
        pub const DATE: &str = "2001-11-09";
        /// `"boerre.gaup@pc.nu"`
        pub const EMAIL: &str = "boerre.gaup@pc.nu";
        /// `""`
        pub const FAX: &str = "";
        /// `"Northern Sami"`
        pub const LANGUAGE: &str = "Northern Sami";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `"http://www.hum.uit.no/a/trond/loc.html"`
        pub const SOURCE: &str = "http://www.hum.uit.no/a/trond/loc.html";
        /// `""`
        pub const TEL: &str = "";
        /// `"Norway"`
        pub const TERRITORY: &str = "Norway";
        /// `"Northern Saami language locale for Norway"`
        pub const TITLE: &str = "Northern Saami language locale for Norway";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0IiNn]"`
        pub const NOEXPR: &str = "^[-0IiNn]";
        /// `"ii"`
        pub const NOSTR: &str = "ii";
        /// `"^[+1JjYy]"`
        pub const YESEXPR: &str = "^[+1JjYy]";
        /// `"jo"`
        pub const YESSTR: &str = "jo";
    }
    pub mod LC_MONETARY {
        /// `"kr"`
        pub const CURRENCY_SYMBOL: &str = "kr";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"NOK "`
        pub const INT_CURR_SYMBOL: &str = "NOK ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `4`
        pub const N_SIGN_POSN: i64 = 4;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `4`
        pub const P_SIGN_POSN: i64 = 4;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"47"`
        pub const INT_PREFIX: &str = "47";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%l"`
        pub const TEL_DOM_FMT: &str = "%l";
        /// `"+%c %l"`
        pub const TEL_INT_FMT: &str = "+%c %l";
    }
    pub mod LC_TIME {
        /// `&["sotn", "vuos", "maŋ", "gask", "duor", "bear", "láv"]`
        pub const ABDAY: &[&str] = &["sotn", "vuos", "maŋ", "gask", "duor", "bear", "láv"];
        /// `&["ođđj", "guov", "njuk", "cuoŋ", "mies", "geas", "suoi", "borg", "čakč", "golg", "skáb", "juov"]`
        pub const ABMON: &[&str] = &["ođđj", "guov", "njuk", "cuoŋ", "mies", "geas", "suoi", "borg", "čakč", "golg", "skáb", "juov"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%Y-%m-%d"`
        pub const D_FMT: &str = "%Y-%m-%d";
        /// `"%a, %b %e. b. %Y %T %Z"`
        pub const D_T_FMT: &str = "%a, %b %e. b. %Y %T %Z";
        /// `"%A, %B %d. b. %Y %H:%M:%S %Z"`
        pub const DATE_FMT: &str = "%A, %B %d. b. %Y %H:%M:%S %Z";
        /// `&["sotnabeaivi", "vuossárga", "maŋŋebarga", "gaskavahkku", "duorasdat", "bearjadat", "lávvardat"]`
        pub const DAY: &[&str] = &["sotnabeaivi", "vuossárga", "maŋŋebarga", "gaskavahkku", "duorasdat", "bearjadat", "lávvardat"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["ođđajagemánnu", "guovvamánnu", "njukčamánnu", "cuoŋománnu", "miessemánnu", "geassemánnu", "suoidnemánnu", "borgemánnu", "čakčamánnu", "golggotmánnu", "skábmamánnu", "juovlamánnu"]`
        pub const MON: &[&str] = &["ođđajagemánnu", "guovvamánnu", "njukčamánnu", "cuoŋománnu", "miessemánnu", "geassemánnu", "suoidnemánnu", "borgemánnu", "čakčamánnu", "golggotmánnu", "skábmamánnu", "juovlamánnu"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod sgs_LT {
    pub mod LC_ADDRESS {
        /// `"LT"`
        pub const COUNTRY_ABTWO: &str = "LT";
        /// `"LTU"`
        pub const COUNTRY_AB3: &str = "LTU";
        /// `"LT"`
        pub const COUNTRY_CAR: &str = "LT";
        /// `"Lietova"`
        pub const COUNTRY_NAME: &str = "Lietova";
        /// `440`
        pub const COUNTRY_NUM: i64 = 440;
        /// `"LT"`
        pub const COUNTRY_POST: &str = "LT";
        /// `"sgs"`
        pub const LANG_LIB: &str = "sgs";
        /// `"Žemaitėškā"`
        pub const LANG_NAME: &str = "Žemaitėškā";
        /// `"sgs"`
        pub const LANG_TERM: &str = "sgs";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Arnas Udovičius"`
        pub const CONTACT: &str = "Arnas Udovičius";
        /// `"2016-04-21"`
        pub const DATE: &str = "2016-04-21";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Samogitian"`
        pub const LANGUAGE: &str = "Samogitian";
        /// `"1.1"`
        pub const REVISION: &str = "1.1";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Lithuania"`
        pub const TERRITORY: &str = "Lithuania";
        /// `"Samogitian language locale for Lithuania"`
        pub const TITLE: &str = "Samogitian language locale for Lithuania";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0Nn]"`
        pub const NOEXPR: &str = "^[-0Nn]";
        /// `"nē"`
        pub const NOSTR: &str = "nē";
        /// `"^[+1TtYy]"`
        pub const YESEXPR: &str = "^[+1TtYy]";
        /// `"tǡp"`
        pub const YESSTR: &str = "tǡp";
    }
    pub use super::lt_LT::LC_MONETARY;
    pub use super::lt_LT::LC_NUMERIC;
    pub use super::lt_LT::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Nd", "Pn", "Ot", "Sr", "Čt", "Pt", "Sb"]`
        pub const ABDAY: &[&str] = &["Nd", "Pn", "Ot", "Sr", "Čt", "Pt", "Sb"];
        /// `&["Sau", "Vas", "Kuo", "Bal", "Geg", "Bėr", "Lëp", "Rgp", "Sie", "Spa", "Lap", "Grd"]`
        pub const ABMON: &[&str] = &["Sau", "Vas", "Kuo", "Bal", "Geg", "Bėr", "Lëp", "Rgp", "Sie", "Spa", "Lap", "Grd"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%Y.%m.%d"`
        pub const D_FMT: &str = "%Y.%m.%d";
        /// `"%Y m. %B %d d. %T"`
        pub const D_T_FMT: &str = "%Y m. %B %d d. %T";
        /// `&["nedielės dëna", "panedielis", "oterninks", "sereda", "četvergs", "petnīčė", "sobata"]`
        pub const DAY: &[&str] = &["nedielės dëna", "panedielis", "oterninks", "sereda", "četvergs", "petnīčė", "sobata"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["sausė", "vasarė", "kuova", "balondė", "gegožės", "bėrželė", "lëpas", "rogpjūtė", "siejės", "spalė", "lapkrėstė", "grůdė"]`
        pub const MON: &[&str] = &["sausė", "vasarė", "kuova", "balondė", "gegožės", "bėrželė", "lëpas", "rogpjūtė", "siejės", "spalė", "lapkrėstė", "grůdė"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod shn_MM {
    pub mod LC_ADDRESS {
        /// `"MM"`
        pub const COUNTRY_ABTWO: &str = "MM";
        /// `"MYA"`
        pub const COUNTRY_CAR: &str = "MYA";
        /// `"မ\u{102d}\u{1030}င\u{103a}းမၢၼ\u{103a}ႈ"`
        pub const COUNTRY_NAME: &str = "မ\u{102d}\u{1030}င\u{103a}းမၢၼ\u{103a}ႈ";
        /// `104`
        pub const COUNTRY_NUM: i64 = 104;
        /// `"Myanmar"`
        pub const COUNTRY_POST: &str = "Myanmar";
        /// `"shn"`
        pub const LANG_LIB: &str = "shn";
        /// `"လ\u{102d}ၵ\u{103a}ႈတ\u{1086}း"`
        pub const LANG_NAME: &str = "လ\u{102d}ၵ\u{103a}ႈတ\u{1086}း";
        /// `"shn"`
        pub const LANG_TERM: &str = "shn";
        /// `"%a%N%d%N%f%N%b%N%h%t%r%t%e%t%s%N%T%t%z%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%d%N%f%N%b%N%h%t%r%t%e%t%s%N%T%t%z%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Yangon, Myanmar"`
        pub const ADDRESS: &str = "Yangon, Myanmar";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_NAME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_NAME"],
        ];
        /// `"Bone Pyae Sone"`
        pub const CONTACT: &str = "Bone Pyae Sone";
        /// `"2012-07-01"`
        pub const DATE: &str = "2012-07-01";
        /// `"bone.burma@mail.com"`
        pub const EMAIL: &str = "bone.burma@mail.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Shan"`
        pub const LANGUAGE: &str = "Shan";
        /// `"1.3"`
        pub const REVISION: &str = "1.3";
        /// `"ubuntu Myanmar LoCo Team http:/www.ubuntu-mm.net"`
        pub const SOURCE: &str = "ubuntu Myanmar LoCo Team http:/www.ubuntu-mm.net";
        /// `""`
        pub const TEL: &str = "";
        /// `"Myanmar"`
        pub const TERRITORY: &str = "Myanmar";
        /// `"Shan language locale for Myanmar"`
        pub const TITLE: &str = "Shan language locale for Myanmar";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNမ]"`
        pub const NOEXPR: &str = "^[-0nNမ]";
        /// `"မဟ\u{102f}တ\u{103a}ဘ\u{1030}း"`
        pub const NOSTR: &str = "မဟ\u{102f}တ\u{103a}ဘ\u{1030}း";
        /// `"^[+1yYဟ]"`
        pub const YESEXPR: &str = "^[+1yYဟ]";
        /// `"ဟ\u{102f}တ\u{103a}တယ\u{103a}"`
        pub const YESSTR: &str = "ဟ\u{102f}တ\u{103a}တယ\u{103a}";
    }
    pub mod LC_MONETARY {
        /// `"Ks"`
        pub const CURRENCY_SYMBOL: &str = "Ks";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"MMK "`
        pub const INT_CURR_SYMBOL: &str = "MMK ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub use super::my_MM::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["တ\u{102d}တ\u{1037}\u{103a}", "ၸၼ\u{103a}", "ၵၢၼ\u{103a}း", "ပ\u{102f}တ\u{1037}\u{103a}", "ၽတ\u{103a}း", "သ\u{102f}ၵ\u{103a}း", "သဝ\u{103a}"]`
        pub const ABDAY: &[&str] = &["တ\u{102d}တ\u{1037}\u{103a}", "ၸၼ\u{103a}", "ၵၢၼ\u{103a}း", "ပ\u{102f}တ\u{1037}\u{103a}", "ၽတ\u{103a}း", "သ\u{102f}ၵ\u{103a}း", "သဝ\u{103a}"];
        /// `&["လ\u{102d}\u{1030}ၼ\u{103a}ၵမ\u{103a}", "လ\u{102d}\u{1030}ၼ\u{103a}သၢမ\u{103a}", "လ\u{102d}\u{1030}ၼ\u{103a}သ\u{102e}", "လ\u{102d}\u{1030}ၼ\u{103a}ႁႃႈ", "လ\u{102d}\u{1030}ၼ\u{103a}ႁ\u{1030}ၵ\u{103a}း", "လ\u{102d}\u{1030}ၼ\u{103a}ၸ\u{1035}တ\u{103a}း", "လ\u{102d}\u{1030}ၼ\u{103a}ပ\u{1085}တ\u{103a}ႇ", "လ\u{102d}\u{1030}ၼ\u{103a}ၵဝ\u{103a}ႈ", "လ\u{102d}\u{1030}ၼ\u{103a}သ\u{102d}ပ\u{103a}း", "လ\u{102d}\u{1030}ၼ\u{103a}သ\u{102d}ပ\u{103a}းဢ\u{102d}တ\u{103a}း", "လ\u{102d}\u{1030}ၼ\u{103a}သ\u{102d}ပ\u{103a}းဢ\u{102d}တ\u{103a}းသ\u{103d}င\u{103a}", "လ\u{102d}\u{1030}ၼ\u{103a}ၸ\u{1035}င\u{103a}"]`
        pub const ABMON: &[&str] = &["လ\u{102d}\u{1030}ၼ\u{103a}ၵမ\u{103a}", "လ\u{102d}\u{1030}ၼ\u{103a}သၢမ\u{103a}", "လ\u{102d}\u{1030}ၼ\u{103a}သ\u{102e}", "လ\u{102d}\u{1030}ၼ\u{103a}ႁႃႈ", "လ\u{102d}\u{1030}ၼ\u{103a}ႁ\u{1030}ၵ\u{103a}း", "လ\u{102d}\u{1030}ၼ\u{103a}ၸ\u{1035}တ\u{103a}း", "လ\u{102d}\u{1030}ၼ\u{103a}ပ\u{1085}တ\u{103a}ႇ", "လ\u{102d}\u{1030}ၼ\u{103a}ၵဝ\u{103a}ႈ", "လ\u{102d}\u{1030}ၼ\u{103a}သ\u{102d}ပ\u{103a}း", "လ\u{102d}\u{1030}ၼ\u{103a}သ\u{102d}ပ\u{103a}းဢ\u{102d}တ\u{103a}း", "လ\u{102d}\u{1030}ၼ\u{103a}သ\u{102d}ပ\u{103a}းဢ\u{102d}တ\u{103a}းသ\u{103d}င\u{103a}", "လ\u{102d}\u{1030}ၼ\u{103a}ၸ\u{1035}င\u{103a}"];
        /// `&["႐႐", "႐႑", "႐႒", "႐႓", "႐႔", "႐႕", "႐႖", "႐႗", "႐႘", "႐႙", "႑႐", "႑႑", "႑႒", "႑႓", "႑႔", "႑႕", "႑႖", "႑႗", "႑႘", "႑႙", "႒႐", "႒႑", "႒႒", "႒႓", "႒႔", "႒႕", "႒႖", "႒႗", "႒႘", "႒႙", "႓႐", "႓႑", "႓႒", "႓႓", "႓႔", "႓႕", "႓႖", "႓႗", "႓႘", "႓႙", "႔႐", "႔႑", "႔႒", "႔႓", "႔႔", "႔႕", "႔႖", "႔႗", "႔႘", "႔႙", "႕႐", "႕႑", "႕႒", "႕႓", "႕႔", "႕႕", "႕႖", "႕႗", "႕႘", "႕႙", "႖႐", "႖႑", "႖႒", "႖႓", "႖႔", "႖႕", "႖႖", "႖႗", "႖႘", "႖႙", "႗႐", "႗႑", "႗႒", "႗႓", "႗႔", "႗႕", "႗႖", "႗႗", "႗႘", "႗႙", "႘႐", "႘႑", "႘႒", "႘႓", "႘႔", "႘႕", "႘႖", "႘႗", "႘႘", "႘႙", "႙႐", "႙႑", "႙႒", "႙႓", "႙႔", "႙႕", "႙႖", "႙႗", "႙႘", "႙႙"]`
        pub const ALT_DIGITS: &[&str] = &["႐႐", "႐႑", "႐႒", "႐႓", "႐႔", "႐႕", "႐႖", "႐႗", "႐႘", "႐႙", "႑႐", "႑႑", "႑႒", "႑႓", "႑႔", "႑႕", "႑႖", "႑႗", "႑႘", "႑႙", "႒႐", "႒႑", "႒႒", "႒႓", "႒႔", "႒႕", "႒႖", "႒႗", "႒႘", "႒႙", "႓႐", "႓႑", "႓႒", "႓႓", "႓႔", "႓႕", "႓႖", "႓႗", "႓႘", "႓႙", "႔႐", "႔႑", "႔႒", "႔႓", "႔႔", "႔႕", "႔႖", "႔႗", "႔႘", "႔႙", "႕႐", "႕႑", "႕႒", "႕႓", "႕႔", "႕႕", "႕႖", "႕႗", "႕႘", "႕႙", "႖႐", "႖႑", "႖႒", "႖႓", "႖႔", "႖႕", "႖႖", "႖႗", "႖႘", "႖႙", "႗႐", "႗႑", "႗႒", "႗႓", "႗႔", "႗႕", "႗႖", "႗႗", "႗႘", "႗႙", "႘႐", "႘႑", "႘႒", "႘႓", "႘႔", "႘႕", "႘႖", "႘႗", "႘႘", "႘႙", "႙႐", "႙႑", "႙႒", "႙႓", "႙႔", "႙႕", "႙႖", "႙႗", "႙႘", "႙႙"];
        /// `&["ၵၢင\u{103a}ၼ\u{1082}\u{103a}", "တၢမ\u{103a}းၶမ\u{103a}ႈ"]`
        pub const AM_PM: &[&str] = &["ၵၢင\u{103a}ၼ\u{1082}\u{103a}", "တၢမ\u{103a}းၶမ\u{103a}ႈ"];
        /// `"%OC%Oy %b %Od %A"`
        pub const D_FMT: &str = "%OC%Oy %b %Od %A";
        /// `"%OC%Oy %b %Od %A %OI:%OM:%OS %Op %Z"`
        pub const D_T_FMT: &str = "%OC%Oy %b %Od %A %OI:%OM:%OS %Op %Z";
        /// `&["ဝၼ\u{103a}းဢႃးတ\u{102d}တ\u{103a}ႉ", "ဝၼ\u{103a}းၸၼ\u{103a}", "ဝၼ\u{103a}း\u{200b}ဢၢင\u{103a}း\u{200b}ၵၢၼ\u{103a}း", "ဝၼ\u{103a}းပ\u{1030}တ\u{103a}ႉ", "ဝၼ\u{103a}းၽတ\u{103a}း", "ဝၼ\u{103a}းသ\u{102f}ၵ\u{103a}း", "ဝၼ\u{103a}းသဝ\u{103a}"]`
        pub const DAY: &[&str] = &["ဝၼ\u{103a}းဢႃးတ\u{102d}တ\u{103a}ႉ", "ဝၼ\u{103a}းၸၼ\u{103a}", "ဝၼ\u{103a}း\u{200b}ဢၢင\u{103a}း\u{200b}ၵၢၼ\u{103a}း", "ဝၼ\u{103a}းပ\u{1030}တ\u{103a}ႉ", "ဝၼ\u{103a}းၽတ\u{103a}း", "ဝၼ\u{103a}းသ\u{102f}ၵ\u{103a}း", "ဝၼ\u{103a}းသဝ\u{103a}"];
        /// `&["လ\u{102d}\u{1030}ၼ\u{103a}ၵမ\u{103a}", "လ\u{102d}\u{1030}ၼ\u{103a}သၢမ\u{103a}", "လ\u{102d}\u{1030}ၼ\u{103a}သ\u{102e}", "လ\u{102d}\u{1030}ၼ\u{103a}ႁႃႈ", "လ\u{102d}\u{1030}ၼ\u{103a}ႁ\u{1030}ၵ\u{103a}း", "လ\u{102d}\u{1030}ၼ\u{103a}ၸ\u{1035}တ\u{103a}း", "လ\u{102d}\u{1030}ၼ\u{103a}ပ\u{1085}တ\u{103a}ႇ", "လ\u{102d}\u{1030}ၼ\u{103a}ၵဝ\u{103a}ႈ", "လ\u{102d}\u{1030}ၼ\u{103a}သ\u{102d}ပ\u{103a}း", "လ\u{102d}\u{1030}ၼ\u{103a}သ\u{102d}ပ\u{103a}းဢ\u{102d}တ\u{103a}း", "လ\u{102d}\u{1030}ၼ\u{103a}သ\u{102d}ပ\u{103a}းဢ\u{102d}တ\u{103a}းသ\u{103d}င\u{103a}", "လ\u{102d}\u{1030}ၼ\u{103a}ၸ\u{1035}င\u{103a}"]`
        pub const MON: &[&str] = &["လ\u{102d}\u{1030}ၼ\u{103a}ၵမ\u{103a}", "လ\u{102d}\u{1030}ၼ\u{103a}သၢမ\u{103a}", "လ\u{102d}\u{1030}ၼ\u{103a}သ\u{102e}", "လ\u{102d}\u{1030}ၼ\u{103a}ႁႃႈ", "လ\u{102d}\u{1030}ၼ\u{103a}ႁ\u{1030}ၵ\u{103a}း", "လ\u{102d}\u{1030}ၼ\u{103a}ၸ\u{1035}တ\u{103a}း", "လ\u{102d}\u{1030}ၼ\u{103a}ပ\u{1085}တ\u{103a}ႇ", "လ\u{102d}\u{1030}ၼ\u{103a}ၵဝ\u{103a}ႈ", "လ\u{102d}\u{1030}ၼ\u{103a}သ\u{102d}ပ\u{103a}း", "လ\u{102d}\u{1030}ၼ\u{103a}သ\u{102d}ပ\u{103a}းဢ\u{102d}တ\u{103a}း", "လ\u{102d}\u{1030}ၼ\u{103a}သ\u{102d}ပ\u{103a}းဢ\u{102d}တ\u{103a}းသ\u{103d}င\u{103a}", "လ\u{102d}\u{1030}ၼ\u{103a}ၸ\u{1035}င\u{103a}"];
        /// `"%OH:%OM:%OS %p"`
        pub const T_FMT: &str = "%OH:%OM:%OS %p";
        /// `"%OI:%OM:%OS %p"`
        pub const T_FMT_AMPM: &str = "%OI:%OM:%OS %p";
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod shs_CA {
    pub mod LC_ADDRESS {
        /// `"CA"`
        pub const COUNTRY_ABTWO: &str = "CA";
        /// `"CAN"`
        pub const COUNTRY_AB3: &str = "CAN";
        /// `"CDN"`
        pub const COUNTRY_CAR: &str = "CDN";
        /// `124`
        pub const COUNTRY_NUM: i64 = 124;
        /// `"shs"`
        pub const LANG_LIB: &str = "shs";
        /// `"Secwepemctsín"`
        pub const LANG_NAME: &str = "Secwepemctsín";
        /// `"shs"`
        pub const LANG_TERM: &str = "shs";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"745 Ska-Hiish Dr, Chase BC V0E 1M3"`
        pub const ADDRESS: &str = "745 Ska-Hiish Dr, Chase BC V0E 1M3";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2008-01-15"`
        pub const DATE: &str = "2008-01-15";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Shuswap"`
        pub const LANGUAGE: &str = "Shuswap";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Neskie Manuel"`
        pub const SOURCE: &str = "Neskie Manuel";
        /// `""`
        pub const TEL: &str = "";
        /// `"Canada"`
        pub const TERRITORY: &str = "Canada";
        /// `"Shuswap locale for Canada"`
        pub const TITLE: &str = "Shuswap locale for Canada";
    }
    pub use super::en_CA::LC_MESSAGES;
    pub use super::en_CA::LC_MONETARY;
    pub use super::en_CA::LC_NUMERIC;
    pub use super::en_CA::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Sxe", "Spe", "Sel", "Ske", "Sme", "Sts", "Stq"]`
        pub const ABDAY: &[&str] = &["Sxe", "Spe", "Sel", "Ske", "Sme", "Sts", "Stq"];
        /// `&["Kwe", "Tsi", "Sqe", "Éwt", "Ell", "Tsp", "Tqw", "Ct\u{313}é", "Qel", "Wél", "U7l", "Tet"]`
        pub const ABMON: &[&str] = &["Kwe", "Tsi", "Sqe", "Éwt", "Ell", "Tsp", "Tqw", "Ct\u{313}é", "Qel", "Wél", "U7l", "Tet"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %r %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %r %Z";
        /// `&["Sxetspesq\u{313}t", "Spetkesq\u{313}t", "Selesq\u{313}t", "Skellesq\u{313}t", "Smesesq\u{313}t", "Stselkstesq\u{313}t", "Stqmekstesq\u{313}t"]`
        pub const DAY: &[&str] = &["Sxetspesq\u{313}t", "Spetkesq\u{313}t", "Selesq\u{313}t", "Skellesq\u{313}t", "Smesesq\u{313}t", "Stselkstesq\u{313}t", "Stqmekstesq\u{313}t"];
        /// `&["Pellkwet\u{313}min", "Pelctsipwen\u{313}ten", "Pellsqépts", "Peslléwten", "Pell7ell7é7llqten", "Pelltspéntsk", "Pelltqwelq\u{313}wél\u{313}t", "Pellct\u{313}éxel\u{313}cten", "Pesqelqlélten", "Pesllwélsten", "Pellc7ell7é7llcwten\u{313}", "Pelltetétq\u{313}em"]`
        pub const MON: &[&str] = &["Pellkwet\u{313}min", "Pelctsipwen\u{313}ten", "Pellsqépts", "Peslléwten", "Pell7ell7é7llqten", "Pelltspéntsk", "Pelltqwelq\u{313}wél\u{313}t", "Pellct\u{313}éxel\u{313}cten", "Pesqelqlélten", "Pesllwélsten", "Pellc7ell7é7llcwten\u{313}", "Pelltetétq\u{313}em"];
        /// `"%r"`
        pub const T_FMT: &str = "%r";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod si_LK {
    pub mod LC_ADDRESS {
        /// `"LK"`
        pub const COUNTRY_ABTWO: &str = "LK";
        /// `"LKA"`
        pub const COUNTRY_AB3: &str = "LKA";
        /// `"CL"`
        pub const COUNTRY_CAR: &str = "CL";
        /// `"ශ\u{dca}\u{200d}ර\u{dd3} ලංක\u{dcf}ව"`
        pub const COUNTRY_NAME: &str = "ශ\u{dca}\u{200d}ර\u{dd3} ලංක\u{dcf}ව";
        /// `144`
        pub const COUNTRY_NUM: i64 = 144;
        /// `"si"`
        pub const LANG_AB: &str = "si";
        /// `"sin"`
        pub const LANG_LIB: &str = "sin";
        /// `"ස\u{dd2}ංහල"`
        pub const LANG_NAME: &str = "ස\u{dd2}ංහල";
        /// `"sin"`
        pub const LANG_TERM: &str = "sin";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2004.10.01"`
        pub const DATE: &str = "2004.10.01";
        /// `"libc-locales@sourceware.org"`
        pub const EMAIL: &str = "libc-locales@sourceware.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Sinhala"`
        pub const LANGUAGE: &str = "Sinhala";
        /// `"0.9"`
        pub const REVISION: &str = "0.9";
        /// `"Lanka Linux User Group (LKLUG) www.lug.lk, sinhala.linux.lk"`
        pub const SOURCE: &str = "Lanka Linux User Group (LKLUG) www.lug.lk, sinhala.linux.lk";
        /// `""`
        pub const TEL: &str = "";
        /// `"Sri Lanka"`
        pub const TERRITORY: &str = "Sri Lanka";
        /// `"Sinhala language locale for Sri Lanka"`
        pub const TITLE: &str = "Sinhala language locale for Sri Lanka";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNන]"`
        pub const NOEXPR: &str = "^[-0nNන]";
        /// `"නැත"`
        pub const NOSTR: &str = "නැත";
        /// `"^[+1yYඔ]"`
        pub const YESEXPR: &str = "^[+1yYඔ]";
        /// `"ඔව\u{dca}"`
        pub const YESSTR: &str = "ඔව\u{dca}";
    }
    pub mod LC_MONETARY {
        /// `"ර\u{dd4}"`
        pub const CURRENCY_SYMBOL: &str = "ර\u{dd4}";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"LKR "`
        pub const INT_CURR_SYMBOL: &str = "LKR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"94"`
        pub const INT_PREFIX: &str = "94";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"(%a) %l"`
        pub const TEL_DOM_FMT: &str = "(%a) %l";
        /// `"+%c (%a)\n %l"`
        pub const TEL_INT_FMT: &str = "+%c (%a)\n %l";
    }
    pub mod LC_TIME {
        /// `&["ඉ", "ස", "අ", "බ", "බ\u{dca}\u{200d}ර", "ස\u{dd2}", "සෙ"]`
        pub const ABDAY: &[&str] = &["ඉ", "ස", "අ", "බ", "බ\u{dca}\u{200d}ර", "ස\u{dd2}", "සෙ"];
        /// `&["ජන", "පෙබ", "ම\u{dcf}ර\u{dca}", "අප\u{dca}\u{200d}ර\u{dd2}", "මැය\u{dd2}", "ජ\u{dd6}න\u{dd2}", "ජ\u{dd6}ල\u{dd2}", "අගෝ", "සැප\u{dca}", "ඔක\u{dca}", "නෙවැ", "දෙසැ"]`
        pub const ABMON: &[&str] = &["ජන", "පෙබ", "ම\u{dcf}ර\u{dca}", "අප\u{dca}\u{200d}ර\u{dd2}", "මැය\u{dd2}", "ජ\u{dd6}න\u{dd2}", "ජ\u{dd6}ල\u{dd2}", "අගෝ", "සැප\u{dca}", "ඔක\u{dca}", "නෙවැ", "දෙසැ"];
        /// `&["පෙ.ව.", "ප.ව."]`
        pub const AM_PM: &[&str] = &["පෙ.ව.", "ප.ව."];
        /// `"%Y-%m-%d"`
        pub const D_FMT: &str = "%Y-%m-%d";
        /// `"%Y-%m-%d %H:%M:%S %z"`
        pub const D_T_FMT: &str = "%Y-%m-%d %H:%M:%S %z";
        /// `"%Y %B %e වැන\u{dd2} %A %H:%M:%S %z"`
        pub const DATE_FMT: &str = "%Y %B %e වැන\u{dd2} %A %H:%M:%S %z";
        /// `&["ඉර\u{dd2}ද\u{dcf}", "සඳ\u{dd4}ද\u{dcf}", "අඟහර\u{dd4}ව\u{dcf}ද\u{dcf}", "බද\u{dcf}ද\u{dcf}", "බ\u{dca}\u{200d}රහස\u{dca}පත\u{dd2}න\u{dca}ද\u{dcf}", "ස\u{dd2}ක\u{dd4}ර\u{dcf}ද\u{dcf}", "සෙනස\u{dd4}ර\u{dcf}ද\u{dcf}"]`
        pub const DAY: &[&str] = &["ඉර\u{dd2}ද\u{dcf}", "සඳ\u{dd4}ද\u{dcf}", "අඟහර\u{dd4}ව\u{dcf}ද\u{dcf}", "බද\u{dcf}ද\u{dcf}", "බ\u{dca}\u{200d}රහස\u{dca}පත\u{dd2}න\u{dca}ද\u{dcf}", "ස\u{dd2}ක\u{dd4}ර\u{dcf}ද\u{dcf}", "සෙනස\u{dd4}ර\u{dcf}ද\u{dcf}"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["ජනව\u{dcf}ර\u{dd2}", "පෙබරව\u{dcf}ර\u{dd2}", "ම\u{dcf}ර\u{dca}ත\u{dd4}", "අප\u{dca}\u{200d}රේල\u{dca}", "මැය\u{dd2}", "ජ\u{dd6}න\u{dd2}", "ජ\u{dd6}ල\u{dd2}", "අගෝස\u{dca}ත\u{dd4}", "සැප\u{dca}තැම\u{dca}බර\u{dca}", "ඔක\u{dca}තෝබර\u{dca}", "නොවැම\u{dca}බර\u{dca}", "දෙසැම\u{dca}බර\u{dca}"]`
        pub const MON: &[&str] = &["ජනව\u{dcf}ර\u{dd2}", "පෙබරව\u{dcf}ර\u{dd2}", "ම\u{dcf}ර\u{dca}ත\u{dd4}", "අප\u{dca}\u{200d}රේල\u{dca}", "මැය\u{dd2}", "ජ\u{dd6}න\u{dd2}", "ජ\u{dd6}ල\u{dd2}", "අගෝස\u{dca}ත\u{dd4}", "සැප\u{dca}තැම\u{dca}බර\u{dca}", "ඔක\u{dca}තෝබර\u{dca}", "නොවැම\u{dca}බර\u{dca}", "දෙසැම\u{dca}බර\u{dca}"];
        /// `"%H:%M:%S"`
        pub const T_FMT: &str = "%H:%M:%S";
        /// `"%p %I:%M:%S"`
        pub const T_FMT_AMPM: &str = "%p %I:%M:%S";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod sid_ET {
    pub mod LC_ADDRESS {
        /// `"ET"`
        pub const COUNTRY_ABTWO: &str = "ET";
        /// `"ETH"`
        pub const COUNTRY_AB3: &str = "ETH";
        /// `"ETH"`
        pub const COUNTRY_CAR: &str = "ETH";
        /// `"Itiyoophiya"`
        pub const COUNTRY_NAME: &str = "Itiyoophiya";
        /// `231`
        pub const COUNTRY_NUM: i64 = 231;
        /// `"ETH"`
        pub const COUNTRY_POST: &str = "ETH";
        /// `"sid"`
        pub const LANG_LIB: &str = "sid";
        /// `"Sidaamu Afo"`
        pub const LANG_NAME: &str = "Sidaamu Afo";
        /// `"sid"`
        pub const LANG_TERM: &str = "sid";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"7802 Solomon Seal Dr., Springfield, VA 22152, USA"`
        pub const ADDRESS: &str = "7802 Solomon Seal Dr., Springfield, VA 22152, USA";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_TIME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_TIME"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2003-07-05"`
        pub const DATE: &str = "2003-07-05";
        /// `"locales@geez.org"`
        pub const EMAIL: &str = "locales@geez.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Sidamo"`
        pub const LANGUAGE: &str = "Sidamo";
        /// `"0.20"`
        pub const REVISION: &str = "0.20";
        /// `"Ge\'ez Frontier Foundation"`
        pub const SOURCE: &str = "Ge\'ez Frontier Foundation";
        /// `""`
        pub const TEL: &str = "";
        /// `"Ethiopia"`
        pub const TERRITORY: &str = "Ethiopia";
        /// `"Sidama language locale for Ethiopia."`
        pub const TITLE: &str = "Sidama language locale for Ethiopia.";
    }
    pub use super::ti_ET::LC_MESSAGES;
    pub use super::ti_ET::LC_MONETARY;
    pub use super::ti_ET::LC_NUMERIC;
    pub use super::ti_ET::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Sam", "San", "Mak", "Row", "Ham", "Arb", "Qid"]`
        pub const ABDAY: &[&str] = &["Sam", "San", "Mak", "Row", "Ham", "Arb", "Qid"];
        /// `&["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"];
        /// `&["soodo", "hawwaro"]`
        pub const AM_PM: &[&str] = &["soodo", "hawwaro"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%A, %B %e, %Y %r %Z"`
        pub const D_T_FMT: &str = "%A, %B %e, %Y %r %Z";
        /// `"%A, %B %e, %r %Z %Y"`
        pub const DATE_FMT: &str = "%A, %B %e, %r %Z %Y";
        /// `&["Sambata", "Sanyo", "Maakisanyo", "Roowe", "Hamuse", "Arbe", "Qidaame"]`
        pub const DAY: &[&str] = &["Sambata", "Sanyo", "Maakisanyo", "Roowe", "Hamuse", "Arbe", "Qidaame"];
        /// `&["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]`
        pub const MON: &[&str] = &["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
        /// `"%l:%M:%S %p"`
        pub const T_FMT: &str = "%l:%M:%S %p";
        /// `"%l:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%l:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod sk_SK {
    pub mod LC_ADDRESS {
        /// `"SK"`
        pub const COUNTRY_ABTWO: &str = "SK";
        /// `"SVK"`
        pub const COUNTRY_AB3: &str = "SVK";
        /// `"SK"`
        pub const COUNTRY_CAR: &str = "SK";
        /// `"Slovensko"`
        pub const COUNTRY_NAME: &str = "Slovensko";
        /// `703`
        pub const COUNTRY_NUM: i64 = 703;
        /// `"sk"`
        pub const LANG_AB: &str = "sk";
        /// `"slo"`
        pub const LANG_LIB: &str = "slo";
        /// `"slovenčina"`
        pub const LANG_NAME: &str = "slovenčina";
        /// `"slk"`
        pub const LANG_TERM: &str = "slk";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Narcisová 56, SK-821 01 Bratislava, Slovak Republic"`
        pub const ADDRESS: &str = "Narcisová 56, SK-821 01 Bratislava, Slovak Republic";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Slovak"`
        pub const LANGUAGE: &str = "Slovak";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Slovakia"`
        pub const TERRITORY: &str = "Slovakia";
        /// `"Slovak locale for Slovak"`
        pub const TITLE: &str = "Slovak locale for Slovak";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"nie"`
        pub const NOSTR: &str = "nie";
        /// `"^[+1aAáÁyY]"`
        pub const YESEXPR: &str = "^[+1aAáÁyY]";
        /// `"áno"`
        pub const YESSTR: &str = "áno";
    }
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const THOUSANDS_SEP: &str = "\u{202f}";
    }
    pub mod LC_TELEPHONE {
        /// `"421"`
        pub const INT_PREFIX: &str = "421";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Ne", "Po", "Ut", "St", "Št", "Pi", "So"]`
        pub const ABDAY: &[&str] = &["Ne", "Po", "Ut", "St", "Št", "Pi", "So"];
        /// `&["jan", "feb", "mar", "apr", "máj", "jún", "júl", "aug", "sep", "okt", "nov", "dec"]`
        pub const ABMON: &[&str] = &["jan", "feb", "mar", "apr", "máj", "jún", "júl", "aug", "sep", "okt", "nov", "dec"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a\u{a0}%e.\u{a0}%B\u{a0}%Y,\u{a0}%H:%M:%S\u{a0}%Z"`
        pub const D_T_FMT: &str = "%a\u{a0}%e.\u{a0}%B\u{a0}%Y,\u{a0}%H:%M:%S\u{a0}%Z";
        /// `&["Nedeľa", "Pondelok", "Utorok", "Streda", "Štvrtok", "Piatok", "Sobota"]`
        pub const DAY: &[&str] = &["Nedeľa", "Pondelok", "Utorok", "Streda", "Štvrtok", "Piatok", "Sobota"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["január", "február", "marec", "apríl", "máj", "jún", "júl", "august", "september", "október", "november", "december"]`
        pub const MON: &[&str] = &["január", "február", "marec", "apríl", "máj", "jún", "júl", "august", "september", "október", "november", "december"];
        /// `"%H:%M:%S"`
        pub const T_FMT: &str = "%H:%M:%S";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod sl_SI {
    pub mod LC_ADDRESS {
        /// `"SI"`
        pub const COUNTRY_ABTWO: &str = "SI";
        /// `"SVN"`
        pub const COUNTRY_AB3: &str = "SVN";
        /// `"SLO"`
        pub const COUNTRY_CAR: &str = "SLO";
        /// `"Slovenija"`
        pub const COUNTRY_NAME: &str = "Slovenija";
        /// `705`
        pub const COUNTRY_NUM: i64 = 705;
        /// `"sl"`
        pub const LANG_AB: &str = "sl";
        /// `"slv"`
        pub const LANG_LIB: &str = "slv";
        /// `"slovenščina"`
        pub const LANG_NAME: &str = "slovenščina";
        /// `"slv"`
        pub const LANG_TERM: &str = "slv";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Kotnikova 6,, Ljubljana, Slovenia"`
        pub const ADDRESS: &str = "Kotnikova 6,, Ljubljana, Slovenia";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Slovenian"`
        pub const LANGUAGE: &str = "Slovenian";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"USM/MZT"`
        pub const SOURCE: &str = "USM/MZT";
        /// `""`
        pub const TEL: &str = "";
        /// `"Slovenia"`
        pub const TERRITORY: &str = "Slovenia";
        /// `"Slovenian locale for Slovenia"`
        pub const TITLE: &str = "Slovenian locale for Slovenia";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0Nn]"`
        pub const NOEXPR: &str = "^[-0Nn]";
        /// `"ne"`
        pub const NOSTR: &str = "ne";
        /// `"^[+1YyJj]"`
        pub const YESEXPR: &str = "^[+1YyJj]";
        /// `"da"`
        pub const YESSTR: &str = "da";
    }
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[0, 0]`
        pub const GROUPING: &[i64] = &[0, 0];
        /// `"\u{202f}"`
        pub const THOUSANDS_SEP: &str = "\u{202f}";
    }
    pub mod LC_TELEPHONE {
        /// `"386"`
        pub const INT_PREFIX: &str = "386";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["ned", "pon", "tor", "sre", "čet", "pet", "sob"]`
        pub const ABDAY: &[&str] = &["ned", "pon", "tor", "sre", "čet", "pet", "sob"];
        /// `&["jan", "feb", "mar", "apr", "maj", "jun", "jul", "avg", "sep", "okt", "nov", "dec"]`
        pub const ABMON: &[&str] = &["jan", "feb", "mar", "apr", "maj", "jun", "jul", "avg", "sep", "okt", "nov", "dec"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d. %m. %Y"`
        pub const D_FMT: &str = "%d. %m. %Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["nedelja", "ponedeljek", "torek", "sreda", "četrtek", "petek", "sobota"]`
        pub const DAY: &[&str] = &["nedelja", "ponedeljek", "torek", "sreda", "četrtek", "petek", "sobota"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["januar", "februar", "marec", "april", "maj", "junij", "julij", "avgust", "september", "oktober", "november", "december"]`
        pub const MON: &[&str] = &["januar", "februar", "marec", "april", "maj", "junij", "julij", "avgust", "september", "oktober", "november", "december"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod sm_WS {
    pub mod LC_ADDRESS {
        /// `"WS"`
        pub const COUNTRY_ABTWO: &str = "WS";
        /// `"WSM"`
        pub const COUNTRY_AB3: &str = "WSM";
        /// `"Sāmoa"`
        pub const COUNTRY_NAME: &str = "Sāmoa";
        /// `882`
        pub const COUNTRY_NUM: i64 = 882;
        /// `"%a %N   %f %N   %d %N   %b %N   %h %s %e %\nr %N   %T, %c  %N"`
        pub const COUNTRY_POST: &str = "%a %N   %f %N   %d %N   %b %N   %h %s %e %\nr %N   %T, %c  %N";
        /// `"sm"`
        pub const LANG_AB: &str = "sm";
        /// `"smo"`
        pub const LANG_LIB: &str = "smo";
        /// `"Gagana faʻa Sāmoa"`
        pub const LANG_NAME: &str = "Gagana faʻa Sāmoa";
        /// `"smo"`
        pub const LANG_TERM: &str = "smo";
        /// `"%a%N%f%N%d%N%b%N%h %s %e %r%N%T, %S %z%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%f%N%d%N%b%N%h %s %e %r%N%T, %S %z%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2017-03-21"`
        pub const DATE: &str = "2017-03-21";
        /// `"akhilesh.k@samsung.com"`
        pub const EMAIL: &str = "akhilesh.k@samsung.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Samoan"`
        pub const LANGUAGE: &str = "Samoan";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `"Samsung Electronics Co., Ltd."`
        pub const SOURCE: &str = "Samsung Electronics Co., Ltd.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Samoa"`
        pub const TERRITORY: &str = "Samoa";
        /// `"Samoan language locale for Samoa"`
        pub const TITLE: &str = "Samoan language locale for Samoa";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0lLnN]"`
        pub const NOEXPR: &str = "^[-0lLnN]";
        /// `"leai"`
        pub const NOSTR: &str = "leai";
        /// `"^[+1iIyY]"`
        pub const YESEXPR: &str = "^[+1iIyY]";
        /// `"ioe"`
        pub const YESSTR: &str = "ioe";
    }
    pub mod LC_MONETARY {
        /// `"WS$"`
        pub const CURRENCY_SYMBOL: &str = "WS$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"WST "`
        pub const INT_CURR_SYMBOL: &str = "WST ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `1`
        pub const INT_N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const INT_P_SEP_BY_SPACE: i64 = 1;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"685"`
        pub const INT_PREFIX: &str = "685";
        /// `"0"`
        pub const INT_SELECT: &str = "0";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Aso Sa", "Aso Gaf", "Aso Lua", "Aso Lul", "Aso Tof", "Aso Far", "Aso To\'"]`
        pub const ABDAY: &[&str] = &["Aso Sa", "Aso Gaf", "Aso Lua", "Aso Lul", "Aso Tof", "Aso Far", "Aso To\'"];
        /// `&["Ian", "Fep", "Mat", "Ape", "Me", "Iun", "Iul", "Aug", "Set", "Oke", "Nov", "Tes"]`
        pub const ABMON: &[&str] = &["Ian", "Fep", "Mat", "Ape", "Me", "Iun", "Iul", "Aug", "Set", "Oke", "Nov", "Tes"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Aso Sa", "Aso Gafua", "Aso Lua", "Aso Lulu", "Aso Tofi", "Aso Farail", "Aso To\'ana\'i"]`
        pub const DAY: &[&str] = &["Aso Sa", "Aso Gafua", "Aso Lua", "Aso Lulu", "Aso Tofi", "Aso Farail", "Aso To\'ana\'i"];
        /// `&["Ianuari", "Fepuari", "Mati", "Aperila", "Me", "Iuni", "Iulai", "Auguso", "Setema", "Oketopa", "Novema", "Tesema"]`
        pub const MON: &[&str] = &["Ianuari", "Fepuari", "Mati", "Aperila", "Me", "Iuni", "Iulai", "Auguso", "Setema", "Oketopa", "Novema", "Tesema"];
        /// `"%r"`
        pub const T_FMT: &str = "%r";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod so_DJ {
    pub mod LC_ADDRESS {
        /// `"DJ"`
        pub const COUNTRY_ABTWO: &str = "DJ";
        /// `"DJI"`
        pub const COUNTRY_AB3: &str = "DJI";
        /// `"DJI"`
        pub const COUNTRY_CAR: &str = "DJI";
        /// `"Jabuuti"`
        pub const COUNTRY_NAME: &str = "Jabuuti";
        /// `262`
        pub const COUNTRY_NUM: i64 = 262;
        /// `"DJI"`
        pub const COUNTRY_POST: &str = "DJI";
        /// `"so"`
        pub const LANG_AB: &str = "so";
        /// `"som"`
        pub const LANG_LIB: &str = "som";
        /// `"Soomaali"`
        pub const LANG_NAME: &str = "Soomaali";
        /// `"som"`
        pub const LANG_TERM: &str = "som";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"7802 Solomon Seal Dr., Springfield, VA 22152, USA"`
        pub const ADDRESS: &str = "7802 Solomon Seal Dr., Springfield, VA 22152, USA";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_TIME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_TIME"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2003-07-05"`
        pub const DATE: &str = "2003-07-05";
        /// `"locales@geez.org"`
        pub const EMAIL: &str = "locales@geez.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Somali"`
        pub const LANGUAGE: &str = "Somali";
        /// `"0.20"`
        pub const REVISION: &str = "0.20";
        /// `"Ge\'ez Frontier Foundation"`
        pub const SOURCE: &str = "Ge\'ez Frontier Foundation";
        /// `""`
        pub const TEL: &str = "";
        /// `"Djibouti"`
        pub const TERRITORY: &str = "Djibouti";
        /// `"Somali language locale for Djibouti."`
        pub const TITLE: &str = "Somali language locale for Djibouti.";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"maya"`
        pub const NOSTR: &str = "maya";
        /// `"^[+1oOyY]"`
        pub const YESEXPR: &str = "^[+1oOyY]";
        /// `"haa"`
        pub const YESSTR: &str = "haa";
    }
    pub use super::aa_DJ::LC_MONETARY;
    pub use super::aa_DJ::LC_NUMERIC;
    pub use super::aa_DJ::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Axd", "Isn", "Tal", "Arb", "Kha", "Jim", "Sab"]`
        pub const ABDAY: &[&str] = &["Axd", "Isn", "Tal", "Arb", "Kha", "Jim", "Sab"];
        /// `&["Kob", "Lab", "Sad", "Afr", "Sha", "Lix", "Tod", "Sid", "Sag", "Tob", "KIT", "LIT"]`
        pub const ABMON: &[&str] = &["Kob", "Lab", "Sad", "Afr", "Sha", "Lix", "Tod", "Sid", "Sag", "Tob", "KIT", "LIT"];
        /// `&["subaxnimo", "galabnimo"]`
        pub const AM_PM: &[&str] = &["subaxnimo", "galabnimo"];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %r %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %r %Z";
        /// `"%a %b %e %r %Z %Y"`
        pub const DATE_FMT: &str = "%a %b %e %r %Z %Y";
        /// `&["Axad", "Isniin", "Salaaso", "Arbaco", "Khamiis", "Jimco", "Sabti"]`
        pub const DAY: &[&str] = &["Axad", "Isniin", "Salaaso", "Arbaco", "Khamiis", "Jimco", "Sabti"];
        /// `7`
        pub const FIRST_WEEKDAY: i64 = 7;
        /// `&["Bisha Koobaad", "Bisha Labaad", "Bisha Saddexaad", "Bisha Afraad", "Bisha Shanaad", "Bisha Lixaad", "Bisha Todobaad", "Bisha Sideedaad", "Bisha Sagaalaad", "Bisha Tobnaad", "Bisha Kow iyo Tobnaad", "Bisha Laba iyo Tobnaad"]`
        pub const MON: &[&str] = &["Bisha Koobaad", "Bisha Labaad", "Bisha Saddexaad", "Bisha Afraad", "Bisha Shanaad", "Bisha Lixaad", "Bisha Todobaad", "Bisha Sideedaad", "Bisha Sagaalaad", "Bisha Tobnaad", "Bisha Kow iyo Tobnaad", "Bisha Laba iyo Tobnaad"];
        /// `"%l:%M:%S %p"`
        pub const T_FMT: &str = "%l:%M:%S %p";
        /// `"%l:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%l:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod so_ET {
    pub mod LC_ADDRESS {
        /// `"ET"`
        pub const COUNTRY_ABTWO: &str = "ET";
        /// `"ETH"`
        pub const COUNTRY_AB3: &str = "ETH";
        /// `"ETH"`
        pub const COUNTRY_CAR: &str = "ETH";
        /// `"Itoobiya"`
        pub const COUNTRY_NAME: &str = "Itoobiya";
        /// `231`
        pub const COUNTRY_NUM: i64 = 231;
        /// `"ETH"`
        pub const COUNTRY_POST: &str = "ETH";
        /// `"so"`
        pub const LANG_AB: &str = "so";
        /// `"som"`
        pub const LANG_LIB: &str = "som";
        /// `"Soomaali"`
        pub const LANG_NAME: &str = "Soomaali";
        /// `"som"`
        pub const LANG_TERM: &str = "som";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"7802 Solomon Seal Dr., Springfield, VA 22152, USA"`
        pub const ADDRESS: &str = "7802 Solomon Seal Dr., Springfield, VA 22152, USA";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_TIME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_TIME"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2003-07-05"`
        pub const DATE: &str = "2003-07-05";
        /// `"locales@geez.org"`
        pub const EMAIL: &str = "locales@geez.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Somali"`
        pub const LANGUAGE: &str = "Somali";
        /// `"0.20"`
        pub const REVISION: &str = "0.20";
        /// `"Ge\'ez Frontier Foundation"`
        pub const SOURCE: &str = "Ge\'ez Frontier Foundation";
        /// `""`
        pub const TEL: &str = "";
        /// `"Ethiopia"`
        pub const TERRITORY: &str = "Ethiopia";
        /// `"Somali language locale for Ethiopia"`
        pub const TITLE: &str = "Somali language locale for Ethiopia";
    }
    pub use super::ti_ET::LC_MESSAGES;
    pub use super::ti_ET::LC_MONETARY;
    pub use super::ti_ET::LC_NUMERIC;
    pub use super::ti_ET::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Axd", "Isn", "Sal", "Arb", "Kha", "Jim", "Sab"]`
        pub const ABDAY: &[&str] = &["Axd", "Isn", "Sal", "Arb", "Kha", "Jim", "Sab"];
        /// `&["Kob", "Lab", "Sad", "Afr", "Sha", "Lix", "Tod", "Sid", "Sag", "Tob", "KIT", "LIT"]`
        pub const ABMON: &[&str] = &["Kob", "Lab", "Sad", "Afr", "Sha", "Lix", "Tod", "Sid", "Sag", "Tob", "KIT", "LIT"];
        /// `&["subaxnimo", "galabnimo"]`
        pub const AM_PM: &[&str] = &["subaxnimo", "galabnimo"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%A, %B %e, %Y %r %Z"`
        pub const D_T_FMT: &str = "%A, %B %e, %Y %r %Z";
        /// `"%A, %B %e, %r %Z %Y"`
        pub const DATE_FMT: &str = "%A, %B %e, %r %Z %Y";
        /// `&["Axad", "Isniin", "Salaaso", "Arbaco", "Khamiis", "Jimco", "Sabti"]`
        pub const DAY: &[&str] = &["Axad", "Isniin", "Salaaso", "Arbaco", "Khamiis", "Jimco", "Sabti"];
        /// `&["Bisha Koobaad", "Bisha Labaad", "Bisha Saddexaad", "Bisha Afraad", "Bisha Shanaad", "Bisha Lixaad", "Bisha Todobaad", "Bisha Sideedaad", "Bisha Sagaalaad", "Bisha Tobnaad", "Bisha Kow iyo Tobnaad", "Bisha Laba iyo Tobnaad"]`
        pub const MON: &[&str] = &["Bisha Koobaad", "Bisha Labaad", "Bisha Saddexaad", "Bisha Afraad", "Bisha Shanaad", "Bisha Lixaad", "Bisha Todobaad", "Bisha Sideedaad", "Bisha Sagaalaad", "Bisha Tobnaad", "Bisha Kow iyo Tobnaad", "Bisha Laba iyo Tobnaad"];
        /// `"%l:%M:%S %p"`
        pub const T_FMT: &str = "%l:%M:%S %p";
        /// `"%l:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%l:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod so_KE {
    pub mod LC_ADDRESS {
        /// `"KE"`
        pub const COUNTRY_ABTWO: &str = "KE";
        /// `"KEN"`
        pub const COUNTRY_AB3: &str = "KEN";
        /// `"EAK"`
        pub const COUNTRY_CAR: &str = "EAK";
        /// `"Kiiniya"`
        pub const COUNTRY_NAME: &str = "Kiiniya";
        /// `404`
        pub const COUNTRY_NUM: i64 = 404;
        /// `"KEN"`
        pub const COUNTRY_POST: &str = "KEN";
        /// `"so"`
        pub const LANG_AB: &str = "so";
        /// `"som"`
        pub const LANG_LIB: &str = "som";
        /// `"Soomaali"`
        pub const LANG_NAME: &str = "Soomaali";
        /// `"som"`
        pub const LANG_TERM: &str = "som";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"7802 Solomon Seal Dr., Springfield, VA 22152, USA"`
        pub const ADDRESS: &str = "7802 Solomon Seal Dr., Springfield, VA 22152, USA";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_TIME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_TIME"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2003-07-05"`
        pub const DATE: &str = "2003-07-05";
        /// `"locales@geez.org"`
        pub const EMAIL: &str = "locales@geez.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Somali"`
        pub const LANGUAGE: &str = "Somali";
        /// `"0.20"`
        pub const REVISION: &str = "0.20";
        /// `"Ge\'ez Frontier Foundation"`
        pub const SOURCE: &str = "Ge\'ez Frontier Foundation";
        /// `""`
        pub const TEL: &str = "";
        /// `"Kenya"`
        pub const TERRITORY: &str = "Kenya";
        /// `"Somali language locale for Kenya"`
        pub const TITLE: &str = "Somali language locale for Kenya";
    }
    pub use super::so_SO::LC_MESSAGES;
    pub use super::om_KE::LC_MONETARY;
    pub use super::om_KE::LC_NUMERIC;
    pub use super::om_KE::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Axd", "Isn", "Sal", "Arb", "Kha", "Jim", "Sab"]`
        pub const ABDAY: &[&str] = &["Axd", "Isn", "Sal", "Arb", "Kha", "Jim", "Sab"];
        /// `&["Kob", "Lab", "Sad", "Afr", "Sha", "Lix", "Tod", "Sid", "Sag", "Tob", "KIT", "LIT"]`
        pub const ABMON: &[&str] = &["Kob", "Lab", "Sad", "Afr", "Sha", "Lix", "Tod", "Sid", "Sag", "Tob", "KIT", "LIT"];
        /// `&["subaxnimo", "galabnimo"]`
        pub const AM_PM: &[&str] = &["subaxnimo", "galabnimo"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%A, %B %e, %Y %X %Z"`
        pub const D_T_FMT: &str = "%A, %B %e, %Y %X %Z";
        /// `"%A, %B %e, %X %Z %Y"`
        pub const DATE_FMT: &str = "%A, %B %e, %X %Z %Y";
        /// `&["Axad", "Isniin", "Salaaso", "Arbaco", "Khamiis", "Jimco", "Sabti"]`
        pub const DAY: &[&str] = &["Axad", "Isniin", "Salaaso", "Arbaco", "Khamiis", "Jimco", "Sabti"];
        /// `&["Bisha Koobaad", "Bisha Labaad", "Bisha Saddexaad", "Bisha Afraad", "Bisha Shanaad", "Bisha Lixaad", "Bisha Todobaad", "Bisha Sideedaad", "Bisha Sagaalaad", "Bisha Tobnaad", "Bisha Kow iyo Tobnaad", "Bisha Laba iyo Tobnaad"]`
        pub const MON: &[&str] = &["Bisha Koobaad", "Bisha Labaad", "Bisha Saddexaad", "Bisha Afraad", "Bisha Shanaad", "Bisha Lixaad", "Bisha Todobaad", "Bisha Sideedaad", "Bisha Sagaalaad", "Bisha Tobnaad", "Bisha Kow iyo Tobnaad", "Bisha Laba iyo Tobnaad"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod so_SO {
    pub mod LC_ADDRESS {
        /// `"SO"`
        pub const COUNTRY_ABTWO: &str = "SO";
        /// `"SOM"`
        pub const COUNTRY_AB3: &str = "SOM";
        /// `"SO"`
        pub const COUNTRY_CAR: &str = "SO";
        /// `"Soomaaliya"`
        pub const COUNTRY_NAME: &str = "Soomaaliya";
        /// `706`
        pub const COUNTRY_NUM: i64 = 706;
        /// `"SOM"`
        pub const COUNTRY_POST: &str = "SOM";
        /// `"so"`
        pub const LANG_AB: &str = "so";
        /// `"som"`
        pub const LANG_LIB: &str = "som";
        /// `"Soomaali"`
        pub const LANG_NAME: &str = "Soomaali";
        /// `"som"`
        pub const LANG_TERM: &str = "som";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"7802 Solomon Seal Dr., Springfield, VA 22152, USA"`
        pub const ADDRESS: &str = "7802 Solomon Seal Dr., Springfield, VA 22152, USA";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_TIME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_TIME"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2003-07-05"`
        pub const DATE: &str = "2003-07-05";
        /// `"locales@geez.org"`
        pub const EMAIL: &str = "locales@geez.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Somali"`
        pub const LANGUAGE: &str = "Somali";
        /// `"0.20"`
        pub const REVISION: &str = "0.20";
        /// `"Ge\'ez Frontier Foundation"`
        pub const SOURCE: &str = "Ge\'ez Frontier Foundation";
        /// `""`
        pub const TEL: &str = "";
        /// `"Somalia"`
        pub const TERRITORY: &str = "Somalia";
        /// `"Somali language locale for Somalia"`
        pub const TITLE: &str = "Somali language locale for Somalia";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"maya"`
        pub const NOSTR: &str = "maya";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
        /// `"haa"`
        pub const YESSTR: &str = "haa";
    }
    pub mod LC_MONETARY {
        /// `"S"`
        pub const CURRENCY_SYMBOL: &str = "S";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"SOS "`
        pub const INT_CURR_SYMBOL: &str = "SOS ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"252"`
        pub const INT_PREFIX: &str = "252";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%a-%l"`
        pub const TEL_DOM_FMT: &str = "%a-%l";
        /// `"%c-%a-%l"`
        pub const TEL_INT_FMT: &str = "%c-%a-%l";
    }
    pub mod LC_TIME {
        /// `&["Axd", "Isn", "Sal", "Arb", "Kha", "Jim", "Sab"]`
        pub const ABDAY: &[&str] = &["Axd", "Isn", "Sal", "Arb", "Kha", "Jim", "Sab"];
        /// `&["Kob", "Lab", "Sad", "Afr", "Sha", "Lix", "Tod", "Sid", "Sag", "Tob", "KIT", "LIT"]`
        pub const ABMON: &[&str] = &["Kob", "Lab", "Sad", "Afr", "Sha", "Lix", "Tod", "Sid", "Sag", "Tob", "KIT", "LIT"];
        /// `&["subaxnimo", "galabnimo"]`
        pub const AM_PM: &[&str] = &["subaxnimo", "galabnimo"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%A, %B %e, %Y %r %Z"`
        pub const D_T_FMT: &str = "%A, %B %e, %Y %r %Z";
        /// `"%A, %B %e, %r %Z %Y"`
        pub const DATE_FMT: &str = "%A, %B %e, %r %Z %Y";
        /// `&["Axad", "Isniin", "Salaaso", "Arbaco", "Khamiis", "Jimco", "Sabti"]`
        pub const DAY: &[&str] = &["Axad", "Isniin", "Salaaso", "Arbaco", "Khamiis", "Jimco", "Sabti"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Bisha Koobaad", "Bisha Labaad", "Bisha Saddexaad", "Bisha Afraad", "Bisha Shanaad", "Bisha Lixaad", "Bisha Todobaad", "Bisha Sideedaad", "Bisha Sagaalaad", "Bisha Tobnaad", "Bisha Kow iyo Tobnaad", "Bisha Laba iyo Tobnaad"]`
        pub const MON: &[&str] = &["Bisha Koobaad", "Bisha Labaad", "Bisha Saddexaad", "Bisha Afraad", "Bisha Shanaad", "Bisha Lixaad", "Bisha Todobaad", "Bisha Sideedaad", "Bisha Sagaalaad", "Bisha Tobnaad", "Bisha Kow iyo Tobnaad", "Bisha Laba iyo Tobnaad"];
        /// `"%l:%M:%S %p"`
        pub const T_FMT: &str = "%l:%M:%S %p";
        /// `"%l:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%l:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod sq_AL {
    pub mod LC_ADDRESS {
        /// `"AL"`
        pub const COUNTRY_ABTWO: &str = "AL";
        /// `"ALB"`
        pub const COUNTRY_AB3: &str = "ALB";
        /// `"AL"`
        pub const COUNTRY_CAR: &str = "AL";
        /// `"Shqipëri"`
        pub const COUNTRY_NAME: &str = "Shqipëri";
        /// `8`
        pub const COUNTRY_NUM: i64 = 8;
        /// `"sq"`
        pub const LANG_AB: &str = "sq";
        /// `"alb"`
        pub const LANG_LIB: &str = "alb";
        /// `"shqip"`
        pub const LANG_NAME: &str = "shqip";
        /// `"sqi"`
        pub const LANG_TERM: &str = "sqi";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2004-07-01"`
        pub const DATE: &str = "2004-07-01";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Albanian"`
        pub const LANGUAGE: &str = "Albanian";
        /// `"1.1"`
        pub const REVISION: &str = "1.1";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"Albania"`
        pub const TERRITORY: &str = "Albania";
        /// `"Albanian language locale for Albania"`
        pub const TITLE: &str = "Albanian language locale for Albania";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNjJ]"`
        pub const NOEXPR: &str = "^[-0nNjJ]";
        /// `"jo"`
        pub const NOSTR: &str = "jo";
        /// `"^[+1yYpP]"`
        pub const YESEXPR: &str = "^[+1yYpP]";
        /// `"po"`
        pub const YESSTR: &str = "po";
    }
    pub mod LC_MONETARY {
        /// `"L"`
        pub const CURRENCY_SYMBOL: &str = "L";
        /// `3`
        pub const FRAC_DIGITS: i64 = 3;
        /// `"ALL "`
        pub const INT_CURR_SYMBOL: &str = "ALL ";
        /// `3`
        pub const INT_FRAC_DIGITS: i64 = 3;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"355"`
        pub const INT_PREFIX: &str = "355";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["Die", "Hën", "Mar", "Mër", "Enj", "Pre", "Sht"]`
        pub const ABDAY: &[&str] = &["Die", "Hën", "Mar", "Mër", "Enj", "Pre", "Sht"];
        /// `&["Jan", "Shk", "Mar", "Pri", "Maj", "Qer", "Kor", "Gsh", "Sht", "Tet", "Nën", "Dhj"]`
        pub const ABMON: &[&str] = &["Jan", "Shk", "Mar", "Pri", "Maj", "Qer", "Kor", "Gsh", "Sht", "Tet", "Nën", "Dhj"];
        /// `&["PD", "MD"]`
        pub const AM_PM: &[&str] = &["PD", "MD"];
        /// `"%-d.%-m.%y"`
        pub const D_FMT: &str = "%-d.%-m.%y";
        /// `"%a %-d %b %Y %I:%M:%S.%p"`
        pub const D_T_FMT: &str = "%a %-d %b %Y %I:%M:%S.%p";
        /// `"%a %-d %b %Y %I:%M:%S.%p %Z"`
        pub const DATE_FMT: &str = "%a %-d %b %Y %I:%M:%S.%p %Z";
        /// `&["e diel", "e hënë", "e martë", "e mërkurë", "e enjte", "e premte", "e shtunë"]`
        pub const DAY: &[&str] = &["e diel", "e hënë", "e martë", "e mërkurë", "e enjte", "e premte", "e shtunë"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["janar", "shkurt", "mars", "prill", "maj", "qershor", "korrik", "gusht", "shtator", "tetor", "nëntor", "dhjetor"]`
        pub const MON: &[&str] = &["janar", "shkurt", "mars", "prill", "maj", "qershor", "korrik", "gusht", "shtator", "tetor", "nëntor", "dhjetor"];
        /// `"%I:%M:%S.%p %Z"`
        pub const T_FMT: &str = "%I:%M:%S.%p %Z";
        /// `"%I:%M:%S.%p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S.%p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod sq_MK {
    pub mod LC_ADDRESS {
        /// `"MK"`
        pub const COUNTRY_ABTWO: &str = "MK";
        /// `"MKD"`
        pub const COUNTRY_AB3: &str = "MKD";
        /// `"MK"`
        pub const COUNTRY_CAR: &str = "MK";
        /// `"9989"`
        pub const COUNTRY_ISBN: &str = "9989";
        /// `"Maqedoni"`
        pub const COUNTRY_NAME: &str = "Maqedoni";
        /// `807`
        pub const COUNTRY_NUM: i64 = 807;
        /// `"MK"`
        pub const COUNTRY_POST: &str = "MK";
        /// `"sq"`
        pub const LANG_AB: &str = "sq";
        /// `"alb"`
        pub const LANG_LIB: &str = "alb";
        /// `"shqip"`
        pub const LANG_NAME: &str = "shqip";
        /// `"sqi"`
        pub const LANG_TERM: &str = "sqi";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"465 4th St. 2nd Floor, Palisades Park, NJ 07650, U.S.A."`
        pub const ADDRESS: &str = "465 4th St. 2nd Floor, Palisades Park, NJ 07650, U.S.A.";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2010-04-06"`
        pub const DATE: &str = "2010-04-06";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Albanian"`
        pub const LANGUAGE: &str = "Albanian";
        /// `"0.01"`
        pub const REVISION: &str = "0.01";
        /// `"Albanian Language Team"`
        pub const SOURCE: &str = "Albanian Language Team";
        /// `""`
        pub const TEL: &str = "";
        /// `"Macedonia"`
        pub const TERRITORY: &str = "Macedonia";
        /// `"Albanian language locale for Macedonia"`
        pub const TITLE: &str = "Albanian language locale for Macedonia";
    }
    pub use super::sq_AL::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"den"`
        pub const CURRENCY_SYMBOL: &str = "den";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"MKD "`
        pub const INT_CURR_SYMBOL: &str = "MKD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::sq_AL::LC_NUMERIC;
    pub use super::mk_MK::LC_TELEPHONE;
    pub use super::sq_AL::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod sr_ME {
    pub mod LC_ADDRESS {
        /// `"ME"`
        pub const COUNTRY_ABTWO: &str = "ME";
        /// `"MNE"`
        pub const COUNTRY_AB3: &str = "MNE";
        /// `"MNE"`
        pub const COUNTRY_CAR: &str = "MNE";
        /// `"86"`
        pub const COUNTRY_ISBN: &str = "86";
        /// `"Црна Гора"`
        pub const COUNTRY_NAME: &str = "Црна Гора";
        /// `499`
        pub const COUNTRY_NUM: i64 = 499;
        /// `"MNE"`
        pub const COUNTRY_POST: &str = "MNE";
        /// `"sr"`
        pub const LANG_AB: &str = "sr";
        /// `"srp"`
        pub const LANG_LIB: &str = "srp";
        /// `"српски"`
        pub const LANG_NAME: &str = "српски";
        /// `"srp"`
        pub const LANG_TERM: &str = "srp";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Danilo Segan"`
        pub const CONTACT: &str = "Danilo Segan";
        /// `"2006-10-11"`
        pub const DATE: &str = "2006-10-11";
        /// `"bug-glibc@gnu.org"`
        pub const EMAIL: &str = "bug-glibc@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Serbian"`
        pub const LANGUAGE: &str = "Serbian";
        /// `"1.2"`
        pub const REVISION: &str = "1.2";
        /// `"sr_YU, sr_CS locale"`
        pub const SOURCE: &str = "sr_YU, sr_CS locale";
        /// `""`
        pub const TEL: &str = "";
        /// `"Montenegro"`
        pub const TERRITORY: &str = "Montenegro";
        /// `"Serbian locale for Montenegro"`
        pub const TITLE: &str = "Serbian locale for Montenegro";
    }
    pub use super::sr_RS::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"€"`
        pub const CURRENCY_SYMBOL: &str = "€";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"EUR "`
        pub const INT_CURR_SYMBOL: &str = "EUR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::sr_RS::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"382"`
        pub const INT_PREFIX: &str = "382";
        /// `"99"`
        pub const INT_SELECT: &str = "99";
        /// `"%A %l"`
        pub const TEL_DOM_FMT: &str = "%A %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["нед", "пон", "уто", "сри", "чет", "пет", "суб"]`
        pub const ABDAY: &[&str] = &["нед", "пон", "уто", "сри", "чет", "пет", "суб"];
        /// `&["јан", "феб", "мар", "апр", "мај", "јун", "јул", "авг", "сеп", "окт", "нов", "дец"]`
        pub const ABMON: &[&str] = &["јан", "феб", "мар", "апр", "мај", "јун", "јул", "авг", "сеп", "окт", "нов", "дец"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y."`
        pub const D_FMT: &str = "%d.%m.%Y.";
        /// `"%A, %d. %B %Y. %T %Z"`
        pub const D_T_FMT: &str = "%A, %d. %B %Y. %T %Z";
        /// `"%a, %e. %b %Y.  %H:%M:%S %Z"`
        pub const DATE_FMT: &str = "%a, %e. %b %Y.  %H:%M:%S %Z";
        /// `&["недјеља", "понедељак", "уторак", "сриједа", "четвртак", "петак", "субота"]`
        pub const DAY: &[&str] = &["недјеља", "понедељак", "уторак", "сриједа", "четвртак", "петак", "субота"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["јануар", "фебруар", "март", "април", "мај", "јун", "јул", "август", "септембар", "октобар", "новембар", "децембар"]`
        pub const MON: &[&str] = &["јануар", "фебруар", "март", "април", "мај", "јун", "јул", "август", "септембар", "октобар", "новембар", "децембар"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%T"`
        pub const T_FMT_AMPM: &str = "%T";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod sr_RS {
    pub mod LC_ADDRESS {
        /// `"RS"`
        pub const COUNTRY_ABTWO: &str = "RS";
        /// `"SRB"`
        pub const COUNTRY_AB3: &str = "SRB";
        /// `"SRB"`
        pub const COUNTRY_CAR: &str = "SRB";
        /// `86`
        pub const COUNTRY_ISBN: i64 = 86;
        /// `"Србија"`
        pub const COUNTRY_NAME: &str = "Србија";
        /// `688`
        pub const COUNTRY_NUM: i64 = 688;
        /// `"RS"`
        pub const COUNTRY_POST: &str = "RS";
        /// `"sr"`
        pub const LANG_AB: &str = "sr";
        /// `"srp"`
        pub const LANG_LIB: &str = "srp";
        /// `"српски"`
        pub const LANG_NAME: &str = "српски";
        /// `"srp"`
        pub const LANG_TERM: &str = "srp";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Danilo Segan"`
        pub const CONTACT: &str = "Danilo Segan";
        /// `"2006-10-09"`
        pub const DATE: &str = "2006-10-09";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Serbian"`
        pub const LANGUAGE: &str = "Serbian";
        /// `"1.3"`
        pub const REVISION: &str = "1.3";
        /// `"sr_YU, sr_CS locale"`
        pub const SOURCE: &str = "sr_YU, sr_CS locale";
        /// `""`
        pub const TEL: &str = "";
        /// `"Serbia"`
        pub const TERRITORY: &str = "Serbia";
        /// `"Serbian locale for Serbia"`
        pub const TITLE: &str = "Serbian locale for Serbia";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNНн]"`
        pub const NOEXPR: &str = "^[-0nNНн]";
        /// `"не"`
        pub const NOSTR: &str = "не";
        /// `"^[+1yYdDДд]"`
        pub const YESEXPR: &str = "^[+1yYdDДд]";
        /// `"да"`
        pub const YESSTR: &str = "да";
    }
    pub mod LC_MONETARY {
        /// `"дин"`
        pub const CURRENCY_SYMBOL: &str = "дин";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"RSD "`
        pub const INT_CURR_SYMBOL: &str = "RSD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[0, 0]`
        pub const GROUPING: &[i64] = &[0, 0];
        /// `""`
        pub const THOUSANDS_SEP: &str = "";
    }
    pub mod LC_TELEPHONE {
        /// `"381"`
        pub const INT_PREFIX: &str = "381";
        /// `"99"`
        pub const INT_SELECT: &str = "99";
        /// `"%A %l"`
        pub const TEL_DOM_FMT: &str = "%A %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["нед", "пон", "уто", "сре", "чет", "пет", "суб"]`
        pub const ABDAY: &[&str] = &["нед", "пон", "уто", "сре", "чет", "пет", "суб"];
        /// `&["јан", "феб", "мар", "апр", "мај", "јун", "јул", "авг", "сеп", "окт", "нов", "дец"]`
        pub const ABMON: &[&str] = &["јан", "феб", "мар", "апр", "мај", "јун", "јул", "авг", "сеп", "окт", "нов", "дец"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y."`
        pub const D_FMT: &str = "%d.%m.%Y.";
        /// `"%A, %d. %B %Y. %T %Z"`
        pub const D_T_FMT: &str = "%A, %d. %B %Y. %T %Z";
        /// `"%a, %e. %b %Y.  %H:%M:%S %Z"`
        pub const DATE_FMT: &str = "%a, %e. %b %Y.  %H:%M:%S %Z";
        /// `&["недеља", "понедељак", "уторак", "среда", "четвртак", "петак", "субота"]`
        pub const DAY: &[&str] = &["недеља", "понедељак", "уторак", "среда", "четвртак", "петак", "субота"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["јануар", "фебруар", "март", "април", "мај", "јун", "јул", "август", "септембар", "октобар", "новембар", "децембар"]`
        pub const MON: &[&str] = &["јануар", "фебруар", "март", "април", "мај", "јун", "јул", "август", "септембар", "октобар", "новембар", "децембар"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%T"`
        pub const T_FMT_AMPM: &str = "%T";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod sr_RS_latin {
    pub mod LC_ADDRESS {
        /// `"RS"`
        pub const COUNTRY_ABTWO: &str = "RS";
        /// `"SRB"`
        pub const COUNTRY_AB3: &str = "SRB";
        /// `"SRB"`
        pub const COUNTRY_CAR: &str = "SRB";
        /// `86`
        pub const COUNTRY_ISBN: i64 = 86;
        /// `"Srbija"`
        pub const COUNTRY_NAME: &str = "Srbija";
        /// `688`
        pub const COUNTRY_NUM: i64 = 688;
        /// `"RS"`
        pub const COUNTRY_POST: &str = "RS";
        /// `"sr"`
        pub const LANG_AB: &str = "sr";
        /// `"srp"`
        pub const LANG_LIB: &str = "srp";
        /// `"srpski"`
        pub const LANG_NAME: &str = "srpski";
        /// `"srp"`
        pub const LANG_TERM: &str = "srp";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Danilo Segan"`
        pub const CONTACT: &str = "Danilo Segan";
        /// `"2006-10-09"`
        pub const DATE: &str = "2006-10-09";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Serbian"`
        pub const LANGUAGE: &str = "Serbian";
        /// `"1.3"`
        pub const REVISION: &str = "1.3";
        /// `"sr_YU, sr_CS locale"`
        pub const SOURCE: &str = "sr_YU, sr_CS locale";
        /// `""`
        pub const TEL: &str = "";
        /// `"Serbia"`
        pub const TERRITORY: &str = "Serbia";
        /// `"Serbian Latin locale for Serbia"`
        pub const TITLE: &str = "Serbian Latin locale for Serbia";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"ne"`
        pub const NOSTR: &str = "ne";
        /// `"^[+1dDyY]"`
        pub const YESEXPR: &str = "^[+1dDyY]";
        /// `"da"`
        pub const YESSTR: &str = "da";
    }
    pub mod LC_MONETARY {
        /// `"din"`
        pub const CURRENCY_SYMBOL: &str = "din";
        /// `0`
        pub const FRAC_DIGITS: i64 = 0;
        /// `"RSD "`
        pub const INT_CURR_SYMBOL: &str = "RSD ";
        /// `0`
        pub const INT_FRAC_DIGITS: i64 = 0;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::sr_RS::LC_NUMERIC;
    pub use super::sr_RS::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["ned", "pon", "uto", "sre", "čet", "pet", "sub"]`
        pub const ABDAY: &[&str] = &["ned", "pon", "uto", "sre", "čet", "pet", "sub"];
        /// `&["jan", "feb", "mar", "apr", "maj", "jun", "jul", "avg", "sep", "okt", "nov", "dec"]`
        pub const ABMON: &[&str] = &["jan", "feb", "mar", "apr", "maj", "jun", "jul", "avg", "sep", "okt", "nov", "dec"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y."`
        pub const D_FMT: &str = "%d.%m.%Y.";
        /// `"%A, %d. %B %Y. %T %Z"`
        pub const D_T_FMT: &str = "%A, %d. %B %Y. %T %Z";
        /// `"%a, %e. %b %Y.  %H:%M:%S %Z"`
        pub const DATE_FMT: &str = "%a, %e. %b %Y.  %H:%M:%S %Z";
        /// `&["nedelja", "ponedeljak", "utorak", "sreda", "četvrtak", "petak", "subota"]`
        pub const DAY: &[&str] = &["nedelja", "ponedeljak", "utorak", "sreda", "četvrtak", "petak", "subota"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["januar", "februar", "mart", "april", "maj", "jun", "jul", "avgust", "septembar", "oktobar", "novembar", "decembar"]`
        pub const MON: &[&str] = &["januar", "februar", "mart", "april", "maj", "jun", "jul", "avgust", "septembar", "oktobar", "novembar", "decembar"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%T"`
        pub const T_FMT_AMPM: &str = "%T";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ss_ZA {
    pub mod LC_ADDRESS {
        /// `"ZA"`
        pub const COUNTRY_ABTWO: &str = "ZA";
        /// `"ZAF"`
        pub const COUNTRY_AB3: &str = "ZAF";
        /// `"ZA"`
        pub const COUNTRY_CAR: &str = "ZA";
        /// `"iNingizimu Afrika"`
        pub const COUNTRY_NAME: &str = "iNingizimu Afrika";
        /// `710`
        pub const COUNTRY_NUM: i64 = 710;
        /// `"ZA"`
        pub const COUNTRY_POST: &str = "ZA";
        /// `"ss"`
        pub const LANG_AB: &str = "ss";
        /// `"ssw"`
        pub const LANG_LIB: &str = "ssw";
        /// `"siSwati"`
        pub const LANG_NAME: &str = "siSwati";
        /// `"ssw"`
        pub const LANG_TERM: &str = "ssw";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"PO Box 28364, Sunnyside, 0132, South Africa"`
        pub const ADDRESS: &str = "PO Box 28364, Sunnyside, 0132, South Africa";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Dwayne Bailey"`
        pub const CONTACT: &str = "Dwayne Bailey";
        /// `"2005-10-13"`
        pub const DATE: &str = "2005-10-13";
        /// `"dwayne@translate.org.za"`
        pub const EMAIL: &str = "dwayne@translate.org.za";
        /// `""`
        pub const FAX: &str = "";
        /// `"Swati"`
        pub const LANGUAGE: &str = "Swati";
        /// `"0.3"`
        pub const REVISION: &str = "0.3";
        /// `"Zuza Software Foundation (Translate.org.za)"`
        pub const SOURCE: &str = "Zuza Software Foundation (Translate.org.za)";
        /// `""`
        pub const TEL: &str = "";
        /// `"South Africa"`
        pub const TERRITORY: &str = "South Africa";
        /// `"Swati locale for South Africa"`
        pub const TITLE: &str = "Swati locale for South Africa";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNaA]"`
        pub const NOEXPR: &str = "^[-0nNaA]";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
    }
    pub use super::en_ZA::LC_MONETARY;
    pub use super::en_ZA::LC_NUMERIC;
    pub use super::en_ZA::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Son", "Mso", "Bil", "Tsa", "Ne", "Hla", "Mgc"]`
        pub const ABDAY: &[&str] = &["Son", "Mso", "Bil", "Tsa", "Ne", "Hla", "Mgc"];
        /// `&["Bhi", "Van", "Vul", "Mab", "Khk", "Nhl", "Kho", "Ngc", "Nyo", "Imp", "Lwe", "Ngo"]`
        pub const ABMON: &[&str] = &["Bhi", "Van", "Vul", "Mab", "Khk", "Nhl", "Kho", "Ngc", "Nyo", "Imp", "Lwe", "Ngo"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %-e %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %-e %b %Y %T %Z";
        /// `"%a %b %-e %H:%M:%S %Z %Y"`
        pub const DATE_FMT: &str = "%a %b %-e %H:%M:%S %Z %Y";
        /// `&["Lisontfo", "uMsombuluko", "Lesibili", "Lesitsatfu", "Lesine", "Lesihlanu", "uMgcibelo"]`
        pub const DAY: &[&str] = &["Lisontfo", "uMsombuluko", "Lesibili", "Lesitsatfu", "Lesine", "Lesihlanu", "uMgcibelo"];
        /// `&["Bhimbidvwane", "iNdlovane", "iNdlovulenkhulu", "Mabasa", "Inkhwenkhweti", "iNhlaba", "Kholwane", "iNgci", "iNyoni", "Impala", "Lweti", "iNgongoni"]`
        pub const MON: &[&str] = &["Bhimbidvwane", "iNdlovane", "iNdlovulenkhulu", "Mabasa", "Inkhwenkhweti", "iNhlaba", "Kholwane", "iNgci", "iNyoni", "Impala", "Lweti", "iNgongoni"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod st_ZA {
    pub mod LC_ADDRESS {
        /// `"ZA"`
        pub const COUNTRY_ABTWO: &str = "ZA";
        /// `"ZAF"`
        pub const COUNTRY_AB3: &str = "ZAF";
        /// `"ZA"`
        pub const COUNTRY_CAR: &str = "ZA";
        /// `"Afrika Borwa"`
        pub const COUNTRY_NAME: &str = "Afrika Borwa";
        /// `710`
        pub const COUNTRY_NUM: i64 = 710;
        /// `"ZA"`
        pub const COUNTRY_POST: &str = "ZA";
        /// `"st"`
        pub const LANG_AB: &str = "st";
        /// `"sot"`
        pub const LANG_LIB: &str = "sot";
        /// `"Sesotho"`
        pub const LANG_NAME: &str = "Sesotho";
        /// `"sot"`
        pub const LANG_TERM: &str = "sot";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"PO Box 28364, Sunnyside, 0132, South Africa"`
        pub const ADDRESS: &str = "PO Box 28364, Sunnyside, 0132, South Africa";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Dwayne Bailey"`
        pub const CONTACT: &str = "Dwayne Bailey";
        /// `"2005-10-13"`
        pub const DATE: &str = "2005-10-13";
        /// `"dwayne@translate.org.za"`
        pub const EMAIL: &str = "dwayne@translate.org.za";
        /// `""`
        pub const FAX: &str = "";
        /// `"Southern Sotho"`
        pub const LANGUAGE: &str = "Southern Sotho";
        /// `"0.3"`
        pub const REVISION: &str = "0.3";
        /// `"Zuza Software Foundation (Translate.org.za)"`
        pub const SOURCE: &str = "Zuza Software Foundation (Translate.org.za)";
        /// `""`
        pub const TEL: &str = "";
        /// `"South Africa"`
        pub const TERRITORY: &str = "South Africa";
        /// `"Sotho locale for South Africa"`
        pub const TITLE: &str = "Sotho locale for South Africa";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
    }
    pub use super::en_ZA::LC_MONETARY;
    pub use super::en_ZA::LC_NUMERIC;
    pub use super::en_ZA::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Son", "Mma", "Bed", "Rar", "Ne", "Hla", "Moq"]`
        pub const ABDAY: &[&str] = &["Son", "Mma", "Bed", "Rar", "Ne", "Hla", "Moq"];
        /// `&["Phe", "Hla", "TlH", "Mme", "Mot", "Jan", "Upu", "Pha", "Leo", "Mph", "Pud", "Tsh"]`
        pub const ABMON: &[&str] = &["Phe", "Hla", "TlH", "Mme", "Mot", "Jan", "Upu", "Pha", "Leo", "Mph", "Pud", "Tsh"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %-e %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %-e %b %Y %T %Z";
        /// `"%a %b %-e %H:%M:%S %Z %Y"`
        pub const DATE_FMT: &str = "%a %b %-e %H:%M:%S %Z %Y";
        /// `&["Sontaha", "Mantaha", "Labobedi", "Laboraro", "Labone", "Labohlano", "Moqebelo"]`
        pub const DAY: &[&str] = &["Sontaha", "Mantaha", "Labobedi", "Laboraro", "Labone", "Labohlano", "Moqebelo"];
        /// `&["Pherekgong", "Hlakola", "Tlhakubele", "Mmese", "Motsheanong", "Phupjane", "Phupu", "Phato", "Leotse", "Mphalane", "Pudungwana", "Tshitwe"]`
        pub const MON: &[&str] = &["Pherekgong", "Hlakola", "Tlhakubele", "Mmese", "Motsheanong", "Phupjane", "Phupu", "Phato", "Leotse", "Mphalane", "Pudungwana", "Tshitwe"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod sv_FI {
    pub mod LC_ADDRESS {
        /// `"FI"`
        pub const COUNTRY_ABTWO: &str = "FI";
        /// `"FIN"`
        pub const COUNTRY_AB3: &str = "FIN";
        /// `"FIN"`
        pub const COUNTRY_CAR: &str = "FIN";
        /// `952`
        pub const COUNTRY_ISBN: i64 = 952;
        /// `"Finland"`
        pub const COUNTRY_NAME: &str = "Finland";
        /// `246`
        pub const COUNTRY_NUM: i64 = 246;
        /// `"FI"`
        pub const COUNTRY_POST: &str = "FI";
        /// `"sv"`
        pub const LANG_AB: &str = "sv";
        /// `"swe"`
        pub const LANG_LIB: &str = "swe";
        /// `"svenska"`
        pub const LANG_NAME: &str = "svenska";
        /// `"swe"`
        pub const LANG_TERM: &str = "swe";
        /// `"%f%N%d%N%b%N%a%N%s %h%t%e%t%r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%d%N%b%N%a%N%s %h%t%e%t%r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Swedish"`
        pub const LANGUAGE: &str = "Swedish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Finland"`
        pub const TERRITORY: &str = "Finland";
        /// `"Swedish locale for Finland"`
        pub const TITLE: &str = "Swedish locale for Finland";
    }
    pub use super::sv_SE::LC_MESSAGES;
    pub use super::fi_FI::LC_MONETARY;
    pub use super::fi_FI::LC_NUMERIC;
    pub use super::fi_FI::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["sön", "mån", "tis", "ons", "tor", "fre", "lör"]`
        pub const ABDAY: &[&str] = &["sön", "mån", "tis", "ons", "tor", "fre", "lör"];
        /// `&["jan", "feb", "mar", "apr", "maj", "jun", "jul", "aug", "sep", "okt", "nov", "dec"]`
        pub const ABMON: &[&str] = &["jan", "feb", "mar", "apr", "maj", "jun", "jul", "aug", "sep", "okt", "nov", "dec"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %e. %B %Y %H.%M.%S"`
        pub const D_T_FMT: &str = "%a %e. %B %Y %H.%M.%S";
        /// `"%a %-d.%-m.%Y %H.%M.%S %z"`
        pub const DATE_FMT: &str = "%a %-d.%-m.%Y %H.%M.%S %z";
        /// `&["söndag", "måndag", "tisdag", "onsdag", "torsdag", "fredag", "lördag"]`
        pub const DAY: &[&str] = &["söndag", "måndag", "tisdag", "onsdag", "torsdag", "fredag", "lördag"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["januari", "februari", "mars", "april", "maj", "juni", "juli", "augusti", "september", "oktober", "november", "december"]`
        pub const MON: &[&str] = &["januari", "februari", "mars", "april", "maj", "juni", "juli", "augusti", "september", "oktober", "november", "december"];
        /// `"%H.%M.%S"`
        pub const T_FMT: &str = "%H.%M.%S";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod sv_FI_euro {
    pub use super::sv_FI::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-08-21"`
        pub const DATE: &str = "2000-08-21";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Swedish"`
        pub const LANGUAGE: &str = "Swedish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Finland"`
        pub const TERRITORY: &str = "Finland";
        /// `"Swedish locale for Finland with Euro"`
        pub const TITLE: &str = "Swedish locale for Finland with Euro";
    }
    pub use super::sv_FI::LC_MESSAGES;
    pub use super::fi_FI_euro::LC_MONETARY;
    pub use super::fi_FI::LC_NUMERIC;
    pub use super::sv_FI::LC_TELEPHONE;
    pub use super::sv_FI::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod sv_SE {
    pub mod LC_ADDRESS {
        /// `"SE"`
        pub const COUNTRY_ABTWO: &str = "SE";
        /// `"SWE"`
        pub const COUNTRY_AB3: &str = "SWE";
        /// `"S"`
        pub const COUNTRY_CAR: &str = "S";
        /// `"Sverige"`
        pub const COUNTRY_NAME: &str = "Sverige";
        /// `752`
        pub const COUNTRY_NUM: i64 = 752;
        /// `"sv"`
        pub const LANG_AB: &str = "sv";
        /// `"swe"`
        pub const LANG_LIB: &str = "swe";
        /// `"svenska"`
        pub const LANG_NAME: &str = "svenska";
        /// `"swe"`
        pub const LANG_TERM: &str = "swe";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Swedish"`
        pub const LANGUAGE: &str = "Swedish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Sweden"`
        pub const TERRITORY: &str = "Sweden";
        /// `"Swedish locale for Sweden"`
        pub const TITLE: &str = "Swedish locale for Sweden";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"nej"`
        pub const NOSTR: &str = "nej";
        /// `"^[+1jJyY]"`
        pub const YESEXPR: &str = "^[+1jJyY]";
        /// `"ja"`
        pub const YESSTR: &str = "ja";
    }
    pub mod LC_MONETARY {
        /// `"kr"`
        pub const CURRENCY_SYMBOL: &str = "kr";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"SEK "`
        pub const INT_CURR_SYMBOL: &str = "SEK ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const THOUSANDS_SEP: &str = "\u{202f}";
    }
    pub mod LC_TELEPHONE {
        /// `"46"`
        pub const INT_PREFIX: &str = "46";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"0%a-%l"`
        pub const TEL_DOM_FMT: &str = "0%a-%l";
        /// `"+%c-%a-%l"`
        pub const TEL_INT_FMT: &str = "+%c-%a-%l";
    }
    pub mod LC_TIME {
        /// `&["sön", "mån", "tis", "ons", "tor", "fre", "lör"]`
        pub const ABDAY: &[&str] = &["sön", "mån", "tis", "ons", "tor", "fre", "lör"];
        /// `&["jan", "feb", "mar", "apr", "maj", "jun", "jul", "aug", "sep", "okt", "nov", "dec"]`
        pub const ABMON: &[&str] = &["jan", "feb", "mar", "apr", "maj", "jun", "jul", "aug", "sep", "okt", "nov", "dec"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%Y-%m-%d"`
        pub const D_FMT: &str = "%Y-%m-%d";
        /// `"%a %e %b %Y %H:%M:%S"`
        pub const D_T_FMT: &str = "%a %e %b %Y %H:%M:%S";
        /// `&["söndag", "måndag", "tisdag", "onsdag", "torsdag", "fredag", "lördag"]`
        pub const DAY: &[&str] = &["söndag", "måndag", "tisdag", "onsdag", "torsdag", "fredag", "lördag"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["januari", "februari", "mars", "april", "maj", "juni", "juli", "augusti", "september", "oktober", "november", "december"]`
        pub const MON: &[&str] = &["januari", "februari", "mars", "april", "maj", "juni", "juli", "augusti", "september", "oktober", "november", "december"];
        /// `"%H:%M:%S"`
        pub const T_FMT: &str = "%H:%M:%S";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod sw_KE {
    pub mod LC_ADDRESS {
        /// `"KE"`
        pub const COUNTRY_ABTWO: &str = "KE";
        /// `"KEN"`
        pub const COUNTRY_AB3: &str = "KEN";
        /// `"EAK"`
        pub const COUNTRY_CAR: &str = "EAK";
        /// `"Kenya"`
        pub const COUNTRY_NAME: &str = "Kenya";
        /// `404`
        pub const COUNTRY_NUM: i64 = 404;
        /// `"KE"`
        pub const COUNTRY_POST: &str = "KE";
        /// `"sw"`
        pub const LANG_AB: &str = "sw";
        /// `"swa"`
        pub const LANG_LIB: &str = "swa";
        /// `"Kiswahili"`
        pub const LANG_NAME: &str = "Kiswahili";
        /// `"swa"`
        pub const LANG_TERM: &str = "swa";
        /// `"%a%N%f%N%d%N%b%N%h %s %e %r%N%T, %S %z%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%f%N%d%N%b%N%h %s %e %r%N%T, %S %z%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"Martin Benjamin"`
        pub const CONTACT: &str = "Martin Benjamin";
        /// `"2011-03-07"`
        pub const DATE: &str = "2011-03-07";
        /// `"locales@kamusi.org"`
        pub const EMAIL: &str = "locales@kamusi.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Swahili"`
        pub const LANGUAGE: &str = "Swahili";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Kamusi Project"`
        pub const SOURCE: &str = "Kamusi Project";
        /// `""`
        pub const TEL: &str = "";
        /// `"Kenya"`
        pub const TERRITORY: &str = "Kenya";
        /// `"Swahili locale for Kenya"`
        pub const TITLE: &str = "Swahili locale for Kenya";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0hHlL]"`
        pub const NOEXPR: &str = "^[-0hHlL]";
        /// `"Hapana"`
        pub const NOSTR: &str = "Hapana";
        /// `"^[+1nNyY]"`
        pub const YESEXPR: &str = "^[+1nNyY]";
        /// `"Ndiyo"`
        pub const YESSTR: &str = "Ndiyo";
    }
    pub use super::om_KE::LC_MONETARY;
    pub use super::om_KE::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"254"`
        pub const INT_PREFIX: &str = "254";
        /// `"000"`
        pub const INT_SELECT: &str = "000";
        /// `"%A %l"`
        pub const TEL_DOM_FMT: &str = "%A %l";
        /// `"%c %a %l"`
        pub const TEL_INT_FMT: &str = "%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["J2", "J3", "J4", "J5", "Alh", "Ij", "J1"]`
        pub const ABDAY: &[&str] = &["J2", "J3", "J4", "J5", "Alh", "Ij", "J1"];
        /// `&["Jan", "Feb", "Mac", "Apr", "Mei", "Jun", "Jul", "Ago", "Sep", "Okt", "Nov", "Des"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mac", "Apr", "Mei", "Jun", "Jul", "Ago", "Sep", "Okt", "Nov", "Des"];
        /// `&["asubuhi", "alasiri"]`
        pub const AM_PM: &[&str] = &["asubuhi", "alasiri"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%e %B %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%e %B %Y %I:%M:%S %p %Z";
        /// `&["Jumapili", "Jumatatu", "Jumanne", "Jumatano", "Alhamisi", "Ijumaa", "Jumamosi"]`
        pub const DAY: &[&str] = &["Jumapili", "Jumatatu", "Jumanne", "Jumatano", "Alhamisi", "Ijumaa", "Jumamosi"];
        /// `&["Januari", "Februari", "Machi", "Aprili", "Mei", "Juni", "Julai", "Agosti", "Septemba", "Oktoba", "Novemba", "Desemba"]`
        pub const MON: &[&str] = &["Januari", "Februari", "Machi", "Aprili", "Mei", "Juni", "Julai", "Agosti", "Septemba", "Oktoba", "Novemba", "Desemba"];
        /// `"%I:%M:%S %p"`
        pub const T_FMT: &str = "%I:%M:%S %p";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod sw_TZ {
    pub mod LC_ADDRESS {
        /// `"TZ"`
        pub const COUNTRY_ABTWO: &str = "TZ";
        /// `"TZA"`
        pub const COUNTRY_AB3: &str = "TZA";
        /// `"EAT"`
        pub const COUNTRY_CAR: &str = "EAT";
        /// `"Tanzania"`
        pub const COUNTRY_NAME: &str = "Tanzania";
        /// `834`
        pub const COUNTRY_NUM: i64 = 834;
        /// `"TZ"`
        pub const COUNTRY_POST: &str = "TZ";
        /// `"sw"`
        pub const LANG_AB: &str = "sw";
        /// `"swa"`
        pub const LANG_LIB: &str = "swa";
        /// `"Kiswahili"`
        pub const LANG_NAME: &str = "Kiswahili";
        /// `"swa"`
        pub const LANG_TERM: &str = "swa";
        /// `"%a%N%f%N%d%N%b%N%h %s %e %r%N%T, %S %z%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%f%N%d%N%b%N%h %s %e %r%N%T, %S %z%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"Martin Benjamin"`
        pub const CONTACT: &str = "Martin Benjamin";
        /// `"2011-03-07"`
        pub const DATE: &str = "2011-03-07";
        /// `"locales@kamusi.org"`
        pub const EMAIL: &str = "locales@kamusi.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Swahili"`
        pub const LANGUAGE: &str = "Swahili";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Kamusi Project"`
        pub const SOURCE: &str = "Kamusi Project";
        /// `""`
        pub const TEL: &str = "";
        /// `"Tanzania"`
        pub const TERRITORY: &str = "Tanzania";
        /// `"Swahili locale for Tanzania"`
        pub const TITLE: &str = "Swahili locale for Tanzania";
    }
    pub use super::sw_KE::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"TSh"`
        pub const CURRENCY_SYMBOL: &str = "TSh";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"TZS "`
        pub const INT_CURR_SYMBOL: &str = "TZS ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::sw_KE::LC_NUMERIC;
    pub mod LC_TELEPHONE {
        /// `"255"`
        pub const INT_PREFIX: &str = "255";
        /// `"000"`
        pub const INT_SELECT: &str = "000";
        /// `"%A %l"`
        pub const TEL_DOM_FMT: &str = "%A %l";
        /// `"%c %a %l"`
        pub const TEL_INT_FMT: &str = "%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["J2", "J3", "J4", "J5", "Alh", "Ij", "J1"]`
        pub const ABDAY: &[&str] = &["J2", "J3", "J4", "J5", "Alh", "Ij", "J1"];
        /// `&["Jan", "Feb", "Mac", "Apr", "Mei", "Jun", "Jul", "Ago", "Sep", "Okt", "Nov", "Des"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mac", "Apr", "Mei", "Jun", "Jul", "Ago", "Sep", "Okt", "Nov", "Des"];
        /// `&["asubuhi", "alasiri"]`
        pub const AM_PM: &[&str] = &["asubuhi", "alasiri"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%e %B %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%e %B %Y %I:%M:%S %p %Z";
        /// `&["Jumapili", "Jumatatu", "Jumanne", "Jumatano", "Alhamisi", "Ijumaa", "Jumamosi"]`
        pub const DAY: &[&str] = &["Jumapili", "Jumatatu", "Jumanne", "Jumatano", "Alhamisi", "Ijumaa", "Jumamosi"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Januari", "Februari", "Machi", "Aprili", "Mei", "Juni", "Julai", "Agosti", "Septemba", "Oktoba", "Novemba", "Desemba"]`
        pub const MON: &[&str] = &["Januari", "Februari", "Machi", "Aprili", "Mei", "Juni", "Julai", "Agosti", "Septemba", "Oktoba", "Novemba", "Desemba"];
        /// `"%I:%M:%S %p"`
        pub const T_FMT: &str = "%I:%M:%S %p";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod szl_PL {
    pub mod LC_ADDRESS {
        /// `"PL"`
        pub const COUNTRY_ABTWO: &str = "PL";
        /// `"POL"`
        pub const COUNTRY_AB3: &str = "POL";
        /// `"PL"`
        pub const COUNTRY_CAR: &str = "PL";
        /// `"Polska"`
        pub const COUNTRY_NAME: &str = "Polska";
        /// `616`
        pub const COUNTRY_NUM: i64 = 616;
        /// `"szl"`
        pub const LANG_LIB: &str = "szl";
        /// `"ślōnskŏ gŏdka"`
        pub const LANG_NAME: &str = "ślōnskŏ gŏdka";
        /// `"szl"`
        pub const LANG_TERM: &str = "szl";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"Przemyslaw Buczkowski"`
        pub const CONTACT: &str = "Przemyslaw Buczkowski";
        /// `"2012-07-17"`
        pub const DATE: &str = "2012-07-17";
        /// `"libc-alpha@sourceware.org"`
        pub const EMAIL: &str = "libc-alpha@sourceware.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Silesian"`
        pub const LANGUAGE: &str = "Silesian";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"szl_PL locale"`
        pub const SOURCE: &str = "szl_PL locale";
        /// `""`
        pub const TEL: &str = "";
        /// `"Poland"`
        pub const TERRITORY: &str = "Poland";
        /// `"Silesian locale for Poland"`
        pub const TITLE: &str = "Silesian locale for Poland";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"^[+1JjTtYy]"`
        pub const YESEXPR: &str = "^[+1JjTtYy]";
    }
    pub use super::pl_PL::LC_MONETARY;
    pub use super::pl_PL::LC_NUMERIC;
    pub use super::pl_PL::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["niy", "pyń", "wto", "str", "szt", "piō", "sob"]`
        pub const ABDAY: &[&str] = &["niy", "pyń", "wto", "str", "szt", "piō", "sob"];
        /// `&["sty", "lut", "mar", "kwi", "moj", "czy", "lip", "sie", "wrz", "paź", "lis", "gru"]`
        pub const ABMON: &[&str] = &["sty", "lut", "mar", "kwi", "moj", "czy", "lip", "sie", "wrz", "paź", "lis", "gru"];
        /// `&["styczyń", "luty", "marzec", "kwieciyń", "moj", "czyrwiec", "lipiec", "sierpiyń", "wrzesiyń", "październik", "listopad", "grudziyń"]`
        pub const ALT_MON: &[&str] = &["styczyń", "luty", "marzec", "kwieciyń", "moj", "czyrwiec", "lipiec", "sierpiyń", "wrzesiyń", "październik", "listopad", "grudziyń"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a, %-d %b %Y, %T"`
        pub const D_T_FMT: &str = "%a, %-d %b %Y, %T";
        /// `"%a, %-d %b %Y, %T %Z"`
        pub const DATE_FMT: &str = "%a, %-d %b %Y, %T %Z";
        /// `&["niydziela", "pyńdziałek", "wtorek", "strzoda", "sztwortek", "piōntek", "sobota"]`
        pub const DAY: &[&str] = &["niydziela", "pyńdziałek", "wtorek", "strzoda", "sztwortek", "piōntek", "sobota"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["stycznia", "lutego", "marca", "kwietnia", "moja", "czyrwca", "lipca", "sierpnia", "września", "października", "listopada", "grudnia"]`
        pub const MON: &[&str] = &["stycznia", "lutego", "marca", "kwietnia", "moja", "czyrwca", "lipca", "sierpnia", "września", "października", "listopada", "grudnia"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ta_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"இந\u{bcd}திய\u{bbe}"`
        pub const COUNTRY_NAME: &str = "இந\u{bcd}திய\u{bbe}";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"ta"`
        pub const LANG_AB: &str = "ta";
        /// `"tam"`
        pub const LANG_LIB: &str = "tam";
        /// `"தமிழ\u{bcd}"`
        pub const LANG_NAME: &str = "தமிழ\u{bcd}";
        /// `"tam"`
        pub const LANG_TERM: &str = "tam";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000,October,27 (XML source:2000,July,20)"`
        pub const DATE: &str = "2000,October,27 (XML source:2000,July,20)";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Tamil"`
        pub const LANGUAGE: &str = "Tamil";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Tamil language locale for India"`
        pub const TITLE: &str = "Tamil language locale for India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNஇ]"`
        pub const NOEXPR: &str = "^[-0nNஇ]";
        /// `"இல\u{bcd}லை"`
        pub const NOSTR: &str = "இல\u{bcd}லை";
        /// `"^[+1yYஆ]"`
        pub const YESEXPR: &str = "^[+1yYஆ]";
        /// `"ஆம\u{bcd}"`
        pub const YESSTR: &str = "ஆம\u{bcd}";
    }
    pub use super::hi_IN::LC_MONETARY;
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 2]`
        pub const GROUPING: &[i64] = &[3, 2];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["ஞ\u{bbe}", "தி", "செ", "பு", "வி", "வெ", "ச"]`
        pub const ABDAY: &[&str] = &["ஞ\u{bbe}", "தி", "செ", "பு", "வி", "வெ", "ச"];
        /// `&["ஜன.", "பிப\u{bcd}.", "ம\u{bbe}ர\u{bcd}.", "ஏப\u{bcd}.", "மே", "ஜூன\u{bcd}", "ஜூலை", "ஆக.", "செப\u{bcd}.", "அக\u{bcd}.", "நவ.", "டிச."]`
        pub const ABMON: &[&str] = &["ஜன.", "பிப\u{bcd}.", "ம\u{bbe}ர\u{bcd}.", "ஏப\u{bcd}.", "மே", "ஜூன\u{bcd}", "ஜூலை", "ஆக.", "செப\u{bcd}.", "அக\u{bcd}.", "நவ.", "டிச."];
        /// `&["க\u{bbe}லை", "ம\u{bbe}லை"]`
        pub const AM_PM: &[&str] = &["க\u{bbe}லை", "ம\u{bbe}லை"];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %B %Y %p %I:%M:%S %Z"`
        pub const D_T_FMT: &str = "%A %d %B %Y %p %I:%M:%S %Z";
        /// `&["ஞ\u{bbe}யிறு", "திங\u{bcd}கள\u{bcd}", "செவ\u{bcd}வ\u{bbe}ய\u{bcd}", "புதன\u{bcd}", "விய\u{bbe}ழன\u{bcd}", "வெள\u{bcd}ளி", "சனி"]`
        pub const DAY: &[&str] = &["ஞ\u{bbe}யிறு", "திங\u{bcd}கள\u{bcd}", "செவ\u{bcd}வ\u{bbe}ய\u{bcd}", "புதன\u{bcd}", "விய\u{bbe}ழன\u{bcd}", "வெள\u{bcd}ளி", "சனி"];
        /// `&["ஜனவரி", "பிப\u{bcd}ரவரி", "ம\u{bbe}ர\u{bcd}ச\u{bcd}", "ஏப\u{bcd}ரல\u{bcd}", "மே", "ஜூன\u{bcd}", "ஜூலை", "ஆகஸ\u{bcd}ட\u{bcd}", "செப\u{bcd}டம\u{bcd}பர\u{bcd}", "அக\u{bcd}டோபர\u{bcd}", "நவம\u{bcd}பர\u{bcd}", "டிசம\u{bcd}பர\u{bcd}"]`
        pub const MON: &[&str] = &["ஜனவரி", "பிப\u{bcd}ரவரி", "ம\u{bbe}ர\u{bcd}ச\u{bcd}", "ஏப\u{bcd}ரல\u{bcd}", "மே", "ஜூன\u{bcd}", "ஜூலை", "ஆகஸ\u{bcd}ட\u{bcd}", "செப\u{bcd}டம\u{bcd}பர\u{bcd}", "அக\u{bcd}டோபர\u{bcd}", "நவம\u{bcd}பர\u{bcd}", "டிசம\u{bcd}பர\u{bcd}"];
        /// `"%p %I:%M:%S %Z"`
        pub const T_FMT: &str = "%p %I:%M:%S %Z";
        /// `"%p %I:%M:%S %Z"`
        pub const T_FMT_AMPM: &str = "%p %I:%M:%S %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ta_LK {
    pub mod LC_ADDRESS {
        /// `"LK"`
        pub const COUNTRY_ABTWO: &str = "LK";
        /// `"LKA"`
        pub const COUNTRY_AB3: &str = "LKA";
        /// `"CL"`
        pub const COUNTRY_CAR: &str = "CL";
        /// `"இலங\u{bcd}கை"`
        pub const COUNTRY_NAME: &str = "இலங\u{bcd}கை";
        /// `144`
        pub const COUNTRY_NUM: i64 = 144;
        /// `"ta"`
        pub const LANG_AB: &str = "ta";
        /// `"tam"`
        pub const LANG_LIB: &str = "tam";
        /// `"தமிழ\u{bcd}"`
        pub const LANG_NAME: &str = "தமிழ\u{bcd}";
        /// `"tam"`
        pub const LANG_TERM: &str = "tam";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"30/36Q -2/1,Charles Apartments, De Silva Cross Rd, Kalubowila, Dehiwela, SriLanka."`
        pub const ADDRESS: &str = "30/36Q -2/1,Charles Apartments, De Silva Cross Rd, Kalubowila, Dehiwela, SriLanka.";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"94-777-315206"`
        pub const CONTACT: &str = "94-777-315206";
        /// `"2011,August,11"`
        pub const DATE: &str = "2011,August,11";
        /// `"yogaraj.ubuntu@gmail.com"`
        pub const EMAIL: &str = "yogaraj.ubuntu@gmail.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Tamil"`
        pub const LANGUAGE: &str = "Tamil";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"J.Yogaraj"`
        pub const SOURCE: &str = "J.Yogaraj";
        /// `""`
        pub const TEL: &str = "";
        /// `"Sri Lanka"`
        pub const TERRITORY: &str = "Sri Lanka";
        /// `"Tamil language locale for Sri Lanka"`
        pub const TITLE: &str = "Tamil language locale for Sri Lanka";
    }
    pub use super::ta_IN::LC_MESSAGES;
    pub use super::si_LK::LC_MONETARY;
    pub use super::ta_IN::LC_NUMERIC;
    pub use super::si_LK::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["ஞ\u{bbe}", "தி", "செ", "பு", "வி", "வெ", "ச"]`
        pub const ABDAY: &[&str] = &["ஞ\u{bbe}", "தி", "செ", "பு", "வி", "வெ", "ச"];
        /// `&["ஜன", "பிப\u{bcd}", "ம\u{bbe}ர\u{bcd}", "ஏப\u{bcd}", "மே", "ஜூன\u{bcd}", "ஜூலை", "ஆக", "செப\u{bcd}", "அக\u{bcd}", "நவ", "டிச"]`
        pub const ABMON: &[&str] = &["ஜன", "பிப\u{bcd}", "ம\u{bbe}ர\u{bcd}", "ஏப\u{bcd}", "மே", "ஜூன\u{bcd}", "ஜூலை", "ஆக", "செப\u{bcd}", "அக\u{bcd}", "நவ", "டிச"];
        /// `&["க\u{bbe}லை", "ம\u{bbe}லை"]`
        pub const AM_PM: &[&str] = &["க\u{bbe}லை", "ம\u{bbe}லை"];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %B %Y %H:%M:%S %Z"`
        pub const D_T_FMT: &str = "%A %d %B %Y %H:%M:%S %Z";
        /// `&["ஞ\u{bbe}யிறு", "திங\u{bcd}கள\u{bcd}", "செவ\u{bcd}வ\u{bbe}ய\u{bcd}", "புதன\u{bcd}", "விய\u{bbe}ழன\u{bcd}", "வெள\u{bcd}ளி", "சனி"]`
        pub const DAY: &[&str] = &["ஞ\u{bbe}யிறு", "திங\u{bcd}கள\u{bcd}", "செவ\u{bcd}வ\u{bbe}ய\u{bcd}", "புதன\u{bcd}", "விய\u{bbe}ழன\u{bcd}", "வெள\u{bcd}ளி", "சனி"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["ஜனவரி", "பிப\u{bcd}ரவரி", "ம\u{bbe}ர\u{bcd}ச\u{bcd}", "ஏப\u{bcd}ரல\u{bcd}", "மே", "ஜூன\u{bcd}", "ஜூலை", "ஆகஸ\u{bcd}ட\u{bcd}", "செப\u{bcd}டம\u{bcd}பர\u{bcd}", "அக\u{bcd}டோபர\u{bcd}", "நவம\u{bcd}பர\u{bcd}", "டிசம\u{bcd}பர\u{bcd}"]`
        pub const MON: &[&str] = &["ஜனவரி", "பிப\u{bcd}ரவரி", "ம\u{bbe}ர\u{bcd}ச\u{bcd}", "ஏப\u{bcd}ரல\u{bcd}", "மே", "ஜூன\u{bcd}", "ஜூலை", "ஆகஸ\u{bcd}ட\u{bcd}", "செப\u{bcd}டம\u{bcd}பர\u{bcd}", "அக\u{bcd}டோபர\u{bcd}", "நவம\u{bcd}பர\u{bcd}", "டிசம\u{bcd}பர\u{bcd}"];
        /// `"%H:%M:%S %Z"`
        pub const T_FMT: &str = "%H:%M:%S %Z";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod tcy_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"ಭಾರತ"`
        pub const COUNTRY_NAME: &str = "ಭಾರತ";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `""`
        pub const LANG_AB: &str = "";
        /// `"tcy"`
        pub const LANG_LIB: &str = "tcy";
        /// `"ತುಳು"`
        pub const LANG_NAME: &str = "ತುಳು";
        /// `"tcy"`
        pub const LANG_TERM: &str = "tcy";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2014-09-30"`
        pub const DATE: &str = "2014-09-30";
        /// `"alexey.merzlyakov@samsung.com"`
        pub const EMAIL: &str = "alexey.merzlyakov@samsung.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Tulu"`
        pub const LANGUAGE: &str = "Tulu";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `"IndLinux.org, Samsung Electronics Co., Ltd."`
        pub const SOURCE: &str = "IndLinux.org, Samsung Electronics Co., Ltd.";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Tulu language locale for India"`
        pub const TITLE: &str = "Tulu language locale for India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
    }
    pub use super::hi_IN::LC_MONETARY;
    pub use super::hi_IN::LC_NUMERIC;
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["ಐ", "ಸೋ", "ಅಂ", "ಬು", "ಗು", "ಶು", "ಶ"]`
        pub const ABDAY: &[&str] = &["ಐ", "ಸೋ", "ಅಂ", "ಬು", "ಗು", "ಶು", "ಶ"];
        /// `&["ಜ", "ಫ\u{cc6}", "ಮಾ", "ಏ", "ಮೇ", "ಜ\u{cc2}", "ಜು", "ಆ", "ಸ\u{cc6}", "ಅ", "ನ", "ಡ\u{cbf}"]`
        pub const ABMON: &[&str] = &["ಜ", "ಫ\u{cc6}", "ಮಾ", "ಏ", "ಮೇ", "ಜ\u{cc2}", "ಜು", "ಆ", "ಸ\u{cc6}", "ಅ", "ನ", "ಡ\u{cbf}"];
        /// `&["ಕಾಂಡ\u{cc6}", "ಬಯ\u{ccd}ಯ"]`
        pub const AM_PM: &[&str] = &["ಕಾಂಡ\u{cc6}", "ಬಯ\u{ccd}ಯ"];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["ಐಥಾರ", "ಸೋಮಾರ", "ಅಂಗರ\u{cc6}", "ಬುಧಾರ", "ಗುರುವಾರ", "ಶುಕ\u{ccd}ರರ", "ಶನ\u{cbf}ವಾರ"]`
        pub const DAY: &[&str] = &["ಐಥಾರ", "ಸೋಮಾರ", "ಅಂಗರ\u{cc6}", "ಬುಧಾರ", "ಗುರುವಾರ", "ಶುಕ\u{ccd}ರರ", "ಶನ\u{cbf}ವಾರ"];
        /// `&["ಜನವರ\u{cbf}", "ಫ\u{cc6}ಬ\u{ccd}ರುವರ\u{cbf}", "ಮಾರ\u{ccd}ಚ\u{ccd}", "ಏಪ\u{ccd}ರ\u{cbf}ಲ\u{ccd}\u{200c}\u{200c}", "ಮೇ", "ಜ\u{cc2}ನ\u{ccd}", "ಜುಲೈ", "ಆಗಸ\u{ccd}ಟ\u{ccd}", "ಸ\u{cc6}ಪ\u{ccd}ಟ\u{cc6}ಂಬರ\u{ccd}\u{200c}", "ಅಕ\u{ccd}ಟೋಬರ\u{ccd}", "ನವ\u{cc6}ಂಬರ\u{ccd}", "ಡ\u{cbf}ಸ\u{cc6}ಂಬರ\u{ccd}"]`
        pub const MON: &[&str] = &["ಜನವರ\u{cbf}", "ಫ\u{cc6}ಬ\u{ccd}ರುವರ\u{cbf}", "ಮಾರ\u{ccd}ಚ\u{ccd}", "ಏಪ\u{ccd}ರ\u{cbf}ಲ\u{ccd}\u{200c}\u{200c}", "ಮೇ", "ಜ\u{cc2}ನ\u{ccd}", "ಜುಲೈ", "ಆಗಸ\u{ccd}ಟ\u{ccd}", "ಸ\u{cc6}ಪ\u{ccd}ಟ\u{cc6}ಂಬರ\u{ccd}\u{200c}", "ಅಕ\u{ccd}ಟೋಬರ\u{ccd}", "ನವ\u{cc6}ಂಬರ\u{ccd}", "ಡ\u{cbf}ಸ\u{cc6}ಂಬರ\u{ccd}"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod te_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"భ\u{c3e}రతద\u{c47}శం"`
        pub const COUNTRY_NAME: &str = "భ\u{c3e}రతద\u{c47}శం";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"te"`
        pub const LANG_AB: &str = "te";
        /// `"tel"`
        pub const LANG_LIB: &str = "tel";
        /// `"త\u{c46}లుగు"`
        pub const LANG_NAME: &str = "త\u{c46}లుగు";
        /// `"tel"`
        pub const LANG_TERM: &str = "tel";
        /// `"%a%N%d%N%f%N%r%t%e%N%h%t%b%N%s%t%N%T%t%z%N%S%N%c"`
        pub const POSTAL_FMT: &str = "%a%N%d%N%f%N%r%t%e%N%h%t%b%N%s%t%N%T%t%z%N%S%N%c";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2004-10-05"`
        pub const DATE: &str = "2004-10-05";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Telugu"`
        pub const LANGUAGE: &str = "Telugu";
        /// `"0.95"`
        pub const REVISION: &str = "0.95";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Telugu language locale for India"`
        pub const TITLE: &str = "Telugu language locale for India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNవ]"`
        pub const NOEXPR: &str = "^[-0nNవ]";
        /// `"వద\u{c4d}దు"`
        pub const NOSTR: &str = "వద\u{c4d}దు";
        /// `"^[+1yYఅ]"`
        pub const YESEXPR: &str = "^[+1yYఅ]";
        /// `"అవును"`
        pub const YESSTR: &str = "అవును";
    }
    pub use super::hi_IN::LC_MONETARY;
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 2]`
        pub const GROUPING: &[i64] = &[3, 2];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["ఆద\u{c3f}", "స\u{c4b}మ", "మంగళ", "బుధ", "గురు", "శుక\u{c4d}ర", "శన\u{c3f}"]`
        pub const ABDAY: &[&str] = &["ఆద\u{c3f}", "స\u{c4b}మ", "మంగళ", "బుధ", "గురు", "శుక\u{c4d}ర", "శన\u{c3f}"];
        /// `&["జన", "ఫ\u{c3f}బ\u{c4d}ర", "మ\u{c3e}ర\u{c4d}చ\u{c3f}", "ఏప\u{c4d}ర\u{c3f}", "మ\u{c47}", "జూన\u{c4d}", "జుల\u{c48}", "ఆగ", "స\u{c46}ప\u{c4d}ట\u{c46}ం", "అక\u{c4d}ట\u{c4b}", "నవం", "డ\u{c3f}స\u{c46}ం"]`
        pub const ABMON: &[&str] = &["జన", "ఫ\u{c3f}బ\u{c4d}ర", "మ\u{c3e}ర\u{c4d}చ\u{c3f}", "ఏప\u{c4d}ర\u{c3f}", "మ\u{c47}", "జూన\u{c4d}", "జుల\u{c48}", "ఆగ", "స\u{c46}ప\u{c4d}ట\u{c46}ం", "అక\u{c4d}ట\u{c4b}", "నవం", "డ\u{c3f}స\u{c46}ం"];
        /// `&["ఉ.", "స\u{c3e}."]`
        pub const AM_PM: &[&str] = &["ఉ.", "స\u{c3e}."];
        /// `"%d-%m-%y"`
        pub const D_FMT: &str = "%d-%m-%y";
        /// `"%B %d %A %Y %p%I.%M.%S %Z"`
        pub const D_T_FMT: &str = "%B %d %A %Y %p%I.%M.%S %Z";
        /// `&["ఆద\u{c3f}వ\u{c3e}రం", "స\u{c4b}మవ\u{c3e}రం", "మంగళవ\u{c3e}రం", "బుధవ\u{c3e}రం", "గురువ\u{c3e}రం", "శుక\u{c4d}రవ\u{c3e}రం", "శన\u{c3f}వ\u{c3e}రం"]`
        pub const DAY: &[&str] = &["ఆద\u{c3f}వ\u{c3e}రం", "స\u{c4b}మవ\u{c3e}రం", "మంగళవ\u{c3e}రం", "బుధవ\u{c3e}రం", "గురువ\u{c3e}రం", "శుక\u{c4d}రవ\u{c3e}రం", "శన\u{c3f}వ\u{c3e}రం"];
        /// `&["జనవర\u{c3f}", "ఫ\u{c3f}బ\u{c4d}రవర\u{c3f}", "మ\u{c3e}ర\u{c4d}చ\u{c3f}", "ఏప\u{c4d}ర\u{c3f}ల\u{c4d}", "మ\u{c47}", "జూన\u{c4d}", "జుల\u{c48}", "ఆగస\u{c4d}టు", "స\u{c46}ప\u{c4d}ట\u{c46}ంబర\u{c4d}", "అక\u{c4d}ట\u{c4b}బర\u{c4d}", "నవంబర\u{c4d}", "డ\u{c3f}స\u{c46}ంబర\u{c4d}"]`
        pub const MON: &[&str] = &["జనవర\u{c3f}", "ఫ\u{c3f}బ\u{c4d}రవర\u{c3f}", "మ\u{c3e}ర\u{c4d}చ\u{c3f}", "ఏప\u{c4d}ర\u{c3f}ల\u{c4d}", "మ\u{c47}", "జూన\u{c4d}", "జుల\u{c48}", "ఆగస\u{c4d}టు", "స\u{c46}ప\u{c4d}ట\u{c46}ంబర\u{c4d}", "అక\u{c4d}ట\u{c4b}బర\u{c4d}", "నవంబర\u{c4d}", "డ\u{c3f}స\u{c46}ంబర\u{c4d}"];
        /// `"%p%I.%M.%S %Z"`
        pub const T_FMT: &str = "%p%I.%M.%S %Z";
        /// `"%p%I.%M.%S %Z"`
        pub const T_FMT_AMPM: &str = "%p%I.%M.%S %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod tg_TJ {
    pub mod LC_ADDRESS {
        /// `"TJ"`
        pub const COUNTRY_ABTWO: &str = "TJ";
        /// `"TJK"`
        pub const COUNTRY_AB3: &str = "TJK";
        /// `"TJ"`
        pub const COUNTRY_CAR: &str = "TJ";
        /// `"Тоҷикистон"`
        pub const COUNTRY_NAME: &str = "Тоҷикистон";
        /// `762`
        pub const COUNTRY_NUM: i64 = 762;
        /// `"tg"`
        pub const LANG_AB: &str = "tg";
        /// `"tgk"`
        pub const LANG_LIB: &str = "tgk";
        /// `"тоҷикӣ"`
        pub const LANG_NAME: &str = "тоҷикӣ";
        /// `"tgk"`
        pub const LANG_TERM: &str = "tgk";
        /// `"%a%N%f%N%d%N%b%N%h %s %e %r%N%T %z%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%f%N%d%N%b%N%h %s %e %r%N%T %z%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
        ];
        /// `"Pablo Saratxaga, Roger Kovacs"`
        pub const CONTACT: &str = "Pablo Saratxaga, Roger Kovacs";
        /// `"2004-01-09"`
        pub const DATE: &str = "2004-01-09";
        /// `"pablo@mandrakesoft.com, ROGERKO@micromotion.com"`
        pub const EMAIL: &str = "pablo@mandrakesoft.com, ROGERKO@micromotion.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Tajik"`
        pub const LANGUAGE: &str = "Tajik";
        /// `"0.4"`
        pub const REVISION: &str = "0.4";
        /// `"Roger Kovacs"`
        pub const SOURCE: &str = "Roger Kovacs";
        /// `""`
        pub const TEL: &str = "";
        /// `"Tajikistan"`
        pub const TERRITORY: &str = "Tajikistan";
        /// `"Tajik language locale for Tajikistan"`
        pub const TITLE: &str = "Tajik language locale for Tajikistan";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNНн]"`
        pub const NOEXPR: &str = "^[-0nNНн]";
        /// `"не"`
        pub const NOSTR: &str = "не";
        /// `"^[+1yYҲҳХхДд]"`
        pub const YESEXPR: &str = "^[+1yYҲҳХхДд]";
        /// `"ҳа"`
        pub const YESSTR: &str = "ҳа";
    }
    pub mod LC_MONETARY {
        /// `"руб"`
        pub const CURRENCY_SYMBOL: &str = "руб";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"TJS "`
        pub const INT_CURR_SYMBOL: &str = "TJS ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"992"`
        pub const INT_PREFIX: &str = "992";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a%t%l"`
        pub const TEL_INT_FMT: &str = "+%c %a%t%l";
    }
    pub mod LC_TIME {
        /// `&["Вск", "Пнд", "Втр", "Срд", "Чтв", "Птн", "Сбт"]`
        pub const ABDAY: &[&str] = &["Вск", "Пнд", "Втр", "Срд", "Чтв", "Птн", "Сбт"];
        /// `&["Янв", "Фев", "Мар", "Апр", "Май", "Июн", "Июл", "Авг", "Сен", "Окт", "Ноя", "Дек"]`
        pub const ABMON: &[&str] = &["Янв", "Фев", "Мар", "Апр", "Май", "Июн", "Июл", "Авг", "Сен", "Окт", "Ноя", "Дек"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T";
        /// `&["Воскресенье", "Понедельник", "Вторник", "Среда", "Четверг", "Пятница", "Суббота"]`
        pub const DAY: &[&str] = &["Воскресенье", "Понедельник", "Вторник", "Среда", "Четверг", "Пятница", "Суббота"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Января", "Февраля", "Марта", "Апреля", "Мая", "Июня", "Июля", "Августа", "Сентября", "Октября", "Ноября", "Декабря"]`
        pub const MON: &[&str] = &["Января", "Февраля", "Марта", "Апреля", "Мая", "Июня", "Июля", "Августа", "Сентября", "Октября", "Ноября", "Декабря"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod th_TH {
    pub mod LC_ADDRESS {
        /// `"TH"`
        pub const COUNTRY_ABTWO: &str = "TH";
        /// `"THA"`
        pub const COUNTRY_AB3: &str = "THA";
        /// `"T"`
        pub const COUNTRY_CAR: &str = "T";
        /// `"ไทย"`
        pub const COUNTRY_NAME: &str = "ไทย";
        /// `764`
        pub const COUNTRY_NUM: i64 = 764;
        /// `"th"`
        pub const LANG_AB: &str = "th";
        /// `"tha"`
        pub const LANG_LIB: &str = "tha";
        /// `"ไทย"`
        pub const LANG_NAME: &str = "ไทย";
        /// `"tha"`
        pub const LANG_TERM: &str = "tha";
        /// `"%f%N%a%N%d%N%r%t%e%t%b%N%h%t%s%N%T%N%S%N%z%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%r%t%e%t%b%N%h%t%s%N%T%N%S%N%z%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-06-29"`
        pub const DATE: &str = "2000-06-29";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Thai"`
        pub const LANGUAGE: &str = "Thai";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Thailand"`
        pub const TERRITORY: &str = "Thailand";
        /// `"Thai locale for Thailand"`
        pub const TITLE: &str = "Thai locale for Thailand";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNม]"`
        pub const NOEXPR: &str = "^[-0nNม]";
        /// `"ไม\u{e48}ใช\u{e48}"`
        pub const NOSTR: &str = "ไม\u{e48}ใช\u{e48}";
        /// `"^[+1yYช]"`
        pub const YESEXPR: &str = "^[+1yYช]";
        /// `"ใช\u{e48}"`
        pub const YESSTR: &str = "ใช\u{e48}";
    }
    pub mod LC_MONETARY {
        /// `"฿"`
        pub const CURRENCY_SYMBOL: &str = "฿";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"THB "`
        pub const INT_CURR_SYMBOL: &str = "THB ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `2`
        pub const N_SEP_BY_SPACE: i64 = 2;
        /// `4`
        pub const N_SIGN_POSN: i64 = 4;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `2`
        pub const P_SEP_BY_SPACE: i64 = 2;
        /// `4`
        pub const P_SIGN_POSN: i64 = 4;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"66"`
        pub const INT_PREFIX: &str = "66";
        /// `"001"`
        pub const INT_SELECT: &str = "001";
        /// `"0-%a%l"`
        pub const TEL_DOM_FMT: &str = "0-%a%l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["อา.", "จ.", "อ.", "พ.", "พฤ.", "ศ.", "ส."]`
        pub const ABDAY: &[&str] = &["อา.", "จ.", "อ.", "พ.", "พฤ.", "ศ.", "ส."];
        /// `&["ม.ค.", "ก.พ.", "ม\u{e35}.ค.", "เม.ย.", "พ.ค.", "ม\u{e34}.ย.", "ก.ค.", "ส.ค.", "ก.ย.", "ต.ค.", "พ.ย.", "ธ.ค."]`
        pub const ABMON: &[&str] = &["ม.ค.", "ก.พ.", "ม\u{e35}.ค.", "เม.ย.", "พ.ค.", "ม\u{e34}.ย.", "ก.ค.", "ส.ค.", "ก.ย.", "ต.ค.", "พ.ย.", "ธ.ค."];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%d/%m/%Ey"`
        pub const D_FMT: &str = "%d/%m/%Ey";
        /// `"%a %e %b %Ey, %H:%M:%S"`
        pub const D_T_FMT: &str = "%a %e %b %Ey, %H:%M:%S";
        /// `"%a %e %b %Ey %H:%M:%S %Z"`
        pub const DATE_FMT: &str = "%a %e %b %Ey %H:%M:%S %Z";
        /// `&["อาท\u{e34}ตย\u{e4c}", "จ\u{e31}นทร\u{e4c}", "อ\u{e31}งคาร", "พ\u{e38}ธ", "พฤห\u{e31}สบด\u{e35}", "ศ\u{e38}กร\u{e4c}", "เสาร\u{e4c}"]`
        pub const DAY: &[&str] = &["อาท\u{e34}ตย\u{e4c}", "จ\u{e31}นทร\u{e4c}", "อ\u{e31}งคาร", "พ\u{e38}ธ", "พฤห\u{e31}สบด\u{e35}", "ศ\u{e38}กร\u{e4c}", "เสาร\u{e4c}"];
        /// `"+:1:-543/01/01:+*:พ.ศ.:%EC %Ey"`
        pub const ERA: &str = "+:1:-543/01/01:+*:พ.ศ.:%EC %Ey";
        /// `"%e %b %Ey"`
        pub const ERA_D_FMT: &str = "%e %b %Ey";
        /// `"ว\u{e31}น%Aท\u{e35}\u{e48} %e %B %EC %Ey, %H.%M.%S น."`
        pub const ERA_D_T_FMT: &str = "ว\u{e31}น%Aท\u{e35}\u{e48} %e %B %EC %Ey, %H.%M.%S น.";
        /// `"%H.%M.%S น."`
        pub const ERA_T_FMT: &str = "%H.%M.%S น.";
        /// `&["มกราคม", "ก\u{e38}มภาพ\u{e31}นธ\u{e4c}", "ม\u{e35}นาคม", "เมษายน", "พฤษภาคม", "ม\u{e34}ถ\u{e38}นายน", "กรกฎาคม", "ส\u{e34}งหาคม", "ก\u{e31}นยายน", "ต\u{e38}ลาคม", "พฤศจ\u{e34}กายน", "ธ\u{e31}นวาคม"]`
        pub const MON: &[&str] = &["มกราคม", "ก\u{e38}มภาพ\u{e31}นธ\u{e4c}", "ม\u{e35}นาคม", "เมษายน", "พฤษภาคม", "ม\u{e34}ถ\u{e38}นายน", "กรกฎาคม", "ส\u{e34}งหาคม", "ก\u{e31}นยายน", "ต\u{e38}ลาคม", "พฤศจ\u{e34}กายน", "ธ\u{e31}นวาคม"];
        /// `"%H:%M:%S"`
        pub const T_FMT: &str = "%H:%M:%S";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod the_NP {
    pub mod LC_ADDRESS {
        /// `"NP"`
        pub const COUNTRY_ABTWO: &str = "NP";
        /// `"NPL"`
        pub const COUNTRY_AB3: &str = "NPL";
        /// `"NEP"`
        pub const COUNTRY_CAR: &str = "NEP";
        /// `"न\u{947}पाल"`
        pub const COUNTRY_NAME: &str = "न\u{947}पाल";
        /// `524`
        pub const COUNTRY_NUM: i64 = 524;
        /// `"the"`
        pub const LANG_LIB: &str = "the";
        /// `"थार\u{941}"`
        pub const LANG_NAME: &str = "थार\u{941}";
        /// `"the"`
        pub const LANG_TERM: &str = "the";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sangam Market, narayanghat, Nepal"`
        pub const ADDRESS: &str = "Sangam Market, narayanghat, Nepal";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2013-11-15"`
        pub const DATE: &str = "2013-11-15";
        /// `"info@chitwanix.com"`
        pub const EMAIL: &str = "info@chitwanix.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Chitwania Tharu"`
        pub const LANGUAGE: &str = "Chitwania Tharu";
        /// `"1.1"`
        pub const REVISION: &str = "1.1";
        /// `"Chitwanix OS Development"`
        pub const SOURCE: &str = "Chitwanix OS Development";
        /// `""`
        pub const TEL: &str = "";
        /// `"Nepal"`
        pub const TERRITORY: &str = "Nepal";
        /// `"Tharu language locale for Nepal"`
        pub const TITLE: &str = "Tharu language locale for Nepal";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
    }
    pub use super::ne_NP::LC_MONETARY;
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub use super::ne_NP::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["आइत", "सोम", "म\u{902}गल", "ब\u{941}ध", "बिहि", "श\u{941}क\u{94d}र", "शनि"]`
        pub const ABDAY: &[&str] = &["आइत", "सोम", "म\u{902}गल", "ब\u{941}ध", "बिहि", "श\u{941}क\u{94d}र", "शनि"];
        /// `&["जनवरी", "फ\u{93c}रवरी", "मार\u{94d}च", "अप\u{94d}र\u{947}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अक\u{94d}ट\u{942}बर", "नवम\u{94d}बर", "दिसम\u{94d}बर"]`
        pub const ABMON: &[&str] = &["जनवरी", "फ\u{93c}रवरी", "मार\u{94d}च", "अप\u{94d}र\u{947}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अक\u{94d}ट\u{942}बर", "नवम\u{94d}बर", "दिसम\u{94d}बर"];
        /// `&["प\u{942}र\u{94d}वाह\u{94d}न", "अपराह\u{94d}न"]`
        pub const AM_PM: &[&str] = &["प\u{942}र\u{94d}वाह\u{94d}न", "अपराह\u{94d}न"];
        /// `"%A %d %b %Y"`
        pub const D_FMT: &str = "%A %d %b %Y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["आइतबार", "सोमबार", "म\u{902}गलबार", "ब\u{941}धबार", "बिहिबार", "श\u{941}क\u{94d}रबार", "शनिबार"]`
        pub const DAY: &[&str] = &["आइतबार", "सोमबार", "म\u{902}गलबार", "ब\u{941}धबार", "बिहिबार", "श\u{941}क\u{94d}रबार", "शनिबार"];
        /// `&["जनवरी", "फ\u{93c}रवरी", "मार\u{94d}च", "अप\u{94d}र\u{947}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अक\u{94d}ट\u{942}बर", "नवम\u{94d}बर", "दिसम\u{94d}बर"]`
        pub const MON: &[&str] = &["जनवरी", "फ\u{93c}रवरी", "मार\u{94d}च", "अप\u{94d}र\u{947}ल", "मई", "ज\u{942}न", "ज\u{941}लाई", "अगस\u{94d}त", "सितम\u{94d}बर", "अक\u{94d}ट\u{942}बर", "नवम\u{94d}बर", "दिसम\u{94d}बर"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ti_ER {
    pub mod LC_ADDRESS {
        /// `"ER"`
        pub const COUNTRY_ABTWO: &str = "ER";
        /// `"ERI"`
        pub const COUNTRY_AB3: &str = "ERI";
        /// `"ER"`
        pub const COUNTRY_CAR: &str = "ER";
        /// `"ኤርትራ"`
        pub const COUNTRY_NAME: &str = "ኤርትራ";
        /// `232`
        pub const COUNTRY_NUM: i64 = 232;
        /// `"ERI"`
        pub const COUNTRY_POST: &str = "ERI";
        /// `"ti"`
        pub const LANG_AB: &str = "ti";
        /// `"tir"`
        pub const LANG_LIB: &str = "tir";
        /// `"ትግርኛ"`
        pub const LANG_NAME: &str = "ትግርኛ";
        /// `"tir"`
        pub const LANG_TERM: &str = "tir";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"7802 Solomon Seal Dr., Springfield, VA 22152, USA"`
        pub const ADDRESS: &str = "7802 Solomon Seal Dr., Springfield, VA 22152, USA";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_TIME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_TIME"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2003-07-05"`
        pub const DATE: &str = "2003-07-05";
        /// `"locales@geez.org"`
        pub const EMAIL: &str = "locales@geez.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Tigrinya"`
        pub const LANGUAGE: &str = "Tigrinya";
        /// `"0.20"`
        pub const REVISION: &str = "0.20";
        /// `"Ge\'ez Frontier Foundation"`
        pub const SOURCE: &str = "Ge\'ez Frontier Foundation";
        /// `""`
        pub const TEL: &str = "";
        /// `"Eritrea"`
        pub const TERRITORY: &str = "Eritrea";
        /// `"Tigrigna language locale for Eritrea."`
        pub const TITLE: &str = "Tigrigna language locale for Eritrea.";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNነ]"`
        pub const NOEXPR: &str = "^[-0nNነ]";
        /// `"ነኖእ"`
        pub const NOSTR: &str = "ነኖእ";
        /// `"^[+1yYእ]"`
        pub const YESEXPR: &str = "^[+1yYእ]";
        /// `"እወ"`
        pub const YESSTR: &str = "እወ";
    }
    pub mod LC_MONETARY {
        /// `"Nfk"`
        pub const CURRENCY_SYMBOL: &str = "Nfk";
        /// `0`
        pub const FRAC_DIGITS: i64 = 0;
        /// `"ERN "`
        pub const INT_CURR_SYMBOL: &str = "ERN ";
        /// `0`
        pub const INT_FRAC_DIGITS: i64 = 0;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[0, 0]`
        pub const GROUPING: &[i64] = &[0, 0];
        /// `""`
        pub const THOUSANDS_SEP: &str = "";
    }
    pub mod LC_TELEPHONE {
        /// `"291"`
        pub const INT_PREFIX: &str = "291";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%a-%l"`
        pub const TEL_DOM_FMT: &str = "%a-%l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["ሰንበ", "ሰኑይ", "ሰሉስ", "ረቡዕ", "ሓሙስ", "ዓርቢ", "ቀዳም"]`
        pub const ABDAY: &[&str] = &["ሰንበ", "ሰኑይ", "ሰሉስ", "ረቡዕ", "ሓሙስ", "ዓርቢ", "ቀዳም"];
        /// `&["ጥሪ ", "ለካቲ", "መጋቢ", "ሚያዝ", "ግንቦ", "ሰነ ", "ሓምለ", "ነሓሰ", "መስከ", "ጥቅም", "ሕዳር", "ታሕሳ"]`
        pub const ABMON: &[&str] = &["ጥሪ ", "ለካቲ", "መጋቢ", "ሚያዝ", "ግንቦ", "ሰነ ", "ሓምለ", "ነሓሰ", "መስከ", "ጥቅም", "ሕዳር", "ታሕሳ"];
        /// `&["ንጉሆ ሰዓተ", "ድሕር ሰዓት"]`
        pub const AM_PM: &[&str] = &["ንጉሆ ሰዓተ", "ድሕር ሰዓት"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%A፡ %B %e መዓልቲ %Y %r %Z"`
        pub const D_T_FMT: &str = "%A፡ %B %e መዓልቲ %Y %r %Z";
        /// `"%A፡ %B %e መዓልቲ %r %Z %Y ዓ/ም"`
        pub const DATE_FMT: &str = "%A፡ %B %e መዓልቲ %r %Z %Y ዓ/ም";
        /// `&["ሰንበት", "ሰኑይ", "ሰሉስ", "ረቡዕ", "ሓሙስ", "ዓርቢ", "ቀዳም"]`
        pub const DAY: &[&str] = &["ሰንበት", "ሰኑይ", "ሰሉስ", "ረቡዕ", "ሓሙስ", "ዓርቢ", "ቀዳም"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["ጥሪ", "ለካቲት", "መጋቢት", "ሚያዝያ", "ግንቦት", "ሰነ", "ሓምለ", "ነሓሰ", "መስከረም", "ጥቅምቲ", "ሕዳር", "ታሕሳስ"]`
        pub const MON: &[&str] = &["ጥሪ", "ለካቲት", "መጋቢት", "ሚያዝያ", "ግንቦት", "ሰነ", "ሓምለ", "ነሓሰ", "መስከረም", "ጥቅምቲ", "ሕዳር", "ታሕሳስ"];
        /// `"%l:%M:%S %p"`
        pub const T_FMT: &str = "%l:%M:%S %p";
        /// `"%l:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%l:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ti_ET {
    pub mod LC_ADDRESS {
        /// `"ET"`
        pub const COUNTRY_ABTWO: &str = "ET";
        /// `"ETH"`
        pub const COUNTRY_AB3: &str = "ETH";
        /// `"ETH"`
        pub const COUNTRY_CAR: &str = "ETH";
        /// `"ኢትዮጵያ"`
        pub const COUNTRY_NAME: &str = "ኢትዮጵያ";
        /// `231`
        pub const COUNTRY_NUM: i64 = 231;
        /// `"ETH"`
        pub const COUNTRY_POST: &str = "ETH";
        /// `"ti"`
        pub const LANG_AB: &str = "ti";
        /// `"tir"`
        pub const LANG_LIB: &str = "tir";
        /// `"ትግርኛ"`
        pub const LANG_NAME: &str = "ትግርኛ";
        /// `"tir"`
        pub const LANG_TERM: &str = "tir";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"7802 Solomon Seal Dr., Springfield, VA 22152, USA"`
        pub const ADDRESS: &str = "7802 Solomon Seal Dr., Springfield, VA 22152, USA";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_TIME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_TIME"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2003-07-05"`
        pub const DATE: &str = "2003-07-05";
        /// `"locales@geez.org"`
        pub const EMAIL: &str = "locales@geez.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Tigrinya"`
        pub const LANGUAGE: &str = "Tigrinya";
        /// `"0.20"`
        pub const REVISION: &str = "0.20";
        /// `"Ge\'ez Frontier Foundation"`
        pub const SOURCE: &str = "Ge\'ez Frontier Foundation";
        /// `""`
        pub const TEL: &str = "";
        /// `"Ethiopia"`
        pub const TERRITORY: &str = "Ethiopia";
        /// `"Tigrigna language locale for Ethiopia."`
        pub const TITLE: &str = "Tigrigna language locale for Ethiopia.";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0ነnN]"`
        pub const NOEXPR: &str = "^[-0ነnN]";
        /// `"ነኖእ"`
        pub const NOSTR: &str = "ነኖእ";
        /// `"^[+1እyY]"`
        pub const YESEXPR: &str = "^[+1እyY]";
        /// `"እወ"`
        pub const YESSTR: &str = "እወ";
    }
    pub mod LC_MONETARY {
        /// `"Br"`
        pub const CURRENCY_SYMBOL: &str = "Br";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"ETB "`
        pub const INT_CURR_SYMBOL: &str = "ETB ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"251"`
        pub const INT_PREFIX: &str = "251";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%a-%l"`
        pub const TEL_DOM_FMT: &str = "%a-%l";
        /// `"%c-%a-%l"`
        pub const TEL_INT_FMT: &str = "%c-%a-%l";
    }
    pub mod LC_TIME {
        /// `&["ሰንበ", "ሰኑይ", "ሰሉስ", "ረቡዕ", "ሓሙስ", "ዓርቢ", "ቀዳም"]`
        pub const ABDAY: &[&str] = &["ሰንበ", "ሰኑይ", "ሰሉስ", "ረቡዕ", "ሓሙስ", "ዓርቢ", "ቀዳም"];
        /// `&["ጃንዩ", "ፌብሩ", "ማርች", "ኤፕረ", "ሜይ ", "ጁን ", "ጁላይ", "ኦገስ", "ሴፕቴ", "ኦክተ", "ኖቬም", "ዲሴም"]`
        pub const ABMON: &[&str] = &["ጃንዩ", "ፌብሩ", "ማርች", "ኤፕረ", "ሜይ ", "ጁን ", "ጁላይ", "ኦገስ", "ሴፕቴ", "ኦክተ", "ኖቬም", "ዲሴም"];
        /// `&["ንጉሆ ሰዓተ", "ድሕር ሰዓት"]`
        pub const AM_PM: &[&str] = &["ንጉሆ ሰዓተ", "ድሕር ሰዓት"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%A፣ %B %e መዓልቲ %Y %r %Z"`
        pub const D_T_FMT: &str = "%A፣ %B %e መዓልቲ %Y %r %Z";
        /// `"%A፣ %B %e መዓልቲ %r %Z %Y ዓ/ም"`
        pub const DATE_FMT: &str = "%A፣ %B %e መዓልቲ %r %Z %Y ዓ/ም";
        /// `&["ሰንበት", "ሰኑይ", "ሰሉስ", "ረቡዕ", "ሓሙስ", "ዓርቢ", "ቀዳም"]`
        pub const DAY: &[&str] = &["ሰንበት", "ሰኑይ", "ሰሉስ", "ረቡዕ", "ሓሙስ", "ዓርቢ", "ቀዳም"];
        /// `&["ጃንዩወሪ", "ፌብሩወሪ", "ማርች", "ኤፕረል", "ሜይ", "ጁን", "ጁላይ", "ኦገስት", "ሴፕቴምበር", "ኦክተውበር", "ኖቬምበር", "ዲሴምበር"]`
        pub const MON: &[&str] = &["ጃንዩወሪ", "ፌብሩወሪ", "ማርች", "ኤፕረል", "ሜይ", "ጁን", "ጁላይ", "ኦገስት", "ሴፕቴምበር", "ኦክተውበር", "ኖቬምበር", "ዲሴምበር"];
        /// `"%l:%M:%S %p"`
        pub const T_FMT: &str = "%l:%M:%S %p";
        /// `"%l:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%l:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod tig_ER {
    pub mod LC_ADDRESS {
        /// `"ER"`
        pub const COUNTRY_ABTWO: &str = "ER";
        /// `"ERI"`
        pub const COUNTRY_AB3: &str = "ERI";
        /// `"ER"`
        pub const COUNTRY_CAR: &str = "ER";
        /// `"ኤርትራ"`
        pub const COUNTRY_NAME: &str = "ኤርትራ";
        /// `232`
        pub const COUNTRY_NUM: i64 = 232;
        /// `"ERI"`
        pub const COUNTRY_POST: &str = "ERI";
        /// `""`
        pub const LANG_AB: &str = "";
        /// `"tig"`
        pub const LANG_LIB: &str = "tig";
        /// `"ትግረ"`
        pub const LANG_NAME: &str = "ትግረ";
        /// `"tig"`
        pub const LANG_TERM: &str = "tig";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"7802 Solomon Seal Dr., Springfield, VA 22152, USA"`
        pub const ADDRESS: &str = "7802 Solomon Seal Dr., Springfield, VA 22152, USA";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_TIME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_TIME"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2003-07-05"`
        pub const DATE: &str = "2003-07-05";
        /// `"locales@geez.org"`
        pub const EMAIL: &str = "locales@geez.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Tigre"`
        pub const LANGUAGE: &str = "Tigre";
        /// `"0.20"`
        pub const REVISION: &str = "0.20";
        /// `"Ge\'ez Frontier Foundation"`
        pub const SOURCE: &str = "Ge\'ez Frontier Foundation";
        /// `""`
        pub const TEL: &str = "";
        /// `"Eritrea"`
        pub const TERRITORY: &str = "Eritrea";
        /// `"Tigre language locale for Eritrea"`
        pub const TITLE: &str = "Tigre language locale for Eritrea";
    }
    pub use super::ti_ER::LC_MESSAGES;
    pub use super::ti_ER::LC_MONETARY;
    pub use super::ti_ER::LC_NUMERIC;
    pub use super::ti_ER::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["ሰ/ዓ", "ሰኖ ", "ታላሸ", "ኣረር", "ከሚሽ", "ጅምዓ", "ሰ/ን"]`
        pub const ABDAY: &[&str] = &["ሰ/ዓ", "ሰኖ ", "ታላሸ", "ኣረር", "ከሚሽ", "ጅምዓ", "ሰ/ን"];
        /// `&["ጥሪ ", "ለካቲ", "መጋቢ", "ሚያዝ", "ግንቦ", "ሰነ ", "ሓምለ", "ነሓሰ", "መስከ", "ጥቅም", "ሕዳር", "ታሕሳ"]`
        pub const ABMON: &[&str] = &["ጥሪ ", "ለካቲ", "መጋቢ", "ሚያዝ", "ግንቦ", "ሰነ ", "ሓምለ", "ነሓሰ", "መስከ", "ጥቅም", "ሕዳር", "ታሕሳ"];
        /// `&["ቀደም ሰር ምዕል", "ሓቆ ሰር ምዕል"]`
        pub const AM_PM: &[&str] = &["ቀደም ሰር ምዕል", "ሓቆ ሰር ምዕል"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%A፡ %B %e ዮም %Y %r %Z"`
        pub const D_T_FMT: &str = "%A፡ %B %e ዮም %Y %r %Z";
        /// `"%A፡ %B %e ዮም %r %Z %Y ዓ/ም"`
        pub const DATE_FMT: &str = "%A፡ %B %e ዮም %r %Z %Y ዓ/ም";
        /// `&["ሰንበት ዓባይ", "ሰኖ", "ታላሸኖ", "ኣረርባዓ", "ከሚሽ", "ጅምዓት", "ሰንበት ንኢሽ"]`
        pub const DAY: &[&str] = &["ሰንበት ዓባይ", "ሰኖ", "ታላሸኖ", "ኣረርባዓ", "ከሚሽ", "ጅምዓት", "ሰንበት ንኢሽ"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["ጥሪ", "ለካቲት", "መጋቢት", "ሚያዝያ", "ግንቦት", "ሰነ", "ሓምለ", "ነሓሰ", "መስከረም", "ጥቅምቲ", "ሕዳር", "ታሕሳስ"]`
        pub const MON: &[&str] = &["ጥሪ", "ለካቲት", "መጋቢት", "ሚያዝያ", "ግንቦት", "ሰነ", "ሓምለ", "ነሓሰ", "መስከረም", "ጥቅምቲ", "ሕዳር", "ታሕሳስ"];
        /// `"%l:%M:%S %p"`
        pub const T_FMT: &str = "%l:%M:%S %p";
        /// `"%l:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%l:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod tk_TM {
    pub mod LC_ADDRESS {
        /// `"TM"`
        pub const COUNTRY_ABTWO: &str = "TM";
        /// `"TKM"`
        pub const COUNTRY_AB3: &str = "TKM";
        /// `"TM"`
        pub const COUNTRY_CAR: &str = "TM";
        /// `"Türkmenistan"`
        pub const COUNTRY_NAME: &str = "Türkmenistan";
        /// `795`
        pub const COUNTRY_NUM: i64 = 795;
        /// `"TM"`
        pub const COUNTRY_POST: &str = "TM";
        /// `"tk"`
        pub const LANG_AB: &str = "tk";
        /// `"tuk"`
        pub const LANG_LIB: &str = "tuk";
        /// `"türkmen dili"`
        pub const LANG_NAME: &str = "türkmen dili";
        /// `"tuk"`
        pub const LANG_TERM: &str = "tuk";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"Pablo Saratxaga & Ghorban M. Tavakoly"`
        pub const CONTACT: &str = "Pablo Saratxaga & Ghorban M. Tavakoly";
        /// `"2011-04-09"`
        pub const DATE: &str = "2011-04-09";
        /// `"pablo@walon.org & gmt314@yahoo.com"`
        pub const EMAIL: &str = "pablo@walon.org & gmt314@yahoo.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Turkmen"`
        pub const LANGUAGE: &str = "Turkmen";
        /// `"0.5"`
        pub const REVISION: &str = "0.5";
        /// `"Ghorban M. Tavakoly"`
        pub const SOURCE: &str = "Ghorban M. Tavakoly";
        /// `""`
        pub const TEL: &str = "";
        /// `"Turkmenistan"`
        pub const TERRITORY: &str = "Turkmenistan";
        /// `"Turkmen locale for Turkmenistan"`
        pub const TITLE: &str = "Turkmen locale for Turkmenistan";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNýÝ]"`
        pub const NOEXPR: &str = "^[-0nNýÝ]";
        /// `"ýok"`
        pub const NOSTR: &str = "ýok";
        /// `"^[+1hH]"`
        pub const YESEXPR: &str = "^[+1hH]";
        /// `"hawa"`
        pub const YESSTR: &str = "hawa";
    }
    pub mod LC_MONETARY {
        /// `"MANAT"`
        pub const CURRENCY_SYMBOL: &str = "MANAT";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"TMM "`
        pub const INT_CURR_SYMBOL: &str = "TMM ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"993"`
        pub const INT_PREFIX: &str = "993";
        /// `"8\u{a0}10"`
        pub const INT_SELECT: &str = "8\u{a0}10";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Duş", "Siş", "Çar", "Pen", "Ann", "Şen", "Ýek"]`
        pub const ABDAY: &[&str] = &["Duş", "Siş", "Çar", "Pen", "Ann", "Şen", "Ýek"];
        /// `&["Ýan", "Few", "Mar", "Apr", "Maý", "Iýn", "Iýl", "Awg", "Sen", "Okt", "Noý", "Dek"]`
        pub const ABMON: &[&str] = &["Ýan", "Few", "Mar", "Apr", "Maý", "Iýn", "Iýl", "Awg", "Sen", "Okt", "Noý", "Dek"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%d.%m.%Y %T"`
        pub const D_T_FMT: &str = "%d.%m.%Y %T";
        /// `&["Duşenbe", "Sişenbe", "Çarşenbe", "Penşenbe", "Anna", "Şenbe", "Ýekşenbe"]`
        pub const DAY: &[&str] = &["Duşenbe", "Sişenbe", "Çarşenbe", "Penşenbe", "Anna", "Şenbe", "Ýekşenbe"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Ýanwar", "Fewral", "Mart", "Aprel", "Maý", "Iýun", "Iýul", "Awgust", "Sentýabr", "Oktýabr", "Noýabr", "Dekabr"]`
        pub const MON: &[&str] = &["Ýanwar", "Fewral", "Mart", "Aprel", "Maý", "Iýun", "Iýul", "Awgust", "Sentýabr", "Oktýabr", "Noýabr", "Dekabr"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod tl_PH {
    pub mod LC_ADDRESS {
        /// `"PH"`
        pub const COUNTRY_ABTWO: &str = "PH";
        /// `"PHL"`
        pub const COUNTRY_AB3: &str = "PHL";
        /// `"RP"`
        pub const COUNTRY_CAR: &str = "RP";
        /// `"Pilipinas"`
        pub const COUNTRY_NAME: &str = "Pilipinas";
        /// `608`
        pub const COUNTRY_NUM: i64 = 608;
        /// `"tl"`
        pub const LANG_AB: &str = "tl";
        /// `"tgl"`
        pub const LANG_LIB: &str = "tgl";
        /// `"Tagalog"`
        pub const LANG_NAME: &str = "Tagalog";
        /// `"tgl"`
        pub const LANG_TERM: &str = "tgl";
        /// `"%a%N%f%N%d%N%b%N%h %s %e %r%N%T %z%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%f%N%d%N%b%N%h %s %e %r%N%T %z%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MONETARY"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MONETARY"],
        ];
        /// `"Rene Torres, Pablo Saratxaga"`
        pub const CONTACT: &str = "Rene Torres, Pablo Saratxaga";
        /// `"2001-01-28"`
        pub const DATE: &str = "2001-01-28";
        /// `"rgtorre@rocketmail.com, pablo@mandrakesoft.com"`
        pub const EMAIL: &str = "rgtorre@rocketmail.com, pablo@mandrakesoft.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Tagalog"`
        pub const LANGUAGE: &str = "Tagalog";
        /// `"0.2"`
        pub const REVISION: &str = "0.2";
        /// `"Rene Torres"`
        pub const SOURCE: &str = "Rene Torres";
        /// `""`
        pub const TEL: &str = "";
        /// `"Philippines"`
        pub const TERRITORY: &str = "Philippines";
        /// `"Tagalog language locale for Philippines"`
        pub const TITLE: &str = "Tagalog language locale for Philippines";
    }
    pub use super::fil_PH::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"₱"`
        pub const CURRENCY_SYMBOL: &str = "₱";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"PHP "`
        pub const INT_CURR_SYMBOL: &str = "PHP ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::en_US::LC_NUMERIC;
    pub use super::en_PH::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Lin", "Lun", "Mar", "Miy", "Huw", "Biy", "Sab"]`
        pub const ABDAY: &[&str] = &["Lin", "Lun", "Mar", "Miy", "Huw", "Biy", "Sab"];
        /// `&["Ene", "Peb", "Mar", "Abr", "May", "Hun", "Hul", "Ago", "Sep", "Okt", "Nob", "Dis"]`
        pub const ABMON: &[&str] = &["Ene", "Peb", "Mar", "Abr", "May", "Hun", "Hul", "Ago", "Sep", "Okt", "Nob", "Dis"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%m/%d/%y"`
        pub const D_FMT: &str = "%m/%d/%y";
        /// `"%a %d %b %Y %r %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %r %Z";
        /// `&["Linggo", "Lunes", "Martes", "Miyerkoles", "Huwebes", "Biyernes", "Sabado"]`
        pub const DAY: &[&str] = &["Linggo", "Lunes", "Martes", "Miyerkoles", "Huwebes", "Biyernes", "Sabado"];
        /// `&["Enero", "Pebrero", "Marso", "Abril", "Mayo", "Hunyo", "Hulyo", "Agosto", "Septiyembre", "Oktubre", "Nobiyembre", "Disyembre"]`
        pub const MON: &[&str] = &["Enero", "Pebrero", "Marso", "Abril", "Mayo", "Hunyo", "Hulyo", "Agosto", "Septiyembre", "Oktubre", "Nobiyembre", "Disyembre"];
        /// `"%r"`
        pub const T_FMT: &str = "%r";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod tn_ZA {
    pub mod LC_ADDRESS {
        /// `"ZA"`
        pub const COUNTRY_ABTWO: &str = "ZA";
        /// `"ZAF"`
        pub const COUNTRY_AB3: &str = "ZAF";
        /// `"ZA"`
        pub const COUNTRY_CAR: &str = "ZA";
        /// `"Aforika Borwa"`
        pub const COUNTRY_NAME: &str = "Aforika Borwa";
        /// `710`
        pub const COUNTRY_NUM: i64 = 710;
        /// `"ZA"`
        pub const COUNTRY_POST: &str = "ZA";
        /// `"tn"`
        pub const LANG_AB: &str = "tn";
        /// `"tsn"`
        pub const LANG_LIB: &str = "tsn";
        /// `"Setswana"`
        pub const LANG_NAME: &str = "Setswana";
        /// `"tsn"`
        pub const LANG_TERM: &str = "tsn";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"PO Box 28364, Sunnyside, 0132, South Africa"`
        pub const ADDRESS: &str = "PO Box 28364, Sunnyside, 0132, South Africa";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Dwayne Bailey"`
        pub const CONTACT: &str = "Dwayne Bailey";
        /// `"2005-10-13"`
        pub const DATE: &str = "2005-10-13";
        /// `"dwayne@translate.org.za"`
        pub const EMAIL: &str = "dwayne@translate.org.za";
        /// `""`
        pub const FAX: &str = "";
        /// `"Tswana"`
        pub const LANGUAGE: &str = "Tswana";
        /// `"0.4"`
        pub const REVISION: &str = "0.4";
        /// `"Zuza Software Foundation (Translate.org.za)"`
        pub const SOURCE: &str = "Zuza Software Foundation (Translate.org.za)";
        /// `""`
        pub const TEL: &str = "";
        /// `"South Africa"`
        pub const TERRITORY: &str = "South Africa";
        /// `"Tswana locale for South Africa"`
        pub const TITLE: &str = "Tswana locale for South Africa";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"^[+1yYeE]"`
        pub const YESEXPR: &str = "^[+1yYeE]";
    }
    pub use super::en_ZA::LC_MONETARY;
    pub use super::en_ZA::LC_NUMERIC;
    pub use super::en_ZA::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Tsh", "Mos", "Bed", "Rar", "Ne", "Tlh", "Mat"]`
        pub const ABDAY: &[&str] = &["Tsh", "Mos", "Bed", "Rar", "Ne", "Tlh", "Mat"];
        /// `&["Fer", "Tlh", "Mop", "Mor", "Mot", "See", "Phu", "Pha", "Lwe", "Dip", "Ngw", "Sed"]`
        pub const ABMON: &[&str] = &["Fer", "Tlh", "Mop", "Mor", "Mot", "See", "Phu", "Pha", "Lwe", "Dip", "Ngw", "Sed"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %-e %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %-e %b %Y %T %Z";
        /// `"%a %b %-e %H:%M:%S %Z %Y"`
        pub const DATE_FMT: &str = "%a %b %-e %H:%M:%S %Z %Y";
        /// `&["laTshipi", "Mosupologo", "Labobedi", "Laboraro", "Labone", "Labotlhano", "Lamatlhatso"]`
        pub const DAY: &[&str] = &["laTshipi", "Mosupologo", "Labobedi", "Laboraro", "Labone", "Labotlhano", "Lamatlhatso"];
        /// `&["Ferikgong", "Tlhakole", "Mopitlwe", "Moranang", "Motsheganong", "Seetebosigo", "Phukwi", "Phatwe", "Lwetse", "Diphalane", "Ngwanatsele", "Sedimonthole"]`
        pub const MON: &[&str] = &["Ferikgong", "Tlhakole", "Mopitlwe", "Moranang", "Motsheganong", "Seetebosigo", "Phukwi", "Phatwe", "Lwetse", "Diphalane", "Ngwanatsele", "Sedimonthole"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod to_TO {
    pub mod LC_ADDRESS {
        /// `"TO"`
        pub const COUNTRY_ABTWO: &str = "TO";
        /// `"TON"`
        pub const COUNTRY_AB3: &str = "TON";
        /// `"TON"`
        pub const COUNTRY_CAR: &str = "TON";
        /// `"Tonga"`
        pub const COUNTRY_NAME: &str = "Tonga";
        /// `776`
        pub const COUNTRY_NUM: i64 = 776;
        /// `""`
        pub const COUNTRY_POST: &str = "";
        /// `"to"`
        pub const LANG_AB: &str = "to";
        /// `"ton"`
        pub const LANG_LIB: &str = "ton";
        /// `"lea fakatonga"`
        pub const LANG_NAME: &str = "lea fakatonga";
        /// `"ton"`
        pub const LANG_TERM: &str = "ton";
        /// `"%a%b%s%c"`
        pub const POSTAL_FMT: &str = "%a%b%s%c";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Samsung R & D Institute India - Delhi 2-A Sectort 126 Noida 201303"`
        pub const ADDRESS: &str = "Samsung R & D Institute India - Delhi 2-A Sectort 126 Noida 201303";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2017-03-23"`
        pub const DATE: &str = "2017-03-23";
        /// `"akhilesh.k@samsung.com"`
        pub const EMAIL: &str = "akhilesh.k@samsung.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Tongan"`
        pub const LANGUAGE: &str = "Tongan";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"International Components for Unicode"`
        pub const SOURCE: &str = "International Components for Unicode";
        /// `""`
        pub const TEL: &str = "";
        /// `"Tonga"`
        pub const TERRITORY: &str = "Tonga";
        /// `"Tongan language locale for Tonga"`
        pub const TITLE: &str = "Tongan language locale for Tonga";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"ʻIkai"`
        pub const NOSTR: &str = "ʻIkai";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
        /// `"ʻIo"`
        pub const YESSTR: &str = "ʻIo";
    }
    pub mod LC_MONETARY {
        /// `"T$"`
        pub const CURRENCY_SYMBOL: &str = "T$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"TOP "`
        pub const INT_CURR_SYMBOL: &str = "TOP ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"676"`
        pub const INT_PREFIX: &str = "676";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %l"`
        pub const TEL_INT_FMT: &str = "+%c %l";
    }
    pub mod LC_TIME {
        /// `&["Sāp", "Mōn", "Tūs", "Pul", "Tuʻa", "Fal", "Tok"]`
        pub const ABDAY: &[&str] = &["Sāp", "Mōn", "Tūs", "Pul", "Tuʻa", "Fal", "Tok"];
        /// `&["Sān", "Fēp", "Maʻa", "ʻEpe", "Mē", "Sun", "Siu", "ʻAok", "Sep", "ʻOka", "Nōv", "Tīs"]`
        pub const ABMON: &[&str] = &["Sān", "Fēp", "Maʻa", "ʻEpe", "Mē", "Sun", "Siu", "ʻAok", "Sep", "ʻOka", "Nōv", "Tīs"];
        /// `&["hengihengi", "efiafi"]`
        pub const AM_PM: &[&str] = &["hengihengi", "efiafi"];
        /// `"%A %d %b %Y"`
        pub const D_FMT: &str = "%A %d %b %Y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["Sāpate", "Mōnite", "Tūsite", "Pulelulu", "Tuʻapulelulu", "Falaite", "Tokonaki"]`
        pub const DAY: &[&str] = &["Sāpate", "Mōnite", "Tūsite", "Pulelulu", "Tuʻapulelulu", "Falaite", "Tokonaki"];
        /// `&["Sānuali", "Fēpueli", "Maʻasi", "ʻEpeleli", "Mē", "Sune", "Siulai", "ʻAokosi", "Sepitema", "ʻOkatopa", "Nōvema", "Tīsema"]`
        pub const MON: &[&str] = &["Sānuali", "Fēpueli", "Maʻasi", "ʻEpeleli", "Mē", "Sune", "Siulai", "ʻAokosi", "Sepitema", "ʻOkatopa", "Nōvema", "Tīsema"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod tpi_PG {
    pub mod LC_ADDRESS {
        /// `"PG"`
        pub const COUNTRY_ABTWO: &str = "PG";
        /// `"PNG"`
        pub const COUNTRY_AB3: &str = "PNG";
        /// `"PNG"`
        pub const COUNTRY_CAR: &str = "PNG";
        /// `"Papua Niugini"`
        pub const COUNTRY_NAME: &str = "Papua Niugini";
        /// `598`
        pub const COUNTRY_NUM: i64 = 598;
        /// `""`
        pub const COUNTRY_POST: &str = "";
        /// `""`
        pub const LANG_AB: &str = "";
        /// `"tpi"`
        pub const LANG_LIB: &str = "tpi";
        /// `"Tok Pisin"`
        pub const LANG_NAME: &str = "Tok Pisin";
        /// `"tpi"`
        pub const LANG_TERM: &str = "tpi";
        /// `"%a%s%z%C"`
        pub const POSTAL_FMT: &str = "%a%s%z%C";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2017-03-21"`
        pub const DATE: &str = "2017-03-21";
        /// `"akhilesh.k@samsung.com"`
        pub const EMAIL: &str = "akhilesh.k@samsung.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Tok Pisin"`
        pub const LANGUAGE: &str = "Tok Pisin";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `"Samsung Electronics Co., Ltd."`
        pub const SOURCE: &str = "Samsung Electronics Co., Ltd.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Papua New Guinea"`
        pub const TERRITORY: &str = "Papua New Guinea";
        /// `"Tok Pisin language locale for Papua New Guinea"`
        pub const TITLE: &str = "Tok Pisin language locale for Papua New Guinea";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"nogat"`
        pub const NOSTR: &str = "nogat";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
        /// `"yes"`
        pub const YESSTR: &str = "yes";
    }
    pub mod LC_MONETARY {
        /// `"K"`
        pub const CURRENCY_SYMBOL: &str = "K";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"PGK "`
        pub const INT_CURR_SYMBOL: &str = "PGK ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `1`
        pub const INT_N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const INT_P_SEP_BY_SPACE: i64 = 1;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"675"`
        pub const INT_PREFIX: &str = "675";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %l"`
        pub const TEL_INT_FMT: &str = "+%c %l";
    }
    pub mod LC_TIME {
        /// `&["San", "Man", "Tun", "Tri", "Fon", "Fra", "Sar"]`
        pub const ABDAY: &[&str] = &["San", "Man", "Tun", "Tri", "Fon", "Fra", "Sar"];
        /// `&["Jan", "Feb", "Mas", "Epr", "Me", "Jun", "Jul", "Oga", "Sep", "Okt", "Nov", "Des"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mas", "Epr", "Me", "Jun", "Jul", "Oga", "Sep", "Okt", "Nov", "Des"];
        /// `&["biknait", "apinun"]`
        pub const AM_PM: &[&str] = &["biknait", "apinun"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Sande", "Mande", "Tunde", "Trinde", "Fonde", "Fraide", "Sarere"]`
        pub const DAY: &[&str] = &["Sande", "Mande", "Tunde", "Trinde", "Fonde", "Fraide", "Sarere"];
        /// `&["Janueri", "Februeri", "Mas", "Epril", "Me", "Jun", "Julai", "Ogas", "Septemba", "Oktoba", "Novemba", "Desemba"]`
        pub const MON: &[&str] = &["Janueri", "Februeri", "Mas", "Epril", "Me", "Jun", "Julai", "Ogas", "Septemba", "Oktoba", "Novemba", "Desemba"];
        /// `"%r"`
        pub const T_FMT: &str = "%r";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod tr_CY {
    pub mod LC_ADDRESS {
        /// `"CY"`
        pub const COUNTRY_ABTWO: &str = "CY";
        /// `"CYP"`
        pub const COUNTRY_AB3: &str = "CYP";
        /// `"CY"`
        pub const COUNTRY_CAR: &str = "CY";
        /// `975`
        pub const COUNTRY_ISBN: i64 = 975;
        /// `"Kıbrıs"`
        pub const COUNTRY_NAME: &str = "Kıbrıs";
        /// `196`
        pub const COUNTRY_NUM: i64 = 196;
        /// `"TR"`
        pub const COUNTRY_POST: &str = "TR";
        /// `"tr"`
        pub const LANG_AB: &str = "tr";
        /// `"tur"`
        pub const LANG_LIB: &str = "tur";
        /// `"Türkçe"`
        pub const LANG_NAME: &str = "Türkçe";
        /// `"tur"`
        pub const LANG_TERM: &str = "tur";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2004-10-23"`
        pub const DATE: &str = "2004-10-23";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Turkish"`
        pub const LANGUAGE: &str = "Turkish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Cyprus"`
        pub const TERRITORY: &str = "Cyprus";
        /// `"Turkish language locale for Cyprus"`
        pub const TITLE: &str = "Turkish language locale for Cyprus";
    }
    pub use super::tr_TR::LC_MESSAGES;
    pub use super::tr_TR::LC_MONETARY;
    pub use super::tr_TR::LC_NUMERIC;
    pub use super::el_CY::LC_TELEPHONE;
    pub use super::tr_TR::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod tr_TR {
    pub mod LC_ADDRESS {
        /// `"TR"`
        pub const COUNTRY_ABTWO: &str = "TR";
        /// `"TUR"`
        pub const COUNTRY_AB3: &str = "TUR";
        /// `"TR"`
        pub const COUNTRY_CAR: &str = "TR";
        /// `975`
        pub const COUNTRY_ISBN: i64 = 975;
        /// `"Türkiye"`
        pub const COUNTRY_NAME: &str = "Türkiye";
        /// `792`
        pub const COUNTRY_NUM: i64 = 792;
        /// `"TR"`
        pub const COUNTRY_POST: &str = "TR";
        /// `"tr"`
        pub const LANG_AB: &str = "tr";
        /// `"tur"`
        pub const LANG_LIB: &str = "tur";
        /// `"Türkçe"`
        pub const LANG_NAME: &str = "Türkçe";
        /// `"tur"`
        pub const LANG_TERM: &str = "tur";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Sankt Jørgens Alle 8, DK-1615 København V, Danmark"`
        pub const ADDRESS: &str = "Sankt Jørgens Alle 8, DK-1615 København V, Danmark";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2019-05-08"`
        pub const DATE: &str = "2019-05-08";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Turkish"`
        pub const LANGUAGE: &str = "Turkish";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"RAP"`
        pub const SOURCE: &str = "RAP";
        /// `""`
        pub const TEL: &str = "";
        /// `"Turkey"`
        pub const TERRITORY: &str = "Turkey";
        /// `"Turkish locale for Turkey"`
        pub const TITLE: &str = "Turkish locale for Turkey";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNhH]"`
        pub const NOEXPR: &str = "^[-0nNhH]";
        /// `"hayır"`
        pub const NOSTR: &str = "hayır";
        /// `"^[+1yYeE]"`
        pub const YESEXPR: &str = "^[+1yYeE]";
        /// `"evet"`
        pub const YESSTR: &str = "evet";
    }
    pub mod LC_MONETARY {
        /// `"₺"`
        pub const CURRENCY_SYMBOL: &str = "₺";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"TRY "`
        pub const INT_CURR_SYMBOL: &str = "TRY ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"90"`
        pub const INT_PREFIX: &str = "90";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Paz", "Pzt", "Sal", "Çrş", "Prş", "Cum", "Cts"]`
        pub const ABDAY: &[&str] = &["Paz", "Pzt", "Sal", "Çrş", "Prş", "Cum", "Cts"];
        /// `&["Oca", "Şub", "Mar", "Nis", "May", "Haz", "Tem", "Ağu", "Eyl", "Eki", "Kas", "Ara"]`
        pub const ABMON: &[&str] = &["Oca", "Şub", "Mar", "Nis", "May", "Haz", "Tem", "Ağu", "Eyl", "Eki", "Kas", "Ara"];
        /// `&["ÖÖ", "ÖS"]`
        pub const AM_PM: &[&str] = &["ÖÖ", "ÖS"];
        /// `"%d-%m-%Y"`
        pub const D_FMT: &str = "%d-%m-%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Pazar", "Pazartesi", "Salı", "Çarşamba", "Perşembe", "Cuma", "Cumartesi"]`
        pub const DAY: &[&str] = &["Pazar", "Pazartesi", "Salı", "Çarşamba", "Perşembe", "Cuma", "Cumartesi"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Ocak", "Şubat", "Mart", "Nisan", "Mayıs", "Haziran", "Temmuz", "Ağustos", "Eylül", "Ekim", "Kasım", "Aralık"]`
        pub const MON: &[&str] = &["Ocak", "Şubat", "Mart", "Nisan", "Mayıs", "Haziran", "Temmuz", "Ağustos", "Eylül", "Ekim", "Kasım", "Aralık"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ts_ZA {
    pub mod LC_ADDRESS {
        /// `"ZA"`
        pub const COUNTRY_ABTWO: &str = "ZA";
        /// `"ZAF"`
        pub const COUNTRY_AB3: &str = "ZAF";
        /// `"ZA"`
        pub const COUNTRY_CAR: &str = "ZA";
        /// `"Afrika Dzonga"`
        pub const COUNTRY_NAME: &str = "Afrika Dzonga";
        /// `710`
        pub const COUNTRY_NUM: i64 = 710;
        /// `"ZA"`
        pub const COUNTRY_POST: &str = "ZA";
        /// `"ts"`
        pub const LANG_AB: &str = "ts";
        /// `"tso"`
        pub const LANG_LIB: &str = "tso";
        /// `"Xitsonga"`
        pub const LANG_NAME: &str = "Xitsonga";
        /// `"tso"`
        pub const LANG_TERM: &str = "tso";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"PO Box 28364, Sunnyside, 0132, South Africa"`
        pub const ADDRESS: &str = "PO Box 28364, Sunnyside, 0132, South Africa";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Dwayne Bailey"`
        pub const CONTACT: &str = "Dwayne Bailey";
        /// `"2005-10-12"`
        pub const DATE: &str = "2005-10-12";
        /// `"dwayne@translate.org.za"`
        pub const EMAIL: &str = "dwayne@translate.org.za";
        /// `""`
        pub const FAX: &str = "";
        /// `"Tsonga"`
        pub const LANGUAGE: &str = "Tsonga";
        /// `"0.3"`
        pub const REVISION: &str = "0.3";
        /// `"Zuza Software Foundation (Translate.org.za)"`
        pub const SOURCE: &str = "Zuza Software Foundation (Translate.org.za)";
        /// `""`
        pub const TEL: &str = "";
        /// `"South Africa"`
        pub const TERRITORY: &str = "South Africa";
        /// `"Tsonga locale for South Africa"`
        pub const TITLE: &str = "Tsonga locale for South Africa";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0eEnN]"`
        pub const NOEXPR: &str = "^[-0eEnN]";
        /// `"Ee"`
        pub const NOSTR: &str = "Ee";
        /// `"^[+1iIyY]"`
        pub const YESEXPR: &str = "^[+1iIyY]";
        /// `"Ina"`
        pub const YESSTR: &str = "Ina";
    }
    pub use super::en_ZA::LC_MONETARY;
    pub use super::en_ZA::LC_NUMERIC;
    pub use super::en_ZA::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Son", "Mus", "Bir", "Har", "Ne", "Tlh", "Mug"]`
        pub const ABDAY: &[&str] = &["Son", "Mus", "Bir", "Har", "Ne", "Tlh", "Mug"];
        /// `&["Sun", "Yan", "Kul", "Dzi", "Mud", "Kho", "Maw", "Mha", "Ndz", "Nhl", "Huk", "N\'w"]`
        pub const ABMON: &[&str] = &["Sun", "Yan", "Kul", "Dzi", "Mud", "Kho", "Maw", "Mha", "Ndz", "Nhl", "Huk", "N\'w"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %-e %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %-e %b %Y %T %Z";
        /// `"%a %b %-e %H:%M:%S %Z %Y"`
        pub const DATE_FMT: &str = "%a %b %-e %H:%M:%S %Z %Y";
        /// `&["Sonto", "Musumbhunuku", "Ravumbirhi", "Ravunharhu", "Ravumune", "Ravuntlhanu", "Mugqivela"]`
        pub const DAY: &[&str] = &["Sonto", "Musumbhunuku", "Ravumbirhi", "Ravunharhu", "Ravumune", "Ravuntlhanu", "Mugqivela"];
        /// `&["Sunguti", "Nyenyenyani", "Nyenyankulu", "Dzivamisoko", "Mudyaxihi", "Khotavuxika", "Mawuwani", "Mhawuri", "Ndzhati", "Nhlangula", "Hukuri", "N\'wendzamhala"]`
        pub const MON: &[&str] = &["Sunguti", "Nyenyenyani", "Nyenyankulu", "Dzivamisoko", "Mudyaxihi", "Khotavuxika", "Mawuwani", "Mhawuri", "Ndzhati", "Nhlangula", "Hukuri", "N\'wendzamhala"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod tt_RU {
    pub mod LC_ADDRESS {
        /// `"RU"`
        pub const COUNTRY_ABTWO: &str = "RU";
        /// `"RUS"`
        pub const COUNTRY_AB3: &str = "RUS";
        /// `"RUS"`
        pub const COUNTRY_CAR: &str = "RUS";
        /// `"Русия"`
        pub const COUNTRY_NAME: &str = "Русия";
        /// `643`
        pub const COUNTRY_NUM: i64 = 643;
        /// `"tt"`
        pub const LANG_AB: &str = "tt";
        /// `"tat"`
        pub const LANG_LIB: &str = "tat";
        /// `"татар"`
        pub const LANG_NAME: &str = "татар";
        /// `"tat"`
        pub const LANG_TERM: &str = "tat";
        /// `"???"`
        pub const POSTAL_FMT: &str = "???";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
        ];
        /// `"Pablo Saratxaga, Rinat Norkin"`
        pub const CONTACT: &str = "Pablo Saratxaga, Rinat Norkin";
        /// `"2001-01-28"`
        pub const DATE: &str = "2001-01-28";
        /// `"pablo@mandrakesoft.com, rinat@taif.ru"`
        pub const EMAIL: &str = "pablo@mandrakesoft.com, rinat@taif.ru";
        /// `""`
        pub const FAX: &str = "";
        /// `"Tatar"`
        pub const LANGUAGE: &str = "Tatar";
        /// `"0.4"`
        pub const REVISION: &str = "0.4";
        /// `"Rinat Norkin"`
        pub const SOURCE: &str = "Rinat Norkin";
        /// `""`
        pub const TEL: &str = "";
        /// `"Russia"`
        pub const TERRITORY: &str = "Russia";
        /// `"Tatar language locale for Russia"`
        pub const TITLE: &str = "Tatar language locale for Russia";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNюЮ]"`
        pub const NOEXPR: &str = "^[-0nNюЮ]";
        /// `"юк"`
        pub const NOSTR: &str = "юк";
        /// `"^[+1yYәӘ]"`
        pub const YESEXPR: &str = "^[+1yYәӘ]";
        /// `"әйе"`
        pub const YESSTR: &str = "әйе";
    }
    pub mod LC_MONETARY {
        /// `"₽"`
        pub const CURRENCY_SYMBOL: &str = "₽";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"RUB "`
        pub const INT_CURR_SYMBOL: &str = "RUB ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::ru_RU::LC_NUMERIC;
    pub use super::ru_RU::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["якш", "дүш", "сиш", "чәр", "пәнҗ", "җом", "шим"]`
        pub const ABDAY: &[&str] = &["якш", "дүш", "сиш", "чәр", "пәнҗ", "җом", "шим"];
        /// `&["гыйн", "фев", "мар", "апр", "май", "июнь", "июль", "авг", "сент", "окт", "нояб", "дек"]`
        pub const ABMON: &[&str] = &["гыйн", "фев", "мар", "апр", "май", "июнь", "июль", "авг", "сент", "окт", "нояб", "дек"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T";
        /// `&["якшәмбе", "дүшәмбе", "сишәмбе", "чәршәмбе", "пәнҗешәмбе", "җомга", "шимбә"]`
        pub const DAY: &[&str] = &["якшәмбе", "дүшәмбе", "сишәмбе", "чәршәмбе", "пәнҗешәмбе", "җомга", "шимбә"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["гыйнвар", "февраль", "март", "апрель", "май", "июнь", "июль", "август", "сентябрь", "октябрь", "ноябрь", "декабрь"]`
        pub const MON: &[&str] = &["гыйнвар", "февраль", "март", "апрель", "май", "июнь", "июль", "август", "сентябрь", "октябрь", "ноябрь", "декабрь"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod tt_RU_iqtelif {
    pub mod LC_ADDRESS {
        /// `"RU"`
        pub const COUNTRY_ABTWO: &str = "RU";
        /// `"RUS"`
        pub const COUNTRY_AB3: &str = "RUS";
        /// `"RUS"`
        pub const COUNTRY_CAR: &str = "RUS";
        /// `"Urıs Patşahlıq"`
        pub const COUNTRY_NAME: &str = "Urıs Patşahlıq";
        /// `643`
        pub const COUNTRY_NUM: i64 = 643;
        /// `"tt"`
        pub const LANG_AB: &str = "tt";
        /// `"tat"`
        pub const LANG_LIB: &str = "tat";
        /// `"tatar tele"`
        pub const LANG_NAME: &str = "tatar tele";
        /// `"tat"`
        pub const LANG_TERM: &str = "tat";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
        ];
        /// `"Reshat Sabiq"`
        pub const CONTACT: &str = "Reshat Sabiq";
        /// `"2006-10-12"`
        pub const DATE: &str = "2006-10-12";
        /// `"tatar.iqtelif.i18n@gmail.com"`
        pub const EMAIL: &str = "tatar.iqtelif.i18n@gmail.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Tatar"`
        pub const LANGUAGE: &str = "Tatar";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Russia"`
        pub const TERRITORY: &str = "Russia";
        /// `"Tatar language locale using IQTElif alphabet; for Tatarstan, Russian Federation"`
        pub const TITLE: &str = "Tatar language locale using IQTElif alphabet; for Tatarstan, Russian Federation";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0YyNn]"`
        pub const NOEXPR: &str = "^[-0YyNn]";
        /// `"yuq"`
        pub const NOSTR: &str = "yuq";
        /// `"^[+1Ee]"`
        pub const YESEXPR: &str = "^[+1Ee]";
        /// `"eyí"`
        pub const YESSTR: &str = "eyí";
    }
    pub mod LC_MONETARY {
        /// `"₽"`
        pub const CURRENCY_SYMBOL: &str = "₽";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"RUB "`
        pub const INT_CURR_SYMBOL: &str = "RUB ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"7"`
        pub const INT_PREFIX: &str = "7";
        /// `"0~10"`
        pub const INT_SELECT: &str = "0~10";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Yek", "Düş", "Siş", "Çer", "Pen", "Com", "Şim"]`
        pub const ABDAY: &[&str] = &["Yek", "Düş", "Siş", "Çer", "Pen", "Com", "Şim"];
        /// `&["Ğın", "Fiw", "Mar", "Apr", "May", "Yün", "Yül", "Awg", "Sin", "Ükt", "Noy", "Dik"]`
        pub const ABMON: &[&str] = &["Ğın", "Fiw", "Mar", "Apr", "May", "Yün", "Yül", "Awg", "Sin", "Ükt", "Noy", "Dik"];
        /// `&["ÖA", "ÖS"]`
        pub const AM_PM: &[&str] = &["ÖA", "ÖS"];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T";
        /// `&["Yekşembí", "Düşembí", "Sişembí", "Çerşembí", "Pencíşembí", "Comğa", "Şimbe"]`
        pub const DAY: &[&str] = &["Yekşembí", "Düşembí", "Sişembí", "Çerşembí", "Pencíşembí", "Comğa", "Şimbe"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Ğınwar", "Fiwral\'", "Mart", "April", "May", "Yün", "Yül", "Awgust", "Sintebír", "Üktebír", "Noyebír", "Dikebír"]`
        pub const MON: &[&str] = &["Ğınwar", "Fiwral\'", "Mart", "April", "May", "Yün", "Yül", "Awgust", "Sintebír", "Üktebír", "Noyebír", "Dikebír"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ug_CN {
    pub mod LC_ADDRESS {
        /// `"CN"`
        pub const COUNTRY_ABTWO: &str = "CN";
        /// `"CHN"`
        pub const COUNTRY_AB3: &str = "CHN";
        /// `"CHN"`
        pub const COUNTRY_CAR: &str = "CHN";
        /// `7`
        pub const COUNTRY_ISBN: i64 = 7;
        /// `"جۇڭگو"`
        pub const COUNTRY_NAME: &str = "جۇڭگو";
        /// `156`
        pub const COUNTRY_NUM: i64 = 156;
        /// `"ug"`
        pub const LANG_AB: &str = "ug";
        /// `"uig"`
        pub const LANG_LIB: &str = "uig";
        /// `"ئۇيغۇرچە"`
        pub const LANG_NAME: &str = "ئۇيغۇرچە";
        /// `"uig"`
        pub const LANG_TERM: &str = "uig";
        /// `"%c%N%T%N%s %h %e %r%N%b%N%d%N%f%N%a%N"`
        pub const POSTAL_FMT: &str = "%c%N%T%N%s %h %e %r%N%b%N%d%N%f%N%a%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"Eagle Burkut"`
        pub const CONTACT: &str = "Eagle Burkut";
        /// `"2011-02-26"`
        pub const DATE: &str = "2011-02-26";
        /// `"eagle.burkut@gmail.com"`
        pub const EMAIL: &str = "eagle.burkut@gmail.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Uyghur"`
        pub const LANGUAGE: &str = "Uyghur";
        /// `"2.00"`
        pub const REVISION: &str = "2.00";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"China"`
        pub const TERRITORY: &str = "China";
        /// `"Uyghur locale for China"`
        pub const TITLE: &str = "Uyghur locale for China";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNي]"`
        pub const NOEXPR: &str = "^[-0nNي]";
        /// `"ياق"`
        pub const NOSTR: &str = "ياق";
        /// `"^[+1yYھ]"`
        pub const YESEXPR: &str = "^[+1yYھ]";
        /// `"ھەئە"`
        pub const YESSTR: &str = "ھەئە";
    }
    pub use super::zh_CN::LC_MONETARY;
    pub use super::zh_CN::LC_NUMERIC;
    pub use super::zh_CN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["ي", "د", "س", "چ", "پ", "ج", "ش"]`
        pub const ABDAY: &[&str] = &["ي", "د", "س", "چ", "پ", "ج", "ش"];
        /// `&["يانۋار", "فېۋرال", "مارت", "ئاپرېل", "ماي", "ئىيۇن", "ئىيۇل", "ئاۋغۇست", "سېنتەبىر", "ئۆكتەبىر", "نويابىر", "دېكابىر"]`
        pub const ABMON: &[&str] = &["يانۋار", "فېۋرال", "مارت", "ئاپرېل", "ماي", "ئىيۇن", "ئىيۇل", "ئاۋغۇست", "سېنتەبىر", "ئۆكتەبىر", "نويابىر", "دېكابىر"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%a، %d-%m-%Y"`
        pub const D_FMT: &str = "%a، %d-%m-%Y";
        /// `"%a، %d-%m-%Y، %T"`
        pub const D_T_FMT: &str = "%a، %d-%m-%Y، %T";
        /// `"%a، %d-%m-%Y، %T"`
        pub const DATE_FMT: &str = "%a، %d-%m-%Y، %T";
        /// `&["يەكشەنبە", "دۈشەنبە", "سەيشەنبە", "چارشەنبە", "پەيشەنبە", "جۈمە", "شەنبە"]`
        pub const DAY: &[&str] = &["يەكشەنبە", "دۈشەنبە", "سەيشەنبە", "چارشەنبە", "پەيشەنبە", "جۈمە", "شەنبە"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["يانۋار", "فېۋرال", "مارت", "ئاپرېل", "ماي", "ئىيۇن", "ئىيۇل", "ئاۋغۇست", "سېنتەبىر", "ئۆكتەبىر", "نويابىر", "دېكابىر"]`
        pub const MON: &[&str] = &["يانۋار", "فېۋرال", "مارت", "ئاپرېل", "ماي", "ئىيۇن", "ئىيۇل", "ئاۋغۇست", "سېنتەبىر", "ئۆكتەبىر", "نويابىر", "دېكابىر"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod uk_UA {
    pub mod LC_ADDRESS {
        /// `"UA"`
        pub const COUNTRY_ABTWO: &str = "UA";
        /// `"UKR"`
        pub const COUNTRY_AB3: &str = "UKR";
        /// `"UA"`
        pub const COUNTRY_CAR: &str = "UA";
        /// `966`
        pub const COUNTRY_ISBN: i64 = 966;
        /// `"Україна"`
        pub const COUNTRY_NAME: &str = "Україна";
        /// `804`
        pub const COUNTRY_NUM: i64 = 804;
        /// `"UA"`
        pub const COUNTRY_POST: &str = "UA";
        /// `"uk"`
        pub const LANG_AB: &str = "uk";
        /// `"ukr"`
        pub const LANG_LIB: &str = "ukr";
        /// `"українська"`
        pub const LANG_NAME: &str = "українська";
        /// `"ukr"`
        pub const LANG_TERM: &str = "ukr";
        /// `"%a%t%f%t%d%N%s%t%h%t, %b%t%e%t%r%N%T%t%S%N%z%N%c"`
        pub const POSTAL_FMT: &str = "%a%t%f%t%d%N%s%t%h%t, %b%t%e%t%r%N%T%t%S%N%z%N%c";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"GNU libc maintainers"`
        pub const CONTACT: &str = "GNU libc maintainers";
        /// `"2006-05-20"`
        pub const DATE: &str = "2006-05-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Ukrainian"`
        pub const LANGUAGE: &str = "Ukrainian";
        /// `"2.1.12"`
        pub const REVISION: &str = "2.1.12";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Ukraine"`
        pub const TERRITORY: &str = "Ukraine";
        /// `"Ukrainian Language Locale for Ukraine"`
        pub const TITLE: &str = "Ukrainian Language Locale for Ukraine";
    }
    pub mod LC_MESSAGES {
        /// `"^([-0Nn]|[Нн][Іі])$"`
        pub const NOEXPR: &str = "^([-0Nn]|[Нн][Іі])$";
        /// `"ні"`
        pub const NOSTR: &str = "ні";
        /// `"^([+1Yy]|[Тт][Аа][Кк]?)$"`
        pub const YESEXPR: &str = "^([+1Yy]|[Тт][Аа][Кк]?)$";
        /// `"так"`
        pub const YESSTR: &str = "так";
    }
    pub mod LC_MONETARY {
        /// `"грн."`
        pub const CURRENCY_SYMBOL: &str = "грн.";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"UAH "`
        pub const INT_CURR_SYMBOL: &str = "UAH ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `1`
        pub const INT_N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const INT_N_SEP_BY_SPACE: i64 = 1;
        /// `4`
        pub const INT_N_SIGN_POSN: i64 = 4;
        /// `1`
        pub const INT_P_CS_PRECEDES: i64 = 1;
        /// `2`
        pub const INT_P_SEP_BY_SPACE: i64 = 2;
        /// `4`
        pub const INT_P_SIGN_POSN: i64 = 4;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `2`
        pub const P_SEP_BY_SPACE: i64 = 2;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const THOUSANDS_SEP: &str = "\u{202f}";
    }
    pub mod LC_TELEPHONE {
        /// `"380"`
        pub const INT_PREFIX: &str = "380";
        /// `"8~10"`
        pub const INT_SELECT: &str = "8~10";
        /// `"(%A) %l"`
        pub const TEL_DOM_FMT: &str = "(%A) %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["нд", "пн", "вт", "ср", "чт", "пт", "сб"]`
        pub const ABDAY: &[&str] = &["нд", "пн", "вт", "ср", "чт", "пт", "сб"];
        /// `&["січ", "лют", "бер", "кві", "тра", "чер", "лип", "сер", "вер", "жов", "лис", "гру"]`
        pub const ABMON: &[&str] = &["січ", "лют", "бер", "кві", "тра", "чер", "лип", "сер", "вер", "жов", "лис", "гру"];
        /// `&["січень", "лютий", "березень", "квітень", "травень", "червень", "липень", "серпень", "вересень", "жовтень", "листопад", "грудень"]`
        pub const ALT_MON: &[&str] = &["січень", "лютий", "березень", "квітень", "травень", "червень", "липень", "серпень", "вересень", "жовтень", "листопад", "грудень"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `2`
        pub const CAL_DIRECTION: i64 = 2;
        /// `"%d.%m.%y"`
        pub const D_FMT: &str = "%d.%m.%y";
        /// `"%a, %d-%b-%Y %X %z"`
        pub const D_T_FMT: &str = "%a, %d-%b-%Y %X %z";
        /// `"%A, %-d %B %Y %X %z"`
        pub const DATE_FMT: &str = "%A, %-d %B %Y %X %z";
        /// `&["неділя", "понеділок", "вівторок", "середа", "четвер", "п\'ятниця", "субота"]`
        pub const DAY: &[&str] = &["неділя", "понеділок", "вівторок", "середа", "четвер", "п\'ятниця", "субота"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["січня", "лютого", "березня", "квітня", "травня", "червня", "липня", "серпня", "вересня", "жовтня", "листопада", "грудня"]`
        pub const MON: &[&str] = &["січня", "лютого", "березня", "квітня", "травня", "червня", "липня", "серпня", "вересня", "жовтня", "листопада", "грудня"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod unm_US {
    pub mod LC_ADDRESS {
        /// `"US"`
        pub const COUNTRY_ABTWO: &str = "US";
        /// `"USA"`
        pub const COUNTRY_AB3: &str = "USA";
        /// `"USA"`
        pub const COUNTRY_CAR: &str = "USA";
        /// `0`
        pub const COUNTRY_ISBN: i64 = 0;
        /// `"USA"`
        pub const COUNTRY_NAME: &str = "USA";
        /// `840`
        pub const COUNTRY_NUM: i64 = 840;
        /// `"USA"`
        pub const COUNTRY_POST: &str = "USA";
        /// `"unm"`
        pub const LANG_LIB: &str = "unm";
        /// `"Lenape"`
        pub const LANG_NAME: &str = "Lenape";
        /// `"unm"`
        pub const LANG_TERM: &str = "unm";
        /// `"%a%N%f%N%d%N%b%N%h %s %e %r%N%T, %S %z%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%f%N%d%N%b%N%h %s %e %r%N%T, %S %z%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2011-10-27"`
        pub const DATE: &str = "2011-10-27";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Unami Delaware"`
        pub const LANGUAGE: &str = "Unami Delaware";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"United States"`
        pub const TERRITORY: &str = "United States";
        /// `"Unami Delaware locale for the USA"`
        pub const TITLE: &str = "Unami Delaware locale for the USA";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0kKmM]"`
        pub const NOEXPR: &str = "^[-0kKmM]";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
    }
    pub mod LC_MONETARY {
        /// `"$"`
        pub const CURRENCY_SYMBOL: &str = "$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"USD "`
        pub const INT_CURR_SYMBOL: &str = "USD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[2, 2, 2, 3]`
        pub const GROUPING: &[i64] = &[2, 2, 2, 3];
        /// `"\u{202f}"`
        pub const THOUSANDS_SEP: &str = "\u{202f}";
    }
    pub use super::en_US::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["ken", "man", "tus", "lel", "tas", "pel", "sat"]`
        pub const ABDAY: &[&str] = &["ken", "man", "tus", "lel", "tas", "pel", "sat"];
        /// `&["eni", "chk", "xam", "kwe", "tai", "nip", "lai", "win", "tah", "puk", "kun", "mux"]`
        pub const ABMON: &[&str] = &["eni", "chk", "xam", "kwe", "tai", "nip", "lai", "win", "tah", "puk", "kun", "mux"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["kentuwei", "manteke", "tusteke", "lelai", "tasteke", "pelaiteke", "sateteke"]`
        pub const DAY: &[&str] = &["kentuwei", "manteke", "tusteke", "lelai", "tasteke", "pelaiteke", "sateteke"];
        /// `&["enikwsi", "chkwali", "xamokhwite", "kwetayoxe", "tainipen", "kichinipen", "lainipen", "winaminke", "kichitahkok", "puksit", "wini", "muxkotae"]`
        pub const MON: &[&str] = &["enikwsi", "chkwali", "xamokhwite", "kwetayoxe", "tainipen", "kichinipen", "lainipen", "winaminke", "kichitahkok", "puksit", "wini", "muxkotae"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ur_IN {
    pub mod LC_ADDRESS {
        /// `"IN"`
        pub const COUNTRY_ABTWO: &str = "IN";
        /// `"IND"`
        pub const COUNTRY_AB3: &str = "IND";
        /// `"IND"`
        pub const COUNTRY_CAR: &str = "IND";
        /// `"بھارت"`
        pub const COUNTRY_NAME: &str = "بھارت";
        /// `356`
        pub const COUNTRY_NUM: i64 = 356;
        /// `"ur"`
        pub const LANG_AB: &str = "ur";
        /// `"urd"`
        pub const LANG_LIB: &str = "urd";
        /// `"اردو"`
        pub const LANG_NAME: &str = "اردو";
        /// `"urd"`
        pub const LANG_TERM: &str = "urd";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Marisfot III, Marigold Premises, East-Wing, Kalyaninagar, Pune, India-411014"`
        pub const ADDRESS: &str = "Marisfot III, Marigold Premises, East-Wing, Kalyaninagar, Pune, India-411014";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2009,June,09"`
        pub const DATE: &str = "2009,June,09";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Urdu"`
        pub const LANGUAGE: &str = "Urdu";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Red Hat, Pune"`
        pub const SOURCE: &str = "Red Hat, Pune";
        /// `""`
        pub const TEL: &str = "";
        /// `"India"`
        pub const TERRITORY: &str = "India";
        /// `"Urdu language locale for India"`
        pub const TITLE: &str = "Urdu language locale for India";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNن]"`
        pub const NOEXPR: &str = "^[-0nNن]";
        /// `"نہیں"`
        pub const NOSTR: &str = "نہیں";
        /// `"^[+1yYہ]"`
        pub const YESEXPR: &str = "^[+1yYہ]";
        /// `"ہاں"`
        pub const YESSTR: &str = "ہاں";
    }
    pub use super::hi_IN::LC_MONETARY;
    pub use super::hi_IN::LC_NUMERIC;
    pub use super::hi_IN::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["اتوار", "پیر", "منگل", "بدھ", "جمعرات", "جمعہ", "سنیچر"]`
        pub const ABDAY: &[&str] = &["اتوار", "پیر", "منگل", "بدھ", "جمعرات", "جمعہ", "سنیچر"];
        /// `&["جنوری", "فروری", "مارچ", "اپریل", "مئی", "جون", "جولائی", "اگست", "ستمبر", "اکتوبر", "نومبر", "دسمبر"]`
        pub const ABMON: &[&str] = &["جنوری", "فروری", "مارچ", "اپریل", "مئی", "جون", "جولائی", "اگست", "ستمبر", "اکتوبر", "نومبر", "دسمبر"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%-d/%-m/%y"`
        pub const D_FMT: &str = "%-d/%-m/%y";
        /// `"%A %d %b %Y %I:%M:%S %p %Z"`
        pub const D_T_FMT: &str = "%A %d %b %Y %I:%M:%S %p %Z";
        /// `&["اتوار", "پیر", "منگل", "بدھ", "جمعرات", "جمعہ", "سنیچر"]`
        pub const DAY: &[&str] = &["اتوار", "پیر", "منگل", "بدھ", "جمعرات", "جمعہ", "سنیچر"];
        /// `&["جنوری", "فروری", "مارچ", "اپریل", "مئی", "جون", "جولائی", "اگست", "ستمبر", "اکتوبر", "نومبر", "دسمبر"]`
        pub const MON: &[&str] = &["جنوری", "فروری", "مارچ", "اپریل", "مئی", "جون", "جولائی", "اگست", "ستمبر", "اکتوبر", "نومبر", "دسمبر"];
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT: &str = "%I:%M:%S %p %Z";
        /// `"%I:%M:%S %p %Z"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p %Z";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ur_PK {
    pub mod LC_ADDRESS {
        /// `"PK"`
        pub const COUNTRY_ABTWO: &str = "PK";
        /// `"PAK"`
        pub const COUNTRY_AB3: &str = "PAK";
        /// `"PK"`
        pub const COUNTRY_CAR: &str = "PK";
        /// `"پاکستان"`
        pub const COUNTRY_NAME: &str = "پاکستان";
        /// `586`
        pub const COUNTRY_NUM: i64 = 586;
        /// `"ur"`
        pub const LANG_AB: &str = "ur";
        /// `"urd"`
        pub const LANG_LIB: &str = "urd";
        /// `"اردو"`
        pub const LANG_NAME: &str = "اردو";
        /// `"urd"`
        pub const LANG_TERM: &str = "urd";
        /// `"%a%N%f%N%d%N%b%N%h %s %e %r%N%T %z%N%c%N"`
        pub const POSTAL_FMT: &str = "%a%N%f%N%d%N%b%N%h %s %e %r%N%T %z%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-11"`
        pub const DATE: &str = "2000-07-11";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Urdu"`
        pub const LANGUAGE: &str = "Urdu";
        /// `"0.3"`
        pub const REVISION: &str = "0.3";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Pakistan"`
        pub const TERRITORY: &str = "Pakistan";
        /// `"Urdu Language Locale for Pakistan"`
        pub const TITLE: &str = "Urdu Language Locale for Pakistan";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNنo]"`
        pub const NOEXPR: &str = "^[-0nNنo]";
        /// `"نہیں"`
        pub const NOSTR: &str = "نہیں";
        /// `"^[+1yYهبf]"`
        pub const YESEXPR: &str = "^[+1yYهبf]";
        /// `"ہاں"`
        pub const YESSTR: &str = "ہاں";
    }
    pub mod LC_MONETARY {
        /// `"Rs"`
        pub const CURRENCY_SYMBOL: &str = "Rs";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"PKR "`
        pub const INT_CURR_SYMBOL: &str = "PKR ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const P_SIGN_POSN: i64 = 2;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"92"`
        pub const INT_PREFIX: &str = "92";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["اتوار", "پير", "منگل", "بدھ", "جمعرات", "جمعه", "هفته"]`
        pub const ABDAY: &[&str] = &["اتوار", "پير", "منگل", "بدھ", "جمعرات", "جمعه", "هفته"];
        /// `&["جنوری", "فروری", "مارچ", "اپریل", "مئی", "جون", "جولائی", "اگست", "ستمبر", "اکتوبر", "نومبر", "دسمبر"]`
        pub const ABMON: &[&str] = &["جنوری", "فروری", "مارچ", "اپریل", "مئی", "جون", "جولائی", "اگست", "ستمبر", "اکتوبر", "نومبر", "دسمبر"];
        /// `&["ص", "ش"]`
        pub const AM_PM: &[&str] = &["ص", "ش"];
        /// `3`
        pub const CAL_DIRECTION: i64 = 3;
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"و %H:%M:%S %Z ت %d %B %Y"`
        pub const D_T_FMT: &str = "و %H:%M:%S %Z ت %d %B %Y";
        /// `&["اتوار", "پير", "منگل", "بدھ", "جمعرات", "جمعه", "هفته"]`
        pub const DAY: &[&str] = &["اتوار", "پير", "منگل", "بدھ", "جمعرات", "جمعه", "هفته"];
        /// `&["جنوری", "فروری", "مارچ", "اپریل", "مئی", "جون", "جولائی", "اگست", "ستمبر", "اکتوبر", "نومبر", "دسمبر"]`
        pub const MON: &[&str] = &["جنوری", "فروری", "مارچ", "اپریل", "مئی", "جون", "جولائی", "اگست", "ستمبر", "اکتوبر", "نومبر", "دسمبر"];
        /// `"%H:%M:%S"`
        pub const T_FMT: &str = "%H:%M:%S";
        /// `"%P %I:%M:%S"`
        pub const T_FMT_AMPM: &str = "%P %I:%M:%S";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod uz_UZ {
    pub mod LC_ADDRESS {
        /// `"UZ"`
        pub const COUNTRY_ABTWO: &str = "UZ";
        /// `"UZB"`
        pub const COUNTRY_AB3: &str = "UZB";
        /// `"UZ"`
        pub const COUNTRY_CAR: &str = "UZ";
        /// `"Oʻzbekiston"`
        pub const COUNTRY_NAME: &str = "Oʻzbekiston";
        /// `860`
        pub const COUNTRY_NUM: i64 = 860;
        /// `"UZ"`
        pub const COUNTRY_POST: &str = "UZ";
        /// `"uz"`
        pub const LANG_AB: &str = "uz";
        /// `"uzb"`
        pub const LANG_LIB: &str = "uzb";
        /// `"o‘zbek"`
        pub const LANG_NAME: &str = "o‘zbek";
        /// `"uzb"`
        pub const LANG_TERM: &str = "uzb";
        /// `"%C%N%T%N%s %h%N%f%N%b%N%d%N%e %r%N%a%N%z"`
        pub const POSTAL_FMT: &str = "%C%N%T%N%s %h%N%f%N%b%N%d%N%e %r%N%a%N%z";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Bobir Ismailov, Pablo Saratxaga, Mashrab Kuvatov"`
        pub const CONTACT: &str = "Bobir Ismailov, Pablo Saratxaga, Mashrab Kuvatov";
        /// `"2003-06-27"`
        pub const DATE: &str = "2003-06-27";
        /// `"bobir_is@yahoo.com, pablo@mandrakesoft.com, kmashrab@uni-bremen.de"`
        pub const EMAIL: &str = "bobir_is@yahoo.com, pablo@mandrakesoft.com, kmashrab@uni-bremen.de";
        /// `""`
        pub const FAX: &str = "";
        /// `"Uzbek"`
        pub const LANGUAGE: &str = "Uzbek";
        /// `"0.5"`
        pub const REVISION: &str = "0.5";
        /// `"Bobir Ismailov"`
        pub const SOURCE: &str = "Bobir Ismailov";
        /// `""`
        pub const TEL: &str = "";
        /// `"Uzbekistan"`
        pub const TERRITORY: &str = "Uzbekistan";
        /// `"Uzbek (latin) locale for Uzbekistan"`
        pub const TITLE: &str = "Uzbek (latin) locale for Uzbekistan";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNyYjJЙй]"`
        pub const NOEXPR: &str = "^[-0nNyYjJЙй]";
        /// `"yo‘q"`
        pub const NOSTR: &str = "yo‘q";
        /// `"^[+1hHҲҳ]"`
        pub const YESEXPR: &str = "^[+1hHҲҳ]";
        /// `"ha"`
        pub const YESSTR: &str = "ha";
    }
    pub mod LC_MONETARY {
        /// `"soʻm"`
        pub const CURRENCY_SYMBOL: &str = "soʻm";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"UZS "`
        pub const INT_CURR_SYMBOL: &str = "UZS ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"998"`
        pub const INT_PREFIX: &str = "998";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["Yak", "Du", "Se", "Cho", "Pay", "Ju", "Sha"]`
        pub const ABDAY: &[&str] = &["Yak", "Du", "Se", "Cho", "Pay", "Ju", "Sha"];
        /// `&["Yan", "Fev", "Mar", "Apr", "May", "Iyn", "Iyl", "Avg", "Sen", "Okt", "Noy", "Dek"]`
        pub const ABMON: &[&str] = &["Yan", "Fev", "Mar", "Apr", "May", "Iyn", "Iyl", "Avg", "Sen", "Okt", "Noy", "Dek"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%T, %d %B, %Y yil, %A"`
        pub const D_T_FMT: &str = "%T, %d %B, %Y yil, %A";
        /// `"%d %B, %Y yil, %A"`
        pub const DATE_FMT: &str = "%d %B, %Y yil, %A";
        /// `&["Yakshanba", "Dushanba", "Seshanba", "Chorshanba", "Payshanba", "Juma", "Shanba"]`
        pub const DAY: &[&str] = &["Yakshanba", "Dushanba", "Seshanba", "Chorshanba", "Payshanba", "Juma", "Shanba"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Yanvar", "Fevral", "Mart", "Aprel", "May", "Iyun", "Iyul", "Avgust", "Sentabr", "Oktabr", "Noyabr", "Dekabr"]`
        pub const MON: &[&str] = &["Yanvar", "Fevral", "Mart", "Aprel", "May", "Iyun", "Iyul", "Avgust", "Sentabr", "Oktabr", "Noyabr", "Dekabr"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod uz_UZ_cyrillic {
    pub mod LC_ADDRESS {
        /// `"UZ"`
        pub const COUNTRY_ABTWO: &str = "UZ";
        /// `"UZB"`
        pub const COUNTRY_AB3: &str = "UZB";
        /// `"UZ"`
        pub const COUNTRY_CAR: &str = "UZ";
        /// `"Ўзбекистон"`
        pub const COUNTRY_NAME: &str = "Ўзбекистон";
        /// `860`
        pub const COUNTRY_NUM: i64 = 860;
        /// `"UZ"`
        pub const COUNTRY_POST: &str = "UZ";
        /// `"uz"`
        pub const LANG_AB: &str = "uz";
        /// `"uzb"`
        pub const LANG_LIB: &str = "uzb";
        /// `"Ўзбекча"`
        pub const LANG_NAME: &str = "Ўзбекча";
        /// `"uzb"`
        pub const LANG_TERM: &str = "uzb";
        /// `"%C%N%T%N%s %h%N%f%N%b%N%d%N%e %r%N%a%N%z"`
        pub const POSTAL_FMT: &str = "%C%N%T%N%s %h%N%f%N%b%N%d%N%e %r%N%a%N%z";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Mashrab Kuvatov, Pablo Saratxaga"`
        pub const CONTACT: &str = "Mashrab Kuvatov, Pablo Saratxaga";
        /// `"2003-05-30"`
        pub const DATE: &str = "2003-05-30";
        /// `"kmashrab@uni-bremen.de, pablo@mandrakesoft.com"`
        pub const EMAIL: &str = "kmashrab@uni-bremen.de, pablo@mandrakesoft.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Uzbek"`
        pub const LANGUAGE: &str = "Uzbek";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `"Mashrab Kuvatov"`
        pub const SOURCE: &str = "Mashrab Kuvatov";
        /// `""`
        pub const TEL: &str = "";
        /// `"Uzbekistan"`
        pub const TERRITORY: &str = "Uzbekistan";
        /// `"Uzbek (cyrillic) locale for Uzbekistan"`
        pub const TITLE: &str = "Uzbek (cyrillic) locale for Uzbekistan";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNyYjJЙй]"`
        pub const NOEXPR: &str = "^[-0nNyYjJЙй]";
        /// `"йўқ"`
        pub const NOSTR: &str = "йўқ";
        /// `"^[+1hHҲҳ]"`
        pub const YESEXPR: &str = "^[+1hHҲҳ]";
        /// `"ҳа"`
        pub const YESSTR: &str = "ҳа";
    }
    pub mod LC_MONETARY {
        /// `"сўм"`
        pub const CURRENCY_SYMBOL: &str = "сўм";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"UZS "`
        pub const INT_CURR_SYMBOL: &str = "UZS ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub use super::uz_UZ::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Якш", "Душ", "Сеш", "Чор", "Пай", "Жум", "Шан"]`
        pub const ABDAY: &[&str] = &["Якш", "Душ", "Сеш", "Чор", "Пай", "Жум", "Шан"];
        /// `&["Янв", "Фев", "Мар", "Апр", "Май", "Июн", "Июл", "Авг", "Сен", "Окт", "Ноя", "Дек"]`
        pub const ABMON: &[&str] = &["Янв", "Фев", "Мар", "Апр", "Май", "Июн", "Июл", "Авг", "Сен", "Окт", "Ноя", "Дек"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%T, %d %B, %Y йил, %A"`
        pub const D_T_FMT: &str = "%T, %d %B, %Y йил, %A";
        /// `"%d %B, %Y йил, %A"`
        pub const DATE_FMT: &str = "%d %B, %Y йил, %A";
        /// `&["Якшанба", "Душанба", "Сешанба", "Чоршанба", "Пайшанба", "Жума", "Шанба"]`
        pub const DAY: &[&str] = &["Якшанба", "Душанба", "Сешанба", "Чоршанба", "Пайшанба", "Жума", "Шанба"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Январ", "Феврал", "Март", "Апрел", "Май", "Июн", "Июл", "Август", "Сентябр", "Октябр", "Ноябр", "Декабр"]`
        pub const MON: &[&str] = &["Январ", "Феврал", "Март", "Апрел", "Май", "Июн", "Июл", "Август", "Сентябр", "Октябр", "Ноябр", "Декабр"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod ve_ZA {
    pub mod LC_ADDRESS {
        /// `"ZA"`
        pub const COUNTRY_ABTWO: &str = "ZA";
        /// `"ZAF"`
        pub const COUNTRY_AB3: &str = "ZAF";
        /// `"ZA"`
        pub const COUNTRY_CAR: &str = "ZA";
        /// `"Afurika Tshipembe"`
        pub const COUNTRY_NAME: &str = "Afurika Tshipembe";
        /// `710`
        pub const COUNTRY_NUM: i64 = 710;
        /// `"ZA"`
        pub const COUNTRY_POST: &str = "ZA";
        /// `"ve"`
        pub const LANG_AB: &str = "ve";
        /// `"ven"`
        pub const LANG_LIB: &str = "ven";
        /// `"Tshivenḓa"`
        pub const LANG_NAME: &str = "Tshivenḓa";
        /// `"ven"`
        pub const LANG_TERM: &str = "ven";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"PO Box 28364, Sunnyside, 0132, South Africa"`
        pub const ADDRESS: &str = "PO Box 28364, Sunnyside, 0132, South Africa";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Dwayne Bailey"`
        pub const CONTACT: &str = "Dwayne Bailey";
        /// `"2005-10-13"`
        pub const DATE: &str = "2005-10-13";
        /// `"dwayne@translate.org.za"`
        pub const EMAIL: &str = "dwayne@translate.org.za";
        /// `""`
        pub const FAX: &str = "";
        /// `"Venda"`
        pub const LANGUAGE: &str = "Venda";
        /// `"0.3"`
        pub const REVISION: &str = "0.3";
        /// `"Zuza Software Foundation (Translate.org.za)"`
        pub const SOURCE: &str = "Zuza Software Foundation (Translate.org.za)";
        /// `""`
        pub const TEL: &str = "";
        /// `"South Africa"`
        pub const TERRITORY: &str = "South Africa";
        /// `"Venda locale for South Africa"`
        pub const TITLE: &str = "Venda locale for South Africa";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNhH]"`
        pub const NOEXPR: &str = "^[-0nNhH]";
        /// `"^[+1yYeE]"`
        pub const YESEXPR: &str = "^[+1yYeE]";
    }
    pub use super::en_ZA::LC_MONETARY;
    pub use super::en_ZA::LC_NUMERIC;
    pub use super::en_ZA::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Swo", "Mus", "Vhi", "Rar", "ṋa", "Ṱan", "Mug"]`
        pub const ABDAY: &[&str] = &["Swo", "Mus", "Vhi", "Rar", "ṋa", "Ṱan", "Mug"];
        /// `&["Pha", "Luh", "Fam", "Lam", "Shu", "Lwi", "Lwa", "Ngu", "Khu", "Tsh", "Ḽar", "Nye"]`
        pub const ABMON: &[&str] = &["Pha", "Luh", "Fam", "Lam", "Shu", "Lwi", "Lwa", "Ngu", "Khu", "Tsh", "Ḽar", "Nye"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["Swondaha", "Musumbuluwo", "Ḽavhuvhili", "Ḽavhuraru", "Ḽavhuṋa", "Ḽavhuṱanu", "Mugivhela"]`
        pub const DAY: &[&str] = &["Swondaha", "Musumbuluwo", "Ḽavhuvhili", "Ḽavhuraru", "Ḽavhuṋa", "Ḽavhuṱanu", "Mugivhela"];
        /// `&["Phando", "Luhuhi", "Ṱhafamuhwe", "Lambamai", "Shundunthule", "Fulwi", "Fulwana", "Ṱhangule", "Khubvumedzi", "Tshimedzi", "Ḽara", "Nyendavhusiku"]`
        pub const MON: &[&str] = &["Phando", "Luhuhi", "Ṱhafamuhwe", "Lambamai", "Shundunthule", "Fulwi", "Fulwana", "Ṱhangule", "Khubvumedzi", "Tshimedzi", "Ḽara", "Nyendavhusiku"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod vi_VN {
    pub mod LC_ADDRESS {
        /// `"VN"`
        pub const COUNTRY_ABTWO: &str = "VN";
        /// `"VNM"`
        pub const COUNTRY_AB3: &str = "VNM";
        /// `"VN"`
        pub const COUNTRY_CAR: &str = "VN";
        /// `"Việt Nam"`
        pub const COUNTRY_NAME: &str = "Việt Nam";
        /// `704`
        pub const COUNTRY_NUM: i64 = 704;
        /// `"vi"`
        pub const LANG_AB: &str = "vi";
        /// `"vie"`
        pub const LANG_LIB: &str = "vie";
        /// `"Tiếng Việt"`
        pub const LANG_NAME: &str = "Tiếng Việt";
        /// `"vie"`
        pub const LANG_TERM: &str = "vie";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Pablo Saratxaga"`
        pub const CONTACT: &str = "Pablo Saratxaga";
        /// `"2004-01-09"`
        pub const DATE: &str = "2004-01-09";
        /// `"pablo@mandrakesoft.com"`
        pub const EMAIL: &str = "pablo@mandrakesoft.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Vietnamese"`
        pub const LANGUAGE: &str = "Vietnamese";
        /// `"1.1"`
        pub const REVISION: &str = "1.1";
        /// `"glibc locale and info from vietnamese native speakers"`
        pub const SOURCE: &str = "glibc locale and info from vietnamese native speakers";
        /// `""`
        pub const TEL: &str = "";
        /// `"Vietnam"`
        pub const TERRITORY: &str = "Vietnam";
        /// `"Vietnamese language locale for Vietnam"`
        pub const TITLE: &str = "Vietnamese language locale for Vietnam";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNkK]"`
        pub const NOEXPR: &str = "^[-0nNkK]";
        /// `"Không"`
        pub const NOSTR: &str = "Không";
        /// `"^[+1yYcC]"`
        pub const YESEXPR: &str = "^[+1yYcC]";
        /// `"Có"`
        pub const YESSTR: &str = "Có";
    }
    pub mod LC_MONETARY {
        /// `"₫"`
        pub const CURRENCY_SYMBOL: &str = "₫";
        /// `0`
        pub const FRAC_DIGITS: i64 = 0;
        /// `"VND "`
        pub const INT_CURR_SYMBOL: &str = "VND ";
        /// `0`
        pub const INT_FRAC_DIGITS: i64 = 0;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const MON_THOUSANDS_SEP: &str = ".";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `"."`
        pub const THOUSANDS_SEP: &str = ".";
    }
    pub mod LC_TELEPHONE {
        /// `"84"`
        pub const INT_PREFIX: &str = "84";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["CN", "T2", "T3", "T4", "T5", "T6", "T7"]`
        pub const ABDAY: &[&str] = &["CN", "T2", "T3", "T4", "T5", "T6", "T7"];
        /// `&["Thg 1", "Thg 2", "Thg 3", "Thg 4", "Thg 5", "Thg 6", "Thg 7", "Thg 8", "Thg 9", "Thg 10", "Thg 11", "Thg 12"]`
        pub const ABMON: &[&str] = &["Thg 1", "Thg 2", "Thg 3", "Thg 4", "Thg 5", "Thg 6", "Thg 7", "Thg 8", "Thg 9", "Thg 10", "Thg 11", "Thg 12"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%A, %d %B Năm %Y %T %Z"`
        pub const D_T_FMT: &str = "%A, %d %B Năm %Y %T %Z";
        /// `"%A, %d %B năm %Y %T %Z"`
        pub const DATE_FMT: &str = "%A, %d %B năm %Y %T %Z";
        /// `&["Chủ nhật", "Thứ hai", "Thứ ba", "Thứ tư", "Thứ năm", "Thứ sáu", "Thứ bảy"]`
        pub const DAY: &[&str] = &["Chủ nhật", "Thứ hai", "Thứ ba", "Thứ tư", "Thứ năm", "Thứ sáu", "Thứ bảy"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Tháng 1", "Tháng 2", "Tháng 3", "Tháng 4", "Tháng 5", "Tháng 6", "Tháng 7", "Tháng 8", "Tháng 9", "Tháng 10", "Tháng 11", "Tháng 12"]`
        pub const MON: &[&str] = &["Tháng 1", "Tháng 2", "Tháng 3", "Tháng 4", "Tháng 5", "Tháng 6", "Tháng 7", "Tháng 8", "Tháng 9", "Tháng 10", "Tháng 11", "Tháng 12"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%I:%M %p"`
        pub const T_FMT_AMPM: &str = "%I:%M %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod wa_BE {
    pub mod LC_ADDRESS {
        /// `"BE"`
        pub const COUNTRY_ABTWO: &str = "BE";
        /// `"BEL"`
        pub const COUNTRY_AB3: &str = "BEL";
        /// `"B"`
        pub const COUNTRY_CAR: &str = "B";
        /// `"2"`
        pub const COUNTRY_ISBN: &str = "2";
        /// `"Beldjike"`
        pub const COUNTRY_NAME: &str = "Beldjike";
        /// `56`
        pub const COUNTRY_NUM: i64 = 56;
        /// `"B"`
        pub const COUNTRY_POST: &str = "B";
        /// `"wa"`
        pub const LANG_AB: &str = "wa";
        /// `"wln"`
        pub const LANG_LIB: &str = "wln";
        /// `"walon"`
        pub const LANG_NAME: &str = "walon";
        /// `"wln"`
        pub const LANG_TERM: &str = "wln";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_NAME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_NAME"],
        ];
        /// `"Pablo Saratxaga"`
        pub const CONTACT: &str = "Pablo Saratxaga";
        /// `"2003-08-25"`
        pub const DATE: &str = "2003-08-25";
        /// `"pablo@mandrakesoft.com"`
        pub const EMAIL: &str = "pablo@mandrakesoft.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Walloon"`
        pub const LANGUAGE: &str = "Walloon";
        /// `"0.9"`
        pub const REVISION: &str = "0.9";
        /// `"Djan SACRE"`
        pub const SOURCE: &str = "Djan SACRE";
        /// `""`
        pub const TEL: &str = "";
        /// `"Belgium"`
        pub const TERRITORY: &str = "Belgium";
        /// `"Walloon Language Locale for Belgium"`
        pub const TITLE: &str = "Walloon Language Locale for Belgium";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"Neni"`
        pub const NOSTR: &str = "Neni";
        /// `"^[+1oOyYaAwW]"`
        pub const YESEXPR: &str = "^[+1oOyYaAwW]";
        /// `"Oyi"`
        pub const YESSTR: &str = "Oyi";
    }
    pub use super::fr_BE::LC_MONETARY;
    pub use super::fr_BE::LC_NUMERIC;
    pub use super::fr_BE::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["dim", "lon", "mår", "mie", "dju", "vén", "sem"]`
        pub const ABDAY: &[&str] = &["dim", "lon", "mår", "mie", "dju", "vén", "sem"];
        /// `&["dja", "fev", "mås", "avr", "may", "djn", "djl", "awo", "set", "oct", "nôv", "dec"]`
        pub const ABMON: &[&str] = &["dja", "fev", "mås", "avr", "may", "djn", "djl", "awo", "set", "oct", "nôv", "dec"];
        /// `&["djanvî", "fevrî", "måss", "avri", "may", "djun", "djulete", "awousse", "setimbe", "octôbe", "nôvimbe", "decimbe"]`
        pub const ALT_MON: &[&str] = &["djanvî", "fevrî", "måss", "avri", "may", "djun", "djulete", "awousse", "setimbe", "octôbe", "nôvimbe", "decimbe"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"Li %A %d %B %Y %T %Z"`
        pub const D_T_FMT: &str = "Li %A %d %B %Y %T %Z";
        /// `&["dimegne", "londi", "mårdi", "mierkidi", "djudi", "vénrdi", "semdi"]`
        pub const DAY: &[&str] = &["dimegne", "londi", "mårdi", "mierkidi", "djudi", "vénrdi", "semdi"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["di djanvî", "di fevrî", "di måss", "d’\u{a0}avri", "di may", "di djun", "di djulete", "d’\u{a0}awousse", "di setimbe", "d’\u{a0}octôbe", "di nôvimbe", "di decimbe"]`
        pub const MON: &[&str] = &["di djanvî", "di fevrî", "di måss", "d’\u{a0}avri", "di may", "di djun", "di djulete", "d’\u{a0}awousse", "di setimbe", "d’\u{a0}octôbe", "di nôvimbe", "di decimbe"];
        /// `"%H:%M:%S"`
        pub const T_FMT: &str = "%H:%M:%S";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod wa_BE_euro {
    pub use super::wa_BE::LC_ADDRESS;
    pub mod LC_IDENTIFICATION {
        /// `"https://www.gnu.org/software/libc/"`
        pub const ADDRESS: &str = "https://www.gnu.org/software/libc/";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2002-02-23"`
        pub const DATE: &str = "2002-02-23";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Walloon"`
        pub const LANGUAGE: &str = "Walloon";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Free Software Foundation, Inc."`
        pub const SOURCE: &str = "Free Software Foundation, Inc.";
        /// `""`
        pub const TEL: &str = "";
        /// `"Belgium"`
        pub const TERRITORY: &str = "Belgium";
        /// `"Walloon locale for Belgium with Euro"`
        pub const TITLE: &str = "Walloon locale for Belgium with Euro";
    }
    pub use super::wa_BE::LC_MESSAGES;
    pub use super::fr_BE_euro::LC_MONETARY;
    pub use super::wa_BE::LC_NUMERIC;
    pub use super::wa_BE::LC_TELEPHONE;
    pub use super::wa_BE::LC_TIME;
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod wae_CH {
    pub mod LC_ADDRESS {
        /// `"CH"`
        pub const COUNTRY_ABTWO: &str = "CH";
        /// `"CHE"`
        pub const COUNTRY_AB3: &str = "CHE";
        /// `"CH"`
        pub const COUNTRY_CAR: &str = "CH";
        /// `3`
        pub const COUNTRY_ISBN: i64 = 3;
        /// `"Schwiz"`
        pub const COUNTRY_NAME: &str = "Schwiz";
        /// `756`
        pub const COUNTRY_NUM: i64 = 756;
        /// `"DH"`
        pub const COUNTRY_POST: &str = "DH";
        /// `""`
        pub const LANG_AB: &str = "";
        /// `"wae"`
        pub const LANG_LIB: &str = "wae";
        /// `"Walser"`
        pub const LANG_NAME: &str = "Walser";
        /// `"wae"`
        pub const LANG_TERM: &str = "wae";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
        ];
        /// `"Walser Translation Team"`
        pub const CONTACT: &str = "Walser Translation Team";
        /// `"2010-10-25"`
        pub const DATE: &str = "2010-10-25";
        /// `"ml@translate-wae.ch"`
        pub const EMAIL: &str = "ml@translate-wae.ch";
        /// `""`
        pub const FAX: &str = "";
        /// `"Walser"`
        pub const LANGUAGE: &str = "Walser";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Switzerland"`
        pub const TERRITORY: &str = "Switzerland";
        /// `"Walser locale for Switzerland"`
        pub const TITLE: &str = "Walser locale for Switzerland";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"nei"`
        pub const NOSTR: &str = "nei";
        /// `"^[+1jJyY]"`
        pub const YESEXPR: &str = "^[+1jJyY]";
        /// `"ja"`
        pub const YESSTR: &str = "ja";
    }
    pub use super::de_CH::LC_MONETARY;
    pub use super::de_CH::LC_NUMERIC;
    pub use super::de_CH::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Sun", "Män", "Zis", "Mit", "Fro", "Fri", "Sam"]`
        pub const ABDAY: &[&str] = &["Sun", "Män", "Zis", "Mit", "Fro", "Fri", "Sam"];
        /// `&["Jen", "Hor", "Mär", "Abr", "Mei", "Brá", "Hei", "Öig", "Her", "Wím", "Win", "Chr"]`
        pub const ABMON: &[&str] = &["Jen", "Hor", "Mär", "Abr", "Mei", "Brá", "Hei", "Öig", "Her", "Wím", "Win", "Chr"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%Y-%m-%d"`
        pub const D_FMT: &str = "%Y-%m-%d";
        /// `"%a %d. %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d. %b %Y %T %Z";
        /// `"%a %-d %b %H:%M:%S %Z %Y"`
        pub const DATE_FMT: &str = "%a %-d %b %H:%M:%S %Z %Y";
        /// `&["Suntag", "Mäntag", "Zischtag", "Mittwuch", "Frontag", "Fritag", "Samschtag"]`
        pub const DAY: &[&str] = &["Suntag", "Mäntag", "Zischtag", "Mittwuch", "Frontag", "Fritag", "Samschtag"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Jenner", "Hornig", "Märze", "Abrille", "Meije", "Bráčet", "Heiwet", "Öigšte", "Herbštmánet", "Wímánet", "Wintermánet", "Chrištmánet"]`
        pub const MON: &[&str] = &["Jenner", "Hornig", "Märze", "Abrille", "Meije", "Bráčet", "Heiwet", "Öigšte", "Herbštmánet", "Wímánet", "Wintermánet", "Chrištmánet"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 4]`
        pub const WEEK: &[i64] = &[7, 19971130, 4];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod wal_ET {
    pub mod LC_ADDRESS {
        /// `"ET"`
        pub const COUNTRY_ABTWO: &str = "ET";
        /// `"ETH"`
        pub const COUNTRY_AB3: &str = "ETH";
        /// `"ETH"`
        pub const COUNTRY_CAR: &str = "ETH";
        /// `"ኢትዮጵያ"`
        pub const COUNTRY_NAME: &str = "ኢትዮጵያ";
        /// `231`
        pub const COUNTRY_NUM: i64 = 231;
        /// `"ETH"`
        pub const COUNTRY_POST: &str = "ETH";
        /// `"wal"`
        pub const LANG_LIB: &str = "wal";
        /// `"ወላይታቱ"`
        pub const LANG_NAME: &str = "ወላይታቱ";
        /// `"wal"`
        pub const LANG_TERM: &str = "wal";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"7802 Solomon Seal Dr., Springfield, VA 22152, USA"`
        pub const ADDRESS: &str = "7802 Solomon Seal Dr., Springfield, VA 22152, USA";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_TIME"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_TIME"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2004-04-25"`
        pub const DATE: &str = "2004-04-25";
        /// `"locales@geez.org"`
        pub const EMAIL: &str = "locales@geez.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Wolaytta"`
        pub const LANGUAGE: &str = "Wolaytta";
        /// `"0.10"`
        pub const REVISION: &str = "0.10";
        /// `"Ge\'ez Frontier Foundation"`
        pub const SOURCE: &str = "Ge\'ez Frontier Foundation";
        /// `""`
        pub const TEL: &str = "";
        /// `"Ethiopia"`
        pub const TERRITORY: &str = "Ethiopia";
        /// `"Walaita language locale for Ethiopia."`
        pub const TITLE: &str = "Walaita language locale for Ethiopia.";
    }
    pub use super::ti_ET::LC_MESSAGES;
    pub use super::ti_ET::LC_MONETARY;
    pub use super::ti_ET::LC_NUMERIC;
    pub use super::ti_ET::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["ወጋ ", "ሳይኖ", "ማቆሳ", "አሩዋ", "ሃሙሳ", "አርባ", "ቄራ "]`
        pub const ABDAY: &[&str] = &["ወጋ ", "ሳይኖ", "ማቆሳ", "አሩዋ", "ሃሙሳ", "አርባ", "ቄራ "];
        /// `&["ጃንዩ", "ፌብሩ", "ማርች", "ኤፕረ", "ሜይ ", "ጁን ", "ጁላይ", "ኦገስ", "ሴፕቴ", "ኦክተ", "ኖቬም", "ዲሴም"]`
        pub const ABMON: &[&str] = &["ጃንዩ", "ፌብሩ", "ማርች", "ኤፕረ", "ሜይ ", "ጁን ", "ጁላይ", "ኦገስ", "ሴፕቴ", "ኦክተ", "ኖቬም", "ዲሴም"];
        /// `&["ማለዶ", "ቃማ"]`
        pub const AM_PM: &[&str] = &["ማለዶ", "ቃማ"];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%A፣ %B %e ጋላሳ %Y %r %Z"`
        pub const D_T_FMT: &str = "%A፣ %B %e ጋላሳ %Y %r %Z";
        /// `"%A፣ %B %e ጋላሳ %r %Z %Y ግ/ላ"`
        pub const DATE_FMT: &str = "%A፣ %B %e ጋላሳ %r %Z %Y ግ/ላ";
        /// `&["ወጋ", "ሳይኖ", "ማቆሳኛ", "አሩዋ", "ሃሙሳ", "አርባ", "ቄራ"]`
        pub const DAY: &[&str] = &["ወጋ", "ሳይኖ", "ማቆሳኛ", "አሩዋ", "ሃሙሳ", "አርባ", "ቄራ"];
        /// `&["ጃንዩወሪ", "ፌብሩወሪ", "ማርች", "ኤፕረል", "ሜይ", "ጁን", "ጁላይ", "ኦገስት", "ሴፕቴምበር", "ኦክተውበር", "ኖቬምበር", "ዲሴምበር"]`
        pub const MON: &[&str] = &["ጃንዩወሪ", "ፌብሩወሪ", "ማርች", "ኤፕረል", "ሜይ", "ጁን", "ጁላይ", "ኦገስት", "ሴፕቴምበር", "ኦክተውበር", "ኖቬምበር", "ዲሴምበር"];
        /// `"%l:%M:%S %p"`
        pub const T_FMT: &str = "%l:%M:%S %p";
        /// `"%l:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%l:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod wo_SN {
    pub mod LC_ADDRESS {
        /// `"SN"`
        pub const COUNTRY_ABTWO: &str = "SN";
        /// `"SEN"`
        pub const COUNTRY_AB3: &str = "SEN";
        /// `"SN"`
        pub const COUNTRY_CAR: &str = "SN";
        /// `"Senegaal"`
        pub const COUNTRY_NAME: &str = "Senegaal";
        /// `686`
        pub const COUNTRY_NUM: i64 = 686;
        /// `"wo"`
        pub const LANG_AB: &str = "wo";
        /// `"wol"`
        pub const LANG_LIB: &str = "wol";
        /// `"Wolof"`
        pub const LANG_NAME: &str = "Wolof";
        /// `"wol"`
        pub const LANG_TERM: &str = "wol";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Christian Perrier"`
        pub const CONTACT: &str = "Christian Perrier";
        /// `"2004-09-08"`
        pub const DATE: &str = "2004-09-08";
        /// `"bubulle@debian.org"`
        pub const EMAIL: &str = "bubulle@debian.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Wolof"`
        pub const LANGUAGE: &str = "Wolof";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"The Debian Project"`
        pub const SOURCE: &str = "The Debian Project";
        /// `""`
        pub const TEL: &str = "";
        /// `"Senegal"`
        pub const TERRITORY: &str = "Senegal";
        /// `"Wolof locale for Senegal"`
        pub const TITLE: &str = "Wolof locale for Senegal";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0dDnN]"`
        pub const NOEXPR: &str = "^[-0dDnN]";
        /// `"déedet"`
        pub const NOSTR: &str = "déedet";
        /// `"^[+1wWyY]"`
        pub const YESEXPR: &str = "^[+1wWyY]";
        /// `"waaw"`
        pub const YESSTR: &str = "waaw";
    }
    pub mod LC_MONETARY {
        /// `"CFA"`
        pub const CURRENCY_SYMBOL: &str = "CFA";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"XOF "`
        pub const INT_CURR_SYMBOL: &str = "XOF ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `","`
        pub const MON_DECIMAL_POINT: &str = ",";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `"\u{202f}"`
        pub const MON_THOUSANDS_SEP: &str = "\u{202f}";
        /// `0`
        pub const N_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `0`
        pub const P_CS_PRECEDES: i64 = 0;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `","`
        pub const DECIMAL_POINT: &str = ",";
        /// `&[0, 0]`
        pub const GROUPING: &[i64] = &[0, 0];
        /// `""`
        pub const THOUSANDS_SEP: &str = "";
    }
    pub mod LC_TELEPHONE {
        /// `"221"`
        pub const INT_PREFIX: &str = "221";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%a %l"`
        pub const TEL_DOM_FMT: &str = "%a %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["dib", "alt", "tal", "all", "alx", "ajj", "gaa"]`
        pub const ABDAY: &[&str] = &["dib", "alt", "tal", "all", "alx", "ajj", "gaa"];
        /// `&["san", "fee", "mar", "awr", "me ", "suw", "sul", "uut", "sep", "okt", "now", "des"]`
        pub const ABMON: &[&str] = &["san", "fee", "mar", "awr", "me ", "suw", "sul", "uut", "sep", "okt", "now", "des"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d.%m.%Y"`
        pub const D_FMT: &str = "%d.%m.%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["dib\'eer", "altine", "talaata", "allarba", "alxames", "ajjuma", "gaawu"]`
        pub const DAY: &[&str] = &["dib\'eer", "altine", "talaata", "allarba", "alxames", "ajjuma", "gaawu"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["sanwiy\'e", "feebriy\'e", "mars", "awril", "me", "suwen", "sulet", "uut", "septaambar", "oktoobar", "nowaambar", "desaambar"]`
        pub const MON: &[&str] = &["sanwiy\'e", "feebriy\'e", "mars", "awril", "me", "suwen", "sulet", "uut", "septaambar", "oktoobar", "nowaambar", "desaambar"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod xh_ZA {
    pub mod LC_ADDRESS {
        /// `"ZA"`
        pub const COUNTRY_ABTWO: &str = "ZA";
        /// `"ZAF"`
        pub const COUNTRY_AB3: &str = "ZAF";
        /// `"ZA"`
        pub const COUNTRY_CAR: &str = "ZA";
        /// `"uMzantsi Afrika"`
        pub const COUNTRY_NAME: &str = "uMzantsi Afrika";
        /// `710`
        pub const COUNTRY_NUM: i64 = 710;
        /// `"ZA"`
        pub const COUNTRY_POST: &str = "ZA";
        /// `"xh"`
        pub const LANG_AB: &str = "xh";
        /// `"xho"`
        pub const LANG_LIB: &str = "xho";
        /// `"isiXhosa"`
        pub const LANG_NAME: &str = "isiXhosa";
        /// `"xho"`
        pub const LANG_TERM: &str = "xho";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"PO Box 28364, Sunnyside, 0132, South Africa"`
        pub const ADDRESS: &str = "PO Box 28364, Sunnyside, 0132, South Africa";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Dwayne Bailey"`
        pub const CONTACT: &str = "Dwayne Bailey";
        /// `"2005-10-13"`
        pub const DATE: &str = "2005-10-13";
        /// `"dwayne@translate.org.za"`
        pub const EMAIL: &str = "dwayne@translate.org.za";
        /// `""`
        pub const FAX: &str = "";
        /// `"Xhosa"`
        pub const LANGUAGE: &str = "Xhosa";
        /// `"0.3"`
        pub const REVISION: &str = "0.3";
        /// `"Zuza Software Foundation (Translate.org.za)"`
        pub const SOURCE: &str = "Zuza Software Foundation (Translate.org.za)";
        /// `""`
        pub const TEL: &str = "";
        /// `"South Africa"`
        pub const TERRITORY: &str = "South Africa";
        /// `"Xhosa locale for South Africa"`
        pub const TITLE: &str = "Xhosa locale for South Africa";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNhH]"`
        pub const NOEXPR: &str = "^[-0nNhH]";
        /// `"hayi"`
        pub const NOSTR: &str = "hayi";
        /// `"^[+1yYeE]"`
        pub const YESEXPR: &str = "^[+1yYeE]";
        /// `"ewe"`
        pub const YESSTR: &str = "ewe";
    }
    pub use super::en_ZA::LC_MONETARY;
    pub use super::en_ZA::LC_NUMERIC;
    pub use super::en_ZA::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Caw", "Mvu", "Bin", "Tha", "Sin", "Hla", "Mgq"]`
        pub const ABDAY: &[&str] = &["Caw", "Mvu", "Bin", "Tha", "Sin", "Hla", "Mgq"];
        /// `&["Mqu", "Mdu", "Kwi", "Tsh", "Can", "Sil", "Kha", "Thu", "Msi", "Dwa", "Nka", "Mng"]`
        pub const ABMON: &[&str] = &["Mqu", "Mdu", "Kwi", "Tsh", "Can", "Sil", "Kha", "Thu", "Msi", "Dwa", "Nka", "Mng"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %-e %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %-e %b %Y %T %Z";
        /// `"%a %b %-e %H:%M:%S %Z %Y"`
        pub const DATE_FMT: &str = "%a %b %-e %H:%M:%S %Z %Y";
        /// `&["iCawa", "uMvulo", "lwesiBini", "lwesiThathu", "ulweSine", "lwesiHlanu", "uMgqibelo"]`
        pub const DAY: &[&str] = &["iCawa", "uMvulo", "lwesiBini", "lwesiThathu", "ulweSine", "lwesiHlanu", "uMgqibelo"];
        /// `&["eyoMqungu", "eyoMdumba", "eyoKwindla", "uTshazimpuzi", "uCanzibe", "eyeSilimela", "eyeKhala", "eyeThupa", "eyoMsintsi", "eyeDwarha", "eyeNkanga", "eyoMnga"]`
        pub const MON: &[&str] = &["eyoMqungu", "eyoMdumba", "eyoKwindla", "uTshazimpuzi", "uCanzibe", "eyeSilimela", "eyeKhala", "eyeThupa", "eyoMsintsi", "eyeDwarha", "eyeNkanga", "eyoMnga"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod yi_US {
    pub mod LC_ADDRESS {
        /// `"US"`
        pub const COUNTRY_ABTWO: &str = "US";
        /// `"USA"`
        pub const COUNTRY_AB3: &str = "USA";
        /// `"USA"`
        pub const COUNTRY_CAR: &str = "USA";
        /// `"0"`
        pub const COUNTRY_ISBN: &str = "0";
        /// `"פ\u{5bf}א\u{5b7}ראייניגטע שטא\u{5b7}טן"`
        pub const COUNTRY_NAME: &str = "פ\u{5bf}א\u{5b7}ראייניגטע שטא\u{5b7}טן";
        /// `840`
        pub const COUNTRY_NUM: i64 = 840;
        /// `"USA"`
        pub const COUNTRY_POST: &str = "USA";
        /// `"yi"`
        pub const LANG_AB: &str = "yi";
        /// `"yid"`
        pub const LANG_LIB: &str = "yid";
        /// `"יי\u{5b4}דיש"`
        pub const LANG_NAME: &str = "יי\u{5b4}דיש";
        /// `"yid"`
        pub const LANG_TERM: &str = "yid";
        /// `"%d%N%f%N%d%N%b%N%s %h 5e %r%N%C%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%d%N%f%N%d%N%b%N%s %h 5e %r%N%C%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_MEASUREMENT"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_ADDRESS"],
        ];
        /// `"Pablo Saratxaga"`
        pub const CONTACT: &str = "Pablo Saratxaga";
        /// `"2003-08-16"`
        pub const DATE: &str = "2003-08-16";
        /// `"pablo@mandrakesoft.com"`
        pub const EMAIL: &str = "pablo@mandrakesoft.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Yiddish"`
        pub const LANGUAGE: &str = "Yiddish";
        /// `"0.4"`
        pub const REVISION: &str = "0.4";
        /// `"http://www.uyip.org/"`
        pub const SOURCE: &str = "http://www.uyip.org/";
        /// `""`
        pub const TEL: &str = "";
        /// `"United States"`
        pub const TERRITORY: &str = "United States";
        /// `"Yiddish Language locale for the USA"`
        pub const TITLE: &str = "Yiddish Language locale for the USA";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNנק]"`
        pub const NOEXPR: &str = "^[-0nNנק]";
        /// `"קײן"`
        pub const NOSTR: &str = "קײן";
        /// `"^[+1yYי]"`
        pub const YESEXPR: &str = "^[+1yYי]";
        /// `"יא\u{5b8}"`
        pub const YESSTR: &str = "יא\u{5b8}";
    }
    pub mod LC_MONETARY {
        /// `"$"`
        pub const CURRENCY_SYMBOL: &str = "$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"USD "`
        pub const INT_CURR_SYMBOL: &str = "USD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const N_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const N_SIGN_POSN: i64 = 2;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `1`
        pub const P_SEP_BY_SPACE: i64 = 1;
        /// `2`
        pub const P_SIGN_POSN: i64 = 2;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub use super::en_US::LC_NUMERIC;
    pub use super::en_US::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["זונ\'", "מא\u{5b8}נ\'", "דינ\'", "מיט\'", "דא\u{5b8}נ\'", "פ\u{5bf}רײ\u{5b7}\'", "שבת"]`
        pub const ABDAY: &[&str] = &["זונ\'", "מא\u{5b8}נ\'", "דינ\'", "מיט\'", "דא\u{5b8}נ\'", "פ\u{5bf}רײ\u{5b7}\'", "שבת"];
        /// `&["יא\u{5b7}נ", "פ\u{5bf}עב", "מא\u{5b7}ר", "א\u{5b7}פ\u{5bc}ר", "מײ\u{5b7} ", "יונ", "יול", "אױג", "סעפ\u{5bc}", "א\u{5b8}קט", "נא\u{5b8}װ", "דעצ"]`
        pub const ABMON: &[&str] = &["יא\u{5b7}נ", "פ\u{5bf}עב", "מא\u{5b7}ר", "א\u{5b7}פ\u{5bc}ר", "מײ\u{5b7} ", "יונ", "יול", "אױג", "סעפ\u{5bc}", "א\u{5b8}קט", "נא\u{5b8}װ", "דעצ"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `3`
        pub const CAL_DIRECTION: i64 = 3;
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%Z %H:%M:%S %Y %b %d %a"`
        pub const D_T_FMT: &str = "%Z %H:%M:%S %Y %b %d %a";
        /// `&["זונטיק", "מא\u{5b8}נטיק", "דינסטיק", "מיטװא\u{5b8}ך", "דא\u{5b8}נערשטיק", "פ\u{5bf}רײ\u{5b7}טיק", "שבת"]`
        pub const DAY: &[&str] = &["זונטיק", "מא\u{5b8}נטיק", "דינסטיק", "מיטװא\u{5b8}ך", "דא\u{5b8}נערשטיק", "פ\u{5bf}רײ\u{5b7}טיק", "שבת"];
        /// `&["יא\u{5b7}נוא\u{5b7}ר", "פ\u{5bf}עברוא\u{5b7}ר", "מערץ", "א\u{5b7}פ\u{5bc}ריל", "מיי", "יוני", "יולי", "אויגוסט", "סעפ\u{5bc}טעמבער", "אקטאבער", "נאוועמבער", "דעצעמבער"]`
        pub const MON: &[&str] = &["יא\u{5b7}נוא\u{5b7}ר", "פ\u{5bf}עברוא\u{5b7}ר", "מערץ", "א\u{5b7}פ\u{5bc}ריל", "מיי", "יוני", "יולי", "אויגוסט", "סעפ\u{5bc}טעמבער", "אקטאבער", "נאוועמבער", "דעצעמבער"];
        /// `"%H:%M:%S"`
        pub const T_FMT: &str = "%H:%M:%S";
        /// `"%I:%M:%S %P"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %P";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod yo_NG {
    pub mod LC_ADDRESS {
        /// `"NG"`
        pub const COUNTRY_ABTWO: &str = "NG";
        /// `"NGA"`
        pub const COUNTRY_AB3: &str = "NGA";
        /// `"WAN"`
        pub const COUNTRY_CAR: &str = "WAN";
        /// `978`
        pub const COUNTRY_ISBN: i64 = 978;
        /// `"Orilẹ\u{300}-èdè Nàìjíríà"`
        pub const COUNTRY_NAME: &str = "Orilẹ\u{300}-èdè Nàìjíríà";
        /// `566`
        pub const COUNTRY_NUM: i64 = 566;
        /// `"yo"`
        pub const LANG_AB: &str = "yo";
        /// `"yor"`
        pub const LANG_LIB: &str = "yor";
        /// `"Èdè Yorùbá"`
        pub const LANG_NAME: &str = "Èdè Yorùbá";
        /// `"yor"`
        pub const LANG_TERM: &str = "yor";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2005-11-20"`
        pub const DATE: &str = "2005-11-20";
        /// `"pablo@mandriva.com"`
        pub const EMAIL: &str = "pablo@mandriva.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Yoruba"`
        pub const LANGUAGE: &str = "Yoruba";
        /// `"0.2"`
        pub const REVISION: &str = "0.2";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Nigeria"`
        pub const TERRITORY: &str = "Nigeria";
        /// `"Yoruba locale for Nigeria"`
        pub const TITLE: &str = "Yoruba locale for Nigeria";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0rROoKk]"`
        pub const NOEXPR: &str = "^[-0rROoKk]";
        /// `"Bẹ\u{301}ẹ\u{300}kọ\u{301}"`
        pub const NOSTR: &str = "Bẹ\u{301}ẹ\u{300}kọ\u{301}";
        /// `"^[+1EeyYNn]"`
        pub const YESEXPR: &str = "^[+1EeyYNn]";
        /// `"Bẹ\u{301}ẹ\u{300}ni"`
        pub const YESSTR: &str = "Bẹ\u{301}ẹ\u{300}ni";
    }
    pub use super::en_NG::LC_MONETARY;
    pub use super::en_NG::LC_NUMERIC;
    pub use super::en_NG::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Àìkú", "Ajé", "Ìsẹ\u{301}gun", "Ọjọ\u{301}rú", "Ọjọ\u{301}bọ", "Ẹtì", "Àbámẹ\u{301}ta"]`
        pub const ABDAY: &[&str] = &["Àìkú", "Ajé", "Ìsẹ\u{301}gun", "Ọjọ\u{301}rú", "Ọjọ\u{301}bọ", "Ẹtì", "Àbámẹ\u{301}ta"];
        /// `&["Ṣẹ\u{301}rẹ\u{301}", "Èrèlè", "Ẹrẹ\u{300}nà", "Ìgbé", "Ẹ\u{300}bibi", "Òkúdu", "Agẹmọ", "Ògún", "Owewe", "Ọ\u{300}wàrà", "Bélú", "Ọ\u{300}pẹ\u{300}"]`
        pub const ABMON: &[&str] = &["Ṣẹ\u{301}rẹ\u{301}", "Èrèlè", "Ẹrẹ\u{300}nà", "Ìgbé", "Ẹ\u{300}bibi", "Òkúdu", "Agẹmọ", "Ògún", "Owewe", "Ọ\u{300}wàrà", "Bélú", "Ọ\u{300}pẹ\u{300}"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"ọjọ\u{301} %a, %d oṣù %b ọdún %Y %T %Z"`
        pub const D_T_FMT: &str = "ọjọ\u{301} %a, %d oṣù %b ọdún %Y %T %Z";
        /// `&["Ọjọ\u{301} Àìkú", "Ọjọ\u{301} Ajé", "Ọjọ\u{301} Ìsẹ\u{301}gun", "Ọjọ\u{301}rú", "Ọjọ\u{301}bọ", "Ọjọ\u{301} Ẹtì", "Ọjọ\u{301} Àbámẹ\u{301}ta"]`
        pub const DAY: &[&str] = &["Ọjọ\u{301} Àìkú", "Ọjọ\u{301} Ajé", "Ọjọ\u{301} Ìsẹ\u{301}gun", "Ọjọ\u{301}rú", "Ọjọ\u{301}bọ", "Ọjọ\u{301} Ẹtì", "Ọjọ\u{301} Àbámẹ\u{301}ta"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["Oṣù Ṣẹ\u{301}rẹ\u{301}", "Oṣù Èrèlè", "Oṣù Ẹrẹ\u{300}nà", "Oṣù Ìgbé", "Oṣù Ẹ\u{300}bibi", "Oṣù Òkúdu", "Oṣù Agẹmọ", "Oṣù Ògún", "Oṣù Owewe", "Oṣù Ọ\u{300}wàrà", "Oṣù Bélú", "Oṣù Ọ\u{300}pẹ\u{300}"]`
        pub const MON: &[&str] = &["Oṣù Ṣẹ\u{301}rẹ\u{301}", "Oṣù Èrèlè", "Oṣù Ẹrẹ\u{300}nà", "Oṣù Ìgbé", "Oṣù Ẹ\u{300}bibi", "Oṣù Òkúdu", "Oṣù Agẹmọ", "Oṣù Ògún", "Oṣù Owewe", "Oṣù Ọ\u{300}wàrà", "Oṣù Bélú", "Oṣù Ọ\u{300}pẹ\u{300}"];
        /// `"%r"`
        pub const T_FMT: &str = "%r";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod yue_HK {
    pub mod LC_ADDRESS {
        /// `"HK"`
        pub const COUNTRY_ABTWO: &str = "HK";
        /// `"HKG"`
        pub const COUNTRY_AB3: &str = "HKG";
        /// `"HK"`
        pub const COUNTRY_CAR: &str = "HK";
        /// `962`
        pub const COUNTRY_ISBN: i64 = 962;
        /// `"中華人民共和國香港特別行政區"`
        pub const COUNTRY_NAME: &str = "中華人民共和國香港特別行政區";
        /// `344`
        pub const COUNTRY_NUM: i64 = 344;
        /// `"yue"`
        pub const LANG_LIB: &str = "yue";
        /// `"粵語"`
        pub const LANG_NAME: &str = "粵語";
        /// `"yue"`
        pub const LANG_TERM: &str = "yue";
        /// `"%c%T%s%h%N%b%e%r%N%f%N%d%N%a"`
        pub const POSTAL_FMT: &str = "%c%T%s%h%N%b%e%r%N%f%N%d%N%a";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2010-11-07"`
        pub const DATE: &str = "2010-11-07";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Cantonese"`
        pub const LANGUAGE: &str = "Cantonese";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Hong Kong SAR China"`
        pub const TERRITORY: &str = "Hong Kong SAR China";
        /// `"Yue Chinese (Cantonese) language locale for Hong Kong"`
        pub const TITLE: &str = "Yue Chinese (Cantonese) language locale for Hong Kong";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nN]"`
        pub const NOEXPR: &str = "^[-0nN]";
        /// `"唔係"`
        pub const NOSTR: &str = "唔係";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
        /// `"係"`
        pub const YESSTR: &str = "係";
    }
    pub use super::zh_HK::LC_MONETARY;
    pub use super::zh_HK::LC_NUMERIC;
    pub use super::zh_HK::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["日", "一", "二", "三", "四", "五", "六"]`
        pub const ABDAY: &[&str] = &["日", "一", "二", "三", "四", "五", "六"];
        /// `&["1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月"]`
        pub const ABMON: &[&str] = &["1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月"];
        /// `&["上午", "下午"]`
        pub const AM_PM: &[&str] = &["上午", "下午"];
        /// `"%Y年%m月%d日 %A"`
        pub const D_FMT: &str = "%Y年%m月%d日 %A";
        /// `"%Y年%m月%d日 %A %H點%M分%S秒"`
        pub const D_T_FMT: &str = "%Y年%m月%d日 %A %H點%M分%S秒";
        /// `"%Y年 %b %e日 %A %H:%M:%S %Z"`
        pub const DATE_FMT: &str = "%Y年 %b %e日 %A %H:%M:%S %Z";
        /// `&["星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"]`
        pub const DAY: &[&str] = &["星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"];
        /// `&["1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月"]`
        pub const MON: &[&str] = &["1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月"];
        /// `"%H點%M分%S秒"`
        pub const T_FMT: &str = "%H點%M分%S秒";
        /// `"%p%I點%M分%S秒"`
        pub const T_FMT_AMPM: &str = "%p%I點%M分%S秒";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod yuw_PG {
    pub mod LC_ADDRESS {
        /// `"PG"`
        pub const COUNTRY_ABTWO: &str = "PG";
        /// `"PNG"`
        pub const COUNTRY_AB3: &str = "PNG";
        /// `"PNG"`
        pub const COUNTRY_CAR: &str = "PNG";
        /// `"Papua New Guinea"`
        pub const COUNTRY_NAME: &str = "Papua New Guinea";
        /// `598`
        pub const COUNTRY_NUM: i64 = 598;
        /// `""`
        pub const COUNTRY_POST: &str = "";
        /// `""`
        pub const LANG_AB: &str = "";
        /// `"yuw"`
        pub const LANG_LIB: &str = "yuw";
        /// `"Uruwa"`
        pub const LANG_NAME: &str = "Uruwa";
        /// `"yuw"`
        pub const LANG_TERM: &str = "yuw";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Hannah Sarvasy"`
        pub const CONTACT: &str = "Hannah Sarvasy";
        /// `"2016-12-07"`
        pub const DATE: &str = "2016-12-07";
        /// `"nungon.localization@gmail.com"`
        pub const EMAIL: &str = "nungon.localization@gmail.com";
        /// `""`
        pub const FAX: &str = "";
        /// `"Yau"`
        pub const LANGUAGE: &str = "Yau";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"Information from native speakers"`
        pub const SOURCE: &str = "Information from native speakers";
        /// `""`
        pub const TEL: &str = "";
        /// `"Papua New Guinea"`
        pub const TERRITORY: &str = "Papua New Guinea";
        /// `"YauNungon locale for Papua New Guinea"`
        pub const TITLE: &str = "YauNungon locale for Papua New Guinea";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNmM]"`
        pub const NOEXPR: &str = "^[-0nNmM]";
        /// `"muuno"`
        pub const NOSTR: &str = "muuno";
        /// `"^[+1yYöÖ]"`
        pub const YESEXPR: &str = "^[+1yYöÖ]";
        /// `"öö"`
        pub const YESSTR: &str = "öö";
    }
    pub mod LC_MONETARY {
        /// `"K"`
        pub const CURRENCY_SYMBOL: &str = "K";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"PGK "`
        pub const INT_CURR_SYMBOL: &str = "PGK ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const MON_GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `&[3, 3]`
        pub const GROUPING: &[i64] = &[3, 3];
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"675"`
        pub const INT_PREFIX: &str = "675";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["sön", "mön", "sin", "mit", "soi", "nen", "sab"]`
        pub const ABDAY: &[&str] = &["sön", "mön", "sin", "mit", "soi", "nen", "sab"];
        /// `&["jen", "feb", "mas", "epr", "mei", "jun", "jul", "ögu", "sep", "ökt", "nöw", "dis"]`
        pub const ABMON: &[&str] = &["jen", "feb", "mas", "epr", "mei", "jun", "jul", "ögu", "sep", "ökt", "nöw", "dis"];
        /// `&["AM", "PM"]`
        pub const AM_PM: &[&str] = &["AM", "PM"];
        /// `"%d/%m/%y"`
        pub const D_FMT: &str = "%d/%m/%y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["sönda", "mönda", "sinda", "mitiwö", "sogipbono", "nenggo", "söndanggie"]`
        pub const DAY: &[&str] = &["sönda", "mönda", "sinda", "mitiwö", "sogipbono", "nenggo", "söndanggie"];
        /// `&["jenuari", "febuari", "mas", "epril", "mei", "jun", "julai", "ögus", "septemba", "öktoba", "nöwemba", "diksemba"]`
        pub const MON: &[&str] = &["jenuari", "febuari", "mas", "epril", "mei", "jun", "julai", "ögus", "septemba", "öktoba", "nöwemba", "diksemba"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `"%I:%M:%S %p"`
        pub const T_FMT_AMPM: &str = "%I:%M:%S %p";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod zh_CN {
    pub mod LC_ADDRESS {
        /// `"CN"`
        pub const COUNTRY_ABTWO: &str = "CN";
        /// `"CHN"`
        pub const COUNTRY_AB3: &str = "CHN";
        /// `"CHN"`
        pub const COUNTRY_CAR: &str = "CHN";
        /// `7`
        pub const COUNTRY_ISBN: i64 = 7;
        /// `"中华人民共和国"`
        pub const COUNTRY_NAME: &str = "中华人民共和国";
        /// `156`
        pub const COUNTRY_NUM: i64 = 156;
        /// `"zh"`
        pub const LANG_AB: &str = "zh";
        /// `"chi"`
        pub const LANG_LIB: &str = "chi";
        /// `"中文"`
        pub const LANG_NAME: &str = "中文";
        /// `"zho"`
        pub const LANG_TERM: &str = "zho";
        /// `"%c%N%T%N%s %h %e %r%N%b%N%d%N%f%N%a%N"`
        pub const POSTAL_FMT: &str = "%c%N%T%N%s %h %e %r%N%b%N%d%N%f%N%a%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-25"`
        pub const DATE: &str = "2000-07-25";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Chinese"`
        pub const LANGUAGE: &str = "Chinese";
        /// `"0.1"`
        pub const REVISION: &str = "0.1";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"China"`
        pub const TERRITORY: &str = "China";
        /// `"Chinese locale for Peoples Republic of China"`
        pub const TITLE: &str = "Chinese locale for Peoples Republic of China";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNｎＮ不否]"`
        pub const NOEXPR: &str = "^[-0nNｎＮ不否]";
        /// `"不是"`
        pub const NOSTR: &str = "不是";
        /// `"^[+1yYｙＹ是]"`
        pub const YESEXPR: &str = "^[+1yYｙＹ是]";
        /// `"是"`
        pub const YESSTR: &str = "是";
    }
    pub mod LC_MONETARY {
        /// `"￥"`
        pub const CURRENCY_SYMBOL: &str = "￥";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"CNY "`
        pub const INT_CURR_SYMBOL: &str = "CNY ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `1`
        pub const INT_N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const INT_N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const INT_N_SIGN_POSN: i64 = 1;
        /// `1`
        pub const INT_P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const INT_P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const INT_P_SIGN_POSN: i64 = 1;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `4`
        pub const N_SIGN_POSN: i64 = 4;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `4`
        pub const P_SIGN_POSN: i64 = 4;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"86"`
        pub const INT_PREFIX: &str = "86";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"0%a %l"`
        pub const TEL_DOM_FMT: &str = "0%a %l";
        /// `"+%c %a %l"`
        pub const TEL_INT_FMT: &str = "+%c %a %l";
    }
    pub mod LC_TIME {
        /// `&["日", "一", "二", "三", "四", "五", "六"]`
        pub const ABDAY: &[&str] = &["日", "一", "二", "三", "四", "五", "六"];
        /// `&["1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月"]`
        pub const ABMON: &[&str] = &["1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月"];
        /// `&["上午", "下午"]`
        pub const AM_PM: &[&str] = &["上午", "下午"];
        /// `"%Y年%m月%d日"`
        pub const D_FMT: &str = "%Y年%m月%d日";
        /// `"%Y年%m月%d日 %A %H时%M分%S秒"`
        pub const D_T_FMT: &str = "%Y年%m月%d日 %A %H时%M分%S秒";
        /// `"%Y年 %m月 %d日 %A %H:%M:%S %Z"`
        pub const DATE_FMT: &str = "%Y年 %m月 %d日 %A %H:%M:%S %Z";
        /// `&["星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"]`
        pub const DAY: &[&str] = &["星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"];
        /// `2`
        pub const FIRST_WEEKDAY: i64 = 2;
        /// `&["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"]`
        pub const MON: &[&str] = &["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];
        /// `"%H时%M分%S秒"`
        pub const T_FMT: &str = "%H时%M分%S秒";
        /// `"%p %I时%M分%S秒"`
        pub const T_FMT_AMPM: &str = "%p %I时%M分%S秒";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod zh_HK {
    pub mod LC_ADDRESS {
        /// `"HK"`
        pub const COUNTRY_ABTWO: &str = "HK";
        /// `"HKG"`
        pub const COUNTRY_AB3: &str = "HKG";
        /// `"HK"`
        pub const COUNTRY_CAR: &str = "HK";
        /// `344`
        pub const COUNTRY_NUM: i64 = 344;
        /// `"zh"`
        pub const LANG_AB: &str = "zh";
        /// `"chi"`
        pub const LANG_LIB: &str = "chi";
        /// `"繁體中文"`
        pub const LANG_NAME: &str = "繁體中文";
        /// `"zho"`
        pub const LANG_TERM: &str = "zho";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-07-20"`
        pub const DATE: &str = "2000-07-20";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Chinese"`
        pub const LANGUAGE: &str = "Chinese";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"Hong Kong SAR China"`
        pub const TERRITORY: &str = "Hong Kong SAR China";
        /// `"Chinese language locale for Hong Kong"`
        pub const TITLE: &str = "Chinese language locale for Hong Kong";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNｎＮ不否]"`
        pub const NOEXPR: &str = "^[-0nNｎＮ不否]";
        /// `"否"`
        pub const NOSTR: &str = "否";
        /// `"^[+1yYｙＹ是]"`
        pub const YESEXPR: &str = "^[+1yYｙＹ是]";
        /// `"是"`
        pub const YESSTR: &str = "是";
    }
    pub mod LC_MONETARY {
        /// `"HK$"`
        pub const CURRENCY_SYMBOL: &str = "HK$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"HKD "`
        pub const INT_CURR_SYMBOL: &str = "HKD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `0`
        pub const N_SIGN_POSN: i64 = 0;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"852"`
        pub const INT_PREFIX: &str = "852";
        /// `"001"`
        pub const INT_SELECT: &str = "001";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["日", "一", "二", "三", "四", "五", "六"]`
        pub const ABDAY: &[&str] = &["日", "一", "二", "三", "四", "五", "六"];
        /// `&["1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月"]`
        pub const ABMON: &[&str] = &["1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月"];
        /// `&["上午", "下午"]`
        pub const AM_PM: &[&str] = &["上午", "下午"];
        /// `"%Y年%m月%d日 %A"`
        pub const D_FMT: &str = "%Y年%m月%d日 %A";
        /// `"%Y年%m月%d日 %A %H:%M:%S"`
        pub const D_T_FMT: &str = "%Y年%m月%d日 %A %H:%M:%S";
        /// `&["星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"]`
        pub const DAY: &[&str] = &["星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"];
        /// `&["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"]`
        pub const MON: &[&str] = &["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];
        /// `"%p %I時%M分%S秒 %Z"`
        pub const T_FMT: &str = "%p %I時%M分%S秒 %Z";
        /// `"%p %I:%M:%S"`
        pub const T_FMT_AMPM: &str = "%p %I:%M:%S";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod zh_SG {
    pub mod LC_ADDRESS {
        /// `"SG"`
        pub const COUNTRY_ABTWO: &str = "SG";
        /// `"SGP"`
        pub const COUNTRY_AB3: &str = "SGP";
        /// `"SGP"`
        pub const COUNTRY_CAR: &str = "SGP";
        /// `"新加坡"`
        pub const COUNTRY_NAME: &str = "新加坡";
        /// `702`
        pub const COUNTRY_NUM: i64 = 702;
        /// `"zh"`
        pub const LANG_AB: &str = "zh";
        /// `"chi"`
        pub const LANG_LIB: &str = "chi";
        /// `"简体中文"`
        pub const LANG_NAME: &str = "简体中文";
        /// `"zho"`
        pub const LANG_TERM: &str = "zho";
        /// `"%z%c%T%s%b%e%r"`
        pub const POSTAL_FMT: &str = "%z%c%T%s%b%e%r";
    }
    pub mod LC_IDENTIFICATION {
        /// `"1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan"`
        pub const ADDRESS: &str = "1623-14, Shimotsuruma, Yamato-shi, Kanagawa-ken, 242-8502, Japan";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000,October,27 (XML source:2000,July,20)"`
        pub const DATE: &str = "2000,October,27 (XML source:2000,July,20)";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Chinese"`
        pub const LANGUAGE: &str = "Chinese";
        /// `"1.0"`
        pub const REVISION: &str = "1.0";
        /// `"IBM Globalization Center of Competency, Yamato Software Laboratory"`
        pub const SOURCE: &str = "IBM Globalization Center of Competency, Yamato Software Laboratory";
        /// `""`
        pub const TEL: &str = "";
        /// `"Singapore"`
        pub const TERRITORY: &str = "Singapore";
        /// `"Chinese language locale for Singapore"`
        pub const TITLE: &str = "Chinese language locale for Singapore";
    }
    pub use super::zh_CN::LC_MESSAGES;
    pub mod LC_MONETARY {
        /// `"$"`
        pub const CURRENCY_SYMBOL: &str = "$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"SGD "`
        pub const INT_CURR_SYMBOL: &str = "SGD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `0`
        pub const N_SIGN_POSN: i64 = 0;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"65"`
        pub const INT_PREFIX: &str = "65";
        /// `"001"`
        pub const INT_SELECT: &str = "001";
        /// `"+%c ;%a ;%l"`
        pub const TEL_INT_FMT: &str = "+%c ;%a ;%l";
    }
    pub mod LC_TIME {
        /// `&["日", "一", "二", "三", "四", "五", "六"]`
        pub const ABDAY: &[&str] = &["日", "一", "二", "三", "四", "五", "六"];
        /// `&["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"]`
        pub const ABMON: &[&str] = &["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];
        /// `&["上午", "下午"]`
        pub const AM_PM: &[&str] = &["上午", "下午"];
        /// `"%Y年%m月%d日"`
        pub const D_FMT: &str = "%Y年%m月%d日";
        /// `"%Y年%m月%d日 %H时%M分%S秒 %Z"`
        pub const D_T_FMT: &str = "%Y年%m月%d日 %H时%M分%S秒 %Z";
        /// `&["星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"]`
        pub const DAY: &[&str] = &["星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"];
        /// `&["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"]`
        pub const MON: &[&str] = &["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];
        /// `"%H时%M分%S秒 %Z"`
        pub const T_FMT: &str = "%H时%M分%S秒 %Z";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod zh_TW {
    pub mod LC_ADDRESS {
        /// `"TW"`
        pub const COUNTRY_ABTWO: &str = "TW";
        /// `"TWN"`
        pub const COUNTRY_AB3: &str = "TWN";
        /// `"RC"`
        pub const COUNTRY_CAR: &str = "RC";
        /// `957`
        pub const COUNTRY_ISBN: i64 = 957;
        /// `"中華民國"`
        pub const COUNTRY_NAME: &str = "中華民國";
        /// `158`
        pub const COUNTRY_NUM: i64 = 158;
        /// `"TW"`
        pub const COUNTRY_POST: &str = "TW";
        /// `"zh"`
        pub const LANG_AB: &str = "zh";
        /// `"chi"`
        pub const LANG_LIB: &str = "chi";
        /// `"中文"`
        pub const LANG_NAME: &str = "中文";
        /// `"zho"`
        pub const LANG_TERM: &str = "zho";
        /// `"%c%N%T%N%s %h %e %r%N%b%N%d%N%f%N%a%N"`
        pub const POSTAL_FMT: &str = "%c%N%T%N%s %h %e %r%N%b%N%d%N%f%N%a%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `""`
        pub const ADDRESS: &str = "";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `""`
        pub const CONTACT: &str = "";
        /// `"2000-08-02"`
        pub const DATE: &str = "2000-08-02";
        /// `"bug-glibc-locales@gnu.org"`
        pub const EMAIL: &str = "bug-glibc-locales@gnu.org";
        /// `""`
        pub const FAX: &str = "";
        /// `"Chinese"`
        pub const LANGUAGE: &str = "Chinese";
        /// `"0.2"`
        pub const REVISION: &str = "0.2";
        /// `""`
        pub const SOURCE: &str = "";
        /// `""`
        pub const TEL: &str = "";
        /// `"Taiwan"`
        pub const TERRITORY: &str = "Taiwan";
        /// `"Chinese locale for Taiwan R.O.C."`
        pub const TITLE: &str = "Chinese locale for Taiwan R.O.C.";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNｎＮ不否]"`
        pub const NOEXPR: &str = "^[-0nNｎＮ不否]";
        /// `"不是"`
        pub const NOSTR: &str = "不是";
        /// `"^[+1yYｙＹ是]"`
        pub const YESEXPR: &str = "^[+1yYｙＹ是]";
        /// `"是"`
        pub const YESSTR: &str = "是";
    }
    pub mod LC_MONETARY {
        /// `"NT$"`
        pub const CURRENCY_SYMBOL: &str = "NT$";
        /// `2`
        pub const FRAC_DIGITS: i64 = 2;
        /// `"TWD "`
        pub const INT_CURR_SYMBOL: &str = "TWD ";
        /// `2`
        pub const INT_FRAC_DIGITS: i64 = 2;
        /// `1`
        pub const INT_N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const INT_N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const INT_N_SIGN_POSN: i64 = 1;
        /// `1`
        pub const INT_P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const INT_P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const INT_P_SIGN_POSN: i64 = 1;
        /// `"."`
        pub const MON_DECIMAL_POINT: &str = ".";
        /// `3`
        pub const MON_GROUPING: i64 = 3;
        /// `","`
        pub const MON_THOUSANDS_SEP: &str = ",";
        /// `1`
        pub const N_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const N_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const N_SIGN_POSN: i64 = 1;
        /// `"-"`
        pub const NEGATIVE_SIGN: &str = "-";
        /// `1`
        pub const P_CS_PRECEDES: i64 = 1;
        /// `0`
        pub const P_SEP_BY_SPACE: i64 = 0;
        /// `1`
        pub const P_SIGN_POSN: i64 = 1;
        /// `""`
        pub const POSITIVE_SIGN: &str = "";
    }
    pub mod LC_NUMERIC {
        /// `"."`
        pub const DECIMAL_POINT: &str = ".";
        /// `3`
        pub const GROUPING: i64 = 3;
        /// `","`
        pub const THOUSANDS_SEP: &str = ",";
    }
    pub mod LC_TELEPHONE {
        /// `"886"`
        pub const INT_PREFIX: &str = "886";
        /// `"00"`
        pub const INT_SELECT: &str = "00";
        /// `"%A-%l"`
        pub const TEL_DOM_FMT: &str = "%A-%l";
        /// `"+%c-%a-%l"`
        pub const TEL_INT_FMT: &str = "+%c-%a-%l";
    }
    pub mod LC_TIME {
        /// `&["日", "一", "二", "三", "四", "五", "六"]`
        pub const ABDAY: &[&str] = &["日", "一", "二", "三", "四", "五", "六"];
        /// `&[" 1月", " 2月", " 3月", " 4月", " 5月", " 6月", " 7月", " 8月", " 9月", "10月", "11月", "12月"]`
        pub const ABMON: &[&str] = &[" 1月", " 2月", " 3月", " 4月", " 5月", " 6月", " 7月", " 8月", " 9月", "10月", "11月", "12月"];
        /// `&["上午", "下午"]`
        pub const AM_PM: &[&str] = &["上午", "下午"];
        /// `"西元%Y年%m月%d日"`
        pub const D_FMT: &str = "西元%Y年%m月%d日";
        /// `"西元%Y年%m月%d日 (%A) %H時\n%M分%S秒"`
        pub const D_T_FMT: &str = "西元%Y年%m月%d日 (%A) %H時\n%M分%S秒";
        /// `&["週日", "週一", "週二", "週三", "週四", "週五", "週六"]`
        pub const DAY: &[&str] = &["週日", "週一", "週二", "週三", "週四", "週五", "週六"];
        /// `&["+:2:1913/01/01:+*:民國:%EC%Ey年", "+:1:1912/01/01:1912/12/31:民國:%EC元年", "+:1:1911/12/31:-*:民前:%EC%Ey年"]`
        pub const ERA: &[&str] = &["+:2:1913/01/01:+*:民國:%EC%Ey年", "+:1:1912/01/01:1912/12/31:民國:%EC元年", "+:1:1911/12/31:-*:民前:%EC%Ey年"];
        /// `&["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"]`
        pub const MON: &[&str] = &["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"];
        /// `"%H時%M分%S秒"`
        pub const T_FMT: &str = "%H時%M分%S秒";
        /// `"%p %I時%M分%S秒"`
        pub const T_FMT_AMPM: &str = "%p %I時%M分%S秒";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_snake_case,non_camel_case_types,dead_code,unused_imports)]
pub mod zu_ZA {
    pub mod LC_ADDRESS {
        /// `"ZA"`
        pub const COUNTRY_ABTWO: &str = "ZA";
        /// `"ZAF"`
        pub const COUNTRY_AB3: &str = "ZAF";
        /// `"ZA"`
        pub const COUNTRY_CAR: &str = "ZA";
        /// `"iNingizimu Afrika"`
        pub const COUNTRY_NAME: &str = "iNingizimu Afrika";
        /// `710`
        pub const COUNTRY_NUM: i64 = 710;
        /// `"ZA"`
        pub const COUNTRY_POST: &str = "ZA";
        /// `"zu"`
        pub const LANG_AB: &str = "zu";
        /// `"zul"`
        pub const LANG_LIB: &str = "zul";
        /// `"isiZulu"`
        pub const LANG_NAME: &str = "isiZulu";
        /// `"zul"`
        pub const LANG_TERM: &str = "zul";
        /// `"%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"`
        pub const POSTAL_FMT: &str = "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N";
    }
    pub mod LC_IDENTIFICATION {
        /// `"Box 28364, Sunnyside, 0132, South Africa"`
        pub const ADDRESS: &str = "Box 28364, Sunnyside, 0132, South Africa";
        /// ```ignore
        /// &[
        ///     &["i18n:2012", "LC_IDENTIFICATION"],
        ///     &["i18n:2012", "LC_CTYPE"],
        ///     &["i18n:2012", "LC_COLLATE"],
        ///     &["i18n:2012", "LC_TIME"],
        ///     &["i18n:2012", "LC_NUMERIC"],
        ///     &["i18n:2012", "LC_MONETARY"],
        ///     &["i18n:2012", "LC_MESSAGES"],
        ///     &["i18n:2012", "LC_PAPER"],
        ///     &["i18n:2012", "LC_NAME"],
        ///     &["i18n:2012", "LC_ADDRESS"],
        ///     &["i18n:2012", "LC_TELEPHONE"],
        ///     &["i18n:2012", "LC_MEASUREMENT"],
        /// ]
        /// ```
        pub const CATEGORY: &[&[&str]] = &[
            &["i18n:2012", "LC_IDENTIFICATION"],
            &["i18n:2012", "LC_CTYPE"],
            &["i18n:2012", "LC_COLLATE"],
            &["i18n:2012", "LC_TIME"],
            &["i18n:2012", "LC_NUMERIC"],
            &["i18n:2012", "LC_MONETARY"],
            &["i18n:2012", "LC_MESSAGES"],
            &["i18n:2012", "LC_PAPER"],
            &["i18n:2012", "LC_NAME"],
            &["i18n:2012", "LC_ADDRESS"],
            &["i18n:2012", "LC_TELEPHONE"],
            &["i18n:2012", "LC_MEASUREMENT"],
        ];
        /// `"Dwayne Bailey"`
        pub const CONTACT: &str = "Dwayne Bailey";
        /// `"2005-10-13"`
        pub const DATE: &str = "2005-10-13";
        /// `"dwayne@translate.org.za"`
        pub const EMAIL: &str = "dwayne@translate.org.za";
        /// `""`
        pub const FAX: &str = "";
        /// `"Zulu"`
        pub const LANGUAGE: &str = "Zulu";
        /// `"0.3"`
        pub const REVISION: &str = "0.3";
        /// `"Zuza Software Foundation (Translate.org.za)"`
        pub const SOURCE: &str = "Zuza Software Foundation (Translate.org.za)";
        /// `""`
        pub const TEL: &str = "";
        /// `"South Africa"`
        pub const TERRITORY: &str = "South Africa";
        /// `"Zulu locale for South Africa"`
        pub const TITLE: &str = "Zulu locale for South Africa";
    }
    pub mod LC_MESSAGES {
        /// `"^[-0nNcC]"`
        pub const NOEXPR: &str = "^[-0nNcC]";
        /// `"cha"`
        pub const NOSTR: &str = "cha";
        /// `"^[+1yY]"`
        pub const YESEXPR: &str = "^[+1yY]";
        /// `"yebo"`
        pub const YESSTR: &str = "yebo";
    }
    pub use super::en_ZA::LC_MONETARY;
    pub use super::en_ZA::LC_NUMERIC;
    pub use super::en_ZA::LC_TELEPHONE;
    pub mod LC_TIME {
        /// `&["Son", "Mso", "Bil", "Tha", "Sin", "Hla", "Mgq"]`
        pub const ABDAY: &[&str] = &["Son", "Mso", "Bil", "Tha", "Sin", "Hla", "Mgq"];
        /// `&["Jan", "Feb", "Mas", "Eph", "Mey", "Jun", "Jul", "Aga", "Sep", "Okt", "Nov", "Dis"]`
        pub const ABMON: &[&str] = &["Jan", "Feb", "Mas", "Eph", "Mey", "Jun", "Jul", "Aga", "Sep", "Okt", "Nov", "Dis"];
        /// `&["", ""]`
        pub const AM_PM: &[&str] = &["", ""];
        /// `"%d/%m/%Y"`
        pub const D_FMT: &str = "%d/%m/%Y";
        /// `"%a %d %b %Y %T %Z"`
        pub const D_T_FMT: &str = "%a %d %b %Y %T %Z";
        /// `&["iSonto", "uMsombuluko", "uLwesibili", "uLwesithathu", "uLwesine", "uLwesihlanu", "uMgqibelo"]`
        pub const DAY: &[&str] = &["iSonto", "uMsombuluko", "uLwesibili", "uLwesithathu", "uLwesine", "uLwesihlanu", "uMgqibelo"];
        /// `&["Januwari", "Februwari", "Mashi", "Ephreli", "Meyi", "Juni", "Julayi", "Agasti", "Septhemba", "Okthoba", "Novemba", "Disemba"]`
        pub const MON: &[&str] = &["Januwari", "Februwari", "Mashi", "Ephreli", "Meyi", "Juni", "Julayi", "Agasti", "Septhemba", "Okthoba", "Novemba", "Disemba"];
        /// `"%T"`
        pub const T_FMT: &str = "%T";
        /// `""`
        pub const T_FMT_AMPM: &str = "";
        /// `&[7, 19971130, 1]`
        pub const WEEK: &[i64] = &[7, 19971130, 1];
    }
}

#[allow(non_camel_case_types,dead_code)]
#[derive(Debug, Copy, Clone, PartialEq)]
pub enum Locale {
    /// POSIX
    POSIX,
    /// aa_DJ
    aa_DJ,
    /// aa_ER
    aa_ER,
    /// aa_ER@saaho
    aa_ER_saaho,
    /// aa_ET
    aa_ET,
    /// af_ZA
    af_ZA,
    /// agr_PE
    agr_PE,
    /// ak_GH
    ak_GH,
    /// am_ET
    am_ET,
    /// an_ES
    an_ES,
    /// anp_IN
    anp_IN,
    /// ar_AE
    ar_AE,
    /// ar_BH
    ar_BH,
    /// ar_DZ
    ar_DZ,
    /// ar_EG
    ar_EG,
    /// ar_IN
    ar_IN,
    /// ar_IQ
    ar_IQ,
    /// ar_JO
    ar_JO,
    /// ar_KW
    ar_KW,
    /// ar_LB
    ar_LB,
    /// ar_LY
    ar_LY,
    /// ar_MA
    ar_MA,
    /// ar_OM
    ar_OM,
    /// ar_QA
    ar_QA,
    /// ar_SA
    ar_SA,
    /// ar_SD
    ar_SD,
    /// ar_SS
    ar_SS,
    /// ar_SY
    ar_SY,
    /// ar_TN
    ar_TN,
    /// ar_YE
    ar_YE,
    /// as_IN
    as_IN,
    /// ast_ES
    ast_ES,
    /// ayc_PE
    ayc_PE,
    /// az_AZ
    az_AZ,
    /// az_IR
    az_IR,
    /// be_BY
    be_BY,
    /// be_BY@latin
    be_BY_latin,
    /// bem_ZM
    bem_ZM,
    /// ber_DZ
    ber_DZ,
    /// ber_MA
    ber_MA,
    /// bg_BG
    bg_BG,
    /// bhb_IN
    bhb_IN,
    /// bho_IN
    bho_IN,
    /// bho_NP
    bho_NP,
    /// bi_VU
    bi_VU,
    /// bn_BD
    bn_BD,
    /// bn_IN
    bn_IN,
    /// bo_CN
    bo_CN,
    /// bo_IN
    bo_IN,
    /// br_FR
    br_FR,
    /// br_FR@euro
    br_FR_euro,
    /// brx_IN
    brx_IN,
    /// bs_BA
    bs_BA,
    /// byn_ER
    byn_ER,
    /// ca_AD
    ca_AD,
    /// ca_ES
    ca_ES,
    /// ca_ES@euro
    ca_ES_euro,
    /// ca_ES@valencia
    ca_ES_valencia,
    /// ca_FR
    ca_FR,
    /// ca_IT
    ca_IT,
    /// ce_RU
    ce_RU,
    /// chr_US
    chr_US,
    /// cmn_TW
    cmn_TW,
    /// crh_UA
    crh_UA,
    /// cs_CZ
    cs_CZ,
    /// csb_PL
    csb_PL,
    /// cv_RU
    cv_RU,
    /// cy_GB
    cy_GB,
    /// da_DK
    da_DK,
    /// de_AT
    de_AT,
    /// de_AT@euro
    de_AT_euro,
    /// de_BE
    de_BE,
    /// de_BE@euro
    de_BE_euro,
    /// de_CH
    de_CH,
    /// de_DE
    de_DE,
    /// de_DE@euro
    de_DE_euro,
    /// de_IT
    de_IT,
    /// de_LI
    de_LI,
    /// de_LU
    de_LU,
    /// de_LU@euro
    de_LU_euro,
    /// doi_IN
    doi_IN,
    /// dsb_DE
    dsb_DE,
    /// dv_MV
    dv_MV,
    /// dz_BT
    dz_BT,
    /// el_CY
    el_CY,
    /// el_GR
    el_GR,
    /// el_GR@euro
    el_GR_euro,
    /// en_AG
    en_AG,
    /// en_AU
    en_AU,
    /// en_BW
    en_BW,
    /// en_CA
    en_CA,
    /// en_DK
    en_DK,
    /// en_GB
    en_GB,
    /// en_HK
    en_HK,
    /// en_IE
    en_IE,
    /// en_IE@euro
    en_IE_euro,
    /// en_IL
    en_IL,
    /// en_IN
    en_IN,
    /// en_NG
    en_NG,
    /// en_NZ
    en_NZ,
    /// en_PH
    en_PH,
    /// en_SC
    en_SC,
    /// en_SG
    en_SG,
    /// en_US
    en_US,
    /// en_ZA
    en_ZA,
    /// en_ZM
    en_ZM,
    /// en_ZW
    en_ZW,
    /// eo
    eo,
    /// es_AR
    es_AR,
    /// es_BO
    es_BO,
    /// es_CL
    es_CL,
    /// es_CO
    es_CO,
    /// es_CR
    es_CR,
    /// es_CU
    es_CU,
    /// es_DO
    es_DO,
    /// es_EC
    es_EC,
    /// es_ES
    es_ES,
    /// es_ES@euro
    es_ES_euro,
    /// es_GT
    es_GT,
    /// es_HN
    es_HN,
    /// es_MX
    es_MX,
    /// es_NI
    es_NI,
    /// es_PA
    es_PA,
    /// es_PE
    es_PE,
    /// es_PR
    es_PR,
    /// es_PY
    es_PY,
    /// es_SV
    es_SV,
    /// es_US
    es_US,
    /// es_UY
    es_UY,
    /// es_VE
    es_VE,
    /// et_EE
    et_EE,
    /// eu_ES
    eu_ES,
    /// eu_ES@euro
    eu_ES_euro,
    /// fa_IR
    fa_IR,
    /// ff_SN
    ff_SN,
    /// fi_FI
    fi_FI,
    /// fi_FI@euro
    fi_FI_euro,
    /// fil_PH
    fil_PH,
    /// fo_FO
    fo_FO,
    /// fr_BE
    fr_BE,
    /// fr_BE@euro
    fr_BE_euro,
    /// fr_CA
    fr_CA,
    /// fr_CH
    fr_CH,
    /// fr_FR
    fr_FR,
    /// fr_FR@euro
    fr_FR_euro,
    /// fr_LU
    fr_LU,
    /// fr_LU@euro
    fr_LU_euro,
    /// fur_IT
    fur_IT,
    /// fy_DE
    fy_DE,
    /// fy_NL
    fy_NL,
    /// ga_IE
    ga_IE,
    /// ga_IE@euro
    ga_IE_euro,
    /// gd_GB
    gd_GB,
    /// gez_ER
    gez_ER,
    /// gez_ER@abegede
    gez_ER_abegede,
    /// gez_ET
    gez_ET,
    /// gez_ET@abegede
    gez_ET_abegede,
    /// gl_ES
    gl_ES,
    /// gl_ES@euro
    gl_ES_euro,
    /// gu_IN
    gu_IN,
    /// gv_GB
    gv_GB,
    /// ha_NG
    ha_NG,
    /// hak_TW
    hak_TW,
    /// he_IL
    he_IL,
    /// hi_IN
    hi_IN,
    /// hif_FJ
    hif_FJ,
    /// hne_IN
    hne_IN,
    /// hr_HR
    hr_HR,
    /// hsb_DE
    hsb_DE,
    /// ht_HT
    ht_HT,
    /// hu_HU
    hu_HU,
    /// hy_AM
    hy_AM,
    /// ia_FR
    ia_FR,
    /// id_ID
    id_ID,
    /// ig_NG
    ig_NG,
    /// ik_CA
    ik_CA,
    /// is_IS
    is_IS,
    /// it_CH
    it_CH,
    /// it_IT
    it_IT,
    /// it_IT@euro
    it_IT_euro,
    /// iu_CA
    iu_CA,
    /// ja_JP
    ja_JP,
    /// ka_GE
    ka_GE,
    /// kab_DZ
    kab_DZ,
    /// kk_KZ
    kk_KZ,
    /// kl_GL
    kl_GL,
    /// km_KH
    km_KH,
    /// kn_IN
    kn_IN,
    /// ko_KR
    ko_KR,
    /// kok_IN
    kok_IN,
    /// ks_IN
    ks_IN,
    /// ks_IN@devanagari
    ks_IN_devanagari,
    /// ku_TR
    ku_TR,
    /// kw_GB
    kw_GB,
    /// ky_KG
    ky_KG,
    /// lb_LU
    lb_LU,
    /// lg_UG
    lg_UG,
    /// li_BE
    li_BE,
    /// li_NL
    li_NL,
    /// lij_IT
    lij_IT,
    /// ln_CD
    ln_CD,
    /// lo_LA
    lo_LA,
    /// lt_LT
    lt_LT,
    /// lv_LV
    lv_LV,
    /// lzh_TW
    lzh_TW,
    /// mag_IN
    mag_IN,
    /// mai_IN
    mai_IN,
    /// mai_NP
    mai_NP,
    /// mfe_MU
    mfe_MU,
    /// mg_MG
    mg_MG,
    /// mhr_RU
    mhr_RU,
    /// mi_NZ
    mi_NZ,
    /// miq_NI
    miq_NI,
    /// mjw_IN
    mjw_IN,
    /// mk_MK
    mk_MK,
    /// ml_IN
    ml_IN,
    /// mn_MN
    mn_MN,
    /// mni_IN
    mni_IN,
    /// mnw_MM
    mnw_MM,
    /// mr_IN
    mr_IN,
    /// ms_MY
    ms_MY,
    /// mt_MT
    mt_MT,
    /// my_MM
    my_MM,
    /// nan_TW
    nan_TW,
    /// nan_TW@latin
    nan_TW_latin,
    /// nb_NO
    nb_NO,
    /// nds_DE
    nds_DE,
    /// nds_NL
    nds_NL,
    /// ne_NP
    ne_NP,
    /// nhn_MX
    nhn_MX,
    /// niu_NU
    niu_NU,
    /// niu_NZ
    niu_NZ,
    /// nl_AW
    nl_AW,
    /// nl_BE
    nl_BE,
    /// nl_BE@euro
    nl_BE_euro,
    /// nl_NL
    nl_NL,
    /// nl_NL@euro
    nl_NL_euro,
    /// nn_NO
    nn_NO,
    /// nr_ZA
    nr_ZA,
    /// nso_ZA
    nso_ZA,
    /// oc_FR
    oc_FR,
    /// om_ET
    om_ET,
    /// om_KE
    om_KE,
    /// or_IN
    or_IN,
    /// os_RU
    os_RU,
    /// pa_IN
    pa_IN,
    /// pa_PK
    pa_PK,
    /// pap_AW
    pap_AW,
    /// pap_CW
    pap_CW,
    /// pl_PL
    pl_PL,
    /// ps_AF
    ps_AF,
    /// pt_BR
    pt_BR,
    /// pt_PT
    pt_PT,
    /// pt_PT@euro
    pt_PT_euro,
    /// quz_PE
    quz_PE,
    /// raj_IN
    raj_IN,
    /// ro_RO
    ro_RO,
    /// ru_RU
    ru_RU,
    /// ru_UA
    ru_UA,
    /// rw_RW
    rw_RW,
    /// sa_IN
    sa_IN,
    /// sah_RU
    sah_RU,
    /// sat_IN
    sat_IN,
    /// sc_IT
    sc_IT,
    /// sd_IN
    sd_IN,
    /// sd_IN@devanagari
    sd_IN_devanagari,
    /// se_NO
    se_NO,
    /// sgs_LT
    sgs_LT,
    /// shn_MM
    shn_MM,
    /// shs_CA
    shs_CA,
    /// si_LK
    si_LK,
    /// sid_ET
    sid_ET,
    /// sk_SK
    sk_SK,
    /// sl_SI
    sl_SI,
    /// sm_WS
    sm_WS,
    /// so_DJ
    so_DJ,
    /// so_ET
    so_ET,
    /// so_KE
    so_KE,
    /// so_SO
    so_SO,
    /// sq_AL
    sq_AL,
    /// sq_MK
    sq_MK,
    /// sr_ME
    sr_ME,
    /// sr_RS
    sr_RS,
    /// sr_RS@latin
    sr_RS_latin,
    /// ss_ZA
    ss_ZA,
    /// st_ZA
    st_ZA,
    /// sv_FI
    sv_FI,
    /// sv_FI@euro
    sv_FI_euro,
    /// sv_SE
    sv_SE,
    /// sw_KE
    sw_KE,
    /// sw_TZ
    sw_TZ,
    /// szl_PL
    szl_PL,
    /// ta_IN
    ta_IN,
    /// ta_LK
    ta_LK,
    /// tcy_IN
    tcy_IN,
    /// te_IN
    te_IN,
    /// tg_TJ
    tg_TJ,
    /// th_TH
    th_TH,
    /// the_NP
    the_NP,
    /// ti_ER
    ti_ER,
    /// ti_ET
    ti_ET,
    /// tig_ER
    tig_ER,
    /// tk_TM
    tk_TM,
    /// tl_PH
    tl_PH,
    /// tn_ZA
    tn_ZA,
    /// to_TO
    to_TO,
    /// tpi_PG
    tpi_PG,
    /// tr_CY
    tr_CY,
    /// tr_TR
    tr_TR,
    /// ts_ZA
    ts_ZA,
    /// tt_RU
    tt_RU,
    /// tt_RU@iqtelif
    tt_RU_iqtelif,
    /// ug_CN
    ug_CN,
    /// uk_UA
    uk_UA,
    /// unm_US
    unm_US,
    /// ur_IN
    ur_IN,
    /// ur_PK
    ur_PK,
    /// uz_UZ
    uz_UZ,
    /// uz_UZ@cyrillic
    uz_UZ_cyrillic,
    /// ve_ZA
    ve_ZA,
    /// vi_VN
    vi_VN,
    /// wa_BE
    wa_BE,
    /// wa_BE@euro
    wa_BE_euro,
    /// wae_CH
    wae_CH,
    /// wal_ET
    wal_ET,
    /// wo_SN
    wo_SN,
    /// xh_ZA
    xh_ZA,
    /// yi_US
    yi_US,
    /// yo_NG
    yo_NG,
    /// yue_HK
    yue_HK,
    /// yuw_PG
    yuw_PG,
    /// zh_CN
    zh_CN,
    /// zh_HK
    zh_HK,
    /// zh_SG
    zh_SG,
    /// zh_TW
    zh_TW,
    /// zu_ZA
    zu_ZA,
}

impl core::convert::TryFrom<&str> for Locale {
    type Error = UnknownLocale;

    fn try_from(i: &str) -> Result<Self, Self::Error> {
        match i {
            "POSIX" => Ok(Locale::POSIX),
            "aa_DJ" => Ok(Locale::aa_DJ),
            "aa_ER" => Ok(Locale::aa_ER),
            "aa_ER@saaho" => Ok(Locale::aa_ER_saaho),
            "aa_ET" => Ok(Locale::aa_ET),
            "af_ZA" => Ok(Locale::af_ZA),
            "agr_PE" => Ok(Locale::agr_PE),
            "ak_GH" => Ok(Locale::ak_GH),
            "am_ET" => Ok(Locale::am_ET),
            "an_ES" => Ok(Locale::an_ES),
            "anp_IN" => Ok(Locale::anp_IN),
            "ar_AE" => Ok(Locale::ar_AE),
            "ar_BH" => Ok(Locale::ar_BH),
            "ar_DZ" => Ok(Locale::ar_DZ),
            "ar_EG" => Ok(Locale::ar_EG),
            "ar_IN" => Ok(Locale::ar_IN),
            "ar_IQ" => Ok(Locale::ar_IQ),
            "ar_JO" => Ok(Locale::ar_JO),
            "ar_KW" => Ok(Locale::ar_KW),
            "ar_LB" => Ok(Locale::ar_LB),
            "ar_LY" => Ok(Locale::ar_LY),
            "ar_MA" => Ok(Locale::ar_MA),
            "ar_OM" => Ok(Locale::ar_OM),
            "ar_QA" => Ok(Locale::ar_QA),
            "ar_SA" => Ok(Locale::ar_SA),
            "ar_SD" => Ok(Locale::ar_SD),
            "ar_SS" => Ok(Locale::ar_SS),
            "ar_SY" => Ok(Locale::ar_SY),
            "ar_TN" => Ok(Locale::ar_TN),
            "ar_YE" => Ok(Locale::ar_YE),
            "as_IN" => Ok(Locale::as_IN),
            "ast_ES" => Ok(Locale::ast_ES),
            "ayc_PE" => Ok(Locale::ayc_PE),
            "az_AZ" => Ok(Locale::az_AZ),
            "az_IR" => Ok(Locale::az_IR),
            "be_BY" => Ok(Locale::be_BY),
            "be_BY@latin" => Ok(Locale::be_BY_latin),
            "bem_ZM" => Ok(Locale::bem_ZM),
            "ber_DZ" => Ok(Locale::ber_DZ),
            "ber_MA" => Ok(Locale::ber_MA),
            "bg_BG" => Ok(Locale::bg_BG),
            "bhb_IN" => Ok(Locale::bhb_IN),
            "bho_IN" => Ok(Locale::bho_IN),
            "bho_NP" => Ok(Locale::bho_NP),
            "bi_VU" => Ok(Locale::bi_VU),
            "bn_BD" => Ok(Locale::bn_BD),
            "bn_IN" => Ok(Locale::bn_IN),
            "bo_CN" => Ok(Locale::bo_CN),
            "bo_IN" => Ok(Locale::bo_IN),
            "br_FR" => Ok(Locale::br_FR),
            "br_FR@euro" => Ok(Locale::br_FR_euro),
            "brx_IN" => Ok(Locale::brx_IN),
            "bs_BA" => Ok(Locale::bs_BA),
            "byn_ER" => Ok(Locale::byn_ER),
            "ca_AD" => Ok(Locale::ca_AD),
            "ca_ES" => Ok(Locale::ca_ES),
            "ca_ES@euro" => Ok(Locale::ca_ES_euro),
            "ca_ES@valencia" => Ok(Locale::ca_ES_valencia),
            "ca_FR" => Ok(Locale::ca_FR),
            "ca_IT" => Ok(Locale::ca_IT),
            "ce_RU" => Ok(Locale::ce_RU),
            "chr_US" => Ok(Locale::chr_US),
            "cmn_TW" => Ok(Locale::cmn_TW),
            "crh_UA" => Ok(Locale::crh_UA),
            "cs_CZ" => Ok(Locale::cs_CZ),
            "csb_PL" => Ok(Locale::csb_PL),
            "cv_RU" => Ok(Locale::cv_RU),
            "cy_GB" => Ok(Locale::cy_GB),
            "da_DK" => Ok(Locale::da_DK),
            "de_AT" => Ok(Locale::de_AT),
            "de_AT@euro" => Ok(Locale::de_AT_euro),
            "de_BE" => Ok(Locale::de_BE),
            "de_BE@euro" => Ok(Locale::de_BE_euro),
            "de_CH" => Ok(Locale::de_CH),
            "de_DE" => Ok(Locale::de_DE),
            "de_DE@euro" => Ok(Locale::de_DE_euro),
            "de_IT" => Ok(Locale::de_IT),
            "de_LI" => Ok(Locale::de_LI),
            "de_LU" => Ok(Locale::de_LU),
            "de_LU@euro" => Ok(Locale::de_LU_euro),
            "doi_IN" => Ok(Locale::doi_IN),
            "dsb_DE" => Ok(Locale::dsb_DE),
            "dv_MV" => Ok(Locale::dv_MV),
            "dz_BT" => Ok(Locale::dz_BT),
            "el_CY" => Ok(Locale::el_CY),
            "el_GR" => Ok(Locale::el_GR),
            "el_GR@euro" => Ok(Locale::el_GR_euro),
            "en_AG" => Ok(Locale::en_AG),
            "en_AU" => Ok(Locale::en_AU),
            "en_BW" => Ok(Locale::en_BW),
            "en_CA" => Ok(Locale::en_CA),
            "en_DK" => Ok(Locale::en_DK),
            "en_GB" => Ok(Locale::en_GB),
            "en_HK" => Ok(Locale::en_HK),
            "en_IE" => Ok(Locale::en_IE),
            "en_IE@euro" => Ok(Locale::en_IE_euro),
            "en_IL" => Ok(Locale::en_IL),
            "en_IN" => Ok(Locale::en_IN),
            "en_NG" => Ok(Locale::en_NG),
            "en_NZ" => Ok(Locale::en_NZ),
            "en_PH" => Ok(Locale::en_PH),
            "en_SC" => Ok(Locale::en_SC),
            "en_SG" => Ok(Locale::en_SG),
            "en_US" => Ok(Locale::en_US),
            "en_ZA" => Ok(Locale::en_ZA),
            "en_ZM" => Ok(Locale::en_ZM),
            "en_ZW" => Ok(Locale::en_ZW),
            "eo" => Ok(Locale::eo),
            "es_AR" => Ok(Locale::es_AR),
            "es_BO" => Ok(Locale::es_BO),
            "es_CL" => Ok(Locale::es_CL),
            "es_CO" => Ok(Locale::es_CO),
            "es_CR" => Ok(Locale::es_CR),
            "es_CU" => Ok(Locale::es_CU),
            "es_DO" => Ok(Locale::es_DO),
            "es_EC" => Ok(Locale::es_EC),
            "es_ES" => Ok(Locale::es_ES),
            "es_ES@euro" => Ok(Locale::es_ES_euro),
            "es_GT" => Ok(Locale::es_GT),
            "es_HN" => Ok(Locale::es_HN),
            "es_MX" => Ok(Locale::es_MX),
            "es_NI" => Ok(Locale::es_NI),
            "es_PA" => Ok(Locale::es_PA),
            "es_PE" => Ok(Locale::es_PE),
            "es_PR" => Ok(Locale::es_PR),
            "es_PY" => Ok(Locale::es_PY),
            "es_SV" => Ok(Locale::es_SV),
            "es_US" => Ok(Locale::es_US),
            "es_UY" => Ok(Locale::es_UY),
            "es_VE" => Ok(Locale::es_VE),
            "et_EE" => Ok(Locale::et_EE),
            "eu_ES" => Ok(Locale::eu_ES),
            "eu_ES@euro" => Ok(Locale::eu_ES_euro),
            "fa_IR" => Ok(Locale::fa_IR),
            "ff_SN" => Ok(Locale::ff_SN),
            "fi_FI" => Ok(Locale::fi_FI),
            "fi_FI@euro" => Ok(Locale::fi_FI_euro),
            "fil_PH" => Ok(Locale::fil_PH),
            "fo_FO" => Ok(Locale::fo_FO),
            "fr_BE" => Ok(Locale::fr_BE),
            "fr_BE@euro" => Ok(Locale::fr_BE_euro),
            "fr_CA" => Ok(Locale::fr_CA),
            "fr_CH" => Ok(Locale::fr_CH),
            "fr_FR" => Ok(Locale::fr_FR),
            "fr_FR@euro" => Ok(Locale::fr_FR_euro),
            "fr_LU" => Ok(Locale::fr_LU),
            "fr_LU@euro" => Ok(Locale::fr_LU_euro),
            "fur_IT" => Ok(Locale::fur_IT),
            "fy_DE" => Ok(Locale::fy_DE),
            "fy_NL" => Ok(Locale::fy_NL),
            "ga_IE" => Ok(Locale::ga_IE),
            "ga_IE@euro" => Ok(Locale::ga_IE_euro),
            "gd_GB" => Ok(Locale::gd_GB),
            "gez_ER" => Ok(Locale::gez_ER),
            "gez_ER@abegede" => Ok(Locale::gez_ER_abegede),
            "gez_ET" => Ok(Locale::gez_ET),
            "gez_ET@abegede" => Ok(Locale::gez_ET_abegede),
            "gl_ES" => Ok(Locale::gl_ES),
            "gl_ES@euro" => Ok(Locale::gl_ES_euro),
            "gu_IN" => Ok(Locale::gu_IN),
            "gv_GB" => Ok(Locale::gv_GB),
            "ha_NG" => Ok(Locale::ha_NG),
            "hak_TW" => Ok(Locale::hak_TW),
            "he_IL" => Ok(Locale::he_IL),
            "hi_IN" => Ok(Locale::hi_IN),
            "hif_FJ" => Ok(Locale::hif_FJ),
            "hne_IN" => Ok(Locale::hne_IN),
            "hr_HR" => Ok(Locale::hr_HR),
            "hsb_DE" => Ok(Locale::hsb_DE),
            "ht_HT" => Ok(Locale::ht_HT),
            "hu_HU" => Ok(Locale::hu_HU),
            "hy_AM" => Ok(Locale::hy_AM),
            "ia_FR" => Ok(Locale::ia_FR),
            "id_ID" => Ok(Locale::id_ID),
            "ig_NG" => Ok(Locale::ig_NG),
            "ik_CA" => Ok(Locale::ik_CA),
            "is_IS" => Ok(Locale::is_IS),
            "it_CH" => Ok(Locale::it_CH),
            "it_IT" => Ok(Locale::it_IT),
            "it_IT@euro" => Ok(Locale::it_IT_euro),
            "iu_CA" => Ok(Locale::iu_CA),
            "ja_JP" => Ok(Locale::ja_JP),
            "ka_GE" => Ok(Locale::ka_GE),
            "kab_DZ" => Ok(Locale::kab_DZ),
            "kk_KZ" => Ok(Locale::kk_KZ),
            "kl_GL" => Ok(Locale::kl_GL),
            "km_KH" => Ok(Locale::km_KH),
            "kn_IN" => Ok(Locale::kn_IN),
            "ko_KR" => Ok(Locale::ko_KR),
            "kok_IN" => Ok(Locale::kok_IN),
            "ks_IN" => Ok(Locale::ks_IN),
            "ks_IN@devanagari" => Ok(Locale::ks_IN_devanagari),
            "ku_TR" => Ok(Locale::ku_TR),
            "kw_GB" => Ok(Locale::kw_GB),
            "ky_KG" => Ok(Locale::ky_KG),
            "lb_LU" => Ok(Locale::lb_LU),
            "lg_UG" => Ok(Locale::lg_UG),
            "li_BE" => Ok(Locale::li_BE),
            "li_NL" => Ok(Locale::li_NL),
            "lij_IT" => Ok(Locale::lij_IT),
            "ln_CD" => Ok(Locale::ln_CD),
            "lo_LA" => Ok(Locale::lo_LA),
            "lt_LT" => Ok(Locale::lt_LT),
            "lv_LV" => Ok(Locale::lv_LV),
            "lzh_TW" => Ok(Locale::lzh_TW),
            "mag_IN" => Ok(Locale::mag_IN),
            "mai_IN" => Ok(Locale::mai_IN),
            "mai_NP" => Ok(Locale::mai_NP),
            "mfe_MU" => Ok(Locale::mfe_MU),
            "mg_MG" => Ok(Locale::mg_MG),
            "mhr_RU" => Ok(Locale::mhr_RU),
            "mi_NZ" => Ok(Locale::mi_NZ),
            "miq_NI" => Ok(Locale::miq_NI),
            "mjw_IN" => Ok(Locale::mjw_IN),
            "mk_MK" => Ok(Locale::mk_MK),
            "ml_IN" => Ok(Locale::ml_IN),
            "mn_MN" => Ok(Locale::mn_MN),
            "mni_IN" => Ok(Locale::mni_IN),
            "mnw_MM" => Ok(Locale::mnw_MM),
            "mr_IN" => Ok(Locale::mr_IN),
            "ms_MY" => Ok(Locale::ms_MY),
            "mt_MT" => Ok(Locale::mt_MT),
            "my_MM" => Ok(Locale::my_MM),
            "nan_TW" => Ok(Locale::nan_TW),
            "nan_TW@latin" => Ok(Locale::nan_TW_latin),
            "nb_NO" => Ok(Locale::nb_NO),
            "nds_DE" => Ok(Locale::nds_DE),
            "nds_NL" => Ok(Locale::nds_NL),
            "ne_NP" => Ok(Locale::ne_NP),
            "nhn_MX" => Ok(Locale::nhn_MX),
            "niu_NU" => Ok(Locale::niu_NU),
            "niu_NZ" => Ok(Locale::niu_NZ),
            "nl_AW" => Ok(Locale::nl_AW),
            "nl_BE" => Ok(Locale::nl_BE),
            "nl_BE@euro" => Ok(Locale::nl_BE_euro),
            "nl_NL" => Ok(Locale::nl_NL),
            "nl_NL@euro" => Ok(Locale::nl_NL_euro),
            "nn_NO" => Ok(Locale::nn_NO),
            "nr_ZA" => Ok(Locale::nr_ZA),
            "nso_ZA" => Ok(Locale::nso_ZA),
            "oc_FR" => Ok(Locale::oc_FR),
            "om_ET" => Ok(Locale::om_ET),
            "om_KE" => Ok(Locale::om_KE),
            "or_IN" => Ok(Locale::or_IN),
            "os_RU" => Ok(Locale::os_RU),
            "pa_IN" => Ok(Locale::pa_IN),
            "pa_PK" => Ok(Locale::pa_PK),
            "pap_AW" => Ok(Locale::pap_AW),
            "pap_CW" => Ok(Locale::pap_CW),
            "pl_PL" => Ok(Locale::pl_PL),
            "ps_AF" => Ok(Locale::ps_AF),
            "pt_BR" => Ok(Locale::pt_BR),
            "pt_PT" => Ok(Locale::pt_PT),
            "pt_PT@euro" => Ok(Locale::pt_PT_euro),
            "quz_PE" => Ok(Locale::quz_PE),
            "raj_IN" => Ok(Locale::raj_IN),
            "ro_RO" => Ok(Locale::ro_RO),
            "ru_RU" => Ok(Locale::ru_RU),
            "ru_UA" => Ok(Locale::ru_UA),
            "rw_RW" => Ok(Locale::rw_RW),
            "sa_IN" => Ok(Locale::sa_IN),
            "sah_RU" => Ok(Locale::sah_RU),
            "sat_IN" => Ok(Locale::sat_IN),
            "sc_IT" => Ok(Locale::sc_IT),
            "sd_IN" => Ok(Locale::sd_IN),
            "sd_IN@devanagari" => Ok(Locale::sd_IN_devanagari),
            "se_NO" => Ok(Locale::se_NO),
            "sgs_LT" => Ok(Locale::sgs_LT),
            "shn_MM" => Ok(Locale::shn_MM),
            "shs_CA" => Ok(Locale::shs_CA),
            "si_LK" => Ok(Locale::si_LK),
            "sid_ET" => Ok(Locale::sid_ET),
            "sk_SK" => Ok(Locale::sk_SK),
            "sl_SI" => Ok(Locale::sl_SI),
            "sm_WS" => Ok(Locale::sm_WS),
            "so_DJ" => Ok(Locale::so_DJ),
            "so_ET" => Ok(Locale::so_ET),
            "so_KE" => Ok(Locale::so_KE),
            "so_SO" => Ok(Locale::so_SO),
            "sq_AL" => Ok(Locale::sq_AL),
            "sq_MK" => Ok(Locale::sq_MK),
            "sr_ME" => Ok(Locale::sr_ME),
            "sr_RS" => Ok(Locale::sr_RS),
            "sr_RS@latin" => Ok(Locale::sr_RS_latin),
            "ss_ZA" => Ok(Locale::ss_ZA),
            "st_ZA" => Ok(Locale::st_ZA),
            "sv_FI" => Ok(Locale::sv_FI),
            "sv_FI@euro" => Ok(Locale::sv_FI_euro),
            "sv_SE" => Ok(Locale::sv_SE),
            "sw_KE" => Ok(Locale::sw_KE),
            "sw_TZ" => Ok(Locale::sw_TZ),
            "szl_PL" => Ok(Locale::szl_PL),
            "ta_IN" => Ok(Locale::ta_IN),
            "ta_LK" => Ok(Locale::ta_LK),
            "tcy_IN" => Ok(Locale::tcy_IN),
            "te_IN" => Ok(Locale::te_IN),
            "tg_TJ" => Ok(Locale::tg_TJ),
            "th_TH" => Ok(Locale::th_TH),
            "the_NP" => Ok(Locale::the_NP),
            "ti_ER" => Ok(Locale::ti_ER),
            "ti_ET" => Ok(Locale::ti_ET),
            "tig_ER" => Ok(Locale::tig_ER),
            "tk_TM" => Ok(Locale::tk_TM),
            "tl_PH" => Ok(Locale::tl_PH),
            "tn_ZA" => Ok(Locale::tn_ZA),
            "to_TO" => Ok(Locale::to_TO),
            "tpi_PG" => Ok(Locale::tpi_PG),
            "tr_CY" => Ok(Locale::tr_CY),
            "tr_TR" => Ok(Locale::tr_TR),
            "ts_ZA" => Ok(Locale::ts_ZA),
            "tt_RU" => Ok(Locale::tt_RU),
            "tt_RU@iqtelif" => Ok(Locale::tt_RU_iqtelif),
            "ug_CN" => Ok(Locale::ug_CN),
            "uk_UA" => Ok(Locale::uk_UA),
            "unm_US" => Ok(Locale::unm_US),
            "ur_IN" => Ok(Locale::ur_IN),
            "ur_PK" => Ok(Locale::ur_PK),
            "uz_UZ" => Ok(Locale::uz_UZ),
            "uz_UZ@cyrillic" => Ok(Locale::uz_UZ_cyrillic),
            "ve_ZA" => Ok(Locale::ve_ZA),
            "vi_VN" => Ok(Locale::vi_VN),
            "wa_BE" => Ok(Locale::wa_BE),
            "wa_BE@euro" => Ok(Locale::wa_BE_euro),
            "wae_CH" => Ok(Locale::wae_CH),
            "wal_ET" => Ok(Locale::wal_ET),
            "wo_SN" => Ok(Locale::wo_SN),
            "xh_ZA" => Ok(Locale::xh_ZA),
            "yi_US" => Ok(Locale::yi_US),
            "yo_NG" => Ok(Locale::yo_NG),
            "yue_HK" => Ok(Locale::yue_HK),
            "yuw_PG" => Ok(Locale::yuw_PG),
            "zh_CN" => Ok(Locale::zh_CN),
            "zh_HK" => Ok(Locale::zh_HK),
            "zh_SG" => Ok(Locale::zh_SG),
            "zh_TW" => Ok(Locale::zh_TW),
            "zu_ZA" => Ok(Locale::zu_ZA),
            _ => Err(UnknownLocale),
        }
    }
}

#[macro_export]
macro_rules! locale_match {
    ($locale:expr => $($item:ident)::+) => {{
        match $locale {
            $crate::Locale::POSIX => $crate::POSIX::$($item)::+,
            $crate::Locale::aa_DJ => $crate::aa_DJ::$($item)::+,
            $crate::Locale::aa_ER => $crate::aa_ER::$($item)::+,
            $crate::Locale::aa_ER_saaho => $crate::aa_ER_saaho::$($item)::+,
            $crate::Locale::aa_ET => $crate::aa_ET::$($item)::+,
            $crate::Locale::af_ZA => $crate::af_ZA::$($item)::+,
            $crate::Locale::agr_PE => $crate::agr_PE::$($item)::+,
            $crate::Locale::ak_GH => $crate::ak_GH::$($item)::+,
            $crate::Locale::am_ET => $crate::am_ET::$($item)::+,
            $crate::Locale::an_ES => $crate::an_ES::$($item)::+,
            $crate::Locale::anp_IN => $crate::anp_IN::$($item)::+,
            $crate::Locale::ar_AE => $crate::ar_AE::$($item)::+,
            $crate::Locale::ar_BH => $crate::ar_BH::$($item)::+,
            $crate::Locale::ar_DZ => $crate::ar_DZ::$($item)::+,
            $crate::Locale::ar_EG => $crate::ar_EG::$($item)::+,
            $crate::Locale::ar_IN => $crate::ar_IN::$($item)::+,
            $crate::Locale::ar_IQ => $crate::ar_IQ::$($item)::+,
            $crate::Locale::ar_JO => $crate::ar_JO::$($item)::+,
            $crate::Locale::ar_KW => $crate::ar_KW::$($item)::+,
            $crate::Locale::ar_LB => $crate::ar_LB::$($item)::+,
            $crate::Locale::ar_LY => $crate::ar_LY::$($item)::+,
            $crate::Locale::ar_MA => $crate::ar_MA::$($item)::+,
            $crate::Locale::ar_OM => $crate::ar_OM::$($item)::+,
            $crate::Locale::ar_QA => $crate::ar_QA::$($item)::+,
            $crate::Locale::ar_SA => $crate::ar_SA::$($item)::+,
            $crate::Locale::ar_SD => $crate::ar_SD::$($item)::+,
            $crate::Locale::ar_SS => $crate::ar_SS::$($item)::+,
            $crate::Locale::ar_SY => $crate::ar_SY::$($item)::+,
            $crate::Locale::ar_TN => $crate::ar_TN::$($item)::+,
            $crate::Locale::ar_YE => $crate::ar_YE::$($item)::+,
            $crate::Locale::as_IN => $crate::as_IN::$($item)::+,
            $crate::Locale::ast_ES => $crate::ast_ES::$($item)::+,
            $crate::Locale::ayc_PE => $crate::ayc_PE::$($item)::+,
            $crate::Locale::az_AZ => $crate::az_AZ::$($item)::+,
            $crate::Locale::az_IR => $crate::az_IR::$($item)::+,
            $crate::Locale::be_BY => $crate::be_BY::$($item)::+,
            $crate::Locale::be_BY_latin => $crate::be_BY_latin::$($item)::+,
            $crate::Locale::bem_ZM => $crate::bem_ZM::$($item)::+,
            $crate::Locale::ber_DZ => $crate::ber_DZ::$($item)::+,
            $crate::Locale::ber_MA => $crate::ber_MA::$($item)::+,
            $crate::Locale::bg_BG => $crate::bg_BG::$($item)::+,
            $crate::Locale::bhb_IN => $crate::bhb_IN::$($item)::+,
            $crate::Locale::bho_IN => $crate::bho_IN::$($item)::+,
            $crate::Locale::bho_NP => $crate::bho_NP::$($item)::+,
            $crate::Locale::bi_VU => $crate::bi_VU::$($item)::+,
            $crate::Locale::bn_BD => $crate::bn_BD::$($item)::+,
            $crate::Locale::bn_IN => $crate::bn_IN::$($item)::+,
            $crate::Locale::bo_CN => $crate::bo_CN::$($item)::+,
            $crate::Locale::bo_IN => $crate::bo_IN::$($item)::+,
            $crate::Locale::br_FR => $crate::br_FR::$($item)::+,
            $crate::Locale::br_FR_euro => $crate::br_FR_euro::$($item)::+,
            $crate::Locale::brx_IN => $crate::brx_IN::$($item)::+,
            $crate::Locale::bs_BA => $crate::bs_BA::$($item)::+,
            $crate::Locale::byn_ER => $crate::byn_ER::$($item)::+,
            $crate::Locale::ca_AD => $crate::ca_AD::$($item)::+,
            $crate::Locale::ca_ES => $crate::ca_ES::$($item)::+,
            $crate::Locale::ca_ES_euro => $crate::ca_ES_euro::$($item)::+,
            $crate::Locale::ca_ES_valencia => $crate::ca_ES_valencia::$($item)::+,
            $crate::Locale::ca_FR => $crate::ca_FR::$($item)::+,
            $crate::Locale::ca_IT => $crate::ca_IT::$($item)::+,
            $crate::Locale::ce_RU => $crate::ce_RU::$($item)::+,
            $crate::Locale::chr_US => $crate::chr_US::$($item)::+,
            $crate::Locale::cmn_TW => $crate::cmn_TW::$($item)::+,
            $crate::Locale::crh_UA => $crate::crh_UA::$($item)::+,
            $crate::Locale::cs_CZ => $crate::cs_CZ::$($item)::+,
            $crate::Locale::csb_PL => $crate::csb_PL::$($item)::+,
            $crate::Locale::cv_RU => $crate::cv_RU::$($item)::+,
            $crate::Locale::cy_GB => $crate::cy_GB::$($item)::+,
            $crate::Locale::da_DK => $crate::da_DK::$($item)::+,
            $crate::Locale::de_AT => $crate::de_AT::$($item)::+,
            $crate::Locale::de_AT_euro => $crate::de_AT_euro::$($item)::+,
            $crate::Locale::de_BE => $crate::de_BE::$($item)::+,
            $crate::Locale::de_BE_euro => $crate::de_BE_euro::$($item)::+,
            $crate::Locale::de_CH => $crate::de_CH::$($item)::+,
            $crate::Locale::de_DE => $crate::de_DE::$($item)::+,
            $crate::Locale::de_DE_euro => $crate::de_DE_euro::$($item)::+,
            $crate::Locale::de_IT => $crate::de_IT::$($item)::+,
            $crate::Locale::de_LI => $crate::de_LI::$($item)::+,
            $crate::Locale::de_LU => $crate::de_LU::$($item)::+,
            $crate::Locale::de_LU_euro => $crate::de_LU_euro::$($item)::+,
            $crate::Locale::doi_IN => $crate::doi_IN::$($item)::+,
            $crate::Locale::dsb_DE => $crate::dsb_DE::$($item)::+,
            $crate::Locale::dv_MV => $crate::dv_MV::$($item)::+,
            $crate::Locale::dz_BT => $crate::dz_BT::$($item)::+,
            $crate::Locale::el_CY => $crate::el_CY::$($item)::+,
            $crate::Locale::el_GR => $crate::el_GR::$($item)::+,
            $crate::Locale::el_GR_euro => $crate::el_GR_euro::$($item)::+,
            $crate::Locale::en_AG => $crate::en_AG::$($item)::+,
            $crate::Locale::en_AU => $crate::en_AU::$($item)::+,
            $crate::Locale::en_BW => $crate::en_BW::$($item)::+,
            $crate::Locale::en_CA => $crate::en_CA::$($item)::+,
            $crate::Locale::en_DK => $crate::en_DK::$($item)::+,
            $crate::Locale::en_GB => $crate::en_GB::$($item)::+,
            $crate::Locale::en_HK => $crate::en_HK::$($item)::+,
            $crate::Locale::en_IE => $crate::en_IE::$($item)::+,
            $crate::Locale::en_IE_euro => $crate::en_IE_euro::$($item)::+,
            $crate::Locale::en_IL => $crate::en_IL::$($item)::+,
            $crate::Locale::en_IN => $crate::en_IN::$($item)::+,
            $crate::Locale::en_NG => $crate::en_NG::$($item)::+,
            $crate::Locale::en_NZ => $crate::en_NZ::$($item)::+,
            $crate::Locale::en_PH => $crate::en_PH::$($item)::+,
            $crate::Locale::en_SC => $crate::en_SC::$($item)::+,
            $crate::Locale::en_SG => $crate::en_SG::$($item)::+,
            $crate::Locale::en_US => $crate::en_US::$($item)::+,
            $crate::Locale::en_ZA => $crate::en_ZA::$($item)::+,
            $crate::Locale::en_ZM => $crate::en_ZM::$($item)::+,
            $crate::Locale::en_ZW => $crate::en_ZW::$($item)::+,
            $crate::Locale::eo => $crate::eo::$($item)::+,
            $crate::Locale::es_AR => $crate::es_AR::$($item)::+,
            $crate::Locale::es_BO => $crate::es_BO::$($item)::+,
            $crate::Locale::es_CL => $crate::es_CL::$($item)::+,
            $crate::Locale::es_CO => $crate::es_CO::$($item)::+,
            $crate::Locale::es_CR => $crate::es_CR::$($item)::+,
            $crate::Locale::es_CU => $crate::es_CU::$($item)::+,
            $crate::Locale::es_DO => $crate::es_DO::$($item)::+,
            $crate::Locale::es_EC => $crate::es_EC::$($item)::+,
            $crate::Locale::es_ES => $crate::es_ES::$($item)::+,
            $crate::Locale::es_ES_euro => $crate::es_ES_euro::$($item)::+,
            $crate::Locale::es_GT => $crate::es_GT::$($item)::+,
            $crate::Locale::es_HN => $crate::es_HN::$($item)::+,
            $crate::Locale::es_MX => $crate::es_MX::$($item)::+,
            $crate::Locale::es_NI => $crate::es_NI::$($item)::+,
            $crate::Locale::es_PA => $crate::es_PA::$($item)::+,
            $crate::Locale::es_PE => $crate::es_PE::$($item)::+,
            $crate::Locale::es_PR => $crate::es_PR::$($item)::+,
            $crate::Locale::es_PY => $crate::es_PY::$($item)::+,
            $crate::Locale::es_SV => $crate::es_SV::$($item)::+,
            $crate::Locale::es_US => $crate::es_US::$($item)::+,
            $crate::Locale::es_UY => $crate::es_UY::$($item)::+,
            $crate::Locale::es_VE => $crate::es_VE::$($item)::+,
            $crate::Locale::et_EE => $crate::et_EE::$($item)::+,
            $crate::Locale::eu_ES => $crate::eu_ES::$($item)::+,
            $crate::Locale::eu_ES_euro => $crate::eu_ES_euro::$($item)::+,
            $crate::Locale::fa_IR => $crate::fa_IR::$($item)::+,
            $crate::Locale::ff_SN => $crate::ff_SN::$($item)::+,
            $crate::Locale::fi_FI => $crate::fi_FI::$($item)::+,
            $crate::Locale::fi_FI_euro => $crate::fi_FI_euro::$($item)::+,
            $crate::Locale::fil_PH => $crate::fil_PH::$($item)::+,
            $crate::Locale::fo_FO => $crate::fo_FO::$($item)::+,
            $crate::Locale::fr_BE => $crate::fr_BE::$($item)::+,
            $crate::Locale::fr_BE_euro => $crate::fr_BE_euro::$($item)::+,
            $crate::Locale::fr_CA => $crate::fr_CA::$($item)::+,
            $crate::Locale::fr_CH => $crate::fr_CH::$($item)::+,
            $crate::Locale::fr_FR => $crate::fr_FR::$($item)::+,
            $crate::Locale::fr_FR_euro => $crate::fr_FR_euro::$($item)::+,
            $crate::Locale::fr_LU => $crate::fr_LU::$($item)::+,
            $crate::Locale::fr_LU_euro => $crate::fr_LU_euro::$($item)::+,
            $crate::Locale::fur_IT => $crate::fur_IT::$($item)::+,
            $crate::Locale::fy_DE => $crate::fy_DE::$($item)::+,
            $crate::Locale::fy_NL => $crate::fy_NL::$($item)::+,
            $crate::Locale::ga_IE => $crate::ga_IE::$($item)::+,
            $crate::Locale::ga_IE_euro => $crate::ga_IE_euro::$($item)::+,
            $crate::Locale::gd_GB => $crate::gd_GB::$($item)::+,
            $crate::Locale::gez_ER => $crate::gez_ER::$($item)::+,
            $crate::Locale::gez_ER_abegede => $crate::gez_ER_abegede::$($item)::+,
            $crate::Locale::gez_ET => $crate::gez_ET::$($item)::+,
            $crate::Locale::gez_ET_abegede => $crate::gez_ET_abegede::$($item)::+,
            $crate::Locale::gl_ES => $crate::gl_ES::$($item)::+,
            $crate::Locale::gl_ES_euro => $crate::gl_ES_euro::$($item)::+,
            $crate::Locale::gu_IN => $crate::gu_IN::$($item)::+,
            $crate::Locale::gv_GB => $crate::gv_GB::$($item)::+,
            $crate::Locale::ha_NG => $crate::ha_NG::$($item)::+,
            $crate::Locale::hak_TW => $crate::hak_TW::$($item)::+,
            $crate::Locale::he_IL => $crate::he_IL::$($item)::+,
            $crate::Locale::hi_IN => $crate::hi_IN::$($item)::+,
            $crate::Locale::hif_FJ => $crate::hif_FJ::$($item)::+,
            $crate::Locale::hne_IN => $crate::hne_IN::$($item)::+,
            $crate::Locale::hr_HR => $crate::hr_HR::$($item)::+,
            $crate::Locale::hsb_DE => $crate::hsb_DE::$($item)::+,
            $crate::Locale::ht_HT => $crate::ht_HT::$($item)::+,
            $crate::Locale::hu_HU => $crate::hu_HU::$($item)::+,
            $crate::Locale::hy_AM => $crate::hy_AM::$($item)::+,
            $crate::Locale::ia_FR => $crate::ia_FR::$($item)::+,
            $crate::Locale::id_ID => $crate::id_ID::$($item)::+,
            $crate::Locale::ig_NG => $crate::ig_NG::$($item)::+,
            $crate::Locale::ik_CA => $crate::ik_CA::$($item)::+,
            $crate::Locale::is_IS => $crate::is_IS::$($item)::+,
            $crate::Locale::it_CH => $crate::it_CH::$($item)::+,
            $crate::Locale::it_IT => $crate::it_IT::$($item)::+,
            $crate::Locale::it_IT_euro => $crate::it_IT_euro::$($item)::+,
            $crate::Locale::iu_CA => $crate::iu_CA::$($item)::+,
            $crate::Locale::ja_JP => $crate::ja_JP::$($item)::+,
            $crate::Locale::ka_GE => $crate::ka_GE::$($item)::+,
            $crate::Locale::kab_DZ => $crate::kab_DZ::$($item)::+,
            $crate::Locale::kk_KZ => $crate::kk_KZ::$($item)::+,
            $crate::Locale::kl_GL => $crate::kl_GL::$($item)::+,
            $crate::Locale::km_KH => $crate::km_KH::$($item)::+,
            $crate::Locale::kn_IN => $crate::kn_IN::$($item)::+,
            $crate::Locale::ko_KR => $crate::ko_KR::$($item)::+,
            $crate::Locale::kok_IN => $crate::kok_IN::$($item)::+,
            $crate::Locale::ks_IN => $crate::ks_IN::$($item)::+,
            $crate::Locale::ks_IN_devanagari => $crate::ks_IN_devanagari::$($item)::+,
            $crate::Locale::ku_TR => $crate::ku_TR::$($item)::+,
            $crate::Locale::kw_GB => $crate::kw_GB::$($item)::+,
            $crate::Locale::ky_KG => $crate::ky_KG::$($item)::+,
            $crate::Locale::lb_LU => $crate::lb_LU::$($item)::+,
            $crate::Locale::lg_UG => $crate::lg_UG::$($item)::+,
            $crate::Locale::li_BE => $crate::li_BE::$($item)::+,
            $crate::Locale::li_NL => $crate::li_NL::$($item)::+,
            $crate::Locale::lij_IT => $crate::lij_IT::$($item)::+,
            $crate::Locale::ln_CD => $crate::ln_CD::$($item)::+,
            $crate::Locale::lo_LA => $crate::lo_LA::$($item)::+,
            $crate::Locale::lt_LT => $crate::lt_LT::$($item)::+,
            $crate::Locale::lv_LV => $crate::lv_LV::$($item)::+,
            $crate::Locale::lzh_TW => $crate::lzh_TW::$($item)::+,
            $crate::Locale::mag_IN => $crate::mag_IN::$($item)::+,
            $crate::Locale::mai_IN => $crate::mai_IN::$($item)::+,
            $crate::Locale::mai_NP => $crate::mai_NP::$($item)::+,
            $crate::Locale::mfe_MU => $crate::mfe_MU::$($item)::+,
            $crate::Locale::mg_MG => $crate::mg_MG::$($item)::+,
            $crate::Locale::mhr_RU => $crate::mhr_RU::$($item)::+,
            $crate::Locale::mi_NZ => $crate::mi_NZ::$($item)::+,
            $crate::Locale::miq_NI => $crate::miq_NI::$($item)::+,
            $crate::Locale::mjw_IN => $crate::mjw_IN::$($item)::+,
            $crate::Locale::mk_MK => $crate::mk_MK::$($item)::+,
            $crate::Locale::ml_IN => $crate::ml_IN::$($item)::+,
            $crate::Locale::mn_MN => $crate::mn_MN::$($item)::+,
            $crate::Locale::mni_IN => $crate::mni_IN::$($item)::+,
            $crate::Locale::mnw_MM => $crate::mnw_MM::$($item)::+,
            $crate::Locale::mr_IN => $crate::mr_IN::$($item)::+,
            $crate::Locale::ms_MY => $crate::ms_MY::$($item)::+,
            $crate::Locale::mt_MT => $crate::mt_MT::$($item)::+,
            $crate::Locale::my_MM => $crate::my_MM::$($item)::+,
            $crate::Locale::nan_TW => $crate::nan_TW::$($item)::+,
            $crate::Locale::nan_TW_latin => $crate::nan_TW_latin::$($item)::+,
            $crate::Locale::nb_NO => $crate::nb_NO::$($item)::+,
            $crate::Locale::nds_DE => $crate::nds_DE::$($item)::+,
            $crate::Locale::nds_NL => $crate::nds_NL::$($item)::+,
            $crate::Locale::ne_NP => $crate::ne_NP::$($item)::+,
            $crate::Locale::nhn_MX => $crate::nhn_MX::$($item)::+,
            $crate::Locale::niu_NU => $crate::niu_NU::$($item)::+,
            $crate::Locale::niu_NZ => $crate::niu_NZ::$($item)::+,
            $crate::Locale::nl_AW => $crate::nl_AW::$($item)::+,
            $crate::Locale::nl_BE => $crate::nl_BE::$($item)::+,
            $crate::Locale::nl_BE_euro => $crate::nl_BE_euro::$($item)::+,
            $crate::Locale::nl_NL => $crate::nl_NL::$($item)::+,
            $crate::Locale::nl_NL_euro => $crate::nl_NL_euro::$($item)::+,
            $crate::Locale::nn_NO => $crate::nn_NO::$($item)::+,
            $crate::Locale::nr_ZA => $crate::nr_ZA::$($item)::+,
            $crate::Locale::nso_ZA => $crate::nso_ZA::$($item)::+,
            $crate::Locale::oc_FR => $crate::oc_FR::$($item)::+,
            $crate::Locale::om_ET => $crate::om_ET::$($item)::+,
            $crate::Locale::om_KE => $crate::om_KE::$($item)::+,
            $crate::Locale::or_IN => $crate::or_IN::$($item)::+,
            $crate::Locale::os_RU => $crate::os_RU::$($item)::+,
            $crate::Locale::pa_IN => $crate::pa_IN::$($item)::+,
            $crate::Locale::pa_PK => $crate::pa_PK::$($item)::+,
            $crate::Locale::pap_AW => $crate::pap_AW::$($item)::+,
            $crate::Locale::pap_CW => $crate::pap_CW::$($item)::+,
            $crate::Locale::pl_PL => $crate::pl_PL::$($item)::+,
            $crate::Locale::ps_AF => $crate::ps_AF::$($item)::+,
            $crate::Locale::pt_BR => $crate::pt_BR::$($item)::+,
            $crate::Locale::pt_PT => $crate::pt_PT::$($item)::+,
            $crate::Locale::pt_PT_euro => $crate::pt_PT_euro::$($item)::+,
            $crate::Locale::quz_PE => $crate::quz_PE::$($item)::+,
            $crate::Locale::raj_IN => $crate::raj_IN::$($item)::+,
            $crate::Locale::ro_RO => $crate::ro_RO::$($item)::+,
            $crate::Locale::ru_RU => $crate::ru_RU::$($item)::+,
            $crate::Locale::ru_UA => $crate::ru_UA::$($item)::+,
            $crate::Locale::rw_RW => $crate::rw_RW::$($item)::+,
            $crate::Locale::sa_IN => $crate::sa_IN::$($item)::+,
            $crate::Locale::sah_RU => $crate::sah_RU::$($item)::+,
            $crate::Locale::sat_IN => $crate::sat_IN::$($item)::+,
            $crate::Locale::sc_IT => $crate::sc_IT::$($item)::+,
            $crate::Locale::sd_IN => $crate::sd_IN::$($item)::+,
            $crate::Locale::sd_IN_devanagari => $crate::sd_IN_devanagari::$($item)::+,
            $crate::Locale::se_NO => $crate::se_NO::$($item)::+,
            $crate::Locale::sgs_LT => $crate::sgs_LT::$($item)::+,
            $crate::Locale::shn_MM => $crate::shn_MM::$($item)::+,
            $crate::Locale::shs_CA => $crate::shs_CA::$($item)::+,
            $crate::Locale::si_LK => $crate::si_LK::$($item)::+,
            $crate::Locale::sid_ET => $crate::sid_ET::$($item)::+,
            $crate::Locale::sk_SK => $crate::sk_SK::$($item)::+,
            $crate::Locale::sl_SI => $crate::sl_SI::$($item)::+,
            $crate::Locale::sm_WS => $crate::sm_WS::$($item)::+,
            $crate::Locale::so_DJ => $crate::so_DJ::$($item)::+,
            $crate::Locale::so_ET => $crate::so_ET::$($item)::+,
            $crate::Locale::so_KE => $crate::so_KE::$($item)::+,
            $crate::Locale::so_SO => $crate::so_SO::$($item)::+,
            $crate::Locale::sq_AL => $crate::sq_AL::$($item)::+,
            $crate::Locale::sq_MK => $crate::sq_MK::$($item)::+,
            $crate::Locale::sr_ME => $crate::sr_ME::$($item)::+,
            $crate::Locale::sr_RS => $crate::sr_RS::$($item)::+,
            $crate::Locale::sr_RS_latin => $crate::sr_RS_latin::$($item)::+,
            $crate::Locale::ss_ZA => $crate::ss_ZA::$($item)::+,
            $crate::Locale::st_ZA => $crate::st_ZA::$($item)::+,
            $crate::Locale::sv_FI => $crate::sv_FI::$($item)::+,
            $crate::Locale::sv_FI_euro => $crate::sv_FI_euro::$($item)::+,
            $crate::Locale::sv_SE => $crate::sv_SE::$($item)::+,
            $crate::Locale::sw_KE => $crate::sw_KE::$($item)::+,
            $crate::Locale::sw_TZ => $crate::sw_TZ::$($item)::+,
            $crate::Locale::szl_PL => $crate::szl_PL::$($item)::+,
            $crate::Locale::ta_IN => $crate::ta_IN::$($item)::+,
            $crate::Locale::ta_LK => $crate::ta_LK::$($item)::+,
            $crate::Locale::tcy_IN => $crate::tcy_IN::$($item)::+,
            $crate::Locale::te_IN => $crate::te_IN::$($item)::+,
            $crate::Locale::tg_TJ => $crate::tg_TJ::$($item)::+,
            $crate::Locale::th_TH => $crate::th_TH::$($item)::+,
            $crate::Locale::the_NP => $crate::the_NP::$($item)::+,
            $crate::Locale::ti_ER => $crate::ti_ER::$($item)::+,
            $crate::Locale::ti_ET => $crate::ti_ET::$($item)::+,
            $crate::Locale::tig_ER => $crate::tig_ER::$($item)::+,
            $crate::Locale::tk_TM => $crate::tk_TM::$($item)::+,
            $crate::Locale::tl_PH => $crate::tl_PH::$($item)::+,
            $crate::Locale::tn_ZA => $crate::tn_ZA::$($item)::+,
            $crate::Locale::to_TO => $crate::to_TO::$($item)::+,
            $crate::Locale::tpi_PG => $crate::tpi_PG::$($item)::+,
            $crate::Locale::tr_CY => $crate::tr_CY::$($item)::+,
            $crate::Locale::tr_TR => $crate::tr_TR::$($item)::+,
            $crate::Locale::ts_ZA => $crate::ts_ZA::$($item)::+,
            $crate::Locale::tt_RU => $crate::tt_RU::$($item)::+,
            $crate::Locale::tt_RU_iqtelif => $crate::tt_RU_iqtelif::$($item)::+,
            $crate::Locale::ug_CN => $crate::ug_CN::$($item)::+,
            $crate::Locale::uk_UA => $crate::uk_UA::$($item)::+,
            $crate::Locale::unm_US => $crate::unm_US::$($item)::+,
            $crate::Locale::ur_IN => $crate::ur_IN::$($item)::+,
            $crate::Locale::ur_PK => $crate::ur_PK::$($item)::+,
            $crate::Locale::uz_UZ => $crate::uz_UZ::$($item)::+,
            $crate::Locale::uz_UZ_cyrillic => $crate::uz_UZ_cyrillic::$($item)::+,
            $crate::Locale::ve_ZA => $crate::ve_ZA::$($item)::+,
            $crate::Locale::vi_VN => $crate::vi_VN::$($item)::+,
            $crate::Locale::wa_BE => $crate::wa_BE::$($item)::+,
            $crate::Locale::wa_BE_euro => $crate::wa_BE_euro::$($item)::+,
            $crate::Locale::wae_CH => $crate::wae_CH::$($item)::+,
            $crate::Locale::wal_ET => $crate::wal_ET::$($item)::+,
            $crate::Locale::wo_SN => $crate::wo_SN::$($item)::+,
            $crate::Locale::xh_ZA => $crate::xh_ZA::$($item)::+,
            $crate::Locale::yi_US => $crate::yi_US::$($item)::+,
            $crate::Locale::yo_NG => $crate::yo_NG::$($item)::+,
            $crate::Locale::yue_HK => $crate::yue_HK::$($item)::+,
            $crate::Locale::yuw_PG => $crate::yuw_PG::$($item)::+,
            $crate::Locale::zh_CN => $crate::zh_CN::$($item)::+,
            $crate::Locale::zh_HK => $crate::zh_HK::$($item)::+,
            $crate::Locale::zh_SG => $crate::zh_SG::$($item)::+,
            $crate::Locale::zh_TW => $crate::zh_TW::$($item)::+,
            $crate::Locale::zu_ZA => $crate::zu_ZA::$($item)::+,
        }
    }}
}
